/* Initialisierungs- und Aktualisierungsskript fr a-jur-Kanzleisoftware auf SQL-Server (www.a-jur.de)
Erstellt alle Tabellen (sofern noch nicht vorhanden), ergnzt neue Spalten, aktualisiert Abfragen, und fgt die fr den Betrieb ntigen Datenstze ein.
Copyright: Dr. Joachim Granzow, Hamburg
Generiert 18.04.2024 12:01:02
*/
GO

SET DATEFORMAT dmy
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kontexte]')) drop table Kontexte
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[dt]')) drop table dt
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[edasa]')) drop table edasa
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[edadsb]')) drop table edadsb
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[edakennz]')) drop table edakennz
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[edaitemdata]')) drop table edaitemdata
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Zeiteinheiten]')) drop table Zeiteinheiten
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adressen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Adressen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Titel] [varchar] (50) NULL,
[Anrede] [varchar] (100) NULL,
[Vorname] [varchar] (60) NULL,
[Nachname] [varchar] (100) NOT NULL,
[ds] [bit] NULL,
[Vollername] [varchar] (100) NULL,
[Briefanrede] [varchar] (200) NULL,
[Grussformel] [varchar] (100) NULL,
[Geburtstag] [datetime] NULL,
[Geburtsort] [varchar] (100) NULL,
[ExName] [varchar] (50) NULL,
[Adresszusaetze] [varchar] (500) NULL,
[Parteibezeichnung] [varchar] (1000) NULL,
[StrasseNr] [varchar] (60) NULL,
[PlzOrt] [varchar] (60) NULL,
[Land] [varchar] (100) NULL,
[Postfach] [varchar] (100) NULL,
[PlzOrtPostfach] [varchar] (100) NULL,
[Telefon1] [varchar] (60) NULL,
[Telefon2] [varchar] (60) NULL,
[Mobil] [varchar] (50) NULL,
[Telefax] [varchar] (60) NULL,
[Email] [varchar] (100) NULL,
[Homepage] [varchar] (200) NULL,
[Bank] [varchar] (60) NULL,
[Vorsteuerabzug] [bit] NULL,
[Bankort] [varchar] (50) NULL,
[Bankleitzahl] [varchar] (50) NULL,
[Kontonummer] [varchar] (50) NULL,
[IBAN] [varchar] (50) NULL,
[BIC] [varchar] (50) NULL,
[megaadresse] [int] NULL,
[Oberordner] [varchar] (50) NULL,
[Bemerkungen] [varchar] (2000) NULL,
CONSTRAINT [PK_Adressen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Adressen_Adressen] FOREIGN KEY
(
[megaadresse]
) REFERENCES [Adressen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Adressen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Honorarstufen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Honorarstufen] (
[Stufe] [varchar] (10) NOT NULL,
[Betrag] [money] NOT NULL,
[Bemerkungen] [varchar] (100) NULL,
CONSTRAINT [PK_Honorarstufen] PRIMARY KEY CLUSTERED
(
[Stufe]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Honorarstufen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mitarbeiter]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Mitarbeiter] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[adressid] [int] NULL,
[Diktatzeichen] [varchar] (5) NOT NULL,
[Eintrittsdatum] [smalldatetime] NULL,
[Austrittsdatum] [smalldatetime] NULL,
[aktuell] [bit] NULL CONSTRAINT [DF_Mitarbeiter_aktuell] DEFAULT ((-1)),
[Rechtsanwalt] [bit] NULL CONSTRAINT [DF_Mitarbeiter_rechtsanwalt] DEFAULT ((0)),
[zeichnet] [varchar] (100) NOT NULL,
[Berufsbezeichnung] [varchar] (50) NULL,
[EMail] [varchar] (50) NULL,
[Kontakt] [varchar] (50) NULL,
[Honorarstufe] [varchar] (10) NULL,
[Konto] [int] NULL,
[susersname] [varchar] (100) NULL,
[Quote] [float] NULL CONSTRAINT [DF_Mitarbeiter_Gewinnanteil] DEFAULT ((0.5)),
[StandardBcc] [varchar] (50) NULL,
CONSTRAINT [PK_Mitarbeiter] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [Personen_id] UNIQUE NONCLUSTERED
(
[adressid]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Mitarbeiter_Adressen] FOREIGN KEY
(
[adressid]
) REFERENCES [Adressen] (
[id]
) ON UPDATE CASCADE,
CONSTRAINT [FK_Mitarbeiter_Honorarstufen] FOREIGN KEY
(
[Honorarstufe]
) REFERENCES [Honorarstufen] (
[Stufe]
) ON UPDATE CASCADE,
CONSTRAINT [FK_Mitarbeiter_Honorarstufen1] FOREIGN KEY
(
[Honorarstufe]
) REFERENCES [Honorarstufen] (
[Stufe]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Mitarbeiter TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Sachgebiete]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Sachgebiete] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Sachgebiet] [varchar] (50) NOT NULL,
[GwR] [int] NULL,
CONSTRAINT [aaaaaSachgebiete_PK] PRIMARY KEY NONCLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Sachgebiete TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Akten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Akten] (
[aktenzeichen] [varchar] (50) NOT NULL,
[Kurzrubrum] [varchar] (100) NOT NULL,
[Betreff] [varchar] (300) NULL CONSTRAINT [DF_Akten_Betreff] DEFAULT (''),
[Anlagedatum] [datetime] NOT NULL CONSTRAINT [DF_Akten_Anlagedatum] DEFAULT (getdate()),
[Anleger] [varchar] (50) NOT NULL CONSTRAINT [DF_Akten_anleger] DEFAULT (suser_sname()),
[sachgebietsid] [smallint] NOT NULL,
[sachbearbeiterid] [smallint] NOT NULL,
[akquisiteursid] [smallint] NOT NULL,
[UserDef] [varchar] (50) NULL,
[abgelegt] [bit] NOT NULL CONSTRAINT [DF_Akten_abgelegt] DEFAULT ((0)),
[Nr] [bigint] NULL,
[dokumentenid] [int] NOT NULL CONSTRAINT [DF_Akten_dokumentenid] DEFAULT ((0)),
[Dokumentvorlage] [varchar] (200) NULL,
[Mailvorlage] [varchar] (200) NULL,
[Oberordner] [varchar] (50) NULL,
[Aktenordner] [varchar] (200) NULL,
[Webordner] [varchar] (100) NULL,
[Ablagenummer] [varchar] (20) NULL CONSTRAINT [DF_Akten_ablagenummer] DEFAULT (''),
[Ablagezeit] [smalldatetime] NULL,
[Megaakte] [varchar] (50) NULL,
[Typ] [tinyint] NULL,
[DateiSpeichernAls] [varchar] (100) NULL,
[EMailSpeichernAls] [varchar] (100) NULL,
[Honorarstufe] [varchar] (10) NULL,
[GwR] [int] NULL,
[Bemerkungen] [varchar] (500) NULL,
[Jahr] AS (datepart(year,[anlagedatum])),
CONSTRAINT [PK_AktenEindeutig] PRIMARY KEY CLUSTERED
(
[aktenzeichen]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Akten_MegaAkte] FOREIGN KEY
(
[Megaakte]
) REFERENCES [Akten] (
[aktenzeichen]
),
CONSTRAINT [FK_Akten_Mitarbeiter] FOREIGN KEY
(
[sachbearbeiterid]
) REFERENCES [Mitarbeiter] (
[id]
),
CONSTRAINT [FK_Akten_Mitarbeiter1] FOREIGN KEY
(
[akquisiteursid]
) REFERENCES [Mitarbeiter] (
[id]
),
CONSTRAINT [FK_Akten_Sachgebiete] FOREIGN KEY
(
[sachgebietsid]
) REFERENCES [Sachgebiete] (
[id]
) ON UPDATE CASCADE,
CONSTRAINT [CK_Akten] CHECK (len([aktenzeichen])>(0))
) ON [PRIMARY]
END
GO

GRANT ALL ON Akten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Lager]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Lager] (
[lager_id] [int] NOT NULL CONSTRAINT [DF__Lager__lager_id__2E1BDC42] DEFAULT ((0)),
[Lager] [varchar] (50) NOT NULL,
[Sort] [tinyint] NULL,
CONSTRAINT [aaaaaLager_PK] PRIMARY KEY NONCLUSTERED
(
[lager_id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Lager TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[waehrungen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [waehrungen] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Bezeichnung] [varchar] (50) NOT NULL,
[Symbol] [varchar] (3) NOT NULL,
[Anzeigeformat] [varchar] (50) NOT NULL CONSTRAINT [DF_Whrungen_anzeigeformat] DEFAULT ('#,##0.00'),
[Kurs] [float] NOT NULL,
[Kursdatum] [datetime] NOT NULL CONSTRAINT [DF_Whrungen_kursdatum] DEFAULT (getdate()),
CONSTRAINT [PK_Whrungen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Waehrungen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mahnstufen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Mahnstufen] (
[id] [smallint] NOT NULL,
[Mahnstufe] [varchar] (100) NOT NULL,
[Mahngebuehr] [money] NOT NULL,
[Mahntext] [varchar] (500) NOT NULL,
[SchlussText] [varchar] (500) NOT NULL,
[Farbe] [int] NULL,
CONSTRAINT [PK_Mahnstufen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Mahnstufen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Beteiligungstypen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Beteiligungstypen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Beteiligungstyp] [varchar] (50) NOT NULL,
[lagerid] [int] NOT NULL CONSTRAINT [DF__Beteiligu__lager__1273C1CD] DEFAULT ((0)),
[Archiv] [bit] NULL,
CONSTRAINT [aaaaaBeteiligungstypen_PK] PRIMARY KEY NONCLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [IX_Beteiligungstypen] UNIQUE NONCLUSTERED
(
[Beteiligungstyp]
) ON [PRIMARY],
CONSTRAINT [Beteiligungstypen_FK00] FOREIGN KEY
(
[lagerid]
) REFERENCES [Lager] (
[lager_id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Beteiligungstypen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_kontotypen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_kontotypen] (
[id] [int] NOT NULL,
[Bezeichnung] [varchar] (100) NOT NULL,
[Vorzeichen] [smallint] NOT NULL,
CONSTRAINT [PK_fibu_kontotypen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_kontotypen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_oberkonten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_oberkonten] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Bezeichnung] [varchar] (200) NOT NULL,
[Kontotypid] [int] NOT NULL,
CONSTRAINT [PK_oberkonten] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_fibu_oberkonten_fibu_kontotypen] FOREIGN KEY
(
[Kontotypid]
) REFERENCES [fibu_kontotypen] (
[id]
) ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_oberkonten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_konten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_konten] (
[id] [int] NOT NULL,
[Bezeichnung] [varchar] (200) NOT NULL,
[Ustvorschlag] [int] NOT NULL,
[Oberkontoid] [int] NOT NULL,
[Akonto] [varchar] (1) NULL,
[obs] [bit] NULL,
CONSTRAINT [PK_fibu_konten] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_fibu_konten_fibu_oberkonten] FOREIGN KEY
(
[Oberkontoid]
) REFERENCES [fibu_oberkonten] (
[id]
) ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_konten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_ustkategorie]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_ustkategorie] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Bezeichnung] [varchar] (200) NOT NULL,
[Ustsatz] [decimal](8, 4) NOT NULL,
[Tag] [varchar] (2) NULL,
[Datev] [int] NULL,
CONSTRAINT [PK_fibu_ustkategorie] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_ustkategorie TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qKonten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [qKonten] (
[id] [int] NOT NULL,
[Kontobezeichnung] [varchar] (200) NOT NULL,
[ustid] [int] NOT NULL,
[ergebnis] [tinyint] NULL,
[vorzeichen] [smallint] NULL,
[Sort] [int] NULL,
CONSTRAINT [PK_rKonten] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_qKonten_fibu_ustkategorie] FOREIGN KEY
(
[ustid]
) REFERENCES [fibu_ustkategorie] (
[id]
) ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON qKonten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Terminstatus]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Terminstatus] (
[id] [tinyint] NOT NULL,
[Bezeichnung] [varchar] (15) NOT NULL,
CONSTRAINT [PK_terminstatus] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Terminstatus TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[unternehmen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [unternehmen] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Bezeichnung] [varchar] (50) NOT NULL,
[adressid] [int] NOT NULL,
[passwort] [varchar] (50) NULL CONSTRAINT [DF_unternehmen_passwort] DEFAULT ('TM7M&SA@BR*($W4!#@&B:-GA.0$+C)'),
[Abschlussdatum] [datetime] NULL,
[RgNr] [int] NULL,
[Aktiv] [bit] NULL CONSTRAINT [DF_unternehmen_Aktiv] DEFAULT ((1)),
CONSTRAINT [PK_profitcenter] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_unternehmen_Adressen] FOREIGN KEY
(
[adressid]
) REFERENCES [Adressen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Unternehmen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenbeteiligte]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Aktenbeteiligte] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Aktenzeichen] [varchar] (50) NOT NULL,
[adressid] [int] NOT NULL,
[beteiligungstypid] [int] NOT NULL,
[Betreff] [varchar] (2000) NULL,
[Dokumentvorlage] [varchar] (200) NULL,
[EMailVorlage] [varchar] (200) NULL,
[Versand] [varchar] (50) NULL,
[AdressZusatzBeteiligung] [varchar] (200) NULL,
[Briefanrede] [varchar] (200) NULL,
[Durchwahl] [varchar] (100) NULL,
[Telefax] [varchar] (100) NULL,
[Mobil2] [varchar] (100) NULL,
[Email] [varchar] (100) NULL,
[vertreterabi] [int] NULL,
[mahnstufenid] [smallint] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_mahnstufenid] DEFAULT ((-3)),
[Standard] [bit] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_standard] DEFAULT ((0)),
[ua] [varchar] (50) NULL,
[Vorsteuer] [bit] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_vorsteuer] DEFAULT ((0)),
[ustid] [int] NULL,
[Waehrung] [smallint] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_waehrung] DEFAULT ((1)),
[Verfahrensrolle] [varchar] (50) NULL,
[HFrdrg] [money] NULL,
[NFrdrg] [money] NULL,
[HfZins] [money] NULL,
[NfZins] [money] NULL,
[Kontostand] [money] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_Forderungsstand] DEFAULT ((0)),
[Tageszinsen] [money] NOT NULL CONSTRAINT [DF_Aktenbeteiligte_Tageszinsen] DEFAULT ((0)),
[Berechnungsdatum] [datetime] NULL,
[BerechnetAls] [money] NULL,
[BerechnetAm] [datetime] NULL,
[Kontostand2] AS ([BerechnetAls]+CONVERT([money],[Tageszinsen]*datediff(day,[BerechnetAm],CONVERT([int],getdate(),(0))),(0))),
[KontoDirty] [bit] NULL,
[vfz] [bit] NULL,
[rgorder] [tinyint] NULL,
[GlAbi] [int] NULL,
[SRg] [bit] NULL,
CONSTRAINT [aaaaaAktenbeteiligte_PK] PRIMARY KEY NONCLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Aktenbeteiligte_Adressen] FOREIGN KEY
(
[adressid]
) REFERENCES [Adressen] (
[id]
) ON DELETE CASCADE,
CONSTRAINT [FK_Aktenbeteiligte_Akten] FOREIGN KEY
(
[Aktenzeichen]
) REFERENCES [Akten] (
[aktenzeichen]
) ON UPDATE CASCADE,
CONSTRAINT [FK_Aktenbeteiligte_Beteiligungstypen] FOREIGN KEY
(
[beteiligungstypid]
) REFERENCES [Beteiligungstypen] (
[id]
),
CONSTRAINT [FK_Aktenbeteiligte_fibu_ustkategorie] FOREIGN KEY
(
[ustid]
) REFERENCES [fibu_ustkategorie] (
[id]
) ON UPDATE CASCADE,
CONSTRAINT [FK_Aktenbeteiligte_Mahnstufen] FOREIGN KEY
(
[mahnstufenid]
) REFERENCES [Mahnstufen] (
[id]
),
CONSTRAINT [FK_Aktenbeteiligte_waehrungen] FOREIGN KEY
(
[Waehrung]
) REFERENCES [waehrungen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Aktenbeteiligte TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminHauptKategorien]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [TerminHauptKategorien] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Hauptkategorie] [varchar] (50) NOT NULL,
[Schriftart] [varchar] (50) NOT NULL CONSTRAINT [DF_MetaTerminKategorien_Schriftart] DEFAULT ('Arial'),
[Grad] [smallint] NOT NULL CONSTRAINT [DF_MetaTerminKategorien_Grad] DEFAULT ((8)),
[kursiv] [bit] NOT NULL CONSTRAINT [DF_MetaTerminKategorien_kursiv] DEFAULT ((0)),
[unterstrichen] [bit] NOT NULL CONSTRAINT [DF_MetaTerminKategorien_unterstrichen] DEFAULT ((0)),
[Schriftfarbe] [int] NOT NULL CONSTRAINT [DF_MetaTerminKategorien_Schriftfarbe] DEFAULT ((0)),
[StdKatId] [int] NULL,
CONSTRAINT [PK_MetaTerminKategorien] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON TerminHauptKategorien TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Terminkategorien]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Terminkategorien] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Kategorie] [varchar] (50) NOT NULL,
[HauptId] [smallint] NULL,
[Schriftart] [varchar] (50) NULL,
[Grad] [smallint] NULL,
[Schriftfarbe] [int] NULL,
[kursiv] [bit] NULL,
[unterstrichen] [bit] NULL,
CONSTRAINT [PK_Terminkategorien] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY],
CONSTRAINT [FK_Terminkategorien_TerminHauptKategorien] FOREIGN KEY
(
[HauptId]
) REFERENCES [TerminHauptKategorien] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Terminkategorien TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AbiAbi]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AbiAbi] (
[Abi0] [int] NOT NULL,
[Abi1] [int] NOT NULL,
[Btid] [int] NULL,
[PGM] [tinyint] NULL,
[PGPLZ] [varchar] (5) NULL,
[PGO] [varchar] (30) NULL,
[GvNeu] [bit] NULL,
[VBZAM] [bit] NULL,
[VBZUM] [bit] NULL,
[VBPTBET] [money] NULL,
[VBSKOBET] [money] NULL,
[VBSKOBG] [varchar] (35) NULL,
[NMAUSK] [smallmoney] NULL,
[KOZIM] [bit] NULL CONSTRAINT [DF_AbiAbi_KOZIM] DEFAULT ((1)),
[ASPVAUSL] [money] NULL,
[ZAD1] [smalldatetime] NULL,
[ZABET1] [money] NULL,
[ZAD2] [smalldatetime] NULL,
[ZABET2] [money] NULL,
[ZAD3] [smalldatetime] NULL,
[ZABET3] [money] NULL,
[ZAD4] [smalldatetime] NULL,
[ZABET4] [money] NULL,
[ZAD5] [smalldatetime] NULL,
[ZABET5] [money] NULL,
[ZAD6] [smalldatetime] NULL,
[ZABET6] [money] NULL,
[PTBET] [smallmoney] NULL,
[NMSKoBet] [smallmoney] NULL,
[NMSKoBg] [varchar] (35) NULL,
[AGGVNFU] [varchar] (35) NULL,
[AGGVNN] [varchar] (35) NULL,
[AGGVNSH] [varchar] (35) NULL,
[AGGVNPLZ] [varchar] (5) NULL,
[AGGVNO] [varchar] (27) NULL,
[AGGVNAL] [varchar] (3) NULL,
[AGGVNSN] [varchar] (35) NULL,
[AGGVZFU] [varchar] (35) NULL,
[AGGVZN] [varchar] (35) NULL,
[AGGVZSH] [varchar] (35) NULL,
[AGGVZPLZ] [varchar] (5) NULL,
[AGGVZO] [varchar] (27) NULL,
[AGGVAL] [varchar] (3) NULL,
[AGGVZAL] [varchar] (3) NULL,
[WAUSLBET1] [smallmoney] NULL,
[WAUSLBET2] [smallmoney] NULL,
[WAUSLBG1] [varchar] (50) NULL,
[WAUSLBG2] [varchar] (50) NULL,
[ZABET7] [money] NULL,
[ZABET8] [money] NULL,
[ZABET9] [money] NULL,
[ZABET10] [money] NULL,
[ZABET11] [money] NULL,
[ZABET12] [money] NULL,
[ZAD7] [smalldatetime] NULL,
[ZAD8] [smalldatetime] NULL,
[ZAD9] [smalldatetime] NULL,
[ZAD10] [smalldatetime] NULL,
[ZAD11] [smalldatetime] NULL,
[ZAD12] [smalldatetime] NULL,
[VBIKUBET] [money] NULL,
CONSTRAINT [PK__AbiAbi__15BCA4D1] PRIMARY KEY CLUSTERED
(
[Abi0],
[Abi1]
) ON [PRIMARY],
CONSTRAINT [FK_AbiAbi_Aktenbeteiligte] FOREIGN KEY
(
[Abi0]
) REFERENCES [Aktenbeteiligte] (
[id]
) ON DELETE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON AbiAbi TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenEgvp]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AdressenEgvp] (
[Ort] [varchar] (50) NOT NULL,
[AdressId] [int] NULL,
[NutzerId] [varchar] (50) NOT NULL,
CONSTRAINT [PK__Mahngerichte__04B21460] PRIMARY KEY CLUSTERED
(
[Ort]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AdressenEgvp TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenExt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AdressenExt] (
[AdressIdExt] [int] NOT NULL,
[Rechtsform] [varchar] (50) NULL,
[Alias] [varchar] (50) NULL,
[SteuerPIN] [varchar] (15) NULL,
CONSTRAINT [PK_AdressenExt] PRIMARY KEY CLUSTERED
(
[AdressIdExt]
) ON [PRIMARY],
CONSTRAINT [FK_AdressenExt_Adressen] FOREIGN KEY
(
[AdressIdExt]
) REFERENCES [Adressen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON AdressenExt TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenImport]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AdressenImport] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[FremdId] [int] NULL,
[Titel] [varchar] (50) NULL,
[Anrede] [varchar] (100) NULL,
[Vorname] [varchar] (60) NULL,
[Nachname] [varchar] (100) NULL,
[Vollername] [varchar] (100) NULL,
[Briefanrede] [varchar] (200) NULL,
[Grussformel] [varchar] (100) NULL,
[Geburtstag] [datetime] NULL,
[Geburtsort] [varchar] (100) NULL,
[Adresszusaetze] [varchar] (500) NULL,
[Parteibezeichnung] [varchar] (1000) NULL,
[Strassenr] [varchar] (60) NULL,
[Plzort] [varchar] (60) NULL,
[Land] [varchar] (100) NULL,
[Postfach] [varchar] (100) NULL,
[Plzortpostfach] [varchar] (100) NULL,
[Telefon1] [varchar] (60) NULL,
[Telefon2] [varchar] (60) NULL,
[Mobil] [varchar] (50) NULL,
[Telefax] [varchar] (60) NULL,
[Email] [varchar] (100) NULL,
[Homepage] [varchar] (50) NULL,
[Bank] [varchar] (60) NULL,
[Bankort] [varchar] (50) NULL,
[Bankleitzahl] [varchar] (50) NULL,
[Kontonummer] [varchar] (50) NULL,
[Bemerkungen] [varchar] (2000) NULL,
[Vorsteuerabzug] [bit] NULL,
[Registergericht] [varchar] (50) NULL,
[HR1] [varchar] (50) NULL,
[HR2] [varchar] (50) NULL,
[GebNameVertr] [varchar] (50) NULL,
[WeitereSelektion] [varchar] (50) NULL,
[Kennzeichen] [varchar] (50) NULL,
[Beruf] [varchar] (50) NULL,
[Rechtsschutz] [varchar] (50) NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AdressenImport TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AdressenKonv] (
[gap] [varchar] (50) NOT NULL,
[rawin2000] [varchar] (100) NULL,
[outlook] [varchar] (50) NULL,
CONSTRAINT [PK___AdressenKonv__79A05467] PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AdressenKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenbeteiligteExt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AktenbeteiligteExt] (
[abi] [int] NOT NULL,
[Eintrittsdatum] [smalldatetime] NULL,
[Austrittsdatum] [smalldatetime] NULL,
[Kommentar] [varchar] (1000) NULL,
CONSTRAINT [PK_insobeteiligte] PRIMARY KEY CLUSTERED
(
[abi]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_AktenbeteiligteExt_Aktenbeteiligte] FOREIGN KEY
(
[abi]
) REFERENCES [Aktenbeteiligte] (
[id]
) ON DELETE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON AktenbeteiligteExt TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenbeteiligteKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AktenbeteiligteKonv] (
[gap] [nvarchar] (50) NOT NULL,
[rawin2000] [nvarchar] (200) NULL,
PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AktenbeteiligteKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenExt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AktenExt] (
[AzExt] [varchar] (50) NOT NULL,
[Ereignis] [varchar] (50) NULL,
[Sachverhalt] [varchar] (2000) NULL,
[Gegenstandswert] [money] NULL,
[Datum] [datetime] NULL,
[Datum2] [datetime] NULL,
[Betrag] [money] NULL,
[Betrag2] [money] NULL,
[Betrag3] [money] NULL,
[Summe] AS (([betrag]+[betrag2])+[betrag3]),
CONSTRAINT [PK_AktenExt] PRIMARY KEY CLUSTERED
(
[AzExt]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AktenExt TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [AktenKonv] (
[gap] [nvarchar] (50) NOT NULL,
[rawin2000] [nvarchar] (200) NULL,
PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON AktenKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktentypen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Aktentypen] (
[id] [tinyint] IDENTITY (1, 1) NOT NULL,
[Aktentyp] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Aktentypen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Aktentypen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenunterordner]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Aktenunterordner] (
[sachgebietsid] [int] NOT NULL,
[Unterordner] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Aktenunterordner] PRIMARY KEY CLUSTERED
(
[sachgebietsid],
[Unterordner]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Aktenunterordner TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Basiszins]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Basiszins] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[datum] [datetime] NOT NULL,
[zinssatz] [numeric](24, 6) NOT NULL,
CONSTRAINT [PK_Basiszins] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [CK_Basiszins] CHECK ([zinssatz]>(-0.1) AND [zinssatz]<(0.2))
) ON [PRIMARY]
END
GO

GRANT ALL ON Basiszins TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[beko_buchungen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [beko_buchungen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[beteiligtenid] [int] NOT NULL,
[Nr] [int] NULL,
[Datum] [datetime] NOT NULL CONSTRAINT [DF_beko_buchungen_datum] DEFAULT (getdate()),
[Belegdatum] [datetime] NOT NULL CONSTRAINT [DF_beko_buchungen_belegdatum] DEFAULT (getdate()),
[Text] [varchar] (80) NOT NULL,
[Betrag] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_betrag] DEFAULT ((0)),
[Zinssatz] [numeric](6, 4) NOT NULL CONSTRAINT [DF_beko_buchungen_zinssatz] DEFAULT ((0)),
[Basiszins] [bit] NOT NULL CONSTRAINT [DF_beko_buchungen_basiszins] DEFAULT ((0)),
[Minzins] [numeric](6, 4) NULL CONSTRAINT [DF_beko_buchungen_minzins] DEFAULT ((0)),
[Maxzins] [numeric](6, 4) NULL CONSTRAINT [DF_beko_buchungen_maxzins] DEFAULT ((0)),
[Sz] [bit] NULL,
[Rechnungsnr] [int] NULL,
[uid] [smallint] NULL,
[KostenRang] [bit] NOT NULL CONSTRAINT [DF_beko_buchungen_KostenRang] DEFAULT ((0)),
[Zinstage] [int] NOT NULL CONSTRAINT [DF_beko_buchungen_zinstage] DEFAULT ((0)),
[Tageszinsen] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_tageszinsen] DEFAULT ((0)),
[stdKapital] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_stdKapital] DEFAULT ((0)),
[stdZins] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_stdZins] DEFAULT ((0)),
[Tilgung] [varchar] (200) NULL,
[SummeKoZins] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_summeKoZins] DEFAULT ((0)),
[SummeKosten] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_summeKosten] DEFAULT ((0)),
[SummeZinsen] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_summeZinsen] DEFAULT ((0)),
[SummeHauptforderung] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_summeHauptforderung] DEFAULT ((0)),
[Zinsen] [money] NULL,
[Kontostand] [money] NOT NULL CONSTRAINT [DF_beko_buchungen_Kontostand] DEFAULT ((0)),
[ZiTlg] [money] NULL,
CONSTRAINT [PK__beko_buchungen__5CD79682] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_beko_buchungen_Aktenbeteiligte] FOREIGN KEY
(
[beteiligtenid]
) REFERENCES [Aktenbeteiligte] (
[id]
) ON DELETE CASCADE ON UPDATE CASCADE,
CONSTRAINT [FK_beko_buchungen_unternehmen] FOREIGN KEY
(
[uid]
) REFERENCES [unternehmen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON beko_buchungen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Benutzung]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Benutzung] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Benutzer] [varchar] (50) NOT NULL CONSTRAINT [DF_Benutzung_benutzer] DEFAULT (suser_sname()),
[Zeit] [smalldatetime] NOT NULL CONSTRAINT [DF_Benutzung_zeit] DEFAULT (getdate()),
[Benutzung] [varchar] (500) NULL,
[Art] [smallint] NOT NULL,
[IdAffected] [decimal](12, 4) NULL,
CONSTRAINT [PK_Benutzung] PRIMARY KEY NONCLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Benutzung TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligungstypenKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BeteiligungstypenKonv] (
[gap] [varchar] (50) NOT NULL,
[rawin2000] [varchar] (50) NULL,
CONSTRAINT [PK_BeteiligungstypenKonv] PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BeteiligungstypenKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Betriebe]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Betriebe] (
[id] [tinyint] IDENTITY (1, 1) NOT NULL,
[unternehmensid] [smallint] NOT NULL,
[Betrieb] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Betriebe] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Betriebe_unternehmen] FOREIGN KEY
(
[unternehmensid]
) REFERENCES [unternehmen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Betriebe TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibArt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BibArt] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Art] [nvarchar] (50) NOT NULL,
[Erluterung] [nvarchar] (100) NULL,
CONSTRAINT [PK_Art] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BibArt TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Bibliothek]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Bibliothek] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Titel] [varchar] (200) NOT NULL,
[Untertitel] [varchar] (200) NOT NULL CONSTRAINT [DF_Bibliothek_Untertitel] DEFAULT (''),
[Autorvorname] [varchar] (50) NOT NULL CONSTRAINT [DF_Bibliothek_Autorvorname] DEFAULT (''),
[Autornachname] [varchar] (75) NOT NULL CONSTRAINT [DF_Bibliothek_Autornachname] DEFAULT (''),
[Auflage] [varchar] (50) NOT NULL CONSTRAINT [DF_Bibliothek_Auflage] DEFAULT (''),
[Erscheinungsort] [varchar] (50) NOT NULL CONSTRAINT [DF_Bibliothek_Erscheinungsort] DEFAULT (''),
[Erscheinungsjahr] [smallint] NOT NULL CONSTRAINT [DF_Bibliothek_Erscheinungsjahr] DEFAULT ((0)),
[Sachgebietsid] [int] NOT NULL,
[Art] [int] NOT NULL,
[Medium] [int] NOT NULL,
[Status] [varchar] (50) NOT NULL CONSTRAINT [DF_Bibliothek_Status] DEFAULT (''),
[bearbName] [varchar] (50) NOT NULL CONSTRAINT [DF_Bibliothek_bearbName] DEFAULT (suser_sname()),
[bearbZeit] [smalldatetime] NULL CONSTRAINT [DF_Bibliothek_bearbZeit] DEFAULT (getdate()),
[mitarbeiterid] [int] NOT NULL CONSTRAINT [DF_Bibliothek_mitarbeiterid] DEFAULT ((0)),
CONSTRAINT [PK_Bibliothek] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Bibliothek TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibMedien]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BibMedien] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Medium] [nvarchar] (50) NOT NULL,
[MedAbk] [nvarchar] (5) NOT NULL,
[Erluterung] [nvarchar] (50) NOT NULL,
CONSTRAINT [PK_BibMedien] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BibMedien TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibQuerverweise]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BibQuerverweise] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Buchid] [int] NOT NULL,
[sachgebietsid] [int] NOT NULL,
CONSTRAINT [PK_Querverweise] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BibQuerverweise TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibSachgebiete]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BibSachgebiete] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Ebene] [nvarchar] (50) NOT NULL,
[Sort] [nvarchar] (50) NOT NULL,
[Sachgebiet] [nvarchar] (50) NOT NULL,
[signatursid] [int] NOT NULL,
[SpezHinw] [bit] NOT NULL CONSTRAINT [DF_BibSachgebiete_SpezHinw] DEFAULT ((0)),
[Spezialgebiete] [varchar] (2000) NOT NULL CONSTRAINT [DF_BibSachgebiete_Spezialgebiete] DEFAULT (''),
CONSTRAINT [PK_BibSachgebiete] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BibSachgebiete TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibSignaturen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [BibSignaturen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Signatur] [nvarchar] (5) NOT NULL,
[Langbezeichnung] [nvarchar] (200) NOT NULL,
[Regalbeschriftung] [nvarchar] (50) NOT NULL,
[sachgebietsid] [int] NOT NULL,
CONSTRAINT [PK_BibSignaturen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON BibSignaturen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Buglist]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Buglist] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Zeit] [smalldatetime] NULL CONSTRAINT [DF_errorlog_zeit] DEFAULT (getdate()),
[Number] [int] NULL,
[Beschreibung] [varchar] (500) NULL,
[Kontext] [varchar] (200) NULL,
[Benutzer] [varchar] (50) NULL CONSTRAINT [DF_errorlog_benutzer] DEFAULT (suser_sname()),
CONSTRAINT [PK_errorlog] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Buglist TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Datentypen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Datentypen] (
[xtype] [int] NOT NULL,
[sql] [varchar] (20) NOT NULL,
[Bezeichnung] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Datentypen] PRIMARY KEY CLUSTERED
(
[xtype]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Datentypen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Dokumente]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Dokumente] (
[id] [int] IDENTITY (10000, 1) NOT NULL,
[Az] [varchar] (50) NULL,
[AdressId] [int] NULL,
[Abi] [int] NULL,
[Titel] [varchar] (200) NULL,
[Typ] [varchar] (10) NULL,
[Datum] [datetime] NULL CONSTRAINT [DF_Dokumente_ErstellDatum] DEFAULT (getdate()),
[Benutzer] [varchar] (50) NULL CONSTRAINT [DF_Dokumente_ErstellUser] DEFAULT (suser_sname()),
[GespeichertAls] [varchar] (200) NULL,
CONSTRAINT [PK_Dokumente] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Dokumente TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaAdr]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaAdr] (
[Adressid] [int] NOT NULL,
[KEZI] [varchar] (8) NULL,
[ANR] [tinyint] NULL,
[RF] [varchar] (35) NULL,
[N1] [varchar] (35) NULL,
[N2] [varchar] (35) NULL,
[N3] [varchar] (35) NULL,
[N4] [varchar] (35) NULL,
[SH] [varchar] (35) NULL,
[PLZ] [varchar] (5) NULL,
[O] [varchar] (35) NULL,
[AL] [varchar] (3) NOT NULL CONSTRAINT [DF_EdaAdr_AL] DEFAULT (''),
CONSTRAINT [PK__EdaAdr__17A4ED43] PRIMARY KEY CLUSTERED
(
[Adressid]
) ON [PRIMARY],
CONSTRAINT [FK_EdaAdr_Adressen] FOREIGN KEY
(
[Adressid]
) REFERENCES [Adressen] (
[id]
) ON DELETE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaAdr TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaAsp4]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaAsp4] (
[id] [int] NOT NULL,
[abi] [int] NOT NULL,
[Nr] [tinyint] NULL,
[AspKat1] [tinyint] NULL,
[AspGr] [varchar] (35) NULL,
[AspRnr] [varchar] (35) NULL,
[AspVd] [datetime] NULL,
[AspBd] [datetime] NULL,
[AspBet] [money] NULL,
[AspZmPlz] [varchar] (5) NULL,
[AspZmO] [varchar] (27) NULL,
[AspZmAl] [varchar] (3) NOT NULL,
[AspZV] [varchar] (35) NULL,
[AspSoBet] [money] NULL,
[AspSoBg1] [varchar] (105) NULL,
[AspSoVd] [datetime] NULL,
[AspSoBd] [datetime] NULL,
[ZiRgBet] [money] NULL,
[Abtd] [datetime] NULL,
[AbtN] [varchar] (35) NULL,
[AbtPlz] [varchar] (5) NULL,
[AbtO] [varchar] (27) NULL,
[AbtAl] [varchar] (3) NOT NULL,
[ZiSatz] [real] NULL,
[ZISAM] [bit] NULL,
[ZiArtM] [tinyint] NULL,
[ZiVd] [datetime] NULL,
[ZiBd] [datetime] NULL,
[VkgD] [datetime] NULL,
[VkgZisa] [real] NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaAsp4 TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaDsb]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaDsb] (
[Satz] [tinyint] NOT NULL,
[Sa] [char] (2) NOT NULL,
[Kennz] [char] (6) NOT NULL,
[Fn] [tinyint] NOT NULL,
[Feld] [tinyint] NOT NULL,
[Bytes] [tinyint] NOT NULL,
[Dez] [tinyint] NOT NULL,
[Format] [varchar] (20) NOT NULL,
[Kurzname] [varchar] (50) NOT NULL,
[Langname] [varchar] (100) NOT NULL,
[Pflicht] [bit] NOT NULL,
[no] [bit] NOT NULL,
[Typ] [tinyint] NULL,
[Alt] [varchar] (50) NULL,
[Flg] [varchar] (50) NULL,
[ItemId] [tinyint] NULL,
PRIMARY KEY CLUSTERED
(
[Satz],
[Feld]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaDsb TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaGv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaGv] (
[Adressid] [int] NOT NULL,
[Nr] [tinyint] NOT NULL,
[GvFu] [varchar] (35) NULL,
[GvN] [varchar] (35) NULL,
[GvSh] [varchar] (35) NULL,
[GvPlz] [varchar] (5) NULL,
[GvO] [varchar] (27) NULL,
[GvAl] [varchar] (3) NULL CONSTRAINT [DF_EdaGv_GvAl] DEFAULT (''),
CONSTRAINT [PK__EdaGv__1B757E27] PRIMARY KEY CLUSTERED
(
[Adressid],
[Nr]
) ON [PRIMARY],
CONSTRAINT [FK_EdaGv_EdaAdr] FOREIGN KEY
(
[Adressid]
) REFERENCES [EdaAdr] (
[Adressid]
) ON DELETE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaGv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaItemData]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaItemData] (
[id] [tinyint] NOT NULL,
[wert] [int] NOT NULL,
[Text] [varchar] (100) NOT NULL,
PRIMARY KEY CLUSTERED
(
[id],
[wert]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaItemData TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaKennz]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaKennz] (
[Kennz] [varchar] (10) NOT NULL,
[Bezeichnung] [varchar] (60) NOT NULL,
PRIMARY KEY CLUSTERED
(
[Kennz]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaKennz TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaMahn4]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaMahn4] (
[Abi] [int] NOT NULL,
[AGGM] [bit] NULL,
[ASGZ] [varchar] (35) NULL,
[ASTRVM] [bit] NULL,
[VORSTM] [bit] NULL,
[USTM] [bit] NULL,
[VGLM1] [bit] NULL,
[VGLM2] [bit] NULL,
[ASPVAUFD] [datetime] NULL,
[VV2300MBET] [money] NULL,
[VV2300M] [bit] NULL,
[ASPVMBAUSL] [money] NULL,
[VPBET] [smallmoney] NULL,
[MBSKOBET] [smallmoney] NULL,
[MBSKOBG] [varchar] (35) NULL,
[PTBET] [smallmoney] NULL,
[NMSKOBET] [smallmoney] NULL,
[NMSKOBG] [varchar] (35) NULL,
[MAHNK] [smallmoney] NULL,
[ZISATZmahnk] [tinyint] NULL,
[ZIMmahnk] [varchar] (1) NULL,
[AUSK] [smallmoney] NULL,
[ZISATZausk] [tinyint] NULL,
[ZIMausk] [varchar] (1) NULL,
[BANKRL] [smallmoney] NULL,
[ZISATZbankrl] [tinyint] NULL,
[ZIMbankrl] [varchar] (1) NULL,
[IKUBET] [smallmoney] NULL,
[INKBET] [smallmoney] NULL,
[ZISATZInkbet] [tinyint] NULL,
[ZIMInkbet] [varchar] (1) NULL,
[ANFBET] [smallmoney] NULL,
[ANFBG] [varchar] (35) NULL,
[ZISATZanfbet] [tinyint] NULL,
[ZIManfbet] [varchar] (1) NULL,
[VV2300BET] [smallmoney] NULL,
[VV2300STW] [money] NULL,
[ZISATZvv2300bet] [tinyint] NULL,
[ZIMvv2300bet] [varchar] (1) NULL,
[AZIAUBET] [money] NULL,
[AZIVD] [smalldatetime] NULL,
[AZIBD] [smalldatetime] NULL,
[StammId] [int] NULL,
[GNR] [varchar] (11) NULL,
[AGGZ] [varchar] (35) NULL,
[PGM] [tinyint] NULL,
[PGPLZ] [varchar] (5) NULL,
[PGO] [varchar] (30) NULL,
[SWUM] [tinyint] NULL,
[WIM] [varchar] (1) NULL,
[WIHFBET] [money] NULL,
[WIZIM] [bit] NULL,
[WIZARTM] [varchar] (2) NULL,
[WIZISA] [real] NULL,
[WIVKOM] [bit] NULL,
[WINEBBET] [money] NULL,
[AGSH] [varchar] (35) NULL,
[AGPLZ] [varchar] (5) NULL,
[AGO] [varchar] (27) NULL,
[AGAL] [varchar] (3) NULL,
[AGGVFU] [varchar] (35) NULL,
[AGGVN] [varchar] (35) NULL,
[AGGVSH] [varchar] (35) NULL,
[AGGVPLZ] [varchar] (5) NULL,
[AGGVO] [varchar] (27) NULL,
[AGGVAL] [varchar] (3) NULL,
CONSTRAINT [PK__EdaMahn4__1117EB45] PRIMARY KEY CLUSTERED
(
[Abi]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaMahn4 TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaMails]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaMails] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Datei] [varchar] (200) NULL,
[Kezi] [varchar] (50) NULL,
[Sa] [char] (2) NOT NULL,
[Abi] [int] NOT NULL,
[Erstellt] [smalldatetime] NULL,
[Gesendet] [smalldatetime] NULL,
[Empfangen] [smalldatetime] NULL,
[Gnrn] [bigint] NULL,
CONSTRAINT [PK__EdaMails__1F460F0B] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaMails TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaSa]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaSa] (
[SA] [char] (2) NOT NULL,
[Typ] [tinyint] NOT NULL,
[Bezeichnung] [varchar] (200) NOT NULL,
[Uq] [bit] NULL,
PRIMARY KEY CLUSTERED
(
[SA]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaSa TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaSaetze]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaSaetze] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[MailId] [int] NOT NULL,
[Satz] [char] (128) NOT NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY],
CONSTRAINT [FK_EdaSaetze_EdaMails] FOREIGN KEY
(
[MailId]
) REFERENCES [EdaMails] (
[id]
) ON DELETE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaSaetze TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaStamm]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [EdaStamm] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[ASPVANR] [tinyint] NOT NULL CONSTRAINT [DF_EdaPb_ASPVANR] DEFAULT ((2)),
[ASPVRF] [varchar] (50) NULL,
[ASPVN] [varchar] (70) NOT NULL,
[ASPVSH] [varchar] (35) NOT NULL,
[ASPVPLZ] [varchar] (5) NOT NULL,
[ASPVO] [varchar] (27) NOT NULL,
[ASPVAL] [varchar] (3) NULL,
[ASPVB] [varchar] (35) NOT NULL,
[ASPVBLZ] [varchar] (8) NOT NULL,
[ASPVKTO] [varchar] (10) NOT NULL,
[ASPVMWST] [varchar] (2) NULL,
[KEZI] [varchar] (8) NOT NULL,
[EDAID] [varchar] (3) NOT NULL,
[EDAIDMin] [smallint] NOT NULL CONSTRAINT [DF_EdaStamm_EDAIDNrMin] DEFAULT ((1)),
[EDAIDMax] [smallint] NOT NULL CONSTRAINT [DF_EdaStamm_EDAIDNrMax] DEFAULT ((1000)),
[EDAIDNr] [smallint] NOT NULL CONSTRAINT [DF__EdaPb_EDAIDNr] DEFAULT ((0)),
[MGPLZ] [varchar] (5) NOT NULL,
[MGO] [varchar] (30) NOT NULL,
[BKTOZO] [varchar] (1) NULL,
[BIBAN] [varchar] (34) NULL,
[BBIC] [varchar] (11) NULL,
[EgvpImport] [varchar] (100) NULL,
[EgvpExport] [varchar] (100) NULL,
CONSTRAINT [PK__EdaPb] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON EdaStamm TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Felder]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Felder] (
[Tabelle] [varchar] (50) NOT NULL,
[Feld] [varchar] (50) NOT NULL,
[RowSource] [varchar] (255) NULL,
[Beschriftung] [varchar] (50) NULL,
[Kommentar] [varchar] (255) NULL,
[System] [bit] NULL CONSTRAINT [DF_Felder_System] DEFAULT ((1)),
CONSTRAINT [PK_Felder] PRIMARY KEY CLUSTERED
(
[Tabelle],
[Feld]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Felder TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_buchungssaetze]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_buchungssaetze] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Datumbuch] [smalldatetime] NOT NULL CONSTRAINT [DF_fibu_buchungssaetze_datumbuch] DEFAULT (getdate()),
[Datumwert] [smalldatetime] NOT NULL,
[Text] [varchar] (200) NOT NULL CONSTRAINT [DF_fibu_buchungssaetze_text] DEFAULT (''),
[Beleg] [varchar] (100) NULL CONSTRAINT [DF_fibu_buchungssaetze_beleg] DEFAULT (''),
[Unternehmen] [smallint] NOT NULL,
[betriebsid] [tinyint] NULL,
[Benutzer] [varchar] (100) NOT NULL CONSTRAINT [DF_fibu_buchungssaetze_benutzer] DEFAULT (suser_sname()),
[eb1] [int] NULL,
[Split] [smallint] NULL,
[del] [bit] NULL,
CONSTRAINT [PK_fibu_buchungssaetze] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_buchungssaetze TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_einzelbuchungen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [fibu_einzelbuchungen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[buchungssatzid] [int] NOT NULL,
[Kontoid] [int] NOT NULL,
[Betrag] [money] NOT NULL,
[Ustid] [int] NOT NULL,
[Az] [varchar] (50) NULL,
[Sachbearbeiterid] [smallint] NULL,
[bkbid] [int] NULL,
[GbId] [int] NULL,
CONSTRAINT [PK_fibu_buchungen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_fibu_einzelbuchungen_fibu_buchungssaetze] FOREIGN KEY
(
[buchungssatzid]
) REFERENCES [fibu_buchungssaetze] (
[id]
) ON DELETE CASCADE,
CONSTRAINT [FK_fibu_einzelbuchungen_fibu_ustkategorie] FOREIGN KEY
(
[Ustid]
) REFERENCES [fibu_ustkategorie] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON fibu_einzelbuchungen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuJahr]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [FibuJahr] (
[Jahr] [smallint] NOT NULL,
[Uid] [tinyint] NOT NULL,
[E] [tinyint] NOT NULL,
[KId] [int] NOT NULL,
[Bezeichnung] [varchar] (200) NULL,
[Jan] [money] NULL,
[Feb] [money] NULL,
[Mr] [money] NULL,
[Apr] [money] NULL,
[Mai] [money] NULL,
[Jun] [money] NULL,
[Jul] [money] NULL,
[Aug] [money] NULL,
[Sep] [money] NULL,
[Okt] [money] NULL,
[Nov] [money] NULL,
[Dez] [money] NULL,
[Summe] AS (((((((((((isnull([jan],(0))+isnull([feb],(0)))+isnull([mr],(0)))+isnull([apr],(0)))+isnull([mai],(0)))+isnull([jun],(0)))+isnull([jul],(0)))+isnull([aug],(0)))+isnull([sep],(0)))+isnull([okt],(0)))+isnull([dez],(0)))+isnull([nov],(0))),
[Prozent] [real] NULL,
[TypId] [smallint] NOT NULL,
CONSTRAINT [PK_FibuJahr2] PRIMARY KEY CLUSTERED
(
[Jahr],
[Uid],
[KId],
[E]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON FibuJahr TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[g_formeln]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [g_formeln] (
[id] [tinyint] NOT NULL,
[Formel] [varchar] (50) NOT NULL,
[p1] [varchar] (50) NULL,
[p2] [varchar] (50) NULL,
[ptxt] [varchar] (50) NULL,
CONSTRAINT [PK_g_formeln] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON g_formeln TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[g_tbe]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [g_tbe] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Tatbestand] [varchar] (500) NOT NULL,
[Formelid] [tinyint] NOT NULL,
[p1] [decimal](18, 2) NULL,
[p2] [decimal](18, 2) NULL,
[pTxt] [varchar] (50) NULL,
[format2] [varchar] (50) NULL,
[Sortierung] [int] NULL,
[kontoid] [int] NOT NULL CONSTRAINT [DF_g_tbe_kontoid] DEFAULT ((8001)),
[veraltet] [bit] NULL CONSTRAINT [DF_g_tbe_veraltet] DEFAULT ((0)),
[Version] [varchar] (10) NULL,
CONSTRAINT [PK_q_tbe] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_g_tbe_fibu_konten] FOREIGN KEY
(
[kontoid]
) REFERENCES [fibu_konten] (
[id]
) ON UPDATE CASCADE,
CONSTRAINT [FK_g_tbe_g_formeln] FOREIGN KEY
(
[Formelid]
) REFERENCES [g_formeln] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON g_tbe TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[g_zeilen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [g_zeilen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[abi] [int] NOT NULL,
[tbid] [smallint] NOT NULL,
[Text] [varchar] (500) NULL,
[p1] [money] NULL,
[p2] [decimal](18, 2) NULL,
[pTxt] [varchar] (50) NULL,
[betrag] [money] NULL,
[ustid] [int] NULL,
[Nr] [tinyint] NULL,
CONSTRAINT [PK_g_zeilen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_g_zeilen_Aktenbeteiligte] FOREIGN KEY
(
[abi]
) REFERENCES [Aktenbeteiligte] (
[id]
) ON DELETE CASCADE,
CONSTRAINT [FK_g_zeilen_g_tbe] FOREIGN KEY
(
[tbid]
) REFERENCES [g_tbe] (
[id]
) ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON g_zeilen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GNotKGB21]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [GNotKGB21] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Tatbestand] [varchar] (500) NOT NULL,
[Formelid] [tinyint] NOT NULL,
[p1] [decimal](18, 2) NULL,
[p2] [decimal](18, 2) NULL,
[pTxt] [varchar] (50) NULL,
[format2] [varchar] (50) NULL,
[Sortierung] [int] NULL,
[kontoid] [int] NOT NULL,
[Version] [varchar] (10) NULL,
CONSTRAINT [PK__GNotKGB21__016C5EB8] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON GNotKGB21 TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GwRisikoStufen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [GwRisikoStufen] (
[id] [int] NOT NULL,
[Risikostufe] [varchar] (100) NOT NULL,
CONSTRAINT [PK_GwRisiko] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON GwRisikoStufen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[HonorarFormeln]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [HonorarFormeln] (
[Tabelle] [varchar] (20) NOT NULL,
[Bis] [money] NOT NULL,
[fj] [money] NOT NULL,
[um] [money] NOT NULL,
[zzgl] [money] NOT NULL,
CONSTRAINT [PK_HonorarFormeln] PRIMARY KEY CLUSTERED
(
[Tabelle],
[Bis]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON HonorarFormeln TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[HonorarTabelle]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [HonorarTabelle] (
[Tabelle] [varchar] (20) NOT NULL,
[Bis] [money] NOT NULL,
[Betrag] [money] NOT NULL,
CONSTRAINT [PK_HonorarTabellen] PRIMARY KEY CLUSTERED
(
[Tabelle],
[Bis]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON HonorarTabelle TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InternetLinks]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [InternetLinks] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Website] [varchar] (50) NOT NULL,
[URL] [varchar] (200) NOT NULL,
[Kommentar] [varchar] (200) NULL CONSTRAINT [DF_Internet_Kommentar] DEFAULT (''),
CONSTRAINT [PK_internetlinks] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON InternetLinks TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kalender]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Kalender] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Akte] [varchar] (50) NULL,
[Betreff] [varchar] (250) NOT NULL,
[Text] [varchar] (1000) NULL,
[mitarbeiterid] [smallint] NOT NULL,
[Zeit] [smalldatetime] NOT NULL,
[Ende] [smalldatetime] NOT NULL,
[abtermin] [bit] NULL,
[Erinnerung] [smalldatetime] NULL,
[Wiedervorlage] [smalldatetime] NULL,
[statusid] [tinyint] NOT NULL CONSTRAINT [DF_Kalender_statusid] DEFAULT ((1)),
[wichtigkeit] [tinyint] NOT NULL CONSTRAINT [DF_Kalender_wichtigkeit] DEFAULT ((1)),
[Raum] [varchar] (50) NULL,
[Link] [varchar] (200) NULL,
[Quicklink] [bit] NULL,
[serie] [char] (5) NULL CONSTRAINT [DF_Kalender_wkoptions] DEFAULT (' '),
[serienid] [int] NULL,
[privat] [bit] NULL,
[KategorienId] [int] NULL,
[GespeichertAm] [smalldatetime] NULL,
[olSync] [bit] NULL,
[ExId] [int] NULL,
CONSTRAINT [PK__Kalender__0CA7708C] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Kalender_Akten] FOREIGN KEY
(
[Akte]
) REFERENCES [Akten] (
[aktenzeichen]
) ON UPDATE CASCADE,
CONSTRAINT [FK_Kalender_Kalender] FOREIGN KEY
(
[serienid]
) REFERENCES [Kalender] (
[id]
),
CONSTRAINT [FK_Kalender_Mitarbeiter] FOREIGN KEY
(
[mitarbeiterid]
) REFERENCES [Mitarbeiter] (
[id]
),
CONSTRAINT [FK_Kalender_Terminkategorien] FOREIGN KEY
(
[KategorienId]
) REFERENCES [Terminkategorien] (
[id]
),
CONSTRAINT [FK_Kalender_terminstatus] FOREIGN KEY
(
[statusid]
) REFERENCES [Terminstatus] (
[id]
),
CONSTRAINT [CK_Kalender_wichtigkeit] CHECK ([wichtigkeit]>=(0) OR [wichtigkeit]=(1) OR [wichtigkeit]=(2))
) ON [PRIMARY]
END
GO

GRANT ALL ON Kalender TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KG2013]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [KG2013] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Tatbestand] [varchar] (244) NOT NULL,
[Formelid] [tinyint] NOT NULL,
[p1] [decimal](18, 2) NULL,
[p2] [decimal](18, 2) NULL,
[pTxt] [varchar] (50) NULL,
[format2] [varchar] (50) NULL,
[Sortierung] [int] NULL,
[kontoid] [int] NOT NULL,
[Version] [varchar] (10) NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON KG2013 TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KG2021]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [KG2021] (
[id] [smallint] IDENTITY (1, 1) NOT NULL,
[Tatbestand] [varchar] (244) NOT NULL,
[Formelid] [tinyint] NOT NULL,
[p1] [decimal](18, 2) NULL,
[p2] [decimal](18, 2) NULL,
[pTxt] [varchar] (50) NULL,
[format2] [varchar] (50) NULL,
[Sortierung] [int] NULL,
[kontoid] [int] NOT NULL,
[Version] [varchar] (10) NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON KG2021 TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kontexte]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Kontexte] (
[id] [smallint] NOT NULL,
[kontext] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Kontexte] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Kontexte TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KontoidKonvertierung]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [KontoidKonvertierung] (
[KontoIdInstall] [int] NOT NULL,
[Kontobezeichnung] [varchar] (50) NOT NULL,
[KontoIdLokal] [int] NULL,
CONSTRAINT [PK_KontoidKonvertierung] PRIMARY KEY CLUSTERED
(
[KontoIdInstall]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON KontoidKonvertierung TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KontoKaro]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [KontoKaro] (
[ergebnis] [tinyint] NOT NULL,
[vorzeichen] [smallint] NOT NULL,
[Bezeichnung] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Kontotypen] PRIMARY KEY CLUSTERED
(
[ergebnis],
[vorzeichen]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON KontoKaro TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Listentexte]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Listentexte] (
[Text] [varchar] (100) NOT NULL,
[Kontext] [tinyint] NOT NULL,
CONSTRAINT [PK_Textvorschlaege] PRIMARY KEY CLUSTERED
(
[Text],
[Kontext]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Listentexte TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeiterKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [MitarbeiterKonv] (
[gap] [nvarchar] (50) NOT NULL,
[rawin2000] [nvarchar] (200) NULL,
PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON MitarbeiterKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Objektfolge]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Objektfolge] (
[Sort] [int] NOT NULL,
[Objektname] [varchar] (50) NOT NULL,
[Type] [tinyint] NOT NULL,
CONSTRAINT [PK_Objektfolge] PRIMARY KEY CLUSTERED
(
[Sort]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Objektfolge TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Optionen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Optionen] (
[name] [varchar] (50) NOT NULL,
[wert] [varchar] (255) NOT NULL,
[kommentar] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Optionen] PRIMARY KEY CLUSTERED
(
[name]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Optionen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Pfade]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Pfade] (
[Bezeichnung] [varchar] (50) NOT NULL,
CONSTRAINT [PK_Pfade] PRIMARY KEY CLUSTERED
(
[Bezeichnung]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Pfade TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Programmfunktionen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Programmfunktionen] (
[Programmfunktion] [varchar] (50) NOT NULL,
[Beschreibung] [varchar] (200) NOT NULL,
[Hilfedatei] [varchar] (50) NOT NULL,
[Abfrage] [varchar] (50) NULL,
[BrauchtAkte] [bit] NOT NULL,
[BrauchtAdresse] [bit] NOT NULL,
[BrauchtBeteiligung] [bit] NOT NULL,
[BrauchtFibu] [bit] NOT NULL,
[Sortierung] [varchar] (50) NULL,
[gesperrt] [bit] NOT NULL,
[Kontext] [int] NOT NULL,
[Parent] [varchar] (50) NULL,
[neu] [bit] NOT NULL,
[Sort] [smallint] NULL,
[Passeptt] [bit] NULL,
[Exe] [bit] NULL,
[Alias] [varchar] (50) NULL,
[AliasBeschreibung] [varchar] (200) NULL,
[AliasGesperrt] [bit] NULL,
[gap6] [varchar] (10) NULL,
[Icon] [varchar] (15) NULL,
[Taste] [varchar] (10) NULL,
PRIMARY KEY CLUSTERED
(
[Programmfunktion]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Programmfunktionen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ProgrammfunktionenExt]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [ProgrammfunktionenExt] (
[Programmfunktion] [varchar] (50) NOT NULL,
[Beschreibung] [varchar] (200) NOT NULL,
[Abfrage] [varchar] (300) NULL,
[BrauchtAkte] [bit] NOT NULL CONSTRAINT [DF_ProgrammfunktionenUser_BrauchtAkte] DEFAULT ((0)),
[BrauchtAdresse] [bit] NOT NULL CONSTRAINT [DF_ProgrammfunktionenUser_BrauchtAdresse] DEFAULT ((0)),
[BrauchtBeteiligung] [bit] NOT NULL CONSTRAINT [DF_ProgrammfunktionenUser_BrauchtBeteiligung] DEFAULT ((0)),
[Sortierung] [varchar] (50) NULL,
[gesperrt] [bit] NOT NULL CONSTRAINT [DF_ProgrammfunktionenUser_gesperrt] DEFAULT ((0)),
[Kontext] [int] NOT NULL CONSTRAINT [DF_ProgrammfunktionenUser_Kontext] DEFAULT ((0)),
[Parent] [varchar] (50) NOT NULL CONSTRAINT [DF_ProgrammfunktionenExt_Parent] DEFAULT ('Eigene'),
[Neu] [bit] NOT NULL CONSTRAINT [DF_ProgrammfunktionenExt_Neu] DEFAULT ((0)),
[Sort] [smallint] NULL CONSTRAINT [DF_ProgrammfunktionenUser_Sort] DEFAULT ((999)),
[Passeptt] [bit] NULL CONSTRAINT [DF_ProgrammfunktionenUser_Passeptt] DEFAULT ((0)),
[Exe] [bit] NULL,
CONSTRAINT [PK_ProgrammfunktionenUser] PRIMARY KEY CLUSTERED
(
[Programmfunktion]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON ProgrammfunktionenExt TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pwds]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [pwds] (
[Bereich] [varchar] (50) NOT NULL,
[Passwort] [varchar] (50) NOT NULL,
CONSTRAINT [PK_pwds] PRIMARY KEY CLUSTERED
(
[Bereich]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON pwds TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qAktenKonten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [qAktenKonten] (
[akte] [varchar] (50) NOT NULL,
[kontoid] [int] NOT NULL,
[Alias] [varchar] (100) NULL,
[Abschlussdatum] [datetime] NULL,
[bereich] [varchar] (50) NULL,
CONSTRAINT [PK_qAktenkonten] PRIMARY KEY CLUSTERED
(
[akte],
[kontoid]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_qAktenKonten_Akten] FOREIGN KEY
(
[akte]
) REFERENCES [Akten] (
[aktenzeichen]
) ON DELETE CASCADE ON UPDATE CASCADE,
CONSTRAINT [FK_qAktenKonten_qKonten] FOREIGN KEY
(
[kontoid]
) REFERENCES [qKonten] (
[id]
) ON DELETE CASCADE ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON qAktenKonten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qBuchen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [qBuchen] (
[Datum] [datetime] NULL,
[Text] [nvarchar] (255) NULL,
[Kontoid] [nvarchar] (255) NULL,
[Gegenkontoid] [nvarchar] (255) NULL,
[UStid] [nvarchar] (255) NULL,
[Druckdatum] [nvarchar] (255) NULL,
[Betrag] [money] NULL
) ON [PRIMARY]
END
GO

GRANT ALL ON qBuchen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qBuchungen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [qBuchungen] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[akte] [varchar] (50) NOT NULL,
[Datum] [datetime] NOT NULL,
[Text] [varchar] (255) NOT NULL,
[Beleg] [varchar] (50) NULL,
[Kontoid] [int] NOT NULL,
[Gegenkontoid] [int] NOT NULL,
[abi] [int] NULL,
[ustid] [int] NOT NULL,
[Betrag] [money] NOT NULL,
[Druckdatum] [datetime] NULL,
CONSTRAINT [PK_rBuchungen] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_qBuchungen_Akten] FOREIGN KEY
(
[akte]
) REFERENCES [Akten] (
[aktenzeichen]
) ON UPDATE CASCADE,
CONSTRAINT [FK_qBuchungen_fibu_ustkategorie] FOREIGN KEY
(
[ustid]
) REFERENCES [fibu_ustkategorie] (
[id]
) ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON qBuchungen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgb]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [rgb] (
[bkbid] [int] NOT NULL,
[kontoid] [int] NOT NULL,
[betrag] [money] NOT NULL,
CONSTRAINT [PK_rgb] PRIMARY KEY CLUSTERED
(
[kontoid],
[bkbid]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_rgb_beko_buchungen] FOREIGN KEY
(
[bkbid]
) REFERENCES [beko_buchungen] (
[id]
) ON DELETE CASCADE,
CONSTRAINT [FK_rgb_fibu_konten] FOREIGN KEY
(
[kontoid]
) REFERENCES [fibu_konten] (
[id]
) ON DELETE CASCADE ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON rgb TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SachgebieteKonv]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [SachgebieteKonv] (
[gap] [nvarchar] (50) NOT NULL,
[rawin2000] [nvarchar] (50) NULL,
PRIMARY KEY CLUSTERED
(
[gap]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON SachgebieteKonv TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SpezielleFelder]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [SpezielleFelder] (
[Tabelle] [tinyint] NOT NULL CONSTRAINT [DF_SpezielleFelder_Tabelle] DEFAULT ((1)),
[Aktentypid] [tinyint] NOT NULL,
[Feld] [varchar] (50) NOT NULL,
[Sortierung] [int] NULL,
[Beschriftung] [varchar] (50) NULL,
[Kommentar] [varchar] (200) NULL,
[Rowsource] [varchar] (200) NULL,
[Steuerelement] [varchar] (50) NULL,
[Format] [varchar] (50) NULL,
[System] [bit] NULL,
CONSTRAINT [PK_AktenbeteiligungExtVerwendung] PRIMARY KEY CLUSTERED
(
[Tabelle],
[Feld],
[Aktentypid]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON SpezielleFelder TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Staffelzinsen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Staffelzinsen] (
[bkbid] [int] NOT NULL,
[Datum] [datetime] NOT NULL,
[Zinssatz] [numeric](8, 4) NOT NULL,
CONSTRAINT [PK_Staffelzinsen] PRIMARY KEY CLUSTERED
(
[bkbid],
[Datum]
) ON [PRIMARY],
CONSTRAINT [FK_Staffelzinsen_beko_buchungen] FOREIGN KEY
(
[bkbid]
) REFERENCES [beko_buchungen] (
[id]
) ON DELETE CASCADE,
CONSTRAINT [CK_Staffelzinsen_1] CHECK ([zinssatz]<(0.5))
) ON [PRIMARY]
END
GO

GRANT ALL ON Staffelzinsen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[standardbtypen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [standardbtypen] (
[standardtyp] [varchar] (50) NOT NULL,
[id] [int] NULL,
CONSTRAINT [PK__StandardBeteilig__070E92C7] PRIMARY KEY CLUSTERED
(
[standardtyp]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_standardbtypen_Beteiligungstypen] FOREIGN KEY
(
[id]
) REFERENCES [Beteiligungstypen] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON standardbtypen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Tabellensets]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Tabellensets] (
[Tabellenset] [varchar] (20) NOT NULL,
[Tabelle] [varchar] (20) NOT NULL,
CONSTRAINT [PK_Tabellensets] PRIMARY KEY CLUSTERED
(
[Tabellenset],
[Tabelle]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Tabellensets TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Terminserien]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Terminserien] (
[id] [tinyint] IDENTITY (1, 1) NOT NULL,
[Ereignis] [varchar] (100) NOT NULL,
[Beschreibung] [varchar] (250) NULL,
[Link] [varchar] (200) NULL,
CONSTRAINT [PK_Terminserien] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY],
CONSTRAINT [FK_Terminserien_Terminserien] FOREIGN KEY
(
[id]
) REFERENCES [Terminserien] (
[id]
)
) ON [PRIMARY]
END
GO

GRANT ALL ON Terminserien TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminSerienElemente]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [TerminSerienElemente] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[TerminserienId] [tinyint] NOT NULL,
[Einheiten] [smallint] NOT NULL,
[Einheit] [varchar] (4) NOT NULL,
[Betreff] [varchar] (150) NOT NULL,
[Beschreibung] [varchar] (200) NULL,
[KategorienId] [int] NOT NULL,
[Wichtigkeit] [tinyint] NOT NULL CONSTRAINT [DF_TerminSerienElemente_Wichtigkeit] DEFAULT ((1)),
[AbTermin] [bit] NOT NULL CONSTRAINT [DF_TerminSerienElemente_AbTermin] DEFAULT ((0)),
[vn] [varchar] (1) NULL,
CONSTRAINT [PK_TerminSerienElemente] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY],
CONSTRAINT [FK_TerminSerienElemente_Terminkategorien] FOREIGN KEY
(
[KategorienId]
) REFERENCES [Terminkategorien] (
[id]
),
CONSTRAINT [FK_TerminSerienElemente_Terminserien] FOREIGN KEY
(
[TerminserienId]
) REFERENCES [Terminserien] (
[id]
) ON DELETE CASCADE ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON TerminSerienElemente TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminSerienElementeTmp]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [TerminSerienElementeTmp] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[TerminserienId] [tinyint] NOT NULL,
[Einheiten] [smallint] NOT NULL,
[Einheit] [varchar] (4) NOT NULL,
[Betreff] [varchar] (150) NOT NULL,
[Beschreibung] [varchar] (200) NULL,
[KategorienId] [int] NOT NULL,
[Wichtigkeit] [tinyint] NOT NULL,
[AbTermin] [bit] NOT NULL,
[vn] [varchar] (1) NULL,
PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON TerminSerienElementeTmp TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminWichtigkeiten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [TerminWichtigkeiten] (
[id] [tinyint] NOT NULL,
[Wichtigkeit] [varchar] (20) NOT NULL,
CONSTRAINT [PK_TerminWichtigkeiten] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON TerminWichtigkeiten TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Tilgungsbestimmungen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Tilgungsbestimmungen] (
[GutschriftsId] [int] NOT NULL,
[SchuldId] [int] NOT NULL,
[Abi] [int] NOT NULL,
CONSTRAINT [PK_Tilgungsbestimmungen] PRIMARY KEY CLUSTERED
(
[GutschriftsId],
[SchuldId]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_Tilgungsbestimmungen_Aktenbeteiligte] FOREIGN KEY
(
[Abi]
) REFERENCES [Aktenbeteiligte] (
[id]
) ON DELETE CASCADE ON UPDATE CASCADE
) ON [PRIMARY]
END
GO

GRANT ALL ON Tilgungsbestimmungen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TimeSheet]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [TimeSheet] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Az] [varchar] (50) NOT NULL,
[Startzeit] [datetime] NOT NULL,
[Endzeit] [datetime] NOT NULL,
[Text] [varchar] (2000) NOT NULL,
[Mitarbeiterid] [smallint] NOT NULL,
[Quote] [real] NOT NULL CONSTRAINT [DF_TimeSheet_quote] DEFAULT ((1)),
[Stufe] [varchar] (10) NULL,
[ok] [bit] NULL,
CONSTRAINT [PK_TimeSheet] PRIMARY KEY CLUSTERED
(
[id]
) WITH FILLFACTOR = 90 ON [PRIMARY],
CONSTRAINT [FK_TimeSheet_Akten] FOREIGN KEY
(
[Az]
) REFERENCES [Akten] (
[aktenzeichen]
) ON DELETE CASCADE ON UPDATE CASCADE,
CONSTRAINT [FK_TimeSheet_Honorarstufen] FOREIGN KEY
(
[Stufe]
) REFERENCES [Honorarstufen] (
[Stufe]
),
CONSTRAINT [FK_TimeSheet_Honorarstufen1] FOREIGN KEY
(
[Stufe]
) REFERENCES [Honorarstufen] (
[Stufe]
) ON UPDATE CASCADE,
CONSTRAINT [FK_TimeSheet_Mitarbeiter] FOREIGN KEY
(
[Mitarbeiterid]
) REFERENCES [Mitarbeiter] (
[id]
),
CONSTRAINT [CK_TimeSheet] CHECK ([endzeit]>[startzeit])
) ON [PRIMARY]
END
GO

GRANT ALL ON TimeSheet TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Urkunden]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Urkunden] (
[Mia] [smallint] NOT NULL,
[Jahr] [smallint] NOT NULL CONSTRAINT [DF_Urkunden_Jahr] DEFAULT (datepart(year,getdate())),
[Nr] [smallint] NOT NULL,
[Az] [varchar] (50) NOT NULL,
[Datum] [smalldatetime] NOT NULL,
[Ort] [varchar] (100) NOT NULL,
[Beteiligte] [varchar] (2000) NULL,
[Gegenstand] [varchar] (100) NOT NULL,
[Bemerkungen] [varchar] (1000) NULL,
CONSTRAINT [PK_Urkunden] PRIMARY KEY CLUSTERED
(
[Mia],
[Jahr],
[Nr]
) ON [PRIMARY],
CONSTRAINT [CK_Urkunden] CHECK ([Nr]>(0))
) ON [PRIMARY]
END
GO

GRANT ALL ON Urkunden TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UserConst]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [UserConst] (
[Bezeichnung] [varchar] (50) NOT NULL,
[Wert] [numeric](10, 2) NOT NULL,
[Kommentar] [varchar] (100) NULL,
CONSTRAINT [PK_Benutzerkonstanten] PRIMARY KEY CLUSTERED
(
[Bezeichnung]
) WITH FILLFACTOR = 90 ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON UserConst TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UserTexte]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [UserTexte] (
[Bezeichnung] [varchar] (50) NOT NULL,
[Wert] [varchar] (100) NULL,
[Kommentar] [varchar] (200) NULL,
CONSTRAINT [PK_UserTexte] PRIMARY KEY CLUSTERED
(
[Bezeichnung]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON UserTexte TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Verfahrensrollen]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Verfahrensrollen] (
[Bezeichnung] [varchar] (255) NOT NULL,
[Nominativ] [varchar] (255) NOT NULL,
[Genitiv] [varchar] (255) NOT NULL,
[Dativ] [varchar] (255) NOT NULL,
[Akkusativ] [varchar] (255) NOT NULL,
CONSTRAINT [PK_Verfahrensrollen] PRIMARY KEY CLUSTERED
(
[Bezeichnung]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Verfahrensrollen TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Zahlungsverkehr]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Zahlungsverkehr] (
[id] [int] IDENTITY (1, 1) NOT NULL,
[Login] [varchar] (50) NOT NULL CONSTRAINT [DF_Zahlungsverkehr_Login] DEFAULT (suser_sname()),
[Erstellt] [smalldatetime] NOT NULL CONSTRAINT [DF_Zahlungsverkehr_Erstellt] DEFAULT (getdate()),
[Art] [char] (5) NOT NULL CONSTRAINT [DF_Zahlungsverkehr_Code] DEFAULT ((51000)),
[Bemerkungen] [varchar] (100) NULL,
[Nachname] [varchar] (27) NOT NULL,
[IBAN] [varchar] (50) NULL,
[BIC] [varchar] (50) NULL,
[Bankleitzahl] [varchar] (8) NULL,
[Kontonummer] [varchar] (10) NULL,
[Betreff] [varchar] (27) NULL,
[Betreff2] [varchar] (27) NULL,
[Betreff3] [varchar] (27) NULL,
[Betreff4] [varchar] (27) NULL,
[Betrag] [money] NOT NULL,
[Ausgefhrt] [smalldatetime] NULL,
CONSTRAINT [PK_Zahlungsverkehr] PRIMARY KEY CLUSTERED
(
[id]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Zahlungsverkehr TO public
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Zeiteinheiten]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
BEGIN
CREATE TABLE [Zeiteinheiten] (
[vb6] [varchar] (4) NOT NULL,
[SqlSrv] [varchar] (4) NOT NULL,
[Zeiteinheit] [varchar] (50) NOT NULL,
[Tage] [real] NULL,
CONSTRAINT [PK_Zeiteinheiten] PRIMARY KEY CLUSTERED
(
[vb6]
) ON [PRIMARY]
) ON [PRIMARY]
END
GO

GRANT ALL ON Zeiteinheiten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[_FieldDefs]')) DROP VIEW _FieldDefs
GO

EXEC ('CREATE VIEW _FieldDefs AS SELECT dbo.sysobjects.name AS Tabelle, dbo.syscolumns.name AS Spalte, sys.syscolumns.xtype, dbo.syscolumns.length, dbo.syscolumns.iscomputed, sys.syscolumns.xprec, sys.syscolumns.xscale FROM sys.sysobjects INNER JOIN sys.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'Geburtsort')
EXEC('ALTER TABLE dbo.adressen ADD Geburtsort [varchar] (100) Null')
ELSE
EXEC('ALTER TABLE dbo.adressen ALTER COLUMN Geburtsort [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'Parteibezeichnung')
EXEC('ALTER TABLE dbo.adressen ADD Parteibezeichnung [varchar] (1000) Null')
ELSE
EXEC('ALTER TABLE dbo.adressen ALTER COLUMN Parteibezeichnung [varchar] (1000) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'Plzortpostfach')
EXEC('ALTER TABLE dbo.adressen ADD Plzortpostfach [varchar] (100) Null')
ELSE
EXEC('ALTER TABLE dbo.adressen ALTER COLUMN Plzortpostfach [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'Postfach')
EXEC('ALTER TABLE dbo.adressen ADD Postfach [varchar] (100) Null')
ELSE
EXEC('ALTER TABLE dbo.adressen ALTER COLUMN Postfach [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'Land')
EXEC('ALTER TABLE dbo.adressen ADD Land [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'betreff')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD betreff [varchar] (2000) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'dokumentvorlage')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD dokumentvorlage [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'AdresszusatzBeteiligung')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD AdresszusatzBeteiligung [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'briefanrede')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD briefanrede [varchar] (200) Null')
ELSE
EXEC('ALTER TABLE dbo.aktenbeteiligte ALTER COLUMN briefanrede [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'telefax')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD telefax [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'email')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD email [varchar] (100) Null')
ELSE
EXEC('ALTER TABLE dbo.aktenbeteiligte ALTER COLUMN email [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'durchwahl')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD durchwahl [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'VertreterAbi')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD VertreterAbi [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'ustid')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD ustid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_konten' AND Spalte = N'akonto')
EXEC('ALTER TABLE dbo.fibu_konten ADD akonto [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'Rechnungsnr')
EXEC('ALTER TABLE dbo.beko_buchungen ADD Rechnungsnr [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'uid')
EXEC('ALTER TABLE dbo.beko_buchungen ADD uid [smallint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_tbe' AND Spalte = N'veraltet')
EXEC('ALTER TABLE dbo.g_tbe ADD veraltet [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_tbe' AND Spalte = N'kontoid')
EXEC('ALTER TABLE dbo.g_tbe ADD kontoid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_tbe' AND Spalte = N'tatbestand')
EXEC('ALTER TABLE dbo.g_tbe ADD tatbestand [varchar] (500) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'kalender' AND Spalte = N'privat')
EXEC('ALTER TABLE dbo.kalender ADD privat [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'kalender' AND Spalte = N'Link')
EXEC('ALTER TABLE dbo.kalender ADD Link [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_zeilen' AND Spalte = N'ustid')
EXEC('ALTER TABLE dbo.g_zeilen ADD ustid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'akten' AND Spalte = N'bemerkungen')
EXEC('ALTER TABLE dbo.akten ADD bemerkungen [varchar] (500) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qKonten' AND Spalte = N'vorzeichen')
EXEC('ALTER TABLE dbo.qKonten ADD vorzeichen [smallint] Null')
GO
UPDATE qKonten SET vorzeichen = 1 WHERE vorzeichen Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qKonten' AND Spalte = N'ergebnis')
EXEC('ALTER TABLE dbo.qKonten ADD ergebnis [tinyint] Null')
GO
UPDATE qKonten SET ergebnis = 1 WHERE ergebnis Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qAktenKonten' AND Spalte = N'bereich')
EXEC('ALTER TABLE dbo.qAktenKonten ADD bereich [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_buchungssaetze' AND Spalte = N'betriebsid')
EXEC('ALTER TABLE dbo.fibu_buchungssaetze ADD betriebsid [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'akten' AND Spalte = N'UserDef')
EXEC('ALTER TABLE dbo.akten ADD UserDef [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'akten' AND Spalte = N'Typ')
EXEC('ALTER TABLE dbo.akten ADD Typ [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'rgb' AND Spalte = N'bkbid')
EXEC('ALTER TABLE dbo.rgb ADD bkbid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'mitarbeiter' AND Spalte = N'Quote')
EXEC('ALTER TABLE dbo.mitarbeiter ADD Quote [float] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Adressen' AND Spalte = N'Grussformel')
EXEC('ALTER TABLE dbo.Adressen ADD Grussformel [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_einzelbuchungen' AND Spalte = N'bkbid')
EXEC('ALTER TABLE dbo.fibu_einzelbuchungen ADD bkbid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kontokaro' AND Spalte = N'Bezeichnung')
EXEC('ALTER TABLE dbo.Kontokaro ADD Bezeichnung [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'UserConst' AND Spalte = N'Kommentar')
EXEC('ALTER TABLE dbo.UserConst ADD Kommentar [varchar] (100) Null')
ELSE
EXEC('ALTER TABLE dbo.UserConst ALTER COLUMN Kommentar [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qBuchungen' AND Spalte = N'abi')
EXEC('ALTER TABLE dbo.qBuchungen ADD abi [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'unternehmen' AND Spalte = N'passwort')
EXEC('ALTER TABLE dbo.unternehmen ADD passwort [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'vfz')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD vfz [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'rgorder')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD rgorder [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'aktenbeteiligte' AND Spalte = N'Verfahrensrolle')
EXEC('ALTER TABLE dbo.aktenbeteiligte ADD Verfahrensrolle [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qBuchungen' AND Spalte = N'Druckdatum')
EXEC('ALTER TABLE dbo.qBuchungen ADD Druckdatum [datetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_ustkategorie' AND Spalte = N'tag')
EXEC('ALTER TABLE dbo.fibu_ustkategorie ADD tag [varchar] (2) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'Berufsbezeichnung')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD Berufsbezeichnung [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'Nr')
EXEC('ALTER TABLE dbo.beko_buchungen ADD Nr [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Unternehmen' AND Spalte = N'Abschlussdatum')
EXEC('ALTER TABLE dbo.Unternehmen ADD Abschlussdatum [datetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mahnstufen' AND Spalte = N'Farbe')
EXEC('ALTER TABLE dbo.Mahnstufen ADD Farbe [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kalender' AND Spalte = N'KategorienId')
EXEC('ALTER TABLE dbo.Kalender ADD KategorienId [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Adressen' AND Spalte = N'Vorsteuerabzug')
EXEC('ALTER TABLE dbo.Adressen ADD Vorsteuerabzug [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kalender' AND Spalte = N'olSync')
EXEC('ALTER TABLE dbo.Kalender ADD olSync [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Lager' AND Spalte = N'Sort')
EXEC('ALTER TABLE dbo.Lager ADD Sort [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'HFrdrg')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD HFrdrg [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'NFrdrg')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD NFrdrg [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'HfZins')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD HfZins [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'NfZins')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD NfZins [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Felder' AND Spalte = N'System')
EXEC('ALTER TABLE dbo.Felder ADD System [bit] Null')
GO
UPDATE Felder SET System = 1 WHERE System Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'SpezielleFelder' AND Spalte = N'System')
EXEC('ALTER TABLE dbo.SpezielleFelder ADD System [bit] Null')
GO
UPDATE SpezielleFelder SET System = 1 WHERE System Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'EdaIdMin')
EXEC('ALTER TABLE dbo.EdaStamm ADD EdaIdMin [smallint] Null')
GO
UPDATE EdaStamm SET EdaIdMin = 1 WHERE EdaIdMin Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'EdaIdMax')
EXEC('ALTER TABLE dbo.EdaStamm ADD EdaIdMax [smallint] Null')
GO
UPDATE EdaStamm SET EdaIdMax = 1000 WHERE EdaIdMax Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'Versand')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD Versand [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'edaMails' AND Spalte = N'Gnrn')
EXEC('ALTER TABLE dbo.edaMails ADD Gnrn [bigint] Null')
ELSE
EXEC('ALTER TABLE dbo.edaMails ALTER COLUMN Gnrn [bigint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'EMail')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD EMail [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'Kontakt')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD Kontakt [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibuJahr' AND Spalte = N'Bezeichnung')
EXEC('ALTER TABLE dbo.fibuJahr ADD Bezeichnung [varchar] (200) Null')
ELSE
EXEC('ALTER TABLE dbo.fibuJahr ALTER COLUMN Bezeichnung [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Benutzung' AND Spalte = N'Benutzung')
EXEC('ALTER TABLE dbo.Benutzung ADD Benutzung [varchar] (500) Null')
ELSE
EXEC('ALTER TABLE dbo.Benutzung ALTER COLUMN Benutzung [varchar] (500) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'EgvpImport')
EXEC('ALTER TABLE dbo.EdaStamm ADD EgvpImport [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'EgvpExport')
EXEC('ALTER TABLE dbo.EdaStamm ADD EgvpExport [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'Kezi')
EXEC('ALTER TABLE dbo.EdaStamm ADD Kezi [varchar] (8) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Timesheet' AND Spalte = N'Stufe')
EXEC('ALTER TABLE dbo.Timesheet ADD Stufe [varchar] (10) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'Honorarstufe')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD Honorarstufe [varchar] (10) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Unternehmen' AND Spalte = N'RgNr')
EXEC('ALTER TABLE dbo.Unternehmen ADD RgNr [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'qKonten' AND Spalte = N'Sort')
EXEC('ALTER TABLE dbo.qKonten ADD Sort [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'Nr')
EXEC('ALTER TABLE dbo.Akten ADD Nr [bigint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'Webordner')
EXEC('ALTER TABLE dbo.Akten ADD Webordner [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'Tilgung')
EXEC('ALTER TABLE dbo.beko_buchungen ADD Tilgung [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_zeilen' AND Spalte = N'Nr')
EXEC('ALTER TABLE dbo.g_zeilen ADD Nr [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'Betreff3')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD Betreff3 [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'Betreff4')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD Betreff4 [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'Bemerkungen')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD Bemerkungen [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'Ausgefhrt')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD Ausgefhrt [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'StammId')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD StammId [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'PTBET')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD PTBET [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'NMSKOBET')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD NMSKOBET [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'USTM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD USTM [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'NMSKOBET')
EXEC('ALTER TABLE dbo.AbiAbi ADD NMSKOBET [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'NMSKOBG')
EXEC('ALTER TABLE dbo.AbiAbi ADD NMSKOBG [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBSKoBg')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBSKoBg [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNFU')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNFU [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNN')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNN [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNSH')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNSH [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNPLZ')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNPLZ [varchar] (5) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNO')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNO [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNAL')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNAL [varchar] (3) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVNSN')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVNSN [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZFU')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZFU [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZN')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZN [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZSH')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZSH [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZPLZ')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZPLZ [varchar] (5) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZO')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZO [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVAL')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVAL [varchar] (3) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'AGGVZAL')
EXEC('ALTER TABLE dbo.AbiAbi ADD AGGVZAL [varchar] (3) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBZAM')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBZAM [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBZUM')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBZUM [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBPTBET')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBPTBET [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBSKOBET')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBSKOBET [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ASPVAUSL')
EXEC('ALTER TABLE dbo.AbiAbi ADD ASPVAUSL [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD1')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD1 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET1')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET1 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD2')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD2 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET2')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET2 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD3')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD3 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'VBIKUBET')
EXEC('ALTER TABLE dbo.AbiAbi ADD VBIKUBET [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'NMSKOBG')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD NMSKOBG [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kalender' AND Spalte = N'ExId')
EXEC('ALTER TABLE dbo.Kalender ADD ExId [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'PTBET')
EXEC('ALTER TABLE dbo.AbiAbi ADD PTBET [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_tbe' AND Spalte = N'pTxt')
EXEC('ALTER TABLE dbo.g_tbe ADD pTxt [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'Sz')
EXEC('ALTER TABLE dbo.beko_buchungen ADD Sz [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_Buchungssaetze' AND Spalte = N'eb1')
EXEC('ALTER TABLE dbo.fibu_Buchungssaetze ADD eb1 [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_Buchungssaetze' AND Spalte = N'Split')
EXEC('ALTER TABLE dbo.fibu_Buchungssaetze ADD Split [smallint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_Einzelbuchungen' AND Spalte = N'GbId')
EXEC('ALTER TABLE dbo.fibu_Einzelbuchungen ADD GbId [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'SWUM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD SWUM [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'GlAbi')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD GlAbi [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'Adressid')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD Adressid [int] Null')
ELSE
EXEC('ALTER TABLE dbo.Mitarbeiter ALTER COLUMN Adressid [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'KontoDirty')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD KontoDirty [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_konten' AND Spalte = N'obs')
EXEC('ALTER TABLE dbo.fibu_konten ADD obs [bit] Null')
GO
UPDATE fibu_konten SET obs = 0 WHERE obs Is NULL
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'ASPVRF')
EXEC('ALTER TABLE dbo.EdaStamm ADD ASPVRF [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Mitarbeiter' AND Spalte = N'StandardBcc')
EXEC('ALTER TABLE dbo.Mitarbeiter ADD StandardBcc [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Adressen' AND Spalte = N'ExName')
EXEC('ALTER TABLE dbo.Adressen ADD ExName [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kalender' AND Spalte = N'Quicklink')
EXEC('ALTER TABLE dbo.Kalender ADD Quicklink [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'timesheet' AND Spalte = N'ok')
EXEC('ALTER TABLE dbo.timesheet ADD ok [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'akten' AND Spalte = N'Mailvorlage')
EXEC('ALTER TABLE dbo.akten ADD Mailvorlage [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Terminkategorien' AND Spalte = N'Hauptid')
EXEC('ALTER TABLE dbo.Terminkategorien ADD Hauptid [smallint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'NMAUSK')
EXEC('ALTER TABLE dbo.AbiAbi ADD NMAUSK [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'WAUSLBET1')
EXEC('ALTER TABLE dbo.AbiAbi ADD WAUSLBET1 [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'WAUSLBET2')
EXEC('ALTER TABLE dbo.AbiAbi ADD WAUSLBET2 [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'WAUSLBG1')
EXEC('ALTER TABLE dbo.AbiAbi ADD WAUSLBG1 [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'WAUSLBG2')
EXEC('ALTER TABLE dbo.AbiAbi ADD WAUSLBG2 [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET10')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET10 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET11')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET11 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET12')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET12 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET7')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET7 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET8')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET8 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZABET9')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZABET9 [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD10')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD10 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD11')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD11 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD12')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD12 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD7')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD7 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD8')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD8 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'AbiAbi' AND Spalte = N'ZAD9')
EXEC('ALTER TABLE dbo.AbiAbi ADD ZAD9 [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_ustkategorie' AND Spalte = N'Datev')
EXEC('ALTER TABLE dbo.fibu_ustkategorie ADD Datev [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'Oberordner')
EXEC('ALTER TABLE dbo.Akten ADD Oberordner [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'Aktenordner')
EXEC('ALTER TABLE dbo.Akten ADD Aktenordner [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Adressen' AND Spalte = N'Oberordner')
EXEC('ALTER TABLE dbo.Adressen ADD Oberordner [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'Mobil2')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD Mobil2 [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'g_tbe' AND Spalte = N'Version')
EXEC('ALTER TABLE dbo.g_tbe ADD Version [varchar] (10) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'IBAN')
EXEC('ALTER TABLE dbo.adressen ADD IBAN [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'adressen' AND Spalte = N'BIC')
EXEC('ALTER TABLE dbo.adressen ADD BIC [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'IBAN')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD IBAN [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Zahlungsverkehr' AND Spalte = N'BIC')
EXEC('ALTER TABLE dbo.Zahlungsverkehr ADD BIC [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'dokumente' AND Spalte = N'titel')
EXEC('ALTER TABLE dbo.dokumente ADD titel [varchar] (200) Null')
ELSE
EXEC('ALTER TABLE dbo.dokumente ALTER COLUMN titel [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'ProgrammfunktionenExt' AND Spalte = N'exe')
EXEC('ALTER TABLE dbo.ProgrammfunktionenExt ADD exe [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'BIBAN')
EXEC('ALTER TABLE dbo.EdaStamm ADD BIBAN [varchar] (34) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'BBIC')
EXEC('ALTER TABLE dbo.EdaStamm ADD BBIC [varchar] (11) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'IKUBET')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD IKUBET [smallmoney] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'DateiSpeichernAls')
EXEC('ALTER TABLE dbo.Akten ADD DateiSpeichernAls [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'EMailSpeichernAls')
EXEC('ALTER TABLE dbo.Akten ADD EMailSpeichernAls [varchar] (100) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'TerminHauptKategorien' AND Spalte = N'StdKatId')
EXEC('ALTER TABLE dbo.TerminHauptKategorien ADD StdKatId [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'ua')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD ua [varchar] (50) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'Honorarstufe')
EXEC('ALTER TABLE dbo.Akten ADD Honorarstufe [varchar] (10) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Unternehmen' AND Spalte = N'Aktiv')
EXEC('ALTER TABLE dbo.Unternehmen ADD Aktiv [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'SRg')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD SRg [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Dokumente' AND Spalte = N'GespeichertAls')
EXEC('ALTER TABLE dbo.Dokumente ADD GespeichertAls [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'BerechnetAls')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD BerechnetAls [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'BerechnetAm')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD BerechnetAm [datetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'Kontostand2')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD Kontostand2 AS ([BerechnetAls]+CONVERT([money],[Tageszinsen]*datediff(day,[BerechnetAm],CONVERT([int],getdate(),(0))),(0)))')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Adressen' AND Spalte = N'ds')
EXEC('ALTER TABLE dbo.Adressen ADD ds [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Beteiligungstypen' AND Spalte = N'Archiv')
EXEC('ALTER TABLE dbo.Beteiligungstypen ADD Archiv [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'beko_buchungen' AND Spalte = N'ZiTlg')
EXEC('ALTER TABLE dbo.beko_buchungen ADD ZiTlg [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'fibu_buchungssaetze' AND Spalte = N'Del')
EXEC('ALTER TABLE dbo.fibu_buchungssaetze ADD Del [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIM [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIHFBET')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIHFBET [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIZIM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIZIM [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIZARTM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIZARTM [varchar] (2) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIZISA')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIZISA [real] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WIVKOM')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WIVKOM [bit] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'WINEBBET')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD WINEBBET [money] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGSH')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGSH [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGPLZ')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGPLZ [varchar] (5) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGO')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGO [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGAL')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGAL [varchar] (3) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVFU')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVFU [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVN')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVN [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVSH')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVSH [varchar] (35) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVPLZ')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVPLZ [varchar] (5) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVO')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVO [varchar] (27) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'AGGVAL')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD AGGVAL [varchar] (3) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZmahnk')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZmahnk [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIMmahnk')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIMmahnk [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZausk')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZausk [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIMausk')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIMausk [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZbankrl')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZbankrl [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIMbankrl')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIMbankrl [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZinkbet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZinkbet [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIMinkbet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIMinkbet [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZanfbet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZanfbet [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIManfbet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIManfbet [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZISATZvv2300bet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZISATZvv2300bet [tinyint] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaMahn4' AND Spalte = N'ZIMvv2300bet')
EXEC('ALTER TABLE dbo.EdaMahn4 ADD ZIMvv2300bet [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Kalender' AND Spalte = N'GespeichertAm')
EXEC('ALTER TABLE dbo.Kalender ADD GespeichertAm [smalldatetime] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'EdaStamm' AND Spalte = N'BKTOZO')
EXEC('ALTER TABLE dbo.EdaStamm ADD BKTOZO [varchar] (1) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Aktenbeteiligte' AND Spalte = N'EMailVorlage')
EXEC('ALTER TABLE dbo.Aktenbeteiligte ADD EMailVorlage [varchar] (200) Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Sachgebiete' AND Spalte = N'GwR')
EXEC('ALTER TABLE dbo.Sachgebiete ADD GwR [int] Null')
GO

IF NOT EXISTS (SELECT * FROM _FieldDefs WHERE Tabelle = N'Akten' AND Spalte = N'GwR')
EXEC('ALTER TABLE dbo.Akten ADD GwR [int] Null')
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.fibu_konten') AND name = N'aktenkonto')ALTER TABLE dbo.fibu_konten DROP COLUMN aktenkonto
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.Sachgebiete') AND name = N'neueid')ALTER TABLE dbo.Sachgebiete DROP COLUMN neueid
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.aktenbeteiligteext') AND name = N'vertreterabi')ALTER TABLE dbo.aktenbeteiligteext DROP COLUMN vertreterabi
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.fibu_kontoabschluesse') AND name = N'unternehmensid2')ALTER TABLE dbo.fibu_kontoabschluesse DROP COLUMN unternehmensid2
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.Mitarbeiter') AND name = N'Grussformel')ALTER TABLE dbo.Mitarbeiter DROP COLUMN Grussformel
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.Unternehmen') AND name = N'EdaDateiId')ALTER TABLE dbo.Unternehmen DROP COLUMN EdaDateiId
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.Unternehmen') AND name = N'EdaDateiKennung')ALTER TABLE dbo.Unternehmen DROP COLUMN EdaDateiKennung
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.EdaStamm') AND name = N'Ekezi')ALTER TABLE dbo.EdaStamm DROP COLUMN Ekezi
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.fibu_einzelbuchungen') AND name = N'Gegenkonto')ALTER TABLE dbo.fibu_einzelbuchungen DROP COLUMN Gegenkonto
GO

IF EXISTS (SELECT * FROM dbo.syscolumns WHERE id = OBJECT_ID(N'dbo.Mahnstufen') AND name = N'MahntextMulti')ALTER TABLE dbo.Mahnstufen DROP COLUMN MahntextMulti
GO

UPDATE dbo.fibu_konten SET Akonto = 'M' WHERE (Akonto = 'G') OR (Akonto = 'A') OR (Akonto = 'F') OR (Akonto = 'S')
GO

ALTER TABLE Basiszins DROP CONSTRAINT CK_Basiszins
GO

ALTER TABLE Basiszins ADD CONSTRAINT CK_Basiszins CHECK ([zinssatz] > -0.1 and [zinssatz] < 0.2)
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.FK_Akten_MegaAkte'))

BEGIN
UPDATE akten SET megaakte=Null WHERE megaakte='' OR NOT megaakte IN (SELECT aktenzeichen FROM akten)
ALTER TABLE akten ALTER COLUMN [megaakte] [varchar] (16) NULL
ALTER TABLE akten ADD CONSTRAINT [FK_Akten_MegaAkte] FOREIGN KEY ([megaakte]) REFERENCES [Akten] ([aktenzeichen])
END

GO

IF NOT EXISTS (SELECT * FROM pwds WHERE bereich='admin') INSERT INTO pwds VALUES ('admin','$RR*[S(B@K@9%&NW9@4X(2:B*,8!8$')
GO

IF NOT EXISTS (SELECT * FROM pwds WHERE bereich='fibu') INSERT INTO pwds VALUES ('fibu','TM7M&SA@BR*($W4!#@&B:-GA.0$+C)')
GO

IF NOT EXISTS (SELECT * FROM pwds WHERE bereich='Fibu buchen') INSERT INTO pwds VALUES ('Fibu buchen','18@C=6KHPQND8AGA3KAQ2=AC8]I0O(')
GO

IF NOT EXISTS (SELECT * FROM pwds WHERE bereich='Aktenkonto') INSERT INTO pwds VALUES ('Aktenkonto','')
GO

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.aktenbeteiligte'))
ALTER TABLE dbo.aktenbeteiligte ADD CONSTRAINT [FK_Aktenbeteiligte_Aktenbeteiligte] FOREIGN KEY ([vertreterabi]) REFERENCES [Aktenbeteiligte] ([ID])
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboMitarbeiter]')) DROP VIEW cboMitarbeiter
GO




CREATE VIEW dbo.cboMitarbeiter
AS
SELECT TOP 100 PERCENT dbo.Mitarbeiter.id AS MitarbeiterId, dbo.Adressen.Nachname + ', ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' ' + ISNULL(dbo.Adressen.Titel, '') AS NameRueck, dbo.Adressen.Vollername, dbo.Mitarbeiter.*
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id
WHERE (dbo.Mitarbeiter.aktuell <> 0)
ORDER BY dbo.Adressen.Nachname + ', ' + ISNULL(dbo.Adressen.Vorname, '') + ' ' + ISNULL(dbo.Adressen.Titel, '')

GO
GRANT ALL ON cboMitarbeiter TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAdressen_lang]')) DROP VIEW cboAdressen_lang
GO



CREATE VIEW dbo.cboAdressen_lang
AS
SELECT TOP 100 PERCENT id, Nachname + ', ' + ISNULL(Vorname, '') + ', ' + REPLACE(CAST(ISNULL(Adresszusaetze, '') AS varchar), CHAR(10), ', ')
+ ', ' + ISNULL(StrasseNr, '') + ', ' + ISNULL(PlzOrt, '') AS NameVoll
FROM dbo.Adressen
WHERE (Nachname <> '(gelscht)')


GO
GRANT ALL ON cboAdressen_lang TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Journal]')) DROP VIEW Journal
GO




CREATE VIEW dbo.Journal
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum, dbo.unternehmen.Bezeichnung AS Firma,
dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuerkategorie, dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_einzelbuchungen.Ustid,
dbo.fibu_einzelbuchungen.Kontoid AS KNr, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, gb.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) AS netto,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_kontotypen.Vorzeichen AS numeric(12, 2)) AS NettoWert,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz AS numeric(12, 2)) AS Umsatzsteuer,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz)
* dbo.fibu_ustkategorie.Ustsatz * dbo.fibu_kontotypen.Vorzeichen AS numeric(12, 2)) AS UStWert,
CAST(dbo.fibu_einzelbuchungen.Betrag AS numeric(12, 2)) AS Brutto,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS BruttoWert, dbo.fibu_buchungssaetze.betriebsid, dbo.fibu_konten.Oberkontoid,
dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.GbId
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_einzelbuchungen gb ON dbo.fibu_einzelbuchungen.GbId = gb.id LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen
ORDER BY dbo.fibu_buchungssaetze.Datumwert

GO
GRANT ALL ON Journal TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_kontenrahmen]')) DROP VIEW fibu_kontenrahmen
GO



CREATE VIEW dbo.fibu_kontenrahmen
AS
SELECT TOP 100 PERCENT dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, dbo.fibu_kontotypen.Vorzeichen,
dbo.fibu_konten.id AS Kontoid, dbo.fibu_konten.Bezeichnung AS Kontobezeichnung, dbo.fibu_konten.Ustvorschlag, dbo.fibu_konten.Akonto,
dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_oberkonten.Kontotypid, dbo.fibu_konten.Oberkontoid,
CASE WHEN dbo.fibu_oberkonten.kontotypid > 0 THEN 1 ELSE 0 END AS MitUSt, dbo.fibu_konten.id AS KNr, dbo.fibu_konten.obs
FROM dbo.fibu_ustkategorie INNER JOIN
dbo.fibu_konten ON dbo.fibu_ustkategorie.id = dbo.fibu_konten.Ustvorschlag RIGHT OUTER JOIN
dbo.fibu_kontotypen LEFT OUTER JOIN
dbo.fibu_oberkonten ON dbo.fibu_kontotypen.id = dbo.fibu_oberkonten.Kontotypid ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
ORDER BY Kontoid


GO
GRANT ALL ON fibu_kontenrahmen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Termine]')) DROP VIEW Termine
GO




CREATE VIEW dbo.Termine
AS
SELECT TOP 100 PERCENT dbo.Kalender.id, dbo.Kalender.Zeit, dbo.Kalender.Ende, dbo.Kalender.Betreff, ISNULL(dbo.Kalender.Akte, '') AS Akte,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Mitarbeiter.zeichnet AS Mitarbeiter, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.Akten.Betreff AS Aktenbetreff, dbo.Kalender.Text, dbo.Terminkategorien.Kategorie, dbo.Kalender.Raum, dbo.Kalender.Link,
dbo.Kalender.Wiedervorlage, dbo.Kalender.Erinnerung, dbo.Kalender.wichtigkeit, dbo.Kalender.mitarbeiterid
FROM dbo.Kalender INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Terminkategorien ON dbo.Kalender.KategorienId = dbo.Terminkategorien.id LEFT OUTER JOIN
dbo.Akten ON dbo.Kalender.Akte = dbo.Akten.aktenzeichen
WHERE (dbo.Kalender.statusid = 1)
ORDER BY dbo.Kalender.Zeit

GO
GRANT ALL ON Termine TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[g_z]')) DROP VIEW g_z
GO




CREATE VIEW dbo.g_z
AS
SELECT dbo.Aktenbeteiligte.beteiligungstypid, dbo.g_zeilen.*, dbo.g_zeilen.betrag * (1 + ustkategorie.Ustsatz * dbo.fibu_kontenrahmen.MitUSt) AS Brutto,
dbo.g_tbe.kontoid, dbo.fibu_kontenrahmen.MitUSt, dbo.g_tbe.format2, dbo.g_tbe.Sortierung
FROM dbo.g_tbe INNER JOIN
dbo.g_zeilen ON dbo.g_tbe.id = dbo.g_zeilen.tbid INNER JOIN
dbo.fibu_ustkategorie ustkategorie INNER JOIN
dbo.Aktenbeteiligte ON ustkategorie.id = dbo.Aktenbeteiligte.ustid ON dbo.g_zeilen.abi = dbo.Aktenbeteiligte.id INNER JOIN
dbo.fibu_kontenrahmen ON dbo.g_tbe.kontoid = dbo.fibu_kontenrahmen.Kontoid

GO
GRANT ALL ON g_z TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgbsplit]')) DROP VIEW rgbsplit
GO




CREATE VIEW dbo.rgbsplit
AS
SELECT bkbid, SUM(CASE WHEN Kontotypid = - 2 THEN betrag END) AS Auslagen, SUM(CASE WHEN Kontotypid = 1 THEN betrag END) AS Einnahmen,
SUM(CASE WHEN Kontotypid = - 1 THEN betrag END) AS Fremdgeld, SUM(CASE WHEN Kontotypid = 2 THEN betrag END) AS Ausgaben
FROM (SELECT dbo.rgb.bkbid, dbo.fibu_oberkonten.Kontotypid, SUM(dbo.rgb.betrag) AS Betrag
FROM dbo.rgb INNER JOIN
dbo.fibu_konten ON dbo.rgb.kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
GROUP BY dbo.rgb.bkbid, dbo.fibu_oberkonten.Kontotypid) tbl
GROUP BY bkbid

GO
GRANT ALL ON rgbsplit TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Erfasstezeit]')) DROP VIEW Erfasstezeit
GO




CREATE VIEW dbo.Erfasstezeit
AS
SELECT dbo.TimeSheet.id, CAST(CAST(dbo.TimeSheet.Startzeit - 0.5 AS integer) AS datetime) AS Datum, dbo.TimeSheet.Startzeit AS Zeit,
dbo.TimeSheet.Endzeit AS bis, dbo.TimeSheet.Az, dbo.Akten.Megaakte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, Bearbeiter.Diktatzeichen AS Dz,
Sachb1.Diktatzeichen AS Sb1, Sachb2.Diktatzeichen AS Sb2, dbo.TimeSheet.Text, dbo.Akten.Betreff, dbo.Sachgebiete.Sachgebiet,
dbo.TimeSheet.Quote, CONVERT(real, DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) * dbo.TimeSheet.Quote / 3600) AS Stunden,
ISNULL(dbo.TimeSheet.Stufe, Bearbeiter.Honorarstufe) AS Stufe, CAST(ISNULL(HonorarstufeKonkret.Betrag, HonorarstufeMitarbeiter.Betrag)
* dbo.TimeSheet.Quote * DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) / 3600 AS money) AS Betrag, dbo.TimeSheet.Mitarbeiterid,
dbo.TimeSheet.ok
FROM dbo.Mitarbeiter Sachb1 INNER JOIN
dbo.Akten ON Sachb1.id = dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter Sachb2 ON dbo.Akten.akquisiteursid = Sachb2.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.TimeSheet INNER JOIN
dbo.Mitarbeiter Bearbeiter ON dbo.TimeSheet.Mitarbeiterid = Bearbeiter.id ON dbo.Akten.aktenzeichen = dbo.TimeSheet.Az LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeMitarbeiter ON Bearbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeKonkret ON dbo.TimeSheet.Stufe = HonorarstufeKonkret.Stufe

GO
GRANT ALL ON Erfasstezeit TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeiterAbf]')) DROP VIEW MitarbeiterAbf
GO




CREATE VIEW dbo.MitarbeiterAbf
AS
SELECT dbo.Mitarbeiter.id, dbo.Adressen.Vollername, dbo.Mitarbeiter.zeichnet, dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Mitarbeiter.Berufsbezeichnung,
ISNULL(dbo.Mitarbeiter.EMail, dbo.Adressen.Email) AS EMail, dbo.Mitarbeiter.Kontakt, dbo.Mitarbeiter.susersname,
dbo.Mitarbeiter.Rechtsanwalt
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id

GO
GRANT ALL ON MitarbeiterAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Terminkalender]')) DROP VIEW Terminkalender
GO




CREATE VIEW dbo.Terminkalender
AS
SELECT TOP 100 PERCENT dbo.Kalender.id, dbo.Kalender.Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Mitarbeiter.Diktatzeichen AS Dz,
tabSb1.Diktatzeichen AS Sb1, tabSb2.Diktatzeichen AS Sb2, dbo.Kalender.Betreff, dbo.Kalender.Text, dbo.Kalender.Zeit, dbo.Kalender.Ende,
dbo.Kalender.abtermin, dbo.Terminkategorien.Kategorie, dbo.Kalender.Raum, dbo.Kalender.Link, dbo.Kalender.Quicklink,
dbo.Akten.Bemerkungen AS Aktenbemerkungen, dbo.TerminWichtigkeiten.Wichtigkeit AS Wichtigkeitt, dbo.Kalender.Erinnerung,
dbo.Kalender.Wiedervorlage, dbo.Terminstatus.Bezeichnung AS Status, dbo.Kalender.privat, dbo.Kalender.ExId, dbo.Kalender.olSync,
dbo.Kalender.serienid, dbo.Kalender.serie, dbo.Kalender.mitarbeiterid, dbo.Kalender.statusid, dbo.Kalender.KategorienId,
dbo.Terminkategorien.unterstrichen, dbo.Kalender.wichtigkeit, dbo.Terminkategorien.kursiv, dbo.Terminkategorien.Schriftart,
dbo.Terminkategorien.Schriftfarbe, dbo.Terminkategorien.Grad, dbo.Mitarbeiter.susersname, dbo.Terminkategorien.HauptId
FROM dbo.TerminWichtigkeiten INNER JOIN
dbo.Kalender INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Terminstatus ON dbo.Kalender.statusid = dbo.Terminstatus.id ON dbo.TerminWichtigkeiten.id = dbo.Kalender.wichtigkeit LEFT OUTER JOIN
dbo.Mitarbeiter tabSb1 INNER JOIN
dbo.Akten ON tabSb1.id = dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter tabSb2 ON dbo.Akten.akquisiteursid = tabSb2.id ON dbo.Kalender.Akte = dbo.Akten.aktenzeichen LEFT OUTER JOIN
dbo.Terminkategorien ON dbo.Kalender.KategorienId = dbo.Terminkategorien.id
WHERE (dbo.Kalender.privat IS NULL) OR(dbo.Mitarbeiter.susersname = SUSER_SNAME()) OR(dbo.Kalender.privat = 0)
ORDER BY dbo.Kalender.Zeit, dbo.Kalender.Ende

GO
GRANT ALL ON Terminkalender TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qUnion]')) DROP VIEW qUnion
GO




CREATE VIEW dbo.qUnion
AS
SELECT TOP 100 PERCENT dbo.qBuchungen.akte, dbo.qBuchungen.Datum, dbo.qBuchungen.Text, isnull(qAktenKonten.alias, Konto.Kontobezeichnung)
AS Kontobezeichnung, dbo.KontoKaro.Bezeichnung AS Kontotypbezeichnung, - dbo.qBuchungen.Betrag AS Betrag,
- dbo.qBuchungen.Betrag * Konto.ergebnis AS Bruttoergebnis, dbo.qBuchungen.Beleg, dbo.fibu_ustkategorie.bezeichnung AS UStBezeichnung,
dbo.fibu_ustkategorie.ustsatz, - dbo.qBuchungen.Betrag / (1 + dbo.fibu_ustkategorie.ustsatz) * Konto.vorzeichen AS NettoBetrag,
- dbo.qBuchungen.Betrag / (1 + dbo.fibu_ustkategorie.ustsatz) * dbo.fibu_ustkategorie.ustsatz * Konto.vorzeichen AS UStBetrag,
dbo.qBuchungen.ustid, - dbo.qBuchungen.Betrag * Konto.vorzeichen AS BetragVorzeichen, Konto.id AS Kontoid, Konto.ergebnis, Konto.vorzeichen,
CASE WHEN betrag < 0 THEN - betrag END AS Soll, CASE WHEN betrag > 0 THEN Betrag END AS Haben, Bereich, Abi, adressen.Anrede,
adressen.Vollername AS [Name], adressen.StrasseNr, adressen.PlzOrt, adressen.Briefanrede, Betrag AS BetragNegativ, qbuchungen.id,
qbuchungen.Druckdatum, cast(year(datum) AS varchar) + ' / ' + CAST(month(datum) AS varchar) AS Monat, Nachname
FROM dbo.qBuchungen INNER JOIN
dbo.qKonten Konto ON dbo.qBuchungen.Kontoid = Konto.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.qBuchungen.ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.KontoKaro ON Konto.vorzeichen = dbo.KontoKaro.vorzeichen AND Konto.ergebnis = dbo.KontoKaro.ergebnis LEFT OUTER JOIN
dbo.qAktenKonten ON dbo.qBuchungen.Kontoid = dbo.qAktenKonten.kontoid AND dbo.qBuchungen.akte = dbo.qAktenKonten.akte LEFT OUTER JOIN
dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid ON dbo.qBuchungen.abi = dbo.Aktenbeteiligte.id
ORDER BY dbo.qBuchungen.Datum
UNION ALL
SELECT TOP 100 PERCENT dbo.qBuchungen.akte, dbo.qBuchungen.Datum, dbo.qBuchungen.Text, IsNull(qAktenKonten.alias, gegenKonto.Kontobezeichnung),
KontoKaro.bezeichnung, dbo.qBuchungen.Betrag, dbo.qBuchungen.Betrag * Gegenkonto.ergebnis, dbo.qBuchungen.Beleg, '-', 0,
dbo.qBuchungen.Betrag, 0, 0, dbo.qBuchungen.Betrag * Gegenkonto.vorzeichen, Gegenkonto.id, Gegenkonto.ergebnis, Gegenkonto.vorzeichen,
CASE WHEN betrag >= 0 THEN betrag END, CASE WHEN betrag < 0 THEN - Betrag END, bereich, abi, adressen.anrede, vollername,
adressen.strassenr, adressen.plzort, adressen.briefanrede, - Betrag AS BetragNegativ, qbuchungen.id, qbuchungen.Druckdatum, cast(year(datum)
AS varchar) + ' / ' + CAST(month(datum) AS varchar), Nachname
FROM dbo.qBuchungen INNER JOIN
dbo.qKonten Gegenkonto ON dbo.qBuchungen.Gegenkontoid = Gegenkonto.id INNER JOIN
dbo.KontoKaro ON Gegenkonto.vorzeichen = dbo.KontoKaro.vorzeichen AND Gegenkonto.ergebnis = dbo.KontoKaro.ergebnis LEFT OUTER JOIN
dbo.qAktenKonten ON dbo.qBuchungen.gegenKontoid = dbo.qAktenKonten.kontoid AND
dbo.qBuchungen.akte = dbo.qAktenKonten.akte LEFT OUTER JOIN
dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid ON dbo.qBuchungen.abi = dbo.Aktenbeteiligte.id
ORDER BY dbo.qBuchungen.Datum

GO
GRANT ALL ON qUnion TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AbiAbiIni]')) DROP PROCEDURE AbiAbiIni
GO




CREATE PROCEDURE AbiAbiIni (@Abi as Int)
AS
INSERT INTO AbiAbi (Abi0, Abi1)
SELECT @abi, id
FROM Aktenbeteiligte
WHERE aktenzeichen=(SELECT aktenzeichen FROM Aktenbeteiligte WHERE id=@abi)
AND (id NOT IN(SELECT abi1 FROM AbiAbi WHERE abi0=@abi))
UPDATE AbiAbi Set BtId=(SELECT beteiligungstypid from Aktenbeteiligte WHERE id=abiabi.abi1) WHERE BtId is null
RETURN

GO
GRANT ALL ON AbiAbiIni TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adressimport]')) DROP PROCEDURE Adressimport
GO




CREATE PROCEDURE dbo.Adressimport
AS INSERT INTO dbo.Adressen(Titel, Anrede, Vorname, Nachname, Briefanrede, Grussformel, Geburtstag, Geburtsort, Adresszusaetze, Parteibezeichnung, Strassenr, Plzort, Land,
Postfach, Plzortpostfach, Telefon1, Telefon2, Mobil, Telefax, Email, Homepage, Bank, Bankort, Bankleitzahl, Kontonummer, Vorsteuerabzug)
SELECT Titel, Anrede, Vorname, Nachname, Briefanrede, Grussformel, Geburtstag, Geburtsort, Adresszusaetze, Parteibezeichnung, Strassenr, Plzort, Land,
Postfach, Plzortpostfach, Telefon1, Telefon2, Mobil, Telefax, Email, Homepage, Bank, Bankort, Bankleitzahl, Kontonummer, Vorsteuerabzug
FROM dbo.AdressenImport
ORDER BY Nachname, Vorname, Strassenr, Plzort, Geburtstag

GO
GRANT ALL ON Adressimport TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ak2kb]')) DROP PROCEDURE ak2kb
GO




CREATE PROCEDURE [dbo].[ak2kb] (
@abi int,
@az varchar(50),
@Import bit)
AS
DECLARE @UStId int
DELETE FROM g_zeilen
WHERE g_zeilen.id IN(SELECT dbo.g_zeilen.id FROM dbo.g_zeilen INNER JOIN dbo.g_tbe ON dbo.g_zeilen.tbid = dbo.g_tbe.id WHERE (dbo.g_tbe.Formelid = 7) AND g_zeilen.abi=@abi)
if @Import>0 BEGIN SET @ustid=(select top 1 ustid from aktenbeteiligte where id=@abi)
BEGIN INSERT INTO dbo.g_tbe (kontoid,Tatbestand,Sortierung,Formelid)
SELECT DISTINCT
id AS kontoid,
'Import von Fibu-Konto.-Nr. ' + CAST(id AS varchar) AS Txt,
9999 AS Sortierung,
7 AS Formelid
FROM dbo.fibu_konten
WHERE (id NOT IN(SELECT kontoid
FROM g_tbe x
WHERE formelid = 7))
AND NOT (Akonto Is Null)
INSERT INTO g_zeilen(abi,tbid,text,p1, p2, betrag)
SELECT TOP 100 PERCENT
@abi,
dbo.g_tbe.id,
CASE WHEN dbo.fibu_ustkategorie.tag = 'N'
THEN CONVERT(varchar, dbo.fibu_buchungssaetze.Datumwert, 104) + ' ' + dbo.fibu_buchungssaetze.Text + ' (' + dbo.fibu_kontenrahmen.Kontobezeichnung + ')'
ELSE CONVERT(varchar, dbo.fibu_buchungssaetze.Datumwert, 104) + ' ' + dbo.fibu_buchungssaetze.Text + ' (' + dbo.fibu_kontenrahmen.Kontobezeichnung + ', ' + CAST(100 * cast(dbo.fibu_ustkategorie.Ustsatz as decimal(6,2)) AS varchar) + '% USt)'
END AS Text,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontenrahmen.Vorzeichen as p1,
CASE WHEN dbo.fibu_ustkategorie.ustsatz <> 0
THEN cast(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontenrahmen.Vorzeichen / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz as varchar)
END AS p2,
ROUND(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontenrahmen.Vorzeichen / (1 + dbo.fibu_ustkategorie.Ustsatz),2) AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.g_tbe ON dbo.fibu_einzelbuchungen.Kontoid = dbo.g_tbe.kontoid INNER JOIN
dbo.fibu_kontenrahmen ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_kontenrahmen.Kontoid INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id
WHERE (dbo.fibu_einzelbuchungen.Az = @az) AND (dbo.g_tbe.Formelid = 7)
ORDER BY dbo.fibu_buchungssaetze.Datumwert
END
END

GO
GRANT ALL ON ak2kb TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenInteresse]')) DROP PROCEDURE AktenInteresse
GO




CREATE PROCEDURE dbo.AktenInteresse(@nachname varchar(100))
AS SELECT dbo.Akten.*
FROM dbo.Akten INNER JOIN
dbo.Mitarbeiter akquisiteur ON dbo.Akten.akquisiteursid = akquisiteur.id INNER JOIN
dbo.Mitarbeiter sachbearbeiter ON dbo.Akten.sachbearbeiterid = sachbearbeiter.id INNER JOIN
dbo.Adressen SachbearbeiterAdresse ON sachbearbeiter.adressid = SachbearbeiterAdresse.id INNER JOIN
dbo.Adressen AkquisiteurAdresse ON akquisiteur.adressid = AkquisiteurAdresse.id
WHERE (SachbearbeiterAdresse.nachname = @nachname) AND (AkquisiteurAdresse.nachname = @nachname)

GO
GRANT ALL ON AktenInteresse TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BasiszinsText]')) DROP PROCEDURE BasiszinsText
GO




CREATE PROCEDURE dbo.BasiszinsText(@abi int)
AS SELECT TOP 100 PERCENT 'ab ' + CONVERT(varchar,datum,104) + ': ' + CONVERT(varchar,CONVERT(real,zinssatz * 100,104)) + '%' AS text
FROM dbo.Basiszins
WHERE (datum >=(SELECT MIN(datum) - 180
FROM beko_buchungen
WHERE basiszins <> 0 AND beteiligtenid = @abi))
ORDER BY datum

GO
GRANT ALL ON BasiszinsText TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[beko2asp4]')) DROP PROCEDURE beko2asp4
GO




CREATE PROCEDURE dbo.beko2asp4 (@abi int) AS
INSERT INTO dbo.EdaAsp4 (id, abi, AspGr, AspVd, AspBet, ZISAM, ZiSatz, ZiVd, ZiArtM, Nr, AspZmAl, AbtAl)
SELECT id, @abi AS Abi, LEFT(Text, 35) AS Txt, Belegdatum, stdKapital, Basiszins, Zinssatz * 100 AS Abi, Datum, 1 AS ZiArtM, Nr, '' AS AspZmAl, '' AS AbtAl
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi) AND (id NOT IN (SELECT id FROM EdaAsp4 WHERE abi = @abi)) AND (KostenRang = 0) AND (stdKapital > 0)
INSERT INTO dbo.EdaAsp4(id, abi, AspGr, AspRnr, AspVd, AspBet, ZiSam, ZiSatz, Nr, AspZmAl, AbtAl, AspKat1)
SELECT id, @abi AS Abi, LEFT(Text, 35) AS Txt, 'Zinsrckstand', Belegdatum, stdZins, 0, 0, Nr, '' AS AspZmAl, '' AS AbtAl, 46
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi) AND (id NOT IN (SELECT id FROM EdaAsp4 WHERE abi = @abi)) AND (KostenRang = 0) AND (stdKapital = 0) AND (stdZins > 0)

GO
GRANT ALL ON beko2asp4 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BekosFortschreiben]')) DROP PROCEDURE BekosFortschreiben
GO




CREATE PROCEDURE dbo.BekosFortschreiben
AS UPDATE dbo.Aktenbeteiligte
SET Berechnungsdatum = CAST(CAST(GETDATE() - .5 AS int) AS datetime),Kontostand = Kontostand + Tageszinsen * DATEDIFF(d,Berechnungsdatum,
CAST(CAST(GETDATE() - .5 AS int) AS datetime))
WHERE (Tageszinsen <> 0) AND (Berechnungsdatum < CAST(CAST(GETDATE() - .5 AS int) AS datetime) - 2)

GO
GRANT ALL ON BekosFortschreiben TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BenutzungBereinigen]')) DROP PROCEDURE BenutzungBereinigen
GO




CREATE PROCEDURE dbo.BenutzungBereinigen
AS DELETE FROM dbo.Benutzung
WHERE (Zeit < GETDATE() - 30) AND (Art <> 6)

GO
GRANT ALL ON BenutzungBereinigen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAdressSelektion]')) DROP PROCEDURE cboAdressSelektion
GO




CREATE PROCEDURE [dbo].[cboAdressSelektion] (@suchbegriff varchar(50))
AS
SET @suchbegriff=REPLACE(@suchbegriff + '%','*','%')
/*
SET @suchbegriff=REPLACE(@suchbegriff,''','''''')
*/
IF LEFT(@suchbegriff,1) = '%'
SELECT TOP 100 PERCENT id,nachname + ', ' + isnull(vorname,'') + ', ' + REPLACE(CAST(isnull(adresszusaetze,'') AS varchar),CHAR(10),', ') + ', ' + isnull(strassenr,'') + ', ' + isnull(plzort,'') AS NameVoll
FROM dbo.Adressen
WHERE ((nachname LIKE @suchbegriff) OR(vorname LIKE @suchbegriff) OR(plzort LIKE @suchbegriff) OR(adresszusaetze LIKE @suchbegriff) OR(strassenr LIKE @suchbegriff))
AND (nachname <>'(gelscht)')
ORDER BY Nachname,Vorname,StrasseNr
ELSE
SELECT TOP 100 PERCENT id,nachname + ', ' + isnull(vorname,'') + ', ' + REPLACE(CAST(isnull(adresszusaetze,'') AS varchar),CHAR(10),', ') + ', ' + isnull(strassenr,'') + ', ' + isnull(plzort,'') AS NameVoll
FROM dbo.Adressen
WHERE (nachname LIKE @suchbegriff) AND (nachname <>'(gelscht)')
ORDER BY Nachname,Vorname,StrasseNr

GO
GRANT ALL ON cboAdressSelektion TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Datenpflege]')) DROP PROCEDURE Datenpflege
GO




CREATE PROCEDURE [dbo].[Datenpflege]
AS
UPDATE dbo.adressen SET titel = '' WHERE titel IS NULL
UPDATE dbo.adressen SET vorname = '' WHERE vorname IS NULL
UPDATE dbo.adressen SET nachname = '' WHERE nachname IS NULL
UPDATE dbo.adressen SET plzort = '' WHERE plzort IS NULL
UPDATE dbo.adressen SET adresszusaetze = '' WHERE adresszusaetze IS NULL
UPDATE dbo.adressen SET strassenr = '' WHERE strassenr IS NULL
UPDATE dbo.adressen SET plzort = '' WHERE plzort IS NULL
UPDATE dbo.adressen SET postfach = NULL WHERE postfach = ''
UPDATE dbo.adressen SET plzortpostfach = NULL WHERE plzortpostfach = ''
UPDATE dbo.Adressen SET vollername = ltrim(isnull(Titel, '') + ' ' + isnull(Vorname, '') + ' ' + Nachname) WHERE (vollername IS NULL) OR(vollername = '')
UPDATE dbo.adressen SET parteibezeichnung = NULL WHERE ltrim(parteibezeichnung) = ''
UPDATE dbo.Adressen SET Grussformel = isnull((SELECT wert FROM usertexte WHERE bezeichnung = 'mfg'), 'Mit freundlichen Gren') WHERE (Grussformel IS NULL)

UPDATE dbo.aktenbeteiligte SET AdressZusatzBeteiligung = NULL WHERE AdressZusatzBeteiligung = ''
UPDATE dbo.aktenbeteiligte SET briefanrede = NULL WHERE ltrim(briefanrede) = ''
UPDATE dbo.aktenbeteiligte SET telefax = NULL WHERE ltrim(telefax) = ''
UPDATE dbo.aktenbeteiligte SET email = NULL WHERE ltrim(email) = ''
UPDATE dbo.aktenbeteiligte SET Durchwahl = NULL WHERE ltrim(Durchwahl) = ''
UPDATE dbo.aktenbeteiligte SET briefanrede = NULL WHERE ltrim(briefanrede) = ''
UPDATE dbo.aktenbeteiligte SET ustid =(SELECT id FROM dbo.fibu_ustkategorie WHERE (tag = 'U')) WHERE ustid IS NULL
UPDATE dbo.unternehmen SET passwort =(SELECT passwort FROM pwds WHERE bereich = 'fibu') WHERE passwort IS NULL
UPDATE dbo.aktenbeteiligte SET standard = 1 WHERE standard = -1

EXEC fibu_bsini_alle

UPDATE dbo.Terminkategorien SET Hauptid = 2 WHERE (Hauptid IS NULL)
AND (
Kategorie LIKE '%termin%'
OR Kategorie LIKE'%besprechung%'
OR Kategorie LIKE '%sitzung%'
OR Kategorie LIKE '%essen%'
OR Kategorie LIKE '%party%'
OR Kategorie LIKE '%veranstaltung%'
OR Kategorie LIKE '%schulung%'
OR Kategorie LIKE '%Urlaub%'
OR Kategorie LIKE '%geburtstag%')

UPDATE dbo.Terminkategorien SET Hauptid = 1 WHERE (Kategorie LIKE '%frist%' OR Kategorie LIKE '%Verjhrung%') AND(Hauptid IS NULL)
UPDATE dbo.Terminkategorien SET Hauptid = 3 WHERE (Kategorie LIKE '%wiedervorlage%' OR Kategorie LIKE '%Websitecheck%') AND(Hauptid IS NULL)

UPDATE dbo.fibu_ustkategorie SET datev = 2 WHERE (bezeichnung LIKE 'Umsatzsteuer%') AND(ustSatz = .07)
UPDATE dbo.fibu_ustkategorie SET datev = 3 WHERE (bezeichnung LIKE 'Umsatzsteuer%') AND(ustSatz = .19)
UPDATE dbo.fibu_ustkategorie SET datev = 5 WHERE (bezeichnung LIKE 'Umsatzsteuer%') AND(ustSatz = .16)
UPDATE dbo.fibu_ustkategorie SET datev = 7 WHERE (bezeichnung LIKE 'Vorsteuer%') AND(ustSatz = .16)
UPDATE dbo.fibu_ustkategorie SET datev = 8 WHERE (bezeichnung LIKE 'Vorsteuer%') AND(ustSatz = .07)
UPDATE dbo.fibu_ustkategorie SET datev = 9 WHERE (bezeichnung LIKE 'Vorsteuer%') AND(ustSatz = .19)
UPDATE dbo.Adressen SET ds=1 WHERE anrede like 'Herr%' or anrede like 'Frau%' or Anrede = 'Familie'
UPDATE dbo.beteiligungstypen SET archiv=1 WHERE archiv is null AND (beteiligungstyp='Mandant' or beteiligungstyp='Gegner')
UPDATE dbo.Akten SET GwR = Null Where GwR=0

UPDATE g_formeln SET p1 = 'Betrag', p2 = NULL, ptxt = NULL Where ID = 12
UPDATE unternehmen SET aktiv=1 WHERE aktiv is null

UPDATE Sachgebiete SET GwR=3 WHERE GwR is null AND (Sachgebiet like '%Immobilie%' or Sachgebiet like '%Grundstck%' or Sachgebiet = 'Gesellschaftsrecht' or Sachgebiet = 'M & A' or Sachgebiet like '%merger%')

GO
GRANT ALL ON Datenpflege TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DeleteAbgelegteFromRGB]')) DROP PROCEDURE DeleteAbgelegteFromRGB
GO




CREATE PROCEDURE dbo.DeleteAbgelegteFromRGB
AS DELETE FROM dbo.rgb
WHERE (bkbid IN(SELECT dbo.rgb.bkbid
FROM dbo.rgb INNER JOIN
dbo.beko_buchungen ON dbo.rgb.bkbid = dbo.beko_buchungen.id INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen
WHERE (dbo.Akten.abgelegt = 1)))

GO
GRANT ALL ON DeleteAbgelegteFromRGB TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DeleteMahnVerfahren]')) DROP PROCEDURE DeleteMahnVerfahren
GO




CREATE PROCEDURE DeleteMahnVerfahren (@Abi int)
AS
DELETE EdaMahn4 WHERE abi= @abi
DELETE EdaAsp4 WHERE abi= @abi
DELETE EdaMails WHERE abi= @Abi
DELETE AbiAbi WHERE abi0= @Abi OR Abi1=@Abi
RETURN

GO
GRANT ALL ON DeleteMahnVerfahren TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DsIni]')) DROP PROCEDURE DsIni
GO




CREATE PROCEDURE dbo.DsIni
AS UPDATE dbo.Adressen
SET ds = 1
WHERE (ds IS NULL) AND (Anrede = 'Herr' OR
Anrede = 'Herrn' OR
Anrede = 'Herrn und Frau' OR
Anrede = 'Eheleute' OR
Anrede = 'Familie')

GO
GRANT ALL ON DsIni TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaInsertNewAdrIds]')) DROP PROCEDURE EdaInsertNewAdrIds
GO




CREATE PROCEDURE dbo.EdaInsertNewAdrIds
AS INSERT INTO dbo.EdaAdr(Adressid)
SELECT adressid
FROM dbo.Aktenbeteiligte
WHERE (adressid NOT IN(SELECT AdressId
FROM EdaAdr))

GO
GRANT ALL ON EdaInsertNewAdrIds TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaTestDatenDelete]')) DROP PROCEDURE EdaTestDatenDelete
GO




CREATE PROCEDURE dbo.EdaTestDatenDelete
AS
DELETE FROM dbo.EdaMails
DELETE FROM EdaAdr
DELETE FROM EdaAbi
DELETE FROM dbo.EdaAsp
DELETE FROM dbo.EdaMb
DELETE FROM dbo.EdaSaetze
DELETE FROM AbiAbi

GO
GRANT ALL ON EdaTestDatenDelete TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErinnerungenReset]')) DROP PROCEDURE ErinnerungenReset
GO




CREATE PROCEDURE dbo.ErinnerungenReset(@MiaId smallint)
AS UPDATE dbo.Kalender
SET Erinnerung = NULL
WHERE (Zeit < GETDATE()) AND (mitarbeiterid = @MiaId) OR(statusid <> 1) AND (mitarbeiterid = @MiaId)

GO
GRANT ALL ON ErinnerungenReset TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_bsini]')) DROP PROCEDURE fibu_bsini
GO




CREATE PROCEDURE fibu_bsini (@BsId int)
AS
DECLARE @eb1 int
DECLARE @eb2 int
DECLARE @Split int
SET @eb1 = (select TOP 1 id FROM fibu_einzelbuchungen WHERE buchungssatzid=@Bsid ORDER BY id)
SET @eb2 = (select TOP 1 id FROM fibu_einzelbuchungen WHERE buchungssatzid=@Bsid AND id<>@eb1 ORDER BY id)
SET @Split=(SELECT count(id) FROM fibu_einzelbuchungen WHERE buchungssatzid=@bsid)-2
if @Split = 0 SET @Split = Null
UPDATE fibu_buchungssaetze SET
eb1=@eb1,
Split=@Split
WHERE id=@bsid
UPDATE fibu_einzelbuchungen SET GbId=@eb2 WHERE id=@eb1
UPDATE fibu_einzelbuchungen SET GbId=@eb1 WHERE id<>@eb1 and buchungssatzid=@Bsid
RETURN

GO
GRANT ALL ON fibu_bsini TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_bsini_alle]')) DROP PROCEDURE fibu_bsini_alle
GO




CREATE PROCEDURE fibu_bsini_alle
AS
DECLARE @id int
DECLARE crs CURSOR FOR SELECT id from fibu_buchungssaetze WHERE eb1 Is Null
OPEN crs
FETCH NEXT FROM crs INTO @id
WHILE (@@FETCH_STATUS =0) BEGIN EXEC fibu_bsini @id
FETCH NEXT FROM crs INTO @id
END
CLOSE crs
DEALLOCATE crs
UPDATE dbo.fibu_buchungssaetze SET Split = NULL WHERE (Split = 0)
RETURN

GO
GRANT ALL ON fibu_bsini_alle TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibuBilanz]')) DROP PROCEDURE fibuBilanz
GO



CREATE PROC [dbo].[fibuBilanz]
-- liefert Datenstze fr die Bilanz

-- genutzt in:
-- AccessProjekt - Bericht fibuBilanz

-- erstellt:
-- 29.12.2020 - Reiner

@Stichtag DATETIME
AS

SELECT fibu_konten.id
, fibu_konten.Bezeichnung AS Konto
, fibu_oberkonten.Bezeichnung AS Oberkonto
, fibu_kontotypen.Bezeichnung AS Kontotyp
, ABS(SUM(fibu_einzelbuchungen.Betrag)) AS Saldo
, fibu_oberkonten.Kontotypid
, SIGN(SUM(fibu_einzelbuchungen.Betrag * fibu_kontotypen.Vorzeichen)) AS SgnKonto
, fibu_buchungssaetze.Unternehmen
FROM fibu_einzelbuchungen
INNER JOIN fibu_buchungssaetze ON fibu_einzelbuchungen.buchungssatzid = fibu_buchungssaetze.id
INNER JOIN fibu_konten ON fibu_einzelbuchungen.Kontoid = fibu_konten.id
INNER JOIN fibu_oberkonten ON fibu_konten.Oberkontoid = fibu_oberkonten.id
INNER JOIN fibu_kontotypen ON fibu_oberkonten.Kontotypid = fibu_kontotypen.id
WHERE (fibu_buchungssaetze.Datumwert < CONVERT(DATETIME, @Stichtag, 102))
GROUP BY fibu_konten.id, fibu_konten.Bezeichnung, fibu_oberkonten.Bezeichnung, fibu_kontotypen.Bezeichnung, fibu_oberkonten.Kontotypid, fibu_buchungssaetze.Unternehmen
HAVING (fibu_oberkonten.Kontotypid < 0) AND (SUM(fibu_einzelbuchungen.Betrag) <> 0)

UNION ALL
SELECT - 1 AS id
, 'Ergebnis' AS Konto
, 'Eigenkapital' AS Oberkonto
, 'Verbindlichkeiten' AS Kontotyp
, ABS(SUM(fibu_einzelbuchungen.Betrag * fibu_kontotypen.Vorzeichen)) AS Saldo
, - 1 AS KontotypId
, SIGN(SUM(fibu_einzelbuchungen.Betrag * fibu_kontotypen.Vorzeichen)) AS SgnE
, fibu_buchungssaetze.Unternehmen
FROM fibu_einzelbuchungen
INNER JOIN fibu_konten ON fibu_einzelbuchungen.Kontoid = fibu_konten.id
INNER JOIN fibu_oberkonten ON fibu_konten.Oberkontoid = fibu_oberkonten.id
INNER JOIN fibu_kontotypen ON fibu_oberkonten.Kontotypid = fibu_kontotypen.id
INNER JOIN fibu_buchungssaetze ON fibu_einzelbuchungen.buchungssatzid = fibu_buchungssaetze.id
WHERE (fibu_buchungssaetze.Datumwert <= CONVERT(DATETIME, @Stichtag, 102))
AND (fibu_oberkonten.Kontotypid > 0)
GROUP BY fibu_buchungssaetze.Unternehmen
HAVING (SUM(fibu_einzelbuchungen.Betrag * fibu_kontotypen.Vorzeichen) <> 0)

GO
GRANT ALL ON fibuBilanz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuJahrProz]')) DROP PROCEDURE FibuJahrProz
GO




CREATE PROCEDURE dbo.FibuJahrProz
AS UPDATE dbo.FibuJahr
SET Prozent = Summe /(SELECT SUM(Summe) + .0001
FROM FibuJahr Fj2
WHERE typid = fibujahr.typid AND jahr = fibujahr.jahr AND uid = fibujahr.uid AND e = fibujahr.e)

GO
GRANT ALL ON FibuJahrProz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnFK_Aktenbeteiligte_Adressen_CASCADE]')) DROP PROCEDURE fnFK_Aktenbeteiligte_Adressen_CASCADE
GO




CREATE PROCEDURE dbo.fnFK_Aktenbeteiligte_Adressen_CASCADE
AS ALTER TABLE [dbo].[Aktenbeteiligte] DROP CONSTRAINT [FK_Aktenbeteiligte_Adressen] ALTER TABLE [dbo].[Aktenbeteiligte] WITH CHECK ADD CONSTRAINT [FK_Aktenbeteiligte_Adressen]
FOREIGN KEY ([adressid]) REFERENCES [dbo].[Adressen]([id]) ON DELETE
CASCADE ALTER TABLE [dbo].[Aktenbeteiligte] CHECK CONSTRAINT [FK_Aktenbeteiligte_Adressen]

GO
GRANT ALL ON fnFK_Aktenbeteiligte_Adressen_CASCADE TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertGNotKGB21IntoG_tbe]')) DROP PROCEDURE InsertGNotKGB21IntoG_tbe
GO



CREATE PROCEDURE [dbo].[InsertGNotKGB21IntoG_tbe]
AS IF (SELECT COUNT(*)
FROM g_tbe
WHERE version = '[dbo].GNotKG21') = 0
INSERT
INTO dbo.g_tbe(Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, kontoid, Version)
SELECT Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, KontoId, Version
FROM dbo.GNotKGB21konvertiert
ORDER BY Sortierung, Tatbestand

GO
GRANT ALL ON InsertGNotKGB21IntoG_tbe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertKG2013IntoG_tbe]')) DROP PROCEDURE InsertKG2013IntoG_tbe
GO




CREATE PROCEDURE dbo.InsertKG2013IntoG_tbe
AS IF (SELECT COUNT(*)
FROM g_tbe
WHERE version = 'KG2013') = 0
INSERT
INTO dbo.g_tbe(Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, kontoid, Version)
SELECT Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, KontoId, Version
FROM dbo.KG2013konvertiert
ORDER BY Sortierung, Tatbestand

GO
GRANT ALL ON InsertKG2013IntoG_tbe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertKG2021IntoG_tbe]')) DROP PROCEDURE InsertKG2021IntoG_tbe
GO



CREATE PROCEDURE [dbo].[InsertKG2021IntoG_tbe]
AS IF (SELECT COUNT(*)
FROM g_tbe
WHERE version = 'KG2021') = 0
INSERT
INTO dbo.g_tbe(Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, kontoid, Version)
SELECT Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, KontoId, Version
FROM dbo.KG2021konvertiert
ORDER BY Sortierung, Tatbestand

GO
GRANT ALL ON InsertKG2021IntoG_tbe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertTerminSerienElemente]')) DROP PROCEDURE InsertTerminSerienElemente
GO




CREATE PROCEDURE dbo.InsertTerminSerienElemente
AS IF (SELECT COUNT(*)
FROM TerminSerienElemente) = 0 AND(SELECT ereignis
FROM terminserien
WHERE id = 3) = 'Gerichtstermin'
INSERT
INTO dbo.TerminSerienElemente(TerminserienId, Einheiten, Einheit, Betreff, Beschreibung, KategorienId, Wichtigkeit, AbTermin, vn)
SELECT dbo.TerminSerienElementeTmp.TerminserienId, dbo.TerminSerienElementeTmp.Einheiten, dbo.TerminSerienElementeTmp.Einheit,
dbo.TerminSerienElementeTmp.Betreff, dbo.TerminSerienElementeTmp.Beschreibung, dbo.TerminSerienElementeTmp.KategorienId,
dbo.TerminSerienElementeTmp.Wichtigkeit, dbo.TerminSerienElementeTmp.AbTermin, dbo.TerminSerienElementeTmp.vn
FROM dbo.TerminSerienElementeTmp INNER JOIN
dbo.Terminkategorien ON dbo.TerminSerienElementeTmp.KategorienId = dbo.Terminkategorien.id INNER JOIN
dbo.Terminserien ON dbo.TerminSerienElementeTmp.TerminserienId = dbo.Terminserien.id

GO
GRANT ALL ON InsertTerminSerienElemente TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kontakte2Adressen]')) DROP PROCEDURE Kontakte2Adressen
GO




CREATE PROCEDURE dbo.Kontakte2Adressen
AS INSERT INTO dbo.Adressen(Vorname,Nachname,Postfach,Strassenr,Plzort,Telefon1,Mobil,Telefax,Homepage,Email)
SELECT Vorname,Nachname,Postfach,Strae,PLZ + N' ' + Ort AS Plzort,Telefon,Mobiltelefon,[Fax Firma] + N',' + [Fax privat] AS Telefax,Webseite,
[E-Mail-Adresse]
FROM dbo.Kontakte
WHERE (NOT (Nachname IS NULL))

GO
GRANT ALL ON Kontakte2Adressen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[LetzteUId]')) DROP PROCEDURE LetzteUId
GO




CREATE PROCEDURE dbo.LetzteUId(@Az varchar(50))
AS SELECT TOP 1 PERCENT dbo.beko_buchungen.uid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid
WHERE (NOT (dbo.beko_buchungen.uid IS NULL)) AND (dbo.Aktenbeteiligte.Aktenzeichen = @Az)
ORDER BY dbo.beko_buchungen.id DESC

GO
GRANT ALL ON LetzteUId TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MahnstufeHoch]')) DROP PROCEDURE MahnstufeHoch
GO



CREATE PROCEDURE MahnstufeHoch (@Abi bigint, @MitKosten bit)
AS
BEGIN
SET NOCOUNT ON;
DECLARE @Betrag money
DECLARE @Mahnstufenid int
DECLARE @Mahntext varchar(50)
DECLARE @heute datetime
SET @Mahnstufenid = (SELECT Mahnstufenid FROM Aktenbeteiligte WHERE id= @Abi)
IF @Mahnstufenid >=0 AND @Mahnstufenid <3
BEGIN
SET @Mahnstufenid=@Mahnstufenid + 1
UPDATE Aktenbeteiligte SET mahnstufenid = @Mahnstufenid WHERE id = @Abi
IF @MitKosten=1
BEGIN
SET @Betrag = (SELECT Mahngebuehr FROM MahnStufen WHERE id=@Mahnstufenid)
SET @Mahntext = (SELECT Mahnstufe FROM MahnStufen WHERE id=@Mahnstufenid)
SET @heute = (select DATEADD(dd, DATEDIFF(dd, 0, getdate()), 0))
INSERT INTO beko_buchungen(beteiligtenid, Datum, Belegdatum, Text, Betrag, KostenRang) VALUES (@Abi,@heute, @heute, @Mahntext, @Betrag, 1)
END
END
SELECT @Abi
END


GO
GRANT ALL ON MahnstufeHoch TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mitstreiter]')) DROP PROCEDURE Mitstreiter
GO




CREATE PROCEDURE dbo.Mitstreiter (
@adressid int,
@az varchar(15),
@btyp int)
AS
SELECT dbo.Adressen.vollername,dbo.Beteiligungstypen.Beteiligungstyp,dbo.Aktenbeteiligte.aktenzeichen,dbo.akten.kurzrubrum,
dbo.Aktenbeteiligte.adressid,dbo.Aktenbeteiligte.betreff,dbo.Beteiligungstypen.id,aktenbeteiligte.DokumentVorlage,
dbo.aktenbeteiligte.AdressZusatzBeteiligung,dbo.aktenbeteiligte.briefanrede,dbo.aktenbeteiligte.telefax,dbo.aktenbeteiligte.durchwahl,dbo.aktenbeteiligte.email, dbo.aktenbeteiligte.id as abi
FROM dbo.Aktenbeteiligte
INNER JOIN dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
INNER JOIN dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
INNER JOIN dbo.Akten ON dbo.Aktenbeteiligte.aktenzeichen = dbo.akten.aktenzeichen
WHERE (dbo.Aktenbeteiligte.aktenzeichen IN(SELECT DISTINCT aktenzeichen
FROM aktenbeteiligte
WHERE adressid = @adressid
AND aktenzeichen<>@az and aktenzeichen<>'2412/00'))
AND dbo.aktenbeteiligte.adressid NOT IN (SELECT adressid FROM aktenbeteiligte WHERE aktenzeichen=@az)
AND (dbo.Beteiligungstypen.lagerid = (SELECT lagerid FROM Beteiligungstypen WHERE id=@btyp))
AND (dbo.Aktenbeteiligte.beteiligungstypid <> @btyp)
ORDER BY dbo.Aktenbeteiligte.id DESC

GO
GRANT ALL ON Mitstreiter TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[procNumTel]')) DROP PROCEDURE procNumTel
GO




CREATE PROCEDURE procNumTel
AS
DELETE FROM NumTel
INSERT INTO dbo.NumTel
SELECT DISTINCT TOP 100 PERCENT *
FROM (SELECT TOP 100 PERCENT REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(Telefon1, ' ', ''), '-', ''), '/', ''), '(', ''), ')', ''), '+', '00') AS TelNr,
id AS AdressId
FROM dbo.Adressen
WHERE (Telefon1 <> '')
UNION
SELECT TOP 100 PERCENT REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(Telefon2, ' ', ''), '-', ''), '/', ''), '(', ''), ')', ''), '+', '00') AS TelNr,
id AS AdressId
FROM dbo.Adressen
WHERE (Telefon2 <> '')
UNION
SELECT TOP 100 PERCENT REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(Mobil, ' ', ''), '-', ''), '/', ''), '(', ''), ')', ''), '+', '00') AS TelNr,
id AS AdressId
FROM dbo.Adressen
WHERE (Mobil <> '')
UNION
SELECT TOP 100 PERCENT REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(REPLACE(Durchwahl, ' ', ''), '-', ''), '/', ''), '(', ''), ')', ''), '+', '00')
AS TelNr, AdressId
FROM dbo.Aktenbeteiligte
WHERE (Durchwahl <> '')) tbl
ORDER BY TelNr RETURN

GO
GRANT ALL ON procNumTel TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[procQKonten]')) DROP PROCEDURE procQKonten
GO




CREATE PROC [dbo].[procQKonten]
-- liefert Kontenlisten fr Mandantenbuchhaltungen

-- genutzt in:
-- AccessProjekt - Formular qBuchen - cboKontoID und cboGegenkontoID

-- erstellt:
-- 03.01.2021 - Reiner
@Akte VARCHAR(10)

AS
SELECT *
FROM dbo.cboQKonten (@Akte)
ORDER BY Kontobezeichnung

GO
GRANT ALL ON procQKonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgid2rgb]')) DROP PROCEDURE rgid2rgb
GO




CREATE PROCEDURE rgid2rgb (@bsid int, @bkbid int) AS
UPDATE rgb SET betrag=
isnull(betrag+ (SELECT TOP 1 dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_einzelbuchungen.buchungssatzid = @bsid) AND (kontoid = rgb.kontoid)),0)
WHERE (bkbid = @bkbid)
DELETE rgb WHERE (betrag BETWEEN -0.01 AND 0.01)
DELETE FROM dbo.rgb
WHERE (bkbid IN(SELECT dbo.rgb.bkbid
FROM dbo.rgb INNER JOIN
dbo.beko_buchungen ON dbo.rgb.bkbid = dbo.beko_buchungen.id INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id
WHERE (dbo.Aktenbeteiligte.Kontostand BETWEEN -0.01 AND 0.01)))

GO
GRANT ALL ON rgid2rgb TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgidsp]')) DROP PROCEDURE rgidsp
GO




CREATE PROCEDURE dbo.rgidsp (@bkbid int)
AS
DELETE rgb WHERE bkbid = @bkbid
INSERT INTO dbo.rgb (bkbid,kontoid,betrag)
SELECT @bkbid,tbl.kontoid,SUM(tbl.brutto)
FROM(SELECT brutto,dbo.g_z.kontoid
FROM dbo.g_z
INNER JOIN dbo.beko_buchungen ON dbo.g_z.abi = dbo.beko_buchungen.beteiligtenid
WHERE (dbo.beko_buchungen.id = @bkbid) and ((dbo.g_z.format2 <> '###') OR (dbo.g_z.format2 IS NULL))) tbl
GROUP BY kontoid
HAVING SUM(tbl.brutto)<>0

GO
GRANT ALL ON rgidsp TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgsp]')) DROP PROCEDURE rgsp
GO




CREATE PROCEDURE dbo.rgsp (@rgnr int)
AS

GO
GRANT ALL ON rgsp TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RgTbAutomatikId]')) DROP PROCEDURE RgTbAutomatikId
GO




CREATE PROCEDURE dbo.RgTbAutomatikId
AS UPDATE dbo.g_zeilen
SET betrag =(SELECT SUM(betrag)
FROM dbo.g_z
WHERE (MitUSt <> 0) AND (abi = 1) AND id <>(SELECT wert
FROM userconst
WHERE bezeichnung = 'RgTbAutomatikId'))
WHERE (id =(SELECT wert
FROM userconst
WHERE bezeichnung = 'RgTbAutomatikId'))

GO
GRANT ALL ON RgTbAutomatikId TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[spFK_Aktenbeteiligte_Adressen_CASCADE]')) DROP PROCEDURE spFK_Aktenbeteiligte_Adressen_CASCADE
GO




CREATE PROCEDURE dbo.spFK_Aktenbeteiligte_Adressen_CASCADE
AS ALTER TABLE [dbo].[Aktenbeteiligte] DROP CONSTRAINT [FK_Aktenbeteiligte_Adressen] ALTER TABLE [dbo].[Aktenbeteiligte] WITH CHECK ADD CONSTRAINT [FK_Aktenbeteiligte_Adressen]
FOREIGN KEY ([adressid]) REFERENCES [dbo].[Adressen]([id]) ON DELETE
CASCADE ALTER TABLE [dbo].[Aktenbeteiligte] CHECK CONSTRAINT [FK_Aktenbeteiligte_Adressen]

GO
GRANT ALL ON spFK_Aktenbeteiligte_Adressen_CASCADE TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TermineReset]')) DROP PROCEDURE TermineReset
GO




CREATE PROCEDURE dbo.TermineReset(@MiaId smallint)
AS UPDATE dbo.Kalender
SET Wiedervorlage = NULL, Erinnerung = NULL, statusid = 0
WHERE (mitarbeiterid = @MiaId) AND (Ende < GETDATE()) AND (statusid = 1)

GO
GRANT ALL ON TermineReset TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UpdateTerminSerie]')) DROP PROCEDURE UpdateTerminSerie
GO




CREATE PROCEDURE UpdateTerminSerie (@id int)
AS UPDATE dbo.Kalender
SET Betreff = src.Betreff, Text = src.Text, Akte = src.akte, Abtermin=src.abtermin, wichtigkeit=src.wichtigkeit, raum=src.raum, link=src.link, serie=src.serie, privat=src.privat, kategorienid=src.kategorienid
FROM (SELECT * FROM Kalender WHERE id=@id) src
WHERE kalender.serienid=src.serienid AND kalender.statusid=1 AND kalender.zeit>src.zeit AND kalender.id<>@id

GO
GRANT ALL ON UpdateTerminSerie TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[updateVertreterabi]')) DROP PROCEDURE updateVertreterabi
GO




CREATE PROCEDURE dbo.updateVertreterabi
AS UPDATE dbo.Aktenbeteiligte
SET vertreterabi =(SELECT TOP 1 id
FROM aktenbeteiligte
ORDER BY aktenbeteiligte.standard)
WHERE (beteiligungstypid = 1) AND (aktenzeichen = aktenzeichen)

GO
GRANT ALL ON updateVertreterabi TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[vv7002automatik]')) DROP PROCEDURE vv7002automatik
GO




CREATE PROCEDURE [dbo].[vv7002automatik](@Abi int)
AS
DECLARE @vv7002 int;
DECLARE @Summe money;
SET @vv7002 = (SELECT wert FROM userconst WHERE bezeichnung = 'vv7002automatikId')
SET @summe = (SELECT isnull(SUM(betrag), 0)
FROM dbo.g_z
WHERE (MitUSt <> 0) AND (abi = @abi) and (betrag>0) AND (tbid <> @vv7002))
UPDATE dbo.g_zeilen
SET p1 = @summe
WHERE abi = @abi AND tbid = @vv7002
SET @summe = @summe * 0.2
SET @summe = ROUND(@summe,2)
IF @summe > 20 SET @summe = 20
IF @summe < 0 SET @summe = 0
UPDATE dbo.g_zeilen
SET betrag = @summe
WHERE abi = @abi AND tbid = @vv7002 RETURN

GO
GRANT ALL ON vv7002automatik TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[abfAkten]')) DROP VIEW abfAkten
GO



CREATE VIEW dbo.abfAkten
AS
SELECT dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff AS Aktenbetreff, Sachbearbeiter.Diktatzeichen AS Sb1,
Aquisiteur.Diktatzeichen AS Sb2, dbo.Sachgebiete.Sachgebiet, dbo.Akten.Anlagedatum, dbo.Akten.Anleger, dbo.Akten.UserDef, dbo.Akten.abgelegt,
dbo.Akten.dokumentenid, dbo.Akten.Dokumentvorlage, dbo.Akten.Aktenordner, ISNULL(GwRisikostufenAkte.Risikostufe,
GwRisikoStufenSachgebiet.Risikostufe) AS Risikostufe, dbo.Akten.Ablagenummer, dbo.Akten.Ablagezeit, CAST(CAST(dbo.Akten.Ablagezeit - 0.5 AS int)
AS datetime) AS Ablagedatum, dbo.Akten.Megaakte, dbo.Akten.Oberordner, dbo.Akten.Bemerkungen AS Aktennotiz, dbo.Aktentypen.Aktentyp,
dbo.Akten.sachbearbeiterid, dbo.Akten.akquisiteursid, dbo.Akten.sachgebietsid, dbo.Akten.Typ, dbo.AktenExt.*
FROM dbo.Akten INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mitarbeiter Aquisiteur ON dbo.Akten.akquisiteursid = Aquisiteur.id INNER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikoStufenSachgebiet ON dbo.Sachgebiete.GwR = GwRisikoStufenSachgebiet.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikostufenAkte ON dbo.Akten.GwR = GwRisikostufenAkte.id LEFT OUTER JOIN
dbo.AktenExt ON dbo.Akten.aktenzeichen = dbo.AktenExt.AzExt LEFT OUTER JOIN
dbo.Aktentypen ON dbo.Akten.Typ = dbo.Aktentypen.id


GO
GRANT ALL ON abfAkten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[abfAktenbeteiligungen]')) DROP VIEW abfAktenbeteiligungen
GO



CREATE VIEW dbo.abfAktenbeteiligungen
AS
SELECT DISTINCT
dbo.Aktenbeteiligte.Aktenzeichen, dbo.Akten.Kurzrubrum + ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ')' AS RubrumRolle,
dbo.Aktenbeteiligte.adressid
FROM dbo.Beteiligungstypen INNER JOIN
dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen ON dbo.Beteiligungstypen.id = dbo.Aktenbeteiligte.beteiligungstypid


GO
GRANT ALL ON abfAktenbeteiligungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[abfBeteiligtenkonten]')) DROP VIEW abfBeteiligtenkonten
GO




CREATE VIEW dbo.abfBeteiligtenkonten
AS
SELECT TOP 100 PERCENT dbo.Aktenbeteiligte.Aktenzeichen, dbo.Akten.Kurzrubrum, dbo.beko_buchungen.Belegdatum, dbo.beko_buchungen.Datum,
dbo.beko_buchungen.KostenRang, dbo.beko_buchungen.Betrag, dbo.Adressen.Vollername, dbo.Aktenbeteiligte.mahnstufenid,
dbo.Aktenbeteiligte.beteiligungstypid, dbo.beko_buchungen.Zinssatz, dbo.beko_buchungen.stdKapital, dbo.beko_buchungen.stdZins,
dbo.beko_buchungen.SummeKoZins, dbo.beko_buchungen.SummeKosten, dbo.beko_buchungen.SummeZinsen,
dbo.beko_buchungen.SummeHauptforderung, dbo.beko_buchungen.Kontostand, dbo.beko_buchungen.Text, dbo.Aktenbeteiligte.id,
dbo.Adressen.Strassenr + ', ' + dbo.Adressen.Plzort AS anschrift, dbo.beko_buchungen.Zinstage, dbo.beko_buchungen.Tageszinsen,
dbo.Aktenbeteiligte.Kontostand AS LetzterKontostand, dbo.Aktenbeteiligte.Tageszinsen AS KnftigeTageszinsen,
dbo.Aktenbeteiligte.Berechnungsdatum AS LetztesBerechnungsdatum
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
ORDER BY dbo.beko_buchungen.Datum

GO
GRANT ALL ON abfBeteiligtenkonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AbiAbiAbf]')) DROP VIEW AbiAbiAbf
GO



CREATE VIEW dbo.AbiAbiAbf
AS
SELECT dbo.AbiAbi.*, dbo.EdaAdr.*, dbo.Aktenbeteiligte.Aktenzeichen AS Az, '(' + COALESCE (CAST(dbo.EdaAdr.ANR AS varchar), dbo.EdaAdr.RF, '/')
+ ') ' + ' ' + ISNULL(dbo.EdaAdr.N1, '') + ' ' + ISNULL(dbo.EdaAdr.N2, '')
+ ' (' + dbo.Beteiligungstypen.Beteiligungstyp + '), ' + ISNULL(dbo.Adressen.StrasseNr, '') + ', ' + ISNULL(dbo.Adressen.PlzOrt, '') AS Klartext,
dbo.Adressen.Bankleitzahl AS BLZ, dbo.Adressen.Kontonummer AS KTO, dbo.Adressen.Vollername
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.EdaAdr ON dbo.Adressen.id = dbo.EdaAdr.Adressid INNER JOIN
dbo.AbiAbi ON dbo.Aktenbeteiligte.id = dbo.AbiAbi.Abi1


GO
GRANT ALL ON AbiAbiAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressBeko]')) DROP VIEW AdressBeko
GO



CREATE VIEW dbo.AdressBeko
AS
SELECT TOP 100 PERCENT dbo.beko_buchungen.Belegdatum AS Beleg, dbo.beko_buchungen.Datum, dbo.Aktenbeteiligte.Aktenzeichen AS Az,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.beko_buchungen.Text, dbo.beko_buchungen.Betrag, dbo.Aktenbeteiligte.id AS Abi,
dbo.Aktenbeteiligte.adressid, dbo.beko_buchungen.id
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen


GO
GRANT ALL ON AdressBeko TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenDs]')) DROP VIEW AdressenDs
GO




CREATE VIEW dbo.AdressenDs
AS
SELECT TOP 100 PERCENT id AS AdressId, Nachname, Vorname, Anrede, StrasseNr, PlzOrt, Land, Postfach, PlzOrtPostfach, Geburtstag, Geburtsort, ExName,
Adresszusaetze, Telefon1, Telefon2, Mobil, Telefax, Email, Homepage, IBAN, BIC, Bankleitzahl, Kontonummer
FROM dbo.Adressen
WHERE (ds = 1) AND (NOT (id IN(SELECT adressid
FROM Mitarbeiter))) AND (NOT (id IN(SELECT adressid
FROM unternehmen)))
ORDER BY Nachname, Vorname

GO
GRANT ALL ON AdressenDs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenDsmbI]')) DROP VIEW AdressenDsmbI
GO




CREATE VIEW dbo.AdressenDsmbI
AS
SELECT DISTINCT
dbo.Adressen.id AS AdressId, dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Adressen.Anrede, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt,
dbo.Adressen.Land, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach, dbo.Adressen.Geburtstag, dbo.Adressen.Geburtsort, dbo.Adressen.ExName,
dbo.Adressen.Adresszusaetze, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax, dbo.Adressen.Email,
dbo.Adressen.Homepage, dbo.Adressen.IBAN, dbo.Adressen.BIC, dbo.Adressen.Bankleitzahl, dbo.Adressen.Kontonummer
FROM dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen
WHERE (dbo.Akten.abgelegt = 0) AND (dbo.Adressen.ds = 1) OR(dbo.Akten.abgelegt = 1) AND (dbo.Adressen.ds = 1) AND (dbo.Beteiligungstypen.Archiv = 1) AND (GETDATE() - ISNULL(dbo.Akten.Ablagezeit,
dbo.Akten.Anlagedatum + 1827) < 3652) OR(dbo.Adressen.id IN(SELECT adressid
FROM dbo.Mitarbeiter))

GO
GRANT ALL ON AdressenDsmbI TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenDsobI]')) DROP VIEW AdressenDsobI
GO




CREATE VIEW dbo.AdressenDsobI
AS
SELECT *
FROM dbo.AdressenDs
WHERE (NOT (AdressId IN(SELECT adressid
FROM AdressenDsmbI)))

GO
GRANT ALL ON AdressenDsobI TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenGesamt]')) DROP VIEW AdressenGesamt
GO



CREATE VIEW dbo.AdressenGesamt
AS
SELECT dbo.Adressen.*, dbo.AdressenExt.*
FROM dbo.Adressen LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Adressen.id = dbo.AdressenExt.AdressIdExt


GO
GRANT ALL ON AdressenGesamt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenMitBezug]')) DROP VIEW AdressenMitBezug
GO




CREATE VIEW dbo.AdressenMitBezug
AS
SELECT vollername,id
FROM dbo.Adressen
WHERE (id IN(SELECT adressid
FROM aktenbeteiligte))

GO
GRANT ALL ON AdressenMitBezug TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenNachBeteiligungstyp]')) DROP VIEW AdressenNachBeteiligungstyp
GO




CREATE VIEW dbo.AdressenNachBeteiligungstyp
AS
SELECT dbo.Adressen.id AS AdressId, dbo.Adressen.Titel, dbo.Adressen.Anrede, dbo.Adressen.Vorname, dbo.Adressen.Nachname, dbo.Adressen.Vollername,
dbo.Adressen.Briefanrede, dbo.Adressen.Grussformel, dbo.Adressen.Geburtstag, dbo.Adressen.Geburtsort, dbo.Adressen.Adresszusaetze,
dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt, dbo.Adressen.Land, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach, dbo.Adressen.Telefon1,
dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax, dbo.Adressen.Email, dbo.Adressen.Homepage, dbo.Adressen.Bank,
dbo.Adressen.Bankort, dbo.Adressen.Bankleitzahl, dbo.Adressen.Kontonummer, dbo.Beteiligungstypen.Beteiligungstyp,
COUNT(dbo.Aktenbeteiligte.id) AS Anzahl
FROM dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
GROUP BY dbo.Beteiligungstypen.Beteiligungstyp, dbo.Adressen.id, dbo.Adressen.Titel, dbo.Adressen.Anrede, dbo.Adressen.Vorname,
dbo.Adressen.Nachname, dbo.Adressen.Vollername, dbo.Adressen.Briefanrede, dbo.Adressen.Grussformel, dbo.Adressen.Geburtstag,
dbo.Adressen.Geburtsort, dbo.Adressen.Adresszusaetze, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt, dbo.Adressen.Land, dbo.Adressen.Postfach,
dbo.Adressen.PlzOrtPostfach, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax, dbo.Adressen.Email,
dbo.Adressen.Homepage, dbo.Adressen.Bank, dbo.Adressen.Bankort, dbo.Adressen.Bankleitzahl, dbo.Adressen.Kontonummer

GO
GRANT ALL ON AdressenNachBeteiligungstyp TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AdressenOhneBezug]')) DROP VIEW AdressenOhneBezug
GO




CREATE VIEW dbo.AdressenOhneBezug
AS
SELECT id AS AdressId, Nachname, Vorname, StrasseNr, PlzOrt, Telefon1, Email
FROM dbo.Adressen
WHERE (NOT (id IN(SELECT adressid
FROM aktenbeteiligte)))

GO
GRANT ALL ON AdressenOhneBezug TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adressgruppen]')) DROP VIEW Adressgruppen
GO




CREATE VIEW dbo.Adressgruppen
AS
SELECT dbo.Adressen.megaadresse AS AdressId, Hauptadresse.Vollername, Hauptadresse.StrasseNr, Hauptadresse.PlzOrt, Hauptadresse.Telefon1,
Hauptadresse.Telefon2, COUNT(dbo.Adressen.id) AS Mitglieder
FROM dbo.Adressen INNER JOIN
dbo.Adressen Hauptadresse ON dbo.Adressen.megaadresse = Hauptadresse.id
GROUP BY dbo.Adressen.megaadresse, Hauptadresse.Vollername, Hauptadresse.StrasseNr, Hauptadresse.PlzOrt, Hauptadresse.Telefon1,
Hauptadresse.Telefon2

GO
GRANT ALL ON Adressgruppen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adressgruppenbeteiligung]')) DROP VIEW Adressgruppenbeteiligung
GO




CREATE VIEW dbo.Adressgruppenbeteiligung
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Rubrum, dbo.Akten.Betreff, dbo.Adressen.Nachname AS Name,
dbo.Beteiligungstypen.Beteiligungstyp AS Art, dbo.Adressen.megaadresse, dbo.Mitarbeiter.Diktatzeichen AS Sb1,
Akquisiteur.Diktatzeichen AS Sb2
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Mitarbeiter Akquisiteur ON dbo.Akten.akquisiteursid = Akquisiteur.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
ORDER BY dbo.Akten.Kurzrubrum

GO
GRANT ALL ON Adressgruppenbeteiligung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adressgruppenjournal]')) DROP VIEW Adressgruppenjournal
GO




CREATE VIEW dbo.Adressgruppenjournal
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Rubrum,
dbo.fibu_buchungssaetze.Text AS Buchungstext, dbo.Adressen.megaadresse,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Auslagen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Einnahmen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Fremdgeld
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert DESC

GO
GRANT ALL ON Adressgruppenjournal TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Adresskonto]')) DROP VIEW Adresskonto
GO




CREATE VIEW dbo.Adresskonto
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_buchungssaetze.Text AS Buchungstext, 0 AS Konto,
CASE dbo.fibu_oberkonten.kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Auslagen,
CASE dbo.fibu_oberkonten.kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Einnahmen,
CASE dbo.fibu_oberkonten.kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Fremdgeld,
CASE dbo.fibu_oberkonten.kontotypid WHEN 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Ausgaben, dbo.Aktenbeteiligte.adressid,
dbo.fibu_einzelbuchungen.id
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_oberkonten.id = dbo.fibu_konten.Oberkontoid INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id
ORDER BY dbo.fibu_buchungssaetze.datumwert DESC
UNION
SELECT dbo.beko_buchungen.Belegdatum, dbo.Aktenbeteiligte.Aktenzeichen, dbo.Akten.Kurzrubrum, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.beko_buchungen.Text, dbo.beko_buchungen.Betrag, 0 AS Auslagen, 0 AS Gebhren, 0 AS Fremdgeld, 0 AS Konto, dbo.Aktenbeteiligte.adressid,
- dbo.beko_buchungen.id AS Expr1
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id

GO
GRANT ALL ON Adresskonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenbeteiligteEinschlVertretung]')) DROP VIEW AktenbeteiligteEinschlVertretung
GO




CREATE VIEW dbo.AktenbeteiligteEinschlVertretung
AS
SELECT *
FROM (SELECT p.id AS Abi, p.vertreterabi, ISNULL(v.adressid, p.adressid) AS AdrIdPost, p.adressid AS AdressIdPartei
FROM dbo.Aktenbeteiligte v RIGHT OUTER JOIN
dbo.Aktenbeteiligte p INNER JOIN
dbo.Adressen ON p.adressid = dbo.Adressen.id ON v.id = p.vertreterabi
WHERE (p.Aktenzeichen = '2163/11') AND (NOT (p.id IN(SELECT vertreterabi
FROM aktenbeteiligte
WHERE Aktenzeichen = '2163/11' AND NOT vertreterabi IS NULL)))) DERIVEDTBL INNER JOIN
dbo.Adressen ON DERIVEDTBL.AdrIdPost = dbo.Adressen.id

GO
GRANT ALL ON AktenbeteiligteEinschlVertretung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenbeteiligteMega]')) DROP VIEW AktenbeteiligteMega
GO




CREATE VIEW dbo.AktenbeteiligteMega
AS
SELECT DISTINCT dbo.Beteiligungstypen.lagerid,dbo.Aktenbeteiligte.adressid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Beteiligungstypen.lagerid < 3)
UNION
SELECT DISTINCT dbo.Beteiligungstypen.lagerid,Gruppenadressen.megaadresse AS adressid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen UnmittelbarBeteiligteAdresse ON dbo.Aktenbeteiligte.adressid = UnmittelbarBeteiligteAdresse.id INNER JOIN
dbo.Adressen Gruppenadressen ON UnmittelbarBeteiligteAdresse.megaadresse = Gruppenadressen.megaadresse INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Beteiligungstypen.lagerid < 3)

GO
GRANT ALL ON AktenbeteiligteMega TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktengruppen]')) DROP VIEW Aktengruppen
GO




CREATE VIEW dbo.Aktengruppen
AS
SELECT dbo.Akten.Megaakte AS Az, Hauptakte.Kurzrubrum AS Bezeichnung, COUNT(dbo.Akten.aktenzeichen) AS Anzahl, dbo.Mitarbeiter.Diktatzeichen AS Sb1,
Hauptakte.Anlagedatum, dbo.Sachgebiete.Sachgebiet
FROM dbo.Akten INNER JOIN
dbo.Akten Hauptakte ON dbo.Akten.Megaakte = Hauptakte.aktenzeichen INNER JOIN
dbo.Sachgebiete ON Hauptakte.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mitarbeiter ON Hauptakte.sachbearbeiterid = dbo.Mitarbeiter.id
GROUP BY dbo.Akten.Megaakte, Hauptakte.Kurzrubrum, Hauptakte.Anlagedatum, dbo.Sachgebiete.Sachgebiet, dbo.Mitarbeiter.Diktatzeichen
HAVING (NOT (dbo.Akten.Megaakte IS NULL))

GO
GRANT ALL ON Aktengruppen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktengruppenbeteiligte]')) DROP VIEW Aktengruppenbeteiligte
GO




CREATE VIEW dbo.Aktengruppenbeteiligte
AS
SELECT TOP 100 PERCENT dbo.Aktenbeteiligte.aktenzeichen AS Akte,dbo.Akten.Kurzrubrum AS Rubrum,dbo.Adressen.vollername AS Name,
dbo.Aktenbeteiligte.betreff,dbo.Beteiligungstypen.Beteiligungstyp AS Art,dbo.Akten.megaakte
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
ORDER BY dbo.Akten.anlagedatum

GO
GRANT ALL ON Aktengruppenbeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktengruppenjournal]')) DROP VIEW Aktengruppenjournal
GO




CREATE VIEW dbo.Aktengruppenjournal
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum, dbo.Akten.Megaakte,
dbo.fibu_buchungssaetze.Text, CASE dbo.fibu_oberkonten.Kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Auslagen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Einnahmen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Fremdgeld
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert

GO
GRANT ALL ON Aktengruppenjournal TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktengruppenkonto]')) DROP VIEW Aktengruppenkonto
GO




CREATE VIEW dbo.Aktengruppenkonto
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum, dbo.Akten.Megaakte,
'Journal' AS Betrifft, dbo.fibu_buchungssaetze.Text AS Buchungstext,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Auslagen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Einnahmen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Fremdgeld
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert DESC

GO
GRANT ALL ON Aktengruppenkonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenInfo]')) DROP VIEW AktenInfo
GO



CREATE VIEW dbo.AktenInfo
AS
SELECT dbo.Akten.aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff, dbo.Akten.Anlagedatum, dbo.Akten.Anleger,
dbo.Sachgebiete.Sachgebiet, dbo.Mitarbeiter.Diktatzeichen AS Sb1, Mitarbeiter_1.Diktatzeichen AS Sb2, dbo.Akten.UserDef, dbo.Akten.abgelegt,
dbo.Akten.dokumentenid, dbo.Akten.Dokumentvorlage, dbo.Akten.Mailvorlage, dbo.Akten.Oberordner, dbo.Akten.Aktenordner, dbo.Akten.Webordner,
dbo.Akten.Ablagenummer, dbo.Akten.Ablagezeit, dbo.Akten.Megaakte, dbo.Akten.DateiSpeichernAls, dbo.Akten.EMailSpeichernAls, dbo.Akten.Honorarstufe,
dbo.GwRisikoStufen.Risikostufe
FROM dbo.Akten INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Mitarbeiter AS Mitarbeiter_1 ON dbo.Akten.akquisiteursid = Mitarbeiter_1.id LEFT OUTER JOIN
dbo.GwRisikoStufen ON dbo.Akten.GwR = dbo.GwRisikoStufen.id


GO
GRANT ALL ON AktenInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenjournal]')) DROP VIEW Aktenjournal
GO




CREATE VIEW dbo.Aktenjournal
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum,dbo.Akten.aktenzeichen AS Akte,'Journal' AS Betrifft,
dbo.fibu_buchungssaetze.Text AS Buchungstext,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Auslagen,
CASE dbo.fibu_oberkonten.Kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Gebuehren,
CASE dbo.fibu_oberkonten.Kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE 0 END AS Fremdgeld
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert DESC

GO
GRANT ALL ON Aktenjournal TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenkontenpur]')) DROP VIEW Aktenkontenpur
GO



CREATE VIEW dbo.Aktenkontenpur
AS
SELECT TOP 100 PERCENT dbo.fibu_einzelbuchungen.id, dbo.Akten.aktenzeichen AS Akte, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Text, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, gk.Kontoid AS GKNr,
CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 2 THEN dbo.fibu_einzelbuchungen.betrag END AS Auslagen,
CASE WHEN dbo.fibu_oberkonten.Kontotypid = 1 THEN dbo.fibu_einzelbuchungen.betrag END AS Einnahmen,
CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 1 THEN dbo.fibu_einzelbuchungen.betrag END AS Fremdgeld,
CASE WHEN dbo.fibu_oberkonten.Kontotypid = 2 THEN dbo.fibu_einzelbuchungen.betrag END AS Ausgaben, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.unternehmen.Bezeichnung AS Unternehmen, dbo.Betriebe.Betrieb, dbo.fibu_einzelbuchungen.buchungssatzid
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_einzelbuchungen AS gk ON dbo.fibu_einzelbuchungen.GbId = gk.id LEFT OUTER JOIN
dbo.Betriebe ON dbo.fibu_buchungssaetze.betriebsid = dbo.Betriebe.id
ORDER BY Datum


GO
GRANT ALL ON Aktenkontenpur TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenkonto3]')) DROP VIEW Aktenkonto3
GO




CREATE VIEW dbo.Aktenkonto3
AS
SELECT TOP 100 PERCENT dbo.fibu_einzelbuchungen.id, dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.fibu_buchungssaetze.Text,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen AS Betrag,
dbo.fibu_einzelbuchungen.Az
FROM dbo.fibu_oberkonten INNER JOIN
dbo.fibu_konten ON dbo.fibu_oberkonten.id = dbo.fibu_konten.Oberkontoid INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid ON
dbo.fibu_konten.id = dbo.fibu_einzelbuchungen.Kontoid
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON Aktenkonto3 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenkontoNetto]')) DROP VIEW AktenkontoNetto
GO




CREATE VIEW dbo.AktenkontoNetto
AS
SELECT TOP 100 PERCENT dbo.fibu_einzelbuchungen.id, dbo.Akten.aktenzeichen AS Akte, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Text, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
gk.Kontoid AS GKNr, CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 2 THEN cast(dbo.fibu_einzelbuchungen.betrag AS money) / (1 + ustsatz)
END AS Auslagen, CASE WHEN dbo.fibu_oberkonten.Kontotypid = 1 THEN cast(dbo.fibu_einzelbuchungen.betrag / (1 + ustsatz) AS money)
END AS Einnahmen, CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 1 THEN cast(dbo.fibu_einzelbuchungen.betrag / (1 + ustsatz) AS money)
END AS Fremdgeld, CASE WHEN dbo.fibu_oberkonten.Kontotypid = 2 THEN cast(dbo.fibu_einzelbuchungen.betrag / (1 + ustsatz) AS money)
END AS Ausgaben, dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuerbezeichnung,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.unternehmen.Bezeichnung AS Unternehmen, dbo.Betriebe.Betrieb,
dbo.fibu_einzelbuchungen.buchungssatzid
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_einzelbuchungen gk ON dbo.fibu_einzelbuchungen.GbId = gk.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id LEFT OUTER JOIN
dbo.Betriebe ON dbo.fibu_buchungssaetze.betriebsid = dbo.Betriebe.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert

GO
GRANT ALL ON AktenkontoNetto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenOhneRechnung]')) DROP VIEW AktenOhneRechnung
GO




CREATE VIEW dbo.AktenOhneRechnung
AS
SELECT TOP 100 PERCENT dbo.Akten.aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, Sb1.Diktatzeichen AS Sb1, Sb2.Diktatzeichen AS Sb2,
dbo.Sachgebiete.Sachgebiet, dbo.Akten.Anlagedatum
FROM dbo.Mitarbeiter Sb1 INNER JOIN
dbo.Akten ON Sb1.id = dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter Sb2 ON dbo.Akten.akquisiteursid = Sb2.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN(SELECT DISTINCT dbo.Aktenbeteiligte.Aktenzeichen
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id
WHERE (dbo.beko_buchungen.Nr > 0) AND (dbo.beko_buchungen.Datum > GETDATE() - 365)) ok ON
dbo.Akten.aktenzeichen = ok.Aktenzeichen
WHERE (dbo.Akten.abgelegt = 0 OR
dbo.Akten.abgelegt IS NULL) AND (ok.Aktenzeichen IS NULL)
ORDER BY dbo.Akten.Anlagedatum DESC

GO
GRANT ALL ON AktenOhneRechnung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenOhneTermin2]')) DROP VIEW AktenOhneTermin2
GO




CREATE VIEW dbo.AktenOhneTermin2
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff,
dbo.Adressen.Vollername AS Sachbearbeiter, dbo.Mitarbeiter.Diktatzeichen AS Dz
FROM dbo.Akten LEFT OUTER JOIN
dbo.Adressen INNER JOIN
dbo.Mitarbeiter ON dbo.Adressen.id = dbo.Mitarbeiter.adressid ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id
WHERE (dbo.Akten.abgelegt IS NULL OR
dbo.Akten.abgelegt = 0) AND (NOT (dbo.Akten.aktenzeichen IN(SELECT akte
FROM kalender
WHERE akte <> '' AND zeit > getdate() - 7 AND statusid = 1)))
ORDER BY dbo.Akten.Kurzrubrum

GO
GRANT ALL ON AktenOhneTermin2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenUserDef]')) DROP VIEW AktenUserDef
GO




CREATE VIEW dbo.[AktenUserDef]
AS
SELECT UserDef AS Text,COUNT(aktenzeichen) AS Anzahl,MIN(anlagedatum) AS Von,MAX(anlagedatum) AS Bis
FROM dbo.Akten
GROUP BY UserDef

GO
GRANT ALL ON AktenUserDef TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AlleErinnerungen]')) DROP VIEW AlleErinnerungen
GO




CREATE VIEW dbo.AlleErinnerungen
AS
SELECT TOP 100 PERCENT dbo.Kalender.Zeit,dbo.Kalender.Betreff,dbo.Kalender.Akte,dbo.Kalender.Erinnerung,dbo.Mitarbeiter.Diktatzeichen AS Dz
FROM dbo.Kalender INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Akten ON dbo.Kalender.Akte = dbo.Akten.aktenzeichen
WHERE (dbo.Kalender.Erinnerung IS NOT NULL)
ORDER BY dbo.Kalender.Zeit

GO
GRANT ALL ON AlleErinnerungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AlleFelder]')) DROP VIEW AlleFelder
GO



CREATE VIEW dbo.AlleFelder
AS
SELECT dbo.sysobjects.name AS Tabelle, dbo.syscolumns.name AS Spalte, dbo.syscolumns.xtype, dbo.Datentypen.sql, dbo.Datentypen.Bezeichnung AS Typbezeichnung,
dbo.syscolumns.length, dbo.syscolumns.prec, dbo.syscolumns.collation
FROM dbo.Datentypen INNER JOIN
dbo.syscolumns ON dbo.Datentypen.xtype = dbo.syscolumns.xtype INNER JOIN
dbo.sysobjects ON dbo.syscolumns.id = dbo.sysobjects.id
WHERE (dbo.sysobjects.type = 'U')


GO
GRANT ALL ON AlleFelder TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BackupRestoreProtokoll]')) DROP VIEW BackupRestoreProtokoll
GO




CREATE VIEW dbo.BackupRestoreProtokoll
AS
SELECT TOP 100 PERCENT Benutzer, Zeit, Benutzung
FROM dbo.Benutzung
WHERE (Art = 10)
ORDER BY Zeit DESC

GO
GRANT ALL ON BackupRestoreProtokoll TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[beko_buchungen_bo]')) DROP VIEW beko_buchungen_bo
GO



CREATE VIEW dbo.beko_buchungen_bo
AS
SELECT TOP 100 PERCENT Text, COUNT(id) AS N
FROM dbo.beko_buchungen
GROUP BY Text
HAVING (COUNT(id) > 2) AND (NOT (Text LIKE '%(%'))
ORDER BY Text


GO
GRANT ALL ON beko_buchungen_bo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[beko_buchungen_klartext]')) DROP VIEW beko_buchungen_klartext
GO




CREATE VIEW dbo.beko_buchungen_klartext
AS
SELECT TOP 100 PERCENT dbo.beko_buchungen.datum AS Datum,dbo.beko_buchungen.belegdatum AS Beleg,dbo.beko_buchungen.text AS Text,
dbo.Aktenbeteiligte.aktenzeichen AS Akte,dbo.Akten.Kurzrubrum,dbo.Adressen.vollername AS Name,CASE WHEN (betrag > 0)
THEN betrag ELSE 0 END AS Soll,CASE WHEN (betrag < 0) THEN - betrag ELSE 0 END AS Haben,dbo.Aktenbeteiligte.adressid,
dbo.beko_buchungen.betrag AS Betrag
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.aktenzeichen = dbo.Akten.aktenzeichen
ORDER BY dbo.beko_buchungen.datum,dbo.beko_buchungen.id

GO
GRANT ALL ON beko_buchungen_klartext TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Beko_Info]')) DROP VIEW Beko_Info
GO




CREATE VIEW dbo.Beko_Info
AS
SELECT dbo.Aktenbeteiligte.id AS abi,dbo.Aktenbeteiligte.aktenzeichen,dbo.Akten.Kurzrubrum,dbo.Adressen.vollername,dbo.waehrungen.symbol,
dbo.Mahnstufen.mahnstufe,dbo.waehrungen.anzeigeformat,dbo.Akten.Betreff AS aktenbetreff,dbo.Aktenbeteiligte.betreff AS beteiligtenbetreff,
dbo.Aktenbeteiligte.tageszinsen,dbo.Aktenbeteiligte.kontostand,dbo.Aktenbeteiligte.berechnungsdatum,
dbo.Akten.Kurzrubrum + ' (' + dbo.Akten.aktenzeichen + ')' AS RubrumAz
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.waehrungen ON dbo.Aktenbeteiligte.waehrung = dbo.waehrungen.id

GO
GRANT ALL ON Beko_Info TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BekoBuchungenNachSb1]')) DROP VIEW BekoBuchungenNachSb1
GO




CREATE VIEW dbo.BekoBuchungenNachSb1
AS
SELECT TOP 100 PERCENT YEAR(dbo.beko_buchungen.Datum) AS Jahr, dbo.Mitarbeiter.zeichnet, COUNT(dbo.beko_buchungen.id) AS Anzahl
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id AND dbo.Akten.akquisiteursid = dbo.Mitarbeiter.id
GROUP BY YEAR(dbo.beko_buchungen.Datum), dbo.Mitarbeiter.zeichnet
ORDER BY YEAR(dbo.beko_buchungen.Datum) DESC

GO
GRANT ALL ON BekoBuchungenNachSb1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Benutzer]')) DROP VIEW Benutzer
GO




CREATE VIEW dbo.Benutzer
AS
SELECT id AS BenutzerId, Vollername AS BenutzerVollerName, zeichnet AS BenutzerZeichnet, Dz AS BenutzerDz,
Berufsbezeichnung AS BenutzerBerufsbezeichnung, EMail AS BenutzerEMail, Kontakt AS BenutzerKontakt, Rechtsanwalt AS BenutzerBerufstraeger,
susersname
FROM dbo.MitarbeiterAbf
WHERE (susersname = SUSER_SNAME())

GO
GRANT ALL ON Benutzer TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BenutzungRecent]')) DROP VIEW BenutzungRecent
GO




CREATE VIEW dbo.BenutzungRecent
AS
SELECT TOP 100 PERCENT *
FROM (SELECT TOP 100 PERCENT programmfunktion
FROM (SELECT TOP 10 benutzung AS programmfunktion, zeit
FROM dbo.Benutzung
WHERE (benutzer = SUSER_SNAME()) AND (art = 1)
ORDER BY zeit DESC) DERIVEDTBL) DERIVEDTBL
ORDER BY programmfunktion

GO
GRANT ALL ON BenutzungRecent TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Beteiligtenkontobreit]')) DROP VIEW Beteiligtenkontobreit
GO




CREATE VIEW dbo.Beteiligtenkontobreit
AS
SELECT TOP 100 PERCENT dbo.beko_buchungen.*, CASE basiszins WHEN 1 THEN text + ' (Bz.+' + CONVERT(varchar, CONVERT(real, 100 * zinssatz))
+ '%)' WHEN 0 THEN CASE WHEN (zinssatz) = 0 THEN text WHEN (zinssatz) > 0 THEN text + ' (' + CONVERT(varchar, CONVERT(real, zinssatz * 100))
+ '%)' END END AS TextExt, CASE WHEN (betrag > 0) THEN betrag END AS Soll, CASE WHEN (betrag < 0) THEN - betrag END AS Haben
FROM dbo.beko_buchungen
ORDER BY Nr

GO
GRANT ALL ON Beteiligtenkontobreit TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Beteiligtenliste]')) DROP VIEW Beteiligtenliste
GO




CREATE VIEW dbo.Beteiligtenliste
AS
SELECT TOP 100 PERCENT dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + ISNULL(dbo.Adressen.Adresszusaetze, '')
+ ' ' + ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, '') AS klartext, dbo.Aktenbeteiligte.adressid, dbo.Aktenbeteiligte.id AS abi,
dbo.Aktenbeteiligte.beteiligungstypid, dbo.Aktenbeteiligte.Aktenzeichen, dbo.waehrungen.Anzeigeformat, dbo.Aktenbeteiligte.Berechnungsdatum,
dbo.Aktenbeteiligte.Kontostand, dbo.Aktenbeteiligte.mahnstufenid, dbo.Aktenbeteiligte.Betreff, dbo.Aktenbeteiligte.Dokumentvorlage,
dbo.Aktenbeteiligte.vertreterabi, 'Telefon: ' + ISNULL(dbo.Adressen.Telefon1, '-') + ', ' + ISNULL(dbo.Adressen.Telefon2, '-')
+ ', Mobil: ' + ISNULL(dbo.Adressen.Mobil, '-') + ' Durchwahl: ' + ISNULL(dbo.Aktenbeteiligte.Durchwahl, '-') AS Telefone,
dbo.Beteiligungstypen.Beteiligungstyp, dbo.Mahnstufen.Farbe, dbo.Mahnstufen.Mahnstufe, dbo.Adressen.Nachname, dbo.Adressen.Vorname,
dbo.Beteiligungstypen.lagerid, dbo.Adressen.Vollername, dbo.Aktenbeteiligte.Standard, dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname,
'') AS NameRueck
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.waehrungen ON dbo.Aktenbeteiligte.Waehrung = dbo.waehrungen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id
ORDER BY dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + ISNULL(dbo.Adressen.Adresszusaetze, '')
+ ' ' + ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, ''), dbo.Aktenbeteiligte.id

GO
GRANT ALL ON Beteiligtenliste TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligtenSalden]')) DROP VIEW BeteiligtenSalden
GO




CREATE VIEW dbo.BeteiligtenSalden
AS
SELECT dbo.Aktenbeteiligte.id AS abi,SUM(dbo.beko_buchungen.betrag) AS Saldo,dbo.Aktenbeteiligte.aktenzeichen,dbo.Akten.kurzrubrum
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Adressen ON dbo.beko_buchungen.id = dbo.Adressen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.aktenzeichen = dbo.Akten.aktenzeichen
GROUP BY dbo.Aktenbeteiligte.aktenzeichen,dbo.Aktenbeteiligte.id,dbo.Akten.kurzrubrum

GO
GRANT ALL ON BeteiligtenSalden TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligtenSuche]')) DROP VIEW BeteiligtenSuche
GO



CREATE VIEW dbo.BeteiligtenSuche
AS
SELECT dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff AS Aktenbetreff, dbo.Sachgebiete.Sachgebiet,
Sb1.Diktatzeichen AS Sb1, Sb2.Diktatzeichen AS Sb2, dbo.Akten.Anlagedatum, dbo.Akten.Anleger, dbo.Akten.UserDef, dbo.Akten.abgelegt,
dbo.Akten.dokumentenid, dbo.Akten.Dokumentvorlage AS DokumentvorlageAkte, dbo.Akten.Aktenordner, dbo.Akten.Webordner, dbo.Akten.Mailvorlage,
dbo.Akten.Oberordner, dbo.Akten.Ablagenummer, dbo.Akten.Ablagezeit, dbo.Akten.Megaakte, dbo.Akten.Typ, dbo.Akten.Bemerkungen AS Aktennotiz,
dbo.Akten.Nr, dbo.Aktenbeteiligte.adressid, dbo.Aktenbeteiligte.beteiligungstypid, dbo.Aktenbeteiligte.Betreff AS FremdesBetreff,
dbo.Aktenbeteiligte.Dokumentvorlage, dbo.Aktenbeteiligte.AdressZusatzBeteiligung, dbo.Aktenbeteiligte.Briefanrede, dbo.Aktenbeteiligte.Telefax,
dbo.Aktenbeteiligte.Email, dbo.Aktenbeteiligte.Durchwahl, dbo.Aktenbeteiligte.mahnstufenid, dbo.Aktenbeteiligte.vertreterabi,
dbo.Aktenbeteiligte.Standard, dbo.Aktenbeteiligte.ustid, dbo.Aktenbeteiligte.Waehrung, dbo.Aktenbeteiligte.Kontostand,
dbo.Aktenbeteiligte.Tageszinsen, dbo.Aktenbeteiligte.Berechnungsdatum, dbo.Adressen.Titel, dbo.Adressen.Anrede, dbo.Adressen.Vorname,
dbo.Adressen.Nachname, dbo.Adressen.Vollername, dbo.Adressen.Briefanrede AS BeteiligungsBriefanrede, dbo.Adressen.Geburtstag,
dbo.Adressen.Adresszusaetze, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach,
dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax AS BeteiligungsFax,
dbo.Adressen.Email AS BeteiligungsEMail, dbo.Adressen.Homepage, dbo.Adressen.Bankleitzahl, dbo.Adressen.Kontonummer,
dbo.Adressen.megaadresse, dbo.Adressen.Parteibezeichnung, dbo.Adressen.Geburtsort, ISNULL(GwRisikenStufenAkte.Risikostufe,
GwRisikoStufenSachgebiet.Risikostufe) AS Risikostufe, dbo.Akten.sachgebietsid, dbo.Akten.sachbearbeiterid, dbo.Akten.akquisiteursid,
dbo.AktenbeteiligteExt.*, dbo.AktenExt.*, dbo.AdressenExt.*
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter Sb2 ON dbo.Akten.akquisiteursid = Sb2.id INNER JOIN
dbo.Mitarbeiter Sb1 ON dbo.Akten.sachbearbeiterid = Sb1.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikoStufenSachgebiet ON dbo.Sachgebiete.GwR = GwRisikoStufenSachgebiet.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikenStufenAkte ON dbo.Akten.GwR = GwRisikenStufenAkte.id LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Adressen.id = dbo.AdressenExt.AdressIdExt LEFT OUTER JOIN
dbo.AktenExt ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.AktenExt.AzExt LEFT OUTER JOIN
dbo.AktenbeteiligteExt ON dbo.Aktenbeteiligte.id = dbo.AktenbeteiligteExt.abi


GO
GRANT ALL ON BeteiligtenSuche TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Beteiligungen]')) DROP VIEW Beteiligungen
GO




CREATE VIEW dbo.Beteiligungen
AS
SELECT dbo.Aktenbeteiligte.Aktenzeichen AS Akte,dbo.Akten.Kurzrubrum AS Aktenbezeichnung,dbo.Beteiligungstypen.Beteiligungstyp,
Sachbearbeiter.Diktatzeichen AS [Sb.],Akquisiteur.Diktatzeichen AS [Akq.],dbo.Aktenbeteiligte.Kontostand,dbo.fibu_ustkategorie.ustsatz,
dbo.Adressen.Vollername,dbo.Aktenbeteiligte.ustid,dbo.Aktenbeteiligte.beteiligungstypid,dbo.Beteiligungstypen.lagerid,dbo.Aktenbeteiligte.Standard,
dbo.Aktenbeteiligte.Betreff,dbo.Akten.Anlagedatum,dbo.Sachgebiete.Sachgebiet,dbo.Adressen.id AS adressid,dbo.Aktenbeteiligte.id AS abi
FROM dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id INNER JOIN
dbo.Mitarbeiter Akquisiteur ON dbo.Akten.akquisiteursid = Akquisiteur.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN
dbo.fibu_ustkategorie ON dbo.Aktenbeteiligte.ustid = dbo.fibu_ustkategorie.id

GO
GRANT ALL ON Beteiligungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Bibliothek1]')) DROP VIEW Bibliothek1
GO




CREATE VIEW dbo.Bibliothek1
AS
SELECT dbo.Bibliothek.id,dbo.Bibliothek.Titel,dbo.Bibliothek.Untertitel,dbo.Bibliothek.Autorvorname,dbo.Bibliothek.Autornachname,dbo.Bibliothek.Auflage,
dbo.Bibliothek.Erscheinungsort,dbo.Bibliothek.Erscheinungsjahr AS Jahr,dbo.BibSachgebiete.Sachgebiet,dbo.BibArt.Art,dbo.BibMedien.Medium,
dbo.BibMedien.MedAbk,dbo.Bibliothek.bearbName,dbo.Bibliothek.bearbZeit,dbo.Mitarbeiter.Diktatzeichen,dbo.Bibliothek.Sachgebietsid,
dbo.Bibliothek.Art AS Artid,dbo.Bibliothek.Medium AS Medienid,dbo.Bibliothek.Status,dbo.Bibliothek.mitarbeiterid
FROM dbo.Bibliothek INNER JOIN
dbo.BibSachgebiete ON dbo.Bibliothek.Sachgebietsid = dbo.BibSachgebiete.id INNER JOIN
dbo.BibMedien ON dbo.Bibliothek.Medium = dbo.BibMedien.id INNER JOIN
dbo.Mitarbeiter ON dbo.Bibliothek.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.BibArt ON dbo.Bibliothek.Art = dbo.BibArt.id

GO
GRANT ALL ON Bibliothek1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Bibliothek2]')) DROP VIEW Bibliothek2
GO




CREATE VIEW dbo.Bibliothek2
AS
SELECT dbo.Bibliothek.id, dbo.Bibliothek.Titel, dbo.Bibliothek.Untertitel, dbo.Bibliothek.Autorvorname, dbo.Bibliothek.Autornachname, dbo.Bibliothek.Auflage,
dbo.Bibliothek.Erscheinungsort, dbo.Bibliothek.Erscheinungsjahr AS Jahr, dbo.BibSachgebiete.Sachgebiet, dbo.BibArt.Art, dbo.BibMedien.Medium,
dbo.BibMedien.MedAbk, dbo.Bibliothek.bearbName, dbo.Bibliothek.bearbZeit, dbo.Mitarbeiter.Diktatzeichen
FROM dbo.Bibliothek INNER JOIN
dbo.BibSachgebiete ON dbo.bibliothek.sachgebietsid = dbo.BibSachgebiete.id INNER JOIN
dbo.BibMedien ON dbo.Bibliothek.Medium = dbo.BibMedien.id INNER JOIN
dbo.Mitarbeiter ON dbo.Bibliothek.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.BibArt ON dbo.Bibliothek.Art = dbo.BibArt.id
UNION
SELECT dbo.Bibliothek.id, dbo.Bibliothek.Titel, dbo.Bibliothek.Untertitel, dbo.Bibliothek.Autorvorname, dbo.Bibliothek.Autornachname, dbo.Bibliothek.Auflage,
dbo.Bibliothek.Erscheinungsort, dbo.Bibliothek.Erscheinungsjahr, dbo.BibSachgebiete.Sachgebiet, dbo.BibArt.Art, dbo.BibMedien.Medium,
dbo.BibMedien.MedAbk, dbo.Bibliothek.bearbName, dbo.Bibliothek.bearbZeit, dbo.Mitarbeiter.Diktatzeichen
FROM dbo.BibQuerverweise INNER JOIN
dbo.Bibliothek ON dbo.BibQuerverweise.buchid = dbo.Bibliothek.id INNER JOIN
dbo.BibSachgebiete ON dbo.BibQuerverweise.sachgebietsid = dbo.BibSachgebiete.id INNER JOIN
dbo.BibMedien ON dbo.Bibliothek.Medium = dbo.BibMedien.id INNER JOIN
dbo.Mitarbeiter ON dbo.Bibliothek.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.BibArt ON dbo.Bibliothek.Art = dbo.BibArt.id

GO
GRANT ALL ON Bibliothek2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibliothekAbf]')) DROP VIEW BibliothekAbf
GO




CREATE VIEW dbo.BibliothekAbf
AS
SELECT dbo.Bibliothek.Autornachname + ' ' + dbo.Bibliothek.Autorvorname AS Autor,
dbo.Bibliothek.Titel + ',' + dbo.Bibliothek.Untertitel + ',' + CAST(dbo.Bibliothek.Auflage AS varchar) AS Buch, dbo.Bibliothek.Erscheinungsjahr,
dbo.BibArt.Art, dbo.BibMedien.MedAbk, dbo.BibSachgebiete.Sort, dbo.BibSachgebiete.Sachgebiet AS Buchsachgebiet,
dbo.Adressen.Nachname AS Eigentmer, dbo.Bibliothek.id, dbo.BibSignaturen.Signatur,
dbo.BibSachgebiete.Sachgebiet + N',' + dbo.BibArt.Art + N',' + dbo.BibMedien.Medium AS SachArtMed, dbo.BibSachgebiete.Sachgebiet
FROM dbo.BibSignaturen INNER JOIN
dbo.Bibliothek INNER JOIN
dbo.BibArt ON dbo.Bibliothek.Art = dbo.BibArt.id INNER JOIN
dbo.BibMedien ON dbo.Bibliothek.Medium = dbo.BibMedien.id INNER JOIN
dbo.BibSachgebiete ON dbo.Bibliothek.Sachgebietsid = dbo.BibSachgebiete.id ON dbo.BibSignaturen.id = dbo.BibSachgebiete.signatursid INNER JOIN
dbo.Adressen INNER JOIN
dbo.Mitarbeiter ON dbo.Adressen.id = dbo.Mitarbeiter.adressid ON dbo.Bibliothek.mitarbeiterid = dbo.Mitarbeiter.id

GO
GRANT ALL ON BibliothekAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BibliothekMega]')) DROP VIEW BibliothekMega
GO




CREATE VIEW dbo.BibliothekMega
AS
SELECT *
FROM BibliothekAbf
UNION
SELECT dbo.Bibliothek.Autornachname + ' ' + dbo.Bibliothek.Autorvorname AS Autor,
dbo.Bibliothek.Titel + ',' + dbo.Bibliothek.Untertitel + ',' + CAST(dbo.Bibliothek.Auflage AS varchar) AS Buch, dbo.Bibliothek.Erscheinungsjahr,
dbo.BibArt.Art, dbo.BibMedien.MedAbk, querverweis.Sort, dbo.BibSachgebiete.Sachgebiet AS Buchsachgebiet, dbo.Adressen.nachname AS Eigentmer,
bibquerverweise.buchid, dbo.BibSignaturen.Signatur,
dbo.BibSachgebiete.Sachgebiet + N',' + dbo.BibArt.Art + N',' + dbo.BibMedien.Medium AS SachArtMed,
Querverweis.Sachgebiet + ' (Q) ' AS Sachgebiet
FROM dbo.Bibliothek INNER JOIN
dbo.BibArt ON dbo.Bibliothek.Art = dbo.BibArt.id INNER JOIN
dbo.BibMedien ON dbo.Bibliothek.Medium = dbo.BibMedien.id INNER JOIN
dbo.BibSachgebiete ON dbo.Bibliothek.Sachgebietsid = dbo.BibSachgebiete.id INNER JOIN
dbo.Mitarbeiter ON dbo.Bibliothek.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id INNER JOIN
dbo.BibSignaturen ON dbo.BibSachgebiete.signatursid = dbo.BibSignaturen.id INNER JOIN
dbo.BibQuerverweise ON dbo.Bibliothek.id = dbo.BibQuerverweise.buchid INNER JOIN
dbo.BibSachgebiete Querverweis ON dbo.BibQuerverweise.sachgebietsid = Querverweis.id

GO
GRANT ALL ON BibliothekMega TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAdressen]')) DROP VIEW cboAdressen
GO




CREATE VIEW dbo.cboAdressen
AS
SELECT TOP 100 PERCENT id,NameVoll
FROM dbo.cboAdressen_lang
ORDER BY NameVoll

GO
GRANT ALL ON cboAdressen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAdressen_kurz]')) DROP VIEW cboAdressen_kurz
GO



CREATE VIEW dbo.cboAdressen_kurz
AS
SELECT TOP 100 PERCENT id, Nachname + ', ' + ISNULL(Vorname, '') + ', ' + ISNULL(PlzOrt, '') + ', ' + ISNULL(StrasseNr, '') AS NameVoll
FROM dbo.Adressen
WHERE (Nachname <> '(gelscht)')


GO
GRANT ALL ON cboAdressen_kurz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAkten]')) DROP VIEW cboAkten
GO




CREATE VIEW dbo.cboAkten
AS
SELECT TOP 100 PERCENT aktenzeichen,kurzrubrum,anlagedatum,kurzrubrum + ' (' + aktenzeichen + ')' AS RubrumAz,sachbearbeiterid,sachgebietsid,
abgelegt,akquisiteursid
FROM dbo.Akten
ORDER BY kurzrubrum,anlagedatum

GO
GRANT ALL ON cboAkten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboAnreden]')) DROP VIEW cboAnreden
GO




CREATE VIEW dbo.cboAnreden
AS
SELECT DISTINCT TOP 30 Anrede, COUNT(*) AS Anzahl
FROM dbo.Adressen
GROUP BY Anrede
HAVING (Anrede <> '')
ORDER BY COUNT(*) DESC

GO
GRANT ALL ON cboAnreden TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboBeteiligte]')) DROP VIEW cboBeteiligte
GO




CREATE VIEW dbo.cboBeteiligte
AS
SELECT TOP 100 PERCENT dbo.Aktenbeteiligte.id,
dbo.Akten.Kurzrubrum + ', ' + dbo.Adressen.Nachname + ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ')' AS text
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id

GO
GRANT ALL ON cboBeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboFibuKonten]')) DROP VIEW cboFibuKonten
GO




CREATE VIEW dbo.cboFibuKonten
AS
SELECT TOP 100 PERCENT dbo.fibu_konten.id,dbo.fibu_konten.bezeichnung,dbo.fibu_konten.akonto,dbo.fibu_oberkonten.kontotypid
FROM dbo.fibu_konten INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.oberkontoid = dbo.fibu_oberkonten.id
ORDER BY dbo.fibu_konten.bezeichnung

GO
GRANT ALL ON cboFibuKonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboFibuOberkonten]')) DROP VIEW cboFibuOberkonten
GO




CREATE VIEW dbo.cboFibuOberkonten
AS
SELECT TOP 100 PERCENT dbo.fibu_oberkonten.id,dbo.fibu_oberkonten.bezeichnung + ' (' + dbo.fibu_kontotypen.bezeichnung + ')' AS klartext
FROM dbo.fibu_oberkonten INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.kontotypid = dbo.fibu_kontotypen.id
ORDER BY dbo.fibu_oberkonten.bezeichnung

GO
GRANT ALL ON cboFibuOberkonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboMitarbeiter2]')) DROP VIEW cboMitarbeiter2
GO




CREATE VIEW dbo.cboMitarbeiter2
AS
SELECT TOP 100 PERCENT dbo.Mitarbeiter.id AS MitarbeiterId, dbo.Adressen.Nachname + ', ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' ' + ISNULL(dbo.Adressen.Titel, '') AS NameRueck, dbo.Adressen.Vollername, dbo.Mitarbeiter.*
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id
ORDER BY dbo.Adressen.Nachname + ', ' + ISNULL(dbo.Adressen.Vorname, '') + ' ' + ISNULL(dbo.Adressen.Titel, '')

GO
GRANT ALL ON cboMitarbeiter2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboMitarbeiter3]')) DROP VIEW cboMitarbeiter3
GO



CREATE VIEW dbo.cboMitarbeiter3
AS
SELECT dbo.Mitarbeiter.id, dbo.Adressen.Nachname + ', ' + ISNULL(dbo.Adressen.Vorname, '') + ' ' + ISNULL(dbo.Adressen.Titel, '') AS NameRueck
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id
WHERE (dbo.Mitarbeiter.Rechtsanwalt = 1) AND (dbo.Mitarbeiter.aktuell = 1)


GO
GRANT ALL ON cboMitarbeiter3 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboUstsaetze]')) DROP VIEW cboUstsaetze
GO




CREATE VIEW dbo.cboUstsaetze
AS
SELECT TOP 100 PERCENT id, CAST(CAST(Ustsatz AS decimal(3, 2)) * 100 AS varchar) + '% USt - ' + Bezeichnung AS klartext, Ustsatz
FROM dbo.fibu_ustkategorie
ORDER BY Ustsatz DESC

GO
GRANT ALL ON cboUstsaetze TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Datenbankinfo]')) DROP VIEW Datenbankinfo
GO



CREATE VIEW dbo.Datenbankinfo
AS
SELECT (SELECT Top 1 Bezeichnung
FROM dbo.unternehmen) AS Firma, @@SERVERNAME AS SQLServer, @@SERVICENAME AS Dienst, @@VERSION AS Version, GETDATE() AS Serverzeit,
DB_NAME() AS Datenbank, SYSTEM_USER AS Login, CURRENT_USER AS DbUser, CASE IS_SRVROLEMEMBER('sysadmin')
+ IS_SRVROLEMEMBER('securityadmin') WHEN 0 THEN 'nein' ELSE 'ja' END AS [Sql-Sysadmin], CASE SERVERPROPERTY('IsIntegratedSecurityOnly')
WHEN 1 THEN 'nur integrierte Sicherheit' ELSE 'Datenbank- oder gemischte Sicherheit' END AS Sicherheitsmodus,
(SELECT Top 1 Benutzung
FROM dbo.Benutzung
WHERE (Art = 6)
ORDER BY Zeit DESC) AS [Techn. Stand],
(SELECT MIN(Anlagedatum) AS Expr1
FROM dbo.Akten) AS [Akten seit],
(SELECT MAX(Anlagedatum) AS Expr1
FROM dbo.Akten AS Akten_2) AS [Akten bis],
(SELECT COUNT(*) AS Expr1
FROM dbo.Akten AS Akten_1) AS Akten,
(SELECT COUNT(*) AS Expr1
FROM dbo.Adressen AS Adressen_1) AS Adressen,
(SELECT COUNT(*) AS Expr1
FROM dbo.Aktenbeteiligte) AS Beteiligungen


GO
GRANT ALL ON Datenbankinfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DokumenteInfo]')) DROP VIEW DokumenteInfo
GO




CREATE VIEW dbo.DokumenteInfo
AS
SELECT TOP 100 PERCENT dbo.Dokumente.id, dbo.Dokumente.Datum, dbo.Dokumente.Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Dokumente.Titel,
dbo.Adressen.Vollername, dbo.Dokumente.Benutzer, dbo.Dokumente.GespeichertAls, dbo.Dokumente.Typ, dbo.Dokumente.Abi,
dbo.Dokumente.AdressId
FROM dbo.Dokumente INNER JOIN
dbo.Akten ON dbo.Dokumente.Az = dbo.Akten.aktenzeichen LEFT OUTER JOIN
dbo.Adressen ON dbo.Dokumente.AdressId = dbo.Adressen.id
ORDER BY dbo.Dokumente.Datum DESC

GO
GRANT ALL ON DokumenteInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DoppelteFeldnamen]')) DROP VIEW DoppelteFeldnamen
GO




CREATE VIEW dbo.DoppelteFeldnamen
AS
SELECT TOP 100 PERCENT name AS Feldname, COUNT(*) AS Anzahl
FROM dbo.syscolumns
WHERE (id = OBJECT_ID(N'dbo.aktenbeteiligte')) OR(id = OBJECT_ID(N'dbo.aktenext')) OR(id = OBJECT_ID(N'dbo.aktenbeteiligteext')) OR(id = OBJECT_ID(N'dbo.adressenext')) OR(id = OBJECT_ID(N'dbo.akten')) OR(id = OBJECT_ID(N'dbo.adressen')) OR(id = OBJECT_ID(N'dbo.lager'))
GROUP BY name
HAVING (COUNT(*) > 1)

GO
GRANT ALL ON DoppelteFeldnamen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Dummys]')) DROP VIEW Dummys
GO




CREATE VIEW dbo.Dummys
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.sysobjects.name AS Tabelle
FROM dbo.syscolumns INNER JOIN
dbo.sysobjects ON dbo.syscolumns.id = dbo.sysobjects.id
WHERE (dbo.syscolumns.name = N'Dummy')

GO
GRANT ALL ON Dummys TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaAggBB]')) DROP VIEW EdaAggBB
GO




CREATE VIEW dbo.EdaAggBB
AS
SELECT dbo.EdaMails.Datei, dbo.EdaMails.Kezi, dbo.EdaMails.Sa, COUNT(DISTINCT dbo.EdaSaetze.MailId) AS AntAnz, COUNT(dbo.EdaSaetze.id)
AS SAnz
FROM dbo.EdaSaetze INNER JOIN
dbo.EdaMails ON dbo.EdaSaetze.MailId = dbo.EdaMails.id
WHERE (dbo.EdaMails.Gesendet IS NULL)
GROUP BY dbo.EdaMails.Sa, dbo.EdaMails.Kezi, dbo.EdaMails.Datei

GO
GRANT ALL ON EdaAggBB TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaAggMb4]')) DROP VIEW EdaAggMb4
GO




CREATE VIEW dbo.EdaAggMb4
AS
SELECT SUM(dbo.EdaAsp4.AspKat1) AS SKatNr, SUM(dbo.EdaAsp4.AspBet) AS SuAsp, COUNT(dbo.EdaAsp4.id) AS AspAnz, dbo.EdaMails.Datei
FROM dbo.EdaMails INNER JOIN
dbo.EdaAsp4 ON dbo.EdaMails.Abi = dbo.EdaAsp4.abi
WHERE (dbo.EdaMails.Sa = '01') AND (dbo.EdaMails.Gesendet IS NULL)
GROUP BY dbo.EdaMails.Datei

GO
GRANT ALL ON EdaAggMb4 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaMailsAbf]')) DROP VIEW EdaMailsAbf
GO




CREATE VIEW dbo.EdaMailsAbf
AS
SELECT dbo.EdaMails.id, dbo.Aktenbeteiligte.Aktenzeichen AS Akte, dbo.EdaSa.Bezeichnung, dbo.Adressen.Vollername, dbo.EdaMails.Datei, dbo.EdaMails.Sa,
dbo.EdaMails.Abi, dbo.EdaMails.Erstellt, dbo.EdaMails.Gesendet, dbo.EdaMails.Empfangen, dbo.EdaMails.Gnrn,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung
FROM dbo.EdaSa INNER JOIN
dbo.EdaMails ON dbo.EdaSa.SA = dbo.EdaMails.Sa INNER JOIN
dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen ON dbo.EdaMails.Abi = dbo.Aktenbeteiligte.id

GO
GRANT ALL ON EdaMailsAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[edaParteien]')) DROP VIEW edaParteien
GO




CREATE VIEW dbo.edaParteien
AS
SELECT TOP 100 PERCENT dbo.EdaAdr.*, dbo.AbiAbi.*, ISNULL(dbo.EdaAdr.N1, '(N1)') + ', ' + ISNULL(dbo.EdaAdr.N2, '(N2)') + ', ' + ISNULL(dbo.EdaAdr.O,
'(Ort)') + ', ' + ISNULL(dbo.EdaAdr.SH, '(StrNr)') AS Klartext
FROM dbo.AbiAbi INNER JOIN
dbo.Aktenbeteiligte ON dbo.AbiAbi.Abi1 = dbo.Aktenbeteiligte.id INNER JOIN
dbo.EdaAdr ON dbo.Aktenbeteiligte.adressid = dbo.EdaAdr.Adressid
WHERE (dbo.AbiAbi.Btid = 1) OR(dbo.AbiAbi.Btid = 2)
ORDER BY dbo.AbiAbi.Btid, dbo.EdaAdr.N1, dbo.EdaAdr.N2

GO
GRANT ALL ON edaParteien TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EdaSaetzeAbf]')) DROP VIEW EdaSaetzeAbf
GO




CREATE VIEW dbo.EdaSaetzeAbf
AS
SELECT dbo.EdaSaetze.MailId, dbo.EdaSaetze.Satz, dbo.EdaMails.Sa
FROM dbo.EdaSaetze INNER JOIN
dbo.EdaMails ON dbo.EdaSaetze.MailId = dbo.EdaMails.id

GO
GRANT ALL ON EdaSaetzeAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EigeneFibuBuchungen]')) DROP VIEW EigeneFibuBuchungen
GO




CREATE VIEW dbo.EigeneFibuBuchungen
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.unternehmen.Bezeichnung AS Unternehmen,
dbo.fibu_einzelbuchungen.Az AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.fibu_buchungssaetze.Text, dbo.fibu_konten.id AS Knr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
Gk.Kontoid AS Gk, SUM(CASE dbo.fibu_oberkonten.Kontotypid WHEN - 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE NULL END) AS Auslagen,
SUM(CASE dbo.fibu_oberkonten.Kontotypid WHEN 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE NULL END) AS Einnahmen,
SUM(CASE dbo.fibu_oberkonten.Kontotypid WHEN - 1 THEN dbo.fibu_einzelbuchungen.betrag ELSE NULL END) AS Fremdgeld,
SUM(CASE dbo.fibu_oberkonten.Kontotypid WHEN 2 THEN dbo.fibu_einzelbuchungen.betrag ELSE NULL END) AS Ausgaben,
dbo.unternehmen.id AS Uid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.fibu_einzelbuchungen Gk ON dbo.fibu_einzelbuchungen.GbId = Gk.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id
GROUP BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum, dbo.fibu_buchungssaetze.Text,
dbo.Mitarbeiter.susersname, dbo.fibu_konten.Bezeichnung, dbo.fibu_oberkonten.Bezeichnung, dbo.fibu_kontotypen.Bezeichnung, dbo.fibu_konten.id,
Gk.Kontoid, dbo.unternehmen.id, dbo.unternehmen.Bezeichnung
HAVING (dbo.fibu_buchungssaetze.Datumwert >= GETDATE() - 365) AND (dbo.Mitarbeiter.susersname = SUSER_SNAME())
ORDER BY Datum DESC

GO
GRANT ALL ON EigeneFibuBuchungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EigenerUmsatz]')) DROP VIEW EigenerUmsatz
GO




CREATE VIEW dbo.EigenerUmsatz
AS
SELECT dbo.fibu_buchungssaetze.Datumwert AS Datum,dbo.fibu_einzelbuchungen.Az,dbo.Akten.Kurzrubrum,dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.Betrag / - (1 + dbo.fibu_ustkategorie.Ustsatz) AS netto
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.Adressen.Nachname = USER) AND (dbo.fibu_oberkonten.Kontotypid = 1)

GO
GRANT ALL ON EigenerUmsatz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Einnahmen]')) DROP VIEW Einnahmen
GO




CREATE VIEW dbo.[Einnahmen]
AS
SELECT dbo.Journal.*, dbo.Mitarbeiter.Diktatzeichen AS Sb1, Mitarbeiter_1.Diktatzeichen AS Sb2, dbo.Akten.Anlagedatum
FROM dbo.Mitarbeiter INNER JOIN
dbo.Akten ON dbo.Mitarbeiter.id = dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter Mitarbeiter_1 ON dbo.Akten.akquisiteursid = Mitarbeiter_1.id RIGHT OUTER JOIN
dbo.Journal ON dbo.Akten.aktenzeichen = dbo.Journal.Az
WHERE (dbo.Journal.Kontotypid = 1)

GO
GRANT ALL ON Einnahmen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[emails]')) DROP VIEW emails
GO




CREATE VIEW dbo.emails
AS
SELECT id,vollername + '<' + email + '>' AS email
FROM dbo.Adressen
WHERE (email <> '')

GO
GRANT ALL ON emails TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitEigene]')) DROP VIEW ErfassteZeitEigene
GO




CREATE VIEW dbo.ErfassteZeitEigene
AS
SELECT dbo.Erfasstezeit.*
FROM dbo.Erfasstezeit INNER JOIN
dbo.Mitarbeiter ON dbo.Erfasstezeit.Mitarbeiterid = dbo.Mitarbeiter.id
WHERE (dbo.Mitarbeiter.susersname = SUSER_SNAME())

GO
GRANT ALL ON ErfassteZeitEigene TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitMonatAkte]')) DROP VIEW ErfassteZeitMonatAkte
GO




CREATE VIEW dbo.ErfassteZeitMonatAkte
AS
SELECT TOP 100 PERCENT YEAR(dbo.TimeSheet.Startzeit) AS Jahr, MONTH(dbo.TimeSheet.Startzeit) AS Monat, dbo.TimeSheet.Az,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, Sachbearbeiter1.Diktatzeichen AS Sb1, Sachbearbeiter2.Diktatzeichen AS Sb2,
COUNT(DISTINCT dbo.TimeSheet.Mitarbeiterid) AS Anz, SUM(DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit)
* dbo.TimeSheet.Quote / 3600) AS Stunden, SUM(ISNULL(HonorarstufeKonkret.Betrag, HonorarstufeMitarbeiter.Betrag)
* dbo.TimeSheet.Quote * DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) / 3600) AS Betrag
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter Sachbearbeiter1 ON dbo.Akten.sachbearbeiterid = Sachbearbeiter1.id INNER JOIN
dbo.Mitarbeiter Sachbearbeiter2 ON dbo.Akten.akquisiteursid = Sachbearbeiter2.id INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Honorarstufen HonorarstufeMitarbeiter ON dbo.Mitarbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe AND
dbo.Mitarbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeKonkret ON dbo.TimeSheet.Stufe = HonorarstufeKonkret.Stufe
GROUP BY MONTH(dbo.TimeSheet.Startzeit), YEAR(dbo.TimeSheet.Startzeit), dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, Sachbearbeiter1.Diktatzeichen,
Sachbearbeiter2.Diktatzeichen
ORDER BY YEAR(dbo.TimeSheet.Startzeit) DESC, MONTH(dbo.TimeSheet.Startzeit) DESC, Sachbearbeiter1.Diktatzeichen

GO
GRANT ALL ON ErfassteZeitMonatAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitMonatAkteMitarbeiter]')) DROP VIEW ErfassteZeitMonatAkteMitarbeiter
GO




CREATE VIEW dbo.ErfassteZeitMonatAkteMitarbeiter
AS
SELECT TOP 100 PERCENT YEAR(dbo.TimeSheet.Startzeit) AS Jahr, MONTH(dbo.TimeSheet.Startzeit) AS Monat, dbo.TimeSheet.Az,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, Aktensachbearbeiter1.Diktatzeichen AS Sb1, Aktensachbearbeiter2.Diktatzeichen AS Sb2,
dbo.TimeSheet.Mitarbeiterid AS Anz, dbo.Mitarbeiter.Diktatzeichen AS Dz, CONVERT(real, DATEDIFF(s, dbo.TimeSheet.Startzeit,
dbo.TimeSheet.Endzeit) * dbo.TimeSheet.Quote / 3600) AS Stunden, SUM(ISNULL(HonorarstufeKonkret.Betrag, HonorarstufeMitarbeiter.Betrag)
* dbo.TimeSheet.Quote * DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) / 3600) AS Betrag
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter Aktensachbearbeiter1 ON dbo.Akten.sachbearbeiterid = Aktensachbearbeiter1.id INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Mitarbeiter Aktensachbearbeiter2 ON dbo.Akten.akquisiteursid = Aktensachbearbeiter2.id LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeKonkret ON dbo.TimeSheet.Stufe = HonorarstufeKonkret.Stufe LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeMitarbeiter ON dbo.Mitarbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe AND
dbo.Mitarbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe
GROUP BY MONTH(dbo.TimeSheet.Startzeit), YEAR(dbo.TimeSheet.Startzeit), dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, Aktensachbearbeiter1.Diktatzeichen,
dbo.TimeSheet.Mitarbeiterid, dbo.Mitarbeiter.Diktatzeichen, Aktensachbearbeiter2.Diktatzeichen, CONVERT(real, DATEDIFF(s, dbo.TimeSheet.Startzeit,
dbo.TimeSheet.Endzeit) * dbo.TimeSheet.Quote / 3600)
ORDER BY YEAR(dbo.TimeSheet.Startzeit) DESC, MONTH(dbo.TimeSheet.Startzeit) DESC, Aktensachbearbeiter1.Diktatzeichen

GO
GRANT ALL ON ErfassteZeitMonatAkteMitarbeiter TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitTagAkte]')) DROP VIEW ErfassteZeitTagAkte
GO




CREATE VIEW dbo.ErfassteZeitTagAkte
AS
SELECT TOP 100 PERCENT DATEADD(dd, 0, DATEDIFF(dd, 0, dbo.TimeSheet.Startzeit)) AS Datum, dbo.TimeSheet.Az,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Mitarbeiter.Diktatzeichen AS Sb, dbo.Adressen.Vollername, SUM(DATEDIFF(s,
dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) * dbo.TimeSheet.Quote / 3600) AS Stunden
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id
GROUP BY dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, dbo.Mitarbeiter.Diktatzeichen, dbo.Adressen.Vollername, DATEADD(dd, 0, DATEDIFF(dd, 0,
dbo.TimeSheet.Startzeit))

GO
GRANT ALL ON ErfassteZeitTagAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Ergebnis]')) DROP VIEW Ergebnis
GO




CREATE VIEW dbo.Ergebnis
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum, dbo.unternehmen.Bezeichnung AS Firma,
dbo.fibu_einzelbuchungen.Kontoid AS KNr, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, gk.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) AS Nettobetrag,
CAST(- (dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_kontotypen.Vorzeichen) AS numeric(12, 2)) AS Netto,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz AS numeric(12, 2)) AS UStBetrag,
dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuerkategorie,
CAST(- (dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_kontotypen.Vorzeichen) AS numeric(12, 2))
* dbo.fibu_ustkategorie.Ustsatz AS USt, CAST(dbo.fibu_einzelbuchungen.Betrag AS numeric(12, 2)) AS BruttoBetrag,
dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen AS Brutto, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_buchungssaetze.betriebsid,
dbo.fibu_konten.Oberkontoid, dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.id AS ebid, dbo.Akten.sachgebietsid, dbo.Sachgebiete.Sachgebiet
FROM dbo.fibu_einzelbuchungen gk INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id ON gk.id = dbo.fibu_einzelbuchungen.GbId LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Sachgebiete INNER JOIN
dbo.Akten ON dbo.Sachgebiete.id = dbo.Akten.sachgebietsid ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen
WHERE (dbo.fibu_oberkonten.Kontotypid > 0)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON Ergebnis TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErgebnisNom]')) DROP VIEW ErgebnisNom
GO




CREATE VIEW dbo.ErgebnisNom
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum, dbo.unternehmen.Bezeichnung AS Firma,
dbo.fibu_einzelbuchungen.Kontoid AS KNr, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, fibu_einzelbuchungen_1.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) AS Netto,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz AS numeric(12, 2)) AS UStBetrag,
dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuerkategorie,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) * dbo.fibu_ustkategorie.Ustsatz AS USt,
CAST(dbo.fibu_einzelbuchungen.Betrag AS numeric(12, 2)) AS Brutto, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_buchungssaetze.betriebsid,
dbo.fibu_konten.Oberkontoid, dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.id AS ebid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_einzelbuchungen fibu_einzelbuchungen_1 ON dbo.fibu_einzelbuchungen.GbId = fibu_einzelbuchungen_1.id LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen
WHERE (dbo.fibu_oberkonten.Kontotypid > 0)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON ErgebnisNom TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Erinnerungen]')) DROP VIEW Erinnerungen
GO




CREATE VIEW dbo.Erinnerungen
AS
SELECT TOP 100 PERCENT dbo.Akten.aktenzeichen, dbo.Akten.Kurzrubrum, dbo.Mitarbeiter.Diktatzeichen, dbo.Terminstatus.Bezeichnung AS Status,
dbo.Kalender.*, dbo.Terminkategorien.Kategorie
FROM dbo.Kalender INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Terminstatus ON dbo.Kalender.statusid = dbo.Terminstatus.id LEFT OUTER JOIN
dbo.Terminkategorien ON dbo.Kalender.KategorienId = dbo.Terminkategorien.id LEFT OUTER JOIN
dbo.Akten ON dbo.Kalender.Akte = dbo.Akten.aktenzeichen
WHERE (dbo.Kalender.Erinnerung <= GETDATE()) AND (dbo.Mitarbeiter.susersname = SUSER_SNAME()) AND (dbo.Kalender.Quicklink IS NULL OR
dbo.Kalender.Quicklink = 0)
ORDER BY dbo.Kalender.Zeit

GO
GRANT ALL ON Erinnerungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ExtFelder]')) DROP VIEW ExtFelder
GO




CREATE VIEW dbo.ExtFelder
AS
SELECT TOP 100 PERCENT dbo.sysobjects.name AS Tabelle, dbo.syscolumns.name AS Spalte
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id
WHERE (dbo.sysobjects.type = 'U') AND (dbo.sysobjects.name = N'AdressenExt') OR(dbo.sysobjects.name = N'AktenExt') OR(dbo.sysobjects.name = N'AktenbeteiligteExt')
ORDER BY dbo.sysobjects.name, dbo.syscolumns.name

GO
GRANT ALL ON ExtFelder TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FaelligeFristen]')) DROP VIEW FaelligeFristen
GO




CREATE VIEW dbo.FaelligeFristen
AS
SELECT TOP 100 PERCENT dbo.Terminkalender.id, dbo.Terminkalender.Akte, dbo.Terminkalender.Aktenbezeichnung, dbo.Terminkalender.Dz,
dbo.Terminkalender.Sb1, dbo.Terminkalender.Sb2, dbo.Terminkalender.Betreff, dbo.Terminkategorien.Kategorie, dbo.Terminkalender.Text,
dbo.Terminkalender.Wichtigkeitt, dbo.Terminkalender.Zeit, dbo.Terminkalender.Ende, dbo.Terminkategorien.HauptId
FROM dbo.Terminkalender LEFT OUTER JOIN
dbo.Terminkategorien ON dbo.Terminkalender.KategorienId = dbo.Terminkategorien.id
WHERE (dbo.Terminkalender.statusid = 1) AND (dbo.Terminkalender.Wiedervorlage <= GETDATE()) AND (dbo.Terminkategorien.HauptId = 1) OR(dbo.Terminkalender.statusid = 1) AND (dbo.Terminkalender.Wiedervorlage <= GETDATE()) AND (dbo.Terminkalender.Betreff LIKE '%frist%')
ORDER BY dbo.Terminkalender.Zeit

GO
GRANT ALL ON FaelligeFristen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Fehlbuchungen]')) DROP VIEW Fehlbuchungen
GO




CREATE VIEW dbo.Fehlbuchungen
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid,dbo.fibu_buchungssaetze.Datumbuch,dbo.fibu_buchungssaetze.Benutzer,
dbo.fibu_buchungssaetze.Datumwert AS Datum,dbo.fibu_buchungssaetze.Text,dbo.unternehmen.Bezeichnung AS Firma,
SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) AS Saldo,dbo.fibu_buchungssaetze.Unternehmen,
dbo.fibu_buchungssaetze.Beleg
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_kontotypen INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_kontotypen.id = dbo.fibu_oberkonten.Kontotypid ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id
GROUP BY dbo.fibu_buchungssaetze.Datumbuch,dbo.fibu_buchungssaetze.Datumwert,dbo.fibu_buchungssaetze.Text,dbo.fibu_buchungssaetze.Unternehmen,
dbo.fibu_buchungssaetze.Benutzer,dbo.fibu_buchungssaetze.id,dbo.fibu_buchungssaetze.Beleg,dbo.unternehmen.Bezeichnung
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) > .01) OR(SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) < - .01)
ORDER BY dbo.fibu_buchungssaetze.Datumwert DESC,dbo.fibu_buchungssaetze.id DESC

GO
GRANT ALL ON Fehlbuchungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_Doppelverwertung]')) DROP VIEW fibu_Doppelverwertung
GO




CREATE VIEW dbo.fibu_Doppelverwertung
AS
SELECT dbo.fibu_buchungssaetze.Datumwert,dbo.fibu_einzelbuchungen.Kontoid,dbo.fibu_einzelbuchungen.Betrag,
COUNT(dbo.fibu_buchungssaetze.Unternehmen) AS Unternehmen,dbo.fibu_oberkonten.Kontotypid,dbo.fibu_einzelbuchungen.Az
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
GROUP BY dbo.fibu_buchungssaetze.Datumwert,dbo.fibu_einzelbuchungen.Kontoid,dbo.fibu_einzelbuchungen.Betrag,dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_einzelbuchungen.Az
HAVING (dbo.fibu_oberkonten.Kontotypid > 0) AND (COUNT(dbo.fibu_buchungssaetze.Unternehmen) > 1)

GO
GRANT ALL ON fibu_Doppelverwertung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_EinzelkontenAbf]')) DROP VIEW fibu_EinzelkontenAbf
GO




CREATE VIEW dbo.fibu_EinzelkontenAbf
AS
SELECT TOP 100 PERCENT dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, dbo.fibu_kontotypen.Vorzeichen,
dbo.fibu_konten.id AS Kontoid, dbo.fibu_konten.Bezeichnung AS Kontobezeichnung, dbo.fibu_konten.Ustvorschlag, dbo.fibu_konten.Akonto,
dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_oberkonten.Kontotypid, dbo.fibu_konten.Oberkontoid,
CASE WHEN dbo.fibu_oberkonten.kontotypid > 0 THEN 1 ELSE 0 END AS MitUSt, dbo.fibu_konten.id AS KNr
FROM dbo.fibu_kontotypen INNER JOIN
dbo.fibu_ustkategorie INNER JOIN
dbo.fibu_konten ON dbo.fibu_ustkategorie.id = dbo.fibu_konten.Ustvorschlag INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id ON dbo.fibu_kontotypen.id = dbo.fibu_oberkonten.Kontotypid
ORDER BY dbo.fibu_konten.id

GO
GRANT ALL ON fibu_EinzelkontenAbf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_fehler]')) DROP VIEW fibu_fehler
GO




CREATE VIEW dbo.fibu_fehler
AS
SELECT dbo.fibu_buchungssaetze.Text,SUM(dbo.fibu_einzelbuchungen.betrag * dbo.fibu_kontotypen.vorzeichen) AS Betrag,
dbo.fibu_buchungssaetze.datumwert,dbo.fibu_buchungssaetze.id,dbo.fibu_buchungssaetze.unternehmen
FROM dbo.fibu_kontotypen INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_kontotypen.id = dbo.fibu_oberkonten.kontotypid INNER JOIN
dbo.fibu_konten ON dbo.fibu_oberkonten.id = dbo.fibu_konten.oberkontoid INNER JOIN
dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid ON
dbo.fibu_konten.id = dbo.fibu_einzelbuchungen.kontoid
GROUP BY dbo.fibu_buchungssaetze.Text,dbo.fibu_buchungssaetze.datumwert,dbo.fibu_buchungssaetze.id,dbo.fibu_buchungssaetze.unternehmen
HAVING (SUM(dbo.fibu_einzelbuchungen.betrag * dbo.fibu_kontotypen.vorzeichen) <> 0)

GO
GRANT ALL ON fibu_fehler TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_geloescht]')) DROP VIEW fibu_geloescht
GO



CREATE VIEW dbo.fibu_geloescht
AS
SELECT Benutzer, Zeit AS Datum, Benutzung
FROM dbo.Benutzung
WHERE (Art = 7) AND (Benutzung LIKE 'buchung%') OR
(Art = 70)


GO
GRANT ALL ON fibu_geloescht TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuEdits]')) DROP VIEW FibuEdits
GO



CREATE VIEW dbo.FibuEdits
AS
SELECT TOP 100 PERCENT dbo.Benutzung.id, dbo.fibu_buchungssaetze.Datumwert AS Datum, tbKonto.Betrag, dbo.fibu_buchungssaetze.Text,
dbo.fibu_buchungssaetze.Beleg, tbKonto.Kontoid AS Konto, Konto_ust.Ustsatz AS USt, tbGegenkonto.Kontoid AS GK, GKonto_USt.Ustsatz AS UStGk,
dbo.fibu_buchungssaetze.Unternehmen AS Uid, dbo.Benutzung.Zeit AS bearbeitet, dbo.fibu_buchungssaetze.Benutzer, dbo.Benutzung.Benutzung AS Bearbeitung,
dbo.fibu_buchungssaetze.Split, dbo.Benutzung.IdAffected AS BsId
FROM dbo.fibu_einzelbuchungen AS tbKonto INNER JOIN
dbo.fibu_buchungssaetze ON tbKonto.id = dbo.fibu_buchungssaetze.eb1 INNER JOIN
dbo.fibu_einzelbuchungen AS tbGegenkonto ON tbKonto.GbId = tbGegenkonto.id INNER JOIN
dbo.fibu_ustkategorie AS Konto_ust ON tbKonto.Ustid = Konto_ust.id INNER JOIN
dbo.fibu_ustkategorie AS GKonto_USt ON tbGegenkonto.Ustid = GKonto_USt.id RIGHT OUTER JOIN
dbo.Benutzung ON dbo.fibu_buchungssaetze.id = dbo.Benutzung.IdAffected
WHERE (dbo.Benutzung.Art = 7)
ORDER BY Datum, BsId


GO
GRANT ALL ON FibuEdits TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibukontenUngerahmt]')) DROP VIEW FibukontenUngerahmt
GO




CREATE VIEW dbo.FibukontenUngerahmt
AS
SELECT id AS Kontoid, Bezeichnung
FROM dbo.fibu_konten
WHERE (NOT (id IN(SELECT kontoid
FROM dbo.fibu_kontenrahmen)))

GO
GRANT ALL ON FibukontenUngerahmt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuNachUnternehmen]')) DROP VIEW FibuNachUnternehmen
GO




CREATE VIEW dbo.FibuNachUnternehmen
AS
SELECT YEAR(dbo.fibu_buchungssaetze.Datumbuch) AS Jahr, dbo.unternehmen.Bezeichnung, COUNT_BIG (dbo.fibu_buchungssaetze.id) AS Anzahl
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id
GROUP BY dbo.unternehmen.Bezeichnung, YEAR(dbo.fibu_buchungssaetze.Datumbuch)

GO
GRANT ALL ON FibuNachUnternehmen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Finanz]')) DROP VIEW Finanz
GO




CREATE VIEW dbo.Finanz
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.Az, dbo.unternehmen.Bezeichnung AS Firma, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
fibu_einzelbuchungen_1.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_einzelbuchungen.Betrag AS NomBetrag,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS Betrag, dbo.fibu_buchungssaetze.betriebsid, dbo.fibu_konten.Oberkontoid,
dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_einzelbuchungen.id AS ebid, dbo.unternehmen.*
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_einzelbuchungen fibu_einzelbuchungen_1 ON dbo.fibu_einzelbuchungen.GbId = fibu_einzelbuchungen_1.id
WHERE (dbo.fibu_oberkonten.Kontotypid < 0)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON Finanz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FinanzNom]')) DROP VIEW FinanzNom
GO




CREATE VIEW dbo.FinanzNom
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.Az, dbo.unternehmen.Bezeichnung AS Firma, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
fibu_einzelbuchungen_1.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_einzelbuchungen.Betrag,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS BetragWert, dbo.fibu_buchungssaetze.betriebsid, dbo.fibu_konten.Oberkontoid,
dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.id AS ebid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_einzelbuchungen fibu_einzelbuchungen_1 ON dbo.fibu_einzelbuchungen.GbId = fibu_einzelbuchungen_1.id
WHERE (dbo.fibu_oberkonten.Kontotypid < 0)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON FinanzNom TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FremdeBetreffs]')) DROP VIEW FremdeBetreffs
GO




CREATE VIEW dbo.FremdeBetreffs
AS
SELECT DISTINCT TOP 100 PERCENT LEFT(Betreff, CHARINDEX(':', Betreff)) AS Betreff, COUNT(*) AS Anzahl
FROM dbo.Aktenbeteiligte
GROUP BY LEFT(Betreff, CHARINDEX(':', Betreff)), Betreff
HAVING (CHARINDEX(':', Betreff) > 0) AND (CHARINDEX(':', Betreff) < 20)
ORDER BY COUNT(*) DESC

GO
GRANT ALL ON FremdeBetreffs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Geburtstage]')) DROP VIEW Geburtstage
GO




CREATE VIEW dbo.Geburtstage
AS
SELECT TOP 100000 id AS adressid, Vollername AS Name, Geburtstag, DATEDIFF(year, Geburtstag, GETDATE()) AS [Alter]
FROM dbo.Adressen
WHERE (NOT (Geburtstag IS NULL))
ORDER BY MONTH(Geburtstag), DAY(Geburtstag), YEAR(Geburtstag)

GO
GRANT ALL ON Geburtstage TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GeburtstageHeute]')) DROP VIEW GeburtstageHeute
GO




CREATE VIEW dbo.GeburtstageHeute
AS
SELECT TOP 100000 id AS adressid, Vollername AS Name, Geburtstag, DATEDIFF(year, Geburtstag, GETDATE()) AS [Alter]
FROM dbo.Adressen
WHERE (MONTH(Geburtstag) = MONTH(GETDATE())) AND (DAY(Geburtstag) = DAY(GETDATE()))
ORDER BY MONTH(Geburtstag), DAY(Geburtstag), YEAR(Geburtstag)

GO
GRANT ALL ON GeburtstageHeute TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GeburtstageMandantenRund]')) DROP VIEW GeburtstageMandantenRund
GO




CREATE VIEW dbo.GeburtstageMandantenRund
AS
SELECT DISTINCT TOP 100 PERCENT tbl.id, tbl.Vollername, tbl.Geburtstag, YEAR(GETDATE()) - YEAR(tbl.Geburtstag) AS Wird, tbl.Feier
FROM dbo.Beteiligungstypen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Beteiligungstypen.id = dbo.Aktenbeteiligte.beteiligungstypid INNER JOIN(SELECT id, Geburtstag, Vollername, DATEADD(year, YEAR(GETDATE()) - YEAR(Geburtstag), Geburtstag) AS Feier
FROM dbo.Adressen
WHERE (NOT (Geburtstag IS NULL))
UNION
SELECT id, Geburtstag, Vollername, DATEADD(year, YEAR(GETDATE()) - YEAR(Geburtstag) + 1, Geburtstag)
FROM dbo.Adressen
WHERE (NOT (Geburtstag IS NULL))) tbl ON dbo.Aktenbeteiligte.adressid = tbl.id
WHERE (YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 50 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 60 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 65 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 70 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 75 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) = 80 OR
YEAR(GETDATE()) - YEAR(tbl.Geburtstag) >= 90) AND (dbo.Beteiligungstypen.lagerid = 1) AND (DATEDIFF(day, GETDATE(), tbl.Feier) BETWEEN - 7 AND
365)
ORDER BY tbl.Feier

GO
GRANT ALL ON GeburtstageMandantenRund TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GeburtstageMorgen]')) DROP VIEW GeburtstageMorgen
GO




CREATE VIEW dbo.GeburtstageMorgen
AS
SELECT TOP 100000 id AS adressid, Vollername AS Name, Geburtstag, DATEDIFF(year, Geburtstag, DATEADD(day, 1, GETDATE())) AS [Alter]
FROM dbo.Adressen
WHERE (MONTH(Geburtstag) = MONTH(DATEADD(day, 1, GETDATE()))) AND (DAY(Geburtstag) = DAY(DATEADD(day, 1, GETDATE())))
ORDER BY MONTH(Geburtstag), DAY(Geburtstag), YEAR(Geburtstag)

GO
GRANT ALL ON GeburtstageMorgen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Gerichte]')) DROP VIEW Gerichte
GO




CREATE VIEW dbo.Gerichte
AS
SELECT TOP 100 PERCENT Vorname, Nachname, Strassenr, Plzort, Postfach, Plzortpostfach, Telefon1, Telefon2, Mobil, Telefax
FROM dbo.Adressen
WHERE (Vollername LIKE '%gericht%')
ORDER BY Nachname

GO
GRANT ALL ON Gerichte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GNotKGB21konvertiert]')) DROP VIEW GNotKGB21konvertiert
GO



CREATE VIEW dbo.GNotKGB21konvertiert
AS
SELECT dbo.GNotKGB21.Tatbestand, dbo.GNotKGB21.Formelid, dbo.GNotKGB21.p1, dbo.GNotKGB21.p2, dbo.GNotKGB21.pTxt, dbo.GNotKGB21.format2,
dbo.GNotKGB21.Sortierung, ISNULL(dbo.KontoidKonvertierung.KontoIdLokal, dbo.GNotKGB21.kontoid) AS KontoId, dbo.GNotKGB21.Version
FROM dbo.GNotKGB21 INNER JOIN
dbo.KontoidKonvertierung ON dbo.GNotKGB21.kontoid = dbo.KontoidKonvertierung.KontoIdInstall


GO
GRANT ALL ON GNotKGB21konvertiert TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Grussformeln]')) DROP VIEW Grussformeln
GO




CREATE VIEW dbo.Grussformeln
AS
SELECT DISTINCT TOP 100 PERCENT Grussformel
FROM dbo.Adressen
WHERE (Grussformel <> '')
ORDER BY Grussformel

GO
GRANT ALL ON Grussformeln TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[GwRisikoStufenInfo]')) DROP VIEW GwRisikoStufenInfo
GO



CREATE VIEW dbo.GwRisikoStufenInfo
AS
SELECT dbo.Akten.aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Bezeichnung, dbo.Sachgebiete.Sachgebiet, dbo.Akten.Anlagedatum AS Anlage,
dbo.Akten.Ablagezeit AS Ablage, dbo.Akten.abgelegt AS ab, Sb1.Diktatzeichen AS Sb1, Sb2.Diktatzeichen AS Sb2, ISNULL(GwRisikoStufenAkte.Risikostufe,
GwRisikoStufenSachgebiet.Risikostufe) AS Risikostufe
FROM dbo.Sachgebiete INNER JOIN
dbo.Akten ON dbo.Sachgebiete.id = dbo.Akten.sachgebietsid INNER JOIN
dbo.Mitarbeiter AS Sb1 ON dbo.Akten.sachbearbeiterid = Sb1.id INNER JOIN
dbo.Mitarbeiter AS Sb2 ON dbo.Akten.akquisiteursid = Sb2.id LEFT OUTER JOIN
dbo.GwRisikoStufen AS GwRisikoStufenSachgebiet ON dbo.Sachgebiete.GwR = GwRisikoStufenSachgebiet.id LEFT OUTER JOIN
dbo.GwRisikoStufen AS GwRisikoStufenAkte ON dbo.Akten.GwR = GwRisikoStufenAkte.id
WHERE (ISNULL(dbo.Akten.GwR, dbo.Sachgebiete.GwR) > 1)


GO
GRANT ALL ON GwRisikoStufenInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Hauptforderungen]')) DROP VIEW Hauptforderungen
GO




CREATE VIEW dbo.Hauptforderungen
AS
SELECT TOP 100 PERCENT Nr, Belegdatum AS Beleg, Datum, Text, Betrag, Zinssatz, Basiszins, stdKapital, beteiligtenid, Rechnungsnr, KostenRang,
Zinstage, Tageszinsen, stdZins, Tilgung, id
FROM dbo.beko_buchungen
WHERE (stdKapital > 0) AND (Betrag > 0) AND (KostenRang = 0)
ORDER BY Nr

GO
GRANT ALL ON Hauptforderungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Honorartabellen]')) DROP VIEW Honorartabellen
GO




CREATE VIEW dbo.Honorartabellen
AS
SELECT DISTINCT Tabelle
FROM (SELECT Tabelle
FROM dbo.HonorarTabelle
UNION
SELECT Tabelle
FROM dbo.HonorarFormeln) tbl

GO
GRANT ALL ON Honorartabellen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertKG2013err]')) DROP VIEW InsertKG2013err
GO




CREATE VIEW dbo.InsertKG2013err
AS
SELECT dbo.KontoidKonvertierung.KontoIdLokal AS [Fibu-Id], dbo.KontoidKonvertierung.Kontobezeichnung
FROM dbo.KontoidKonvertierung LEFT OUTER JOIN
dbo.fibu_konten ON dbo.KontoidKonvertierung.KontoIdLokal = dbo.fibu_konten.id
WHERE (dbo.fibu_konten.id IS NULL)

GO
GRANT ALL ON InsertKG2013err TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[InsertKG2021err]')) DROP VIEW InsertKG2021err
GO



CREATE VIEW dbo.InsertKG2021err
AS
SELECT dbo.KontoidKonvertierung.KontoIdLokal AS [Fibu-Id], dbo.KontoidKonvertierung.Kontobezeichnung
FROM dbo.KontoidKonvertierung LEFT OUTER JOIN
dbo.fibu_konten ON dbo.KontoidKonvertierung.KontoIdLokal = dbo.fibu_konten.id
WHERE (dbo.fibu_konten.id IS NULL)


GO
GRANT ALL ON InsertKG2021err TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Interessenkonflikte]')) DROP VIEW Interessenkonflikte
GO




CREATE VIEW dbo.Interessenkonflikte
AS
SELECT TOP 100 PERCENT dbo.Adressen.Vorname, dbo.Adressen.Nachname, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt,
dbo.Adressen.id AS Adressid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id OR dbo.Aktenbeteiligte.adressid = dbo.Adressen.megaadresse
WHERE (dbo.Beteiligungstypen.lagerid = 1) OR(dbo.Beteiligungstypen.lagerid = 2) OR(dbo.Beteiligungstypen.lagerid = 4)
GROUP BY dbo.Aktenbeteiligte.adressid, dbo.Adressen.Vorname, dbo.Adressen.Nachname, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt,
dbo.Adressen.id
HAVING (COUNT(DISTINCT dbo.Beteiligungstypen.lagerid) > 1)
ORDER BY dbo.Adressen.Nachname, dbo.Adressen.Vorname

GO
GRANT ALL ON Interessenkonflikte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[JournalSach]')) DROP VIEW JournalSach
GO




CREATE VIEW dbo.JournalSach
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.Az, dbo.fibu_konten.Bezeichnung AS kontobezeichnung,
dbo.fibu_ustkategorie.Bezeichnung AS umsatzsteuerkategorie, dbo.fibu_einzelbuchungen.Betrag AS brutto, dbo.fibu_ustkategorie.Ustsatz,
dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS netto, dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz)
* dbo.fibu_ustkategorie.Ustsatz AS umsatzsteuer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text, dbo.fibu_einzelbuchungen.Ustid,
dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_einzelbuchungen.Kontoid AS KNr, dbo.Mitarbeiter.Diktatzeichen, dbo.fibu_buchungssaetze.Unternehmen
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert

GO
GRANT ALL ON JournalSach TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[JournalUSt]')) DROP VIEW JournalUSt
GO




CREATE VIEW dbo.JournalUSt
AS
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum, dbo.unternehmen.Bezeichnung AS Firma,
dbo.fibu_einzelbuchungen.Kontoid AS KNr, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, dbo.fibu_kontotypen.Vorzeichen,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) AS Nettobetrag,
CAST(- (dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_kontotypen.Vorzeichen) AS numeric(12, 2)) AS Netto,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz AS numeric(12, 2)) AS UStBetrag,
dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuerkategorie,
CAST(- (dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_kontotypen.Vorzeichen) AS numeric(12, 2))
* dbo.fibu_ustkategorie.Ustsatz AS USt, CAST(dbo.fibu_einzelbuchungen.Betrag AS numeric(12, 2)) AS BruttoBetrag,
dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen AS Brutto, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_buchungssaetze.betriebsid,
dbo.fibu_konten.Oberkontoid, dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.id AS ebid, dbo.Akten.sachgebietsid, dbo.Sachgebiete.Sachgebiet
FROM dbo.Sachgebiete INNER JOIN
dbo.Akten ON dbo.Sachgebiete.id = dbo.Akten.sachgebietsid RIGHT OUTER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id

GO
GRANT ALL ON JournalUSt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kalenderbenutzung]')) DROP VIEW Kalenderbenutzung
GO




CREATE VIEW dbo.Kalenderbenutzung
AS
SELECT dbo.Kalender.Akte, dbo.Kalender.Betreff, dbo.Kalender.Zeit, dbo.Benutzung.Benutzer, dbo.Benutzung.Zeit AS Bearbeitungszeit,
dbo.Benutzung.Benutzung AS Aktion
FROM dbo.Benutzung INNER JOIN
dbo.Kalender ON dbo.Benutzung.IdAffected = dbo.Kalender.id
WHERE (dbo.Benutzung.Art = 5)

GO
GRANT ALL ON Kalenderbenutzung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kalenderbetreffs]')) DROP VIEW Kalenderbetreffs
GO




CREATE VIEW dbo.Kalenderbetreffs
AS
SELECT TOP 100 PERCENT Betreff
FROM (SELECT DISTINCT TOP 75 Betreff, COUNT(*) AS Anzahl
FROM dbo.Kalender
WHERE (serie IS NULL) AND (privat IS NULL OR
privat = 0) AND (Zeit > GETDATE() - 500) AND (statusid <= 1)
GROUP BY Betreff
ORDER BY COUNT(*) DESC) tbl
ORDER BY Betreff

GO
GRANT ALL ON Kalenderbetreffs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KG2013konvertiert]')) DROP VIEW KG2013konvertiert
GO




CREATE VIEW dbo.KG2013konvertiert
AS
SELECT dbo.KG2013.Tatbestand, dbo.KG2013.Formelid, dbo.KG2013.p1, dbo.KG2013.p2, dbo.KG2013.pTxt, dbo.KG2013.format2, dbo.KG2013.Sortierung,
ISNULL(dbo.KontoidKonvertierung.KontoIdLokal, dbo.KG2013.kontoid) AS KontoId, dbo.KG2013.Version
FROM dbo.KG2013 INNER JOIN
dbo.KontoidKonvertierung ON dbo.KG2013.kontoid = dbo.KontoidKonvertierung.KontoIdInstall

GO
GRANT ALL ON KG2013konvertiert TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KG2021konvertiert]')) DROP VIEW KG2021konvertiert
GO



CREATE VIEW dbo.KG2021konvertiert
AS
SELECT dbo.KG2021.Tatbestand, dbo.KG2021.Formelid, dbo.KG2021.p1, dbo.KG2021.p2, dbo.KG2021.pTxt, dbo.KG2021.format2, dbo.KG2021.Sortierung,
ISNULL(dbo.KontoidKonvertierung.KontoIdLokal, dbo.KG2021.kontoid) AS KontoId, dbo.KG2021.Version
FROM dbo.KG2021 INNER JOIN
dbo.KontoidKonvertierung ON dbo.KG2021.kontoid = dbo.KontoidKonvertierung.KontoIdInstall


GO
GRANT ALL ON KG2021konvertiert TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kostenaufstellung]')) DROP VIEW Kostenaufstellung
GO




CREATE VIEW dbo.Kostenaufstellung
AS
SELECT TOP 100 PERCENT Nr, Belegdatum AS Beleg, Datum, Text, Betrag, Zinssatz, Basiszins, stdKapital, beteiligtenid, Rechnungsnr, KostenRang,
Zinstage, Tageszinsen, stdZins, Tilgung, id
FROM dbo.beko_buchungen
WHERE (KostenRang = 1)
ORDER BY Nr

GO
GRANT ALL ON Kostenaufstellung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Laender]')) DROP VIEW Laender
GO




CREATE VIEW dbo.Laender
AS
SELECT DISTINCT TOP 100 PERCENT Land
FROM dbo.Adressen
WHERE (NOT (Land IS NULL))
ORDER BY Land

GO
GRANT ALL ON Laender TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Logins]')) DROP VIEW Logins
GO



CREATE VIEW dbo.Logins
AS
SELECT DISTINCT hostname AS PC, loginame AS Benutzer, DB_NAME(dbid) AS Datenbank
FROM master.dbo.sysprocesses
WHERE (program_name = N'a-jur-Kanzleisoftware')


GO
GRANT ALL ON Logins TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MahnverfahrenListe]')) DROP VIEW MahnverfahrenListe
GO




CREATE VIEW dbo.MahnverfahrenListe
AS
SELECT dbo.EdaMahn4.Abi, dbo.Aktenbeteiligte.Aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Aktenbezeichung, dbo.Adressen.Vollername AS Antragsgegner,
dbo.EdaMahn4.GNR AS GeschZ, dbo.EdaStamm.MGPLZ AS Plz, dbo.EdaStamm.MGO AS Mahngericht, dbo.EdaStamm.KEZI, dbo.EdaMails.Datei,
dbo.EdaMails.Erstellt, dbo.EdaMails.Gesendet, dbo.EdaSa.Bezeichnung AS Satzart
FROM dbo.EdaSa INNER JOIN
dbo.EdaMails ON dbo.EdaSa.SA = dbo.EdaMails.Sa RIGHT OUTER JOIN
dbo.EdaMahn4 INNER JOIN
dbo.Aktenbeteiligte ON dbo.EdaMahn4.Abi = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id ON dbo.EdaMails.Abi = dbo.Aktenbeteiligte.id LEFT OUTER JOIN
dbo.EdaStamm ON dbo.EdaMahn4.StammId = dbo.EdaStamm.id

GO
GRANT ALL ON MahnverfahrenListe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mandantenliste]')) DROP VIEW Mandantenliste
GO




CREATE VIEW dbo.Mandantenliste
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.Adressen.Titel, dbo.Adressen.Anrede, dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Adressen.Vollername,
dbo.Adressen.Parteibezeichnung, dbo.Adressen.Adresszusaetze, dbo.Adressen.StrasseNr, ISNULL(dbo.Adressen.Briefanrede,
dbo.Aktenbeteiligte.Briefanrede) AS Briefanrede, dbo.Adressen.PlzOrt, dbo.Adressen.Land, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach,
ISNULL(dbo.Adressen.PlzOrtPostfach, dbo.Adressen.PlzOrt) AS PlzOrtPostfachBzwPlzOrt, ISNULL(dbo.Adressen.Postfach, dbo.Adressen.StrasseNr)
AS PostfachBzwStrasseNr, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax, dbo.Adressen.Email,
dbo.Adressen.Homepage, dbo.Adressen.Bemerkungen, dbo.Adressen.Geburtstag, dbo.Adressen.Geburtsort, dbo.Adressen.Vorsteuerabzug,
dbo.Adressen.Grussformel, dbo.Adressen.Bank, dbo.Adressen.Bankleitzahl, dbo.Adressen.IBAN, dbo.Adressen.BIC, dbo.Adressen.Kontonummer,
dbo.Adressen.megaadresse, dbo.Aktenbeteiligte.adressid, dbo.AdressenExt.*
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.standardbtypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.standardbtypen.id LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Adressen.id = dbo.AdressenExt.AdressIdExt
WHERE (dbo.standardbtypen.standardtyp = 'Mandant')
ORDER BY dbo.Adressen.Nachname, dbo.Adressen.Vorname

GO
GRANT ALL ON Mandantenliste TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MandantenlisteAktiv]')) DROP VIEW MandantenlisteAktiv
GO




CREATE VIEW dbo.MandantenlisteAktiv
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.Adressen.Titel, dbo.Adressen.Anrede, dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Adressen.Vollername,
dbo.Adressen.Parteibezeichnung, dbo.Adressen.Adresszusaetze, dbo.Adressen.StrasseNr, ISNULL(dbo.Adressen.Briefanrede,
dbo.Aktenbeteiligte.Briefanrede) AS Briefanrede, dbo.Adressen.PlzOrt, dbo.Adressen.Land, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach,
ISNULL(dbo.Adressen.PlzOrtPostfach, dbo.Adressen.PlzOrt) AS PlzOrtPostfachBzwPlzOrt, ISNULL(dbo.Adressen.Postfach, dbo.Adressen.StrasseNr)
AS PostfachBzwStrasseNr, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Adressen.Telefax, dbo.Adressen.Email,
dbo.Adressen.Homepage, dbo.Adressen.Bemerkungen, dbo.Adressen.Geburtstag, dbo.Adressen.Geburtsort, dbo.Adressen.Vorsteuerabzug,
dbo.Adressen.Grussformel, dbo.Adressen.Bank, dbo.Adressen.Bankleitzahl, dbo.Adressen.IBAN, dbo.Adressen.BIC, dbo.Adressen.Kontonummer,
dbo.Adressen.megaadresse, dbo.Aktenbeteiligte.adressid, dbo.AdressenExt.*
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.standardbtypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.standardbtypen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Adressen.id = dbo.AdressenExt.AdressIdExt
WHERE (dbo.standardbtypen.standardtyp = 'Mandant') AND (dbo.Akten.abgelegt = 0 OR
dbo.Akten.abgelegt IS NULL)
ORDER BY dbo.Adressen.Nachname, dbo.Adressen.Vorname

GO
GRANT ALL ON MandantenlisteAktiv TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeitAnFremderAkte]')) DROP VIEW MitarbeitAnFremderAkte
GO




CREATE VIEW dbo.MitarbeitAnFremderAkte
AS
SELECT TOP 100 PERCENT dbo.TimeSheet.Az AS Akte, dbo.Akten.Kurzrubrum AS Bezeichnung, dbo.Mitarbeiter.Diktatzeichen AS Mitarb,
Sb1.Diktatzeichen AS Sb1, Sb2.Diktatzeichen AS Sb2, CAST(CAST(dbo.TimeSheet.Startzeit - 0.5 AS integer) AS datetime) AS Datum,
MAX(dbo.TimeSheet.Startzeit) AS Zeit, MIN(dbo.TimeSheet.Endzeit) AS bis, DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit)
* dbo.TimeSheet.Quote / 3600 AS Stunden
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen AND dbo.TimeSheet.Mitarbeiterid <> dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Mitarbeiter Sb1 ON dbo.Akten.sachbearbeiterid = Sb1.id INNER JOIN
dbo.Mitarbeiter Sb2 ON dbo.Akten.akquisiteursid = Sb2.id
GROUP BY dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, Sb1.Diktatzeichen, dbo.Mitarbeiter.Diktatzeichen, dbo.Akten.Anlagedatum, Sb2.Diktatzeichen, DATEDIFF(s,
dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit) * dbo.TimeSheet.Quote / 3600, CAST(CAST(dbo.TimeSheet.Startzeit - 0.5 AS integer) AS datetime)
ORDER BY MAX(dbo.TimeSheet.Startzeit), dbo.Akten.Anlagedatum

GO
GRANT ALL ON MitarbeitAnFremderAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mitarbeiterabrechnung]')) DROP VIEW Mitarbeiterabrechnung
GO




CREATE VIEW dbo.Mitarbeiterabrechnung
AS
SELECT TOP 100 PERCENT *
FROM (SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.datumwert AS Datum,az AS Akte,dbo.akten.kurzrubrum AS Bezeichnung,
dbo.fibu_buchungssaetze.Text,dbo.fibu_einzelbuchungen.betrag AS Rohgewinn,
cast(dbo.fibu_einzelbuchungen.betrag / (1 + dbo.fibu_ustkategorie.ustsatz) * isnull(mitarbeiter.quote,0.5) AS money) AS AbrgSaldo
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.az = dbo.Akten.aktenzeichen INNER JOIN
fibu_konten ON fibu_einzelbuchungen.kontoid = fibu_konten.id INNER JOIN
fibu_oberkonten ON fibu_oberkonten.id = fibu_konten.oberkontoid
WHERE (dbo.Mitarbeiter.susersname = SUSER_SNAME()) AND dbo.fibu_oberkonten.Kontotypid = 1
UNION ALL
SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.datumwert,cast(kontoid AS varchar),dbo.fibu_buchungssaetze.beleg,
dbo.fibu_buchungssaetze.Text,- dbo.fibu_einzelbuchungen.betrag,- (dbo.fibu_einzelbuchungen.betrag / 1.16)
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id LEFT OUTER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.kontoid = dbo.Mitarbeiter.Konto
WHERE (dbo.Mitarbeiter.susersname = SUSER_SNAME())) xxx
ORDER BY Datum

GO
GRANT ALL ON Mitarbeiterabrechnung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeiterEmails]')) DROP VIEW MitarbeiterEmails
GO




CREATE VIEW dbo.MitarbeiterEmails
AS
SELECT dbo.Mitarbeiter.id, ISNULL(dbo.Mitarbeiter.EMail, dbo.Adressen.Email) AS EMail, dbo.Adressen.Vollername, dbo.Adressen.Nachname
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id
WHERE (ISNULL(dbo.Mitarbeiter.EMail, dbo.Adressen.Email) <> '') AND (dbo.Mitarbeiter.aktuell = 1)

GO
GRANT ALL ON MitarbeiterEmails TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeiterInfo]')) DROP VIEW MitarbeiterInfo
GO




CREATE VIEW dbo.MitarbeiterInfo
AS
SELECT dbo.Mitarbeiter.Diktatzeichen, dbo.Mitarbeiter.Eintrittsdatum, dbo.Mitarbeiter.Austrittsdatum, dbo.Mitarbeiter.aktuell, dbo.Adressen.Vollername,
ISNULL(dbo.Mitarbeiter.EMail, dbo.Adressen.Email) AS EMailBzw,(SELECT COUNT(*) AS Expr1
FROM dbo.Akten
WHERE (sachbearbeiterid = dbo.Mitarbeiter.id)) AS Sb1,(SELECT COUNT(*) AS Expr1
FROM dbo.Akten AS Akten_1
WHERE (akquisiteursid = dbo.Mitarbeiter.id)) AS Sb2, dbo.Mitarbeiter.adressid
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id

GO
GRANT ALL ON MitarbeiterInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[MitarbeiterListe]')) DROP VIEW MitarbeiterListe
GO




CREATE VIEW dbo.MitarbeiterListe
AS
SELECT dbo.Mitarbeiter.id, dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Adressen.Anrede, dbo.Adressen.Titel, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.Mitarbeiter.Eintrittsdatum AS Eintritt, dbo.Mitarbeiter.Austrittsdatum AS Austritt, dbo.Mitarbeiter.aktuell AS Akt, dbo.Mitarbeiter.Rechtsanwalt AS Bt,
dbo.Mitarbeiter.zeichnet, dbo.Mitarbeiter.Berufsbezeichnung, dbo.Mitarbeiter.EMail, dbo.Mitarbeiter.Kontakt, dbo.Mitarbeiter.Honorarstufe,
dbo.Mitarbeiter.StandardBcc, dbo.Mitarbeiter.susersname, dbo.Adressen.Briefanrede, dbo.Adressen.Grussformel, dbo.Adressen.Geburtstag,
dbo.Adressen.Geburtsort, dbo.Adressen.Adresszusaetze, dbo.Adressen.Parteibezeichnung, dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt,
dbo.Adressen.Land, dbo.Adressen.Postfach, dbo.Adressen.PlzOrtPostfach, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil,
dbo.Adressen.Telefax, dbo.Adressen.Email AS EMailAdresse, dbo.Adressen.Homepage, dbo.Adressen.Bank, dbo.Adressen.Bankort,
dbo.Adressen.Bankleitzahl, dbo.Adressen.Kontonummer, dbo.Adressen.megaadresse AS MegaAdressId, dbo.Adressen.Bemerkungen,
dbo.Adressen.Vorsteuerabzug, dbo.Mitarbeiter.adressid, dbo.AdressenExt.*
FROM dbo.Mitarbeiter INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Adressen.id = dbo.AdressenExt.AdressIdExt

GO
GRANT ALL ON MitarbeiterListe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[OffenePosten012]')) DROP VIEW OffenePosten012
GO



CREATE VIEW dbo.OffenePosten012
AS
SELECT TOP 100 PERCENT dbo.beko_buchungen.Rechnungsnr AS RgNr, dbo.beko_buchungen.Belegdatum AS Datum, dbo.beko_buchungen.Text,
dbo.Adressen.Vollername, dbo.Aktenbeteiligte.Aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Sachgebiete.Sachgebiet,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Beteiligungstypen.Beteiligungstyp, dbo.unternehmen.Bezeichnung AS Unternehmen,
dbo.Mahnstufen.Mahnstufe, dbo.beko_buchungen.Betrag, dbo.rgbsplit.Auslagen, dbo.rgbsplit.Einnahmen, dbo.rgbsplit.Fremdgeld,
dbo.rgbsplit.Ausgaben, dbo.Aktenbeteiligte.Kontostand, dbo.beko_buchungen.uid, dbo.Aktenbeteiligte.id AS Abi
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.beko_buchungen.id =
(SELECT Top 1 id
FROM dbo.beko_buchungen
WHERE (Rechnungsnr > 0) AND (beteiligtenid = dbo.Aktenbeteiligte.id)
ORDER BY Datum DESC) INNER JOIN
dbo.unternehmen ON dbo.beko_buchungen.uid = dbo.unternehmen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN
dbo.rgbsplit ON dbo.beko_buchungen.id = dbo.rgbsplit.bkbid
WHERE (dbo.Aktenbeteiligte.Kontostand > 10 OR
dbo.Aktenbeteiligte.Kontostand < - 10) AND (dbo.Akten.abgelegt IS NULL OR
dbo.Akten.abgelegt = 0) AND (dbo.Aktenbeteiligte.mahnstufenid = 0 OR
dbo.Aktenbeteiligte.mahnstufenid = 1 OR
dbo.Aktenbeteiligte.mahnstufenid = 2) AND (dbo.beko_buchungen.Belegdatum < GETDATE() - 21)
ORDER BY dbo.beko_buchungen.Datum DESC


GO
GRANT ALL ON OffenePosten012 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[OffenePostenVw]')) DROP VIEW OffenePostenVw
GO



CREATE VIEW dbo.OffenePostenVw
AS
SELECT TOP 100 PERCENT dbo.beko_buchungen.Rechnungsnr AS RgNr, dbo.beko_buchungen.Belegdatum AS Datum, dbo.beko_buchungen.Text,
dbo.Adressen.Vollername, dbo.Aktenbeteiligte.Aktenzeichen AS Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Sachgebiete.Sachgebiet,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Beteiligungstypen.Beteiligungstyp, dbo.unternehmen.Bezeichnung AS Unternehmen, dbo.Mahnstufen.Mahnstufe,
dbo.beko_buchungen.Betrag, dbo.rgbsplit.Auslagen, dbo.rgbsplit.Einnahmen, dbo.rgbsplit.Fremdgeld, dbo.rgbsplit.Ausgaben, dbo.Aktenbeteiligte.Kontostand,
dbo.beko_buchungen.id AS bkbid, dbo.beko_buchungen.uid, dbo.Aktenbeteiligte.id AS Abi
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.beko_buchungen.id =
(SELECT Top 1 id
FROM dbo.beko_buchungen
WHERE (Rechnungsnr > 0) AND (beteiligtenid = dbo.Aktenbeteiligte.id)
ORDER BY Datum DESC) INNER JOIN
dbo.unternehmen ON dbo.beko_buchungen.uid = dbo.unternehmen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN
dbo.rgbsplit ON dbo.beko_buchungen.id = dbo.rgbsplit.bkbid
WHERE (dbo.Aktenbeteiligte.Kontostand > 10 OR
dbo.Aktenbeteiligte.Kontostand < - 10) AND (dbo.Akten.abgelegt IS NULL OR
dbo.Akten.abgelegt = 0)
ORDER BY Datum DESC


GO
GRANT ALL ON OffenePostenVw TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Orte]')) DROP VIEW Orte
GO




CREATE VIEW dbo.Orte
AS
SELECT DISTINCT TOP 100 PERCENT Plzort,0 AS id
FROM dbo.Adressen
WHERE (Plzort <> '')
ORDER BY Plzort

GO
GRANT ALL ON Orte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[p1az]')) DROP VIEW p1az
GO




CREATE VIEW dbo.p1az
AS
SELECT DISTINCT dbo.Aktenbeteiligte.Aktenzeichen AS Akte,dbo.g_zeilen.p1,dbo.g_tbe.Formelid
FROM dbo.g_zeilen INNER JOIN
dbo.Aktenbeteiligte ON dbo.g_zeilen.abi = dbo.Aktenbeteiligte.id INNER JOIN
dbo.g_tbe ON dbo.g_zeilen.tbid = dbo.g_tbe.id
WHERE (NOT (dbo.g_zeilen.p1 IS NULL))

GO
GRANT ALL ON p1az TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[p2tb]')) DROP VIEW p2tb
GO




CREATE VIEW dbo.p2tb
AS
SELECT DISTINCT p2,tbid
FROM dbo.g_zeilen
WHERE (NOT (p2 IS NULL))

GO
GRANT ALL ON p2tb TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[pgmFavoriten]')) DROP VIEW pgmFavoriten
GO




CREATE VIEW dbo.pgmFavoriten
AS
SELECT Benutzung AS Programmfunktion, Art
FROM dbo.Benutzung
WHERE (Benutzer = SUSER_SNAME()) AND (Art = 8)

GO
GRANT ALL ON pgmFavoriten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PgPlzO]')) DROP VIEW PgPlzO
GO




CREATE VIEW dbo.PgPlzO
AS
SELECT DISTINCT TOP 100 PERCENT PGPLZ, PGO
FROM dbo.AbiAbi
WHERE (PGPLZ > '0') AND (PGO <> '')
ORDER BY PGO

GO
GRANT ALL ON PgPlzO TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Platzhalter]')) DROP VIEW Platzhalter
GO




CREATE VIEW dbo.Platzhalter
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'wordAktenbeteiligte')

GO
GRANT ALL ON Platzhalter TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PlatzhalterAdresse]')) DROP VIEW PlatzhalterAdresse
GO




CREATE VIEW dbo.PlatzhalterAdresse
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'wordAkte')

GO
GRANT ALL ON PlatzhalterAdresse TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PlatzhalterAkte]')) DROP VIEW PlatzhalterAkte
GO




CREATE VIEW dbo.PlatzhalterAkte
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'wordAdressen')

GO
GRANT ALL ON PlatzhalterAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PlatzhalterEMails]')) DROP VIEW PlatzhalterEMails
GO




CREATE VIEW dbo.PlatzhalterEMails
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'wordAktenbeteiligte')
UNION
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'benutzer')

GO
GRANT ALL ON PlatzhalterEMails TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[PlatzhalterZv]')) DROP VIEW PlatzhalterZv
GO




CREATE VIEW dbo.PlatzhalterZv
AS
SELECT dbo.syscolumns.name AS Spalte, dbo.Datentypen.Bezeichnung AS Typ, dbo.Datentypen.sql, dbo.syscolumns.length AS Bytes
FROM dbo.sysobjects INNER JOIN
dbo.syscolumns ON dbo.sysobjects.id = dbo.syscolumns.id LEFT OUTER JOIN
dbo.Datentypen ON dbo.Datentypen.xtype = dbo.syscolumns.xtype
WHERE (dbo.sysobjects.name = 'zwangsvollstreckung')

GO
GRANT ALL ON PlatzhalterZv TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Postleitzahlen]')) DROP VIEW Postleitzahlen
GO




CREATE VIEW dbo.Postleitzahlen
AS
SELECT TOP 100 PERCENT plzort
FROM dbo.Adressen
ORDER BY plzort

GO
GRANT ALL ON Postleitzahlen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ProgrammfunktionenUnion]')) DROP VIEW ProgrammfunktionenUnion
GO



CREATE VIEW dbo.ProgrammfunktionenUnion
AS
SELECT Programmfunktion, Beschreibung, Hilfedatei, Abfrage, Sortierung, BrauchtAkte, BrauchtAdresse, BrauchtBeteiligung, BrauchtFibu, gesperrt, neu, Kontext, Parent, Sort,
Passeptt, Exe, 0 AS U, Alias, isnull(Alias, Programmfunktion) AS PgmF, Gap6, icon
FROM dbo.Programmfunktionen
UNION
SELECT Programmfunktion, Beschreibung, 'eigenepgmf.htm', Abfrage, Sortierung, BrauchtAkte, BrauchtAdresse, BrauchtBeteiligung, 0, gesperrt, neu, Kontext, Parent, Sort,
Passeptt, Exe, 1, Programmfunktion, Programmfunktion, NULL, ''
FROM dbo.ProgrammfunktionenExt


GO
GRANT ALL ON ProgrammfunktionenUnion TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qAkten]')) DROP VIEW qAkten
GO




CREATE VIEW dbo.qAkten
AS
SELECT DISTINCT dbo.qBuchungen.akte,dbo.Akten.Kurzrubrum
FROM dbo.qBuchungen INNER JOIN
dbo.Akten ON dbo.qBuchungen.akte = dbo.Akten.aktenzeichen
WHERE (dbo.Akten.abgelegt = 0)

GO
GRANT ALL ON qAkten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qPersnlicheKonten]')) DROP VIEW qPersnlicheKonten
GO



CREATE VIEW [dbo].[qPersnlicheKonten]
-- Datenquelle fr Bericht qPersnliche Konten
-- benutzt von
-- Report [qPersnliche Konten]

-- erstellt
-- 30.12.2020 - Reiner
AS
SELECT qUnion.*
, ISNULL(ISNULL(MegaAdresse.Nachname, Adresse.Nachname) + ', ' + ISNULL(ISNULL(MegaAdresse.Vorname, Adresse.Vorname), '')
, '- ohne persnliche Zuordnung -') AS NameRueck
, - qUnion.Betrag AS BetragErgebnis
, ISNULL(MegaAdresse.id, Adresse.id) AS MegaAdressId
, ISNULL(MegaAdresse.Nachname, Adresse.Nachname) AS MegaNachname
, ISNULL(MegaAdresse.Vorname, Adresse.Vorname) AS MegaVorname
FROM Adressen Adresse
INNER JOIN Aktenbeteiligte ON Adresse.id = Aktenbeteiligte.adressid
RIGHT OUTER JOIN qUnion ON Aktenbeteiligte.id = qUnion.Abi
LEFT OUTER JOIN Adressen MegaAdresse ON Adresse.megaadresse = MegaAdresse.id
WHERE (qUnion.ergebnis = 1)

GO
GRANT ALL ON qPersnlicheKonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Quicklinks]')) DROP VIEW Quicklinks
GO




CREATE VIEW dbo.Quicklinks
AS
SELECT id, Link, mitarbeiterid
FROM dbo.Kalender
WHERE (Zeit < GETDATE()) AND (Link <> '') AND (Quicklink = 1) AND (statusid = 1)

GO
GRANT ALL ON Quicklinks TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[recentBekoBu]')) DROP VIEW recentBekoBu
GO




CREATE VIEW dbo.recentBekoBu
AS
SELECT TOP 100 PERCENT text
FROM (SELECT TOP 20 text,COUNT(*) AS anzahl
FROM dbo.beko_buchungen
WHERE (datepart(year,GETDATE()) - datepart(year,Datum) < 2)
GROUP BY text
ORDER BY COUNT(*) DESC) top20
ORDER BY text

GO
GRANT ALL ON recentBekoBu TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RecentTimeSheet]')) DROP VIEW RecentTimeSheet
GO




CREATE VIEW dbo.RecentTimeSheet
AS
SELECT DISTINCT TOP 25 dbo.TimeSheet.Az, MAX(dbo.TimeSheet.Endzeit) AS LastEnd, dbo.Akten.Kurzrubrum, dbo.Mitarbeiter.susersname
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id
GROUP BY dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, dbo.Mitarbeiter.susersname
HAVING (dbo.Mitarbeiter.susersname = SUSER_SNAME())
ORDER BY MAX(dbo.TimeSheet.Endzeit) DESC

GO
GRANT ALL ON RecentTimeSheet TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RechnungenInAbgelegtenAkten]')) DROP VIEW RechnungenInAbgelegtenAkten
GO




CREATE VIEW dbo.RechnungenInAbgelegtenAkten
AS
SELECT dbo.rgb.bkbid
FROM dbo.rgb INNER JOIN
dbo.beko_buchungen ON dbo.rgb.bkbid = dbo.beko_buchungen.id INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen
WHERE (dbo.Akten.abgelegt = 1) AND (dbo.Akten.Ablagezeit < GETDATE() - 365)

GO
GRANT ALL ON RechnungenInAbgelegtenAkten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Rechnungskonten]')) DROP VIEW Rechnungskonten
GO




CREATE VIEW dbo.Rechnungskonten
AS
SELECT DISTINCT
TOP 100 PERCENT dbo.g_tbe.kontoid, COUNT(dbo.g_tbe.id) AS Anzahl, dbo.fibu_konten.Bezeichnung,
dbo.fibu_kontotypen.Bezeichnung AS Kontotyp
FROM dbo.g_tbe INNER JOIN
dbo.fibu_konten ON dbo.g_tbe.kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
GROUP BY dbo.g_tbe.kontoid, dbo.fibu_konten.Bezeichnung, dbo.fibu_kontotypen.Bezeichnung

GO
GRANT ALL ON Rechnungskonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RubrumNackt]')) DROP VIEW RubrumNackt
GO




CREATE VIEW dbo.RubrumNackt
AS
SELECT DISTINCT dbo.Akten.aktenzeichen,(SELECT TOP 1 adressid
FROM aktenbeteiligte
WHERE beteiligungstypid = isnull((SELECT TOP 1 id
FROM standardbtypen
WHERE standardtyp = 'mandant'),1) AND aktenbeteiligte.aktenzeichen = akten.aktenzeichen
ORDER BY aktenbeteiligte.standard) AS Mandant,(SELECT TOP 1 adressid
FROM aktenbeteiligte
WHERE beteiligungstypid = isnull((SELECT TOP 1 id
FROM standardbtypen
WHERE standardtyp = 'gegner'),2) AND aktenbeteiligte.aktenzeichen = akten.aktenzeichen
ORDER BY aktenbeteiligte.standard) AS Gegner,(SELECT TOP 1 adressid
FROM aktenbeteiligte
WHERE beteiligungstypid = isnull((SELECT TOP 1 id
FROM standardbtypen
WHERE standardtyp = 'gegnervertreter'),3) AND aktenbeteiligte.aktenzeichen = akten.aktenzeichen
ORDER BY aktenbeteiligte.standard) AS Gegnervertreter
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen

GO
GRANT ALL ON RubrumNackt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Serienrechnungen]')) DROP VIEW Serienrechnungen
GO




CREATE VIEW dbo.Serienrechnungen
AS
SELECT dbo.Aktenbeteiligte.id AS Abi, dbo.Aktenbeteiligte.Aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Adressen.Nachname,
dbo.Adressen.Vorname, dbo.Aktenbeteiligte.Kontostand, dbo.Aktenbeteiligte.adressid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Aktenbeteiligte.SRg = 1)

GO
GRANT ALL ON Serienrechnungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Strassen]')) DROP VIEW Strassen
GO




CREATE VIEW dbo.Strassen
AS
SELECT DISTINCT TOP 30000 LEFT(StrasseNr, PATINDEX('%[0-9]%', StrasseNr) - 1) AS Strasse
FROM dbo.Adressen
WHERE (StrasseNr > 'a') AND (PATINDEX('%[0-9]%', StrasseNr) > 3)
ORDER BY LEFT(StrasseNr, PATINDEX('%[0-9]%', StrasseNr) - 1)

GO
GRANT ALL ON Strassen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Tagesdatum]')) DROP VIEW Tagesdatum
GO




CREATE VIEW dbo.Tagesdatum
AS
SELECT CAST(CAST(GETDATE() - 0.5 AS int) AS datetime) AS Heute, CAST(CAST(GETDATE() + 7 - 0.5 AS int) AS datetime) AS Heuteplus7Tage,
CAST(CAST(GETDATE() + 10 - 0.5 AS int) AS datetime) AS HeutePlus10Tage, CAST(CAST(GETDATE() + 14 - 0.5 AS int) AS datetime) AS HeutePlus14Tage,
CAST(CAST(GETDATE() + 21 - 0.5 AS int) AS datetime) AS HeutePlus21Tage

GO
GRANT ALL ON Tagesdatum TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[terminbetreffs]')) DROP VIEW terminbetreffs
GO




CREATE VIEW dbo.terminbetreffs
AS
SELECT DISTINCT TOP 10 COUNT(Betreff) AS Anzahl,Betreff
FROM dbo.Kalender
GROUP BY Betreff
ORDER BY COUNT(Betreff) DESC

GO
GRANT ALL ON terminbetreffs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TermineAkte]')) DROP VIEW TermineAkte
GO




CREATE VIEW dbo.TermineAkte
AS
SELECT TOP 100 PERCENT dbo.Kalender.Zeit, dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Kalender.Betreff, dbo.Terminkategorien.Kategorie,
dbo.Terminstatus.Bezeichnung AS Status, dbo.Kalender.Akte AS Az, dbo.TerminWichtigkeiten.Wichtigkeit, dbo.Kalender.Link, dbo.Kalender.id
FROM dbo.Kalender INNER JOIN
dbo.Terminstatus ON dbo.Kalender.statusid = dbo.Terminstatus.id INNER JOIN
dbo.TerminWichtigkeiten ON dbo.Kalender.wichtigkeit = dbo.TerminWichtigkeiten.id INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.Terminkategorien ON dbo.Kalender.KategorienId = dbo.Terminkategorien.id
ORDER BY dbo.Kalender.Zeit

GO
GRANT ALL ON TermineAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminSerienElementeInfo]')) DROP VIEW TerminSerienElementeInfo
GO




CREATE VIEW dbo.TerminSerienElementeInfo
AS
SELECT TOP 100 PERCENT dbo.TerminSerienElemente.*, dbo.TerminSerienElemente.Einheiten * dbo.Zeiteinheiten.Tage AS Dauer,
dbo.Zeiteinheiten.Zeiteinheit, dbo.Terminkategorien.Kategorie
FROM dbo.TerminSerienElemente INNER JOIN
dbo.Terminkategorien ON dbo.TerminSerienElemente.KategorienId = dbo.Terminkategorien.id LEFT OUTER JOIN
dbo.Zeiteinheiten ON dbo.TerminSerienElemente.Einheit = dbo.Zeiteinheiten.vb6
ORDER BY dbo.TerminSerienElemente.Einheiten * dbo.Zeiteinheiten.Tage

GO
GRANT ALL ON TerminSerienElementeInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Tilgungsbestimmungen1]')) DROP VIEW Tilgungsbestimmungen1
GO




CREATE VIEW dbo.Tilgungsbestimmungen1
AS
SELECT TOP 100 PERCENT Schuld.Datum AS SDatum,Schuld.Text AS Schuldtext,Schuld.Betrag AS Schuld,Gutschrift.Datum AS GDatum,
Gutschrift.Text AS Gutschriftstext,Gutschrift.Betrag AS Gutschrift,dbo.Tilgungsbestimmungen.SchuldId,dbo.Tilgungsbestimmungen.Abi,
dbo.Tilgungsbestimmungen.GutschriftsId
FROM dbo.Tilgungsbestimmungen INNER JOIN
dbo.beko_buchungen Schuld ON dbo.Tilgungsbestimmungen.SchuldId = Schuld.id INNER JOIN
dbo.beko_buchungen Gutschrift ON dbo.Tilgungsbestimmungen.GutschriftsId = Gutschrift.id
ORDER BY Gutschrift.Datum,Gutschrift.Belegdatum,dbo.Tilgungsbestimmungen.GutschriftsId,Schuld.Datum,Schuld.Belegdatum,
dbo.Tilgungsbestimmungen.SchuldId

GO
GRANT ALL ON Tilgungsbestimmungen1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TimeSheetStartMinuten]')) DROP VIEW TimeSheetStartMinuten
GO




CREATE VIEW dbo.TimeSheetStartMinuten
AS
SELECT TOP 100 PERCENT DATEPART(mi, Startzeit) AS Startminute, COUNT(*) AS Anzahl
FROM dbo.TimeSheet
GROUP BY DATEPART(mi, Startzeit)
ORDER BY DATEPART(mi, Startzeit)

GO
GRANT ALL ON TimeSheetStartMinuten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Titel]')) DROP VIEW Titel
GO




CREATE VIEW dbo.Titel
AS
SELECT DISTINCT TOP 100 PERCENT Titel, 0 AS id
FROM dbo.Adressen
WHERE (NOT (Titel IS NULL))

GO
GRANT ALL ON Titel TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ts2tk]')) DROP VIEW ts2tk
GO




CREATE VIEW dbo.ts2tk
AS
SELECT dbo.TimeSheet.id, dbo.TimeSheet.Az AS Akte, dbo.TimeSheet.Startzeit AS Zeit, dbo.TimeSheet.Endzeit AS Ende, dbo.TimeSheet.Text AS Betreff,
'' AS Text, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.TimeSheet.Mitarbeiterid, dbo.Mitarbeiter.Diktatzeichen AS Dz, 1 AS Statusid,
1 AS wichtigkeit, NULL AS Kategorienid, NULL AS Raum, NULL AS grad, NULL AS kursiv, NULL AS schriftart, NULL AS unterstrichen, NULL
AS schriftfarbe, NULL AS Link
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id

GO
GRANT ALL ON ts2tk TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Umsatz]')) DROP VIEW Umsatz
GO




CREATE VIEW dbo.Umsatz
AS
SELECT dbo.Journal.*, dbo.Mitarbeiter.Diktatzeichen AS Sb1, Mitarbeiter_1.Diktatzeichen AS Sb2, dbo.Akten.Anlagedatum
FROM dbo.Mitarbeiter INNER JOIN
dbo.Akten ON dbo.Mitarbeiter.id = dbo.Akten.sachbearbeiterid INNER JOIN
dbo.Mitarbeiter Mitarbeiter_1 ON dbo.Akten.akquisiteursid = Mitarbeiter_1.id RIGHT OUTER JOIN
dbo.Journal ON dbo.Akten.aktenzeichen = dbo.Journal.Az
WHERE (dbo.Journal.Kontotypid = 1)

GO
GRANT ALL ON Umsatz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UnplausibleBekoSalden]')) DROP VIEW UnplausibleBekoSalden
GO




CREATE VIEW dbo.UnplausibleBekoSalden
AS
SELECT TOP 100 PERCENT dbo.Aktenbeteiligte.Aktenzeichen AS Akte,dbo.Akten.Kurzrubrum,dbo.Aktenbeteiligte.Kontostand,dbo.Aktenbeteiligte.adressid,
dbo.Aktenbeteiligte.id AS Abi,dbo.Akten.Betreff,dbo.Akten.Anlagedatum,dbo.Akten.Anleger,dbo.Akten.abgelegt,dbo.Mitarbeiter.Diktatzeichen,
dbo.Adressen.Nachname,dbo.Adressen.Vollername,dbo.Adressen.Strassenr,dbo.Adressen.Plzort,dbo.Beteiligungstypen.Beteiligungstyp
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Aktenbeteiligte.Kontostand < 0) AND (dbo.Akten.abgelegt = 0)
ORDER BY dbo.Adressen.Nachname

GO
GRANT ALL ON UnplausibleBekoSalden TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UnternehmenInfo]')) DROP VIEW UnternehmenInfo
GO



CREATE VIEW dbo.UnternehmenInfo
AS
SELECT dbo.unternehmen.Bezeichnung AS UBezeichnung, dbo.unternehmen.adressid AS UAdressId, dbo.unternehmen.RgNr AS URgNr, dbo.unternehmen.Aktiv AS UAktiv,
dbo.Adressen.Adresszusaetze AS UAdresszusaetze, dbo.Adressen.StrasseNr AS UStrasseNr, dbo.Adressen.PlzOrt AS UPlzOrt, dbo.Adressen.Land AS ULand,
dbo.Adressen.Postfach AS UPostfach, dbo.Adressen.PlzOrtPostfach AS UPlzOrtPostfach, dbo.Adressen.Telefon1 AS UTelefon1, dbo.Adressen.Telefon2 AS UTelefon2,
dbo.Adressen.Mobil AS UMobil, dbo.Adressen.Telefax AS UTelefax, dbo.Adressen.Email AS UEmail, dbo.Adressen.Homepage AS UHomepage,
dbo.Adressen.IBAN AS UIBAN, dbo.Adressen.BIC AS UBIC, dbo.unternehmen.id AS UID
FROM dbo.unternehmen INNER JOIN
dbo.Adressen ON dbo.unternehmen.adressid = dbo.Adressen.id


GO
GRANT ALL ON UnternehmenInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Urkundenbeteiligte]')) DROP VIEW Urkundenbeteiligte
GO



CREATE VIEW dbo.Urkundenbeteiligte
AS
SELECT dbo.Mitarbeiter.Diktatzeichen AS Dz, CAST(dbo.Urkunden.Jahr AS varchar) + '/' + CAST(dbo.Urkunden.Nr AS varchar) AS UR, dbo.Urkunden.Datum, dbo.Urkunden.Az,
dbo.Urkunden.Gegenstand, dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Adressen.PlzOrt, dbo.Beteiligungstypen.Beteiligungstyp
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Urkunden ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Urkunden.Az INNER JOIN
dbo.Mitarbeiter ON dbo.Urkunden.Mia = dbo.Mitarbeiter.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id


GO
GRANT ALL ON Urkundenbeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UrkundenInfo]')) DROP VIEW UrkundenInfo
GO



CREATE VIEW dbo.UrkundenInfo
AS
SELECT dbo.Urkunden.Mia, dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Urkunden.Jahr, dbo.Urkunden.Nr, dbo.Urkunden.Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung,
dbo.Urkunden.Datum, dbo.Urkunden.Ort, dbo.Urkunden.Beteiligte, dbo.Urkunden.Gegenstand, dbo.Urkunden.Bemerkungen
FROM dbo.Urkunden INNER JOIN
dbo.Akten ON dbo.Urkunden.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter ON dbo.Urkunden.Mia = dbo.Mitarbeiter.id


GO
GRANT ALL ON UrkundenInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Versandformen]')) DROP VIEW Versandformen
GO




CREATE VIEW dbo.Versandformen
AS
SELECT DISTINCT TOP 100 PERCENT Versand
FROM dbo.Aktenbeteiligte
ORDER BY Versand

GO
GRANT ALL ON Versandformen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[whrungen]')) DROP VIEW whrungen
GO




CREATE VIEW dbo.whrungen
AS
SELECT dbo.waehrungen.*
FROM dbo.waehrungen

GO
GRANT ALL ON whrungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Wiedervorlagen]')) DROP VIEW Wiedervorlagen
GO




CREATE VIEW dbo.Wiedervorlagen
AS
SELECT TOP 100 PERCENT dbo.Kalender.id, dbo.Kalender.Akte, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.Adressen.Vollername AS Sachbearbeiter, tabSb1.Diktatzeichen AS Sb1, tabSb2.Diktatzeichen AS Sb2, dbo.Kalender.Betreff,
dbo.Akten.Betreff AS Aktenbetreff, dbo.Kalender.Text, dbo.Kalender.Zeit, dbo.Kalender.Ende, dbo.Kalender.abtermin, dbo.Kalender.Erinnerung,
dbo.Kalender.Wiedervorlage, dbo.Kalender.wichtigkeit, dbo.Kalender.Raum, dbo.Kalender.Link, dbo.Kalender.statusid
FROM dbo.Mitarbeiter tabSb2 INNER JOIN
dbo.Akten INNER JOIN
dbo.Mitarbeiter tabSb1 ON dbo.Akten.sachbearbeiterid = tabSb1.id ON tabSb2.id = dbo.Akten.akquisiteursid RIGHT OUTER JOIN
dbo.Kalender INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id ON dbo.Akten.aktenzeichen = dbo.Kalender.Akte
WHERE (dbo.Kalender.Wiedervorlage <= GETDATE()) AND (dbo.Kalender.privat IS NULL OR
dbo.Kalender.privat = 0) AND (dbo.Kalender.statusid = 1)
ORDER BY dbo.Akten.Kurzrubrum

GO
GRANT ALL ON Wiedervorlagen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[wordAdressen]')) DROP VIEW wordAdressen
GO




CREATE VIEW dbo.wordAdressen
AS
SELECT Adresse.*, ISNULL(Adresse.Postfach, Adresse.StrasseNr) AS PostfachBzwStrasseNr, ISNULL(Adresse.PlzOrtPostfach, Adresse.PlzOrt)
AS PlzOrtPostfachBzwPlzOrt, Adresse.IBAN AS Bankverbindung, dbo.Mitarbeiter.zeichnet AS SachbearbeiterZeichnet,
Sachbearbeiter.Vollername AS SachbearbeiterVollername, dbo.Mitarbeiter.susersname, dbo.AdressenExt.*
FROM dbo.AdressenExt RIGHT OUTER JOIN
dbo.Adressen Adresse ON dbo.AdressenExt.AdressIdExt = Adresse.id CROSS JOIN
dbo.Mitarbeiter LEFT OUTER JOIN
dbo.Adressen Sachbearbeiter ON dbo.Mitarbeiter.adressid = Sachbearbeiter.id
WHERE (dbo.Mitarbeiter.susersname = SUSER_SNAME())

GO
GRANT ALL ON wordAdressen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[wordAkte]')) DROP VIEW wordAkte
GO



CREATE VIEW dbo.wordAkte
AS
SELECT dbo.Akten.aktenzeichen AS Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff AS AktenBetreff, dbo.Sachgebiete.Sachgebiet,
dbo.Akten.Anleger, CAST(CAST(dbo.Akten.Anlagedatum - 0.5 AS int) AS datetime) AS Anlagedatum, CAST(CAST(dbo.Akten.Ablagezeit - 0.5 AS int)
AS datetime) AS Ablagedatum, dbo.Akten.Ablagenummer, SachbearbeiterAdresse.Vollername AS SachbearbeiterVollername,
Sachbearbeiter.zeichnet AS SachbearbeiterZeichnet, ISNULL(Sachbearbeiter.EMail, SachbearbeiterAdresse.Email) AS SachbearbeiterEMail,
Sachbearbeiter.Kontakt AS SachbearbeiterKontakt, Sachbearbeiter.Diktatzeichen AS Dz, Sachbearbeiter.Berufsbezeichnung, ISNULL(Sb2.EMail,
Sb2Adresse.Email) AS Sb2EMail, Sb2.Kontakt AS Sb2Kontakt, Sb2.Berufsbezeichnung AS Sb2Berufsbezeichnung, dbo.Akten.aktenzeichen,
dbo.Akten.Kurzrubrum, Sachbearbeiter.Diktatzeichen AS SachbearbeiterDiktatzeichen, Sb2.Diktatzeichen AS Sb2Dz,
Sb2Adresse.Vollername AS Sb2VollerName, dbo.Akten.Bemerkungen AS Aktennotiz, dbo.Akten.Ablagezeit, dbo.Akten.Megaakte,
ISNULL(GwRisikostufenAkte.Risikostufe, GwRisikoStufenSachgebiet.Risikostufe) AS Risikostufe, dbo.Akten.UserDef, dbo.Aktentypen.Aktentyp,
dbo.Akten.abgelegt, dbo.Akten.dokumentenid, dbo.Akten.sachgebietsid AS SachGebId, dbo.Akten.Dokumentvorlage, dbo.Akten.Aktenordner,
(SELECT Wert
FROM dbo.UserTexte
WHERE (Bezeichnung = 'mfg')) AS Grussformel,
(SELECT Wert
FROM dbo.UserTexte AS UserTexte_1
WHERE (Bezeichnung = 'sgduh')) AS Briefanrede, dbo.AktenExt.*
FROM dbo.Akten INNER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id INNER JOIN
dbo.Adressen SachbearbeiterAdresse ON Sachbearbeiter.adressid = SachbearbeiterAdresse.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mitarbeiter Sb2 ON dbo.Akten.akquisiteursid = Sb2.id INNER JOIN
dbo.Adressen Sb2Adresse ON Sb2.adressid = Sb2Adresse.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikoStufenSachgebiet ON dbo.Sachgebiete.GwR = GwRisikoStufenSachgebiet.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikostufenAkte ON dbo.Akten.GwR = GwRisikostufenAkte.id LEFT OUTER JOIN
dbo.Aktentypen ON dbo.Akten.Typ = dbo.Aktentypen.id LEFT OUTER JOIN
dbo.AktenExt ON dbo.Akten.aktenzeichen = dbo.AktenExt.AzExt


GO
GRANT ALL ON wordAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[wordAktenbeteiligte]')) DROP VIEW wordAktenbeteiligte
GO

CREATE VIEW dbo.wordAktenbeteiligte
AS
SELECT dbo.Aktenbeteiligte.id, dbo.Aktenbeteiligte.Aktenzeichen AS Az, ISNULL(dbo.Aktenbeteiligte.Telefax, Adressat.Telefax) AS Telefax, Adressat.Titel,
Adressat.Anrede, Adressat.Nachname, Adressat.Vorname, Adressat.Vollername, ISNULL(Adressat.Parteibezeichnung, Adressat.Vollername)
AS Parteibezeichnung, Adressat.Adresszusaetze, dbo.Aktenbeteiligte.Versand, dbo.Aktenbeteiligte.AdressZusatzBeteiligung, Adressat.StrasseNr,
Adressat.PlzOrt, Adressat.Land, Adressat.Postfach, Adressat.PlzOrtPostfach, ISNULL(Adressat.Postfach, Adressat.StrasseNr)
AS PostfachBzwStrasseNr, ISNULL(Adressat.PlzOrtPostfach, Adressat.PlzOrt) AS PlzOrtPostfachBzwPlzOrt, ISNULL(Adressat.Anrede, '')
+ ' ' + Adressat.Vollername + ', ' + ISNULL(Adressat.StrasseNr, '') + ', ' + ISNULL(Adressat.PlzOrt, '') AS NameAnschrift, dbo.Aktenbeteiligte.Betreff,
Adressat.Geburtstag, Adressat.Geburtsort, Adressat.ExName, ISNULL(dbo.Aktenbeteiligte.Email, Adressat.Email) AS Email,
ISNULL(dbo.Aktenbeteiligte.Briefanrede, Adressat.Briefanrede) AS Briefanrede, Adressat.Telefon1, Adressat.Telefon2, Adressat.Mobil,
dbo.Aktenbeteiligte.Durchwahl, dbo.Aktenbeteiligte.Mobil2, Adressat.Grussformel, Adressat.Bank, Adressat.Bankort, Adressat.Bankleitzahl,
Adressat.Kontonummer, Adressat.BIC, Adressat.IBAN, Adressat.Homepage, Adressat.Vorsteuerabzug,
Adressat.Bemerkungen AS AdressatBemerkungen, dbo.Akten.Bemerkungen AS Aktennotiz, dbo.Aktenbeteiligte.Aktenzeichen,
dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Akten.Betreff AS AktenBetreff, Sachbearbeiter.Diktatzeichen AS Dz,
Sachbearbeiter.Diktatzeichen AS SachbearbeiterDiktatzeichen, dbo.Sachgebiete.Sachgebiet, ISNULL(GwRisikoStufenAkte.Risikostufe,
GwRisikoStufenSachgebiet.Risikostufe) AS Riskostufe, Sachbearbeiter.zeichnet AS SachbearbeiterZeichnet, ISNULL(Sb1Adresse.Titel, '')
+ ' ' + Sb1Adresse.Nachname AS SachbearbeiterTitelNachname, Sb1Adresse.Vollername AS SachbearbeiterVollerName,
Sb1Adresse.IBAN AS SachbearbeiterIBAN, ISNULL(Sachbearbeiter.EMail, Sb1Adresse.Email) AS SachbearbeiterEMail, Sachbearbeiter.Kontakt,
Sachbearbeiter.Berufsbezeichnung, Sb2.Diktatzeichen AS Sb2Dz, Sb2Adresse.Vollername AS Sb2VollerName, Sb2.zeichnet AS Sb2Zeichnet,
Sb2.Berufsbezeichnung AS Sb2Beruf, ISNULL(Sb2.EMail, Sb2Adresse.Email) AS Sb2EMail, Sb2.Kontakt AS Sb2Kontakt, '' AS BenutzerDz,
dbo.Mahnstufen.Mahnstufe, dbo.Aktenbeteiligte.HFrdrg, dbo.Aktenbeteiligte.NFrdrg, dbo.Aktenbeteiligte.HfZins, dbo.Aktenbeteiligte.NfZins,
dbo.Aktenbeteiligte.Kontostand, dbo.Aktenbeteiligte.Berechnungsdatum, dbo.Aktenbeteiligte.Tageszinsen, dbo.Tagesdatum.Heuteplus7Tage,
dbo.Tagesdatum.HeutePlus10Tage, dbo.Tagesdatum.HeutePlus14Tage, dbo.Tagesdatum.HeutePlus21Tage, dbo.Aktentypen.Aktentyp,
dbo.Akten.Anleger, dbo.Akten.Anlagedatum, CAST(CAST(dbo.Akten.Anlagedatum - 0.5 AS int) AS datetime) AS AnlageTag, dbo.Akten.abgelegt,
dbo.Akten.Ablagezeit, CAST(CAST(dbo.Akten.Ablagezeit - 0.5 AS int) AS datetime) AS Ablagedatum, dbo.Aktenbeteiligte.Dokumentvorlage,
dbo.Akten.Dokumentvorlage AS DokumentvorlageAkte, dbo.Akten.Ablagenummer, dbo.Akten.Megaakte, dbo.Akten.Kurzrubrum,
dbo.Beteiligungstypen.Beteiligungstyp, ISNULL(dbo.Aktenbeteiligte.Verfahrensrolle, dbo.Beteiligungstypen.Beteiligungstyp)
AS VerfahrensBzwParteirolle, dbo.Mahnstufen.Mahntext, dbo.Mahnstufen.SchlussText, dbo.Aktenbeteiligte.beteiligungstypid,
dbo.Beteiligungstypen.lagerid, dbo.Lager.Sort AS LagerSort, Adressat.id AS adressid,
Adressat.Kontonummer + ' (BLZ ' + Adressat.Bankleitzahl + ')' AS Bankverbindung, dbo.Aktenbeteiligte.vertreterabi, dbo.Akten.UserDef,
dbo.Aktenbeteiligte.Verfahrensrolle, dbo.Verfahrensrollen.Nominativ AS VerfahrensrolleNom, dbo.Verfahrensrollen.Genitiv AS VerfahrensrolleGen,
dbo.Verfahrensrollen.Dativ AS VerfahrensrolleDat, dbo.Verfahrensrollen.Akkusativ AS VerfahrensrolleAkk, Adressat.megaadresse,
dbo.Aktenbeteiligte.Standard, dbo.Lager.Lager, ISNULL(GwRisikoStufenAkte.Risikostufe, GwRisikoStufenSachgebiet.Risikostufe) AS Risikostufe,
dbo.Akten.sachgebietsid AS SachGebId, dbo.Akten.Jahr, dbo.Akten.Nr, dbo.Aktenbeteiligte.ua, dbo.AktenExt.*, dbo.AktenbeteiligteExt.*,
dbo.AdressenExt.*
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen INNER JOIN
dbo.Adressen Adressat ON dbo.Aktenbeteiligte.adressid = Adressat.id INNER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Mitarbeiter Sb2 ON dbo.Akten.akquisiteursid = Sb2.id INNER JOIN
dbo.Adressen Sb1Adresse ON Sachbearbeiter.adressid = Sb1Adresse.id INNER JOIN
dbo.Lager ON dbo.Beteiligungstypen.lagerid = dbo.Lager.lager_id INNER JOIN
dbo.Adressen Sb2Adresse ON Sb2.adressid = Sb2Adresse.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikoStufenSachgebiet ON dbo.Sachgebiete.GwR = GwRisikoStufenSachgebiet.id LEFT OUTER JOIN
dbo.GwRisikoStufen GwRisikoStufenAkte ON dbo.Akten.GwR = GwRisikoStufenAkte.id LEFT OUTER JOIN
dbo.AdressenExt ON dbo.Aktenbeteiligte.adressid = dbo.AdressenExt.AdressIdExt LEFT OUTER JOIN
dbo.Aktentypen ON dbo.Akten.Typ = dbo.Aktentypen.id LEFT OUTER JOIN
dbo.AktenExt ON dbo.Akten.aktenzeichen = dbo.AktenExt.AzExt LEFT OUTER JOIN
dbo.Verfahrensrollen ON dbo.Aktenbeteiligte.Verfahrensrolle = dbo.Verfahrensrollen.Bezeichnung LEFT OUTER JOIN
dbo.AktenbeteiligteExt ON dbo.Aktenbeteiligte.id = dbo.AktenbeteiligteExt.abi CROSS JOIN
dbo.Tagesdatum

GO
GRANT ALL ON wordAktenbeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[wordAktenbeteiligteKompakt]')) DROP VIEW wordAktenbeteiligteKompakt
GO




CREATE VIEW dbo.wordAktenbeteiligteKompakt
AS
SELECT dbo.Aktenbeteiligte.Aktenzeichen, dbo.Beteiligungstypen.Beteiligungstyp, dbo.Adressen.*, dbo.Aktenbeteiligte.Betreff, dbo.Beteiligungstypen.lagerid,
dbo.Aktenbeteiligte.id AS Abi, dbo.Akten.Kurzrubrum, dbo.Aktenbeteiligte.adressid, dbo.Aktenbeteiligte.Mobil2, dbo.Aktenbeteiligte.Email AS EMailBet,
dbo.Aktenbeteiligte.Durchwahl, dbo.Aktenbeteiligte.Telefax AS TelefaxBet, dbo.Akten.Betreff AS BetreffAkte, dbo.Aktenbeteiligte.Versand,
dbo.Aktenbeteiligte.AdressZusatzBeteiligung
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen

GO
GRANT ALL ON wordAktenbeteiligteKompakt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[work]')) DROP VIEW work
GO




CREATE VIEW dbo.[work]
AS
SELECT TOP 100 PERCENT Benutzer,MIN(Zeit) AS Von,MAX(Zeit) AS Bis,COUNT(Benutzung) AS Anzahl,DATEDIFF(hh,MIN(Zeit),MAX(Zeit)) AS Stunden
FROM dbo.Benutzung
GROUP BY Benutzer,CAST(Zeit - 0.5 AS integer)
ORDER BY MIN(Zeit) DESC

GO
GRANT ALL ON work TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Zeiterfassungstexte]')) DROP VIEW Zeiterfassungstexte
GO




CREATE VIEW dbo.Zeiterfassungstexte
AS
SELECT TOP 100 PERCENT *
FROM (SELECT TOP 25 COUNT(dbo.TimeSheet.Text) AS Anzahl, dbo.TimeSheet.Text
FROM dbo.TimeSheet INNER JOIN
dbo.Mitarbeiter ON dbo.TimeSheet.Mitarbeiterid = dbo.Mitarbeiter.id
WHERE (dbo.Mitarbeiter.susersname = SUSER_SNAME()) AND (dbo.TimeSheet.Startzeit > GETDATE() - 365)
GROUP BY dbo.TimeSheet.Text
ORDER BY COUNT(dbo.TimeSheet.Text) DESC) tab
ORDER BY Text

GO
GRANT ALL ON Zeiterfassungstexte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[zvbeteiligtenliste]')) DROP VIEW zvbeteiligtenliste
GO




CREATE VIEW dbo.zvbeteiligtenliste
AS
SELECT TOP 100 PERCENT dbo.Adressen.Nachname + ' ' + dbo.Adressen.Vorname + ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + dbo.Adressen.adresszusaetze
AS klartext,dbo.Aktenbeteiligte.id AS abi,dbo.Beteiligungstypen.lagerid,dbo.Aktenbeteiligte.aktenzeichen
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
ORDER BY dbo.Adressen.Nachname,dbo.Adressen.Vorname,dbo.Aktenbeteiligte.id

GO
GRANT ALL ON zvbeteiligtenliste TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenbetreffs]')) DROP FUNCTION Aktenbetreffs
GO




CREATE FUNCTION dbo.Aktenbetreffs (@Az varchar(50))
RETURNS TABLE AS RETURN (
SELECT Distinct Betreff FROM (
SELECT text as Betreff, 1 As Sort
FROM listentexte
WHERE kontext = 1
UNION
SELECT DISTINCT Betreff, 2
FROM dbo.Aktenbeteiligte
WHERE (Aktenzeichen = @Az)
UNION
SELECT DISTINCT betreff, 2
FROM akten
WHERE (Aktenzeichen = @Az)) tbl
)

GO
GRANT ALL ON Aktenbetreffs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktenbetreffs2]')) DROP FUNCTION Aktenbetreffs2
GO




CREATE FUNCTION dbo.Aktenbetreffs2()
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT Betreff
FROM dbo.Akten
GROUP BY Betreff
HAVING (COUNT(Betreff) > 1) AND (Betreff <> '')
ORDER BY Betreff)

GO
GRANT ALL ON Aktenbetreffs2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenlisteRauteAktiv]')) DROP FUNCTION AktenlisteRauteAktiv
GO



CREATE FUNCTION [dbo].[AktenlisteRauteAktiv](@raute varchar(50))
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT dbo.Akten.aktenzeichen, dbo.Akten.Kurzrubrum
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE ((dbo.Akten.abgelegt = 0) AND (dbo.Akten.Kurzrubrum LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Akten.Betreff LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Akten.aktenzeichen LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Akten.Bemerkungen LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Vollername LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.exname LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Adresszusaetze LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Parteibezeichnung LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.StrasseNr LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.PlzOrt LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Land LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Briefanrede LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Land LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.iban LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Adressen.Bemerkungen LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Aktenbeteiligte.email LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Aktenbeteiligte.AdresszusatzBeteiligung LIKE '%' + @raute + '%')) OR
((dbo.Akten.abgelegt = 0) AND (dbo.Aktenbeteiligte.Betreff LIKE '%' + @raute + '%'))
)


GO
GRANT ALL ON AktenlisteRauteAktiv TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[AktenlisteRauteAlle]')) DROP FUNCTION AktenlisteRauteAlle
GO



CREATE FUNCTION [dbo].[AktenlisteRauteAlle]
(@raute varchar(50))
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT dbo.Akten.aktenzeichen, dbo.Akten.Kurzrubrum
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Akten.Kurzrubrum LIKE '%' + @raute + '%') OR
(dbo.Akten.Betreff LIKE '%' + @raute + '%') OR
(dbo.Akten.aktenzeichen LIKE '%' + @raute + '%') OR
(dbo.Akten.bemerkungen LIKE '%' + @raute + '%') OR
(dbo.Adressen.Vollername LIKE '%' + @raute + '%') OR
(dbo.Adressen.exname LIKE '%' + @raute + '%') OR
(dbo.Adressen.adresszusaetze LIKE '%' + @raute + '%') OR
(dbo.Adressen.parteibezeichnung LIKE '%' + @raute + '%') OR
(dbo.Adressen.StrasseNr LIKE '%' + @raute + '%') OR
(dbo.Adressen.PlzOrt LIKE '%' + @raute + '%') OR
(dbo.Adressen.land LIKE '%' + @raute + '%') OR
(dbo.Adressen.email LIKE '%' + @raute + '%') OR
(dbo.Adressen.iban LIKE '%' + @raute + '%') OR
(dbo.Adressen.bemerkungen LIKE '%' + @raute + '%') OR
(dbo.Adressen.PlzOrt LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.Betreff LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.email LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.AdresszusatzBeteiligung LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.briefanrede LIKE '%' + @raute + '%')
)


GO
GRANT ALL ON AktenlisteRauteAlle TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Aktensalden]')) DROP FUNCTION Aktensalden
GO




CREATE FUNCTION dbo.Aktensalden(@Abgelegt bit)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.Akten.aktenzeichen AS Akte, dbo.Akten.Kurzrubrum, Sachbearbeiter.Diktatzeichen AS Sb1,
Sachbearbeiter.Diktatzeichen AS Sb2, dbo.Akten.Anlagedatum,(SELECT SUM(dbo.fibu_einzelbuchungen.Betrag) AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.fibu_einzelbuchungen.Az = akten.aktenzeichen) AND (dbo.fibu_oberkonten.kontotypid = - 2)) AS Auslagen,(SELECT SUM(dbo.fibu_einzelbuchungen.Betrag) AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.fibu_einzelbuchungen.Az = akten.aktenzeichen) AND (dbo.fibu_oberkonten.kontotypid = 1)) AS Einnahmen,(SELECT SUM(dbo.fibu_einzelbuchungen.Betrag) AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.fibu_einzelbuchungen.Az = akten.aktenzeichen) AND (dbo.fibu_oberkonten.kontotypid = - 1)) AS Fremdgeld,(SELECT SUM(dbo.fibu_einzelbuchungen.Betrag) AS Betrag
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.fibu_einzelbuchungen.Az = akten.aktenzeichen) AND (dbo.fibu_oberkonten.kontotypid = 2)) AS Ausgaben
FROM dbo.fibu_konten INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_konten.id = dbo.fibu_einzelbuchungen.Kontoid INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id RIGHT OUTER JOIN
dbo.Akten LEFT OUTER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id ON
dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen LEFT OUTER JOIN
dbo.Mitarbeiter Akquisiteur ON dbo.Akten.akquisiteursid = Akquisiteur.id
WHERE (dbo.Akten.abgelegt = @Abgelegt)
GROUP BY dbo.Akten.aktenzeichen, dbo.Akten.Kurzrubrum, Sachbearbeiter.Diktatzeichen, Sachbearbeiter.Diktatzeichen, dbo.Akten.Anlagedatum
ORDER BY dbo.Akten.Anlagedatum DESC)

GO
GRANT ALL ON Aktensalden TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligteCockpit]')) DROP FUNCTION BeteiligteCockpit
GO




CREATE FUNCTION [dbo].[BeteiligteCockpit](@az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT

dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '') + ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + ISNULL(dbo.Adressen.Adresszusaetze, '') + ', ' + ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, '') + ' ' + ISNULL(dbo.Adressen.PlzOrt, '') AS klartext,

dbo.Aktenbeteiligte.adressid,
dbo.Aktenbeteiligte.id AS abi,
dbo.Aktenbeteiligte.beteiligungstypid,
dbo.waehrungen.Anzeigeformat,
dbo.Aktenbeteiligte.Berechnungsdatum,
dbo.Aktenbeteiligte.Kontostand,
dbo.Aktenbeteiligte.mahnstufenid,
dbo.Aktenbeteiligte.Betreff,
dbo.Aktenbeteiligte.Dokumentvorlage,
dbo.Aktenbeteiligte.vertreterabi,
'Telefon: ' + ISNULL(dbo.Adressen.Telefon1, '-') + ', ' + ISNULL(dbo.Adressen.Telefon2, '-')
+ ', Mobil: ' + ISNULL(dbo.Adressen.Mobil, '-') + ' Durchwahl: ' + ISNULL(dbo.Aktenbeteiligte.Durchwahl, '-')
+ ', Mobil2: ' + ISNULL(dbo.Aktenbeteiligte.Mobil2, '-') AS Telefone,
dbo.Beteiligungstypen.Beteiligungstyp,
dbo.Mahnstufen.Farbe,
dbo.Mahnstufen.Mahnstufe,
dbo.Adressen.Nachname,
dbo.Adressen.Vorname,
dbo.Beteiligungstypen.lagerid,
dbo.Adressen.Vollername,
dbo.Aktenbeteiligte.Standard,
dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '') AS NameRueck,
dbo.Adressen.Telefon1,
dbo.Adressen.Telefon2,
dbo.Adressen.Mobil,
dbo.Adressen.Telefax,
dbo.Aktenbeteiligte.Durchwahl,
dbo.Adressen.Email, dbo.Adressen.Homepage,
ISNULL(dbo.Aktenbeteiligte.Briefanrede, dbo.Adressen.Briefanrede) AS Briefanrede,
dbo.Aktenbeteiligte.Verfahrensrolle,
dbo.Aktenbeteiligte.KontoDirty

FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.waehrungen ON dbo.Aktenbeteiligte.Waehrung = dbo.waehrungen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @az)
ORDER BY dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + ISNULL(dbo.Adressen.Adresszusaetze, '')
+ ', ' + ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, '') + ' ' + ISNULL(dbo.Adressen.PlzOrt, ''), dbo.Aktenbeteiligte.id)

GO
GRANT ALL ON BeteiligteCockpit TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligtenlisteRaute]')) DROP FUNCTION BeteiligtenlisteRaute
GO



CREATE FUNCTION [dbo].[BeteiligtenlisteRaute] (@Az varchar(59), @raute varchar(50))
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT

dbo.Adressen.Nachname + ' ' +
ISNULL(dbo.Adressen.Vorname, '') + ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' +
ISNULL(dbo.Adressen.Adresszusaetze, '') + ', ' +
ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, '') + ' ' +
ISNULL(dbo.Adressen.PlzOrt, '') AS klartext,

dbo.Aktenbeteiligte.adressid,
dbo.Aktenbeteiligte.id AS abi,
dbo.Aktenbeteiligte.beteiligungstypid,
dbo.waehrungen.Anzeigeformat,
dbo.Aktenbeteiligte.Berechnungsdatum,
dbo.Aktenbeteiligte.Kontostand,
dbo.Aktenbeteiligte.mahnstufenid,
dbo.Aktenbeteiligte.Betreff,
dbo.Aktenbeteiligte.Dokumentvorlage,
dbo.Aktenbeteiligte.vertreterabi,
'Telefon: '
+ ISNULL(dbo.Adressen.Telefon1, '-') + ', '
+ ISNULL(dbo.Adressen.Telefon2, '-')
+ ', Mobil: ' + ISNULL(dbo.Adressen.Mobil, '-')
+ ', Durchwahl: ' + ISNULL(dbo.Aktenbeteiligte.Durchwahl, '-')
+ ', Mobil2: ' + ISNULL(dbo.Aktenbeteiligte.Mobil2, '-')
AS Telefone,
dbo.Beteiligungstypen.Beteiligungstyp,
dbo.Mahnstufen.Farbe,
dbo.Mahnstufen.Mahnstufe,
dbo.Adressen.Nachname,
dbo.Adressen.Vorname,
dbo.Beteiligungstypen.lagerid,
dbo.Adressen.Vollername,
dbo.Aktenbeteiligte.Standard,
dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '') AS NameRueck,
dbo.Adressen.Telefon1,
dbo.Adressen.Telefon2,
dbo.Adressen.Mobil,
dbo.Adressen.Telefax,
dbo.Aktenbeteiligte.Durchwahl,
dbo.Adressen.Email, dbo.Adressen.Homepage,
ISNULL(dbo.Aktenbeteiligte.Briefanrede, dbo.Adressen.Briefanrede) AS Briefanrede,
dbo.Aktenbeteiligte.Verfahrensrolle,
dbo.Aktenbeteiligte.KontoDirty


FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.waehrungen ON dbo.Aktenbeteiligte.Waehrung = dbo.waehrungen.id INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id

WHERE
(dbo.Aktenbeteiligte.Aktenzeichen = @Az) AND
(
(dbo.Adressen.Vollername LIKE '%' + @raute + '%') OR
(dbo.Adressen.exname LIKE '%' + @raute + '%') OR
(dbo.Adressen.adresszusaetze LIKE '%' + @raute + '%') OR
(dbo.Adressen.parteibezeichnung LIKE '%' + @raute + '%') OR
(dbo.Adressen.StrasseNr LIKE '%' + @raute + '%') OR
(dbo.Adressen.PlzOrt LIKE '%' + @raute + '%') OR
(dbo.Adressen.land LIKE '%' + @raute + '%') OR
(dbo.Adressen.email LIKE '%' + @raute + '%') OR
(dbo.Adressen.iban LIKE '%' + @raute + '%') OR
(dbo.Adressen.briefanrede LIKE '%' + @raute + '%') OR
(dbo.Adressen.Bemerkungen LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.Betreff LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.email LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.AdresszusatzBeteiligung LIKE '%' + @raute + '%') OR
(dbo.Aktenbeteiligte.briefanrede LIKE '%' + @raute + '%')
)
)


GO
GRANT ALL ON BeteiligtenlisteRaute TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BeteiligungstypenInAkte]')) DROP FUNCTION BeteiligungstypenInAkte
GO




CREATE FUNCTION dbo.BeteiligungstypenInAkte(@az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT DISTINCT dbo.Beteiligungstypen.Beteiligungstyp
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @az))

GO
GRANT ALL ON BeteiligungstypenInAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[cboQKonten]')) DROP FUNCTION cboQKonten
GO




CREATE FUNCTION dbo.cboQKonten(@akte varchar(10))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 percent id,ISNULL((SELECT alias
FROM dbo.qAktenKonten
WHERE (dbo.qAktenKonten.akte = @akte) AND kontoid = qkonten.id),Kontobezeichnung) AS Kontobezeichnung,ustid,dbo.kontokaro.bezeichnung as Kontotyp
FROM dbo.qKonten INNER JOIN dbo.kontokaro on dbo.qKonten.vorzeichen = dbo.kontokaro.vorzeichen AND dbo.qKonten.ergebnis = dbo.kontokaro.ergebnis
ORDER BY Kontobezeichnung)

GO
GRANT ALL ON cboQKonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EinnahmenNachSachbearbeiterUndJahr]')) DROP FUNCTION EinnahmenNachSachbearbeiterUndJahr
GO




CREATE FUNCTION dbo.EinnahmenNachSachbearbeiterUndJahr(@UId smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT YEAR(dbo.fibu_buchungssaetze.Datumwert) AS Jahr, dbo.Adressen.Vollername AS Sachbearbeiter,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
SUM(CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS money)) AS Nettoeinnahmen
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), dbo.fibu_oberkonten.Kontotypid, dbo.Mitarbeiter.Diktatzeichen, dbo.fibu_oberkonten.Bezeichnung,
dbo.Adressen.Vollername, dbo.fibu_buchungssaetze.Unternehmen
HAVING (dbo.fibu_oberkonten.Kontotypid = 1) AND (dbo.fibu_buchungssaetze.Unternehmen = @UId)
ORDER BY YEAR(dbo.fibu_buchungssaetze.Datumwert))

GO
GRANT ALL ON EinnahmenNachSachbearbeiterUndJahr TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[EinnahmenNachSachgebietUndJahr]')) DROP FUNCTION EinnahmenNachSachgebietUndJahr
GO




CREATE FUNCTION dbo.EinnahmenNachSachgebietUndJahr(@UId smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT YEAR(dbo.fibu_buchungssaetze.Datumwert) AS Jahr, dbo.Sachgebiete.Sachgebiet,
SUM(CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS money)) AS Nettoeinahmen
FROM dbo.Akten INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id LEFT OUTER JOIN
dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), dbo.fibu_oberkonten.Kontotypid, dbo.fibu_buchungssaetze.Unternehmen,
dbo.Sachgebiete.Sachgebiet
HAVING (dbo.fibu_oberkonten.Kontotypid = 1) AND (dbo.fibu_buchungssaetze.Unternehmen = @UId)
ORDER BY YEAR(dbo.fibu_buchungssaetze.Datumwert))

GO
GRANT ALL ON EinnahmenNachSachgebietUndJahr TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitAdresse]')) DROP FUNCTION ErfassteZeitAdresse
GO




CREATE FUNCTION dbo.ErfassteZeitAdresse(@adressid int)
RETURNS TABLE
AS
RETURN (SELECT DISTINCT dbo.Erfasstezeit.*
FROM dbo.Erfasstezeit INNER JOIN
dbo.Aktenbeteiligte ON dbo.Erfasstezeit.Az = dbo.Aktenbeteiligte.Aktenzeichen
WHERE (dbo.Aktenbeteiligte.adressid = @adressid))

GO
GRANT ALL ON ErfassteZeitAdresse TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitAdressgruppe]')) DROP FUNCTION ErfassteZeitAdressgruppe
GO




CREATE FUNCTION dbo.ErfassteZeitAdressgruppe(@Adressid int)
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT dbo.Erfasstezeit.*
FROM dbo.Erfasstezeit INNER JOIN
dbo.Aktenbeteiligte ON dbo.Erfasstezeit.Az = dbo.Aktenbeteiligte.Aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Adressen.megaadresse = @Adressid))

GO
GRANT ALL ON ErfassteZeitAdressgruppe TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErfassteZeitNachStufen]')) DROP FUNCTION ErfassteZeitNachStufen
GO




CREATE FUNCTION dbo.ErfassteZeitNachStufen(@az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, Bearbeiter.Diktatzeichen AS Dz, Sachb1.Diktatzeichen AS Sb1,
Sachb2.Diktatzeichen AS Sb2, dbo.Sachgebiete.Sachgebiet, SUM(DATEDIFF(s, dbo.TimeSheet.Startzeit, dbo.TimeSheet.Endzeit)
* dbo.TimeSheet.Quote / 3600) AS Std, ISNULL(dbo.TimeSheet.Stufe, Bearbeiter.Honorarstufe) AS Stufe,
SUM(CAST(ISNULL(HonorarstufeKonkret.Betrag, HonorarstufeMitarbeiter.Betrag) * dbo.TimeSheet.Quote * DATEDIFF(s, dbo.TimeSheet.Startzeit,
dbo.TimeSheet.Endzeit) / 3600 AS money)) AS Betrag
FROM dbo.TimeSheet INNER JOIN
dbo.Akten ON dbo.TimeSheet.Az = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mitarbeiter Bearbeiter ON dbo.TimeSheet.Mitarbeiterid = Bearbeiter.id INNER JOIN
dbo.Mitarbeiter Sachb1 ON dbo.Akten.sachbearbeiterid = Sachb1.id INNER JOIN
dbo.Mitarbeiter Sachb2 ON dbo.Akten.akquisiteursid = Sachb2.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Honorarstufen HonorarstufeMitarbeiter ON Bearbeiter.Honorarstufe = HonorarstufeMitarbeiter.Stufe LEFT OUTER JOIN
dbo.Honorarstufen HonorarstufeKonkret ON dbo.TimeSheet.Stufe = HonorarstufeKonkret.Stufe
GROUP BY dbo.TimeSheet.Az, dbo.Akten.Kurzrubrum, Bearbeiter.Diktatzeichen, Sachb1.Diktatzeichen, Sachb2.Diktatzeichen, dbo.Sachgebiete.Sachgebiet,
ISNULL(dbo.TimeSheet.Stufe, Bearbeiter.Honorarstufe)
HAVING (dbo.TimeSheet.Az = @az))

GO
GRANT ALL ON ErfassteZeitNachStufen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ErgebnisNachSachbearbeiterUndJahr]')) DROP FUNCTION ErgebnisNachSachbearbeiterUndJahr
GO




CREATE FUNCTION dbo.ErgebnisNachSachbearbeiterUndJahr(@UId smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT YEAR(dbo.fibu_buchungssaetze.Datumwert) AS Jahr, dbo.Adressen.Vollername AS Sachbearbeiter,
dbo.Mitarbeiter.Diktatzeichen AS Dz, - SUM(CAST((dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen)
/ (1 + dbo.fibu_ustkategorie.Ustsatz) AS money)) AS Nettoeinnahmen
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.Mitarbeiter ON dbo.fibu_einzelbuchungen.Sachbearbeiterid = dbo.Mitarbeiter.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.Adressen ON dbo.Mitarbeiter.adressid = dbo.Adressen.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_kontotypen.id > 0)
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), dbo.Mitarbeiter.Diktatzeichen, dbo.Adressen.Vollername,
dbo.fibu_buchungssaetze.Unternehmen
HAVING (dbo.fibu_buchungssaetze.Unternehmen = @UId)
ORDER BY YEAR(dbo.fibu_buchungssaetze.Datumwert) DESC)

GO
GRANT ALL ON ErgebnisNachSachbearbeiterUndJahr TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fcBuSaSa]')) DROP FUNCTION fcBuSaSa
GO




CREATE FUNCTION dbo.fcBuSaSa(
@BuSaId int
)
RETURNS money
AS BEGIN RETURN (
SELECT SUM(dbo.fibu_einzelbuchungen.betrag * dbo.fibu_kontotypen.vorzeichen) AS Expr1
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_einzelbuchungen.buchungssatzid = @BuSaId)
)
END

GO
GRANT ALL ON fcBuSaSa TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fcFinanzKonto]')) DROP FUNCTION fcFinanzKonto
GO




CREATE FUNCTION dbo.fcFinanzKonto (@kontoid integer,@AbDatum DateTime)
RETURNS @kontoauszug TABLE (Datum DateTime,Text varchar,Betrag money,Saldo money)
AS BEGIN INSERT INTO @kontoauszug
SELECT datum,Text,Betrag,0 AS Saldo From fibu_buchungen
WHERE kontoid=@kontoid and datum>=@AbDatum
ORDER BY datum
RETURN
END

GO
GRANT ALL ON fcFinanzKonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fcLagerCount]')) DROP FUNCTION fcLagerCount
GO




CREATE FUNCTION dbo.fcLagerCount (@adressid int)
RETURNS int AS BEGIN RETURN (
SELECT count (distinct(lagerid)) AS Anzahl
FROM (
SELECT DISTINCT dbo.Aktenbeteiligte.adressid,dbo.Beteiligungstypen.lagerid
FROM dbo.Aktenbeteiligte
INNER JOIN dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE dbo.Beteiligungstypen.lagerid <> 3 AND dbo.Aktenbeteiligte.adressid=@adressid
UNION
SELECT DISTINCT dbo.Adressen.megaadresse,dbo.Beteiligungstypen.lagerid
FROM dbo.Aktenbeteiligte
INNER JOIN dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
INNER JOIN dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE dbo.Beteiligungstypen.lagerid <> 3 AND dbo.Aktenbeteiligte.adressid=@adressid AND dbo.Adressen.megaadresse > 0
) Kombinationen
)
END

GO
GRANT ALL ON fcLagerCount TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_bstop1]')) DROP FUNCTION fibu_bstop1
GO




CREATE FUNCTION dbo.fibu_bstop1(@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Text, dbo.fibu_einzelbuchungen.Betrag, dbo.fibu_buchungssaetze.Datumwert,
dbo.fibu_buchungssaetze.id, dbo.fibu_buchungssaetze.Unternehmen
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.eb1 = dbo.fibu_einzelbuchungen.id
WHERE (dbo.fibu_buchungssaetze.Unternehmen = @Uid)
ORDER BY dbo.fibu_buchungssaetze.Datumwert DESC)

GO
GRANT ALL ON fibu_bstop1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_BuchungenOhneGegenbuchung]')) DROP FUNCTION fibu_BuchungenOhneGegenbuchung
GO




CREATE FUNCTION dbo.fibu_BuchungenOhneGegenbuchung(@von smalldatetime,
@bis smalldatetime,
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT dbo.fibu_einzelbuchungen.buchungssatzid AS BsId, dbo.fibu_einzelbuchungen.id, dbo.fibu_buchungssaetze.Datumbuch,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.Text, dbo.fibu_einzelbuchungen.Az, dbo.fibu_einzelbuchungen.Kontoid,
dbo.fibu_einzelbuchungen.Betrag
FROM dbo.fibu_einzelbuchungen LEFT OUTER JOIN
dbo.fibu_einzelbuchungen fibu_einzelbuchungen_1 ON dbo.fibu_einzelbuchungen.GbId = fibu_einzelbuchungen_1.id LEFT OUTER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE (dbo.fibu_buchungssaetze.Datumbuch >= @von) AND (dbo.fibu_buchungssaetze.Datumbuch <= @bis) AND(dbo.fibu_buchungssaetze.Unternehmen = @Uid) AND (fibu_einzelbuchungen_1.id IS NULL))

GO
GRANT ALL ON fibu_BuchungenOhneGegenbuchung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fibu_unvollstaendigebuchungen]')) DROP FUNCTION fibu_unvollstaendigebuchungen
GO




CREATE FUNCTION dbo.fibu_unvollstaendigebuchungen(@von smalldatetime,
@bis smalldatetime,
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT dbo.fibu_buchungssaetze.*
FROM dbo.fibu_buchungssaetze
WHERE (Split < 0) AND (Datumbuch >= @von) AND (Datumbuch <= @bis) AND (Unternehmen = @Uid))

GO
GRANT ALL ON fibu_unvollstaendigebuchungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuJahrWerte1]')) DROP FUNCTION FibuJahrWerte1
GO




CREATE FUNCTION dbo.FibuJahrWerte1(@Jahr nvarchar(50),
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT SUM(dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen) AS Summe,
MONTH(dbo.fibu_buchungssaetze.Datumwert) AS Monat, dbo.fibu_konten.Bezeichnung, dbo.fibu_einzelbuchungen.Kontoid AS Kid,
dbo.fibu_oberkonten.Kontotypid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), MONTH(dbo.fibu_buchungssaetze.Datumwert), dbo.fibu_buchungssaetze.Unternehmen,
dbo.fibu_konten.Bezeichnung, dbo.fibu_einzelbuchungen.Kontoid, dbo.fibu_oberkonten.Kontotypid, dbo.fibu_kontotypen.Vorzeichen
HAVING (YEAR(dbo.fibu_buchungssaetze.Datumwert) = @Jahr) AND (dbo.fibu_buchungssaetze.Unternehmen = @Uid)
ORDER BY dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_einzelbuchungen.Kontoid, MONTH(dbo.fibu_buchungssaetze.Datumwert))

GO
GRANT ALL ON FibuJahrWerte1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuJahrWerte2]')) DROP FUNCTION FibuJahrWerte2
GO




CREATE FUNCTION dbo.FibuJahrWerte2(@Jahr nvarchar(50),
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT SUM(dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen) AS Summe,
MONTH(dbo.fibu_buchungssaetze.Datumwert) AS Monat, dbo.fibu_oberkonten.Bezeichnung, dbo.fibu_konten.Oberkontoid AS Kid,
dbo.fibu_oberkonten.Kontotypid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), MONTH(dbo.fibu_buchungssaetze.Datumwert), dbo.fibu_buchungssaetze.Unternehmen,
dbo.fibu_oberkonten.Bezeichnung, dbo.fibu_konten.Oberkontoid, dbo.fibu_oberkonten.Kontotypid, dbo.fibu_kontotypen.Vorzeichen
HAVING (YEAR(dbo.fibu_buchungssaetze.Datumwert) = @Jahr) AND (dbo.fibu_buchungssaetze.Unternehmen = @Uid)
ORDER BY dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_konten.Oberkontoid, dbo.fibu_oberkonten.Bezeichnung, MONTH(dbo.fibu_buchungssaetze.Datumwert))

GO
GRANT ALL ON FibuJahrWerte2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FibuJahrWerte3]')) DROP FUNCTION FibuJahrWerte3
GO




CREATE FUNCTION dbo.FibuJahrWerte3(@Jahr nvarchar(50),
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT SUM(dbo.fibu_einzelbuchungen.Betrag * - dbo.fibu_kontotypen.Vorzeichen) AS Summe,
MONTH(dbo.fibu_buchungssaetze.Datumwert) AS Monat, dbo.fibu_kontotypen.Bezeichnung, dbo.fibu_kontotypen.id AS Kid,
dbo.fibu_oberkonten.Kontotypid
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
GROUP BY YEAR(dbo.fibu_buchungssaetze.Datumwert), MONTH(dbo.fibu_buchungssaetze.Datumwert), dbo.fibu_buchungssaetze.Unternehmen,
dbo.fibu_kontotypen.Bezeichnung, dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_kontotypen.id, dbo.fibu_oberkonten.Kontotypid
HAVING (YEAR(dbo.fibu_buchungssaetze.Datumwert) = @Jahr) AND (dbo.fibu_buchungssaetze.Unternehmen = @Uid)
ORDER BY dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_kontotypen.id, MONTH(dbo.fibu_buchungssaetze.Datumwert))

GO
GRANT ALL ON FibuJahrWerte3 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnAdressenDsobIAz]')) DROP FUNCTION fnAdressenDsobIAz
GO




CREATE FUNCTION dbo.fnAdressenDsobIAz(@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT dbo.Adressen.*
FROM dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid
WHERE (dbo.Adressen.ds = 1) AND (dbo.Aktenbeteiligte.Aktenzeichen = @Az) AND (dbo.Aktenbeteiligte.adressid IN(SELECT AdressId
FROM AdressenDsobi)))

GO
GRANT ALL ON fnAdressenDsobIAz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnAdressInfo]')) DROP FUNCTION fnAdressInfo
GO




CREATE FUNCTION [dbo].[fnAdressInfo] (@AdressId int)
RETURNS TABLE
AS
RETURN (
SELECT (SELECT ds
FROM dbo.Adressen
WHERE (id = @AdressId))
AS ds,(SELECT COUNT(*) AS Aktiv
FROM dbo.Aktenbeteiligte AS Aktenbeteiligte_3 INNER JOIN
dbo.Akten ON Aktenbeteiligte_3.Aktenzeichen = dbo.Akten.aktenzeichen
WHERE (Aktenbeteiligte_3.adressid = @AdressId) AND (dbo.Akten.abgelegt = 0))
AS aktiv,(SELECT COUNT(*) AS Aktiv
FROM dbo.Aktenbeteiligte AS Aktenbeteiligte_3 INNER JOIN
dbo.Akten ON Aktenbeteiligte_3.Aktenzeichen = dbo.Akten.aktenzeichen
WHERE (Aktenbeteiligte_3.adressid = @AdressId) AND (dbo.Akten.abgelegt = 1))
AS abgelegt,(SELECT COUNT(*) AS Archiv
FROM dbo.Aktenbeteiligte AS Aktenbeteiligte_2 INNER JOIN
dbo.Beteiligungstypen ON Aktenbeteiligte_2.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (Aktenbeteiligte_2.adressid = @AdressId) AND (dbo.Beteiligungstypen.Archiv = 1))
AS Archiv,(SELECT COUNT(dbo.beko_buchungen.id) AS buchungen
FROM dbo.Aktenbeteiligte INNER JOIN dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid
WHERE (dbo.Aktenbeteiligte.adressid = @adressid))
AS Buchungen,(SELECT MAX(isnull(Akten_1.Ablagezeit, Akten_1.anlagedatum + 1827)) AS LetzteAA
FROM dbo.Aktenbeteiligte AS Aktenbeteiligte_1 INNER JOIN
dbo.Akten AS Akten_1 ON Aktenbeteiligte_1.Aktenzeichen = Akten_1.aktenzeichen
WHERE (Aktenbeteiligte_1.adressid = @adressid))
AS LetzteAA,(SELECT SUM(Aktenbeteiligte_2.Kontostand) AS Kontostand
FROM dbo.Aktenbeteiligte AS Aktenbeteiligte_2
WHERE (Aktenbeteiligte_2.adressid = @adressid))
AS Kontostand)

GO
GRANT ALL ON fnAdressInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnAktenkonto]')) DROP FUNCTION fnAktenkonto
GO




CREATE FUNCTION dbo.fnAktenkonto(@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT *
FROM (SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.Akten.aktenzeichen AS Akte,
dbo.fibu_buchungssaetze.Beleg AS Betrifft, dbo.fibu_buchungssaetze.Text, NULL AS Mandant, NULL AS Gegner, NULL AS Sonstige,
SUM(CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 2 THEN dbo.fibu_einzelbuchungen.betrag END) AS Auslagen,
SUM(CASE WHEN dbo.fibu_oberkonten.Kontotypid = 1 THEN dbo.fibu_einzelbuchungen.betrag END) AS Einnahmen,
SUM(CASE WHEN dbo.fibu_oberkonten.Kontotypid = - 1 THEN dbo.fibu_einzelbuchungen.betrag END) AS Fremdgeld,
SUM(CASE WHEN dbo.fibu_oberkonten.Kontotypid = 2 THEN dbo.fibu_einzelbuchungen.betrag END) AS Ausgaben,
dbo.fibu_buchungssaetze.id AS BuchungssatzId
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
GROUP BY dbo.fibu_buchungssaetze.Datumwert, dbo.Akten.aktenzeichen, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.fibu_buchungssaetze.id
UNION ALL
SELECT dbo.beko_buchungen.Belegdatum, dbo.Aktenbeteiligte.Aktenzeichen, dbo.Adressen.Vollername, dbo.beko_buchungen.Text,
CASE WHEN dbo.Beteiligungstypen.lagerid = 1 THEN dbo.beko_buchungen.betrag END AS Expr1,
CASE WHEN dbo.Beteiligungstypen.lagerid = 2 THEN dbo.beko_buchungen.betrag END AS Expr2,
CASE WHEN dbo.Beteiligungstypen.lagerid > 2 THEN dbo.beko_buchungen.betrag END AS Expr3, NULL
AS Gegner, NULL, NULL, NULL, NULL
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Beteiligungstypen.lagerid <= 2)) tbl
WHERE (Akte = @Az)
ORDER BY Datum)

GO
GRANT ALL ON fnAktenkonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnBilanzKonten]')) DROP FUNCTION fnBilanzKonten
GO




CREATE FUNCTION dbo.fnBilanzKonten (@Stichtag as Datetime, @Uid as Int)
RETURNS TABLE
AS
RETURN (SELECT 880 AS id, 'Ergebnis (variables Kapitalkonto)' AS Konto, 'Eigenkapital' AS Oberkonto,
abs(SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen)) AS Saldo,
SIGN(SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen)) AS SgnE
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE (dbo.fibu_buchungssaetze.Datumwert <= @Stichtag) AND (dbo.fibu_oberkonten.Kontotypid > 0) and (dbo.fibu_buchungssaetze.unternehmen=@uid)
GROUP BY dbo.fibu_buchungssaetze.Unternehmen
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) <> 0)
UNION ALL
SELECT dbo.fibu_konten.id, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
abs(SUM(dbo.fibu_einzelbuchungen.Betrag)) AS Saldo,
SIGN(SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen)) AS SgnKonto
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_buchungssaetze.Datumwert <= @Stichtag) AND (dbo.fibu_oberkonten.Kontotypid < 0) AND (dbo.fibu_buchungssaetze.unternehmen=@uid)
GROUP BY dbo.fibu_konten.id, dbo.fibu_konten.Bezeichnung, dbo.fibu_oberkonten.Bezeichnung, dbo.fibu_kontotypen.Bezeichnung,
dbo.fibu_oberkonten.Kontotypid, dbo.fibu_buchungssaetze.Unternehmen
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag) <> 0))

GO
GRANT ALL ON fnBilanzKonten TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnBs]')) DROP FUNCTION fnBs
GO




CREATE FUNCTION dbo.fnBs(@BsId int)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.fibu_einzelbuchungen.buchungssatzid AS BsId, dbo.fibu_einzelbuchungen.id, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
gb.Kontoid AS GkNr, dbo.fibu_einzelbuchungen.Az, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Mitarbeiter.Diktatzeichen AS Dz,
dbo.fibu_ustkategorie.Bezeichnung AS Umsatzsteuer, CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz)
* dbo.fibu_kontotypen.Vorzeichen AS numeric(12, 2)) AS Netto, dbo.fibu_ustkategorie.Ustsatz,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz)
* dbo.fibu_ustkategorie.Ustsatz * dbo.fibu_kontotypen.Vorzeichen AS numeric(12, 2)) AS USt,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS Brutto,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) AS numeric(12, 2)) AS NettoNom,
CAST(dbo.fibu_einzelbuchungen.Betrag / (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz AS numeric(12, 2)) AS UStNom,
CAST(dbo.fibu_einzelbuchungen.Betrag AS numeric(12, 2)) AS BruttoNom, dbo.Adressen.Nachname + ' ' + ISNULL(dbo.Adressen.Vorname, '')
+ ' (' + dbo.Beteiligungstypen.Beteiligungstyp + ') ' + ISNULL(dbo.Adressen.Adresszusaetze, '')
+ ' ' + ISNULL(dbo.Aktenbeteiligte.AdressZusatzBeteiligung, '') AS Beteiligtenkonto, dbo.beko_buchungen.Betrag AS iBetrag,
dbo.beko_buchungen.beteiligtenid AS Abi, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_einzelbuchungen.bkbid,
dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.Aktenbeteiligte.Aktenzeichen AS iAz, dbo.fibu_einzelbuchungen.GbId
FROM dbo.Mitarbeiter RIGHT OUTER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id LEFT OUTER JOIN
dbo.fibu_einzelbuchungen gb ON dbo.fibu_einzelbuchungen.GbId = gb.id ON
dbo.Mitarbeiter.id = dbo.fibu_einzelbuchungen.Sachbearbeiterid LEFT OUTER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen LEFT OUTER JOIN
dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id ON
dbo.fibu_einzelbuchungen.bkbid = dbo.beko_buchungen.id
WHERE (dbo.fibu_einzelbuchungen.buchungssatzid = @BsId)
ORDER BY dbo.fibu_einzelbuchungen.id)

GO
GRANT ALL ON fnBs TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnFinanzZeitraum]')) DROP FUNCTION fnFinanzZeitraum
GO




CREATE FUNCTION dbo.fnFinanzZeitraum (@uid int,
@StartDatum smalldatetime,
@EndDatum smalldatetime)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id AS buchungssatzid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Benutzer, dbo.fibu_buchungssaetze.Beleg, dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.Az, dbo.unternehmen.Bezeichnung AS Firma, dbo.fibu_einzelbuchungen.Ustid, dbo.fibu_einzelbuchungen.Kontoid AS KNr,
dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto, dbo.fibu_kontotypen.Bezeichnung AS Kontotyp,
fibu_einzelbuchungen_1.Kontoid AS GkNr, dbo.fibu_kontotypen.Vorzeichen, dbo.fibu_einzelbuchungen.Betrag AS NomBetrag,
dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen AS Betrag, dbo.fibu_buchungssaetze.betriebsid, dbo.fibu_konten.Oberkontoid,
dbo.fibu_buchungssaetze.Unternehmen, dbo.fibu_einzelbuchungen.Sachbearbeiterid, dbo.fibu_oberkonten.Kontotypid,
dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_ustkategorie.Ustsatz, dbo.fibu_einzelbuchungen.id AS ebid, dbo.unternehmen.*
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.unternehmen ON dbo.fibu_buchungssaetze.Unternehmen = dbo.unternehmen.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_einzelbuchungen fibu_einzelbuchungen_1 ON dbo.fibu_einzelbuchungen.GbId = fibu_einzelbuchungen_1.id
WHERE (dbo.fibu_oberkonten.Kontotypid < 0) AND (dbo.fibu_konten.Oberkontoid = @uid) AND (dbo.fibu_buchungssaetze.Datumwert >= @StartDatum AND
dbo.fibu_buchungssaetze.Datumwert <= @EndDatum)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.id)

GO
GRANT ALL ON fnFinanzZeitraum TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnLetzteUid]')) DROP FUNCTION fnLetzteUid
GO




CREATE FUNCTION dbo.fnLetzteUid (@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 1 PERCENT dbo.beko_buchungen.uid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid
WHERE (NOT (dbo.beko_buchungen.uid IS NULL)) AND (dbo.Aktenbeteiligte.Aktenzeichen = @Az)
ORDER BY dbo.beko_buchungen.id DESC)

GO
GRANT ALL ON fnLetzteUid TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnLetzteUid1]')) DROP FUNCTION fnLetzteUid1
GO




CREATE FUNCTION dbo.fnLetzteUid1 (@Az varchar(10))
RETURNS integer
AS BEGIN RETURN (SELECT TOP 1 PERCENT dbo.beko_buchungen.uid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid
WHERE (NOT (dbo.beko_buchungen.uid IS NULL)) AND (dbo.Aktenbeteiligte.Aktenzeichen = @Az)
ORDER BY dbo.beko_buchungen.id DESC)
END

GO
GRANT ALL ON fnLetzteUid1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnLetzteUid2]')) DROP FUNCTION fnLetzteUid2
GO




CREATE FUNCTION dbo.fnLetzteUid2 (@Az varchar(10))
RETURNS integer
AS BEGIN RETURN (SELECT TOP 1 PERCENT dbo.beko_buchungen.uid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid
WHERE (NOT (dbo.beko_buchungen.uid IS NULL)) AND (dbo.Aktenbeteiligte.Aktenzeichen = @Az)
ORDER BY dbo.beko_buchungen.id DESC)
END

GO
GRANT ALL ON fnLetzteUid2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnOffeneFinanzSalden]')) DROP FUNCTION fnOffeneFinanzSalden
GO




CREATE FUNCTION dbo.fnOffeneFinanzSalden (@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.fibu_kontotypen.Bezeichnung AS Kontotyp, SUM(dbo.fibu_einzelbuchungen.Betrag) AS Saldo
FROM dbo.Akten INNER JOIN
dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id ON
dbo.Akten.aktenzeichen = dbo.fibu_einzelbuchungen.Az INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_oberkonten.Kontotypid < 0) AND (dbo.Akten.aktenzeichen = @Az)
GROUP BY dbo.fibu_kontotypen.Bezeichnung
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag) <> 0))

GO
GRANT ALL ON fnOffeneFinanzSalden TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnOffenerFinanzSaldo]')) DROP FUNCTION fnOffenerFinanzSaldo
GO




CREATE FUNCTION dbo.fnOffenerFinanzSaldo(@az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT ISNULL(SUM(dbo.fibu_einzelbuchungen.Betrag), 0) AS Saldo1
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id
WHERE (dbo.fibu_oberkonten.Kontotypid < - 1) AND (dbo.fibu_einzelbuchungen.Az = @az))

GO
GRANT ALL ON fnOffenerFinanzSaldo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[fnStandardBeteiligte]')) DROP FUNCTION fnStandardBeteiligte
GO




CREATE FUNCTION dbo.fnStandardBeteiligte()
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT Aktenzeichen, beteiligungstypid, Standard, MIN(id) AS Abi
FROM dbo.Aktenbeteiligte
GROUP BY Aktenzeichen, beteiligungstypid, Standard
HAVING (Aktenzeichen = '2166/12')
ORDER BY Standard DESC)

GO
GRANT ALL ON fnStandardBeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Journal2]')) DROP FUNCTION Journal2
GO




CREATE FUNCTION dbo.Journal2(@DatumVon smalldatetime,
@DatumBis smalldatetime,
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT dbo.fibu_buchungssaetze.Datumwert AS Datum, dbo.fibu_buchungssaetze.Text, dbo.fibu_buchungssaetze.Beleg, eb1.Betrag, eb1.Kontoid AS KNr,
konto.Bezeichnung AS Konto, eb2.Kontoid AS GkNr, gegenkonto.Bezeichnung AS Gegenkonto, dbo.fibu_buchungssaetze.id AS Bsid,
dbo.fibu_buchungssaetze.Split
FROM dbo.fibu_konten gegenkonto INNER JOIN
dbo.fibu_einzelbuchungen eb2 ON gegenkonto.id = eb2.Kontoid INNER JOIN
dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen eb1 ON dbo.fibu_buchungssaetze.eb1 = eb1.id ON eb2.id = eb1.GbId INNER JOIN
dbo.fibu_konten konto ON eb1.Kontoid = konto.id
WHERE (dbo.fibu_buchungssaetze.Datumwert >= @DatumVon) AND (dbo.fibu_buchungssaetze.Unternehmen = @Uid) AND(dbo.fibu_buchungssaetze.Datumwert <= @DatumBis))

GO
GRANT ALL ON Journal2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[KalenderAkte]')) DROP FUNCTION KalenderAkte
GO




CREATE FUNCTION dbo.KalenderAkte(@az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT dbo.Terminkalender.*
FROM dbo.Terminkalender
WHERE (Akte = @az))

GO
GRANT ALL ON KalenderAkte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[konto]')) DROP FUNCTION konto
GO




CREATE FUNCTION [dbo].[konto](@abi int)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.beko_buchungen.*, CASE WHEN (Sz = 1) THEN text + ' (Staffelzins)' WHEN (basiszins = 1)
THEN text + ' (Bz.+' + CONVERT(varchar, CONVERT(real, 100 * zinssatz)) + '%)' WHEN (zinssatz) <> 0 THEN text + ' (' + CONVERT(varchar,
CONVERT(real, zinssatz * 100)) + '%)' WHEN (zinssatz) = 0 THEN text END AS TextExt, CASE WHEN (betrag > 0) THEN betrag END AS Soll,
CASE WHEN (betrag < 0) THEN - betrag END AS Haben
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi)
ORDER BY Nr)

GO
GRANT ALL ON konto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Kontozusammenfassung]')) DROP FUNCTION Kontozusammenfassung
GO




CREATE FUNCTION [dbo].[Kontozusammenfassung] (@abi int)
RETURNS TABLE
AS
RETURN (SELECT 'Hauptforderungen' AS Bezeichnung, SUM(stdKapital) AS Summe
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi AND betrag>0)
GROUP BY KostenRang
HAVING (KostenRang = 0)
UNION
SELECT 'unverzinsliche Kosten', SUM(stdKapital)
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi)
GROUP BY Zinssatz, KostenRang, Basiszins
HAVING (Zinssatz = 0 AND basiszins = 0) AND (KostenRang = 1)
UNION
SELECT 'verzinsliche Kosten', SUM(stdKapital)
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi)
GROUP BY Zinssatz, KostenRang, basiszins
HAVING (Zinssatz <> 0 OR
basiszins <> 0) AND (KostenRang = 1)
UNION
SELECT 'Hauptforderungszinsen', SUM(stdZins)
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi)
GROUP BY KostenRang
HAVING KostenRang = 0
UNION
SELECT 'Kostenzinsen', SUM(stdZins)
FROM dbo.beko_buchungen
WHERE (beteiligtenid = @abi)
GROUP BY KostenRang
HAVING KostenRang = 1
)

GO
GRANT ALL ON Kontozusammenfassung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[LagerKonflikt]')) DROP FUNCTION LagerKonflikt
GO




CREATE FUNCTION dbo.LagerKonflikt (@adressid integer)
RETURNS bit
AS BEGIN RETURN (SELECT count(*) FROM(SELECT DISTINCT dbo.Beteiligungstypen.lagerid
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Aktenbeteiligte.adressid = 6426) AND (dbo.Beteiligungstypen.lagerid <> 3)) LagerListe)
END

GO
GRANT ALL ON LagerKonflikt TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mandatsbeteiligtenkonto]')) DROP FUNCTION Mandatsbeteiligtenkonto
GO




CREATE FUNCTION dbo.Mandatsbeteiligtenkonto(@Abi int)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.qBuchungen.*, ISNULL(dbo.qAktenKonten.Alias, Konto.Kontobezeichnung) AS Konto, ISNULL(qAktenGegenKonto.Alias,
Konto.Kontobezeichnung) AS Gegenkonto, dbo.Akten.Kurzrubrum, dbo.Aktenbeteiligte.adressid, Adresse.Nachname, Adresse.Vorname,
Adresse.Strassenr, Adresse.Plzort, Adresse.Telefon1, ISNULL(megaadresse.id, Adresse.id) AS MegaAdressId, ISNULL(megaadresse.Nachname,
Adresse.Nachname) AS MegaNachname, ISNULL(megaadresse.Vorname, Adresse.Vorname) AS MegaVorname, dbo.qAktenKonten.Alias
FROM dbo.qAktenKonten RIGHT OUTER JOIN
dbo.qKonten Konto INNER JOIN
dbo.qBuchungen INNER JOIN
dbo.qKonten Gegenkonto ON dbo.qBuchungen.Gegenkontoid = Gegenkonto.id ON Konto.id = dbo.qBuchungen.Kontoid LEFT OUTER JOIN
dbo.qAktenKonten qAktenGegenKonto ON dbo.qBuchungen.Gegenkontoid = qAktenGegenKonto.kontoid AND
dbo.qBuchungen.akte = qAktenGegenKonto.akte ON dbo.qAktenKonten.kontoid = dbo.qBuchungen.Kontoid AND
dbo.qAktenKonten.akte = dbo.qBuchungen.akte LEFT OUTER JOIN
dbo.Adressen Adresse INNER JOIN
dbo.Akten INNER JOIN
dbo.Aktenbeteiligte ON dbo.Akten.aktenzeichen = dbo.Aktenbeteiligte.Aktenzeichen ON Adresse.id = dbo.Aktenbeteiligte.adressid ON
dbo.qBuchungen.abi = dbo.Aktenbeteiligte.id LEFT OUTER JOIN
dbo.Adressen megaadresse ON Adresse.megaadresse = megaadresse.id
WHERE (dbo.qBuchungen.abi = @Abi)
ORDER BY dbo.qBuchungen.Datum, dbo.qBuchungen.id)

GO
GRANT ALL ON Mandatsbeteiligtenkonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mandatsbuchungen]')) DROP FUNCTION Mandatsbuchungen
GO




CREATE FUNCTION dbo.Mandatsbuchungen(@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.qBuchungen.id, dbo.qBuchungen.Datum, dbo.qBuchungen.Text, dbo.qBuchungen.Beleg, ISNULL(AKto.Alias,
Kto.Kontobezeichnung) AS Konto, ISNULL(AGKto.Alias, GKto.Kontobezeichnung) AS Gegenkonto, dbo.Adressen.Vollername,
dbo.qBuchungen.Druckdatum, dbo.fibu_ustkategorie.Ustsatz AS USt, dbo.fibu_ustkategorie.Bezeichnung AS [USt-Bezeichnung],
dbo.qBuchungen.Betrag * Kto.ergebnis - dbo.qBuchungen.Betrag * GKto.ergebnis AS Betrag, dbo.qBuchungen.Betrag AS BetragNom,
dbo.qBuchungen.abi
FROM dbo.qAktenKonten AKto RIGHT OUTER JOIN
dbo.qBuchungen INNER JOIN
dbo.qKonten Kto ON dbo.qBuchungen.Kontoid = Kto.id INNER JOIN
dbo.qKonten GKto ON dbo.qBuchungen.Gegenkontoid = GKto.id LEFT OUTER JOIN
dbo.qAktenKonten AGKto ON GKto.id = AGKto.kontoid AND dbo.qBuchungen.akte = AGKto.akte ON AKto.kontoid = Kto.id AND
AKto.akte = dbo.qBuchungen.akte LEFT OUTER JOIN
dbo.fibu_ustkategorie ON dbo.qBuchungen.ustid = dbo.fibu_ustkategorie.id LEFT OUTER JOIN
dbo.Adressen INNER JOIN
dbo.Aktenbeteiligte ON dbo.Adressen.id = dbo.Aktenbeteiligte.adressid ON dbo.qBuchungen.abi = dbo.Aktenbeteiligte.id
WHERE (dbo.qBuchungen.akte = @Az)
ORDER BY dbo.qBuchungen.Datum, dbo.qBuchungen.id)

GO
GRANT ALL ON Mandatsbuchungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Mandatsjournal]')) DROP FUNCTION Mandatsjournal
GO




CREATE FUNCTION dbo.Mandatsjournal(@Az varchar(50))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT *
FROM dbo.qUnion
WHERE (akte = @Az)
ORDER BY Datum, Text, id)

GO
GRANT ALL ON Mandatsjournal TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[qKa]')) DROP FUNCTION qKa
GO




CREATE FUNCTION dbo.qKa (
@kontoid integer,
@Von DateTime,
@bis DateTime,
@akte varchar(10))
RETURNS @kontoauszug TABLE (
Datum DateTime,
Beleg varchar(50),
Text varchar(200),
Zugaenge money,
Abgaenge money,
Saldo money)
AS BEGIN DECLARE @datumwert datetime
DECLARE @beleg varchar(50)
DECLARE @Buchungstext varchar(50)
DECLARE @Zugang money
DECLARE @Abgang money
DECLARE @Saldo money
IF (SELECT ergebnis FROM qKonten WHERE id=@kontoid) = 0 BEGIN SET @saldo=isnull((
SELECT SUM (dbo.qUnion.betrag)
FROM dbo.qUnion
WHERE kontoid=@kontoid
AND akte=@akte
AND datum < @Von
),0)
if @saldo<>0
INSERT INTO @kontoauszug
SELECT @von,'','Saldovortrag',Null,Null,@saldo
END
ELSE set @saldo=0
DECLARE crs CURSOR
FOR
SELECT
dbo.qUnion.Datum,
dbo.qUnion.Beleg,
dbo.qUnion.Text,
dbo.qUnion.soll,
dbo.qUnion.haben
FROM dbo.qUnion
WHERE kontoid=@kontoid
AND datum>=@von
AND Datum<=@bis
AND akte=@akte
ORDER BY dbo.qUnion.datum
OPEN crs
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,@Zugang,@Abgang
WHILE (@@FETCH_STATUS <> -1) BEGIN IF (@@FETCH_STATUS <> -2) BEGIN SET @saldo=@saldo + isnull(@Zugang,- @Abgang)
INSERT INTO @kontoauszug
SELECT @datumwert,@beleg,@Buchungstext,@Zugang,@Abgang,@saldo
END
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,
@Zugang,@Abgang
END
CLOSE crs
DEALLOCATE crs
RETURN
END

GO
GRANT ALL ON qKa TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Rechnungen]')) DROP FUNCTION Rechnungen
GO




CREATE FUNCTION dbo.Rechnungen()
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.beko_buchungen.beteiligtenid AS Abi, dbo.beko_buchungen.Rechnungsnr AS Nr, ISNULL(dbo.unternehmen.Bezeichnung,
'global') AS Unternehmen, dbo.beko_buchungen.Belegdatum AS Beleg, dbo.beko_buchungen.Datum, dbo.Aktenbeteiligte.Aktenzeichen AS Akte,
dbo.Mitarbeiter.Diktatzeichen AS Dz, dbo.Akten.Kurzrubrum AS Aktenbezeichnung, dbo.Adressen.Vollername AS Empfnger,
dbo.beko_buchungen.Text, dbo.beko_buchungen.Betrag, dbo.Aktenbeteiligte.Kontostand, dbo.Aktenbeteiligte.Betreff, dbo.Mahnstufen.Mahnstufe,
dbo.Adressen.StrasseNr, dbo.Adressen.PlzOrt, dbo.Adressen.Telefon1, dbo.Adressen.Telefon2, dbo.Adressen.Mobil, dbo.Aktenbeteiligte.adressid,
dbo.beko_buchungen.id
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Mahnstufen ON dbo.Aktenbeteiligte.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.Mitarbeiter ON dbo.Akten.sachbearbeiterid = dbo.Mitarbeiter.id LEFT OUTER JOIN
dbo.unternehmen ON dbo.beko_buchungen.uid = dbo.unternehmen.id
WHERE (NOT (dbo.beko_buchungen.Rechnungsnr IS NULL))
ORDER BY dbo.beko_buchungen.Belegdatum DESC, dbo.beko_buchungen.Rechnungsnr DESC)

GO
GRANT ALL ON Rechnungen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Rechnungstatbestandsstatistik]')) DROP FUNCTION Rechnungstatbestandsstatistik
GO




CREATE FUNCTION dbo.Rechnungstatbestandsstatistik()
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.g_tbe.id, dbo.g_tbe.Tatbestand, COUNT(dbo.g_zeilen.id) AS Anzahl, MIN(dbo.g_zeilen.betrag) AS Niedrigster,
AVG(dbo.g_zeilen.betrag) AS Mittel, MAX(dbo.g_zeilen.betrag) AS Hchster, SUM(dbo.g_zeilen.betrag) AS Summe
FROM dbo.g_zeilen INNER JOIN
dbo.g_tbe ON dbo.g_zeilen.tbid = dbo.g_tbe.id
GROUP BY dbo.g_tbe.id, dbo.g_tbe.Tatbestand
ORDER BY SUM(dbo.g_zeilen.betrag) DESC)

GO
GRANT ALL ON Rechnungstatbestandsstatistik TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[RgNrInfo]')) DROP FUNCTION RgNrInfo
GO




CREATE FUNCTION dbo.RgNrInfo()
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.rgb.kontoid, dbo.Aktenbeteiligte.Aktenzeichen, dbo.Akten.Kurzrubrum, dbo.Adressen.Vollername,
dbo.beko_buchungen.Betrag AS Gesamtbetrag, dbo.beko_buchungen.Datum, dbo.beko_buchungen.Text, dbo.fibu_konten.Bezeichnung,
dbo.fibu_konten.Ustvorschlag, dbo.beko_buchungen.beteiligtenid AS abi, dbo.Adressen.Nachname, dbo.beko_buchungen.Belegdatum,
- (dbo.rgb.betrag * dbo.fibu_kontotypen.Vorzeichen) AS betrag1, dbo.fibu_kontotypen.Vorzeichen, dbo.beko_buchungen.uid, dbo.beko_buchungen.id,
dbo.beko_buchungen.Rechnungsnr AS rgnr, dbo.Aktenbeteiligte.Kontostand
FROM dbo.fibu_ustkategorie fibu_ustkategorie_1 INNER JOIN
dbo.Aktenbeteiligte INNER JOIN
dbo.beko_buchungen ON dbo.Aktenbeteiligte.id = dbo.beko_buchungen.beteiligtenid INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id ON fibu_ustkategorie_1.id = dbo.Aktenbeteiligte.ustid INNER JOIN
dbo.fibu_konten INNER JOIN
dbo.rgb ON dbo.fibu_konten.id = dbo.rgb.kontoid INNER JOIN
dbo.fibu_ustkategorie ustvorschlag ON dbo.fibu_konten.Ustvorschlag = ustvorschlag.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id ON dbo.beko_buchungen.id = dbo.rgb.bkbid
ORDER BY dbo.beko_buchungen.Belegdatum DESC, dbo.beko_buchungen.Rechnungsnr DESC)

GO
GRANT ALL ON RgNrInfo TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[rgtexte]')) DROP FUNCTION rgtexte
GO




CREATE FUNCTION dbo.rgtexte (@Uid smallint = 1)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.beko_buchungen.id, CAST(dbo.beko_buchungen.Rechnungsnr AS varchar)
+ '/' + RIGHT(CAST(YEAR(dbo.beko_buchungen.Belegdatum) AS varchar), 2)
+ ', ' + dbo.Akten.aktenzeichen + ' ' + CAST(dbo.beko_buchungen.Betrag AS varchar)
+ ', Kontostand: ' + CAST(dbo.Aktenbeteiligte.Kontostand AS varchar) + ', ' + dbo.Akten.Kurzrubrum + ', ' + dbo.Adressen.Nachname AS Text,
dbo.beko_buchungen.Belegdatum
FROM dbo.beko_buchungen INNER JOIN
dbo.Aktenbeteiligte ON dbo.beko_buchungen.beteiligtenid = dbo.Aktenbeteiligte.id INNER JOIN
dbo.Akten ON dbo.Aktenbeteiligte.Aktenzeichen = dbo.Akten.aktenzeichen INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id LEFT OUTER JOIN
dbo.unternehmen ON dbo.beko_buchungen.uid = dbo.unternehmen.id
WHERE (dbo.beko_buchungen.Rechnungsnr IS NOT NULL) AND (dbo.beko_buchungen.id IN(SELECT bkbid
FROM rgb)) AND (dbo.unternehmen.id = @Uid)
ORDER BY dbo.beko_buchungen.Belegdatum DESC, dbo.beko_buchungen.id DESC)

GO
GRANT ALL ON rgtexte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[SollUndHaben]')) DROP FUNCTION SollUndHaben
GO




CREATE FUNCTION dbo.SollUndHaben(@DatumVon smalldatetime,
@DatumBis smalldatetime,
@Uid smallint)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.fibu_buchungssaetze.id, dbo.fibu_einzelbuchungen.buchungssatzid AS bsid, dbo.fibu_buchungssaetze.Datumwert AS Datum,
dbo.fibu_buchungssaetze.Datumbuch, dbo.fibu_buchungssaetze.Text, dbo.fibu_buchungssaetze.Beleg, ISNULL(dbo.Akten.aktenzeichen, eb1.Az)
AS Az, CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN dbo.Akten.aktenzeichen ELSE eb1.az END AS AzSoll,
CAST(CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag) * BuchungKontotyp.Vorzeichen = 1 THEN abs(dbo.fibu_einzelbuchungen.Betrag)
/ (1 + dbo.fibu_ustkategorie.Ustsatz) ELSE abs(dbo.fibu_einzelbuchungen.Betrag) / (1 + fibu_ustkategorie_eb1.Ustsatz) END AS money) AS NettoSoll,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN dbo.fibu_ustkategorie.Ustsatz ELSE fibu_ustkategorie_eb1.Ustsatz END AS UStSatzSoll,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN dbo.fibu_ustkategorie.datev ELSE fibu_ustkategorie_eb1.datev END AS UStDatevSoll,
CAST(CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag) * BuchungKontotyp.Vorzeichen = 1 THEN abs(dbo.fibu_einzelbuchungen.Betrag)
/ (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz ELSE abs(dbo.fibu_einzelbuchungen.Betrag) / (1 + fibu_ustkategorie_eb1.Ustsatz)
* fibu_ustkategorie_eb1.Ustsatz END AS money) AS UStSoll, ABS(dbo.fibu_einzelbuchungen.Betrag) AS Betrag,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN dbo.fibu_einzelbuchungen.Kontoid ELSE eb1.Kontoid END AS Soll,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN eb1.Kontoid ELSE dbo.fibu_einzelbuchungen.Kontoid END AS Haben,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag) * BuchungKontotyp.Vorzeichen = 1 THEN eb1.az ELSE dbo.Akten.aktenzeichen END AS AzHaben,
CAST(CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag) * BuchungKontotyp.Vorzeichen = 1 THEN abs(dbo.fibu_einzelbuchungen.Betrag)
/ (1 + fibu_ustkategorie_eb1.Ustsatz) ELSE abs(dbo.fibu_einzelbuchungen.Betrag) / (1 + dbo.fibu_ustkategorie.Ustsatz) END AS money)
AS NettoHaben, CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN fibu_ustkategorie_eb1.Ustsatz ELSE dbo.fibu_ustkategorie.Ustsatz END AS UStSatzHaben,
CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag)
* BuchungKontotyp.Vorzeichen = 1 THEN fibu_ustkategorie_eb1.datev ELSE dbo.fibu_ustkategorie.datev END AS UStDatveHaben,
CAST(CASE WHEN SIGN(dbo.fibu_einzelbuchungen.Betrag) * BuchungKontotyp.Vorzeichen = 1 THEN abs(dbo.fibu_einzelbuchungen.Betrag)
/ (1 + fibu_ustkategorie_eb1.Ustsatz) * fibu_ustkategorie_eb1.Ustsatz ELSE abs(dbo.fibu_einzelbuchungen.Betrag)
/ (1 + dbo.fibu_ustkategorie.Ustsatz) * dbo.fibu_ustkategorie.Ustsatz END AS money) AS UStHaben
FROM dbo.fibu_buchungssaetze INNER JOIN
dbo.fibu_einzelbuchungen ON dbo.fibu_buchungssaetze.id = dbo.fibu_einzelbuchungen.buchungssatzid AND
dbo.fibu_buchungssaetze.eb1 <> dbo.fibu_einzelbuchungen.id INNER JOIN
dbo.fibu_einzelbuchungen eb1 ON dbo.fibu_buchungssaetze.eb1 = eb1.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_konten eb1_konto ON eb1.Kontoid = eb1_konto.id INNER JOIN
dbo.fibu_ustkategorie ON dbo.fibu_einzelbuchungen.Ustid = dbo.fibu_ustkategorie.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen BuchungKontotyp ON dbo.fibu_oberkonten.Kontotypid = BuchungKontotyp.id INNER JOIN
dbo.fibu_ustkategorie fibu_ustkategorie_eb1 ON eb1.Ustid = fibu_ustkategorie_eb1.id LEFT OUTER JOIN
dbo.Akten ON dbo.fibu_einzelbuchungen.Az = dbo.Akten.aktenzeichen
WHERE (dbo.fibu_buchungssaetze.Datumwert >= @DatumVon) AND (dbo.fibu_buchungssaetze.Datumwert <= @DatumBis) AND(dbo.fibu_buchungssaetze.Unternehmen = @Uid)
ORDER BY dbo.fibu_buchungssaetze.Datumwert, dbo.fibu_einzelbuchungen.buchungssatzid)

GO
GRANT ALL ON SollUndHaben TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Standardbeteiligte]')) DROP FUNCTION Standardbeteiligte
GO




CREATE FUNCTION dbo.Standardbeteiligte(@aktenzeichen varchar(16))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.Aktenbeteiligte.Aktenzeichen, dbo.standardbtypen.standardtyp, dbo.Aktenbeteiligte.Betreff, dbo.Aktenbeteiligte.id AS abi,
dbo.Adressen.*
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.standardbtypen ON dbo.Aktenbeteiligte.beteiligungstypid = dbo.standardbtypen.id INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @aktenzeichen)
ORDER BY dbo.standardbtypen.standardtyp, dbo.Aktenbeteiligte.Standard DESC)

GO
GRANT ALL ON Standardbeteiligte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabBilanz]')) DROP FUNCTION tabBilanz
GO




CREATE FUNCTION dbo.tabBilanz (@Stichtag DateTime, @Uid Int)
RETURNS @Zettel TABLE (AKto Int, Aktiva varchar(200), Haben money, PKto Int, Passiva varchar(200), Soll money) AS BEGIN DECLARE @Salden TABLE (KontoId int, Kontobezeichnung varchar(200), Oberkonto varchar(200), Saldo money, Sgn int)
INSERT INTO @Salden (KontoId, Kontobezeichnung, Oberkonto, Saldo, Sgn)
SELECT 880 AS id, 'Ergebnis (variables Kapitalkonto)' AS Konto, 'Eigenkapital' AS Oberkonto,
-SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) AS Saldo,
-1 AS SgnE
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id INNER JOIN
dbo.fibu_buchungssaetze ON
dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE (dbo.fibu_buchungssaetze.Datumwert <= @Stichtag) AND (dbo.fibu_oberkonten.Kontotypid > 0) AND (dbo.fibu_buchungssaetze.unternehmen = @uid)
GROUP BY dbo.fibu_buchungssaetze.Unternehmen
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen) <> 0)
UNION ALL
SELECT dbo.fibu_konten.id, dbo.fibu_konten.Bezeichnung AS Konto, dbo.fibu_oberkonten.Bezeichnung AS Oberkonto,
abs(SUM(dbo.fibu_einzelbuchungen.Betrag)) AS Saldo, SIGN(SUM(dbo.fibu_einzelbuchungen.Betrag * dbo.fibu_kontotypen.Vorzeichen)) AS SgnKonto
FROM dbo.fibu_einzelbuchungen INNER JOIN
dbo.fibu_buchungssaetze ON
dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id INNER JOIN
dbo.fibu_konten ON dbo.fibu_einzelbuchungen.Kontoid = dbo.fibu_konten.id INNER JOIN
dbo.fibu_oberkonten ON dbo.fibu_konten.Oberkontoid = dbo.fibu_oberkonten.id INNER JOIN
dbo.fibu_kontotypen ON dbo.fibu_oberkonten.Kontotypid = dbo.fibu_kontotypen.id
WHERE (dbo.fibu_buchungssaetze.Datumwert <= @Stichtag) AND (dbo.fibu_oberkonten.Kontotypid < 0) AND (dbo.fibu_buchungssaetze.unternehmen = @uid)
GROUP BY dbo.fibu_konten.id, dbo.fibu_konten.Bezeichnung, dbo.fibu_oberkonten.Bezeichnung, dbo.fibu_kontotypen.Bezeichnung,
dbo.fibu_oberkonten.Kontotypid, dbo.fibu_buchungssaetze.Unternehmen
HAVING (SUM(dbo.fibu_einzelbuchungen.Betrag) <> 0)
INSERT INTO @Zettel
SELECT tAktiva.AKontoId, tAktiva.Aktiva, tAktiva.Haben, tPassiva.PKontoId, tPassiva.Passiva, tPassiva.Soll
FROM (SELECT TOP 100 PERCENT(SELECT COUNT(*) FROM @Salden WHERE (Sgn > 0) AND kontoid > a.kontoid) AS ANr,
KontoId AS AKontoId, Kontobezeichnung AS Aktiva, Saldo AS Haben
FROM @Salden a
WHERE (Sgn > 0)
ORDER BY KontoId) tAktiva
FULL OUTER JOIN(SELECT TOP 100 PERCENT(SELECT COUNT(*) FROM @Salden WHERE (Sgn < 0) AND kontoid < p.kontoid) AS PNr,
KontoId AS PKontoId, Kontobezeichnung AS Passiva, Saldo AS Soll
FROM @Salden p
WHERE (Sgn < 0)
ORDER BY KontoId) tPassiva
ON tAktiva.ANr = tPassiva.PNr
RETURN
END

GO
GRANT ALL ON tabBilanz TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabFinanzKonto]')) DROP FUNCTION tabFinanzKonto
GO




CREATE FUNCTION dbo.tabFinanzKonto (@kontoid integer,@AbDatum DateTime)
RETURNS @kontoauszug TABLE (Datum DateTime,Text varchar,Betrag money,Saldo money)
AS BEGIN INSERT INTO @kontoauszug
SELECT datum,Text,Betrag,0 AS Saldo From fibu_buchungen
WHERE kontoid=@kontoid and datum>=@AbDatum
ORDER BY datum
RETURN
END

GO
GRANT ALL ON tabFinanzKonto TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabFinanzKonto1]')) DROP FUNCTION tabFinanzKonto1
GO




CREATE FUNCTION dbo.[tabFinanzKonto1] (@kontoid integer,@AbDatum DateTime)
RETURNS @kontoauszug TABLE (Datum DateTime,Text varchar,Betrag money,Saldo money)
AS BEGIN INSERT INTO @kontoauszug
SELECT datum,Text,Betrag,0 AS Saldo From fibu_buchungen
WHERE kontoid=@kontoid and datum>=@AbDatum
ORDER BY datum
RETURN
END

GO
GRANT ALL ON tabFinanzKonto1 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabFinanzKonto2]')) DROP FUNCTION tabFinanzKonto2
GO




CREATE FUNCTION dbo.[tabFinanzKonto2] (@kontoid integer,@AbDatum DateTime)
RETURNS @kontoauszug TABLE (Datum DateTime,Text varchar,Betrag money,Saldo money)
AS BEGIN INSERT INTO @kontoauszug
SELECT datum,Text,Betrag,0 AS Saldo From fibu_buchungen
WHERE kontoid=@kontoid and datum>=@AbDatum
ORDER BY datum
RETURN
END

GO
GRANT ALL ON tabFinanzKonto2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabFinanzKonto3]')) DROP FUNCTION tabFinanzKonto3
GO




CREATE FUNCTION dbo.[tabFinanzKonto3] (@kontoid integer,@AbDatum DateTime)
RETURNS @kontoauszug TABLE (Datum DateTime,Text varchar,Betrag money,Saldo money)
AS BEGIN INSERT INTO @kontoauszug
SELECT datum,Text,Betrag,0 AS Saldo From fibu_buchungen
WHERE kontoid=@kontoid and datum>=@AbDatum
ORDER BY datum
RETURN
END

GO
GRANT ALL ON tabFinanzKonto3 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabKa]')) DROP FUNCTION tabKa
GO




CREATE FUNCTION dbo.tabKa (
@kontoid integer,
@Von DateTime,
@bis DateTime,
@unternehmen integer)
RETURNS @kontoauszug TABLE (
Buchungssatzid int,
Datum DateTime,
Beleg varchar(50),
Text varchar(50),
Zugaenge money,
Abgaenge money,
Saldo money)
AS BEGIN DECLARE @Buchungssatzid int
DECLARE @datumwert datetime
DECLARE @beleg varchar(50)
DECLARE @Buchungstext varchar(50)
DECLARE @betrag money
DECLARE @saldo money
DECLARE @LastCl DateTime
DECLARE @more money
SET @saldo=0
DECLARE crs CURSOR
FOR
SELECT TOP 1 betrag,datum FROM fibu_kontoabschluesse
WHERE kontoid=@kontoid
AND unternehmensid=@unternehmen
AND datum <=@von
ORDER BY datum DESC
OPEN crs
FETCH NEXT FROM crs INTO @saldo,@LastCl
INSERT INTO @kontoauszug
SELECT 0,@LastCl,'','Kontoabschluss',Null,Null,@saldo
CLOSE crs
DEALLOCATE crs
DECLARE crs CURSOR
FOR
SELECT SUM (dbo.fibu_einzelbuchungen.betrag)
FROM dbo.fibu_einzelbuchungen
INNER JOIN dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE kontoid=@kontoid
AND unternehmen=@unternehmen
AND datumwert >@lastcl
AND datumwert < @Von
OPEN crs
FETCH NEXT FROM crs INTO @more
SET @saldo=isnull(@saldo,0) + isnull(@more,0)
INSERT INTO @kontoauszug
SELECT 0,@von,'','Saldovortrag',Null,Null,@more
DEALLOCATE crs
Set @saldo=isnull(@saldo,0)
DECLARE crs CURSOR
FOR
SELECT dbo.fibu_buchungssaetze.id,
dbo.fibu_buchungssaetze.datumwert,
dbo.fibu_buchungssaetze.beleg,
dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.betrag
FROM dbo.fibu_einzelbuchungen
INNER JOIN dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE kontoid=@kontoid
AND datumwert>=@von
AND Datumwert<=@bis
AND unternehmen=@unternehmen
ORDER BY dbo.fibu_buchungssaetze.datumwert,dbo.fibu_einzelbuchungen.id
OPEN crs
FETCH NEXT FROM crs INTO @Buchungssatzid,@datumwert,@beleg,@Buchungstext,@betrag
WHILE (@@FETCH_STATUS <> -1) BEGIN IF (@@FETCH_STATUS <> -2) BEGIN SET @saldo=@saldo + @betrag
IF @betrag>0 BEGIN INSERT INTO @kontoauszug
SELECT @Buchungssatzid,@datumwert,@beleg,@Buchungstext,@betrag,Null,@saldo
END
ELSE BEGIN INSERT INTO @kontoauszug
SELECT @Buchungssatzid,@datumwert,@beleg,@Buchungstext,Null,-@betrag,@saldo
END
END
FETCH NEXT FROM crs INTO @Buchungssatzid,@datumwert,@beleg,@Buchungstext,@Betrag
END
CLOSE crs
DEALLOCATE crs
RETURN
END

GO
GRANT ALL ON tabKa TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabKn]')) DROP FUNCTION tabKn
GO




CREATE FUNCTION dbo.tabKn (@abi int)
RETURNS @kn TABLE (zeilenid int,grp tinyint,Text varchar(1000),Wert money,Faktor varchar(40),Betrag money)
AS BEGIN
DECLARE @ust decimal (5,3)
DECLARE @usttext varchar(200)
DECLARE @nettosumme money
DECLARE @ustbetrag money
DECLARE @bruttosumme money
DECLARE @zahlungen money
DECLARE @sort varchar(10)
SET @ust=(SELECT ustsatz FROM dbo.fibu_ustkategorie,aktenbeteiligte WHERE dbo.aktenbeteiligte.id=@abi AND dbo.fibu_ustkategorie.id=dbo.aktenbeteiligte.ustid)
SET @usttext=(SELECT bezeichnung FROM dbo.fibu_ustkategorie,aktenbeteiligte WHERE dbo.aktenbeteiligte.id=@abi AND dbo.fibu_ustkategorie.id=dbo.aktenbeteiligte.ustid)
SET @ust = isnull (@ust,(SELECT TOP 1 UStSatz FROM dbo.fibu_ustkategorie WHERE (tag = 'U')))
SET @nettosumme= isnull((SELECT SUM(betrag) FROM g_z WHERE (dbo.g_z.mitUSt <> 0) and abi=@abi),0)
SET @ustbetrag = round(@nettosumme * @ust,2)
SET @bruttosumme= @nettosumme + @ustbetrag
SET @zahlungen= isnull((SELECT SUM(betrag) FROM g_z WHERE (dbo.g_z.mitUSt = 0) and abi=@abi),0)
INSERT INTO @kn (zeilenid,grp,text,wert,faktor,betrag)
SELECT TOP 100 PERCENT
dbo.g_z.id,
10,dbo.g_z.Text,
dbo.g_z.p1,
cast(convert(real, dbo.g_z.p2, 104) as varchar) +' ' + isnull(format2,''),
dbo.g_z.betrag
FROM dbo.g_z
WHERE (dbo.g_z.mitUSt <> 0) AND abi=@abi
ORDER BY Sortierung
IF (SELECT count(*) FROM g_z WHERE (dbo.g_z.mitUSt <> 0) and abi=@abi)>1 INSERT INTO @kn (grp,text,betrag) VALUES (19,'Nettobetrag',@nettosumme)
INSERT INTO @kn (grp,text,faktor,betrag) VALUES (20,@usttext + ' ',cast(cast(@ust as real)*100 as varchar) + ' %',round(@nettosumme * @ust,2))
INSERT INTO @kn (grp,text,betrag) VALUES (29,'Bruttobetrag',@bruttosumme)
IF EXISTS(SELECT * FROM g_z WHERE (dbo.g_z.mitUSt = 0) and abi=@abi) BEGIN INSERT INTO @kn (zeilenid,grp,text,wert,faktor,betrag)
SELECT dbo.g_z.id,30,dbo.g_z.Text,dbo.g_z.p1,dbo.g_z.p2,dbo.g_z.betrag
FROM dbo.g_z
WHERE (dbo.g_z.mitUSt = 0) and abi=@abi
ORDER BY id
if @bruttosumme + @zahlungen>0.01
INSERT INTO @kn (grp,text,betrag) VALUES (99,'Gesamtbetrag',@bruttosumme + @zahlungen)
ELSE BEGIN if @bruttosumme + @zahlungen<-0.01 INSERT INTO @kn (grp,text,betrag) VALUES (99,'Gesamtbetrag (negativ = Guthaben!)',@bruttosumme + @zahlungen)
ELSE
INSERT INTO @kn (grp,text,betrag) VALUES (99,'Gesamtbetrag (ausgeglichen)',@bruttosumme + @zahlungen)
END
END
RETURN
END

GO
GRANT ALL ON tabKn TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabKontoAuszug]')) DROP FUNCTION tabKontoAuszug
GO




CREATE FUNCTION dbo.tabKontoAuszug (
@kontoid integer,
@Von DateTime,
@bis DateTime,
@unternehmen integer)
RETURNS @kontoauszug TABLE (Datum DateTime,Beleg varchar(50),Text varchar(50),Betrag money,Saldo money)
AS BEGIN DECLARE crs CURSOR
FOR
SELECT dbo.fibu_buchungssaetze.datumwert,
dbo.fibu_buchungssaetze.beleg,
dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.betrag
FROM dbo.fibu_einzelbuchungen
INNER JOIN dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE kontoid=@kontoid and datumwert>=@von and Datumwert<=@bis
ORDER BY datumwert
OPEN crs
DECLARE @datumwert datetime
DECLARE @beleg varchar(50)
DECLARE @Buchungstext varchar(50)
DECLARE @Betrag money
DECLARE @saldo money
DECLARE @LastCl DateTime
DECLARE @more money
SET @saldo=isnull((SELECT TOP 1 betrag FROM fibu_kontoabschluesse
WHERE kontoid=@kontoid
AND unternehmensid=@unternehmen
AND datum <=@von
ORDER BY datum DESC),0)
SET @LastCl =(SELECT TOP 1 datum FROM fibu_kontoabschluesse
WHERE kontoid=@kontoid AND unternehmensid=@unternehmen AND datum <=@von
ORDER BY datum DESC)
SET @more = (
SELECT MAX(dbo.fibu_einzelbuchungen.betrag) AS Summe
FROM dbo.fibu_einzelbuchungen
INNER JOIN dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
WHERE kontoid=@kontoid
AND unternehmen=@unternehmen
AND datumwert >@lastcl
AND datumwert <= @bis)
SET @saldo = @saldo + isnull(@more,0)
INSERT INTO @kontoauszug
SELECT @von,'','Anfangsbestand',@saldo,@saldo
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,@Betrag
WHILE (@@FETCH_STATUS <> -1) BEGIN IF (@@FETCH_STATUS <> -2) BEGIN SET @saldo=@saldo + @betrag
INSERT INTO @kontoauszug
SELECT @datumwert,@beleg,@Buchungstext,@betrag,@saldo
END
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,@Betrag
END
CLOSE crs
DEALLOCATE crs
RETURN
END

GO
GRANT ALL ON tabKontoAuszug TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[tabKontoAuszug2]')) DROP FUNCTION tabKontoAuszug2
GO




CREATE FUNCTION dbo.tabKontoAuszug2 (@kontoid integer)
RETURNS @kontoauszug TABLE (Datum DateTime,Beleg varchar(50),Text varchar(50),Betrag money,Saldo money)
AS BEGIN DECLARE @datumwert datetime
DECLARE @beleg varchar(50)
DECLARE @Buchungstext varchar(50)
DECLARE @Betrag money
DECLARE @saldo money
DECLARE crs CURSOR
FOR
SELECT dbo.fibu_buchungssaetze.datumwert,
dbo.fibu_buchungssaetze.beleg,
dbo.fibu_buchungssaetze.Text,
dbo.fibu_einzelbuchungen.betrag
FROM dbo.fibu_einzelbuchungen
INNER JOIN dbo.fibu_buchungssaetze ON dbo.fibu_einzelbuchungen.buchungssatzid = dbo.fibu_buchungssaetze.id
ORDER BY datumwert
OPEN crs
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,@Betrag
WHILE (@@FETCH_STATUS <> -1) BEGIN IF (@@FETCH_STATUS <> -2) BEGIN SET @saldo=@saldo + @betrag
INSERT INTO @kontoauszug
SELECT @datumwert,@beleg,@Buchungstext,@betrag,@saldo
END
FETCH NEXT FROM crs INTO @datumwert,@beleg,@Buchungstext,@Betrag
END
CLOSE crs
DEALLOCATE crs
RETURN
END

GO
GRANT ALL ON tabKontoAuszug2 TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminsKonflikte]')) DROP FUNCTION TerminsKonflikte
GO




CREATE FUNCTION dbo.TerminsKonflikte(@Mia smallint,
@Von smalldatetime,
@Bis smalldatetime)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT Zeit, Betreff, Raum
FROM dbo.Kalender
WHERE (abtermin IS NULL OR
abtermin = 0) AND (Zeit >= @Von) AND (Zeit <= @Bis) AND (id <> 0) AND (statusid = 1) AND (mitarbeiterid = @Mia) OR(abtermin IS NULL OR
abtermin = 0) AND (id <> 0) AND (statusid = 1) AND (mitarbeiterid = @Mia) AND (Ende >= @Von) AND (Ende <= @Bis) OR(abtermin IS NULL OR
abtermin = 0) AND (Zeit < @Von) AND (id <> 0) AND (statusid = 1) AND (mitarbeiterid = @Mia) AND (Ende >= @Bis)
ORDER BY Zeit)

GO
GRANT ALL ON TerminsKonflikte TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[TerminVerlauf]')) DROP FUNCTION TerminVerlauf
GO




CREATE FUNCTION dbo.TerminVerlauf(@id decimal(12,4))
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT dbo.Benutzung.Benutzer, dbo.Benutzung.Zeit, dbo.Benutzung.Benutzung AS Art, dbo.Kalender.Akte, dbo.Kalender.Betreff,
dbo.Mitarbeiter.Diktatzeichen AS Dz
FROM dbo.Benutzung INNER JOIN
dbo.Kalender ON dbo.Benutzung.IdAffected = dbo.Kalender.id OR dbo.Benutzung.IdAffected = dbo.Kalender.serienid INNER JOIN
dbo.Mitarbeiter ON dbo.Kalender.mitarbeiterid = dbo.Mitarbeiter.id
WHERE (dbo.Benutzung.Art = 5) AND (dbo.Benutzung.IdAffected = @id)
ORDER BY dbo.Benutzung.Benutzer)

GO
GRANT ALL ON TerminVerlauf TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Unteradressen]')) DROP FUNCTION Unteradressen
GO




CREATE FUNCTION dbo.Unteradressen()
RETURNS TABLE
AS
RETURN (SELECT DISTINCT
TOP 100 PERCENT dbo.Adressen.Nachname, dbo.Adressen.Vorname, dbo.Aktenbeteiligte.AdressZusatzBeteiligung AS Adresszusatz,
dbo.Aktenbeteiligte.Briefanrede, dbo.Aktenbeteiligte.Email, dbo.Aktenbeteiligte.Durchwahl, dbo.Aktenbeteiligte.Telefax, dbo.Aktenbeteiligte.Versand,
dbo.Adressen.id AS AdressId, dbo.Aktenbeteiligte.id AS Abi
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (NOT (dbo.Aktenbeteiligte.Briefanrede IS NULL)) OR(NOT (dbo.Aktenbeteiligte.Email IS NULL)) OR(NOT (dbo.Aktenbeteiligte.Durchwahl IS NULL)) OR(NOT (dbo.Aktenbeteiligte.Telefax IS NULL)) OR(NOT (dbo.Aktenbeteiligte.Versand IS NULL)) OR(NOT (dbo.Aktenbeteiligte.AdressZusatzBeteiligung IS NULL))
ORDER BY dbo.Adressen.Nachname, dbo.Adressen.Vorname)

GO
GRANT ALL ON Unteradressen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[usertext]')) DROP FUNCTION usertext
GO




CREATE FUNCTION dbo.usertext (@bezeichnung varchar(100),@default varchar(100))
RETURNS varchar(100)
AS BEGIN return (SELECT wert FROM usertexte WHERE bezeichnung=@bezeichnung)
END

GO
GRANT ALL ON usertext TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[Vornamen]')) DROP FUNCTION Vornamen
GO




CREATE FUNCTION dbo.Vornamen()
RETURNS TABLE
AS
RETURN (SELECT DISTINCT TOP 100 PERCENT Vorname, PATINDEX('%[ ]%', Vorname) AS Expr1
FROM dbo.Adressen
WHERE (Vorname <> '') AND (CHARINDEX(' ', Vorname) = 0)
ORDER BY Vorname)

GO
GRANT ALL ON Vornamen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ZahlungsAntragZinsen]')) DROP FUNCTION ZahlungsAntragZinsen
GO




CREATE FUNCTION dbo.ZahlungsAntragZinsen(@abi int)
RETURNS TABLE
AS
RETURN (SELECT TOP 100 PERCENT Datum, SUM(stdKapital) AS stdKapital, Zinssatz, Basiszins
FROM dbo.beko_buchungen
WHERE (stdKapital > 0)
GROUP BY Datum, Zinssatz, Basiszins, beteiligtenid
HAVING (beteiligtenid = @abi) AND (Zinssatz > 0 OR
Basiszins > 0)
ORDER BY Datum)

GO
GRANT ALL ON ZahlungsAntragZinsen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[ZeiterfassungKonkret]')) DROP FUNCTION ZeiterfassungKonkret
GO




CREATE FUNCTION dbo.ZeiterfassungKonkret (@Az varchar(50))
RETURNS TABLE AS
RETURN (SELECT DISTINCT TOP 100 PERCENT LTRIM(ISNULL(dbo.Adressen.Anrede, '') + ' ' + dbo.Adressen.Vollername) AS Beteiligter
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Adressen ON dbo.Aktenbeteiligte.adressid = dbo.Adressen.id
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @Az)
UNION
SELECT DISTINCT Beteiligungstyp
FROM dbo.Aktenbeteiligte INNER JOIN
dbo.Beteiligungstypen ON dbo.Aktenbeteiligte.Beteiligungstypid = dbo.Beteiligungstypen.id
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @Az))
UNION
SELECT DISTINCT AdresszusatzBeteiligung
FROM dbo.Aktenbeteiligte
WHERE (dbo.Aktenbeteiligte.Aktenzeichen = @Az and AdresszusatzBeteiligung<>'')

GO
GRANT ALL ON ZeiterfassungKonkret TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[zwangsvollstreckung]')) DROP FUNCTION zwangsvollstreckung
GO



CREATE FUNCTION dbo.zwangsvollstreckung(@schuldnerabi integer,
@glaeubigerabi integer,
@zvorganabi integer)
RETURNS TABLE
AS
RETURN (SELECT dbo.Akten.aktenzeichen, dbo.Akten.aktenzeichen AS az, dbo.Akten.Kurzrubrum, dbo.Akten.Betreff AS AktenBetreff, dbo.Sachgebiete.Sachgebiet,
Sachbearbeiter.Diktatzeichen AS SachbearbeiterDiktatzeichen, Sachbearbeiter.Diktatzeichen AS Dz,
Sachbearbeiter.zeichnet AS sachbearbeiterZeichnet, Sachbearbeiter.Berufsbezeichnung,
SachbearbeiterAdresse.Vollername AS SachbearbeiterVollerName, ISNULL(SachbearbeiterAdresse.Titel, '')
+ ' ' + SachbearbeiterAdresse.Nachname AS SachbearbeiterTitelNachname, ISNULL(Sachbearbeiter.EMail, SachbearbeiterAdresse.Email)
AS SachbearbeiterEMail, Sachbearbeiter.Kontakt, schuldnerbeteiligung.Betreff, Schuldner.Anrede, Schuldner.Nachname, Schuldner.Vorname,
Schuldner.Vollername, ISNULL(Schuldner.Parteibezeichnung, Schuldner.Vollername) AS Parteibezeichnung, Schuldner.ExName,
Schuldner.Adresszusaetze, schuldnerbeteiligung.AdressZusatzBeteiligung, Schuldner.StrasseNr, ISNULL(Schuldner.Postfach, Schuldner.StrasseNr)
AS PostfachBzwStrasseNr, ISNULL(Schuldner.PlzOrtPostfach, Schuldner.PlzOrt) AS PlzOrtPostfachBzwPlzOrt, Schuldner.PlzOrt, Schuldner.Land,
Schuldner.Geburtstag, Schuldner.Geburtsort, Schuldner.Telefon1, Schuldner.Telefon2, Schuldner.Telefax, Schuldner.Mobil,
ISNULL(schuldnerbeteiligung.Briefanrede, Schuldner.Briefanrede) AS briefanrede, Schuldner.Grussformel, schuldnerbeteiligung.Verfahrensrolle,
schuldnerbeteiligung.HFrdrg, schuldnerbeteiligung.NFrdrg, schuldnerbeteiligung.HfZins, schuldnerbeteiligung.NfZins,
schuldnerbeteiligung.Kontostand, schuldnerbeteiligung.Tageszinsen, schuldnerbeteiligung.Berechnungsdatum, dbo.Tagesdatum.Heuteplus7Tage,
dbo.Tagesdatum.HeutePlus10Tage, dbo.Tagesdatum.HeutePlus14Tage, dbo.Tagesdatum.HeutePlus21Tage, dbo.Mahnstufen.Mahnstufe,
dbo.Mahnstufen.Mahntext, dbo.Mahnstufen.SchlussText, glaeubigerbeteiligung.Betreff AS glaeubigerbetreff, glaeubiger.Titel AS glaeubigerTitel,
glaeubiger.Anrede AS glaeubigerAnrede, glaeubiger.Vorname AS glaeubigerVorname, glaeubiger.Nachname AS glaeubigerNachname,
glaeubiger.Vollername AS glaeubigervollername, glaeubiger.Geburtstag AS GlaeubigerGeburtstag, glaeubiger.ExName AS GlaeubigerExName,
ISNULL(glaeubiger.Parteibezeichnung, glaeubiger.Vollername) AS GlaeubigerParteibezeichnung, glaeubiger.Briefanrede AS glaeubigerbriefanrede,
glaeubiger.Adresszusaetze AS glaeubigeradresszusaetze, glaeubigerbeteiligung.AdressZusatzBeteiligung AS glaeubigerAdressZusatzBeteiligung,
glaeubiger.StrasseNr AS glaeubigerstrassenr, glaeubiger.PlzOrt AS glaeubigerplzort, glaeubiger.Land AS glaeubigerland, ISNULL(glaeubiger.Postfach,
glaeubiger.StrasseNr) AS glaeubigerPostfachBzwStrasseNr, ISNULL(glaeubiger.PlzOrtPostfach, glaeubiger.PlzOrt)
AS glaeubigerPlzOrtPostfachBzwPlzOrt, glaeubiger.Telefon1 AS glaeubigertelefon1, glaeubiger.Telefon2 AS glaeubigertelefon2,
glaeubiger.Mobil AS glaeubigermobil, glaeubiger.Telefax AS glaeubigertelefax, zvorganbeteiligung.Betreff AS zvorganbetreff,
zvorgan.Telefax AS zvorgantelefax, zvorgan.Titel AS zvorganTitel, zvorgan.Anrede AS zvorganAnrede, zvorgan.Vorname AS zvorganVorname,
zvorgan.Nachname AS zvorganNachname, zvorgan.Vollername AS zvorganvollername, zvorgan.Adresszusaetze AS zvorganadresszusaetze,
zvorganbeteiligung.AdressZusatzBeteiligung AS zvorganAdressZusatzBeteiligung, zvorgan.StrasseNr AS zvorganstrassenr,
zvorgan.PlzOrt AS zvorganplzort, zvorgan.Land AS zvorganland, ISNULL(zvorgan.Postfach, zvorgan.StrasseNr) AS ZvorganPostfachBzwStrasseNr,
ISNULL(zvorgan.PlzOrtPostfach, zvorgan.PlzOrt) AS ZvorganPlzOrtPostfachBzwPlzOrt, zvorgan.Briefanrede AS zvorganbriefanrede
FROM dbo.Akten INNER JOIN
dbo.Aktenbeteiligte schuldnerbeteiligung ON dbo.Akten.aktenzeichen = schuldnerbeteiligung.Aktenzeichen INNER JOIN
dbo.Adressen Schuldner ON schuldnerbeteiligung.adressid = Schuldner.id INNER JOIN
dbo.Mitarbeiter Sachbearbeiter ON dbo.Akten.sachbearbeiterid = Sachbearbeiter.id INNER JOIN
dbo.Sachgebiete ON dbo.Akten.sachgebietsid = dbo.Sachgebiete.id INNER JOIN
dbo.Mahnstufen ON schuldnerbeteiligung.mahnstufenid = dbo.Mahnstufen.id INNER JOIN
dbo.Beteiligungstypen ON schuldnerbeteiligung.beteiligungstypid = dbo.Beteiligungstypen.id INNER JOIN
dbo.Mitarbeiter Akquisiteur ON dbo.Akten.akquisiteursid = Akquisiteur.id INNER JOIN
dbo.Adressen SachbearbeiterAdresse ON Sachbearbeiter.adressid = SachbearbeiterAdresse.id CROSS JOIN
dbo.Aktenbeteiligte zvorganbeteiligung INNER JOIN
dbo.Adressen zvorgan ON zvorgan.id = zvorganbeteiligung.adressid CROSS JOIN
dbo.Aktenbeteiligte glaeubigerbeteiligung INNER JOIN
dbo.Adressen glaeubiger ON glaeubiger.id = glaeubigerbeteiligung.adressid CROSS JOIN
dbo.Tagesdatum
WHERE (schuldnerbeteiligung.id = @schuldnerabi) AND (glaeubigerbeteiligung.id = @glaeubigerabi) AND (zvorganbeteiligung.id = @zvorganabi))


GO
GRANT ALL ON zwangsvollstreckung TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[NichtVerwendeteBeteiligungstypen]')) DROP VIEW NichtVerwendeteBeteiligungstypen
GO

CREATE VIEW dbo.NichtVerwendeteBeteiligungstypen
AS
SELECT TOP (100) PERCENT id, Beteiligungstyp
FROM dbo.Beteiligungstypen
WHERE (id NOT IN
(SELECT beteiligungstypid
FROM dbo.Aktenbeteiligte))

GO
GRANT ALL ON NichtVerwendeteBeteiligungstypen TO public
GO

If exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[NichtVerwendeteFibuKonten]')) DROP VIEW NichtVerwendeteFibuKonten
GO

CREATE VIEW dbo.NichtVerwendeteFibuKonten
AS
SELECT id, Bezeichnung
FROM dbo.fibu_konten
WHERE (NOT (id IN
(SELECT Kontoid
FROM dbo.fibu_einzelbuchungen))) AND (NOT (id IN
(SELECT kontoid
FROM dbo.g_tbe)))

GO
GRANT ALL ON NichtVerwendeteFibuKonten TO public
GO


SET ANSI_NULLS ON
DELETE FROM Programmfunktionen
IF NOT EXISTS (SELECT * FROM Programmfunktionen) INSERT INTO Programmfunktionen(Programmfunktion, Beschreibung, Hilfedatei, Abfrage, BrauchtAkte, BrauchtAdresse, BrauchtBeteiligung, BrauchtFibu, Sortierung, gesperrt, Kontext, Parent, neu, Sort, Passeptt, Exe, Alias, AliasBeschreibung, AliasGesperrt, gap6, Icon, Taste)
SELECT N'Abfrage aus Vorlage ffnen', N'ffnet eine aja-Datei in der Tabellenansicht mit der aktuellen Akten- und Adressauswahl', N'tabellen.htm', Null, 0, 0, 0, 0, Null, 1, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Abfrage ffnen', N'ffnet eine aja-Datei in der Tabellenansicht', N'tabellen.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Datei', 0, 55, Null, Null, Null, Null, Null, Null, N'ffnen', Null
UNION SELECT N'Access-Projekt', N'Finanzbuchhaltung, Bibliothek, Mandatsbuchhaltung und alternative Stammdatenverwaltung', N'access.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 70, Null, Null, Null, Null, Null, N'nein', N'Access', Null
UNION SELECT N'Adresse ausdrucken', N'Gibt die ausgewhlte Adresse in ein Word-Dokument aus.', N'adresseausgeben.htm', Null, 0, 1, 0, 0, Null, 1, 3, N'Adressen', 0, 35, 0, 0, Null, Null, 0, N'nein', N'Word', Null
UNION SELECT N'Adresse googeln', N'Sucht die Adresse bei Google Maps', N'adressen.htm', Null, 0, 1, 0, 0, Null, 0, 3, N'Adressen', 0, 45, Null, Null, Null, Null, Null, Null, N'Internet', Null
UNION SELECT N'Adresse lschen', N'Programmfunktion zur Ersetzung, Anonymisierung oder physikalischen Lschung einer Adresse', N'adresseloeschen.htm', Null, 0, 1, 0, 0, Null, 0, 3, N'AdrDs', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Adressen', N'Allgemeine Adressverwaltung', N'adressen.htm', Null, 0, 0, 0, 0, Null, 0, 3, N'Adressen', 0, 1, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Adressen nach Beteiligungstyp', N'Alle als Beteiligte erfasste Adressen, gegliedert nach Beteiligungstyp', N'adressen.htm', N'AdressenNachBeteiligungstyp', 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Adressen ohne Bezug', N'Liste aller Adressen, die keine Akte zugeordnet sind.', N'akteloeschen.htm', N'AdressenOhneBezug', 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Adressen-Passepartout', N'Gesamte Adressverwaltung', N'adressen.htm', N'adressen', 0, 0, 0, 0, Null, 0, 3, Null, 0, 62, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adressgruppe', N'Zusammenfassung von Adressen,um diese in bestimmten Zusammenhngen gemeinsam auszuwerten', N'adressgruppe.htm', N'Adressen', 0, 1, 0, 0, N'Nachname,Vorname', 0, 3, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adressgruppen', N'Liste aller Adressgruppen', N'adressgruppe.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Gruppe', 0, 4, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Adressgruppenbeteiligung', N'Akten, an denen Mitglieder der ausgewhlten Adressgruppe beteiligt sind', N'adressgruppe.htm', N'wordAktenbeteiligte', 0, 1, 0, 0, Null, 0, 4, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adressgruppenjournal', N'Gebuchte Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld) in Akten, an denen Mitglieder der gewhlten Adressgruppe beteiligt sind', N'adressgruppe.htm', Null, 0, 1, 0, 0, Null, 0, 8, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adressgruppenkonto', N'Alle Buchungen in Beteiligtenkonten der Adressgruppe (ohne Zinsberechnung)', N'adressgruppe.htm', N'beko_buchungen_klartext', 0, 1, 0, 0, N'Beleg,Datum', 0, 8, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adresskonto', N'Alle Buchungen in Beteiligtenkonten der gewhlten Adresse sowie gebuchte Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld), an denen die Adresse beteiligt ist', N'kontoinfo.htm', Null, 0, 1, 0, 0, Null, 0, 8, N'Konto', 0, 99, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Adresskonto pur', N'Alle Buchungen in Beteiligtenkonten der gewhlten Adresse (ohne Zinsberechnung und ohne Fibu)', N'konto.htm', N'AdressBeko', 0, 1, 0, 0, Null, 0, 8, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Adressliste gesamt', N'Alle in der Adressverwaltung gespeicherten Adressen', N'adressen.htm', N'AdressenGesamt', 0, 0, 0, 0, N'Nachname,Vorname', 0, 3, N'Adressen', 0, 90, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Akte kopieren', N'Erstellt eine Kopie der Akte mitsamt den Beteiligten und deren Korrespondenzeinstellungen', N'akteklonen.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 60, Null, Null, Null, Null, Null, Null, N'Kopieren', Null
UNION SELECT N'Akte lschen', N'Lscht eine Akte mitsamt etwaigen Beteiligten und Konten', N'akteloeschen.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 90, Null, Null, Null, Null, Null, Null, N'Lschen', Null
UNION SELECT N'Akte neu anlegen', N'ffnet die Aktenverwaltung mit leeren Eingabefeldern', N'akten.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Akten', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Akten', N'Anlage und nderung der Aktenstammdaten (Rubrum,Sachbearbeiter usw.)', N'akten.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Akten', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Akten ohne Rechnung', N'Alle aktiven Akten, in denen in den letzten 365 Tagen keine Rechnung geschrieben wurde', N'rechnungen.htm', N'AktenOhneRechnung', 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 35, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Akten ohne Termin', N'Aktive Akten, fr die kein knftiger Termin notiert ist', N'termine.htm', N'AktenOhneTermin2', 0, 0, 0, 0, Null, 0, 13, N'Termin', 0, 60, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenbeteiligte', N'Alle Beteiligte einer Akte als Tabelle', N'beteiligung.htm', N'wordAktenbeteiligte', 1, 0, 0, 0, N'Nachname,Vorname', 0, 4, N'Adressen', 0, 50, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktengruppe', N'Akten, die der ausgewhlten Akte zugeordnet sind oder zur selben Gruppe gehren wie die ausgewhlte Akte', N'aktengruppe.htm', N'AktenInfo', 1, 0, 0, 0, N'anlagedatum', 0, 2, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktengruppen', N'Liste aller Aktengruppen', N'aktengruppe.htm', Null, 0, 0, 0, 0, Null, 0, 4, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Aktengruppenbeteiligte', N'Beteiligte aller Akten, die zu der Aktengruppe gehren', N'aktengruppe.htm', N'wordAktenbeteiligte', 1, 0, 0, 0, Null, 0, 4, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktengruppenjournal', N'Gebuchte Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld) in allen zur Gruppe gehrenden Akten', N'aktengruppe.htm', Null, 0, 0, 0, 0, Null, 0, 8, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Aktengruppensalden', N'Salden aller zur ausgewhlten Aktegruppe gebuchten Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld)', N'aktengruppe.htm', N'Aktensalden', 0, 0, 0, 0, Null, 0, 8, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenkonten', N'Alle auf Akten gebuchten Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld)', N'aktenkonto.htm', N'Aktenkontenpur', 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 45, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Aktenkonto', N'Alle Buchungen in Beteiligtenkonten sowie in der Fibu gebuchte Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld) in der Akte', N'aktenkonto.htm', N'Aktenmegakonto', 1, 0, 0, 0, N'Datum', 0, 8, N'Konto', 0, 50, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenkonto intern', N'Alle in der Fibu auf die Akte gebuchten Guthaben (z.B. Auslagen), Einnahmen (insb. Gebhren), Verbindlichkeiten (z.B. Fremdgeld) und Ausgaben mit Angabe des Unternehmens und des Kontos.', N'aktenkonto.htm', N'Aktenkontenpur', 1, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 5, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenkonto netto', N'Aktenkonto mit Nettobetrgen (Betrag gem Finanzbuchhaltung abzgl. gebuchter Umsatzsteuer)', N'aktenkonto.htm', N'AktenkontoNetto', 1, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 5, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Aktenlisten / Aktensuche', N'Komfortsuche fr Akten und Beteiligte', N'aktensuche.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Akten', 0, 15, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Aktennotiz', N'Speichert einen Notiz zur ausgewhlten Akte', N'akten.htm', N'Notizen', 1, 0, 0, 0, Null, 1, 2, N'Akten', 0, 99, 1, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenordner', N'Festplattenordner mit allen Dokumenten und sonstigen Dateien zur Akte (elektronische Akte)', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 5, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Aktenordner filtern nach', N'Zeigt im Cockpit-Aktenordner nur diejenigen Dateien, deren Namen den angegebenen Suchbegriff enthalten', N'cockpit.htm', Null, 1, 0, 0, 0, Null, 1, 2, N'Datei', 0, 71, Null, Null, Null, Null, Null, N'nein', Null, Null
UNION SELECT N'Aktenordnerpfad kopieren', N'Kopiert den Pfad zum aktuellen Aktenordner in die Zwischenablage', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 45, Null, Null, Null, Null, Null, Null, N'Kopieren', Null
UNION SELECT N'Akten-Passepartout', N'Gesamte Aktenverwaltung', N'akten.htm', N'akten', 0, 0, 0, 0, N'anlagedatum', 0, 2, Null, 0, 99, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktensalden (abgelegte Akten)', N'Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld) aller abgelegten Akten', N'aktensalden.htm', N'Aktensalden(1)', 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 55, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktensalden (aktive Akten)', N'Einnahmen, Ausgaben, Guthaben (z.B. Auslagen) und Verbindlichkeiten (z.B. Fremdgeld) aller nicht abgelegten Akten', N'aktensalden.htm', N'Aktensalden(0)', 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 50, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktentypen', N'Liste der fr spezielle Anwendungen geltenden Typen', N'spezielle.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, 1, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenunterordner', N'Unterverzeichnisse, die bei Erstellung eines Aktenordners automatisch mit angelegt werden. Als globales Sachgebiet kann 0 angegeben werden.', N'aktenordner.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktenvorblatt drucken', N'Druckt das Aktenvorblatt unmittelbar aus', N'akten.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 21, Null, Null, Null, Null, Null, N'nein', N'Drucken', Null
UNION SELECT N'Aktenvorbltter', N'Diverse Variationen von Aktenvorblttern. Wird ausgefhrt mit Version 6.x', N'akten.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Akten', 0, 21, Null, Null, Null, Null, Null, N'nur', Null, Null
UNION SELECT N'Aktenzeichen ndern', N'ndert das Aktenzeichen einer Akte', N'akten.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 70, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Aktive Logins', N'Liste der offenen Verbindungen', N'lizenz.htm', N'Logins', 0, 0, 0, 0, N'Login', 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Aktuelle Mahnungen', N'Offene Posten mit den Mahnstufen 0, 1 oder 2', N'op.htm', N'OffenePosten012', 0, 0, 0, 0, Null, 0, 4, Null, 0, Null, Null, Null, Null, Null, 1, Null, Null, Null
UNION SELECT N'Alle Datenbankfelddefinitionen', N'Definitionen smtlicher Datenfelder smtlicher Tabellen der aktuellen Datenbank', N'dbgrundlagen.htm', N'AlleFelder', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Basiszinstabelle', N'Basiszins mit Angabe des gem  247 BGB seit 01.01.2002 fr Konsumenten (+5%) bzw. Kaufleute (+9%) geltenden Verzugszinses', N'basiszins.htm', N'Basiszins', 0, 0, 0, 0, N'GltigAb DESC', 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Benutzerdefinierte Datenfelder', N'Datenfelder der benutzerdefinierten Tabellen AdressenExt, AktenExt und AktenbeteiligteExt', N'spezielle.htm', N'ExtFelder', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 5, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Benutzerdefinierte Pfade', N'Verfgbare benutzerdefinierte Pfade', N'ordner.htm', N'Pfade', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, N'nein', Null, Null
UNION SELECT N'Berichts-Generator', N'Diverse vorkonfigurierte Auswertungen der Finanzbuchhaltung. Soll demnchst das Access-Projekt ersetzen. Setzt Version 6.x voraus.', N'fibu.htm', Null, 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 80, Null, Null, Null, Null, Null, N'nur', Null, Null
UNION SELECT N'Beteiligtenkonto', N'Berechnung eines Zahlungsanspruchs gegen den Beteiligten auf Grund Hauptforderung(en), Kosten, Zinsen und Verrechnung von Zahlungen und Gutschriften.', N'kontoinfo.htm', Null, 0, 0, 1, 0, N'Nr', 0, 5, N'Kontoauswertung', 0, 10, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Beteiligtenkonto detailliert', N'Forderungsberechnung auf Grund Hauptforderung(en), Kosten,Zinsen und Verrechnung von Gutschriften einschliesslich laufender Summen.', N'kontoinfo.htm', Null, 0, 0, 1, 0, N'Nr', 0, 5, N'Kontoauswertung', 0, 20, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Beteiligtenkonto schlicht', N'Beteiligtenkonto als einfache Addition / Subtraktion ohne Zinsberechnung', N'konto.htm', N'beko_buchungen', 1, 1, 1, 0, Null, 0, 4, N'Kontoauswertung', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Beteiligtenkonto zum Stichtag', N'Zeigt ein Beteiligungskonto zu einem bestimmten Stichtag', N'kontoinfo.htm', Null, 0, 0, 1, 0, N'Nr', 0, 5, N'Kontoauswertung', 0, 50, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Beteiligungen', N'Akten, an denen die Adresse beteiligt ist.', N'beteiligung.htm', N'wordAktenbeteiligte', 0, 1, 0, 0, Null, 0, 4, N'Akten', 0, 18, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Beteiligungstypen', N'Liste der zur Auswahl stehenden Verknpfungen zwischen Akte und Adresse', N'stammdaten.htm', Null, 0, 0, 0, 0, N'Beteiligungstyp', 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Bibliothek', N'Liste aller erfassten Bcher und anderen Medien', N'bibliothek.htm', N'Bibliothek1', 0, 0, 0, 0, N'Jahr DESC', 0, 11, Null, 0, 35, Null, Null, Null, Null, Null, N'nein', N'Tabelle', Null
UNION SELECT N'Bibliothek (Access)', N'Erfassung von Bchern,Ausdruck von Katalogen', N'bibliothek.htm', Null, 0, 0, 0, 0, Null, 1, 0, Null, 0, 30, Null, Null, Null, Null, Null, N'nein', N'Access', Null
UNION SELECT N'Bibliothek erweitert', N'Liste aller erfassten Bcher und anderen Medien einschlielich Querverweise', N'bibliothek.htm', N'Bibliothek2', 0, 0, 0, 0, N'Jahr DESC', 0, 11, Null, 0, 40, Null, Null, Null, Null, Null, N'nein', N'Tabelle', Null
UNION SELECT N'Bilanz', N'Bilanz nach aktuellem Stand der Finanzbuchhaltung', N'fibu.htm', Null, 0, 0, 0, 0, Null, 0, 8, Null, 0, 70, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Bildschirmausdruck', N'Druckt die Ansicht des aktiven Fensters auf dem Standarddrucker aus', N'titel.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, 45, Null, Null, Null, Null, Null, Null, N'Drucken', Null
UNION SELECT N'Buchungen ohne Gegenbuchung', N'Einzelbuchungen ohne Gegenbuchung', N'fibu.htm', N'fibu_BuchungenOhneGegenbuchung', 0, 0, 0, 1, Null, 0, 8, N'FibuProbleme', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Buglist', N'Liste der registrierten Laufzeitfehler. Manchmal liegt ein Programmfehler zugrunde.', N'bugs.htm', Null, 0, 0, 0, 0, N'Zeit DESC', 0, 1, N'Setup', 0, 35, Null, Null, Null, Null, Null, N'nein', N'Tabelle', Null
UNION SELECT N'Cockpit', N'Das Zentralorgan: alle Akten und Adressen mit Zugang zu smtlichen Programmfunktionen', N'cockpit.htm', Null, 0, 0, 0, 0, Null, 0, 4, Null, 0, 99, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Datei datieren', N'Stellt einer auszuwhlenden Datei das Erstelldatum im sortierfreundlichen Format Jahr-Monat-Tag voran.', N'aktenordner.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Datei einordnen', N'Kopiert eine auszuwhlende Datei in den Ordner der ausgewhlten Akte.', N'dateieinordnen.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 45, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Datei mailen', N'Erstellt eine E-Mail an den ausgewhlten Empfnger mit auszuwhlendem Dateianhang. Nur verfgbar mit Outlook.', N'email.htm', Null, 1, 0, 0, 0, Null, 0, 3, N'Datei', 0, 51, 0, 0, Null, Null, 0, Null, N'E-Mail', Null
UNION SELECT N'Dateien nummerieren', N'Versieht Dateien des Aktenordners, die nicht lter als 1 Monat sind und noch keine Dokumentenid haben, mit einer solchen', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 0, Null, 0, Null, 0, 0, Null, Null, 0, N'nur', Null, Null
UNION SELECT N'Dateinummern', N'Versieht die Dateinummern mit fhrennden Nullen', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Dateipfad kopieren', N'Kopiert den Pfad zu der im aktuellen Aktenordner ausgewhlten Datei in die Zwischenablage', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Dateipfad mailen', N'Erstellt eine E-Mail mit dem Pfad zur aktuell im Cockpit-Aktenordner ausgewhlten Datei.', N'aktenordner.htm', Null, 1, 0, 0, 0, Null, 0, 0, Null, 0, Null, 0, 0, Null, Null, 0, Null, Null, Null
UNION SELECT N'Datenbankdateien', N'Zeigt Namen und Speicherort der physikalischen Dateien an, in dem Daten der Datenbank gespeichert werden.', N'mdf.htm', N'sysfiles', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Datenbankeinstellungen', N'Diverse Grundeinstellungen an der Datenbank', N'stammdaten.htm', N'userconst', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Datenbankrcksicherung', N'Ersetzt den Inhalt der aktuellen Datenbank durch den Inhalt einer Datensicherung', N'restore.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Setup', 0, 81, Null, Null, Null, Null, Null, N'nein', N'Einstellungen', Null
UNION SELECT N'Datenbanksicherung', N'Fhrt eine Sicherung der Datenbank durch.', N'datensicherung.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Setup', 0, 80, Null, Null, Null, Null, Null, N'nein', N'Einstellungen', Null
UNION SELECT N'Datenbanksicherungsprotokoll', N'Zeigt alle mit dem Programm vorgenommenen BACKUP- und RESTORE-Operationen an.', N'datensicherung.htm', N'BackUpRestoreProtokoll', 0, 0, 0, 0, N'zeit DESC', 0, 0, N'Setup', 0, 85, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Datenbanktexte', N'Diverse kleine Textsequenzen fr unterschiedliche Zwecke', N'stammdaten.htm', N'UserTexte', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Datenpflege', N'Zur Ausfhrung nach Adressimport und anderen besonderen Fllen gem Dokumentation', N'setup.htm', Null, 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, 1, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'Dokument speichern', N'Speichert das aktive Word-Dokument im Aktenordner der Akte', N'wordspeichern.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Datei', 0, 20, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Dokument zuordnen', N'bertrgt die fr die Animation zum "intelligenten" Dokument bentigten Informationen in die Eigenschaften des aktiven Dokuments', N'dokumentzuordnen.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Datei', 0, 60, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Dokumente', N'Liste aller mit dem Programm erstellten Word-Dokumente und E-Mails. ber den erfolgten Versand wird hier keine Aussage getroffen.', N'cockpit.htm', N'DokumenteInfo', 0, 0, 0, 0, N'id DESC', 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Dokumente nach Adresse', N'Liste der fr die ausgewhlte Adresse erstellten Word-Dokumente und E-Mails. ber den erfolgten Versand wird hier keine Aussage getroffen.', N'adressen.htm', N'DokumenteInfo', 0, 1, 0, 0, N'id DESC', 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Dokumentenordner', N'ffnet die Aktenordner gruppiert nach Jahrgngen mit dem Windows-Explorer', N'ordner.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Datei', 0, 40, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Doppelte Feldnamen', N'Feldnamen der Tabellen AktenbeteiligteExt, AdressenExt und AktenExt, die mehrfach vorkommen - drfen nicht vorkommen', N'spezielle.htm', N'DoppelteFeldnamen', 0, 0, 0, 0, Null, 1, 1, N'StammExt', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Dubletten', N'Ermittlung und Lschung doppelter Datenstze', N'dubletten.htm', Null, 0, 0, 0, 0, Null, 1, 1, Null, 0, 99, Null, Null, Null, Null, Null, Null, N'Extern', Null
UNION SELECT N'Dsseldorfer Tabelle', N'Schlichte Berechnung des Kindesunterhalts', N'dt.htm', Null, 0, 0, 0, 0, Null, 1, 0, Null, 0, 60, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'EDA-Stammdaten', N'Angaben zur Zulassung eines Antragstellervertreters zum elektronischen Mahnverfahren eines Mahngerichts', N'mahnverfahren.htm', N'EdaStamm', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, 1, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Eigene Buchungen', N'Buchungen in der Finanzbuchhaltung der letzten 365 Tage, die den jeweiligen PC-Benutzer als Sachbearbeiter betreffen', N'benutzerauswertungen.htm', N'EigeneFibuBuchungen', 0, 0, 0, 0, N'Datum DESC', 0, 8, N'Fibu', 0, 60, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Eigene Termine', N'Verwaltung der eigenen Terminer', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, N'Termin', 0, 15, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Eigene Termine zurcksetzen', N'Smtliche "aktiven", aber in der Vergangenheit liegenden Termine des aktuellen Mitarbeiters werden als "erledigt" markiert', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'Eigene Zeitabrechnung', N'Zeigt die fr den eingeloggten Mitarbeiter erfate Zeit', N'zeiterfassung.htm', N'ErfassteZeit', 0, 0, 0, 0, N'Zeit DESC', 0, 10, N'Zeiterfassung', 0, 60, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Einnahmen nach Sachbearbeiter und Jahr', N'Einnahmen getrennt nach Sachbearbeiter, Einnahmenart und Kalenderjahr', N'fibu.htm', N'EinnahmenNachSachbearbeiterUndJahr', 0, 0, 0, 0, Null, 0, 8, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Einnahmen nach Sachgebiet und Jahr', N'Einnahmen getrennt nach Sachgebiet und Kalenderjahr', N'fibu.htm', N'EinnahmenNachSachgebietUndJahr', 0, 0, 0, 0, Null, 0, 8, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Einzelkonten', N'Anzeige und Bearbeitung der Konten der Finanzbuchhaltung', N'fibukonten.htm', N'fibu_konten', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'E-Mail', N'Erstellt eine Outlook-E-Mail an die auswhlte Adresse', N'email.htm', Null, 0, 0, 0, 0, Null, 0, 2, N'Datei', 0, 50, Null, Null, Null, Null, Null, Null, N'E-Mail', Null
UNION SELECT N'E-Mail aus Vorlage', N'Erstellt eine E-Mail aus einer per Dateidialog auszuwhlenden und ggf. vorkonfigurierten Vorlage', N'email.htm', Null, 0, 0, 1, 0, Null, 0, 3, N'Datei', 0, 51, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'E-Mail speichern', N'Speichert die aktive Outlook-E-Mail im Aktenordner der aktiven Akte', N'emailspeichern.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 53, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'E-Mail-Versand-Konto', N'Outlook-Konto (identifiziert durch E-Mail-Adresse), das standardmig fr den E-Mail-Versand zu verwenden ist', N'email.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Erbsenzhlung', N'Detaillierte und nachvollziehbare Ausgabe der Berechnung eines Beteiligtenkontos in ein neues Word-Dokument.', N'kontoinfo.htm', Null, 0, 0, 1, 0, Null, 0, 5, N'Kontoauswertung', 0, 60, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Erbsenzhlung zum Stichtag', N'Detaillierte und nachvollziehbare Ausgabe der Berechnung eines Beteiligtenkontos zu einem bestimmten Stichtag in ein neues Word-Dokument.', N'konto.htm', Null, 1, 1, 1, 0, Null, 0, 5, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Erfasste Zeit', N'Zeiterfassung smtlicher Akten und Mitarbeiter', N'zeiterfassung.htm', N'Erfasstezeit', 0, 0, 0, 0, N'Zeit DESC', 0, 10, N'Zeiterfassung', 0, 90, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Erfasste Zeit nach Monat Akte und Mitarbeiter', N'Erfasste Zeit nach Monat, Akte und Mitarbeiter (Sb1 und Sb2 beziehen sich auf die Akte, Dz bezieht sich auf die erfasste Zeit)', N'zeiterfassung.htm', N'ErfassteZeitMonatAkteMitarbeiter', 1, 0, 0, 0, N'Jahr DESC, Monat DESC', 0, 10, N'Zeiterfassung', 0, 56, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Erfasste Zeit nach Monat und Akte', N'Auswertung der Zeiterfassung, gruppiert nach Monat und Zeit', N'zeiterfassung.htm', N'ErfassteZeitMonatAkte', 0, 0, 0, 0, N'Jahr DESC, Monat DESC', 0, 10, N'Zeiterfassung', 0, 55, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Erweiterte Adressdaten', N'Anzeige und Bearbeitung benutzerdefinierter Adressfelder', N'spezielle.htm', N'AdressenExt', 0, 1, 0, 0, Null, 0, 3, N'Adressen', 0, 60, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Erweiterte Aktendaten', N'Anzeige und Bearbeitung benutzerdefinierter Aktenfelder', N'spezielle.htm', N'AktenExt', 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 95, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Erweiterte Beteiligungsdaten', N'Anzeige und Bearbeitung benutzerdefinierter Datenfelder zu Beteiligten', N'spezielle.htm', N'AktenbeteiligteExt', 1, 1, 1, 0, Null, 0, 4, N'Adressen', 0, 61, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Excel speichern', N'Speichert die aktuelle EXCEL-Tabelle in dem Aktenordner der aktuellen Akte', N'excelspeichern.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 70, Null, Null, Null, Null, Null, Null, N'Excel', Null
UNION SELECT N'Excel-Kostennote', N'Erstellt aus der Vorlage kostennote.xla eine Kostennote an den ausgewhlten Beteiligten (berholt)', N'excel.htm', Null, 1, 0, 0, 0, Null, 0, 0, Null, 0, 99, Null, Null, Null, Null, Null, Null, N'Excel', Null
UNION SELECT N'Fllige Fristen', N'Alle Termine, die als Frist kategorisiert sind und deren Wiedervorlagetermin erreicht ist. Setzt voraus, dass das Betreff "Frist" enthlt oder der Termin zur Hauptkategorie "Fristen" (=4) gehrt', N'termine.htm', N'FaelligeFristen', 0, 0, 0, 0, Null, 0, 13, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Feldkonfiguration', N'Konfiguration von Passepartoutfeldern', N'spezielle.htm', N'Felder', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 10, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Feldkonfiguration nach Aktentypen', N'Erfassung und Konfiguration von Datenfeldern fr spezielle Aktentypen', N'spezielle.htm', N'SpezielleFelder', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 15, 1, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Finanzbuchhaltung', N'Buchung von Aufwands-, Ertrags- und Finanzkonten, einschl. Gebhren,Auslagen und Fremdgeld mit betriebswirtschaftlichen und steuerlichen Auswertungen', N'fibu.htm', Null, 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Finanzbuchhaltung (Access)', N'Buchung und Auswertung von Aufwands-, Ertrags -und Finanzkonten, insbes. Gebhren, Auslagen und Fremdgeld mit betriebswirtschaftlichen und steuerlichen Auswertungen (Access)', N'fibu.htm', Null, 0, 0, 0, 0, Null, 1, 8, N'Fibu', 0, 90, Null, Null, Null, Null, Null, Null, N'Access', Null
UNION SELECT N'Geburtstage', N'Alle in der Adressverwaltung erfassten Geburtstage in der Reihenfolge ihres Auftretens im Jahr', N'geburtstage.htm', Null, 0, 0, 0, 0, Null, 0, 3, N'Adressen', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Geburtstage heute', N'Alle Personen, die heute Geburtstag haben', N'geburtstage.htm', N'Geburtstageheute', 0, 0, 0, 0, Null, 0, 3, N'Adressen', 0, 33, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Geburtstage morgen', N'Alle Geburtstage aus der Adressverwaltung fr den nchsten Tag', N'adressen.htm', N'Geburtstagemorgen', 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Geldwscherisiken', N'Akten, in denen Verpflichtungen nach  2 Geldwschegesetz bestehen', N'gwg.htm', N'GwRisikoStufenInfo', 0, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Geldwscherisikostufen', N'Kategorien, nach denen Akten dem Geldwschegesetz zugeordnet werden', N'gwg.htm', N'GwRisikoStufen', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Geschwindigkeitstest', N'Testet die Geschwindigkeit des Zugriffs auf komplexe Abfragen der Datenbank', N'vtest.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Setup', 0, 20, Null, Null, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'Gesendete Objekte', N'Gibt an, in welchem Outlook-Ordner die zuletzt gesendeten Mails E-Mails zu finden sind (ntig fr "Letzte E-Mail senden und drucken")', N'email.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Gesetze', N'ffnet die Linkliste mit Gesetzen im Internet', N'links.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Internet', 0, Null, Null, Null, Null, Null, Null, Null, N'Internet', Null
UNION SELECT N'Hauptforderungen', N'Aufstellung der im Beteiligtenkonto gebuchten und nach Bercksichtigung etwaiger Gutschriften noch valutierenden Hauptforderungen nebst Tilgungsstand ', N'konto.htm', N'Hauptforderungen', 1, 1, 1, 0, N'Nr', 0, 5, N'Kontoauswertung', 0, 70, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Hilfe-Dokumentation', N'Wie der Name schon sagt.', N'hilfe.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, 99, Null, Null, Null, Null, Null, Null, N'Hilfe', Null
UNION SELECT N'Honorarformeln', N'Vergtungsformeln nach der in deutschen Gesetzen blichen Berechnungsformel ', N'honorartabellen.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Honorarstufen', N'Optionale Stufen fr die Zeiterfassung', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Honorartabellen', N'Honorarbetrge nach allen verfgbaren Werthonorartabellen', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 5, 1, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Honorartabellen (Daten)', N'Beliebige einfache Honorarstaffeln zur Verwendung in Rechnungen', N'honorartabellen.htm', N'Honorartabelle', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 25, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Interessenkonflikte', N'Adressen,die sowohl aus dem Lager der Mandanten als auch aus gegnerischem oder unbekannten Lager an Akten beteiligt sind', N'interessenkonflikte.htm', Null, 0, 0, 0, 0, Null, 0, 3, N'Adressen', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Internet-Links', N'Wichtige und unwichtige Internet-Websites', N'links.htm', N'InternetLinks', 0, 0, 0, 0, N'Website', 0, 12, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Internet', Null
UNION SELECT N'Jahresbersicht', N'Tabellarische bersicht ber die Einnahmen und Ausgaben des laufenden Jahres. Weitergehende Informationen im Fibu-Fenster und im Access-Projekt.', N'fibu.htm', N'FibuJahr', 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 15, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Journal', N'Alle Buchungsvorgnge im Journal', N'journal.htm', Null, 0, 0, 0, 0, Null, 1, 8, N'Fibu', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Kleine Kostennote', N'Kostennote mit einem Gebhrentatbestand nebst Auslagen und Mehrwertsteuer zum Ansehen,Einfgen und Buchen', N'klkn.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 25, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Kollisionsprfung', N'Prfung,ob der gewhlte Beteiligte der Kanzlei irgendwo in einem anderen Lager als in der gewhlten Akte gegenbersteht', N'interessenkonflikte.htm', N'Interessenkonflikte', 0, 0, 1, 0, Null, 0, 4, N'Adressen', 0, 25, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Konto buchen', N'Eingabe und nderung von Forderungen,Rechnungen,Kosten und Gutschriften im Beteiligtenkonto', N'kontobuchen.htm', Null, 0, 0, 1, 0, Null, 0, 5, N'Konto', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Konto lschen', N'Lscht alle Buchungen eines Beteiligtenkontos', N'konto.htm', Null, 1, 1, 1, 0, Null, 0, 4, N'Konto', 0, 87, Null, Null, Null, Null, Null, Null, N'Lschen', Null
UNION SELECT N'Kontoid-Konvertierung', N'In der rechten Spalte ist das Konto der lokalen Fibu anzugeben, das anstelle des links angegebenen Kontos fr die angegebenen Rechnungstatbestnde gem der Beschreibung verwendet werden soll.', N'KG2021.htm', N'Kontoidkonvertierung', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kontotypen', N'Anzeige und Bearbeitung der Kontotypen der Finanzbuchhaltung', N'fibukonten.htm', N'fibu_kontotypen', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Kontozusammenfassung', N'Aufschlsselung des Kontostandes', N'konto.htm', Null, 1, 1, 1, 0, Null, 0, 4, N'Kontoauswertung', 0, 40, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kostentabellen', N'Wurde verbessert und ersetzt durch "Honorartabellen"', N'kostentabellen.htm', Null, 0, 0, 0, 0, Null, 1, 0, N'Extra', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Kostentabellen 2013 - Einfgefehler', N'Zeigt an, aufgrund welcher ungltiger Fibu-Konten die neuen Tabellen nicht eingefgt werden knnen. Die hier angegebenen Konto-IDs sind in der rechten Spalte der Konvertierung zu ersetzen.', N'KG2013.htm', N'InsertKG2013err', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kostentabellen 2013 einfgen', N'Spielt die seit 01.08.2013 geltenden Rechnungstatbestnde ein.', N'KG2013.htm', N'InsertKG2013IntoG_tbe', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kostentabellen 2021 - Einfgefehler', N'Zeigt an, aufgrund welcher ungltiger Fibu-Konten die neuen Tabellen nicht eingefgt werden knnen. Die hier angegebenen Konto-IDs sind in der rechten Spalte der Konvertierung zu ersetzen.', N'KG2021.htm', N'InsertKG2021err', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, 0, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kostentabellen 2021 einfgen', N'Fgt die ab 01.01.2021 geltenden Rechnungstatbestnde ein', N'KG2021.htm', N'InsertKG2021IntoG_tbe', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'Kurzbrief drucken', N'Druckt einen zu whlenden Kurzbrief an den gewhlten Beteiligten aus', N'kurzbriefe.htm', Null, 0, 0, 1, 0, Null, 0, 0, N'Datei', 0, 15, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Lager', N'Typen der Beteiligungstypen (berwachung von Interessenkonflikten)', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Letzte Mail speichern', N'Speichert die zuletzt gesendete Outlook-E-Mail im Aktenordner', N'email.htm', Null, 1, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Letzte Mail speichern und drucken', N'Speichert die zuletzt gesendete Outlook-E-Mail im Aktenordner und druckt sie auf dem Standarddrucker', N'email.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 60, Null, Null, N'Letzte Mail speichern und drucken', Null, Null, Null, Null, Null
UNION SELECT N'Listentexte', N'Texte, die in Listenfeldern zur Auswahl angeboten werden.', N'listentexte.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Live-Update', N'Schliet die Anwendung und ffnet mit Hilfe des Standardbrowsers die Seite www.a-jur.de/updates.htm, von wo das Aktualisierungspaket heruntergeladen werden kann.', N'updates.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Setup', 0, 5, Null, Null, Null, Null, Null, N'nein', N'Internet', Null
UNION SELECT N'Logfile', N'Zeigt die Textdatei an, in der wichtige Ereignisse protokolliert werden', N'log.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Setup', 0, 40, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Logfile an den Support senden', N'Erstellt eine E-Mail an den a-jur-Support mit dem Inhalt des Logfiles', N'log.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, 45, Null, Null, Null, Null, Null, Null, N'E-Mail', Null
UNION SELECT N'Lschweitergabe', N'Datenbankkonfiguration dergestalt ndern, dass bei Lschung einer Adresse auch deren Beteiligungen und Konten gelscht werden.', N'errFK.htm', N'fnFK_Aktenbeteiligte_Adressen_CASCADE', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'Mahnstufen', N'Konfiguration der mglichen Mahnzustnde von Beteiligungen', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Mahnverfahren', N'Erstellung und Verwaltung von Antrgen Im elektronischen Mahnverfahren (elektronsicher Datenaustausch)', N'mahnverfahren.htm', Null, 1, 1, 1, 0, Null, 0, 5, N'Konto', 0, 85, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Mahnverfahren (Register)', N'Tabellarische Darstellung aller Elektronischen Mahnverfahren', N'mahnverfahren.htm', N'MahnverfahrenListe', 0, 0, 0, 0, Null, 0, 4, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mail an alle', N'Entwirft eine E-Mail an alle aktiven Mitarbeiter', N'email.htm', Null, 1, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Mail-Beteiligte erfassen', N'Erfasst smtliche Adressaten der ausgewhlten Outlook-Mails als Beteiligte zur Akte', N'email.htm', Null, 1, 0, 0, 0, Null, 0, 3, Null, 0, 55, Null, Null, Null, Null, Null, N'nur', Null, Null
UNION SELECT N'Mandantenliste', N'Alle Adressen, die mindestens einmal als Mandant an einer Akte beteiligt waren', N'adressen.htm', Null, 0, 0, 0, 0, N'Nachname, Vorname', 0, 3, N'Adressen', 0, 65, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mandantenliste Aktiv', N'Liste aller Mandanten, die an aktiven (= nicht abgelegten) Akten beteiligt sind', N'adressen.htm', N'MandantenlisteAktiv', 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Mandatsbeteiligtenkonto', N'Alle Buchungen,die der ausgewhlten Beteilung in der Mandatsbuchhaltung zugeordnet sind', N'mdtfibu.htm', Null, 1, 1, 1, 0, N'Datum', 0, 9, N'QFibu', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mandatsbuchhaltung (Access)', N'Mandantenfhige Finanzbuchhaltung (Access-Projekt)', N'mdtfibu.htm', Null, 0, 0, 0, 0, Null, 1, 9, N'QFibu', 0, 90, Null, Null, Null, Null, Null, Null, N'Access', Null
UNION SELECT N'Mandatsbuchhaltung buchen', N'Bucht die Mandatsbuchhaltung', N'mdtfibu.htm', N'qBuchungen', 1, 0, 0, 0, Null, 0, 9, N'QFibu', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mandatsbuchungen', N'Alle Buchungen der Mandatsbuchhaltung', N'mdtfibu.htm', Null, 1, 0, 0, 0, Null, 0, 9, N'QFibu', 0, 10, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mandatsjournal', N'Journal der Mandatsbuchhaltung', N'mdtfibu.htm', Null, 1, 0, 0, 0, N'Datum', 0, 9, N'QFibu', 0, 20, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mitarbeit in femder Akte', N'Erfasste Zeit von Mitarbeitern in Akten anderer Sachbearbeiter', N'zeiterfassung.htm', N'MitarbeitAnFremderAkte', 0, 0, 0, 0, Null, 0, 10, N'Zeiterfassung', 0, 50, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mitarbeiterabrechnung', N'Gegenberstellung Umstze und Verrechnungskonto', N'benutzerauswertungen.htm', Null, 0, 0, 0, 0, Null, 1, 8, N'Fibu', 0, 65, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Mitarbeiterliste', N'Liste alle Mitarbeiter', N'mitarbeiter.htm', N'Mitarbeiterliste', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Mitarbeiterverwaltung', N'Erfassung aller Personen, fr die das Programm verwendet werden soll.', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, 1, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Mitstreiter', N'Adressen, die zusammen mit der auswhlten Adresse im selben Lager gestanden haben, ohne Mandant zu sein.', N'adressen.htm', N'Mitstreiter', 0, 1, 0, 0, Null, 1, 3, N'Adressen', 0, 99, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Nachricht intern', N'Erstellt eine Sofort-Wiedervorlage fr einen Mitarbeiter', N'termine.htm', Null, 1, 0, 0, 0, Null, 0, 3, Null, 0, 55, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Neuer Termin', N'ffnet das Fenster fr die Eingabe eines neuen Termins', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, N'Termin', 0, 25, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Neuer Termin Akte', N'Erfassung eines neuen Termins in der aktuellen Akte', N'termine.htm', Null, 1, 0, 0, 0, Null, 0, 13, N'Termin', 0, 27, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Nicht verwendete Beteiligungstypen', N'Beteiligungstypen, die derzeit nicht verwendet werden', N'stammdaten.htm', N'NichtVerwendeteBeteiligungstypen', 0, 0, 0, 0, Null, 0, 0, Null, 1, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Nicht verwendete Fibu-Konten', N'Konten der Finanzbuchhaltung, die derzeit nicht verwendet werden', N'fibukonten.htm', N'NichtVerwendeteFibuKonten', 0, 0, 0, 0, Null, 0, 8, Null, 1, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Notarkostentatbestnde 2021 einfgen', N'Fgt die Notarkostentatbestnde auf dem Stand 01.01.2021 ein', N'notar.htm', N'InsertGNotKGB21IntoG_tbe', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'Oberaktenordner', N'ffnet das Windows-Dateiverzeichnis, das den Aktenordner der aktuellen Akte enthlt', N'ordner.htm', Null, 1, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Oberkonten', N'Anzeige und Bearbeitung der Oberkonten der Finanzbuchhaltung', N'fibukonten.htm', N'fibu_oberkonten', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Offene Finanzsalden', N'Die angegeben Betrge (Auslagen und/oder Fremdgeld) sind noch offen und sollten vor einer Aktenablage bezahlt oder ergebniswirksam umgebucht werden. Einzelheiten ergeben sich aus dem Aktenkonto.', N'akteablegen.htm', N'fnOffeneFinanzSalden(''', 1, 0, 0, 0, Null, 0, 2, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Offene Posten', N'Offene gebuchte Rechnungen', N'konto.htm', N'OffenePostenVw', 0, 0, 0, 0, N'Datum Desc', 0, 4, N'Fibu', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Offene Posten der Fibu bereinigen', N'Entfernt die Rechnungen abgelegter Akten aus den im Fibu-Fenster zum Einlesen verfgbaren Offenen Posten.', N'op.htm', N'DeleteAbgelegteFromRGB', 0, 0, 0, 0, Null, 0, 8, Null, 0, Null, Null, 1, Null, Null, Null, Null, Null, Null
UNION SELECT N'ffnen', N'ffnet eine Datei ggf. mit der passenden Programmfunktion, sonst mit der Standardanwendung', N'titel.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'ffnen', Null
UNION SELECT N'Outlook-Einstellungen', N'Zeigt die standardmigen und ggf. auch die benutzerdefinierten Outlook-Konten an', N'email.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Outlook-Kontakt importieren', N'Outlook-Kontakt importieren', N'adressen.htm', Null, 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Outlook', Null
UNION SELECT N'Outlook-Synchronisation', N'bertrgt alle Termine des aktuellen Mitarbeiters in den lokalen Outlook-Kalender', N'outlooksync.htm', Null, 0, 0, 0, 0, Null, 0, 13, N'Termin', 0, 99, Null, Null, Null, Null, Null, N'nein', N'Outlook', Null
UNION SELECT N'Outlook-Synchronisation still', N'bertrgt alle Termine des aktuellen Mitarbeiters in den lokalen Outlook-Kalender. Angezeigt werden lediglich etwaige Fehler.', N'outlooksync.htm', Null, 0, 0, 0, 0, Null, 0, 13, Null, 0, Null, Null, Null, Null, Null, Null, N'nein', N'Outlook', Null
UNION SELECT N'Passwort ndern', N'ndert Passworte. Setzt das admin-Passwort voraus.', N'pwds.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Setup', 0, 25, Null, Null, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'PDF-Dokument', N'Kopiert ein PDF-Dokument zwecks Bearbeitung in die aktive Akte', N'dateieinordnen.htm', Null, 1, 0, 0, 0, Null, 0, 2, Null, 1, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Persnliche Adressen Aktuell', N'Adressen mit Datenschutz, an deren Speicherung ein berechtigtes Interesse besteht', N'dsgvo.htm', N'AdressenDsmbI', 0, 0, 0, 0, N'Nachname, Vorname', 0, 3, N'AdrDs', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Persnliche Adressen lschen', N' Lschung persnlicher Adressen der aktuellen Akte, die nicht zu archivieren sind und auch in keiner sonstigen aktiven Akte verwendet werden', N'dsgvo.htm', Null, 1, 0, 0, 0, Null, 0, 3, N'AdrDs', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Persnliche Adressen ohne berechtigtes Interesse', N'Adressen mit Datenschutzvermerk, die nicht in der Tabelle "Persnliche Adressen Aktuell" enthalten sind', N'dsgvo.htm', N'AdressenDsobI', 0, 0, 0, 0, N'Nachname, Vorname', 0, 3, N'AdrDs', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Persnlicher Datensatz', N'Excel-Tabelle mit allen persnlichen Daten, die fr eine bestimmte Person gespeichert sind', N'dsgvo.htm', Null, 0, 1, 0, 0, Null, 0, 3, N'AdrDs', 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Pfad kopieren', N'Kopiert den Pfad zum Aktenordner in die Zwischenablage. Bezeichnung ist veraltet, es heit jetzt "Aktenordnerpfad kopieren"', N'aktenordner.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Platzhalter Adresse', N'Zeigt die Platzhalter zur Verwendung in Dokumentvorlagen mit Datenquelle "Adresse" an', N'vorlageeinrichten.htm', N'platzhalteradresse', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Platzhalter Akte', N'Zeigt die Platzhalter zur Verwendung in Dokumentvorlagen mit der Datenquelle "Akte" an', N'vorlageeinrichten.htm', N'Platzhalterakte', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Platzhalter allgemein', N'Zeigt die allgemeinen Platzhalter zur Verwendung in Dokumentvorlagen an', N'vorlageeinrichten.htm', N'Platzhalter', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Platzhalter E-Mails', N'Zeigt die Platzhalter zur Verwendung in E-Mail-Vorlagen an', N'email.htm', N'platzhalteremails', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Platzhalter Zwangsvollstreckung', N'Zeigt die Platzhalter zur Verwendung in Dokumentvorlagen der Zwangsvollstreckung an', N'vorlageeinrichten.htm', N'platzhalterzv', 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Postausgangsordner', N'Gibt an, in welchem Outlook-Ordner ungesendete E-Mails zu finden sind (ntig fr "Letzte E-Mail senden und drucken")', N'email.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Programmfunktionen (eigene)', N'Tabelle mit benutzerdefinierten Abfragen', N'eigene.htm', N'ProgrammfunktionenExt', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 90, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Programmfunktionen (System)', N'Verwaltung der zum System gehrenden Programmfunktionen und der Mens. Wird mit jedem Update wiederhergestellt.', N'cockpit.htm', N'Programmfunktionen', 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 80, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Rechnung', N'Erstellung einer Rechnung nebst Abrechnung und Auslagen mit Mglichkeit zur Einfgung und Erstellung einer Rechnung mit Word', N'rechnungen.htm', Null, 1, 1, 1, 0, Null, 0, 4, N'Konto', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Rechnungen', N'Liste aller Rechnungen', N'rgnr.htm', N'dbo.Rechnungen()', 0, 0, 0, 0, N'Beleg DESC, Nr DESC', 0, 8, N'Fibu', 0, 40, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Rechnungskonten', N'Liste der fr die Rechnungstatbestnde verwendeten Konten der Finanzbuchhaltung', N'KG2021.htm', Null, 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Rechnungstatbestandsstatistik', N'Auswertung der erstellten Rechnungen', N'rechnungen.htm', N'Rechnungstatbestandsstatistik()', 0, 0, 0, 0, Null, 0, 0, Null, 0, 55, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Rechnungtatbestnde', N'Anzeige und Bearbeitung der in Rechnungen zu verwendenden Tatbestnde', N'rgtbe.htm', N'g_tbe', 0, 0, 0, 0, N'Sortierung', 0, 1, N'Stammdaten', 0, Null, 0, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Route googeln', N'Ermittelt mit Hilfe von Google-Maps die Route von der Adresse des aktiven Unternehmens zur ausgewhlten Adresse', N'adressen.htm', Null, 0, 1, 0, 0, Null, 0, 0, N'Adressen', 0, 45, Null, Null, Null, Null, Null, Null, N'Internet', Null
UNION SELECT N'Runde Geburtstage von Mandanten', N'50., 60., 70., 75., 80., 85., 90. und hhere Geburtstage von Mandanten (und anderen Beteiligten des eigenen Lagers) in den nchsten 12 Monaten', N'geburtstage.htm', N'GeburtstageMandantenRund', 0, 0, 0, 0, N'Feier', 0, 3, N'Adressen', 0, 31, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Sachgebiete', N'Liste der zur Auswahl stehenden Sachgebiete', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Scannen zur Akte', N'ffnet den Scan-Dialog und speichert den Scan zur aktuellen Akte', N'scan.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Datei', 0, 76, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Serienbrief', N'Word-Serienbrief an mehrere auszuwhlende Beteiligte einer Akte', N'serienbrief.htm', Null, 1, 1, 1, 0, Null, 1, 0, N'Datei', 0, 75, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Serienfaktura', N'Bucht und druckt mehrere Rechnungen in einem Arbeitsschritt', N'rechnungen.htm', Null, 1, 0, 0, 0, Null, 1, 6, Null, 0, Null, Null, Null, Null, Null, Null, N'nur', Null, Null
UNION SELECT N'Serienfax', N'Erstellt einen Briefbogen mit den Namen und Faxnummern der ausgewhlten Beteiligten', N'serienfax.htm', Null, 1, 1, 0, 0, Null, 0, 4, Null, 0, 80, Null, Null, Null, Null, 1, N'nein', Null, Null
UNION SELECT N'Serienrechnungen', N'Tabelle mit Rechnungen, die fr Erstellung als Seriendokument vorgesehen sind', N'rechnungen.htm', Null, 0, 0, 0, 0, Null, 0, 4, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Setup-Assistent', N'Fhrt durch die Installation, Konfiguration und Aktualisierung des Programms (gesonderte Anwendung)', N'setup.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Setup', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'SQL-Abfrage', N'Zeigt das Ergebnis einer direkt eingegebenen SQL-Abfrage an. Setzt SQL-Kenntnisse voraus.', N'query.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 40, Null, Null, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'SQL-Anweisung', N'Ausfhrbare Anweisung an die Datenbank (Transact-SQL)', N'query.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'StammExt', 0, 45, Null, Null, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'Stammverzeichnis', N'ffnet das Stamm (=Arbeits-) verzeichnis im Windows-Explorer mit Zugang zu allen a-jur-Unterverzeichnissen', N'ordner.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Datei', 0, 25, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Standardbeteiligungstypen', N'Zuordnung der benutzerdefinierten Beteiligungstypen zu bestimmten vom System verwendeten Beteiligungstypen', N'stammdaten.htm', N'Standardbtypen', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Standardfrist(en) eintragen', N'Trgt aufgrund eines bestimmten Ereignisses eine oder mehere Fristen in den Terminkalender ein', N'termine.htm', Null, 1, 0, 0, 0, Null, 0, 3, N'Termin', 0, 30, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Taschenrechner', N'Taschenrechner mit RVG- und GKG-Funktion', N'taschenrechner.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 15, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Ttigkeitsnachweis', N'zeitlich erfasste Ttigkeiten in einer Akte', N'zeiterfassung.htm', N'ErfassteZeit', 1, 0, 0, 0, N'Zeit', 0, 10, N'Zeiterfassung', 0, 20, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Ttigkeitsnachweis Adresse', N'Zeitlich erfasste Ttigkeiten in Akten, an denen die Adresse beteiligt ist', N'zeiterfassung.htm', N'ErfassteZeitAdresse', 0, 1, 0, 0, N'Zeit', 0, 10, N'Zeiterfassung', 0, 70, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Ttigkeitsnachweis Adressgruppe', N'Zeitlich erfasste Ttigkeiten in Akten, an denen Mitglieder der Adressgruppe beteiligt sind', N'zeiterfassung.htm', N'ErfassteZeitAdressgruppe', 0, 1, 0, 0, Null, 0, 10, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Ttigkeitsnachweis Aktengruppe', N'Erfasste Zeit nach Aktengruppe', N'zeiterfassung.htm', N'ErfassteZeit', 1, 0, 0, 0, Null, 0, 10, N'Gruppe', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Ttigkeitsnachweis graphisch', N'Anzeige der erfassten Zeiten im Terminkalender', N'zeiterfassung.htm', Null, 0, 0, 0, 0, N'Zeit', 0, 10, N'Zeiterfassung', 0, 50, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Ttigkeitsnachweis nach Datum', N'Ttigkeitsnachweis nach Akte, Datum, Sachbearbeiter und Zeit', N'zeiterfassung.htm', N'ErfassteZeitTagAkte', 0, 0, 0, 0, Null, 0, 10, N'Zeiterfassung', 0, 30, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Termine', N'Alle unerledigten bevorstehenden Termine in Tabellenansicht', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, Null, 0, 5, Null, Null, Null, Null, Null, N'nein', N'Fenster', Null
UNION SELECT N'Termine Akte tabellarisch', N'Alle Termine der ausgewhlten Akte in tabellarischer Form', N'termine.htm', N'TermineAkte', 1, 0, 0, 0, Null, 0, 13, Null, 0, 20, Null, Null, Null, Null, Null, N'nein', N'Tabelle', Null
UNION SELECT N'Termin-Hauptkategorien', N'bergeordnete Terminkategoriene', N'termine.htm', N'Terminhauptkategorien', 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, 1, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Terminkalender', N'Eingabe, Bearbeitung und Anzeige von Terminen', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, N'Termin', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Terminkalender Akte', N'Zeigt den Terminkalender mit den Terminen einer bestimmten Akte', N'termine.htm', Null, 1, 0, 0, 0, Null, 0, 13, Null, 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Terminkategorien', N'Kategorien fr Termine, Fristen und Wiedervorlagen nebst deren graphischen Gestaltung im Terminkalender', N'kalender.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, 1, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Terminserie eintragen', N'Die Funktion wurde umbenannt in "Standardfrist(en) eintragen"', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, Null, 0, 55, Null, Null, Null, Null, Null, N'nein', Null, Null
UNION SELECT N'Textbaustein einfgen', N'Fgt den Inhalt einer auszuwhlenden Textdatei in das aktive Dokument ein', N'bausteine.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 1, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Textbaustein kopieren', N'Kopiert einen auszuwhlenden Textbaustein in die Zwischenablage, damit er in anderen Anwendungen (z.B. E-Mail) verwendet werden kann', N'word.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Textbausteine', N'Dateiordner mit den Word-Textbausteinen', N'bausteine.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Datei', 0, 35, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Tilgungsbestimmungen', N'Anweisungen zur Verrechnung bestimmter Gutschriften auf bestimmte Schuldpositionen', N'kontoberechnung.htm', N'Tilgungsbestimmungen1', 1, 1, 1, 0, Null, 0, 4, N'Kontoauswertung', 0, 80, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Tilgungsplan', N'Errechnet und plant einen Ausgleich des Beteiligtenkontos durch regelmige Zahlungen.', N'konto.htm', Null, 1, 1, 1, 0, Null, 0, 4, N'Konto', 0, 57, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'berweisung', N'Obsolte - Erfassung von berweisungsauftrgen', N'dta.htm', N'Zahlungsverkehr', 0, 0, 1, 0, Null, 1, 0, N'Konto', 0, 90, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Uhrenvergleich', N'Vergleicht und synchronisiert die Systemuhren des lokalen Rechners und des Servers', N'zeiterfassung.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, 15, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Umsatz', N'Liste aller Umstze mit Angaben zu den Sachbearbeitern', N'umsatz.htm', Null, 0, 0, 0, 0, Null, 0, 8, N'Fibu', 0, 25, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Umsatzsteuerstze', N'Anzeige und Bearbeitung der unterschiedlichen Umsatzsteuerkategorien', N'stammdaten.htm', N'fibu_ustkategorie', 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Ungerahmte Konten', N'Konten der Finanzbuchhaltung, die wegen fehlerhafter Einrichtung nicht im Kontenrahmen enthalten sind', N'kontenrahmen.htm', N'FibukontenUngerahmt', 0, 0, 0, 0, Null, 0, 8, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Unplausible Salden', N'Beteiligtenkonten mit negativem Saldo (entsprechend Guthaben)', N'konto.htm', N'UnplausibleBekoSalden', 0, 0, 0, 0, Null, 1, 5, N'Konto', 0, 70, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Unteradressen', N'Spezielle Anreden, Durchwahlen, E-Mails, Telefax usw.', N'beteiligung2.htm', N'Unteradressen()', 0, 0, 0, 0, Null, 0, 3, Null, 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Unternehmen', N'Getrennte Unternehmenseinheiten fr Zwecke eigener Gewinnermittlung und steuerlicher Behandlung', N'stammdaten.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Unvollstndige Buchungen', N'Buchungsstze, die nicht wenigstens zwei Einzelbuchungen enthalten', N'fibu.htm', N'fibu_unvollstaendigebuchungen', 0, 0, 0, 1, Null, 0, 8, N'FibuProbleme', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Urkundenbeteiligte', N'Alle Beteiligten an erfassten Urkunden', N'notar.htm', Null, 0, 0, 0, 0, Null, 0, 4, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Urkundenrolle', N'Im Entwurfsstadium befindliche Programmfunktion zur Erfassung von Notarurkunden', N'notar.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Verbindungen', N'Zeigt die aktuell auf der Datenbank angemeldeten Benutzer an.', N'lizenz.htm', N'master.dbo.sysprocesses WHERE (dbid = DB_ID()) GRO', 0, 0, 0, 0, Null, 1, 0, Null, 0, Null, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT N'Verfahrensrollen', N'Auswahl der verschiedenen Verfahrensrollen mit Deklination', N'worddokumenterstellen.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Vorlagenordner', N'ffnet den Windows-Dateiordner mit den Dokumentvorlagen', N'ordner.htm', Null, 0, 0, 0, 0, Null, 0, 1, N'Datei', 0, 30, Null, Null, Null, Null, Null, Null, N'Ordner', Null
UNION SELECT N'Whrungen', N'Anzeige und Bearbeitung der Whrungen', N'stammdaten.htm', N'waehrungen', 0, 0, 0, 0, N'Bezeichnung', 0, 1, N'Stammdaten', 0, Null, Null, Null, Null, Null, Null, Null, N'Tabelle', Null
UNION SELECT N'Webordner', N'ffnet ggf. den in der Aktenverwaltung angegebenen Aktenordner im Internet', N'akten.htm', Null, 1, 0, 0, 0, Null, 0, 2, N'Akten', 0, 96, Null, Null, Null, Null, Null, Null, N'Internet', Null
UNION SELECT N'Wiedervorlage notieren', N'Trgt fr den Sachbearbeiter der aktuellen Akte eine Wiedervorlage in den Terminkalender ein', N'termine.htm', Null, 1, 0, 0, 0, Null, 0, 13, N'Termin', 0, 40, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Wiedervorlagen', N'Alle flligen Wiedervorlagen', N'termine.htm', Null, 0, 0, 0, 0, Null, 0, 13, Null, 0, 6, Null, Null, Null, Null, Null, N'nein', N'Tabelle', Null
UNION SELECT N'Word-Anwendung', N'Explizite Festlegung der zu verwendenden Microsoft-Word-Anwendung', N'word.htm', Null, 0, 0, 0, 0, Null, 0, 1, Null, 0, Null, Null, Null, Null, Null, Null, N'nein', Null, Null
UNION SELECT N'Word-Dokument', N'Erstellt aus einer Dokumentvorlage ein neues Word-Dokument mit den Daten des aktuellen Beteiligten, Akte und Adresse', N'worddokumenterstellen.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Datei', 0, 10, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Zahlungsantrag', N'Konvertiert ein Beteiligtenkonto in einen Zahlungsantrag und fgt diesen in das aktuelle Dokument ein', N'konto.htm', Null, 1, 1, 1, 0, Null, 0, 5, N'Kontoauswertung', 0, 17, Null, Null, Null, Null, Null, Null, N'Word', Null
UNION SELECT N'Zahlungsverkehr', N'Tabellarische Anzeige der anstehenden berweisungsauftrge mit Mglichkeit zur Erstellung einer DTA-Diskette', N'dta.htm', Null, 0, 0, 0, 0, Null, 0, 0, Null, 0, 50, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Zeiterfassung', N'Erfassung von Ttigkeiten in einer Akte inbes. fr Zwecke der Abrechnung', N'zeiterfassung.htm', Null, 0, 0, 0, 0, Null, 0, 10, N'Zeiterfassung', 0, 10, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Zinsberechnung', N'Errechnung von Zinsen,auch mit Basiszins und Ausgabe in ein Word-Dokument', N'zinsrechner.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 20, Null, Null, Null, Null, Null, Null, N'Fenster', Null
UNION SELECT N'Zoom zurcksetzen', N'Setzt die gespeicherten Zoom-Faktoren aller Fenster zurck', N'zoom.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Setup', 0, 30, Null, Null, Null, Null, Null, Null, N'Einstellungen', Null
UNION SELECT N'Zubehr', N'ffnet eine gesonderte Anwendung unter bergabe der aktuellen Auswahl', N'zubehoehr.htm', Null, 0, 0, 0, 0, Null, 0, 0, N'Extra', 0, 75, Null, Null, Null, Null, Null, Null, N'Extern', Null
UNION SELECT N'Zwangsvollstreckung', N'Erstellung von Schriftstcken in der Zwangsvollstreckung nebst Verbuchung', N'zv.htm', Null, 1, 1, 1, 0, Null, 0, 5, N'Konto', 0, 30, Null, Null, Null, Null, Null, Null, N'Fenster', Null
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '09.03.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '09.03.1970', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '16.07.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '16.07.1970', 104), .07)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '18.11.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '18.11.1970', 104), .065)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '03.12.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '03.12.1970', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.04.1971', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.04.1971', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '14.10.1971', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '14.10.1971', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '23.12.1971', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '23.12.1971', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '25.02.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '25.02.1972', 104), .03)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '09.10.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '09.10.1972', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '03.11.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '03.11.1972', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.12.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.12.1972', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '12.01.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '12.01.1973', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '04.05.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '04.05.1973', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.06.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.06.1973', 104), .07)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '25.10.1974', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '25.10.1974', 104), .065)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '20.12.1974', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '20.12.1974', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '07.02.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '07.02.1975', 104), .055)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '07.03.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '07.03.1975', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '23.05.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '23.05.1975', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '15.08.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '15.08.1975', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '12.09.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '12.09.1975', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '16.12.1977', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '16.12.1977', 104), .03)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '30.03.1979', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '30.03.1979', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '13.07.1979', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '13.07.1979', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.11.1979', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.11.1979', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '29.02.1980', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '29.02.1980', 104), .07)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '02.05.1980', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '02.05.1980', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '27.08.1982', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '27.08.1982', 104), .07)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '22.10.1982', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '22.10.1982', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '03.12.1982', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '03.12.1982', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '18.03.1983', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '18.03.1983', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '29.06.1984', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '29.06.1984', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '16.08.1985', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '16.08.1985', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '07.03.1986', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '07.03.1986', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '23.01.1987', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '23.01.1987', 104), .03)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '04.12.1987', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '04.12.1987', 104), .025)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.1988', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.1988', 104), .03)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '26.08.1988', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '26.08.1988', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '20.01.1989', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '20.01.1989', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '21.04.1989', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '21.04.1989', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '30.06.1989', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '30.06.1989', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '06.10.1989', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '06.10.1989', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.02.1991', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.02.1991', 104), .065)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '16.08.1991', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '16.08.1991', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '20.12.1991', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '20.12.1991', 104), .08)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '17.07.1992', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '17.07.1992', 104), .0875)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '15.09.1992', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '15.09.1992', 104), .0825)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '05.02.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '05.02.1993', 104), .08)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '19.03.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '19.03.1993', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '23.04.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '23.04.1993', 104), .0725)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '02.07.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '02.07.1993', 104), .0675)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '10.09.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '10.09.1993', 104), .0625)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '22.10.1993', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '22.10.1993', 104), .0575)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '18.02.1994', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '18.02.1994', 104), .0525)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '15.04.1994', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '15.04.1994', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '13.05.1994', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '13.05.1994', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '31.03.1995', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '31.03.1995', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '25.08.1995', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '25.08.1995', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '15.12.1995', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '15.12.1995', 104), .03)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '19.04.1996', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '19.04.1996', 104), .025)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.05.1999', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.05.1999', 104), .0195)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2000', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2000', 104), .0268)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.05.2000', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.05.2000', 104), .0342)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.09.2000', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.09.2000', 104), .0426)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.09.2001', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.09.2001', 104), .0362)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2002', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2002', 104), .0271)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '04.04.2002', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '04.04.2002', 104), .0257)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2002', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2002', 104), .0247)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2003', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2003', 104), .0197)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2003', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2003', 104), .0122)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2004', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2004', 104), .0114)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '03.09.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '03.09.1970', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '12.03.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '12.03.1970', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '04.01.1971', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '04.01.1971', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '10.09.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '10.09.1972', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '11.03.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '11.03.1972', 104), .04)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '12.01.1972', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '12.01.1972', 104), .045)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.12.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.12.1973', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '05.04.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '05.04.1973', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '06.01.1973', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '06.01.1973', 104), .07)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '02.07.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '02.07.1975', 104), .055)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '03.07.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '03.07.1975', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '09.12.1975', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '09.12.1975', 104), .035)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '11.01.1979', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '11.01.1979', 104), .06)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '05.02.1980', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '05.02.1980', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '12.03.1982', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '12.03.1982', 104), .05)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2004', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2004', 104), .0113)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2005', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2005', 104), .0121)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2005', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2005', 104), .0117)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2006', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2006', 104), .0137)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2006', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2006', 104), .0195)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2007', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2007', 104), .027)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2007', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2007', 104), .0319)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2008', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2008', 104), .0332)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2008', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2008', 104), .0319)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2009', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2009', 104), .0162)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2009', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2009', 104), .0012)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2010', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2010', 104), .0012)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2010', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2010', 104), .0012)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2011', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2011', 104), .0037)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2012', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2012', 104), .0012)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2013', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2013', 104), -.0013)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.03.1970', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.03.1970', 104), .075)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2013', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2013', 104), -.0038)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2014', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2014', 104), -.0063)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2014', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2014', 104), -.0073)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2015', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2015', 104), -.0083)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2016', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2016', 104), -.0088)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2023', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2023', 104), .0162)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.07.2023', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.07.2023', 104), .0312)
IF NOT EXISTS (SELECT * FROM basiszins WHERE datum=CONVERT(datetime, '01.01.2024', 104))
INSERT INTO dbo.basiszins (datum, zinssatz) VALUES (CONVERT(datetime, '01.01.2024', 104), .0362)
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM KontoKaro) INSERT INTO KontoKaro(ergebnis, vorzeichen, Bezeichnung)
SELECT 0, -1, N'Verbindlichkeiten'
UNION SELECT 0, 1, N'Guthaben'
UNION SELECT 1, -1, N'Einnahmen'
UNION SELECT 1, 1, N'Ausgaben'
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 1)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (1, N'Direkteingabe', N'Betrag', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 2)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (2, N'Zehnteltabelle', N'Streitwert', N'Zehntel', N'Tabelle')
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 3)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (3, N'Multiplikation', N'Einheitspreis', N'Anzahl', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 4)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (4, N'Auslagenpauschale', N'Gebhren', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 5)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (5, N'Dokumentenpauschale', Null, N'Anzahl', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 6)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (6, N'Nettozahlung', N'Betrag', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 7)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (7, N'System', Null, Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 8)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (8, N'Tabelle', N'Streitwert', N'Satz', N'Tabelle')
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 9)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (9, N'Hebegebhr', N'Betrag', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 10)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (10, N'Betragsrahmen', N'Betrag', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 11)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (11, N'Quotenrahmen', N'Streitwert', N'Satz', N'Tabelle')
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 12)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (12, N'Kappung  15 Abs. 3 RVG', N'Betrag', Null, Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 13)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (13, N'QuoteVomNettoGesamtbetrag', N'Betrag', N'Satz', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 14)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (14, N'Addition', N'Betrag', N'Betrag', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 15)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (15, N'Prozentsatz', N'Betrag', N'Prozent', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 16)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (16, N'Division', N'Zhler', N'Nenner', Null)
IF NOT EXISTS (SELECT * FROM g_formeln WHERE id= 17)
INSERT INTO dbo.g_formeln (id, Formel, p1, p2, ptxt) VALUES (17, N'Zwanzigsteltabelle', N'Streitwert', N'Zwangzigstel', Null)
GO

UPDATE g_formeln SET pTxt = Null WHERE id<>2 and id<>8 and id<>11
GO

UPDATE Felder SET System = 0 WHERE System Is Null
GO


SET ANSI_NULLS ON
DELETE FROM felder WHERE System=1 OR tabelle='edaStamm'
IF NOT EXISTS (SELECT * FROM felder WHERE System=1 OR tabelle='edaStamm') INSERT INTO felder(Tabelle, Feld, RowSource, Beschriftung, Kommentar, System)
SELECT N'Adressen', N'Bank', N'bisherige', Null, Null, 1
UNION SELECT N'Adressen', N'Bankleitzahl', N'bisherige', Null, Null, 1
UNION SELECT N'Adressen', N'Geburtsort', N'bisherige', Null, Null, 1
UNION SELECT N'Adressen', N'Land', N'bisherige', Null, Null, 1
UNION SELECT N'Adressen', N'plzort', N'SELECT * FROM Orte', Null, Null, 1
UNION SELECT N'Adressen', N'plzortpostfach', N'bisherige', Null, Null, 1
UNION SELECT N'Adressen', N'Titel', N'SELECT * FROM titel', Null, Null, 1
UNION SELECT N'Akten', N'anleger', N'bisherige', Null, Null, 1
UNION SELECT N'Akten', N'DateiSpeichernAls', N'bisherige', N'Datei Speichern als', N'Schema fr die Generierung von Word-Dateinamen in dieser Akte', 1
UNION SELECT N'akten', N'dokumentvorlage', N'bisherige', Null, Null, 1
UNION SELECT N'Akten', N'EMailSpeichernAls', N'bisherige', N'E-Mails speichern als', N'Schema fr die Generierung von E-Mail-Dateinamen in dieser Akte', 1
UNION SELECT N'Akten', N'sachgebietsid', N'SELECT TOP 100 PERCENT id,Sachgebiet FROM dbo.Sachgebiete ORDER BY Sachgebiet', N'Sachgebiet', Null, 1
UNION SELECT N'Akten', N'Typ', N'SELECT * FROM aktentypen', Null, Null, 1
UNION SELECT N'akten', N'userdef', N'bisherige', Null, Null, 1
UNION SELECT N'Aktenbeteiligte', N'SRg', Null, N'Serienrechnung', N'Vormerkt als Rechnung, die als Seriendokument erstellt wird', 1
UNION SELECT N'alle', N'adressid', N'SELECT * FROM cboAdressen', N'Adresse', N'Adressverwaltung', 1
UNION SELECT N'alle', N'akquisiteursid', N'SELECT * FROM cboMitarbeiter2', N'Akquisiteur', Null, 1
UNION SELECT N'alle', N'ASPVBLZ', Null, N'Bankleitzahl', Null, 1
UNION SELECT N'alle', N'ASPVKTO', Null, N'Kontonummer', Null, 1
UNION SELECT N'alle', N'ASPVRF', Null, N'Rechtsform', Null, 1
UNION SELECT N'alle', N'BBIC', Null, N'BIC', N'Internationale Bankkennung (nur i.V.m. IBAN)', 1
UNION SELECT N'alle', N'Berufsbezeichnung', N'bisherige', Null, N'Rechtsanwalt, Rechtsanwltin, Referendar', 1
UNION SELECT N'alle', N'BIBAN', Null, N'IBAN', N'Internationale Banc Account Number', 1
UNION SELECT N'alle', N'BIBANBLZ', Null, N'Bankleitzahl', N'8-stellige Bankleitzahl in deutscher IBAN', 1
UNION SELECT N'alle', N'BIBANKTO', Null, N'Kontonummer', N'10-stellige Kontonummer in deutscher IBAN', 1
UNION SELECT N'alle', N'BIBANLKZ', Null, N'IBAN-Lnderkennzeichen', N'2-stellige Lnderkennung', 1
UNION SELECT N'alle', N'BIBANPC', Null, N'IBAN-Prfcode', N'3-stelliger Prfcode', 1
UNION SELECT N'alle', N'BIBANREST', Null, N'IBAN-DE-Restbereich', N'Ergnzungsbereich fr IBAN mit auslndischem Lnderkennzeichen', 1
UNION SELECT N'alle', N'bkbid', Null, N'Buchungs-Id', Null, 1
UNION SELECT N'alle', N'BKTOZO', Null, N'Kontozuordnung', Null, 1
UNION SELECT N'alle', N'EgvpExport', Null, N'EGVP-Export', N'EGVP-Exportverzeichnis Posteingang', 1
UNION SELECT N'alle', N'EgvpImport', Null, N'EGVP-Import', N'EGVP-Importverzeichnis Fachdaten', 1
UNION SELECT N'alle', N'Email', Null, N'E-Mail-Adresse', Null, 1
UNION SELECT N'alle', N'GvAl', N'bisherige', N'Ausl. Kz.', N'Land des gesetzlichen Vertreters (sofern Ausland)', 1
UNION SELECT N'alle', N'GvFu', N'bisherige', N'Funktion', N'Stellung des gesetzlichen Vertreters', 1
UNION SELECT N'alle', N'GvN', Null, N'Vor- und Zuname', N'Vor- und Nachname des gesetzlichen vertreters', 1
UNION SELECT N'alle', N'GvO', N'bisherige', N'Ort', N'Ort des gesetzlichen Vertreters', 1
UNION SELECT N'alle', N'GvPLZ', Null, N'PLZ', N'Postleitzahl des gesezlichen Vertreters', 1
UNION SELECT N'alle', N'GvSN', Null, N'Strasse, Nr', N'Strasse, Hausnummer des gesetzlichen Vertreters', 1
UNION SELECT N'alle', N'GwR', N'SELECT * FROM GwRisikostufen ORDER BY id', N'Risikostufe', N'Gem Geldwschegesetz', 1
UNION SELECT N'alle', N'Honorarstufe', N'SELECT Stufe FROM Honorarstufen', Null, Null, 1
UNION SELECT N'alle', N'mitarbeiterid', N'SELECT * FROM cboMitarbeiter2', N'Mitarbeiter', Null, 1
UNION SELECT N'alle', N'NMAUSK', Null, N'Auskunftskosten', N'Weitere, nach MB-Antrag angefallene Auskunftskosten', 1
UNION SELECT N'alle', N'NMSKOBET', Null, N'Sonstige Kosten', Null, 1
UNION SELECT N'alle', N'NMSKOBG', N'bisherige', N'Begrndung Sonstige Kosten', Null, 1
UNION SELECT N'alle', N'ok', Null, N'abgerechnet', N'gibt an, ob die betreffende Zeitbuchung bereits abgerechnet ist', 1
UNION SELECT N'alle', N'PTBET', Null, N'Porto / Telefon', Null, 1
UNION SELECT N'alle', N'Rechtsform', N'bisherige', Null, Null, 1
UNION SELECT N'alle', N'sachbearbeiterid', N'SELECT * FROM cboMitarbeiter2', N'Sachbearbeiter', Null, 1
UNION SELECT N'alle', N'Sachverhalt', Null, Null, N'ausfhrliche Darstellung', 1
UNION SELECT N'alle', N'StandardBcc', N'Select email from Mitarbeiter where email<>''''', N'Standard-Bcc', N'Standardmige "Blind Copy" beim Versand von E-Mails', 1
UNION SELECT N'alle', N'unternehmensid', N'SELECT id, Bezeichnung FROM unternehmen', N'Unternehmen', Null, 1
UNION SELECT N'alle', N'ustid', N'cboUstsaetze', N'Umsatzsteuer', Null, 1
UNION SELECT N'Beteiligungstypen', N'Archiv', Null, Null, N'Gibt an, ob die betreffende Adresse auch ber die Aktenablage hinaus archiviert werden soll', 1
UNION SELECT N'Beteiligungstypen', N'lagerid', N'SELECT lager_id,lager FROM lager', N'Lager', N'Lager,in dem der Beteiligte steht', 1
UNION SELECT N'Bibliothek1', N'Artid', N'SELECT id,art FROM bibart', N'Art', Null, 1
UNION SELECT N'Bibliothek1', N'Erscheinungsort', N'SELECT DISTINCT Erscheinungsort FROM dbo.Bibliothek ORDER BY Erscheinungsort', Null, Null, 1
UNION SELECT N'Bibliothek1', N'Medienid', N'SELECT * FROM BibMedien', N'Medium', Null, 1
UNION SELECT N'Bibliothek1', N'sachgebietsid', N'SELECT id,sachgebiet FROM BibSachgebiete', N'Sachgebiet', Null, 1
UNION SELECT N'Bibliothek1', N'Status', N'bisherige', Null, Null, 1
UNION SELECT N'Bibliothek2', N'sachgebietsid', N'SELECT id,sachgebiet FROM BibSachgebiete', N'Sachgebiet', Null, 1
UNION SELECT N'BibSachgebiete', N'signatursid', N'SELECT * FROM BibSignaturen', N'Signatur', Null, 1
UNION SELECT N'EdaMahn', N'NMSKOBET', Null, N'Sonstige Kosten', N'Betrag der sonstigen Kosten', 1
UNION SELECT N'EdaMahn', N'NMSKOBG', N'bisherige', N'Begrndung', N'Art der "sonstigen Kosten"', 1
UNION SELECT N'EdaMahn', N'PTBET', Null, N'Porto / Telefon', Null, 1
UNION SELECT N'EdaStamm', N'ASPVAL', Null, N'Land', N'nur bei Sitz im Ausland', 1
UNION SELECT N'EdaStamm', N'ASPVANR', N'SELECT wert, Text FROM EdaItemdata WHERE Id=4', N'Anrede', Null, 1
UNION SELECT N'EdaStamm', N'ASPVB', Null, N'Bank', N'Bank fr Zahlungen des Antragsgegners', 1
UNION SELECT N'EdaStamm', N'ASPVBLZ', Null, N'Bankleitzahl', N'BLZ fr Zahlungen des Antragsgegners', 1
UNION SELECT N'EdaStamm', N'ASPVKTO', Null, N'Kontonummer', N'Konto fr Zahlungen des Antragsgegners', 1
UNION SELECT N'EdaStamm', N'ASPVMBAUSL', Null, N'Auslagen', Null, 1
UNION SELECT N'EdaStamm', N'ASPVMWST', Null, N'Umsatzsteuersatz', N'nur wenn abweichend vom normalen MwSt-Satz', 1
UNION SELECT N'EdaStamm', N'ASPVN', Null, N'Name', N'vollstndige Bezeichnung des Prozessbevollmchtigten', 1
UNION SELECT N'EdaStamm', N'ASPVO', Null, N'Ort', Null, 1
UNION SELECT N'EdaStamm', N'ASPVPLZ', Null, N'Postleitzahl', Null, 1
UNION SELECT N'EdaStamm', N'ASPVSH', Null, N'Strae, Nr.', Null, 1
UNION SELECT N'EdaStamm', N'EDAID', Null, N'Dateiname (3-stellig)', N'vergeben durch das Mahngericht', 1
UNION SELECT N'EdaStamm', N'EdaIdMax', Null, N'Nummernkreis-Max', N'Obergrenze der durch das Mahngericht zugewiesenen, lfd. Dateinummer', 1
UNION SELECT N'EdaStamm', N'EdaIdMin', Null, N'Nummernkreis-Min', N'Untergrenze der durch das Mahngericht zugewiesenen, lfd. Dateinummer', 1
UNION SELECT N'EdaStamm', N'EDAIDNr', Null, N'Lfd. Datei-Nr', N'wird vom Programm zwischen Nummernkreis-Min und -Max automatisch hochgezhlt', 1
UNION SELECT N'EdaStamm', N'EKEZI', Null, N'Kennziffer', N'vergeben durch das Mahngericht, Angabe nur zulssig, wenn nicht in AA-Satz (EDA-KEZI) enthalten!', 1
UNION SELECT N'EdaStamm', N'Kezi', Null, N'Kennziffer', N'Wird vom Mahngericht an den Antragstellervertreter vergeben', 1
UNION SELECT N'EdaStamm', N'MGO', N'SELECT Ort FROM AdressenEGvP', N'Mahngerichts-Ort', N'Es muss ein Ort aus der Liste ausgewhlt werden', 1
UNION SELECT N'EdaStamm', N'MGPLZ', Null, N'Mahngerichts-PLZ', Null, 1
UNION SELECT N'Felder', N'Tabelle', N'SELECT ''alle'' AS Tabelle UNION SELECT TOP 100 PERCENT name AS Tabelle FROM dbo.sysobjects WHERE (xtype = ''U'') ORDER BY Tabelle', Null, Null, 1
UNION SELECT N'fibu_konten', N'oberkontoid', N'SELECT id,Bezeichnung FROM fibu_Oberkonten', N'Oberkonto', Null, 1
UNION SELECT N'fibu_konten', N'obs', Null, N'Obsolet', N'Gibt an, ob das Konto noch fr Neueingaben verwendet werden soll', 1
UNION SELECT N'fibu_konten', N'ustvorschlag', N'SELECT id,Klartext FROM cboUstsaetze', N'USt-Vorschlag', Null, 1
UNION SELECT N'fibu_oberkonten', N'kontotypid', N'SELECT id,Bezeichnung FROM fibu_kontotypen', N'Kontotyp', Null, 1
UNION SELECT N'fibu_ukonten', N'Kontoid', N'SELECT id,Bezeichnung FROM fibu_konten', N'Konto', Null, 1
UNION SELECT N'fibu_ukonten', N'uid', N'select id,bezeichnung FROM unternehmen', N'Unternehmen', Null, 1
UNION SELECT N'g_tbe', N'formelid', N'SELECT * FROM g_formeln', N'Formel', N'Formel,nach der sich die Gebhr berechnet', 1
UNION SELECT N'g_tbe', N'kontoid', N'SELECT id,Bezeichnung FROM fibu_konten ORDER BY bezeichnung', N'Konto', N'Konto der Finanzbuchhaltung,mit dem die Gebhr gebucht wird', 1
UNION SELECT N'g_tbe', N'p1', Null, N'Parameter 1', N'Vorschlag fr den ersten Parameter', 1
UNION SELECT N'g_tbe', N'p2', Null, N'Parameter 2', N'Vorschlag fr den zweiten Parameter', 1
UNION SELECT N'g_tbe', N'pTxt', N'SELECT ''RVG04'' AS Tabelle
UNION
SELECT ''PKH04'' AS Tabelle
UNION
SELECT DISTINCT Tabelle
FROM dbo.HonorarFormeln
UNION
SELECT DISTINCT Tabelle
FROM dbo.HonorarTabelle', N'Tabelle', N'Bei: Tabellentatbestnden: Vorschlag der anwendbaren Tabelle', 1
UNION SELECT N'g_tbe', N'V1', Null, N'BRAGO', N'Anwendbar auf Rechnungen nach der Gebhrenordnung fr Rechtsanwlte von 1994', 1
UNION SELECT N'g_tbe', N'V2', Null, N'RVG2012', N'Anwendbar auf Rechnungen nach dem Rechtsanwaltsvergtungsgesetz von 2012', 1
UNION SELECT N'g_tbe', N'V3', Null, N'RVG2013', N'Anwendbar auf Rechnungen nach dem Rechtsanwaltsvergtungsgesetz ab 01.08.2013', 1
UNION SELECT N'g_tbe', N'veraltet', Null, N'(obsolet)', N'Dieses Fled wird nicht mehr verwendet', 1
UNION SELECT N'g_tbe', N'Version', N'bisherige', Null, N'Gibt an, fr welche Version der
Rechnungstatbestand vorgesehen ist.', 1
UNION SELECT N'KontoidKonvertierung', N'KontoIdLokal', Null, Null, N'Konto der Finanzbuchhaltung, das an die Stelle des bei der Installation angenommenen Kontos treten soll', 1
UNION SELECT N'Mitarbeiter', N'Berufsbezeichnung', N'bisherige', Null, Null, 1
UNION SELECT N'Mitarbeiter', N'Kontakt', N'bisherige', Null, N'Angaben zum Sekretariat, Durchwahl o..', 1
UNION SELECT N'Mitarbeiter', N'Konto', N'SELECT * from cboFibuKonten', Null, Null, 1
UNION SELECT N'Mitarbeiter', N'Rechtsanwalt', Null, N'Berufstrger', Null, 1
UNION SELECT N'Mitarbeiter', N'susersname', N'SELECT TOP 100 PERCENT name FROM dbo.sysusers WHERE (status = 14) ORDER BY name', N'Login', Null, 1
UNION SELECT N'Programmfunktionen', N'gap6', N'bisherige', Null, Null, 1
UNION SELECT N'programmfunktionen', N'hilfedatei', N'SELECT DISTINCT hilfedatei FROM programmfunktionen ORDER BY hilfedatei', Null, Null, 1
UNION SELECT N'Programmfunktionen', N'Icon', N'bisherige', Null, Null, 1
UNION SELECT N'Programmfunktionen', N'Kontext', N'select * from kontexte', N'sachlicher Programmbereich', Null, 1
UNION SELECT N'Programmfunktionen', N'parent', N'bisherige', Null, Null, 1
UNION SELECT N'ProgrammfunktionenExt', N'Kontext', N'select * from kontexte', Null, Null, 1
UNION SELECT N'ProgrammfunktionenExt', N'Parent', N'SELECT DISTINCT TOP 100 PERCENT Parent
FROM dbo.ProgrammfunktionenUnion
ORDER BY Parent', Null, N'Gibt an, in welchem Men die Funktion erscheinen soll', 1
UNION SELECT N'qBuchungen', N'abi', N'SELECT Aktenbeteiligte.id,Adressen.Nachname + '','' + Adressen.Vorname AS NameRueck,Adressen.Vollername FROM Aktenbeteiligte INNER JOIN Adressen ON Aktenbeteiligte.adressid = Adressen.id WHERE aktenzeichen = ''#az#'' ORDER BY Nachname,Vorname', N'Beteiligter', N'Zuordnung der Buchung zum angegebenen Beteiligten', 1
UNION SELECT N'qBuchungen', N'Gegenkontoid', N'SELECT TOP 100 PERCENT id,Kontobezeichnung
FROM dbo.qKonten
ORDER BY Kontobezeichnung', N'Gegenkonto', Null, 1
UNION SELECT N'qBuchungen', N'Kontoid', N'SELECT TOP 100 PERCENT id,Kontobezeichnung
FROM dbo.qKonten
ORDER BY Kontobezeichnung', N'Konto', Null, 1
UNION SELECT N'SpezielleFelder', N'aktentypid', N'SELECT * FROM aktentypen', N'Aktentyp', Null, 1
UNION SELECT N'speziellefelder', N'Tabelle', N'SELECT 1 AS i, ''AktenBeteiligteExt'' AS Tabelle
UNION
SELECT 2, ''AktenExt'' ', Null, Null, 1
UNION SELECT N'standardbtypen', N'id', N'SELECT id,Beteiligungstyp FROM Beteiligungstypen ORDER BY Beteiligungstyp', N'Beteiligungstyp', N'benutzerdefinierter Typ,der dem angegebenen Systemtyp entspricht', 1
UNION SELECT N'TerminHauptKategorien', N'StdKatId', N'SELECT id, Kategorie FROM Terminkategorien ', N'Standard', N'Gibt an, welche Terminkategorie nach Auswahl einer Hauptkategorie vorgeschlagen wird', 1
UNION SELECT N'Terminkategorien', N'Grad', Null, Null, N'Abweichung von der Standardschriftgre', 1
UNION SELECT N'Terminkategorien', N'HauptId', N'Select * FROM TerminHauptKategorien', N'Hauptkategorie', N'Termin, Frist oder Wiedervorlage', 1
UNION SELECT N'Terminkategorien', N'Schriftart', Null, Null, N'... mit der der Eintrag im graphischen Terminkalender erscheint.', 1
UNION SELECT N'TerminSerienElemente', N'AbTermin', Null, N'Selbstst. WV?', N'Gibt an, ob der Termin als selbstndige Wiedervorlage eingetragen werden soll', 1
UNION SELECT N'TerminSerienElemente', N'Einheit', N'bisherige', N'Einheit (d, ww, m, q od. yyyy)', N'Zeiteinheit der Fristberechnung (Tage, Wochen, Monate, Quartale oder Jahre). Nur d, ww, m, q oder y angeben.', 1
UNION SELECT N'TerminSerienElemente', N'Einheiten', Null, N'Einheiten (Anzahl)', N'Gibt an, wieviele der angegebenen Zeiteinheiten die Frist ergeben', 1
UNION SELECT N'Terminserienelemente', N'Ereignis', N'bisherige', Null, Null, 1
UNION SELECT N'TerminSerienElemente', N'Kategorienid', N'SELECT id, kategorie FROM terminkategorien', N'Terminkategorie', Null, 1
UNION SELECT N'TerminSerienElemente', N'Terminserienid', N'SELECT id, Ereignis FROM Terminserien', N'Ereignis', N'Ereignis auswhlen, das den Termin auslsen soll', 1
UNION SELECT N'TerminSerienElemente', N'vn', Null, N'Verhalten an Wochenenden (v/n)', N'Wenn der Termin auf ein Wochenende oder Feiertag fallen wrde, wird mit "v" der Tag vorher, mit "n" der Tag nachher notiert.', 1
UNION SELECT N'TerminSerienElemente', N'Wichtigkeit', N'SELECT * FROM Terminwichtigkeiten', Null, Null, 1
UNION SELECT N'UrkundenInfo', N'Notar', N'bisherige', Null, Null, 1
UNION SELECT N'Zahlungsverkehr', N'Bemerkungen', N'bisherige', Null, Null, 1
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT waehrungen ON
IF (SELECT count(*) FROM waehrungen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM waehrungen) INSERT INTO waehrungen(id, Bezeichnung, Symbol, Anzeigeformat, Kurs, Kursdatum)
SELECT 1, N'Euro', N'', N'#,##0.00 ', 1, CONVERT(datetime, '01.01.2000', 104)
UNION SELECT 2, N'Deutsche Mark', N'DM', N'#,##0.00 DM', .511291881, CONVERT(datetime, '01.01.2000', 104)
UNION SELECT 3, N'US-Dollar', N'$', N'#,##0.00 $', .911, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 5, N'Britische Pfund', N'', N'#,##0.00 ', 1.42, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 6, N'Schweizer Franken', N'SF', N'#,##0.00 SFr', .944, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 9, N'Japanische Yen', N'', N'#,##0 ', .00735, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 12, N'Sonderziehungsrecht', N'SDR', N'#,##0.00 Sdr', 1.27, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 13, N'Schwedische Krone', N'SEK', N'#,##0.00 Skr', .106, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 14, N'Dnische Krone', N'DKr', N'#,##0.00 Dkr', .134, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 15, N'Russischer Rubel', N'RUB', N'#,##0.00 RR', .015, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 16, N'Norwegische Krone', N'NOK', N'#,##0.00 NKr', .1115, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 17, N'Polnischer Zloty', N'PLN', N'#,##0.00 PLN', .241, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 18, N'Trkische Lira', N'TRL', N'#,##0 TRL', .328, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 19, N'Israelischer Schekel', N'ILS', N'#,##0.00 ILS', .235, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 20, N'Kanadischer Dollar', N'CAD', N'#,##0.00 CAD', .6994, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 21, N'Ungarische Forint', N'HUF', N'#,##0 HUF', .00324, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 23, N'(ohne)', N'', N'#,##0.00', 1, CONVERT(datetime, '01.01.2000', 104)
UNION SELECT 24, N'Neuseelndischer Dollar', N'NZD', N'#.##0,00 NZ$', .6, CONVERT(datetime, '31.07.2015', 104)
UNION SELECT 25, N'Malaysischer Ringgit', N'MYR', N'#,##0.00 RM', .238, CONVERT(datetime, '31.07.2015', 104)
END

SET IDENTITY_INSERT waehrungen OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM mahnstufen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM mahnstufen) INSERT INTO mahnstufen(id, Mahnstufe, Mahngebuehr, Mahntext, SchlussText, Farbe)
SELECT -3, N'Konto ist leer', 0, N'In Ihrem Konto ist nichts gebucht.', N'Irrtum vorbehalten.', Null
UNION SELECT -2, N'Guthaben', 0, N'Dieses Konto weist ein Guthaben auf.', N'Die Zahlung wird angewiesen (Irrtum vorbehalten).', 11861940
UNION SELECT -1, N'Konto ausgeglichen', 0, N'Die Rechnung ist als erledigt gebucht.', N'Es ist nichts zu veranlassen', Null
UNION SELECT 0, N'Abrechnung', 0, N'wir erlauben uns, wie folgt zu berechnen:', N'Wir bitten um Ausgleich.', 13172735
UNION SELECT 1, N'Erinnerung', 7.5, N'Ihr Konto in dieser Sache weist den folgenden Saldo aus:', N'Wir bitten um Ausgleich.', 10526975
UNION SELECT 2, N'2. Mahnung', 12, N'trotz unserer Mahnung konnten wir bisher keinen Ausgleich Ihres Kontos verzeichnen.', N'Bitte leisten Sie jetzt umgehend Zahlung. Wir behalten uns eine Einstellung unserer weiteren Ttigkeit ohne vorherige Ankndigung vor.', 10526975
UNION SELECT 3, N'3. (letzte) Mahnung', 15, N'trotz zweier Mahnungen konnten wir bisher keinen Ausgleich Ihres Kontos verzeichnen.', N'Sollte die Zahlung jetzt nicht innerhalb einer Woche hier eingegangen sein, werden wir das Mahnverfahren einleiten. Bitte leisten Sie jetzt umgehend Zahlung. Wir behalten uns eine Einstellung unserer weiteren Ttigkeit ohne vorherige Ankndigung vor.', 10526975
UNION SELECT 4, N'Inkasso', 0, N'diese Rechnung wird nach drei vergeblichen Mahnung jetzt zwangsweise beigetrieben.', N'Zur Vermeidung von Anwalts- und Gerichtskosten sollten Sie umgehendst Zahlung leisten.', 255
UNION SELECT 5, N'Rechtsstreit', 0, N'diese Rechnung ist zur Zeit Gegenstand eines Rechtsstreits', N'Sie sollten den Anspruch anerkennen', 255
UNION SELECT 6, N'Zwangsvollstreckung', 12, N'es wird zur Zeit vollstreckt.', N'Zur Vermeidung weiterer Kosten sollten Sie umgehend Zahlung leisten.', 16737380
UNION SELECT 7, N'Ruht', 0, N'Die Forderung besteht in folgender Hhe:', N'Die Forderuing besteht und wird weiterhin geltend gemacht.', 255
END

GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 0)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (0, N'erledigt')
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 1)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (1, N'aktuell')
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 2)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (2, N'verlegt')
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 3)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (3, N'aufgehoben')
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 4)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (4, N'storniert')
IF NOT EXISTS (SELECT * FROM terminstatus WHERE id= 5)
INSERT INTO dbo.terminstatus (id, Bezeichnung) VALUES (5, N'Outlooklschung')
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM kontexte) INSERT INTO kontexte(id, kontext)
SELECT 0, N'Allgemeine Funktionen'
UNION SELECT 1, N'Stammdaten'
UNION SELECT 2, N'Akten'
UNION SELECT 3, N'Adressen'
UNION SELECT 4, N'Beteiligte'
UNION SELECT 5, N'Beteiligtenkonto'
UNION SELECT 6, N'Kostennote'
UNION SELECT 8, N'Finanzbuchhaltung'
UNION SELECT 9, N'Q-Fibu'
UNION SELECT 10, N'Zeiterfassung'
UNION SELECT 11, N'Bibliothek'
UNION SELECT 12, N'Links'
UNION SELECT 13, N'Termine'
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM Verfahrensrollen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Verfahrensrollen) INSERT INTO Verfahrensrollen(Bezeichnung, Nominativ, Genitiv, Dativ, Akkusativ)
SELECT N'Angeklagter', N'der Angeklagte', N'des Angeklagten', N'dem Angeklagten', N'den Angeklagten'
UNION SELECT N'Antragsgegner', N'der Antragsgegner', N'des Antragsgegners', N'dem Antragsgegner', N'den Antragsgegner'
UNION SELECT N'Antragsgegnerin', N'die Antragsgegnerin', N'der Antragsgegnerin', N'der Antragsgegnerin', N'die Antragsgegnerin'
UNION SELECT N'Antragsteller', N'der Antragsteller', N'des Antragstellers', N'dem Antragsteller', N'den Antragsteller'
UNION SELECT N'Antragstellerin', N'die Antragstellerin', N'der Antragstellerin', N'der Antragstellerin', N'die Antragstellerin'
UNION SELECT N'Arbeitgeber', N'der Arbeitgeber', N'des Arbeitgebers', N'dem Arbeitgeber', N'den Arbeitgeber'
UNION SELECT N'Arbeitgeberin', N'die Arbeitgeberin', N'der Arbeitgeberin', N'der Arbeitgeberin', N'die Arbeitgeberin'
UNION SELECT N'Arbeitnehmer', N'der Arbeitnehmer', N'des Arbeitnehmers', N'dem Arbeitnehmer', N'den Arbeitnehmer'
UNION SELECT N'Arbeitnehmerin', N'die Arbeitnehmerin', N'der Arbeitnehmerin', N'der Arbeitnehmerin', N'die Arbeitnehmerin'
UNION SELECT N'Auftraggeber', N'der Auftraggeber', N'des Auftraggebers', N'dem Auftraggeber', N'den Auftraggeber'
UNION SELECT N'Auftraggeberin', N'die Auftraggeberin', N'der Auftraggeberin', N'der Auftraggeberin', N'die Auftraggeberin'
UNION SELECT N'Auftragnehmer', N'der Auftragnehmer', N'des Auftragnehmers', N'dem Auftragnehmer', N'den Auftragnehmer'
UNION SELECT N'Auftragnehmerin', N'die Auftragnehmerin', N'der Auftragnehmerin', N'der Auftragnehmerin', N'die Auftragnehmerin'
UNION SELECT N'Bauherr', N'der Bauherr', N'des Bauherrn', N'dem Bauherrn', N'den Bauherrn'
UNION SELECT N'Beklagte', N'die Beklagte', N'der Beklagten', N'der Beklagten', N'die Beklagte'
UNION SELECT N'Beklagter', N'der Beklagte', N'des Beklagten', N'dem Beklagten', N'den Beklagten'
UNION SELECT N'Beschuldigte', N'die Beschuldigte', N'der Beschuldigten', N'der Beschuldigten', N'die Beschuldigte'
UNION SELECT N'Beschuldigter', N'der Beschuldigte', N'des Beschuldigten', N'dem Beschuldigten', N'den Beschuldigten'
UNION SELECT N'Beschwerdefhrer', N'der Beschwerdefhrer', N'des Beschwerdefhrers', N'dem Beschwerdefhrer', N'den Beschwerdefhrer'
UNION SELECT N'Beschwerdefhrerin', N'die Beschwerdefhrerin', N'der Beschwerdefhrerin', N'der Beschwerdefhrerin', N'die Beschwerdefhrerin'
UNION SELECT N'Beschwerdegegner', N'der Beschwerdegegner', N'des Beschwerdegegners', N'dem Beschwerdegegner', N'den Beschwerdegegner'
UNION SELECT N'Beschwerdegegnerin', N'die Beschwerdegegnerin', N'der Beschwerdegegnerin', N'der Beschwerdegegnerin', N'die Beschwerdegegnerin'
UNION SELECT N'Ehefrau', N'die Ehefrau', N'der Ehefrau', N'der Ehefrau', N'die Ehefrau'
UNION SELECT N'Ehemann', N'der Ehemann', N'des Ehemannes', N'dem Ehemann', N'den Ehemann'
UNION SELECT N'Gemeinschuldner', N'der Gemeinschuldner', N'des Gemeinschuldners', N'dem Gemeinschuldner', N'den Gemeinschuldner'
UNION SELECT N'Gemeinschuldnerin', N'die Gemeinschuldnerin', N'der Gemeinschuldnerin', N'der Gemeinschuldnerin', N'die Gemeinschuldnerin'
UNION SELECT N'Glubiger', N'der Glubiger', N'des Glubigers', N'dem Glubiger', N'den Glubiger'
UNION SELECT N'Glubigerin', N'die Glubigerin', N'der Glubigerin', N'der Glubigerin', N'die Glubigerin'
UNION SELECT N'Kufer', N'der Kufer', N'des Kufers', N'dem Kufer', N'den Kufer'
UNION SELECT N'Kind', N'das Kind', N'des Kindes', N'dem Kind', N'das Kind'
UNION SELECT N'Klger', N'der Klger', N'des Klgers', N'dem Klger', N'den Klger'
UNION SELECT N'Klgerin', N'die Klgerin', N'der Klgerin', N'der Klgerin', N'die Klgerin'
UNION SELECT N'KlgerinZu2', N'die Klgerin zu 2)', N'der Klgerin zu 2)', N'der Klgerin zu 2)', N'die Klgerin zu 2)'
UNION SELECT N'Mieter', N'der Mieter', N'des Mieters', N'dem Mieter', N'den Mieter'
UNION SELECT N'Mieterin', N'die Mieterin', N'der Mieterin', N'die Mieterin', N'die Mieterin'
UNION SELECT N'Mutter', N'die Mutter', N'der Mutter', N'der Mutter', N'die Mutter'
UNION SELECT N'Patient', N'der Patient', N'des Patienten', N'dem Patienten', N'den Patienten'
UNION SELECT N'Sachverstndiger', N'der Sachverstndige', N'des Sachverstndigen', N'dem Sachverstndigen', N'den Sachverstndigen'
UNION SELECT N'Schuldner', N'der Schuldner', N'des Schuldners', N'dem Schuldner', N'den Schuldner'
UNION SELECT N'Schuldnerin', N'die Schuldnerin', N'der Schuldnerin', N'der Schuldnerin', N'die Schuldnerin'
UNION SELECT N'Teilnehmer', N'der Teilnehmer', N'des Teilnehmers', N'dem Teilnehmer', N'den Teilnehmer'
UNION SELECT N'Vater', N'der Vater', N'des Vaters', N'dem Vater', N'den Vater'
UNION SELECT N'Verkufer', N'der Verkufer', N'des Verkufers', N'dem Verkufer', N'den Verkufer'
UNION SELECT N'Vermieter', N'der Vermieter', N'des Vermieters', N'dem Vermieter', N'den Vermieter'
UNION SELECT N'Vermieterin', N'die Vermieterin', N'der Vermieterin', N'der Vermieterin', N'die Vermieterin'
UNION SELECT N'Zeuge', N'der Zeuge', N'des Zeugen', N'dem Zeugen', N'den Zeugen'
UNION SELECT N'Zeugin', N'die Zeugin', N'der Zeugin', N'die Zeugin', N'die Zeugin'
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT TerminHauptkategorien ON
IF (SELECT count(*) FROM TerminHauptkategorien) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM TerminHauptkategorien) INSERT INTO TerminHauptkategorien(id, Hauptkategorie, Schriftart, Grad, kursiv, unterstrichen, Schriftfarbe, StdKatId)
SELECT 1, N'Fristen', N'Arial', 8, 0, 0, 255, 4
UNION SELECT 2, N'Termine', N'Arial', 8, 0, 0, 0, Null
UNION SELECT 3, N'Wiedervorlagen', N'Arial', 8, 0, 0, 0, 1
END

SET IDENTITY_INSERT TerminHauptkategorien OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT Terminkategorien ON
IF (SELECT count(*) FROM Terminkategorien) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Terminkategorien) INSERT INTO Terminkategorien(id, Kategorie, HauptId, Schriftart, Grad, Schriftfarbe, kursiv, unterstrichen)
SELECT 1, N'Wiedervorlage', 3, Null, -1, 1092355, 1, 0
UNION SELECT 2, N'Geburtstag / Jubilum', 2, Null, -1, 13762815, 1, Null
UNION SELECT 3, N'Gerichtstermin', 2, N'arial', 3, 255, Null, Null
UNION SELECT 4, N'Schriftsatzfrist', 1, Null, Null, 255, Null, Null
UNION SELECT 5, N'Rechtsmittelfrist', 1, Null, 2, 16711935, Null, Null
UNION SELECT 6, N'Besprechung intern', 2, Null, Null, Null, Null, Null
UNION SELECT 7, N'Besprechung extern', 2, Null, Null, 255, Null, Null
UNION SELECT 8, N'Privat', 2, Null, Null, 65280, 1, Null
UNION SELECT 9, N'Urlaub', 2, N'garamond', Null, 13026816, 1, 1
UNION SELECT 10, N'Gremiensitzung', 2, Null, Null, Null, Null, Null
UNION SELECT 11, N'Verjhrung', 1, Null, Null, Null, Null, Null
UNION SELECT 12, N'Schutzfristablauf', 1, Null, Null, Null, Null, Null
UNION SELECT 13, N'Arzttermin', 2, Null, Null, 65280, 1, Null
UNION SELECT 15, N'behrdliche Frist', 1, Null, Null, Null, Null, Null
UNION SELECT 16, N'Essen', 2, Null, Null, 255, Null, Null
UNION SELECT 17, N'Kndigungsfrist', 1, Null, Null, Null, Null, Null
UNION SELECT 18, N'Notartermin', 2, Null, Null, Null, Null, Null
UNION SELECT 19, N'Feier / Party', 2, Null, Null, 16711935, 1, Null
UNION SELECT 20, N'Ortstermin', 2, Null, 1, 418553, Null, Null
UNION SELECT 21, N'Vortragsveranstaltung', 2, Null, Null, Null, Null, Null
UNION SELECT 22, N'Vertragsfrist', 1, Null, 1, 14884062, Null, Null
UNION SELECT 23, N'Websitecheck', 3, Null, Null, Null, Null, Null
UNION SELECT 24, N'Schulung / Fortbildung', 2, Null, 2, 239367, Null, Null
UNION SELECT 25, N'Steuerfrist', 1, Null, Null, 8947575, Null, Null
UNION SELECT 26, N'Zahlungsfrist', 1, Null, Null, 5985128, Null, Null
UNION SELECT 39, N'auergerichtliche Frist', 1, Null, Null, Null, Null, Null
UNION SELECT 40, N'Verkndungstermin', 3, Null, Null, Null, 0, Null
UNION SELECT 42, N'Gegenanwaltsfrist', 1, Null, Null, Null, Null, Null
UNION SELECT 43, N'Vollstreckungsbescheid beantragen', 3, Null, Null, Null, Null, Null
UNION SELECT 44, N'Zahlungseingang prfen', 3, Null, Null, Null, Null, Null
UNION SELECT 45, N'Klagfrist', 1, Null, Null, Null, Null, Null
UNION SELECT 46, N'Telefonkonferenz', 2, Null, Null, Null, Null, Null
UNION SELECT 47, N'Datensicherung', 3, Null, Null, Null, Null, Null
UNION SELECT 48, N'Sachstandsanfrage', 3, Null, Null, Null, Null, Null
UNION SELECT 49, N'Zwangsvollstreckung', 3, Null, Null, Null, Null, Null
UNION SELECT 50, N'Softwareaktualisierung', 3, Null, Null, Null, Null, Null
UNION SELECT 51, N'Abrechnen', 3, Null, Null, Null, Null, Null
UNION SELECT 52, N'Rcktritt vom Vergleich', 1, Null, Null, Null, Null, Null
UNION SELECT 53, N'Zustimmungserklrung', 1, Null, Null, Null, Null, Null
UNION SELECT 54, N'Nachricht', 3, Null, Null, Null, Null, Null
UNION SELECT 56, N'Bearbeitungsauftrag', 3, Null, Null, Null, Null, Null
UNION SELECT 57, N'Prsentation / Showtime', 2, Null, 1, 8388863, Null, Null
UNION SELECT 58, N'Widerspruch', 1, Null, Null, Null, Null, Null
UNION SELECT 59, N'Einspruch', 1, Null, Null, Null, Null, Null
UNION SELECT 61, N'Rcktritts- / Stornofrist', 1, Null, Null, Null, Null, Null
UNION SELECT 108, N'Outlook-Termin', 2, Null, Null, Null, Null, Null
UNION SELECT 127, N'Outlook-Synchronisation', 3, Null, Null, Null, Null, Null
UNION SELECT 132, N'Rechnung mahnen', 3, Null, Null, Null, Null, Null
UNION SELECT 133, N'EDV-Support', 2, Null, Null, Null, Null, 1
END

SET IDENTITY_INSERT Terminkategorien OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM TerminWichtigkeiten) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM TerminWichtigkeiten) INSERT INTO TerminWichtigkeiten(id, Wichtigkeit)
SELECT 0, N'weniger wichtig'
UNION SELECT 1, N'normal wichtig'
UNION SELECT 2, N'sehr wichtig'
END

GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM EdaSA) INSERT INTO EdaSA(SA, Typ, Bezeichnung, Uq)
SELECT N'01', 1, N'Mahnbescheidsantrag', 1
UNION SELECT N'03', 2, N'Erlassnachricht Mahnbescheid /Rechnung', Null
UNION SELECT N'05', 2, N'Zustellungs-/Nichtzustellungsnachricht', Null
UNION SELECT N'07', 1, N'Neuzustellungsantrag Mahnbescheid', 0
UNION SELECT N'08', 1, N'Vollstreckungsbescheidsantrag', 1
UNION SELECT N'10', 1, N'Neuzustellungsantrag Vollstreckungsbescheid', 0
UNION SELECT N'16', 2, N'Abgabenachricht', Null
UNION SELECT N'18', 2, N'Widerspruchsnachricht', Null
UNION SELECT N'20', 99, N'Monierungsantwort', 1
UNION SELECT N'21', 2, N'Kostennachricht - Auslagen Neuzustellung MB', Null
UNION SELECT N'22', 2, N'Kosten-/Erlanachricht Vollstreckungsbescheid', Null
UNION SELECT N'23', 2, N'Kostennachricht - Auslagen Neuzustellung CV', Null
UNION SELECT N'25', 1, N'Rcknahme / Erledigung', 1
UNION SELECT N'29', 1, N'Antrag Kosteneinzug fr streitiges Verfahren', 1
UNION SELECT N'30', 4, N'Widerspruch', Null
UNION SELECT N'40', 4, N'Einspruch', Null
UNION SELECT N'90', 2, N'Quittung zur Datenfernbertragung', Null
UNION SELECT N'AA', 0, N'Datei-Vorsatz', 0
UNION SELECT N'BB', 0, N'Datei-Nachsatz', 0
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM EdaDsb) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM EdaDsb) INSERT INTO EdaDsb(Satz, Sa, Kennz, Fn, Feld, Bytes, Dez, Format, Kurzname, Langname, Pflicht, no, Typ, Alt, Flg, ItemId)
SELECT 0, N'AA', N' ', 0, 2, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 3, 6, 0, N'X', N'DATUM', N'Erstellungsdatum', 1, 0, 2, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 4, 2, 0, N'X', N'BELART', N'Art der Antrge / Datenstze', 1, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 5, 8, 0, N'N/B', N'EKEZI', N'Einreicher-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 6, 4, 0, N'X', N'FORMAT', N'Version der EDA-Konditionen', 1, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 7, 6, 0, N'X', N'EDAID', N'Bezeichnung des Datentrgers', 0, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 8, 2, 0, N'X', N'EDAIDZ', N'Namenszusatz', 0, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 9, 13, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 10, 4, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 11, 20, 0, N'X', N'SWN', N'Software-Name', 1, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 12, 10, 0, N'X', N'SWV', N'Software-Version', 1, 0, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 13, 4, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 0, N'AA', N' ', 0, 14, 39, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 4, 35, 0, N'X', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 5, 8, 0, N'N/B', N'ASKEZI', N'Antragsteller-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 6, 8, 0, N'N/B', N'PVKEZI', N'Parteivertreter-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 7, 5, 0, N'X', N'MGPLZ', N'PLZ Mahngericht', 1, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 8, 30, 0, N'X', N'MGO', N'Ort Mahngericht', 1, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 9, 11, 0, N'X', N'GNR', N'Geschftszeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 10, 1, 0, N'X', N'SWUM', N'Verfahrensart', 0, 1, Null, Null, Null, 16
UNION SELECT 1, N'01', N'KS ', 0, 11, 1, 0, N'X/Gro', N'AGGM', N'Gesamtschuldner', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 12, 1, 0, N'X/Gro', N'VGLM1', N'Anspruch hngt von Gegenleistung ab', 1, 0, Null, N'VGLM2', Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 13, 1, 0, N'X/Gro', N'VGLM2', N'Anspr. hngt nicht von Gegenleistung ab', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 14, 1, 0, N'X/Gro', N'ALRFMAS', N'auslndische Rechtsform AS', 0, 1, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 15, 1, 0, N'X/Gro', N'ALRFMAG', N'auslndische Rechtsform AG', 0, 1, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 16, 1, 0, N'X', N'ASKSTAT', N'Kostenstatus des Antragstellers', 0, 1, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 17, 1, 0, N'X/Gro', N'PKHM', N'Antrag Prozesskostenhilfe', 0, 1, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 18, 1, 0, N'X/Gro', N'ASTRVM', N'Antrag auf Durchfhrung str. Verfahren', 0, 0, Null, Null, Null, Null
UNION SELECT 1, N'01', N'KS ', 0, 19, 13, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 2, N'01', N'AS ', 1, 4, 1, 0, N'X', N'ASANR', N'Anrede', 1, 0, Null, N'RF', Null, 2
UNION SELECT 2, N'01', N'AS ', 1, 5, 35, 0, N'X', N'ASRF', N'Rechtsform', 0, 0, Null, Null, Null, Null
UNION SELECT 2, N'01', N'AS ', 1, 6, 35, 0, N'X', N'ASN1', N'Name1', 1, 0, Null, Null, Null, Null
UNION SELECT 2, N'01', N'AS ', 1, 7, 35, 0, N'X', N'ASN2', N'Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 2, N'01', N'AS ', 1, 8, 13, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 3, N'01', N'AS ', 2, 4, 35, 0, N'X', N'ASN3', N'Name3', 0, 0, Null, Null, Null, Null
UNION SELECT 3, N'01', N'AS ', 2, 5, 35, 0, N'X', N'ASN4', N'Name4', 0, 0, Null, Null, Null, Null
UNION SELECT 3, N'01', N'AS ', 2, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 4, N'01', N'AS ', 3, 4, 35, 0, N'X', N'ASSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 4, N'01', N'AS ', 3, 5, 5, 0, N'X', N'ASPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 4, N'01', N'AS ', 3, 6, 27, 0, N'X', N'ASO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 4, N'01', N'AS ', 3, 7, 3, 0, N'X', N'ASAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 4, N'01', N'AS ', 3, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 5, N'01', N'ASGV ', 1, 4, 35, 0, N'X', N'ASGVFU', N'Stellung', 1, 0, Null, Null, N'GVN', Null
UNION SELECT 5, N'01', N'ASGV ', 1, 5, 35, 0, N'X', N'ASGVN', N'Name', 1, 0, Null, Null, N'GVFU', Null
UNION SELECT 5, N'01', N'ASGV ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 6, N'01', N'ASGV ', 2, 4, 35, 0, N'X', N'ASGVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 6, N'01', N'ASGV ', 2, 5, 5, 0, N'X', N'ASGVPLZ', N'Postleitzahl', 1, 0, 4, Null, N'GVO', Null
UNION SELECT 6, N'01', N'ASGV ', 2, 6, 27, 0, N'X', N'ASGVO', N'Ort', 1, 0, Null, Null, N'GVPLZ', Null
UNION SELECT 6, N'01', N'ASGV ', 2, 7, 3, 0, N'X', N'ASGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 6, N'01', N'ASGV ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 7, N'01', N'ASPV ', 1, 4, 1, 0, N'X', N'ASPVANR', N'Anrede', 1, 0, Null, Null, Null, 4
UNION SELECT 7, N'01', N'ASPV ', 1, 5, 105, 0, N'X', N'ASPVN', N'Name', 1, 0, Null, Null, Null, Null
UNION SELECT 7, N'01', N'ASPV ', 1, 6, 13, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 4, 35, 0, N'X', N'ASPVRF', N'Rechtsform', 0, 0, Null, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 5, 35, 0, N'X', N'ASPVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 6, 5, 0, N'X', N'ASPVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 7, 27, 0, N'x', N'ASPVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 8, 3, 0, N'X', N'ASPVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 8, N'01', N'ASPV ', 2, 9, 14, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 9, N'01', N'ASPV ', 3, 4, 35, 0, N'X', N'ASPVGVFU', N'Stellung d.ges. Vertreters', 0, 1, Null, Null, Null, Null
UNION SELECT 9, N'01', N'ASPV ', 3, 5, 35, 0, N'X', N'ASPVGVN', N'Name d.ges. Vertreters', 0, 1, Null, Null, Null, Null
UNION SELECT 9, N'01', N'ASPV ', 3, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 4, 35, 0, N'X', N'ASPVGZ', N'abw. Geschftszeichen', 0, 1, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 5, 6, 0, N'X', N'ASPVAUFD', N'Datum der Beauftragung', 0, 0, 2, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 6, 8, 2, N'N/B', N'ASPVMBAUSL', N'Auslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 7, 10, 2, N'N/B', N'VV2300MBET', N'Minderungsbetrag fr KV 3305 aus 2300', 0, 0, 3, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 8, 1, 0, N'X/Gro', N'VV2300M', N'besonders komplizierte Sache', 0, 0, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 9, 7, 2, N'N/B', N'IKUBET', N'Inkassovergtung', 0, 0, 3, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 10, 4, 2, N'N/B', N'ASPVMWST', N'abw. Ust-Satz', 0, 1, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 11, 1, 0, N'X/gro', N'VORSTM', N'nicht vorsteuerabzugsberechtigt', 0, 0, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 12, 1, 0, N'X/gro', N'USTM', N'Prozessbevollmchtigter erhebt keine USt', 0, 0, Null, Null, Null, Null
UNION SELECT 10, N'01', N'ASPVA ', 0, 13, 46, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 11, N'01', N'BANK ', 0, 4, 1, 0, N'X', N'BKTOZO', N'Kontozuordnung', 0, 1, Null, Null, Null, 17
UNION SELECT 11, N'01', N'BANK ', 0, 5, 34, 0, N'X', N'BIBAN', N'Internationale Kontonummer', 0, 0, Null, Null, Null, Null
UNION SELECT 11, N'01', N'BANK ', 0, 8, 11, 0, N'X', N'BBIC', N'Internationale Bankkennung', 0, 0, Null, Null, Null, Null
UNION SELECT 11, N'01', N'BANK ', 0, 9, 73, 0, N'X', N'FILLER', N'Leerstellen', 0, 1, Null, Null, Null, Null
UNION SELECT 13, N'01', N'AG ', 1, 4, 1, 0, N'X', N'AGANR', N'Anrede', 1, 0, Null, N'RF', Null, 2
UNION SELECT 13, N'01', N'AG ', 1, 5, 35, 0, N'X', N'AGRF', N'Rechtsform', 0, 0, Null, Null, Null, Null
UNION SELECT 13, N'01', N'AG ', 1, 6, 35, 0, N'X', N'AGN1', N'Name1', 0, 0, Null, Null, Null, Null
UNION SELECT 13, N'01', N'AG ', 1, 7, 35, 0, N'X', N'AGN2', N'Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 13, N'01', N'AG ', 1, 8, 13, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 14, N'01', N'AG ', 2, 4, 35, 0, N'X', N'AGN3', N'Name3', 0, 0, Null, Null, Null, Null
UNION SELECT 14, N'01', N'AG ', 2, 5, 35, 0, N'X', N'AGN4', N'Name4', 0, 0, Null, Null, Null, Null
UNION SELECT 14, N'01', N'AG ', 2, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 15, N'01', N'AG ', 3, 4, 35, 0, N'X', N'AGSH', N'Strae, Nr.', 0, 0, Null, N'ANR', Null, Null
UNION SELECT 15, N'01', N'AG ', 3, 5, 5, 0, N'X', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 15, N'01', N'AG ', 3, 6, 27, 0, N'X', N'AGO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 15, N'01', N'AG ', 3, 7, 3, 0, N'X', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 15, N'01', N'AG ', 3, 9, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 16, N'01', N'AG ', 4, 4, 1, 0, N'X', N'PGM', N'Prozessgerichtsart', 1, 0, Null, Null, Null, 5
UNION SELECT 16, N'01', N'AG ', 4, 5, 5, 0, N'X', N'PGPLZ', N'PLZ des Prozessgerichts', 1, 0, 4, Null, Null, Null
UNION SELECT 16, N'01', N'AG ', 4, 6, 30, 0, N'X', N'PGO', N'Ort des Prozessgerichts', 1, 0, Null, Null, Null, Null
UNION SELECT 16, N'01', N'AG ', 4, 7, 83, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 17, N'01', N'AGGV ', 1, 4, 35, 0, N'X', N'AGGVFU', N'Stellung', 1, 0, Null, Null, N'GVN', Null
UNION SELECT 17, N'01', N'AGGV ', 1, 5, 35, 0, N'X', N'AGGVN', N'Name', 1, 0, Null, Null, N'GVFU', Null
UNION SELECT 17, N'01', N'AGGV ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 18, N'01', N'AGGV ', 2, 4, 35, 0, N'X', N'AGGVSH', N'Strae, Nr', 0, 0, Null, Null, N'GVO', Null
UNION SELECT 18, N'01', N'AGGV ', 2, 5, 5, 0, N'X', N'AGGVPLZ', N'Postleitzahl', 1, 0, 4, Null, N'GVO', Null
UNION SELECT 18, N'01', N'AGGV ', 2, 6, 27, 0, N'X', N'AGGVO', N'Ort', 1, 0, Null, Null, N'GVPLZ', Null
UNION SELECT 18, N'01', N'AGGV ', 2, 7, 3, 0, N'X', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 18, N'01', N'AGGV ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 19, N'01', N'ZIAUS ', 0, 4, 6, 0, N'X', N'AZIVD', N'Zins-Vom-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 19, N'01', N'ZIAUS ', 0, 5, 6, 0, N'X', N'AZIBD', N'Zins-Bis-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 19, N'01', N'ZIAUS ', 0, 6, 10, 2, N'N/B', N'AZIAUBET', N'Ausgerechneter Zinsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 19, N'01', N'ZIAUS ', 0, 7, 5, 3, N'N/B', N'AZISATZ', N'Hchster Zinssatz', 0, 1, 6, Null, Null, Null
UNION SELECT 19, N'01', N'ZIAUS ', 0, 8, 92, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 4, 2, 0, N'N', N'ASPKAT1', N'1. Katalog-Nummer', 1, 0, Null, N'ASPSOBG1', Null, 10
UNION SELECT 20, N'01', N'ASPK ', 0, 5, 2, 0, N'N', N'ASPKAT2', N'2. Katalog-Nummer', 0, 1, Null, Null, Null, 10
UNION SELECT 20, N'01', N'ASPK ', 0, 6, 8, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, 10
UNION SELECT 20, N'01', N'ASPK ', 0, 7, 35, 0, N'X', N'ASPGR', N'Anspruchsbegrndung', 1, 0, Null, Null, Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 8, 35, 0, N'X', N'ASPRNR', N'Nummer der Rechnung / des Kontos u. dgl.', 0, 0, Null, Null, Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 9, 6, 0, N'X', N'ASPVD', N'Anspruchs-Vom-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 10, 6, 0, N'X', N'ASPBD', N'Anspruchs-Bis-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 11, 10, 2, N'N/B', N'ASPBET', N'Anspruchsbetrag', 1, 0, 3, N'ASPSOBET', Null, Null
UNION SELECT 20, N'01', N'ASPK ', 0, 12, 15, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 21, N'01', N'ASPZM ', 0, 4, 5, 0, N'X', N'ASPZMPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 21, N'01', N'ASPZM ', 0, 5, 27, 0, N'X', N'ASPZMO', N'Ort', 1, 0, Null, Null, N'ASPZMPLZ', Null
UNION SELECT 21, N'01', N'ASPZM ', 0, 6, 3, 0, N'X', N'ASPZMAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 21, N'01', N'ASPZM ', 0, 7, 35, 0, N'X', N'ASPZMSH', N'Strae, Nr', 0, 1, Null, Null, Null, Null
UNION SELECT 21, N'01', N'ASPZM ', 0, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 22, N'01', N'ASPZV ', 0, 4, 35, 0, N'X', N'ASPZV', N'Vertragsart', 0, 0, Null, Null, Null, Null
UNION SELECT 22, N'01', N'ASPZV ', 0, 5, 84, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 23, N'01', N'ASPS ', 1, 4, 10, 2, N'N/B', N'ASPSOBET', N'Anspruchsbetrag', 0, 0, 3, N'ASPBET', Null, Null
UNION SELECT 23, N'01', N'ASPS ', 1, 5, 6, 0, N'X', N'ASPSOVD', N'Vom-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 23, N'01', N'ASPS ', 1, 6, 6, 0, N'X', N'ASPSOBD', N'Bis-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 23, N'01', N'ASPS ', 1, 7, 93, 0, N'X', N'ASPSOBG1', N'Begrndung', 1, 0, Null, N'ASPKAT1', Null, Null
UNION SELECT 23, N'01', N'ASPS ', 1, 8, 4, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 24, N'01', N'ASPS ', 2, 4, 70, 0, N'X', N'ASPSOBG2', N'Begrndung,Teil 2', 0, 1, Null, Null, Null, Null
UNION SELECT 24, N'01', N'ASPS ', 2, 5, 49, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 25, N'01', N'ABT ', 0, 5, 6, 0, N'X', N'ABTD', N'Abtretungsdatum', 1, 0, 2, Null, N'ABTN', Null
UNION SELECT 25, N'01', N'ABT ', 0, 6, 35, 0, N'X', N'ABTN', N'Name', 1, 0, Null, Null, N'ABTD', Null
UNION SELECT 25, N'01', N'ABT ', 0, 7, 5, 0, N'X', N'ABTPLZ', N'Postleitzahl', 1, 0, 4, Null, N'ABTD', Null
UNION SELECT 25, N'01', N'ABT ', 0, 8, 27, 0, N'X', N'ABTO', N'Ort', 1, 0, Null, Null, N'ABTD', Null
UNION SELECT 25, N'01', N'ABT ', 0, 9, 3, 0, N'X', N'ABTAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 25, N'01', N'ABT ', 0, 10, 43, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 4, 5, 3, N'N', N'ZISATZ', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 5, 1, 0, N'X', N'ZISAM', N'Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 6, 1, 0, N'X', N'ZIARTM', N'Zinsart', 0, 0, Null, Null, Null, 8
UNION SELECT 26, N'01', N'ZINS ', 0, 7, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 8, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 9, 10, 2, N'N/B', N'ZIRGBET', N'zu verzinsender Betrag', 0, 0, 3, Null, Null, Null
UNION SELECT 26, N'01', N'ZINS ', 0, 10, 90, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 27, N'01', N'VKG ', 0, 4, 6, 0, N'X', N'VKGD', N'Vertragsdatum', 1, 0, 2, Null, N'VKGZISA', Null
UNION SELECT 27, N'01', N'VKG ', 0, 5, 5, 3, N'N/B', N'VKGZISA', N'anfnglicher effektiver Zinssatz', 1, 0, 6, Null, N'VKGD', Null
UNION SELECT 27, N'01', N'VKG ', 0, 7, 108, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 28, N'01', N'AUSL ', 0, 4, 8, 2, N'N/B', N'VPBET', N'Vordruck / Porto', 0, 0, 3, Null, Null, Null
UNION SELECT 28, N'01', N'AUSL ', 0, 5, 8, 2, N'N/B', N'MBSKOBET', N'Sonstige Auslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 28, N'01', N'AUSL ', 0, 6, 35, 0, N'X', N'MBSKOBG', N'Begrndung sonstige Auslagen', 1, 0, Null, Null, N'MBSKOBET', Null
UNION SELECT 28, N'01', N'AUSL ', 0, 7, 68, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 4, 7, 2, N'N/B', N'MAHNK', N'Mahnkosten', 0, 0, 3, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 5, 5, 3, N'N/B', N'ZISATZmahnk', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 6, 1, 0, N'X', N'ZIMmahnk', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 7, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 8, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 29, N'01', N'MAHNK ', 0, 9, 94, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 4, 7, 2, N'N/B', N'AUSK', N'Auskunftskosten', 0, 0, 3, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 5, 5, 3, N'N/B', N'ZISATZausk', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 6, 1, 0, N'X', N'ZIMausk', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 7, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 8, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 30, N'01', N'AUSK ', 0, 9, 94, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 4, 7, 2, N'N/B', N'BANKRL', N'Bankrcklastkosten', 0, 0, 3, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 5, 5, 3, N'N/B', N'ZISATZbankrl', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 6, 1, 0, N'X', N'ZIMbankrl', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 7, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 8, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 31, N'01', N'BKRL ', 0, 9, 94, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 4, 10, 2, N'N/B', N'INKBET', N'Inkassokosten', 0, 0, 3, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 5, 5, 3, N'N/B', N'ZISATZinkbet', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 6, 1, 0, N'X', N'ZIMinkbet', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 7, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 8, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 32, N'01', N'INKB ', 0, 9, 91, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 4, 10, 2, N'N/B', N'VV2300BET', N'Vorgerichtliche Anwaltsvergtung', 0, 0, 3, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 5, 10, 2, N'N/B', N'VV2300STW', N'abw. Vorgerichtlicher Streitwert', 0, 0, 3, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 6, 5, 3, N'N/B', N'ZISATZvv2300bet', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 7, 1, 0, N'X', N'ZIMvv2300bet', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 8, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 9, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 33, N'01', N'VV23 ', 0, 10, 81, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 4, 8, 2, N'N/B', N'ANFBET', N'Andere Nebenforderung', 0, 0, 3, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 5, 35, 0, N'X', N'ANFBG', N'Begrndung and. Nebenforderung', 0, 0, Null, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 6, 5, 3, N'N/B', N'ZISATZanfbet', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 7, 1, 0, N'X', N'ZIManfbet', N'F=fester Zins, B=ber Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 8, 6, 0, N'X', N'ZIVD', N'Zins-Vom-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 9, 6, 0, N'X', N'ZIBD', N'Zins-Bis-Datum', 0, 1, 2, Null, Null, Null
UNION SELECT 34, N'01', N'ANF ', 0, 10, 58, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 6, 35, 0, N'X', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 7, 8, 2, N'N/B', N'PTBET', N'Porto / Telefon', 0, 0, 3, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 8, 8, 2, N'N/B', N'NMSKOBET', N'Sonstige Kosten', 0, 0, 3, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 9, 35, 0, N'X', N'NMSKOBG', N'Begrndung Sonstige Kosten', 1, 0, Null, Null, N'NMSKOBG', Null
UNION SELECT 35, N'07', N'KS ', 0, 10, 8, 2, N'N/B', N'NMAUSK', N'Auskunftskosten', 0, 0, 3, Null, Null, Null
UNION SELECT 35, N'07', N'KS ', 0, 11, 6, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 36, N'07', N'AG ', 1, 4, 35, 0, N'X', N'AGN1', N'Name1', 1, 0, Null, Null, Null, Null
UNION SELECT 36, N'07', N'AG ', 1, 5, 35, 0, N'X', N'AGN2', N'Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 36, N'07', N'AG ', 1, 6, 35, 0, N'X', N'AGN3', N'Name3', 0, 0, Null, Null, Null, Null
UNION SELECT 36, N'07', N'AG ', 1, 7, 14, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 37, N'07', N'AG ', 2, 4, 35, 0, N'X', N'AGN4', N'Name4', 0, 0, Null, Null, Null, Null
UNION SELECT 37, N'07', N'AG ', 2, 5, 84, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 4, 35, 0, N'X', N'AGRF', N'Rechtsform', 0, 0, Null, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 5, 35, 0, N'X', N'AGSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 6, 5, 0, N'X', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 7, 27, 0, N'X', N'AGO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 8, 3, 0, N'X', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 38, N'07', N'AG ', 3, 9, 14, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 39, N'07', N'AG ', 4, 4, 1, 0, N'X', N'PGM', N'Prozessgerichtsart', 0, 0, Null, Null, Null, 5
UNION SELECT 39, N'07', N'AG ', 4, 5, 5, 0, N'X', N'PGPLZ', N'Postleitzahl des Prozessgerichts', 0, 0, 4, Null, Null, Null
UNION SELECT 39, N'07', N'AG ', 4, 6, 30, 0, N'X', N'PGO', N'Ort des Prozessgerichts', 0, 0, Null, Null, Null, Null
UNION SELECT 39, N'07', N'AG ', 4, 7, 83, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 40, N'07', N'AGGVN ', 1, 4, 35, 0, N'X', N'AGGVNFU', N'Stellung des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 40, N'07', N'AGGVN ', 1, 5, 35, 0, N'X', N'AGGVNN', N'Vor- und Zuname des gesetzlichen vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 40, N'07', N'AGGVN ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 41, N'07', N'AGGVN ', 2, 4, 35, 0, N'X', N'AGGVNSH', N'Strasse, Hausnummer des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 41, N'07', N'AGGVN ', 2, 5, 5, 0, N'X', N'AGGVNPLZ', N'Plz d. neuen ges. Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 41, N'07', N'AGGVN ', 2, 6, 27, 0, N'X', N'AGGVNO', N'Ort d. neuen ges. Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 41, N'07', N'AGGVN ', 2, 7, 3, 0, N'X', N'AGGVNAL', N'Land des gesetzlichen Vertreters (sofern Ausland)', 0, 0, Null, Null, Null, Null
UNION SELECT 41, N'07', N'AGGVN ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 42, N'07', N'AGGVZ ', 1, 4, 35, 0, N'X', N'AGGVZFU', N'Stellung des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 42, N'07', N'AGGVZ ', 1, 5, 35, 0, N'X', N'AGGVZN', N'Vor- und Zuname des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 42, N'07', N'AGGVZ ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 43, N'07', N'AGGVZ ', 2, 4, 35, 0, N'X', N'AGGVZSH', N'Strasse, Hausnummer des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 43, N'07', N'AGGVZ ', 2, 5, 5, 0, N'X', N'AGGVZPLZ', N'PLZ des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 43, N'07', N'AGGVZ ', 2, 6, 27, 0, N'X', N'AGGVZO', N'Ort des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 43, N'07', N'AGGVZ ', 2, 7, 3, 0, N'X', N'AGGVZAL', N'Land des gesetzlichen Vertreters (sofern Ausland)', 0, 0, Null, Null, Null, Null
UNION SELECT 43, N'07', N'AGGVZ ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 6, 30, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 7, 6, 0, N'x', N'VBAND', N'Datum der Antragstellung', 0, 0, 2, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 8, 1, 0, N'x', N'VBZAM', N'Erklrung zu Zahlungen', 0, 0, 5, Null, Null, 11
UNION SELECT 44, N'08', N'KS ', 0, 9, 1, 0, N'x', N'VBZUM', N'Zustellungsart', 0, 0, 5, Null, Null, 12
UNION SELECT 44, N'08', N'KS ', 0, 10, 8, 2, N'n/b', N'VBPTBET', N'Porto / Telefon', 0, 0, 3, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 11, 8, 2, N'n/b', N'VBSKOBET', N'sonstige Kosten', 0, 0, 3, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 12, 35, 0, N'x', N'VBSKOBG', N'Begrndung sonst. Kosten', 1, 0, Null, Null, N'vbskobet', Null
UNION SELECT 44, N'08', N'KS ', 0, 13, 1, 0, N'x/gro', N'KOZIM', N'Zinsen auf Kosten', 0, 0, Null, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 14, 7, 2, N'n/b', N'ASPVAUSL', N'Auslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 44, N'08', N'KS ', 0, 15, 3, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 4, 6, 0, N'x', N'ZAD1', N'Datum 1. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 5, 10, 2, N'N/B', N'ZABET1', N'Betrag 1. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 6, 6, 0, N'X', N'ZAD2', N'Datum 2. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 7, 10, 2, N'N/B', N'ZABET2', N'Betrag 2. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 8, 6, 0, N'X', N'ZAD3', N'Datum 3. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 9, 10, 2, N'N/B', N'ZABET3', N'Betrag 3. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 10, 6, 0, N'X', N'ZAD4', N'Datum 4. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 11, 10, 2, N'N/B', N'ZABET4', N'Betrag 4. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 12, 6, 0, N'X', N'ZAD5', N'Datum 5. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 13, 10, 2, N'N/B', N'ZABET5', N'Betrag 5. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 14, 6, 0, N'X', N'ZAD6', N'Datum 6. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 15, 10, 2, N'N/B', N'ZABET6', N'Betrag 6. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 45, N'08', N'ZAHL ', 0, 16, 23, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 46, N'08', N'AG ', 1, 4, 35, 0, N'x', N'AGN1', N'Name1', 1, 0, Null, Null, Null, Null
UNION SELECT 46, N'08', N'AG ', 1, 5, 35, 0, N'x', N'AGN2', N'Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 46, N'08', N'AG ', 1, 6, 35, 0, N'x', N'AGN3', N'Name3', 0, 0, Null, Null, Null, Null
UNION SELECT 46, N'08', N'AG ', 1, 7, 14, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 47, N'08', N'AG ', 2, 4, 35, 0, N'x', N'AGN4', N'Name4', 0, 0, Null, Null, Null, Null
UNION SELECT 47, N'08', N'AG ', 2, 5, 84, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 4, 35, 0, N'x', N'AGRF', N'Rechtsform', 0, 0, Null, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 5, 35, 0, N'x', N'AGSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 6, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 7, 27, 0, N'x', N'AGO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 8, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 48, N'08', N'AG ', 3, 9, 14, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 49, N'08', N'AGGVN ', 1, 4, 35, 0, N'X', N'AGGVNFU', N'Stellung des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 49, N'08', N'AGGVN ', 1, 5, 35, 0, N'X', N'AGGVNN', N'Vor- und Zuname des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 49, N'08', N'AGGVN ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 50, N'08', N'AGGVN ', 2, 4, 35, 0, N'X', N'AGGVNSH', N'Strasse, Hausnummer des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 50, N'08', N'AGGVN ', 2, 5, 5, 0, N'X', N'AGGVNPLZ', N'PLZ des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 50, N'08', N'AGGVN ', 2, 6, 27, 0, N'X', N'AGGVNO', N'Ort des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 50, N'08', N'AGGVN ', 2, 7, 3, 0, N'X', N'AGGVNAL', N'Land des gesetzlichen Vertreters (sofern Ausland)', 0, 0, Null, Null, Null, Null
UNION SELECT 50, N'08', N'AGGVN ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 51, N'08', N'AGGVZ ', 1, 4, 35, 0, N'X', N'AGGVZFU', N'Stellung des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 51, N'08', N'AGGVZ ', 1, 5, 35, 0, N'X', N'AGGVZN', N'Vor- und Zuname des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 51, N'08', N'AGGVZ ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 52, N'08', N'AGGVZ ', 2, 4, 35, 0, N'X', N'AGGVZSH', N'Strasse, Hausnummer des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 52, N'08', N'AGGVZ ', 2, 5, 5, 0, N'X', N'AGGVZPLZ', N'PLZ des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 52, N'08', N'AGGVZ ', 2, 6, 27, 0, N'X', N'AGGVZO', N'Ort des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 52, N'08', N'AGGVZ ', 2, 7, 3, 0, N'X', N'AGGVZAL', N'Land des gesetzlichen Vertreters (sofern Ausland)', 0, 0, Null, Null, Null, Null
UNION SELECT 52, N'08', N'AGGVZ ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 53, N'08', N'WAUSL ', 0, 4, 10, 2, N'N/B', N'WAUSLBET1', N'Weitere Auslagen 1', 0, 0, 3, Null, Null, Null
UNION SELECT 53, N'08', N'WAUSL ', 0, 5, 35, 0, N'X', N'WAUSLBG1', N'Begrndung weitere Auslagen 1', 0, 0, Null, Null, Null, Null
UNION SELECT 53, N'08', N'WAUSL ', 0, 6, 10, 2, N'N/B', N'WAUSLBET2', N'weitere Auslagen 2', 0, 0, 3, Null, Null, Null
UNION SELECT 53, N'08', N'WAUSL ', 0, 7, 35, 0, N'X', N'WAUSLBG2', N'Begrndung weitere Auslagen 2', 0, 0, Null, Null, Null, Null
UNION SELECT 53, N'08', N'WAUSL ', 0, 8, 29, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 4, 6, 0, N'X', N'ZAD7', N'Datum 7. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 5, 10, 2, N'N/B', N'ZABET7', N'Betrag 7. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 6, 6, 0, N'X', N'ZAD8', N'Datum 8. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 7, 10, 2, N'N/B', N'ZABET8', N'Betrag 8. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 8, 6, 0, N'X', N'ZAD9', N'Datum 9. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 9, 10, 2, N'N/B', N'ZABET9', N'Betrag 9. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 10, 6, 0, N'X', N'ZAD10', N'Datum 10. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 11, 10, 2, N'N/B', N'ZABET10', N'Betrag 10. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 12, 6, 0, N'X', N'ZAD11', N'Datum 11. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 13, 10, 2, N'N/B', N'ZABET11', N'Betrag 11. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 14, 6, 0, N'X', N'ZAD12', N'Datum 12. Zahlung', 0, 0, 2, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 15, 10, 2, N'N/B', N'ZABET12', N'Betrag 12. Zahlung', 0, 0, 3, Null, Null, Null
UNION SELECT 54, N'08', N'ZAHL2 ', 0, 16, 23, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 55, N'08', N'ASPVA ', 0, 4, 7, 2, N'N/B', N'VBIKUBET', N'Inkassovergtung', 0, 0, 3, Null, Null, Null
UNION SELECT 55, N'08', N'ASPVA ', 0, 5, 112, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 56, N'10', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 56, N'10', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 56, N'10', N'KS ', 0, 6, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 56, N'10', N'KS ', 0, 7, 1, 0, N'x', N'VBZUM', N'Zustellungsart', 0, 0, 5, Null, Null, 12
UNION SELECT 56, N'10', N'KS ', 0, 8, 64, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 57, N'10', N'AG ', 0, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 57, N'10', N'AG ', 0, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 57, N'10', N'AG ', 0, 6, 27, 0, N'x', N'AGO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 57, N'10', N'AG ', 0, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 57, N'10', N'AG ', 0, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 58, N'10', N'AGGVZ ', 1, 4, 35, 0, N'X', N'AGGVZFU', N'Stellung des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 58, N'10', N'AGGVZ ', 1, 5, 35, 0, N'X', N'AGGVZN', N'Vor- und Nachname des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 58, N'10', N'AGGVZ ', 1, 6, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 59, N'10', N'AGGVZ ', 2, 4, 35, 0, N'X', N'AGGVZSH', N'Strasse, Hausnr. Des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 59, N'10', N'AGGVZ ', 2, 5, 5, 0, N'X', N'AGGVZPLZ', N'PLZ des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 59, N'10', N'AGGVZ ', 2, 6, 27, 0, N'X', N'AGGVZO', N'Ort des gesetzlichen Vertreters', 0, 0, Null, Null, Null, Null
UNION SELECT 59, N'10', N'AGGVZ ', 2, 7, 3, 0, N'X', N'AGGVZAL', N'Land des gesetzlichen Vertreters (sofern Ausland)', 0, 0, Null, Null, Null, Null
UNION SELECT 59, N'10', N'AGGVZ ', 2, 8, 49, 0, N'X', N'FILLER', N'leer', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 5, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 6, 11, 0, N'n', N'GNR1', N'Gerichtsnummer 1. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 7, 11, 0, N'n', N'GNR2', N'Gerichtsnummer 2. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 8, 11, 0, N'n', N'GNR3', N'Gerichtsnummer 3. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 9, 11, 0, N'n', N'GNR4', N'Gerichtsnummer 4. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 10, 11, 0, N'n', N'GNR5', N'Gerichtsnummer 5. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 11, 6, 0, N'x', N'MOD', N'Monierungs-/Antwort-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 12, 6, 0, N'x', N'AND', N'Datum des monierten Antrags', 0, 0, 2, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 13, 2, 0, N'x', N'MOBELART', N'monierte Antragsart', 0, 0, Null, Null, Null, Null
UNION SELECT 60, N'20', N'KS ', 0, 14, 7, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 4, 3, 0, N'n', N'FSCHL', N'Fehlerschlssel', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 5, 20, 0, N'x', N'FELDN', N'Feld-Kurz-Bezeichnung', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 6, 2, 0, N'n', N'INDEX1', N'Index fr Tabellenfelder', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 7, 2, 0, N'n', N'INDEX2', N'Index fr Tabellenfelder', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 8, 1, 0, N'n', N'MAS', N'Satznummer auf Monierungsantwort', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 9, 1, 0, N'n', N'MAZ', N'Zeilennummer auf Monierungsantwort', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 10, 1, 0, N'n', N'MAZPOS', N'Position in der Antwortzeile', 0, 0, 5, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 11, 1, 0, N'x', N'FORM', N'Feldformat', 0, 0, Null, Null, Null, 13
UNION SELECT 61, N'20', N'MO ', 0, 12, 35, 0, N'x', N'INHALT', N'Feldinhalt / Antwort-Daten', 0, 0, Null, Null, Null, Null
UNION SELECT 61, N'20', N'MO ', 0, 13, 53, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 5, 35, 0, N'X', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 6, 1, 0, N'X/gro', N'REM', N'Rcknahme oder Erledigung', 0, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 7, 1, 0, N'X/gro', N'GNRM', N'Mit oder ohne Geschftsnummer', 0, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 8, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 9, 1, 0, N'X', N'MBEGM', N'B= Antrag war auf Papier, E=Antrag per EGVP', 0, 0, Null, Null, Null, Null
UNION SELECT 62, N'25', N'KS ', 0, 10, 62, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 4, 1, 0, N'X', N'ASANR', N'Anrede', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 5, 10, 0, N'X', N'ASN1', N'Antragsteller Name1', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 6, 10, 0, N'X', N'ASN2', N'Antragsteller Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 7, 10, 0, N'X', N'ASSTR', N'Antragsteller Strasse, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 8, 5, 0, N'X', N'ASPLZ', N'Antragsteller PLZ', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 9, 9, 0, N'X', N'ASO', N'Antragsteller Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 10, 1, 0, N'X', N'AGANR', N'Antragsgegner Anrede', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 11, 10, 0, N'X', N'AGN1', N'Antragsgegner Name1', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 12, 10, 0, N'X', N'AGN1', N'Antragsgegner Name2', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 13, 10, 0, N'X', N'AGSTR', N'Antragsgegner Strasse, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 14, 5, 0, N'X', N'AGPLZ', N'Antragsgegner PLZ', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 15, 9, 0, N'X', N'AGO', N'Antragsgegner Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 16, 10, 2, N'N/B', N'ASPBET', N'Summe aller Hauptansprche', 0, 0, 3, Null, Null, Null
UNION SELECT 63, N'25', N'ASAG ', 0, 17, 19, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 64, N'29', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 64, N'29', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 64, N'29', N'KS ', 0, 6, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 64, N'29', N'KS ', 0, 7, 1, 0, N'x/gro', N'EAM', N'Einzug-/Abgabe', 0, 0, Null, Null, Null, Null
UNION SELECT 64, N'29', N'KS ', 0, 8, 64, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 6, 35, 0, N'x', N'AGGZ', N'Gz. Antragsgegner', 0, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 7, 1, 0, N'x', N'WIM', N'Widerspruch', 1, 0, Null, Null, Null, 14
UNION SELECT 65, N'30', N'KS ', 0, 8, 10, 2, N'N/B', N'WIHFBET', N'Widerspruchsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 9, 1, 0, N'x/gro', N'WIZIM', N'Widerspruch gegen Zinsen', 0, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 10, 2, 0, N'x', N'WIZARTM', N'Art des Zinswiderspruchs', 0, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 11, 5, 3, N'n/b', N'WIZISA', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 12, 1, 0, N'x/gro', N'WIVKOM', N'Widerspruch gegen die Kosten', 0, 0, Null, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 13, 10, 2, N'N/B', N'WINEBBET', N'Widerspruchsbetrag Nebenforderung', 0, 0, 3, Null, Null, Null
UNION SELECT 65, N'30', N'KS ', 0, 14, 35, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 66, N'30', N'AG ', 0, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr.', 0, 0, Null, Null, Null, Null
UNION SELECT 66, N'30', N'AG ', 0, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 66, N'30', N'AG ', 0, 6, 27, 0, N'x', N'AGO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 66, N'30', N'AG ', 0, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 66, N'30', N'AG ', 0, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 67, N'30', N'AGGV ', 1, 4, 35, 0, N'x', N'AGGVFU', N'Stellung', 0, 0, Null, Null, Null, Null
UNION SELECT 67, N'30', N'AGGV ', 1, 5, 35, 0, N'x', N'AGGVN', N'Name', 0, 0, Null, Null, N'GVFU', Null
UNION SELECT 67, N'30', N'AGGV ', 1, 6, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 68, N'30', N'AGGV ', 2, 4, 35, 0, N'x', N'AGGVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 68, N'30', N'AGGV ', 2, 5, 5, 0, N'x', N'AGGVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 68, N'30', N'AGGV ', 2, 6, 27, 0, N'x', N'AGGVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 68, N'30', N'AGGV ', 2, 7, 3, 0, N'x', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 68, N'30', N'AGGV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 69, N'30', N'AGPV ', 1, 4, 1, 0, N'x', N'AGPVANR', N'Anrede', 0, 0, Null, Null, Null, 4
UNION SELECT 69, N'30', N'AGPV ', 1, 5, 70, 0, N'x', N'AGPVN', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 69, N'30', N'AGPV ', 1, 6, 48, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 70, N'30', N'AGPV ', 2, 4, 35, 0, N'x', N'AGPVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 70, N'30', N'AGPV ', 2, 5, 5, 0, N'x', N'AGPVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 70, N'30', N'AGPV ', 2, 6, 27, 0, N'x', N'AGPVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 70, N'30', N'AGPV ', 2, 7, 3, 0, N'x', N'AGPVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 70, N'30', N'AGPV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 71, N'40', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 71, N'40', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 71, N'40', N'KS ', 0, 6, 35, 0, N'x', N'AGGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 71, N'40', N'KS ', 0, 7, 65, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 72, N'40', N'AG ', 0, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 72, N'40', N'AG ', 0, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 72, N'40', N'AG ', 0, 6, 27, 0, N'x', N'AGO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 72, N'40', N'AG ', 0, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 72, N'40', N'AG ', 0, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 73, N'40', N'AGGV ', 1, 4, 35, 0, N'x', N'AGGVFU', N'Stellung', 1, 0, Null, Null, N'GVN', Null
UNION SELECT 73, N'40', N'AGGV ', 1, 5, 35, 0, N'x', N'AGGVN', N'Name', 1, 0, Null, Null, N'GVFU', Null
UNION SELECT 73, N'40', N'AGGV ', 1, 6, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 74, N'40', N'AGGV ', 2, 4, 35, 0, N'x', N'AGGVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 74, N'40', N'AGGV ', 2, 5, 5, 0, N'x', N'AGGVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 74, N'40', N'AGGV ', 2, 6, 27, 0, N'x', N'AGGVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 74, N'40', N'AGGV ', 2, 7, 3, 0, N'x', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 74, N'40', N'AGGV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 75, N'40', N'AGPV ', 1, 4, 1, 0, N'x', N'AGPVANR', N'Anrede', 0, 0, Null, Null, Null, 4
UNION SELECT 75, N'40', N'AGPV ', 1, 5, 70, 0, N'x', N'AGPVN', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 75, N'40', N'AGPV ', 1, 6, 48, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 76, N'40', N'AGPV ', 2, 4, 35, 0, N'x', N'AGPVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 76, N'40', N'AGPV ', 2, 5, 5, 0, N'x', N'AGPVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 76, N'40', N'AGPV ', 2, 6, 27, 0, N'x', N'AGPVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 76, N'40', N'AGPV ', 2, 7, 3, 0, N'x', N'AGPVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 76, N'40', N'AGPV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 5, 11, 0, N'n', N'GNR1', N'Gerichtsnummer 1. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 6, 11, 0, N'n', N'GNR2', N'Gerichtsnummer 2. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 7, 11, 0, N'n', N'GNR3', N'Gerichtsnummer 3. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 8, 11, 0, N'n', N'GNR4', N'Gerichtsnummer 4. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 9, 11, 0, N'n', N'GNR5', N'Gerichtsnummer 5. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 10, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 11, 6, 0, N'x', N'ELD', N'Erlass-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 12, 10, 2, N'n', N'ASPBET', N'Anspruchsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 13, 2, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 77, N'03', N'KS ', 0, 14, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 4, 8, 2, N'n/b', N'ASAUSL', N'Auslagen des Antragstellers', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 5, 7, 2, N'n', N'GERGEB', N'Gerichtsgebhr nach GKG', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 6, 4, 2, N'n', N'ZUAUSL', N'Zustellungsauslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 7, 9, 2, N'n', N'RAGEB', N'Vergtung nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 8, 7, 2, N'n', N'RAAUSL', N'Auslagen nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 9, 8, 2, N'n', N'RAMWST', N'abw. Umsatzsteuer', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 10, 10, 2, N'n', N'AUSGZI', N'vom Gericht /ausgerechnete Zinsen', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 11, 10, 2, N'n', N'NEBF', N'Nebenforderungen', 0, 0, 3, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 12, 52, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 78, N'03', N'AUSGB ', 0, 13, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 4, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger1', 0, 0, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 5, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger2', 0, 0, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 6, 2, 0, N'x/gro', N'ZIBANLKZ', N'Lnderkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 7, 2, 0, N'N/B', N'ZIBANPC', N'Prfcode', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 8, 8, 0, N'N', N'ZIBANBLZ', N'Bankleitzahl', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 9, 10, 0, N'N', N'ZIBANKTO', N'Kontonummer', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 10, 12, 0, N'X', N'ZIBANREST', N'Ergnzungsbereich', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 11, 11, 0, N'x/gro', N'ZBIC', N'Internationale Bankkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 79, N'03', N'ZAW ', 1, 12, 20, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 80, N'03', N'ZAW ', 2, 4, 7, 2, N'N', N'ZBET', N'Zahlbetrag', 0, 0, Null, Null, Null, Null
UNION SELECT 80, N'03', N'ZAW ', 2, 5, 27, 0, N'X', N'ZVWZ', N'Verwendungszweck', 0, 0, Null, Null, Null, Null
UNION SELECT 80, N'03', N'ZAW ', 2, 6, 85, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 6, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 7, 2, 0, N'x', N'NAM', N'Nachrichtenart', 0, 0, Null, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 8, 6, 0, N'X', N'ZUD', N'Zustellungsdatum', 0, 0, 2, Null, Null, Null
UNION SELECT 81, N'05', N'KS ', 0, 9, 57, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 82, N'05', N'AG ', 1, 4, 5, 0, N'x', N'AGANR', N'Anrede lt. Post', 0, 0, Null, Null, Null, Null
UNION SELECT 82, N'05', N'AG ', 1, 5, 35, 0, N'x', N'AGN1', N'Name1 lt. Post', 0, 0, Null, Null, Null, Null
UNION SELECT 82, N'05', N'AG ', 1, 6, 35, 0, N'x', N'AGN2', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 82, N'05', N'AG ', 1, 7, 35, 0, N'x', N'AGN3', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 82, N'05', N'AG ', 1, 8, 9, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 83, N'05', N'AG ', 2, 4, 35, 0, N'x', N'AGN4', N'Name4 lt. Post', 0, 0, Null, Null, Null, Null
UNION SELECT 83, N'05', N'AG ', 2, 5, 84, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 6, 27, 0, N'x', N'AGO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 8, 1, 0, N'x', N'GVMM', N'Merkmal ges. Vertreter', 0, 0, 5, Null, Null, 15
UNION SELECT 84, N'05', N'AG ', 3, 9, 35, 0, N'x', N'GVFU', N'Vertretungsverhltnis', 0, 0, Null, Null, Null, Null
UNION SELECT 84, N'05', N'AG ', 3, 10, 13, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 85, N'05', N'AGGV ', 0, 4, 35, 0, N'x', N'AGGVN', N'Name', 1, 0, Null, Null, N'GVFU', Null
UNION SELECT 85, N'05', N'AGGV ', 0, 5, 35, 0, N'x', N'AGGVSH', N'Strae, Nr.', 0, 0, Null, Null, Null, Null
UNION SELECT 85, N'05', N'AGGV ', 0, 6, 5, 0, N'x', N'AGGVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 85, N'05', N'AGGV ', 0, 7, 27, 0, N'x', N'AGGVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 85, N'05', N'AGGV ', 0, 8, 3, 0, N'x', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 85, N'05', N'AGGV ', 0, 9, 14, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 86, N'05', N'NZUG ', 1, 4, 1, 0, N'x', N'NZUMM', N'Schlssel Nichtzustellung', 0, 0, Null, Null, Null, Null
UNION SELECT 86, N'05', N'NZUG ', 1, 5, 1, 0, N'x', N'FMM', N'Fehlerhinweis Postleitzahl', 0, 0, Null, Null, Null, Null
UNION SELECT 86, N'05', N'NZUG ', 1, 6, 90, 0, N'x', N'NZUG1', N'Textfeld', 0, 0, Null, Null, Null, Null
UNION SELECT 86, N'05', N'NZUG ', 1, 7, 27, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 87, N'05', N'NZUG ', 2, 4, 30, 0, N'x', N'NZUG2', N'Textfeld', 0, 0, Null, Null, Null, Null
UNION SELECT 87, N'05', N'NZUG ', 2, 5, 89, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Empfnger-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 6, 35, 0, N'x', N'AS/AGGZ', N'Geschftszeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 7, 6, 0, N'x', N'ABD', N'Datum der Abgabe', 0, 0, 2, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 8, 9, 2, N'n', N'PKH2', N'Weitere Kosten fr streitiges Verfahren', 0, 0, 3, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 9, 1, 0, N'x', N'PGM', N'Prozessgerichtsart', 0, 0, Null, Null, Null, 5
UNION SELECT 88, N'16', N'KS ', 0, 10, 5, 0, N'x', N'PGPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 11, 30, 0, N'x', N'PGO', N'Prozessgerichtsort', 0, 0, Null, Null, Null, Null
UNION SELECT 88, N'16', N'KS ', 0, 12, 6, 0, N'x', N'WIEFD', N'Datum Widerspruchseingang', 0, 0, 2, Null, Null, Null
UNION SELECT 88, N'16', N'AG ', 0, 13, 8, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 89, N'16', N'AG ', 0, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 89, N'16', N'AG ', 0, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 89, N'16', N'AG ', 0, 6, 27, 0, N'x', N'AGO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 89, N'16', N'AG ', 0, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 89, N'16', N'AG ', 0, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 90, N'16', N'AG ', 1, 4, 35, 0, N'x', N'AGGVFU', N'Stellung', 1, 0, Null, Null, N'GVN', Null
UNION SELECT 90, N'16', N'AG ', 1, 5, 35, 0, N'x', N'AGGVN', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 90, N'16', N'AG ', 1, 6, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 91, N'16', N'AGGV ', 2, 4, 35, 0, N'x', N'AGGVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 91, N'16', N'AGGV ', 2, 5, 5, 0, N'x', N'AGGVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 91, N'16', N'AGGV ', 2, 6, 27, 0, N'x', N'AGGVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 91, N'16', N'AGGV ', 2, 7, 3, 0, N'x', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 91, N'16', N'AGGV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 92, N'16', N'AGPV ', 1, 4, 1, 0, N'x', N'AGPVANR', N'Anrede', 0, 0, Null, Null, Null, 4
UNION SELECT 92, N'16', N'AGPV ', 1, 5, 105, 0, N'x', N'AGPVN', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 92, N'16', N'AGPV ', 1, 6, 13, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 93, N'16', N'AGPV ', 2, 4, 35, 0, N'x', N'AGPVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 93, N'16', N'AGPV ', 2, 5, 5, 0, N'x', N'AGPVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 93, N'16', N'AGPV ', 2, 6, 27, 0, N'x', N'AGPVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 93, N'16', N'AGPV ', 2, 7, 3, 0, N'x', N'AGPVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 93, N'16', N'AGPV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 0, 0, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 5, 11, 0, N'N', N'GNR', N'Geschftszeichen', 1, 0, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 6, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 7, 35, 0, N'x', N'AGGZ', N'Gz. Antragsgegner', 0, 0, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 8, 11, 2, N'n', N'WISTW', N'Streitwert aus Widerspruch', 0, 0, 3, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 9, 9, 2, N'n', N'PKH2', N'Kosten fr das streitige Verfahren', 0, 0, 3, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 10, 6, 2, N'n', N'ZUAUSL', N'Betrag Zustellungsauslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 11, 1, 0, N'x', N'ASTRVM', N'Streitiges Verfahren', 0, 0, Null, Null, Null, Null
UNION SELECT 94, N'18', N'KS ', 0, 12, 3, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 4, 1, 0, N'x', N'WIARTM', N'Widerspruch', 0, 0, 5, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 5, 1, 0, N'x', N'WIANZ', N'Widerspruchs Anzahl', 0, 0, 5, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 6, 1, 0, N'x', N'WIBEGR', N'Widerspruchbegrndung', 0, 0, 5, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 7, 10, 2, N'n', N'WIHFBET', N'Widerspruchsbetrag-1', 0, 0, 3, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 8, 1, 0, N'x', N'WIZIM', N'Widerspruch gegen Zinsen', 0, 0, Null, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 9, 2, 0, N'x', N'WIDISKM', N'Merkmal Basiszins', 0, 0, Null, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 10, 5, 3, N'n', N'WIZISA', N'Zinssatz', 0, 0, 6, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 11, 1, 0, N'x', N'WIVKOM', N'Merkmal Verfahrenskosten', 0, 0, Null, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 12, 10, 2, N'n', N'WINEBBET', N'Widerspruchsbetrag-2', 0, 0, 3, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 13, 1, 0, N'x', N'PGM', N'Prozessgerichtsart', 0, 0, Null, Null, Null, 5
UNION SELECT 95, N'18', N'WIPG ', 0, 14, 5, 0, N'x', N'PGPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 15, 30, 0, N'x', N'PGO', N'Prozessgerichtsort', 0, 0, Null, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 16, 6, 0, N'x', N'WIEFD', N'Datum Widerspruchseingang', 0, 0, 2, Null, Null, Null
UNION SELECT 95, N'18', N'WIPG ', 0, 17, 45, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 96, N'18', N'AG ', 0, 4, 35, 0, N'x', N'AGSH', N'Strae, Nr.', 1, 0, Null, Null, Null, Null
UNION SELECT 96, N'18', N'AG ', 0, 5, 5, 0, N'x', N'AGPLZ', N'Postleitzahl', 1, 0, 4, Null, Null, Null
UNION SELECT 96, N'18', N'AG ', 0, 6, 27, 0, N'x', N'AGO', N'Ort', 1, 0, Null, Null, Null, Null
UNION SELECT 96, N'18', N'AG ', 0, 7, 3, 0, N'x', N'AGAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 96, N'18', N'AG ', 0, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 97, N'18', N'AGGV ', 1, 4, 35, 0, N'x', N'AGGVFU', N'Stellung', 1, 0, Null, Null, N'GVN', Null
UNION SELECT 97, N'18', N'AGGV ', 1, 5, 35, 0, N'x', N'AGGVN', N'Name', 1, 0, Null, Null, N'GVFU', Null
UNION SELECT 97, N'18', N'AGGV ', 1, 6, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 98, N'18', N'AGGV ', 2, 4, 35, 0, N'x', N'AGGVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 98, N'18', N'AGGV ', 2, 5, 5, 0, N'x', N'AGGVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 98, N'18', N'AGGV ', 2, 6, 27, 0, N'x', N'AGGVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 98, N'18', N'AGGV ', 2, 7, 3, 0, N'x', N'AGGVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 98, N'18', N'AGGV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 99, N'18', N'AGPV ', 1, 4, 1, 0, N'x', N'AGPVANR', N'Anrede', 0, 0, Null, Null, Null, 4
UNION SELECT 99, N'18', N'AGPV ', 1, 5, 105, 0, N'x', N'AGPVN', N'Name', 0, 0, Null, Null, Null, Null
UNION SELECT 99, N'18', N'AGPV ', 1, 6, 13, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 100, N'18', N'AGPV ', 2, 4, 35, 0, N'x', N'AGPVSH', N'Strae, Nr', 0, 0, Null, Null, Null, Null
UNION SELECT 100, N'18', N'AGPV ', 2, 5, 5, 0, N'x', N'AGPVPLZ', N'Postleitzahl', 0, 0, 4, Null, Null, Null
UNION SELECT 100, N'18', N'AGPV ', 2, 6, 27, 0, N'x', N'AGPVO', N'Ort', 0, 0, Null, Null, Null, Null
UNION SELECT 100, N'18', N'AGPV ', 2, 7, 3, 0, N'x', N'AGPVAL', N'Land', 0, 0, Null, Null, Null, Null
UNION SELECT 100, N'18', N'AGPV ', 2, 8, 49, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 5, 11, 0, N'n', N'GNR1', N'Gerichtsnummer 1. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 6, 11, 0, N'n', N'GNR2', N'Gerichtsnummer 2. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 7, 11, 0, N'n', N'GNR3', N'Gerichtsnummer 3. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 8, 11, 0, N'n', N'GNR4', N'Gerichtsnummer 4. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 9, 11, 0, N'n', N'GNR5', N'Gerichtsnummer 5. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 10, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 11, 6, 0, N'x', N'ELD', N'Erlass-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 12, 10, 2, N'n', N'ASPBET', N'Anspruchsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 13, 2, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 101, N'21', N'KS ', 0, 14, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 4, 8, 2, N'n/b', N'ASAUSL', N'Auslagen des Antragstellers', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 5, 7, 2, N'n', N'GERGEB', N'Gerichtsgebhr nach GKG', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 6, 4, 2, N'n', N'ZUAUSL', N'Zustellungsauslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 7, 9, 2, N'n', N'RAGEB', N'Vergtung nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 8, 7, 2, N'n', N'RAAUSL', N'Auslagen nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 9, 8, 2, N'n', N'RAMWST', N'abw. Umsatzsteuer', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 10, 10, 2, N'n', N'AUSGZI', N'vom Gericht /ausgerechnete Zinsen', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 11, 10, 2, N'n', N'NEBF', N'Nebenforderungen', 0, 0, 3, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 12, 52, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 102, N'21', N'AUSGB ', 0, 13, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 4, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger1', 0, 0, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 5, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger2', 0, 0, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 6, 2, 0, N'x/gro', N'ZIBANLKZ', N'Lnderkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 7, 2, 0, N'N/B', N'ZIBANPC', N'Prfcode', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 8, 8, 0, N'N', N'ZIBANBLZ', N'Bankleitzahl', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 9, 10, 0, N'N', N'ZIBANKTO', N'Kontonummer', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 10, 12, 0, N'X', N'ZIBANREST', N'Ergnzungsbereich', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 11, 11, 0, N'x/gro', N'ZBIC', N'Internationale Bankkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 103, N'21', N'ZAW ', 1, 12, 20, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 104, N'21', N'ZAW ', 2, 4, 7, 2, N'N', N'ZBET', N'Zahlbetrag', 0, 0, Null, Null, Null, Null
UNION SELECT 104, N'21', N'ZAW ', 2, 5, 27, 0, N'X', N'ZVWZ', N'Verwendungszweck', 0, 0, Null, Null, Null, Null
UNION SELECT 104, N'21', N'ZAW ', 2, 6, 85, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 5, 11, 0, N'n', N'GNR1', N'Gerichtsnummer 1. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 6, 11, 0, N'n', N'GNR2', N'Gerichtsnummer 2. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 7, 11, 0, N'n', N'GNR3', N'Gerichtsnummer 3. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 8, 11, 0, N'n', N'GNR4', N'Gerichtsnummer 4. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 9, 11, 0, N'n', N'GNR5', N'Gerichtsnummer 5. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 10, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 11, 6, 0, N'x', N'ELD', N'Erlass-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 12, 10, 2, N'n', N'ASPBET', N'Anspruchsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 13, 2, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 105, N'22', N'KS ', 0, 14, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 4, 8, 2, N'n/b', N'ASAUSL', N'Auslagen des Antragstellers', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 5, 7, 2, N'n', N'GERGEB', N'Gerichtsgebhr nach GKG', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 6, 4, 2, N'n', N'ZUAUSL', N'Zustellungsauslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 7, 9, 2, N'n', N'RAGEB', N'Vergtung nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 8, 7, 2, N'n', N'RAAUSL', N'Auslagen nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 9, 8, 2, N'n', N'RAMWST', N'abw. Umsatzsteuer', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 10, 10, 2, N'n', N'AUSGZI', N'vom Gericht /ausgerechnete Zinsen', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 11, 10, 2, N'n', N'NEBF', N'Nebenforderungen', 0, 0, 3, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 12, 52, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 106, N'22', N'AUSGB ', 0, 13, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 4, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger1', 0, 0, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 5, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger2', 0, 0, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 6, 2, 0, N'x/gro', N'ZIBANLKZ', N'Lnderkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 7, 2, 0, N'N/B', N'ZIBANPC', N'Prfcode', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 8, 8, 0, N'N', N'ZIBANBLZ', N'Bankleitzahl', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 9, 10, 0, N'N', N'ZIBANKTO', N'Kontonummer', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 10, 12, 0, N'X', N'ZIBANREST', N'Ergnzungsbereich', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 11, 11, 0, N'x/gro', N'ZBIC', N'Internationale Bankkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 107, N'22', N'ZAW ', 1, 12, 20, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 108, N'22', N'ZAW ', 2, 4, 7, 2, N'N', N'ZBET', N'Zahlbetrag', 0, 0, Null, Null, Null, Null
UNION SELECT 108, N'22', N'ZAW ', 2, 5, 27, 0, N'X', N'ZVWZ', N'Verwendungszweck', 0, 0, Null, Null, Null, Null
UNION SELECT 108, N'22', N'ZAW ', 2, 6, 85, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 4, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 5, 11, 0, N'n', N'GNR1', N'Gerichtsnummer 1. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 6, 11, 0, N'n', N'GNR2', N'Gerichtsnummer 2. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 7, 11, 0, N'n', N'GNR3', N'Gerichtsnummer 3. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 8, 11, 0, N'n', N'GNR4', N'Gerichtsnummer 4. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 9, 11, 0, N'n', N'GNR5', N'Gerichtsnummer 5. AG', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 10, 35, 0, N'x', N'ASGZ', N'Eigenes Zeichen', 0, 0, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 11, 6, 0, N'x', N'ELD', N'Erlass-Datum', 0, 0, 2, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 12, 10, 2, N'n', N'ASPBET', N'Anspruchsbetrag', 0, 0, 3, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 13, 2, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 109, N'23', N'KS ', 0, 14, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 4, 8, 2, N'n/b', N'ASAUSL', N'Auslagen des Antragstellers', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 5, 7, 2, N'n', N'GERGEB', N'Gerichtsgebhr nach GKG', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 6, 4, 2, N'n', N'ZUAUSL', N'Zustellungsauslagen', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 7, 9, 2, N'n', N'RAGEB', N'Vergtung nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 8, 7, 2, N'n', N'RAAUSL', N'Auslagen nach RVG', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 9, 8, 2, N'n', N'RAMWST', N'abw. Umsatzsteuer', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 10, 10, 2, N'n', N'AUSGZI', N'vom Gericht /ausgerechnete Zinsen', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 11, 10, 2, N'n', N'NEBF', N'Nebenforderungen', 0, 0, 3, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 12, 52, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 110, N'23', N'AUSGB ', 0, 13, 3, 0, N'x', N'SYSTEM', N'Satzendemarken', 0, 0, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 4, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger1', 0, 0, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 5, 27, 0, N'X', N'ZEMPF1', N'Zahlungsempfnger2', 0, 0, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 6, 2, 0, N'x/gro', N'ZIBANLKZ', N'Lnderkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 7, 2, 0, N'N/B', N'ZIBANPC', N'Prfcode', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 8, 8, 0, N'N', N'ZIBANBLZ', N'Bankleitzahl', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 9, 10, 0, N'N', N'ZIBANKTO', N'Kontonummer', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 10, 12, 0, N'X', N'ZIBANREST', N'Ergnzungsbereich', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 11, 11, 0, N'x/gro', N'ZBIC', N'Internationale Bankkennung', 0, 1, Null, Null, Null, Null
UNION SELECT 111, N'23', N'ZAW ', 1, 12, 20, 0, N'x', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 112, N'23', N'ZAW ', 2, 4, 7, 2, N'N', N'ZBET', N'Zahlbetrag', 0, 0, Null, Null, Null, Null
UNION SELECT 112, N'23', N'ZAW ', 2, 5, 27, 0, N'X', N'ZVWZ', N'Verwendungszweck', 0, 0, Null, Null, Null, Null
UNION SELECT 112, N'23', N'ZAW ', 2, 6, 85, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 113, N'90', N'QU ', 0, 4, 116, 0, N'x', N'TEXT', N'Text', 0, 0, Null, Null, Null, Null
UNION SELECT 113, N'90', N'QL ', 0, 5, 3, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
UNION SELECT 114, N'03', N'RM ', 0, 4, 1, 0, N'X', N'RMART', N'Art des Rechtsmittels', 0, 0, Null, Null, Null, 19
UNION SELECT 114, N'03', N'RM ', 0, 5, 2, 0, N'n', N'RMFRIST', N'Rechtsmittelfrist', 0, 0, Null, Null, Null, 20
UNION SELECT 114, N'03', N'RM ', 0, 6, 15, 0, N'X', N'RMNORM', N'Rechtsgrundlage des Rechtsmittels', 0, 0, Null, Null, Null, Null
UNION SELECT 114, N'03', N'RM ', 0, 7, 1, 0, N'X', N'RMG1ART', N'Art des Rechtsmittelbegrichts', 0, 0, Null, Null, Null, 18
UNION SELECT 114, N'03', N'RM ', 0, 8, 35, 0, N'X', N'RMG1PLZO', N'Plz / Ort des Rechtsmittelgerichts', 0, 0, Null, Null, Null, Null
UNION SELECT 114, N'03', N'RM ', 0, 9, 1, 0, N'X', N'RMG2ART', N'Art des alternativen Rechtsmittelgerichts', 0, 0, Null, Null, Null, 18
UNION SELECT 114, N'03', N'RM ', 0, 10, 35, 0, N'X', N'RMG2PLZO', N'PLZ / Ort des alternativen Rechtsmittelgereichts', 0, 0, Null, Null, Null, Null
UNION SELECT 114, N'03', N'RM ', 0, 11, 26, 0, N'X', N'FILLER', N'Leer', 0, 0, Null, Null, Null, Null
UNION SELECT 114, N'03', N'RM ', 0, 12, 3, 0, N'X', N'FILLER', N'Leer', 0, 0, Null, Null, Null, Null
UNION SELECT 115, N'18', N'RM ', 0, 4, 1, 0, N'X', N'RMART', N'Art des Rechtsmittels', 0, 0, Null, Null, Null, 19
UNION SELECT 115, N'18', N'RM ', 0, 5, 2, 0, N'n', N'RMFRIST', N'Rechtsmittelfrist', 0, 0, Null, Null, Null, 20
UNION SELECT 115, N'18', N'RM ', 0, 6, 15, 0, N'X', N'RMNORM', N'Rechtsgrundlage des Rechtsmittels', 0, 0, Null, Null, Null, Null
UNION SELECT 115, N'18', N'RM ', 0, 7, 1, 0, N'X', N'RMG1ART', N'Art des Rechtsmittelbegrichts', 0, 0, Null, Null, Null, 18
UNION SELECT 115, N'18', N'RM ', 0, 8, 35, 0, N'X', N'RMG1PLZO', N'Plz / Ort des Rechtsmittelgerichts', 0, 0, Null, Null, Null, Null
UNION SELECT 115, N'18', N'RM ', 0, 9, 1, 0, N'X', N'RMG2ART', N'Art des alternativen Rechtsmittelgerichts', 0, 0, Null, Null, Null, 18
UNION SELECT 115, N'18', N'RM ', 0, 10, 35, 0, N'X', N'RMG2PLZO', N'PLZ / Ort des alternativen Rechtsmittelgereichts', 0, 0, Null, Null, Null, Null
UNION SELECT 115, N'18', N'RM ', 0, 11, 26, 0, N'X', N'FILLER', N'Leer', 0, 0, Null, Null, Null, Null
UNION SELECT 115, N'18', N'RM ', 0, 12, 3, 0, N'X', N'FILLER', N'Leer', 0, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 2, 8, 0, N'N', N'TKEZI', N'Teilnehmer-Kennziffer', 1, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 3, 7, 0, N'N', N'ANTANZ', N'Anzahl Antrge', 1, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 4, 7, 0, N'N', N'SANZ', N'Anzahl Stze', 1, 0, 1, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 5, 7, 0, N'N', N'SKATNR', N'Summe Katalog-Nummern', 1, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 6, 14, 2, N'N', N'SUASP', N'Summe Anspruchsbetrge', 1, 0, 3, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 7, 15, 0, N'N', N'SUGNR', N'Summe Gerichtsnummern', 0, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 8, 7, 0, N'N', N'ASPANZ', N'Anzahl Ansprche', 1, 0, Null, Null, Null, Null
UNION SELECT 135, N'BB', N'NN ', 0, 9, 61, 0, N'X', N'FILLER', N'leer', 0, 1, Null, Null, Null, Null
END

GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM EdaItemData) INSERT INTO EdaItemData(id, wert, Text)
SELECT 2, 1, N'Herr'
UNION SELECT 2, 2, N'Frau'
UNION SELECT 2, 3, N'Einzelfirma'
UNION SELECT 2, 4, N'GmbH & Co KG'
UNION SELECT 2, 5, N'GmbH'
UNION SELECT 2, 6, N'KG'
UNION SELECT 2, 7, N'AG'
UNION SELECT 2, 8, N'KGaA'
UNION SELECT 2, 9, N'Partei kraft Amtes'
UNION SELECT 2, 10, N'e.G'
UNION SELECT 2, 11, N'VVaG'
UNION SELECT 2, 12, N'oHG'
UNION SELECT 2, 13, N'e.V'
UNION SELECT 2, 14, N'GbR'
UNION SELECT 2, 15, N'LLP'
UNION SELECT 4, 1, N'Rechtsanwalt'
UNION SELECT 4, 2, N'Rechtsanwlte'
UNION SELECT 4, 3, N'Rechtsbeistand'
UNION SELECT 4, 4, N'Herr / Frau'
UNION SELECT 4, 5, N'Rechtsanwltin'
UNION SELECT 4, 6, N'Rechtsanwltinnen'
UNION SELECT 4, 7, N'Rechtsanwaltsgemeinschaft'
UNION SELECT 4, 8, N'Registriertes Inkassounternehmen'
UNION SELECT 4, 9, N'Verbraucherzentrale / -verband'
UNION SELECT 5, 1, N'Amtsgericht - Zivilabteilung'
UNION SELECT 5, 2, N'Landgericht - Zivilkammer'
UNION SELECT 5, 3, N'Landgericht - Kammer f. Handelssachen'
UNION SELECT 5, 6, N'Amtsgericht - Familiengericht'
UNION SELECT 5, 8, N'Sozialgericht'
UNION SELECT 6, 1, N'jhrlich'
UNION SELECT 6, 2, N'monatlich'
UNION SELECT 6, 3, N'tglich'
UNION SELECT 7, 1, N'beidseitiges Handelsgeschft'
UNION SELECT 7, 2, N'Zahlungszusage durch AG'
UNION SELECT 7, 3, N'Stundungsersuchen des AG'
UNION SELECT 7, 4, N'Vergleichsangebot des AG'
UNION SELECT 7, 5, N'Ratenzahlungsangebot des AG'
UNION SELECT 8, 1, N'Zinsen jhrlich'
UNION SELECT 8, 2, N'Zinsen monatlich'
UNION SELECT 8, 3, N'Zinsen tglich'
UNION SELECT 9, 0, N'laufende Zinsen'
UNION SELECT 9, 3, N'ausgerechnete Zinsen'
UNION SELECT 10, 1, N'Anzeigen in Zeitungen u. a. (1)'
UNION SELECT 10, 2, N'rztliche oder zahnrztliche Leistung (2)'
UNION SELECT 10, 3, N'Brgschaft (3)'
UNION SELECT 10, 4, N'Darlehensrckzahlung (4)'
UNION SELECT 10, 5, N'Dienstleistungsvertrag (5)'
UNION SELECT 10, 6, N'Frachtkosten(6)'
UNION SELECT 10, 7, N'Geschftsbesorgung durch Selbstndige(7)'
UNION SELECT 10, 8, N'Handwerkerleistung(8)'
UNION SELECT 10, 9, N'Heimunterbringung(9)'
UNION SELECT 10, 10, N'Hotelkosten(10)'
UNION SELECT 10, 11, N'Kaufvertrag(11)'
UNION SELECT 10, 12, N'Kontokorrentabrechnung(12)'
UNION SELECT 10, 13, N'Krankenhauskosten, Pflege-/ Behandlung (13)'
UNION SELECT 10, 14, N'Lagerkosten(14)'
UNION SELECT 10, 15, N'Leasing/Mietkauf (15)'
UNION SELECT 10, 16, N'Lehrgangs-/Unterrichtskosten(16)'
UNION SELECT 10, 17, N'Miete fr Geschftsraum einschl. Nebenkosten(17)'
UNION SELECT 10, 18, N'Miete fr Kraftfahrzeug(18)'
UNION SELECT 10, 19, N'Miete fr Wohnraum einschl. Nebenkosten(19)'
UNION SELECT 10, 20, N'Mietnebenkosten, Renovierungskosten (20)'
UNION SELECT 10, 21, N'Miete (sonstige)(21)'
UNION SELECT 10, 22, N'Mitgliedsbeitrag(22)'
UNION SELECT 10, 23, N'Pacht(23)'
UNION SELECT 10, 24, N'Rechtsanwalts-/Rechtsbeistandshonorar(24)'
UNION SELECT 10, 25, N'Rentenrckstnde(25)'
UNION SELECT 10, 26, N'Reparaturleistung(26)'
UNION SELECT 10, 27, N'Rckgriff aus Versicherungsvertrag wegen Unfall/Vorfall(27)'
UNION SELECT 10, 28, N'Schadenersatz aus Vertrag (28)'
UNION SELECT 10, 29, N'Schadenersatz aus Unfall/Vorfall(29)'
UNION SELECT 10, 30, N'Scheck/Wechsel(30)'
UNION SELECT 10, 31, N'Scheck-/Wechselprovision (1/3%)(31)'
UNION SELECT 10, 32, N'Scheck-/Wechselunkosten - Spesen/Protest -(32)'
UNION SELECT 10, 33, N'Schuldanerkenntnis(33)'
UNION SELECT 10, 34, N'Speditionskosten(34)'
UNION SELECT 10, 35, N'Tilgungs-/Zinsraten(35)'
UNION SELECT 10, 36, N'berziehung des Bankkontos(36)'
UNION SELECT 10, 37, N'Ungerechtfertigte Bereicherung(37)'
UNION SELECT 10, 38, N'Unterhaltsrckstnde(38)'
UNION SELECT 10, 39, N'Vergleich, auergerichtlicher(39)'
UNION SELECT 10, 40, N'Vermittlungs-/Maklerprovision (40)'
UNION SELECT 10, 41, N'Versicherungsprmie/-beitrag(41)'
UNION SELECT 10, 42, N'Versorgungsleistung - Strom, Wasser Gas, Wrme - (42)'
UNION SELECT 10, 43, N'Warenlieferungen(43)'
UNION SELECT 10, 44, N'Werkvertrag/Werklieferungsvertrag(44)'
UNION SELECT 10, 45, N'Zeitungs-/Zeitschriftenbezug(45)'
UNION SELECT 10, 46, N'Zinsrckstnde/Verzugszinsen (46)'
UNION SELECT 10, 61, N'Wahlleistungen bei stationrer Behandlung (61)'
UNION SELECT 10, 70, N'Kindertagesstttenbeitrag (70)'
UNION SELECT 10, 75, N'Reisevertrag(75)'
UNION SELECT 10, 76, N'Telekommunikationsleistungen (76)'
UNION SELECT 10, 77, N'Krankentransportkosten (77)'
UNION SELECT 10, 78, N'Tierrztliche Leistung (78)'
UNION SELECT 10, 79, N'Verpflegungskosten (79)'
UNION SELECT 10, 90, N'Wohngeld/Hausgeld fr WEG (90)'
UNION SELECT 10, 95, N'Beitrge zur privaten Pflegeversicherung (95)'
UNION SELECT 11, 1, N'AG hat keine Zahlungen geleistet'
UNION SELECT 11, 2, N'AG hat nur die angegebenen Zahlungen geleistet'
UNION SELECT 12, 1, N'Zustellung durch Mahngericht'
UNION SELECT 12, 2, N'Zustellung im Parteibetrieb'
UNION SELECT 13, 1, N'alphanumerisch'
UNION SELECT 13, 2, N'Betrag'
UNION SELECT 13, 4, N'Datum'
UNION SELECT 13, 5, N'Ja/nein'
UNION SELECT 13, 6, N'Adresse'
UNION SELECT 13, 8, N'alphanumerisch'
UNION SELECT 14, 1, N'Gesamtwiderspruch'
UNION SELECT 14, 2, N'Teilwiderspruch'
UNION SELECT 15, 1, N'nderung des gesetzlichen Vertreters'
UNION SELECT 15, 2, N'Mitteilung eines neuen gesetzlichen Vertreters'
UNION SELECT 16, 0, N'normales Mahnverfahren'
UNION SELECT 16, 1, N'Scheckmahnverfahren'
UNION SELECT 16, 2, N'Wechselmahnverfahren'
UNION SELECT 16, 3, N'Urkundenmahnverfahren'
UNION SELECT 17, 1, N'Antragsteller zu 1) ist Kontoinhaber'
UNION SELECT 17, 2, N'Prozessbevollmchtigter ist Kontoinhaber'
UNION SELECT 18, 1, N'Amtsgericht - Mahnabteilung'
UNION SELECT 18, 2, N'Landgericht'
UNION SELECT 18, 3, N'Oberlandesgericht'
UNION SELECT 18, 4, N'Amtsgericht - Vollstreckungsgericht'
UNION SELECT 19, 1, N'Erinnerung'
UNION SELECT 19, 2, N'Beschwerde'
UNION SELECT 20, 0, N'unbefristet'
UNION SELECT 20, 1, N'1 Woche'
UNION SELECT 20, 2, N'2 Wochen'
UNION SELECT 20, 3, N'3 Wochen'
UNION SELECT 20, 4, N'4 Wochen'
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM EdaKennz) INSERT INTO EdaKennz(Kennz, Bezeichnung)
SELECT N'ABB', N'Abbuchungsermchtigung'
UNION SELECT N'ABT', N'Abtretung'
UNION SELECT N'AG', N'Antragsgegner'
UNION SELECT N'AGGV ', N'gesetzlicher Vertreter des Antragsgegners'
UNION SELECT N'AGGVN', N'Neuer gesetzlicher Vertreter'
UNION SELECT N'AGGVZ', N'Gesetzlicher Vertreter als Zustellungsempfnger'
UNION SELECT N'AGPV ', N'Antragsteller-Prozessbevollmchtigter'
UNION SELECT N'ANF', N'Andere Nebenforderung'
UNION SELECT N'AS ', N'Antragsteller'
UNION SELECT N'ASAG', N'Abtretung / Forderungsbergang'
UNION SELECT N'ASGV ', N'gesetzlicher Vertreter des Antragstellers'
UNION SELECT N'ASPK ', N'Kataloganspruch'
UNION SELECT N'ASPS ', N'Sonstiger Anspruch'
UNION SELECT N'ASPV ', N'Antragsteller-Prozessbevollmchtigter'
UNION SELECT N'ASPVA', N'Prozessbevollmchtigter / antragsspezifische Angaben'
UNION SELECT N'ASPZM', N'Miete / WEG'
UNION SELECT N'ASPZV', N'Vertragsart'
UNION SELECT N'AUSGB', N'Erla-/Kostennachricht'
UNION SELECT N'AUSK', N'Auskunftskosten'
UNION SELECT N'AUSL ', N'Auslagen Antragsteller'
UNION SELECT N'BANK', N'Bankverbindung Antragsteller / Prozessbevollmchtigter'
UNION SELECT N'BKRL', N'Bankrcklastkosten'
UNION SELECT N'INKB', N'Inkassokosten'
UNION SELECT N'KNNEMB', N'Kostennachricht - Auslagen Neuzustellung MB'
UNION SELECT N'KNNEVB', N'Kostennachricht - Auslagen Neuzustellung VB'
UNION SELECT N'KNVB', N'Kostennachricht - Auslagen Zustellung VB'
UNION SELECT N'KS ', N'Kennsatz'
UNION SELECT N'MAHNK', N'Mahnkosten'
UNION SELECT N'MO ', N'Monierung'
UNION SELECT N'NEBF', N'Nebenforderungen / Kosten'
UNION SELECT N'NN ', N'NN'
UNION SELECT N'NZUG ', N'Zustellungsbericht'
UNION SELECT N'QL', N'Quittung'
UNION SELECT N'QU ', N'Empfangsbesttigung'
UNION SELECT N'VKG ', N'Verbraucherkredit'
UNION SELECT N'VV23', N'Vorgerichtliche Vergtung gem. RVG KV 2300'
UNION SELECT N'WAUSL', N'Weitere Auslagen und Nebenforderungen VB'
UNION SELECT N'WIPG ', N'Widerspruchsnachricht'
UNION SELECT N'ZAHL ', N'Zahlungen Vollstreckungsbescheid'
UNION SELECT N'ZAHL2', N'Weitere Angaben zu Zahlungen'
UNION SELECT N'ZAW', N'Erlass- und Kostennachricht Mahnbescheid'
UNION SELECT N'ZIAUS', N'Ausgerechnete Zinsen'
UNION SELECT N'ZINS ', N'Zinsanspruch'
GO


SET ANSI_NULLS ON
DELETE FROM AdressenEgvp
IF NOT EXISTS (SELECT * FROM AdressenEgvp) INSERT INTO AdressenEgvp(Ort, AdressId, NutzerId)
SELECT N'Aschersleben', Null, N'govello-1168951302472-000015504'
UNION SELECT N'Bremen', Null, N'govello-1133344563234-000000050'
UNION SELECT N'Coburg', Null, N'govello-1172150600627-000034019'
UNION SELECT N'Euskirchen', Null, N'govello-1168613420900-000015025'
UNION SELECT N'Hagen', Null, N'govello-1153915671432-000001402'
UNION SELECT N'Hamburg', Null, N'govello-1170769425640-000019653'
UNION SELECT N'Hnfeld', Null, N'govello-1172653171189-000034706'
UNION SELECT N'Mayen', Null, N'govello-1191330410267-000055566'
UNION SELECT N'Schleswig', Null, N'govello-1168942777213-000015428'
UNION SELECT N'Stuttgart', Null, N'govello-1171628041221-000033051'
UNION SELECT N'Uelzen', Null, N'govello-1169027326756-000015768'
UNION SELECT N'Wedding', Null, N'govello-1268136168816-000210287'
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM honorartabelle) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM honorartabelle) INSERT INTO honorartabelle(Tabelle, Bis, Betrag)
SELECT N'PKH04', 0, 391
UNION SELECT N'PKH04', 300, 25
UNION SELECT N'PKH04', 600, 45
UNION SELECT N'PKH04', 900, 65
UNION SELECT N'PKH04', 1200, 85
UNION SELECT N'PKH04', 1500, 105
UNION SELECT N'PKH04', 2000, 133
UNION SELECT N'PKH04', 2500, 161
UNION SELECT N'PKH04', 3000, 189
UNION SELECT N'PKH04', 3500, 195
UNION SELECT N'PKH04', 4000, 204
UNION SELECT N'PKH04', 4500, 212
UNION SELECT N'PKH04', 5000, 219
UNION SELECT N'PKH04', 6000, 225
UNION SELECT N'PKH04', 7000, 230
UNION SELECT N'PKH04', 8000, 234
UNION SELECT N'PKH04', 9000, 238
UNION SELECT N'PKH04', 10000, 242
UNION SELECT N'PKH04', 13000, 246
UNION SELECT N'PKH04', 16000, 257
UNION SELECT N'PKH04', 19000, 272
UNION SELECT N'PKH04', 22000, 293
UNION SELECT N'PKH04', 25000, 318
UNION SELECT N'PKH04', 30000, 354
UNION SELECT N'PKH13', 0, 447
UNION SELECT N'PKH13', 500, 45
UNION SELECT N'PKH13', 1000, 80
UNION SELECT N'PKH13', 1500, 115
UNION SELECT N'PKH13', 2000, 150
UNION SELECT N'PKH13', 3000, 201
UNION SELECT N'PKH13', 4000, 252
UNION SELECT N'PKH13', 5000, 257
UNION SELECT N'PKH13', 6000, 267
UNION SELECT N'PKH13', 7000, 277
UNION SELECT N'PKH13', 8000, 287
UNION SELECT N'PKH13', 9000, 297
UNION SELECT N'PKH13', 10000, 307
UNION SELECT N'PKH13', 13000, 321
UNION SELECT N'PKH13', 16000, 335
UNION SELECT N'PKH13', 19000, 349
UNION SELECT N'PKH13', 22000, 363
UNION SELECT N'PKH13', 25000, 377
UNION SELECT N'PKH13', 30000, 412
UNION SELECT N'PKH21', 0, 659
UNION SELECT N'PKH21', 500, 49
UNION SELECT N'PKH21', 1000, 88
UNION SELECT N'PKH21', 1500, 127
UNION SELECT N'PKH21', 2000, 166
UNION SELECT N'PKH21', 3000, 222
UNION SELECT N'PKH21', 4000, 278
UNION SELECT N'PKH21', 5000, 284
UNION SELECT N'PKH21', 6000, 295
UNION SELECT N'PKH21', 7000, 306
UNION SELECT N'PKH21', 8000, 317
UNION SELECT N'PKH21', 9000, 328
UNION SELECT N'PKH21', 10000, 339
UNION SELECT N'PKH21', 13000, 354
UNION SELECT N'PKH21', 16000, 369
UNION SELECT N'PKH21', 19000, 384
UNION SELECT N'PKH21', 22000, 399
UNION SELECT N'PKH21', 25000, 414
UNION SELECT N'PKH21', 30000, 453
UNION SELECT N'PKH21', 35000, 492
UNION SELECT N'PKH21', 40000, 531
UNION SELECT N'PKH21', 45000, 570
UNION SELECT N'PKH21', 50000, 609
UNION SELECT N'StBVV04-A', 300, 25
UNION SELECT N'StBVV04-A', 600, 45
UNION SELECT N'StBVV04-A', 900, 65
UNION SELECT N'StBVV04-A', 1200, 85
UNION SELECT N'StBVV04-A', 1500, 105
UNION SELECT N'StBVV04-A', 2000, 133
UNION SELECT N'StBVV04-A', 2500, 161
UNION SELECT N'StBVV04-A', 3000, 189
UNION SELECT N'StBVV04-A', 3500, 217
UNION SELECT N'StBVV04-A', 4000, 245
UNION SELECT N'StBVV04-A', 4500, 273
UNION SELECT N'StBVV04-A', 5000, 301
UNION SELECT N'StBVV04-A', 6000, 338
UNION SELECT N'StBVV04-A', 7000, 375
UNION SELECT N'StBVV04-A', 8000, 412
UNION SELECT N'StBVV04-A', 9000, 449
UNION SELECT N'StBVV04-A', 10000, 486
UNION SELECT N'StBVV04-A', 13000, 526
UNION SELECT N'StBVV04-A', 16000, 566
UNION SELECT N'StBVV04-A', 19000, 606
UNION SELECT N'StBVV04-A', 22000, 646
UNION SELECT N'StBVV04-A', 25000, 686
UNION SELECT N'StBVV04-A', 30000, 758
UNION SELECT N'StBVV04-A', 35000, 830
UNION SELECT N'StBVV04-A', 40000, 902
UNION SELECT N'StBVV04-A', 45000, 974
UNION SELECT N'StBVV04-A', 50000, 1046
UNION SELECT N'StBVV04-A', 65000, 1123
UNION SELECT N'StBVV04-A', 80000, 1200
UNION SELECT N'StBVV04-A', 95000, 1277
UNION SELECT N'StBVV04-A', 110000, 1354
UNION SELECT N'StBVV04-A', 125000, 1431
UNION SELECT N'StBVV04-A', 140000, 1508
UNION SELECT N'StBVV04-A', 155000, 1585
UNION SELECT N'StBVV04-A', 170000, 1662
UNION SELECT N'StBVV04-A', 185000, 1739
UNION SELECT N'StBVV04-A', 200000, 1816
UNION SELECT N'StBVV04-A', 230000, 1934
UNION SELECT N'StBVV04-A', 260000, 2052
UNION SELECT N'StBVV04-A', 290000, 2170
UNION SELECT N'StBVV04-A', 320000, 2293
UNION SELECT N'StBVV04-A', 350000, 2347
UNION SELECT N'StBVV04-A', 380000, 2399
UNION SELECT N'StBVV04-A', 410000, 2450
UNION SELECT N'StBVV04-A', 440000, 2499
UNION SELECT N'StBVV04-A', 470000, 2547
UNION SELECT N'StBVV04-A', 500000, 2594
UNION SELECT N'StBVV04-A', 550000, 2663
UNION SELECT N'StBVV04-A', 600000, 2730
UNION SELECT N'StBVV04-B', 3000, 39
UNION SELECT N'StBVV04-B', 3500, 46
UNION SELECT N'StBVV04-B', 4000, 54
UNION SELECT N'StBVV04-B', 4500, 61
UNION SELECT N'StBVV04-B', 5000, 69
UNION SELECT N'StBVV04-B', 6000, 77
UNION SELECT N'StBVV04-B', 7000, 84
UNION SELECT N'StBVV04-B', 8000, 92
UNION SELECT N'StBVV04-B', 9000, 97
UNION SELECT N'StBVV04-B', 10000, 103
UNION SELECT N'StBVV04-B', 12500, 108
UNION SELECT N'StBVV04-B', 15000, 121
UNION SELECT N'StBVV04-B', 17500, 133
UNION SELECT N'StBVV04-B', 20000, 143
UNION SELECT N'StBVV04-B', 22500, 153
UNION SELECT N'StBVV04-B', 25000, 162
UNION SELECT N'StBVV04-B', 37500, 172
UNION SELECT N'StBVV04-B', 50000, 210
UNION SELECT N'StBVV04-B', 62500, 243
UNION SELECT N'StBVV04-B', 75000, 271
UNION SELECT N'StBVV04-B', 87500, 283
UNION SELECT N'StBVV04-B', 100000, 296
UNION SELECT N'StBVV04-B', 125000, 339
UNION SELECT N'StBVV04-B', 150000, 377
UNION SELECT N'StBVV04-B', 175000, 410
UNION SELECT N'StBVV04-B', 200000, 440
UNION SELECT N'StBVV04-B', 225000, 467
UNION SELECT N'StBVV04-B', 250000, 491
UNION SELECT N'StBVV04-B', 300000, 514
UNION SELECT N'StBVV04-B', 350000, 559
UNION SELECT N'StBVV04-B', 400000, 599
UNION SELECT N'StBVV04-B', 450000, 634
UNION SELECT N'StBVV04-B', 500000, 668
UNION SELECT N'StBVV04-B', 625000, 699
UNION SELECT N'StBVV04-B', 750000, 776
UNION SELECT N'StBVV04-B', 875000, 843
UNION SELECT N'StBVV04-B', 1000000, 903
UNION SELECT N'StBVV04-B', 1250000, 957
UNION SELECT N'StBVV04-B', 1500000, 1062
UNION SELECT N'StBVV04-B', 1750000, 1154
UNION SELECT N'StBVV04-B', 2000000, 1237
UNION SELECT N'StBVV04-B', 2250000, 1311
UNION SELECT N'StBVV04-B', 2500000, 1378
UNION SELECT N'StBVV04-B', 3000000, 1441
UNION SELECT N'StBVV04-B', 3500000, 1566
UNION SELECT N'StBVV04-B', 4000000, 1676
UNION SELECT N'StBVV04-B', 4500000, 1776
UNION SELECT N'StBVV04-B', 5000000, 1868
UNION SELECT N'StBVV04-B', 7500000, 2182
UNION SELECT N'StBVV04-B', 10000000, 2536
UNION SELECT N'StBVV04-B', 12500000, 2824
UNION SELECT N'StBVV04-B', 15000000, 3064
UNION SELECT N'StBVV04-B', 17500000, 3268
UNION SELECT N'StBVV04-B', 20000000, 3444
UNION SELECT N'StBVV04-B', 22500000, 3669
UNION SELECT N'StBVV04-B', 25000000, 3876
UNION SELECT N'StBVV04-B', 30000000, 4264
UNION SELECT N'StBVV04-B', 35000000, 4620
UNION SELECT N'StBVV04-B', 40000000, 4951
UNION SELECT N'StBVV04-B', 45000000, 5261
UNION SELECT N'StBVV04-B', 50000000, 5554
UNION SELECT N'StBVV04-C', 15000, 58
UNION SELECT N'StBVV04-C', 17500, 64
UNION SELECT N'StBVV04-C', 20000, 70
UNION SELECT N'StBVV04-C', 22500, 75
UNION SELECT N'StBVV04-C', 25000, 81
UNION SELECT N'StBVV04-C', 30000, 87
UNION SELECT N'StBVV04-C', 35000, 93
UNION SELECT N'StBVV04-C', 40000, 98
UNION SELECT N'StBVV04-C', 45000, 104
UNION SELECT N'StBVV04-C', 50000, 110
UNION SELECT N'StBVV04-C', 62500, 116
UNION SELECT N'StBVV04-C', 75000, 127
UNION SELECT N'StBVV04-C', 87500, 139
UNION SELECT N'StBVV04-C', 100000, 150
UNION SELECT N'StBVV04-C', 125000, 168
UNION SELECT N'StBVV04-C', 150000, 185
UNION SELECT N'StBVV04-C', 200000, 220
UNION SELECT N'StBVV04-C', 250000, 254
UNION SELECT N'StBVV04-C', 300000, 289
UNION SELECT N'StBVV04-C', 350000, 324
UNION SELECT N'StBVV04-C', 400000, 353
UNION SELECT N'StBVV04-C', 450000, 381
UNION SELECT N'StBVV04-C', 500000, 410
UNION SELECT N'StBVV04-E', 300, 25
UNION SELECT N'StBVV04-E', 600, 45
UNION SELECT N'StBVV04-E', 900, 65
UNION SELECT N'StBVV04-E', 1200, 85
UNION SELECT N'StBVV04-E', 1500, 105
UNION SELECT N'StBVV04-E', 2000, 133
UNION SELECT N'StBVV04-E', 2500, 161
UNION SELECT N'StBVV04-E', 3000, 189
UNION SELECT N'StBVV04-E', 3500, 217
UNION SELECT N'StBVV04-E', 4000, 245
UNION SELECT N'StBVV04-E', 4500, 273
UNION SELECT N'StBVV04-E', 5000, 301
UNION SELECT N'StBVV04-E', 6000, 338
UNION SELECT N'StBVV04-E', 7000, 375
UNION SELECT N'StBVV04-E', 8000, 412
UNION SELECT N'StBVV04-E', 9000, 449
UNION SELECT N'StBVV04-E', 10000, 486
UNION SELECT N'StBVV04-E', 13000, 526
UNION SELECT N'StBVV04-E', 16000, 566
UNION SELECT N'StBVV04-E', 19000, 606
UNION SELECT N'StBVV04-E', 22000, 646
UNION SELECT N'StBVV04-E', 25000, 686
UNION SELECT N'StBVV04-E', 30000, 758
UNION SELECT N'StBVV04-E', 35000, 830
UNION SELECT N'StBVV04-E', 40000, 902
UNION SELECT N'StBVV04-E', 45000, 974
UNION SELECT N'StBVV04-E', 50000, 1046
UNION SELECT N'StBVV04-E', 65000, 1123
UNION SELECT N'StBVV04-E', 80000, 1200
UNION SELECT N'StBVV04-E', 95000, 1277
UNION SELECT N'StBVV04-E', 110000, 1354
UNION SELECT N'StBVV04-E', 125000, 1431
UNION SELECT N'StBVV04-E', 140000, 1508
UNION SELECT N'StBVV04-E', 155000, 1585
UNION SELECT N'StBVV04-E', 170000, 1662
UNION SELECT N'StBVV04-E', 185000, 1739
UNION SELECT N'StBVV04-E', 200000, 1816
UNION SELECT N'StBVV04-E', 230000, 1934
UNION SELECT N'StBVV04-E', 260000, 2052
UNION SELECT N'StBVV04-E', 290000, 2170
UNION SELECT N'StBVV04-E', 320000, 2288
UNION SELECT N'StBVV04-E', 350000, 2406
UNION SELECT N'StBVV04-E', 380000, 2524
UNION SELECT N'StBVV04-E', 410000, 2642
UNION SELECT N'StBVV04-E', 440000, 2760
UNION SELECT N'StBVV04-E', 470000, 2878
UNION SELECT N'StBVV04-E', 500000, 2996
UNION SELECT N'StBVV13-A', 300, 26
UNION SELECT N'StBVV13-A', 600, 47
UNION SELECT N'StBVV13-A', 900, 68
UNION SELECT N'StBVV13-A', 1200, 89
UNION SELECT N'StBVV13-A', 1500, 110
UNION SELECT N'StBVV13-A', 2000, 140
UNION SELECT N'StBVV13-A', 2500, 169
UNION SELECT N'StBVV13-A', 3000, 198
UNION SELECT N'StBVV13-A', 3500, 228
UNION SELECT N'StBVV13-A', 4000, 257
UNION SELECT N'StBVV13-A', 4500, 287
UNION SELECT N'StBVV13-A', 5000, 316
UNION SELECT N'StBVV13-A', 6000, 355
UNION SELECT N'StBVV13-A', 7000, 394
UNION SELECT N'StBVV13-A', 8000, 433
UNION SELECT N'StBVV13-A', 9000, 471
UNION SELECT N'StBVV13-A', 10000, 510
UNION SELECT N'StBVV13-A', 13000, 552
UNION SELECT N'StBVV13-A', 16000, 594
UNION SELECT N'StBVV13-A', 19000, 636
UNION SELECT N'StBVV13-A', 22000, 678
UNION SELECT N'StBVV13-A', 25000, 720
UNION SELECT N'StBVV13-A', 30000, 796
UNION SELECT N'StBVV13-A', 35000, 872
UNION SELECT N'StBVV13-A', 40000, 947
UNION SELECT N'StBVV13-A', 45000, 1023
UNION SELECT N'StBVV13-A', 50000, 1098
UNION SELECT N'StBVV13-A', 65000, 1179
UNION SELECT N'StBVV13-A', 80000, 1260
UNION SELECT N'StBVV13-A', 95000, 1341
UNION SELECT N'StBVV13-A', 110000, 1422
UNION SELECT N'StBVV13-A', 125000, 1503
UNION SELECT N'StBVV13-A', 140000, 1583
UNION SELECT N'StBVV13-A', 155000, 1664
UNION SELECT N'StBVV13-A', 170000, 1745
UNION SELECT N'StBVV13-A', 185000, 1826
UNION SELECT N'StBVV13-A', 200000, 1907
UNION SELECT N'StBVV13-A', 230000, 2031
UNION SELECT N'StBVV13-A', 260000, 2155
UNION SELECT N'StBVV13-A', 290000, 2279
UNION SELECT N'StBVV13-A', 320000, 2408
UNION SELECT N'StBVV13-A', 350000, 2464
UNION SELECT N'StBVV13-A', 380000, 2519
UNION SELECT N'StBVV13-A', 410000, 2573
UNION SELECT N'StBVV13-A', 440000, 2624
UNION SELECT N'StBVV13-A', 470000, 2674
UNION SELECT N'StBVV13-A', 500000, 2724
UNION SELECT N'StBVV13-A', 550000, 2796
UNION SELECT N'StBVV13-A', 600000, 2867
UNION SELECT N'StBVV13-B', 3000, 41
UNION SELECT N'StBVV13-B', 3500, 48
UNION SELECT N'StBVV13-B', 4000, 57
UNION SELECT N'StBVV13-B', 4500, 64
UNION SELECT N'StBVV13-B', 5000, 72
UNION SELECT N'StBVV13-B', 6000, 81
UNION SELECT N'StBVV13-B', 7000, 88
UNION SELECT N'StBVV13-B', 8000, 97
UNION SELECT N'StBVV13-B', 9000, 102
UNION SELECT N'StBVV13-B', 10000, 108
UNION SELECT N'StBVV13-B', 12500, 113
UNION SELECT N'StBVV13-B', 15000, 127
UNION SELECT N'StBVV13-B', 17500, 140
UNION SELECT N'StBVV13-B', 20000, 150
UNION SELECT N'StBVV13-B', 22500, 161
UNION SELECT N'StBVV13-B', 25000, 170
UNION SELECT N'StBVV13-B', 37500, 181
UNION SELECT N'StBVV13-B', 50000, 221
UNION SELECT N'StBVV13-B', 62500, 255
UNION SELECT N'StBVV13-B', 75000, 285
UNION SELECT N'StBVV13-B', 87500, 297
UNION SELECT N'StBVV13-B', 100000, 311
UNION SELECT N'StBVV13-B', 125000, 356
UNION SELECT N'StBVV13-B', 150000, 396
UNION SELECT N'StBVV13-B', 175000, 431
UNION SELECT N'StBVV13-B', 200000, 462
UNION SELECT N'StBVV13-B', 225000, 490
UNION SELECT N'StBVV13-B', 250000, 516
UNION SELECT N'StBVV13-B', 300000, 540
UNION SELECT N'StBVV13-B', 350000, 587
UNION SELECT N'StBVV13-B', 400000, 629
UNION SELECT N'StBVV13-B', 450000, 666
UNION SELECT N'StBVV13-B', 500000, 701
UNION SELECT N'StBVV13-B', 625000, 734
UNION SELECT N'StBVV13-B', 750000, 815
UNION SELECT N'StBVV13-B', 875000, 885
UNION SELECT N'StBVV13-B', 1000000, 948
UNION SELECT N'StBVV13-B', 1250000, 1005
UNION SELECT N'StBVV13-B', 1500000, 1115
UNION SELECT N'StBVV13-B', 1750000, 1212
UNION SELECT N'StBVV13-B', 2000000, 1299
UNION SELECT N'StBVV13-B', 2250000, 1377
UNION SELECT N'StBVV13-B', 2500000, 1447
UNION SELECT N'StBVV13-B', 3000000, 1513
UNION SELECT N'StBVV13-B', 3500000, 1644
UNION SELECT N'StBVV13-B', 4000000, 1760
UNION SELECT N'StBVV13-B', 4500000, 1865
UNION SELECT N'StBVV13-B', 5000000, 1961
UNION SELECT N'StBVV13-B', 7500000, 2291
UNION SELECT N'StBVV13-B', 10000000, 2663
UNION SELECT N'StBVV13-B', 12500000, 2965
UNION SELECT N'StBVV13-B', 15000000, 3217
UNION SELECT N'StBVV13-B', 17500000, 3431
UNION SELECT N'StBVV13-B', 20000000, 3616
UNION SELECT N'StBVV13-B', 22500000, 3852
UNION SELECT N'StBVV13-B', 25000000, 4070
UNION SELECT N'StBVV13-B', 30000000, 4477
UNION SELECT N'StBVV13-B', 35000000, 4851
UNION SELECT N'StBVV13-B', 40000000, 5199
UNION SELECT N'StBVV13-B', 45000000, 5524
UNION SELECT N'StBVV13-B', 50000000, 5832
UNION SELECT N'StBVV13-C', 15000, 61
UNION SELECT N'StBVV13-C', 17500, 67
UNION SELECT N'StBVV13-C', 20000, 74
UNION SELECT N'StBVV13-C', 22500, 79
UNION SELECT N'StBVV13-C', 25000, 85
UNION SELECT N'StBVV13-C', 30000, 91
UNION SELECT N'StBVV13-C', 35000, 98
UNION SELECT N'StBVV13-C', 40000, 103
UNION SELECT N'StBVV13-C', 45000, 109
UNION SELECT N'StBVV13-C', 50000, 116
UNION SELECT N'StBVV13-C', 62500, 122
UNION SELECT N'StBVV13-C', 75000, 133
UNION SELECT N'StBVV13-C', 87500, 146
UNION SELECT N'StBVV13-C', 100000, 158
UNION SELECT N'StBVV13-C', 125000, 176
UNION SELECT N'StBVV13-C', 150000, 194
UNION SELECT N'StBVV13-C', 200000, 231
UNION SELECT N'StBVV13-C', 250000, 267
UNION SELECT N'StBVV13-C', 300000, 303
UNION SELECT N'StBVV13-C', 350000, 340
UNION SELECT N'StBVV13-C', 400000, 371
UNION SELECT N'StBVV13-C', 450000, 400
UNION SELECT N'StBVV13-C', 500000, 431
UNION SELECT N'StBVV13-E', 300, 26
UNION SELECT N'StBVV13-E', 600, 47
UNION SELECT N'StBVV13-E', 900, 68
UNION SELECT N'StBVV13-E', 1200, 89
UNION SELECT N'StBVV13-E', 1500, 110
UNION SELECT N'StBVV13-E', 2000, 140
UNION SELECT N'StBVV13-E', 2500, 169
UNION SELECT N'StBVV13-E', 3000, 198
UNION SELECT N'StBVV13-E', 3500, 228
UNION SELECT N'StBVV13-E', 4000, 257
UNION SELECT N'StBVV13-E', 4500, 287
UNION SELECT N'StBVV13-E', 5000, 316
UNION SELECT N'StBVV13-E', 6000, 355
UNION SELECT N'StBVV13-E', 7000, 394
UNION SELECT N'StBVV13-E', 8000, 433
UNION SELECT N'StBVV13-E', 9000, 471
UNION SELECT N'StBVV13-E', 10000, 510
UNION SELECT N'StBVV13-E', 13000, 552
UNION SELECT N'StBVV13-E', 16000, 594
UNION SELECT N'StBVV13-E', 19000, 636
UNION SELECT N'StBVV13-E', 22000, 678
UNION SELECT N'StBVV13-E', 25000, 720
UNION SELECT N'StBVV13-E', 30000, 796
UNION SELECT N'StBVV13-E', 35000, 872
UNION SELECT N'StBVV13-E', 40000, 947
UNION SELECT N'StBVV13-E', 45000, 1023
UNION SELECT N'StBVV13-E', 50000, 1098
UNION SELECT N'StBVV13-E', 65000, 1179
UNION SELECT N'StBVV13-E', 80000, 1260
UNION SELECT N'StBVV13-E', 95000, 1341
UNION SELECT N'StBVV13-E', 110000, 1422
UNION SELECT N'StBVV13-E', 125000, 1503
UNION SELECT N'StBVV13-E', 140000, 1583
UNION SELECT N'StBVV13-E', 155000, 1664
UNION SELECT N'StBVV13-E', 170000, 1745
UNION SELECT N'StBVV13-E', 185000, 1826
UNION SELECT N'StBVV13-E', 200000, 1907
UNION SELECT N'StBVV13-E', 230000, 2031
UNION SELECT N'StBVV13-E', 260000, 2155
UNION SELECT N'StBVV13-E', 290000, 2279
UNION SELECT N'StBVV13-E', 320000, 2402
UNION SELECT N'StBVV13-E', 350000, 2526
UNION SELECT N'StBVV13-E', 380000, 2650
UNION SELECT N'StBVV13-E', 410000, 2774
UNION SELECT N'StBVV13-E', 440000, 2898
UNION SELECT N'StBVV13-E', 470000, 3022
UNION SELECT N'StBVV13-E', 500000, 3146
UNION SELECT N'StBVV20-A', 300, 29
UNION SELECT N'StBVV20-A', 600, 53
UNION SELECT N'StBVV20-A', 900, 76
UNION SELECT N'StBVV20-A', 1200, 100
UNION SELECT N'StBVV20-A', 1500, 123
UNION SELECT N'StBVV20-A', 2000, 157
UNION SELECT N'StBVV20-A', 2500, 189
UNION SELECT N'StBVV20-A', 3000, 222
UNION SELECT N'StBVV20-A', 3500, 255
UNION SELECT N'StBVV20-A', 4000, 288
UNION SELECT N'StBVV20-A', 4500, 321
UNION SELECT N'StBVV20-A', 5000, 354
UNION SELECT N'StBVV20-A', 6000, 398
UNION SELECT N'StBVV20-A', 7000, 441
UNION SELECT N'StBVV20-A', 8000, 485
UNION SELECT N'StBVV20-A', 9000, 528
UNION SELECT N'StBVV20-A', 10000, 571
UNION SELECT N'StBVV20-A', 13000, 618
UNION SELECT N'StBVV20-A', 16000, 665
UNION SELECT N'StBVV20-A', 19000, 712
UNION SELECT N'StBVV20-A', 22000, 759
UNION SELECT N'StBVV20-A', 25000, 806
UNION SELECT N'StBVV20-A', 30000, 892
UNION SELECT N'StBVV20-A', 35000, 977
UNION SELECT N'StBVV20-A', 40000, 1061
UNION SELECT N'StBVV20-A', 45000, 1146
UNION SELECT N'StBVV20-A', 50000, 1230
UNION SELECT N'StBVV20-A', 65000, 1320
UNION SELECT N'StBVV20-A', 80000, 1411
UNION SELECT N'StBVV20-A', 95000, 1502
UNION SELECT N'StBVV20-A', 110000, 1593
UNION SELECT N'StBVV20-A', 125000, 1683
UNION SELECT N'StBVV20-A', 140000, 1773
UNION SELECT N'StBVV20-A', 155000, 1864
UNION SELECT N'StBVV20-A', 170000, 1954
UNION SELECT N'StBVV20-A', 185000, 2045
UNION SELECT N'StBVV20-A', 200000, 2136
UNION SELECT N'StBVV20-A', 230000, 2275
UNION SELECT N'StBVV20-A', 260000, 2414
UNION SELECT N'StBVV20-A', 290000, 2552
UNION SELECT N'StBVV20-A', 320000, 2697
UNION SELECT N'StBVV20-A', 350000, 2760
UNION SELECT N'StBVV20-A', 380000, 2821
UNION SELECT N'StBVV20-A', 410000, 2882
UNION SELECT N'StBVV20-A', 440000, 2939
UNION SELECT N'StBVV20-A', 470000, 2995
UNION SELECT N'StBVV20-A', 500000, 3051
UNION SELECT N'StBVV20-A', 550000, 3132
UNION SELECT N'StBVV20-A', 600000, 3211
UNION SELECT N'StBVV20-B', 3000, 46
UNION SELECT N'StBVV20-B', 3500, 54
UNION SELECT N'StBVV20-B', 4000, 64
UNION SELECT N'StBVV20-B', 4500, 72
UNION SELECT N'StBVV20-B', 5000, 81
UNION SELECT N'StBVV20-B', 6000, 91
UNION SELECT N'StBVV20-B', 7000, 99
UNION SELECT N'StBVV20-B', 8000, 109
UNION SELECT N'StBVV20-B', 9000, 114
UNION SELECT N'StBVV20-B', 10000, 120
UNION SELECT N'StBVV20-B', 12500, 126
UNION SELECT N'StBVV20-B', 15000, 142
UNION SELECT N'StBVV20-B', 17500, 157
UNION SELECT N'StBVV20-B', 20000, 168
UNION SELECT N'StBVV20-B', 22500, 180
UNION SELECT N'StBVV20-B', 25000, 190
UNION SELECT N'StBVV20-B', 37500, 203
UNION SELECT N'StBVV20-B', 50000, 248
UNION SELECT N'StBVV20-B', 62500, 286
UNION SELECT N'StBVV20-B', 75000, 319
UNION SELECT N'StBVV20-B', 87500, 333
UNION SELECT N'StBVV20-B', 100000, 348
UNION SELECT N'StBVV20-B', 125000, 399
UNION SELECT N'StBVV20-B', 150000, 444
UNION SELECT N'StBVV20-B', 175000, 483
UNION SELECT N'StBVV20-B', 200000, 517
UNION SELECT N'StBVV20-B', 225000, 549
UNION SELECT N'StBVV20-B', 250000, 578
UNION SELECT N'StBVV20-B', 300000, 605
UNION SELECT N'StBVV20-B', 350000, 657
UNION SELECT N'StBVV20-B', 400000, 704
UNION SELECT N'StBVV20-B', 450000, 746
UNION SELECT N'StBVV20-B', 500000, 785
UNION SELECT N'StBVV20-B', 625000, 822
UNION SELECT N'StBVV20-B', 750000, 913
UNION SELECT N'StBVV20-B', 875000, 991
UNION SELECT N'StBVV20-B', 1000000, 1062
UNION SELECT N'StBVV20-B', 1250000, 1126
UNION SELECT N'StBVV20-B', 1500000, 1249
UNION SELECT N'StBVV20-B', 1750000, 1357
UNION SELECT N'StBVV20-B', 2000000, 1455
UNION SELECT N'StBVV20-B', 2250000, 1542
UNION SELECT N'StBVV20-B', 2500000, 1621
UNION SELECT N'StBVV20-B', 3000000, 1695
UNION SELECT N'StBVV20-B', 3500000, 1841
UNION SELECT N'StBVV20-B', 4000000, 1971
UNION SELECT N'StBVV20-B', 4500000, 2089
UNION SELECT N'StBVV20-B', 5000000, 2196
UNION SELECT N'StBVV20-B', 7500000, 2566
UNION SELECT N'StBVV20-B', 10000000, 2983
UNION SELECT N'StBVV20-B', 12500000, 3321
UNION SELECT N'StBVV20-B', 15000000, 3603
UNION SELECT N'StBVV20-B', 17500000, 3843
UNION SELECT N'StBVV20-B', 20000000, 4050
UNION SELECT N'StBVV20-B', 22500000, 4314
UNION SELECT N'StBVV20-B', 25000000, 4558
UNION SELECT N'StBVV20-B', 30000000, 5014
UNION SELECT N'StBVV20-B', 35000000, 5433
UNION SELECT N'StBVV20-B', 40000000, 5823
UNION SELECT N'StBVV20-B', 45000000, 6187
UNION SELECT N'StBVV20-B', 50000000, 6532
UNION SELECT N'StBVV20-C', 15000, 68
UNION SELECT N'StBVV20-C', 17500, 75
UNION SELECT N'StBVV20-C', 20000, 83
UNION SELECT N'StBVV20-C', 22500, 88
UNION SELECT N'StBVV20-C', 25000, 95
UNION SELECT N'StBVV20-C', 30000, 102
UNION SELECT N'StBVV20-C', 35000, 110
UNION SELECT N'StBVV20-C', 40000, 115
UNION SELECT N'StBVV20-C', 45000, 122
UNION SELECT N'StBVV20-C', 50000, 130
UNION SELECT N'StBVV20-C', 62500, 137
UNION SELECT N'StBVV20-C', 75000, 149
UNION SELECT N'StBVV20-C', 87500, 164
UNION SELECT N'StBVV20-C', 100000, 177
UNION SELECT N'StBVV20-C', 125000, 197
UNION SELECT N'StBVV20-C', 150000, 217
UNION SELECT N'StBVV20-C', 200000, 259
UNION SELECT N'StBVV20-C', 250000, 299
UNION SELECT N'StBVV20-C', 300000, 339
UNION SELECT N'StBVV20-C', 350000, 381
UNION SELECT N'StBVV20-C', 400000, 416
UNION SELECT N'StBVV20-C', 450000, 448
UNION SELECT N'StBVV20-C', 500000, 483
END

GO


SET ANSI_NULLS ON
DELETE FROM honorartabelle WHERE tabelle LIKE 'StBVV20%'
IF NOT EXISTS (SELECT * FROM honorartabelle WHERE tabelle LIKE 'StBVV20%') INSERT INTO honorartabelle(Tabelle, Bis, Betrag)
SELECT N'StBVV20-A', 300, 29
UNION SELECT N'StBVV20-A', 600, 53
UNION SELECT N'StBVV20-A', 900, 76
UNION SELECT N'StBVV20-A', 1200, 100
UNION SELECT N'StBVV20-A', 1500, 123
UNION SELECT N'StBVV20-A', 2000, 157
UNION SELECT N'StBVV20-A', 2500, 189
UNION SELECT N'StBVV20-A', 3000, 222
UNION SELECT N'StBVV20-A', 3500, 255
UNION SELECT N'StBVV20-A', 4000, 288
UNION SELECT N'StBVV20-A', 4500, 321
UNION SELECT N'StBVV20-A', 5000, 354
UNION SELECT N'StBVV20-A', 6000, 398
UNION SELECT N'StBVV20-A', 7000, 441
UNION SELECT N'StBVV20-A', 8000, 485
UNION SELECT N'StBVV20-A', 9000, 528
UNION SELECT N'StBVV20-A', 10000, 571
UNION SELECT N'StBVV20-A', 13000, 618
UNION SELECT N'StBVV20-A', 16000, 665
UNION SELECT N'StBVV20-A', 19000, 712
UNION SELECT N'StBVV20-A', 22000, 759
UNION SELECT N'StBVV20-A', 25000, 806
UNION SELECT N'StBVV20-A', 30000, 892
UNION SELECT N'StBVV20-A', 35000, 977
UNION SELECT N'StBVV20-A', 40000, 1061
UNION SELECT N'StBVV20-A', 45000, 1146
UNION SELECT N'StBVV20-A', 50000, 1230
UNION SELECT N'StBVV20-A', 65000, 1320
UNION SELECT N'StBVV20-A', 80000, 1411
UNION SELECT N'StBVV20-A', 95000, 1502
UNION SELECT N'StBVV20-A', 110000, 1593
UNION SELECT N'StBVV20-A', 125000, 1683
UNION SELECT N'StBVV20-A', 140000, 1773
UNION SELECT N'StBVV20-A', 155000, 1864
UNION SELECT N'StBVV20-A', 170000, 1954
UNION SELECT N'StBVV20-A', 185000, 2045
UNION SELECT N'StBVV20-A', 200000, 2136
UNION SELECT N'StBVV20-A', 230000, 2275
UNION SELECT N'StBVV20-A', 260000, 2414
UNION SELECT N'StBVV20-A', 290000, 2552
UNION SELECT N'StBVV20-A', 320000, 2697
UNION SELECT N'StBVV20-A', 350000, 2760
UNION SELECT N'StBVV20-A', 380000, 2821
UNION SELECT N'StBVV20-A', 410000, 2882
UNION SELECT N'StBVV20-A', 440000, 2939
UNION SELECT N'StBVV20-A', 470000, 2995
UNION SELECT N'StBVV20-A', 500000, 3051
UNION SELECT N'StBVV20-A', 550000, 3132
UNION SELECT N'StBVV20-A', 600000, 3211
UNION SELECT N'StBVV20-B', 3000, 46
UNION SELECT N'StBVV20-B', 3500, 54
UNION SELECT N'StBVV20-B', 4000, 64
UNION SELECT N'StBVV20-B', 4500, 72
UNION SELECT N'StBVV20-B', 5000, 81
UNION SELECT N'StBVV20-B', 6000, 91
UNION SELECT N'StBVV20-B', 7000, 99
UNION SELECT N'StBVV20-B', 8000, 109
UNION SELECT N'StBVV20-B', 9000, 114
UNION SELECT N'StBVV20-B', 10000, 120
UNION SELECT N'StBVV20-B', 12500, 126
UNION SELECT N'StBVV20-B', 15000, 142
UNION SELECT N'StBVV20-B', 17500, 157
UNION SELECT N'StBVV20-B', 20000, 168
UNION SELECT N'StBVV20-B', 22500, 180
UNION SELECT N'StBVV20-B', 25000, 190
UNION SELECT N'StBVV20-B', 37500, 203
UNION SELECT N'StBVV20-B', 50000, 248
UNION SELECT N'StBVV20-B', 62500, 286
UNION SELECT N'StBVV20-B', 75000, 319
UNION SELECT N'StBVV20-B', 87500, 333
UNION SELECT N'StBVV20-B', 100000, 348
UNION SELECT N'StBVV20-B', 125000, 399
UNION SELECT N'StBVV20-B', 150000, 444
UNION SELECT N'StBVV20-B', 175000, 483
UNION SELECT N'StBVV20-B', 200000, 517
UNION SELECT N'StBVV20-B', 225000, 549
UNION SELECT N'StBVV20-B', 250000, 578
UNION SELECT N'StBVV20-B', 300000, 605
UNION SELECT N'StBVV20-B', 350000, 657
UNION SELECT N'StBVV20-B', 400000, 704
UNION SELECT N'StBVV20-B', 450000, 746
UNION SELECT N'StBVV20-B', 500000, 785
UNION SELECT N'StBVV20-B', 625000, 822
UNION SELECT N'StBVV20-B', 750000, 913
UNION SELECT N'StBVV20-B', 875000, 991
UNION SELECT N'StBVV20-B', 1000000, 1062
UNION SELECT N'StBVV20-B', 1250000, 1126
UNION SELECT N'StBVV20-B', 1500000, 1249
UNION SELECT N'StBVV20-B', 1750000, 1357
UNION SELECT N'StBVV20-B', 2000000, 1455
UNION SELECT N'StBVV20-B', 2250000, 1542
UNION SELECT N'StBVV20-B', 2500000, 1621
UNION SELECT N'StBVV20-B', 3000000, 1695
UNION SELECT N'StBVV20-B', 3500000, 1841
UNION SELECT N'StBVV20-B', 4000000, 1971
UNION SELECT N'StBVV20-B', 4500000, 2089
UNION SELECT N'StBVV20-B', 5000000, 2196
UNION SELECT N'StBVV20-B', 7500000, 2566
UNION SELECT N'StBVV20-B', 10000000, 2983
UNION SELECT N'StBVV20-B', 12500000, 3321
UNION SELECT N'StBVV20-B', 15000000, 3603
UNION SELECT N'StBVV20-B', 17500000, 3843
UNION SELECT N'StBVV20-B', 20000000, 4050
UNION SELECT N'StBVV20-B', 22500000, 4314
UNION SELECT N'StBVV20-B', 25000000, 4558
UNION SELECT N'StBVV20-B', 30000000, 5014
UNION SELECT N'StBVV20-B', 35000000, 5433
UNION SELECT N'StBVV20-B', 40000000, 5823
UNION SELECT N'StBVV20-B', 45000000, 6187
UNION SELECT N'StBVV20-B', 50000000, 6532
UNION SELECT N'StBVV20-C', 15000, 68
UNION SELECT N'StBVV20-C', 17500, 75
UNION SELECT N'StBVV20-C', 20000, 83
UNION SELECT N'StBVV20-C', 22500, 88
UNION SELECT N'StBVV20-C', 25000, 95
UNION SELECT N'StBVV20-C', 30000, 102
UNION SELECT N'StBVV20-C', 35000, 110
UNION SELECT N'StBVV20-C', 40000, 115
UNION SELECT N'StBVV20-C', 45000, 122
UNION SELECT N'StBVV20-C', 50000, 130
UNION SELECT N'StBVV20-C', 62500, 137
UNION SELECT N'StBVV20-C', 75000, 149
UNION SELECT N'StBVV20-C', 87500, 164
UNION SELECT N'StBVV20-C', 100000, 177
UNION SELECT N'StBVV20-C', 125000, 197
UNION SELECT N'StBVV20-C', 150000, 217
UNION SELECT N'StBVV20-C', 200000, 259
UNION SELECT N'StBVV20-C', 250000, 299
UNION SELECT N'StBVV20-C', 300000, 339
UNION SELECT N'StBVV20-C', 350000, 381
UNION SELECT N'StBVV20-C', 400000, 416
UNION SELECT N'StBVV20-C', 450000, 448
UNION SELECT N'StBVV20-C', 500000, 483
GO


SET ANSI_NULLS ON
DELETE FROM honorartabelle WHERE tabelle='pkh13'
IF NOT EXISTS (SELECT * FROM honorartabelle WHERE tabelle='pkh13') INSERT INTO honorartabelle(Tabelle, Bis, Betrag)
SELECT N'PKH13', 0, 447
UNION SELECT N'PKH13', 500, 45
UNION SELECT N'PKH13', 1000, 80
UNION SELECT N'PKH13', 1500, 115
UNION SELECT N'PKH13', 2000, 150
UNION SELECT N'PKH13', 3000, 201
UNION SELECT N'PKH13', 4000, 252
UNION SELECT N'PKH13', 5000, 257
UNION SELECT N'PKH13', 6000, 267
UNION SELECT N'PKH13', 7000, 277
UNION SELECT N'PKH13', 8000, 287
UNION SELECT N'PKH13', 9000, 297
UNION SELECT N'PKH13', 10000, 307
UNION SELECT N'PKH13', 13000, 321
UNION SELECT N'PKH13', 16000, 335
UNION SELECT N'PKH13', 19000, 349
UNION SELECT N'PKH13', 22000, 363
UNION SELECT N'PKH13', 25000, 377
UNION SELECT N'PKH13', 30000, 412
GO


SET ANSI_NULLS ON
DELETE FROM honorartabelle WHERE tabelle='pkh21'
IF NOT EXISTS (SELECT * FROM honorartabelle WHERE tabelle='pkh21') INSERT INTO honorartabelle(Tabelle, Bis, Betrag)
SELECT N'PKH21', 0, 659
UNION SELECT N'PKH21', 500, 49
UNION SELECT N'PKH21', 1000, 88
UNION SELECT N'PKH21', 1500, 127
UNION SELECT N'PKH21', 2000, 166
UNION SELECT N'PKH21', 3000, 222
UNION SELECT N'PKH21', 4000, 278
UNION SELECT N'PKH21', 5000, 284
UNION SELECT N'PKH21', 6000, 295
UNION SELECT N'PKH21', 7000, 306
UNION SELECT N'PKH21', 8000, 317
UNION SELECT N'PKH21', 9000, 328
UNION SELECT N'PKH21', 10000, 339
UNION SELECT N'PKH21', 13000, 354
UNION SELECT N'PKH21', 16000, 369
UNION SELECT N'PKH21', 19000, 384
UNION SELECT N'PKH21', 22000, 399
UNION SELECT N'PKH21', 25000, 414
UNION SELECT N'PKH21', 30000, 453
UNION SELECT N'PKH21', 35000, 492
UNION SELECT N'PKH21', 40000, 531
UNION SELECT N'PKH21', 45000, 570
UNION SELECT N'PKH21', 50000, 609
GO


SET ANSI_NULLS ON
DELETE FROM honorarformeln
IF NOT EXISTS (SELECT * FROM honorarformeln) INSERT INTO honorarformeln(Tabelle, Bis, fj, um, zzgl)
SELECT N'BRAGO94', 0, 51129.1881, 153.3876, 3387.3087
UNION SELECT N'BRAGO94', 306.7751, 306.7751, 25.5646, 0
UNION SELECT N'BRAGO94', 1533.8756, 306.7751, 20.4517, 25.5646
UNION SELECT N'BRAGO94', 5112.9188, 511.2919, 28.1211, 107.3713
UNION SELECT N'BRAGO94', 10225.8376, 1022.5838, 35.7904, 304.2187
UNION SELECT N'BRAGO94', 25564.5941, 2556.4594, 40.9034, 483.1708
UNION SELECT N'BRAGO94', 51129.1881, 5112.9188, 71.5809, 728.5909
UNION SELECT N'BRAGO94', 204516.7525, 15338.7564, 81.8067, 1086.4952
UNION SELECT N'BRAGO94', 511291.8812, 30677.5129, 127.823, 1904.5623
UNION SELECT N'FamGK13', 0, 50000, 180, 3536
UNION SELECT N'FamGK13', 500, 500, 35, 0
UNION SELECT N'FamGK13', 2000, 500, 18, 35
UNION SELECT N'FamGK13', 10000, 1000, 19, 89
UNION SELECT N'FamGK13', 25000, 3000, 26, 241
UNION SELECT N'FamGK13', 50000, 5000, 35, 371
UNION SELECT N'FamGK13', 200000, 15000, 120, 546
UNION SELECT N'FamGK13', 500000, 30000, 179, 1746
UNION SELECT N'FamGK21', 0, 50000, 198, 1921
UNION SELECT N'FamGK21', 500, 500, 38, 0
UNION SELECT N'FamGK21', 2000, 500, 20, 38
UNION SELECT N'FamGK21', 10000, 1000, 21, 98
UNION SELECT N'FamGK21', 25000, 3000, 29, 266
UNION SELECT N'FamGK21', 50000, 5000, 38, 411
UNION SELECT N'FamGK21', 200000, 15000, 132, 601
UNION SELECT N'FamGK21', 500000, 30000, 198, 1921
UNION SELECT N'GKG04', 0, 50000, 150, 2956
UNION SELECT N'GKG04', 300, 300, 25, 0
UNION SELECT N'GKG04', 1500, 300, 10, 25
UNION SELECT N'GKG04', 5000, 500, 8, 65
UNION SELECT N'GKG04', 10000, 1000, 15, 121
UNION SELECT N'GKG04', 25000, 3000, 23, 196
UNION SELECT N'GKG04', 50000, 5000, 29, 311
UNION SELECT N'GKG04', 200000, 15000, 100, 456
UNION SELECT N'GKG04', 500000, 30000, 150, 1456
UNION SELECT N'GKG13', 0, 50000, 180, 3536
UNION SELECT N'GKG13', 500, 500, 35, 0
UNION SELECT N'GKG13', 2000, 500, 18, 35
UNION SELECT N'GKG13', 10000, 1000, 19, 89
UNION SELECT N'GKG13', 25000, 3000, 26, 241
UNION SELECT N'GKG13', 50000, 5000, 35, 371
UNION SELECT N'GKG13', 200000, 15000, 120, 546
UNION SELECT N'GKG13', 500000, 30000, 179, 1746
UNION SELECT N'GKG21', 0, 50000, 198, 3901
UNION SELECT N'GKG21', 500, 500, 38, 0
UNION SELECT N'GKG21', 2000, 500, 20, 38
UNION SELECT N'GKG21', 10000, 1000, 21, 98
UNION SELECT N'GKG21', 25000, 3000, 29, 266
UNION SELECT N'GKG21', 50000, 5000, 38, 411
UNION SELECT N'GKG21', 200000, 15000, 132, 601
UNION SELECT N'GKG21', 500000, 30000, 198, 1921
UNION SELECT N'GKG94', 0, 51129.1881, 153.3876, 3019.1786
UNION SELECT N'GKG94', 306.7751, 306.7751, 25.5646, 0
UNION SELECT N'GKG94', 1533.8756, 306.7751, 10.2258, 25.5646
UNION SELECT N'GKG94', 5112.9188, 511.2919, 7.6694, 66.4679
UNION SELECT N'GKG94', 10225.8376, 1022.5838, 15.3388, 120.1536
UNION SELECT N'GKG94', 25564.5941, 2556.4594, 23.0081, 196.8474
UNION SELECT N'GKG94', 51129.1881, 5112.9188, 30.6775, 334.8962
UNION SELECT N'GKG94', 204516.7525, 15338.7564, 102.2584, 488.2837
UNION SELECT N'GKG94', 511291.8812, 30677.5129, 150.8311, 1510.8675
UNION SELECT N'GNOTA13', 0, 50000, 180, 3536
UNION SELECT N'GNOTA13', 500, 500, 35, 0
UNION SELECT N'GNOTA13', 2000, 500, 18, 35
UNION SELECT N'GNOTA13', 10000, 1000, 19, 89
UNION SELECT N'GNOTA13', 25000, 3000, 26, 241
UNION SELECT N'GNOTA13', 50000, 5000, 35, 371
UNION SELECT N'GNOTA13', 200000, 15000, 120, 546
UNION SELECT N'GNOTA13', 500000, 30000, 179, 1746
UNION SELECT N'GNOTA21', 0, 50000, 198, 3901
UNION SELECT N'GNOTA21', 500, 500, 38, 0
UNION SELECT N'GNOTA21', 2000, 500, 20, 38
UNION SELECT N'GNOTA21', 10000, 1000, 21, 98
UNION SELECT N'GNOTA21', 25000, 3000, 29, 266
UNION SELECT N'GNOTA21', 50000, 5000, 38, 411
UNION SELECT N'GNOTA21', 200000, 15000, 132, 601
UNION SELECT N'GNOTA21', 500000, 30000, 198, 1921
UNION SELECT N'GNOTB13', 0, 1000000, 120, 22985
UNION SELECT N'GNOTB13', 500, 500, 15, 0
UNION SELECT N'GNOTB13', 2000, 500, 4, 15
UNION SELECT N'GNOTB13', 10000, 1000, 6, 27
UNION SELECT N'GNOTB13', 25000, 3000, 8, 75
UNION SELECT N'GNOTB13', 50000, 5000, 10, 115
UNION SELECT N'GNOTB13', 200000, 15000, 27, 165
UNION SELECT N'GNOTB13', 500000, 30000, 50, 435
UNION SELECT N'GNOTB13', 5000000, 50000, 80, 935
UNION SELECT N'GNOTB13', 10000000, 200000, 130, 8135
UNION SELECT N'GNOTB13', 20000000, 250000, 150, 11385
UNION SELECT N'GNOTB13', 30000000, 500000, 280, 17385
UNION SELECT N'GNOTB21', 0, 1000000, 120, 22985
UNION SELECT N'GNOTB21', 500, 500, 15, 0
UNION SELECT N'GNOTB21', 2000, 500, 4, 15
UNION SELECT N'GNOTB21', 10000, 1000, 6, 27
UNION SELECT N'GNOTB21', 25000, 3000, 8, 75
UNION SELECT N'GNOTB21', 50000, 5000, 10, 115
UNION SELECT N'GNOTB21', 200000, 15000, 27, 165
UNION SELECT N'GNOTB21', 500000, 30000, 50, 435
UNION SELECT N'GNOTB21', 5000000, 50000, 80, 935
UNION SELECT N'GNOTB21', 10000000, 200000, 130, 8135
UNION SELECT N'GNOTB21', 20000000, 250000, 150, 11385
UNION SELECT N'GNOTB21', 30000000, 500000, 280, 17385
UNION SELECT N'KostO04', 0, 250000, 7, 25857
UNION SELECT N'KostO04', 1000, 1000, 0, 10
UNION SELECT N'KostO04', 5000, 1000, 8, 10
UNION SELECT N'KostO04', 50000, 3000, 6, 42
UNION SELECT N'KostO04', 5000000, 10000, 15, 132
UNION SELECT N'KostO04', 25000000, 25000, 16, 7557
UNION SELECT N'KostO04', 50000000, 50000, 11, 20357
UNION SELECT N'RVG04', 0, 50000, 150, 2996
UNION SELECT N'RVG04', 300, 300, 25, 0
UNION SELECT N'RVG04', 1500, 300, 20, 25
UNION SELECT N'RVG04', 5000, 500, 28, 105
UNION SELECT N'RVG04', 10000, 1000, 37, 301
UNION SELECT N'RVG04', 25000, 3000, 40, 486
UNION SELECT N'RVG04', 50000, 5000, 72, 686
UNION SELECT N'RVG04', 200000, 15000, 77, 1046
UNION SELECT N'RVG04', 500000, 30000, 118, 1816
UNION SELECT N'RVG13', 0, 50000, 150, 3213
UNION SELECT N'RVG13', 500, 500, 45, 0
UNION SELECT N'RVG13', 2000, 500, 35, 45
UNION SELECT N'RVG13', 10000, 1000, 51, 150
UNION SELECT N'RVG13', 25000, 3000, 46, 558
UNION SELECT N'RVG13', 50000, 5000, 75, 788
UNION SELECT N'RVG13', 200000, 15000, 85, 1163
UNION SELECT N'RVG13', 500000, 30000, 120, 2013
UNION SELECT N'RVG21', 0, 50000, 165, 3539
UNION SELECT N'RVG21', 500, 500, 49, 0
UNION SELECT N'RVG21', 2000, 500, 39, 49
UNION SELECT N'RVG21', 10000, 1000, 56, 166
UNION SELECT N'RVG21', 25000, 3000, 52, 614
UNION SELECT N'RVG21', 50000, 5000, 81, 874
UNION SELECT N'RVG21', 200000, 15000, 94, 1279
UNION SELECT N'RVG21', 500000, 30000, 132, 2219
GO


SET ANSI_NULLS ON
DELETE FROM Objektfolge
IF NOT EXISTS (SELECT * FROM Objektfolge) INSERT INTO Objektfolge(Sort, Objektname, Type)
SELECT 10, N'Adressen', 1
UNION SELECT 20, N'Honorarstufen', 1
UNION SELECT 30, N'mitarbeiter', 1
UNION SELECT 40, N'sachgebiete', 1
UNION SELECT 50, N'akten', 1
UNION SELECT 60, N'lager', 1
UNION SELECT 70, N'waehrungen', 1
UNION SELECT 80, N'mahnstufen', 1
UNION SELECT 90, N'beteiligungstypen', 1
UNION SELECT 100, N'fibu_kontotypen', 1
UNION SELECT 110, N'fibu_oberkonten', 1
UNION SELECT 120, N'fibu_konten', 1
UNION SELECT 130, N'fibu_ustkategorie', 1
UNION SELECT 140, N'qkonten', 1
UNION SELECT 150, N'terminstatus', 1
UNION SELECT 160, N'unternehmen', 1
UNION SELECT 170, N'Aktenbeteiligte', 1
UNION SELECT 180, N'TerminHauptKategorien', 1
UNION SELECT 190, N'Terminkategorien', 1
UNION SELECT 500, N'cboMitarbeiter', 2
UNION SELECT 510, N'cboAdressen_Lang', 2
UNION SELECT 520, N'journal', 2
UNION SELECT 530, N'fibu_kontenrahmen', 2
UNION SELECT 540, N'Termine', 2
UNION SELECT 550, N'g_z', 2
UNION SELECT 560, N'rgbsplit', 2
UNION SELECT 570, N'ErfassteZeit', 2
UNION SELECT 580, N'MitarbeiterAbf', 2
UNION SELECT 590, N'Terminkalender', 2
UNION SELECT 600, N'qUnion', 2
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT Terminserien ON
IF (SELECT count(*) FROM Terminserien) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Terminserien) INSERT INTO Terminserien(id, Ereignis, Beschreibung, Link)
SELECT 1, N'Geburt eines Kindes', N'Altersstufen der Dsseldorfer Tabelle.', Null
UNION SELECT 2, N'Erlass eines Arrests oder einer einstweiligen Verfgung', Null, N'http://www.gesetze-im-internet.de/zpo/__929.html'
UNION SELECT 3, N'Gerichtstermin', Null, Null
UNION SELECT 4, N'Kndigung eines Arbeitsverhltnisses', Null, Null
UNION SELECT 5, N'Scheidungstermin', Null, Null
UNION SELECT 6, N'Schriftliches Vorverfahren (2+2)', N'Verteidigungsanzeige u. Klagerwiderung ( 276 ZPO)', N'http://www.gesetze-im-internet.de/zpo/__276.html'
UNION SELECT 7, N'Schriftliches Vorverfahren (2+3)', Null, N'http://www.gesetze-im-internet.de/zpo/__276.html'
UNION SELECT 8, N'Sofortige Beschwerde', Null, N'http://www.gesetze-im-internet.de/zpo/BJNR005330950.html#BJNR005330950BJNG078201301'
UNION SELECT 9, N'Verkndung eines Urteils 1. Instanz', N'Folgen der bloen Verkndung. Die Fristen aufgrund der Zustellung sind gesondert zu notieren!', Null
UNION SELECT 10, N'Zustellung eines Mahnbescheides an Gegner', Null, Null
UNION SELECT 11, N'Zustellung eines Mahnbescheides an Mandant', Null, Null
UNION SELECT 12, N'Zustellung eines Urteils 1. Instanz', N'Zulssig ist in der Regel die Berufung. Es sind die Berufungsfristen zu notieren.', N'http://www.gesetze-im-internet.de/zpo/BJNR005330950.html#BJNR005330950BJNG059902301'
UNION SELECT 13, N'Zustellung eines Urteils 2. Instanz', N'Revision / Nichtzulassungebschwerde', N'http://www.gesetze-im-internet.de/zpo/BJNR005330950.html#BJNR005330950BJNG064002301'
UNION SELECT 14, N'Zustellung eines Vollstreckungsbescheides an Gegner', Null, Null
UNION SELECT 15, N'Zustellung eines Vollstreckungsbescheides an Mandant', Null, Null
UNION SELECT 16, N'Zwangsvollstreckung erfolglos', N'Weitere Manahmen der Zwangsvollstreckung wren derzeit sinnlos.', Null
UNION SELECT 17, N'Straftat', Null, Null
END

SET IDENTITY_INSERT Terminserien OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM TerminSerienElementeTmp) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM TerminSerienElementeTmp) INSERT INTO TerminSerienElementeTmp(TerminserienId, Einheiten, Einheit, Betreff, Beschreibung, KategorienId, Wichtigkeit, AbTermin, vn)
SELECT 1, 0, N'd', N'Geburt', Null, 1, 1, 0, Null
UNION SELECT 1, 3, N'yyyy', N'3. Lebensjahr vollendet', N'u.U. Ende des Ehegattenunterhalts', 1, 1, 1, Null
UNION SELECT 1, 6, N'yyyy', N'6. Lebensjahr vollendet', Null, 1, 1, 1, N'n'
UNION SELECT 1, 12, N'yyyy', N'12. Lebensjahr vollendet', Null, 1, 1, 1, N'n'
UNION SELECT 1, 18, N'yyyy', N'18. Lebensjahr vollendet', Null, 1, 1, 1, N'n'
UNION SELECT 2, 1, N'm', N'Vollziehungsfrist', N'Die Vollziehung des Arrestbefehls ist unstatthaft, wenn seit dem Tag, an dem der Befehl verkndet oder der Partei, auf deren Gesuch er erging, zugestellt ist, ein Monat verstrichen ist.', 4, 2, 0, N'n'
UNION SELECT 3, -14, N'd', N'Ist noch etwas eingegangen oder vorzutragen?', Null, 1, 1, 1, Null
UNION SELECT 3, 1, N'ww', N'Termine und Fristen notiert?', Null, 1, 1, 0, Null
UNION SELECT 4, 3, N'ww', N'Kndigungsschutzklage', Null, 5, 1, 0, N'n'
UNION SELECT 5, -2, N'ww', N'Folgesachenantrge (137 FamGG)', Null, 4, 0, 0, Null
UNION SELECT 6, 2, N'ww', N'Verteidigungsanzeige', Null, 4, 1, 0, N'n'
UNION SELECT 6, 4, N'ww', N'Klagerwiderung', Null, 4, 1, 0, N'n'
UNION SELECT 7, 3, N'ww', N'Klagerwiderung', Null, 4, 1, 0, N'n'
UNION SELECT 7, 5, N'ww', N'Verteidigungsanzeige', Null, 4, 1, 0, N'n'
UNION SELECT 8, 2, N'ww', N'Sofortige Beschwerde', Null, 5, 1, 0, N'n'
UNION SELECT 9, -1, N'ww', N'Rechtsausfhrungen zum bevorstehenden Verkndungstermin?', Null, 4, 1, 0, N'v'
UNION SELECT 9, 6, N'm', N'Absolut: Berufung bzw. Nichtzulassungsbeschwerde', N'Absolute Frist fr Berufung ( 517 ZPO) oder deren Nichtzulassung ( 544 I 2 ZPO)', 5, 1, 0, N'n'
UNION SELECT 9, 7, N'm', N'Absolut: Berufungs- bzw. Nichtuzlassungsbeschwerdegrndung', N'absolute Berufungsbegrndungsfrist ( 520 II 1 ZPO, 544 II 1 ZPO) ', 4, 1, 0, N'n'
UNION SELECT 10, 2, N'ww', N'Antrag auf Vollstreckungsbescheid', Null, 1, 1, 1, Null
UNION SELECT 10, 6, N'm', N'Wegfall der Wirkung des Mahnbescheids ( 702 ZPO)', Null, 4, 1, 0, N'n'
UNION SELECT 11, 2, N'ww', N'Widerspruch', Null, 5, 1, 0, Null
UNION SELECT 12, 1, N'm', N'Berufung ( 517 ZPO)', N'Formelle Berufung', 5, 1, 0, N'n'
UNION SELECT 12, 2, N'm', N'Berufungsbegrndung ( 520 ZPO)', Null, 4, 1, 0, N'n'
UNION SELECT 12, 2, N'ww', N'Tabestandsberichtigung, Urteilsergnzungen', N'Berichtigung des Tatbestandes ( 320 ZPO), Ergnzung des Urteils ( 312, 716 ZPO)', 4, 1, 0, N'n'
UNION SELECT 13, 1, N'm', N'Revision / Nichtzulassungsbeschwerde', N'Innerhalb einer Notfrist von einem Monat nach Zustellung des in vollstndiger Form abgefassten Urteils einzulegen.', 5, 1, 0, Null
UNION SELECT 13, 2, N'm', N'Begrndung von Nichtzulassungebschwerde / Revision', Null, 4, 1, 0, Null
UNION SELECT 14, 15, N'd', N'Zwangsvollstreckung einleiten', N'Nach Ablauf der 2-wchigen Einspruchsfrist ist der Vollstreckungsbescheid rechtskrftig.', 1, 1, 0, N'n'
UNION SELECT 15, 2, N'ww', N'Einspruch', Null, 5, 1, 0, Null
UNION SELECT 16, 3, N'yyyy', N'Wiederaufnahme der Zwangsvollstreckung', Null, 1, 1, 1, Null
END

GO

InsertTerminSerienElemente
GO


SET ANSI_NULLS ON
DELETE FROM Zeiteinheiten
IF NOT EXISTS (SELECT * FROM Zeiteinheiten) INSERT INTO Zeiteinheiten(vb6, SqlSrv, Zeiteinheit, Tage)
SELECT N'd', N'dd', N'Tag/e', 1
UNION SELECT N'h', N'hh', N'Stunde/n', 4.166667E-02
UNION SELECT N'm', N'mm', N'Monat/e', 30.5
UNION SELECT N'n', N'mi', N'Minute/n', 6.94444E-04
UNION SELECT N'q', N'qq', N'Quartal/e', 91.3125
UNION SELECT N'ww', N'wk', N'Woche/n', 7
UNION SELECT N'yyyy', N'yy', N'Jahr/e', 365.25
GO


SET ANSI_NULLS ON
DELETE FROM Tabellensets
IF NOT EXISTS (SELECT * FROM Tabellensets) INSERT INTO Tabellensets(Tabellenset, Tabelle)
SELECT N'KG2004', N'GKG04'
UNION SELECT N'KG2004', N'KostO04'
UNION SELECT N'KG2004', N'PKH04'
UNION SELECT N'KG2004', N'RVG04'
UNION SELECT N'KG2013', N'FamGK13'
UNION SELECT N'KG2013', N'GKG13'
UNION SELECT N'KG2013', N'GNotA13'
UNION SELECT N'KG2013', N'GNotB13'
UNION SELECT N'KG2013', N'PKH13'
UNION SELECT N'KG2013', N'RVG13'
UNION SELECT N'KG2021', N'FamGK21'
UNION SELECT N'KG2021', N'GKG21'
UNION SELECT N'KG2021', N'GNOTA21'
UNION SELECT N'KG2021', N'GNOTB21'
UNION SELECT N'KG2021', N'PKH21'
UNION SELECT N'KG2021', N'RVG21'
UNION SELECT N'StB2004', N'StBVV04-A'
UNION SELECT N'StB2004', N'StBVV04-B'
UNION SELECT N'StB2004', N'StBVV04-C'
UNION SELECT N'StB2004', N'StBVV04-E'
UNION SELECT N'StB2013', N'StBVV13-A'
UNION SELECT N'StB2013', N'StBVV13-B'
UNION SELECT N'StB2013', N'StBVV13-C'
UNION SELECT N'StB2013', N'StBVV13-E'
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM KontoidKonvertierung) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM KontoidKonvertierung) INSERT INTO KontoidKonvertierung(KontoIdInstall, Kontobezeichnung, KontoIdLokal)
SELECT 1370, N'Guthabenkonto: z.B. "Auslagen (durchlaufend)"', 1370
UNION SELECT 3500, N'Verbindlichkeitenkonto: z.B. "Fremdgeld"', 3500
UNION SELECT 4400, N'Einnahmenkonto: z.B. "Gebhren" od. "Honorar"', 4400
UNION SELECT 5211, N'Ausgabenkonto: z.B. "Auslagen (Aufwand)"', 5211
END

GO


SET ANSI_NULLS ON
DELETE FROM Datentypen
IF NOT EXISTS (SELECT * FROM Datentypen) INSERT INTO Datentypen(xtype, sql, Bezeichnung)
SELECT 34, N'image', N'Bild'
UNION SELECT 35, N'text', N'Langer Text'
UNION SELECT 36, N'uniqueidentifier', N'uniqueidentifier'
UNION SELECT 48, N'tinyint', N'Ganzzahl (tiny)'
UNION SELECT 52, N'smallint', N'Ganzzahl (small)'
UNION SELECT 56, N'int', N'Ganzzahl'
UNION SELECT 58, N'shortdatetime', N'Datum / Uhrzeit (klein)'
UNION SELECT 59, N'real', N'Gleitkommazahl'
UNION SELECT 60, N'money', N'Geld'
UNION SELECT 61, N'datetime', N'Datum / Uhrzeit'
UNION SELECT 62, N'float', N'Gleitkommazahlt'
UNION SELECT 98, N'sql_variant', N'sql_variant'
UNION SELECT 99, N'ntext', N'Text'
UNION SELECT 104, N'bit', N'ja / nein'
UNION SELECT 106, N'decimal', N'Dezimal'
UNION SELECT 108, N'numeric', N'numeric'
UNION SELECT 122, N'smallmoney', N'Geld'
UNION SELECT 127, N'bigint', N'Ganzzahl (big)'
UNION SELECT 165, N'varbinary', N'varbinary'
UNION SELECT 167, N'varchar', N'Text'
UNION SELECT 173, N'binary', N'Binr'
UNION SELECT 175, N'char', N'Zeichen'
UNION SELECT 189, N'timestamp', N'Zeitstempel'
UNION SELECT 202, N'date', N'Datum (ohne Uhrzeit)'
UNION SELECT 231, N'nvarchar', N'Text (unicode)'
UNION SELECT 239, N'nchar', N'Zeichen (Unicode)'
UNION SELECT 241, N'xml', N'xml'
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM GwRisikoStufen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM GwRisikoStufen) INSERT INTO GwRisikoStufen(id, Risikostufe)
SELECT 1, N'Keine Verpflichtungen ( 2 GwG)'
UNION SELECT 2, N'Vereinfachte Sorgfaltspflichten ( 14 GwG)'
UNION SELECT 3, N'Allgemeine Sorgfaltspflichten ( 10 GwG)'
UNION SELECT 4, N'Verstrkte Sorgfaltspflichten (15 GwG)'
UNION SELECT 5, N'Sorgfaltspflichten nicht erfllbar ( 10 Abs. 9 GwG)'
UNION SELECT 6, N'Verdacht der Geldwsche ( 43 GwG)'
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT fibu_ustkategorie ON
IF (SELECT count(*) FROM fibu_ustkategorie) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 0)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (0, N'umsatzsteuerlich nicht relevant', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 1)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (1, N'kein steuerbarer Umsatz ( 1 UStG)', 0, N'N', Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 2)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (2, N'Steuerfreie Umstze ohne Vorsteuerabzug', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 3)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (3, N'umsatzsteuerfreie Exportleistung ( 4 Nr. 1,6 UStG)', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 4)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (4, N'Zahlungsverkehr mit Finanzamt', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 9)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (9, N'Vorsteuer', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 10)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (10, N'Umsatzsteuer', .16, Null, 5)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 11)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (11, N'Vorsteuer', .16, Null, 7)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 12)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (12, N'Umsatzsteuer ermigt', .07, Null, 2)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 13)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (13, N'Vorsteuer', .07, Null, 8)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 14)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (14, N'Entrichtete Einfuhrumsatzsteuer ( 15 I Nr. 2 UStG)', .16, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 15)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (15, N'Umsatzsteuer', .19, N'U', 3)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 16)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (16, N'Vorsteuer', .19, N'V', 9)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 17)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (17, N'Umsatzsteuerbefreit gem.  19 UStG', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 18)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (18, N'Umsatzsteuer nicht erstattungspflichtig', 0, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 19)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (19, N'Umsatzsteuer', .05, Null, Null)
IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE id= 20)
INSERT INTO dbo.fibu_ustkategorie (id, Bezeichnung, Ustsatz, Tag, Datev) VALUES (20, N'Vorsteuer', .05, Null, Null)
END

SET IDENTITY_INSERT fibu_ustkategorie OFF
GO

IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE bezeichnung LIKE '%umsatz%' AND Ustsatz = .19) INSERT INTO dbo.fibu_ustkategorie (Bezeichnung, Ustsatz) VALUES (N'Umsatzsteuer', .19)
GO

IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE bezeichnung LIKE '%vorsteuer%' AND Ustsatz = .19) INSERT INTO dbo.fibu_ustkategorie (Bezeichnung, Ustsatz) VALUES (N'Vorsteuer', .19)
GO

IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE bezeichnung LIKE '%umsatz%' AND Ustsatz = .05) INSERT INTO dbo.fibu_ustkategorie (Bezeichnung, Ustsatz) VALUES (N'Umsatzsteuer', .05)
GO

IF NOT EXISTS (SELECT * FROM fibu_ustkategorie WHERE bezeichnung LIKE '%vorsteuer%' AND Ustsatz = .05) INSERT INTO dbo.fibu_ustkategorie (Bezeichnung, Ustsatz) VALUES (N'Vorsteuer', .05)
GO

DELETE FROM UserConst WHERE bezeichnung='AzBeliebig'
GO

DELETE FROM UserConst WHERE bezeichnung='EMailMitDialog'
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM lager) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM lager WHERE lager_id= 1)
INSERT INTO dbo.lager (lager_id, Lager, Sort) VALUES (1, N'Mandant', Null)
IF NOT EXISTS (SELECT * FROM lager WHERE lager_id= 2)
INSERT INTO dbo.lager (lager_id, Lager, Sort) VALUES (2, N'Gegenseite', Null)
IF NOT EXISTS (SELECT * FROM lager WHERE lager_id= 3)
INSERT INTO dbo.lager (lager_id, Lager, Sort) VALUES (3, N'unparteiisch', Null)
IF NOT EXISTS (SELECT * FROM lager WHERE lager_id= 4)
INSERT INTO dbo.lager (lager_id, Lager, Sort) VALUES (4, N'unbekannt', Null)
IF NOT EXISTS (SELECT * FROM lager WHERE lager_id= 5)
INSERT INTO dbo.lager (lager_id, Lager, Sort) VALUES (5, N'nicht-anwaltlich', Null)
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT beteiligungstypen ON
IF (SELECT count(*) FROM beteiligungstypen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM beteiligungstypen) INSERT INTO beteiligungstypen(id, Beteiligungstyp, lagerid, Archiv)
SELECT 1, N'Mandant', 1, 1
UNION SELECT 2, N'Gegner', 2, 1
UNION SELECT 3, N'Gegnervertreter', 2, Null
UNION SELECT 4, N'Korrespondenzanwalt', 1, Null
UNION SELECT 5, N'I. Instanz', 3, Null
UNION SELECT 6, N'II. Instanz', 3, Null
UNION SELECT 7, N'III. Instanz', 3, Null
UNION SELECT 8, N'Eigene Rechtsschutz', 1, Null
UNION SELECT 9, N'Fremde Rechtsschutz', 2, Null
UNION SELECT 10, N'Eigene Haftpflicht', 1, Null
UNION SELECT 11, N'Fremde Haftpflicht', 2, Null
UNION SELECT 12, N'Beschwerdegericht', 3, Null
UNION SELECT 13, N'Mahngericht', 3, Null
UNION SELECT 14, N'Streithelfer', 4, Null
UNION SELECT 15, N'Ermittlungsbehrde', 4, Null
UNION SELECT 16, N'Strafgericht als Nebensache', 3, Null
UNION SELECT 17, N'Sonstige unparteiisch', 3, Null
UNION SELECT 18, N'Privat', 4, Null
UNION SELECT 19, N'Sachverstndiger / Zeuge', 3, Null
UNION SELECT 20, N'Schiedsrichter', 3, Null
UNION SELECT 21, N'Vollstreckungsorgan', 3, Null
UNION SELECT 24, N'Drittschuldner', 4, Null
UNION SELECT 25, N'Registergericht', 3, Null
UNION SELECT 26, N'Zusatzkonto', 3, Null
UNION SELECT 27, N'Lieferant', 4, Null
UNION SELECT 28, N'Kunde', 4, Null
UNION SELECT 29, N'Eigene Kaskoversicherung', 1, Null
UNION SELECT 30, N'Mieter', 4, Null
UNION SELECT 31, N'eigener Berater', 1, Null
UNION SELECT 32, N'gegnerischer Berater', 2, Null
UNION SELECT 33, N'Notariat', 3, Null
UNION SELECT 34, N'Erblasser', 4, Null
UNION SELECT 35, N'Mitglied', 3, Null
UNION SELECT 36, N'Rechtstrger', 1, Null
UNION SELECT 37, N'Finanzamt', 2, Null
UNION SELECT 38, N'ex', 4, Null
UNION SELECT 39, N'Mitarbeiter', 5, Null
UNION SELECT 40, N'Unternehmen', 5, Null
UNION SELECT 42, N'Crew', 3, Null
UNION SELECT 44, N'Sonstiges Gericht', 3, Null
UNION SELECT 45, N'Objekt', 4, Null
END

SET IDENTITY_INSERT beteiligungstypen OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT sachgebiete ON
IF (SELECT count(*) FROM sachgebiete) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM sachgebiete) INSERT INTO sachgebiete(id, Sachgebiet, GwR)
SELECT 1, N'Arbeitsrecht', Null
UNION SELECT 2, N'Arzt- und Medizinrecht', Null
UNION SELECT 3, N'Bankrecht', Null
UNION SELECT 4, N'Bau- und Architektenrecht', Null
UNION SELECT 5, N'Erbrecht', Null
UNION SELECT 6, N'Familienrecht', Null
UNION SELECT 7, N'Gesellschaftsrecht', 3
UNION SELECT 8, N'Handelsrecht', Null
UNION SELECT 9, N'Internationales Privatrecht', Null
UNION SELECT 10, N'Interne Verwaltung', Null
UNION SELECT 11, N'Korrespondenzsachen', Null
UNION SELECT 12, N'Mahn-/Inkassosachen', Null
UNION SELECT 13, N'Mietrecht', Null
UNION SELECT 14, N'Nebenttigkeit', Null
UNION SELECT 15, N'Ordnungswidrigkeiten', Null
UNION SELECT 16, N'Patent- und Markenrecht', Null
UNION SELECT 17, N'Privatsachen', Null
UNION SELECT 18, N'Prfungsrecht', Null
UNION SELECT 19, N'Reiserecht', Null
UNION SELECT 20, N'Sonstige Einnahmen', Null
UNION SELECT 21, N'Sonstige Rechtsgebiete', Null
UNION SELECT 22, N'Steuer- und Abgabenrecht', Null
UNION SELECT 23, N'Strafrecht', Null
UNION SELECT 24, N'Strassenverkehrsrecht', Null
UNION SELECT 25, N'Transportrecht', Null
UNION SELECT 26, N'Versicherungsrecht', Null
UNION SELECT 27, N'Verwaltungsrecht', Null
UNION SELECT 28, N'Wettbewerbsrecht', Null
UNION SELECT 29, N'Zivilrecht (sonstiges)', Null
END

SET IDENTITY_INSERT sachgebiete OFF
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Ablagenummer')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Ablagenummer', 0, N'zuletzt vergebener Zhlwert fr den Platzhalter # bei der Aktenablage')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'AktenJahrGemAnlageDatum')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'AktenJahrGemAnlageDatum', 0, N'gibt an, ob der Aktenjahrgang aus dem Anlagedatum abgeleitet werden soll')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Aktennummer')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Aktennummer', 0, N'zuletzt vergebener Zhlwert fr den Platzhalter # bei der Aktenanlage')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'AzFrei')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'AzFrei', 0, N'Gibt an, ob Aktenzeichen in beliebigem Format verwendet werden drfen')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'CockpitSucheAb')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'CockpitSucheAb', 20, N'Gibt an, ab welcher Anzahl von Zeilen im Cockpit das Suchfenster angezeigt wird')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'DokNrStartWert')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'DokNrStartWert', 0, N'Startwert fr die Nummerierung der Dokumente im Aktenordner')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Erinnerungsbeginn')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Erinnerungsbeginn', 7, N'Gibt an, ab welcher Uhrzeit (volle Stunde) Erinnerungen angezeigt werden (Standard=0)')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Fristablaufstunde')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Fristablaufstunde', 23, N'Uhrzeit (volle Stunde) fr Fristablufe (Standard=23)')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'GeldformatId')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'GeldformatId', 1, N'id der standardmig verwendeten Whrung')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'StandardFontSize')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'StandardFontSize', 12, N'Standardschriftgre in Tabellen')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'StandardWV')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'StandardWV', 30, N'Standard-Anzahl von Tagen fr eine Wiedervorlage')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'TerminBearbeitung')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'TerminBearbeitung', 0, N'Gibt an, ob Termine ohne Neuanlage gendert werden knnen (Standard: 0)')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Wiedervorlagestunde')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Wiedervorlagestunde', 0, N'Uhrzeit (volle Stunde) fr Wiedervorlagen (Standard=0)')
IF NOT EXISTS (SELECT * FROM UserConst WHERE bezeichnung=N'Zahlungsfrist')
INSERT INTO dbo.UserConst (Bezeichnung, Wert, Kommentar) VALUES (N'Zahlungsfrist', 31, N'Standardmig angenommene Flligkeit')
GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'AdressWebSuche')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'AdressWebSuche', N'http://maps.google.de/maps?q=', N'URL, als deren Parameter die Adresse im Browser aufgerufen wird')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'aktenfeld3')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'aktenfeld3', N'Herkunft', N'bezeichnung fr das benutzerdefinierte Feld der Aktenanlage')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Aktentyp')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Aktentyp', N'Aktentyp', N'Formulierung fr den Typ einer Akte')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Aktenvorblatt')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Aktenvorblatt', Null, N'Name der Dokumentvorlage fr Aktenvorblatt (Default: aktenvorblatt.dot)')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'beAErsatzZeichen')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'beAErsatzZeichen', Null, N'Gibt an, durch welches Zeichen Buchstaben, die im beA unzulssig sind, zu ersetzen sind')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Berufstraeger')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Berufstraeger', N'Rechtsanwalt', N'Sachbezeichnung der Berufstrger')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'BriefAn')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'BriefAn', N'Brief an', N'Gibt an, welche Zeichenfolge ggf. aus einem vom Programm generierten Dateinamen wegzulassen ist (Standard: "Brief an")')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Bruttobetrag')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Bruttobetrag', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'DateiSpeichernAls')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'DateiSpeichernAls', N'<nr>-<Vorlage> <prep> <VollerName>', N'Vorlage fr die Generierung von Dateinamen')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Datensicherungspfad')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Datensicherungspfad', N'C:\gap\', N'Auf dem Server')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'EMailBetreff')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'EMailBetreff', N'~Kurzrubrum (~az) ~Aktenbetreff', N'Vorlage fr die Betreffzeile von E-Mails')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'EMailSpeichernAls')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'EMailSpeichernAls', N'<nr>-<von> an <an> - <betreff>', N'Vorlage fr die Generierung von E-Mail-Dateinamen')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Gesamtbetrag')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Gesamtbetrag', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'KurzbriefOrdner')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'KurzbriefOrdner', Null, N'Abweichender Ordner fr Kurzbriefe (Standard: leer)')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'mfg')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'mfg', N'Mit freundlichen Gren', N'Standardgrussformel')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Nettobetrag')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Nettobetrag', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'perfax')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'perfax', N'Per Fax: ', N'Vorspann zur Einfgung vor einer Faxnummer')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Rechnungausgeglichen')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Rechnungausgeglichen', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Rechnungnegativ')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Rechnungnegativ', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'sachbearbeiter1')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'sachbearbeiter1', N'Sachbearbeiter', N'Bezeichnung fr den 1. Aktensachbearbeiter')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'sachbearbeiter2')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'sachbearbeiter2', N'Akquisiteur', N'Bezeichnung fr den 2. Aktensachbearbeiter')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'SchemaFreiesAz')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'SchemaFreiesAz', N'2023/#', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'SgDuH')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'SgDuH', N'Sehr geehrte Damen und Herren', N'Standardbriefanrede')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Standarddokumentvorlage')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Standarddokumentvorlage', N'<vorlagen>\brief.dot', N'Dokumentvorlage, die verwendet wird, wenn keine andere Vorlage eingestellt ist oder ausgewhlt wird.')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Tilgungsplan')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Tilgungsplan', N'Tilgungsplan', N'Formulierung Buchungstext fr Tilgungsplan')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Umsatzsteuer')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Umsatzsteuer', N'', Null)
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'Whrungssymbol')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'Whrungssymbol', N'', N'Whrungssymbol (Ergnzung zur Whrungs-ID)')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'ZeitText1')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'ZeitText1', N'Telefonat mit', N'Eingangsfloskel 1 fr Zeiterfassungstexte')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'ZeitText2')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'ZeitText2', N'Korrespondenz mit', N'Eingangsfloskel 2 fr Zeiterfassungstexte')
IF NOT EXISTS (SELECT * FROM UserTexte WHERE bezeichnung=N'ZVOrdner')
INSERT INTO dbo.UserTexte (Bezeichnung, Wert, Kommentar) VALUES (N'ZVOrdner', Null, N'Abweichender Ordner fr ZV-Dokumentvorlagen (Standard: leer)')
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM qKonten) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM qKonten) INSERT INTO qKonten(id, Kontobezeichnung, ustid, ergebnis, vorzeichen, Sort)
SELECT 690, N'Anlagevermgen', 1, 0, 1, Null
UNION SELECT 1370, N'Auslagen', 1, 0, 1, Null
UNION SELECT 1510, N'Wertpapiere', 1, 0, 1, Null
UNION SELECT 1600, N'Kasse', 1, 0, 1, Null
UNION SELECT 1800, N'Girokonto I', 1, 0, 1, Null
UNION SELECT 1810, N'Girokonto II', 1, 0, 1, Null
UNION SELECT 1850, N'Anderkonto', 1, 0, 1, Null
UNION SELECT 1890, N'Sparkonto', 1, 0, 1, Null
UNION SELECT 2000, N'Darlehensforderungen', 1, 0, 1, Null
UNION SELECT 2100, N'Privatentnahmen', 1, 0, 1, Null
UNION SELECT 2180, N'Privateinlagen', 1, 0, -1, Null
UNION SELECT 3300, N'Verbindlichkeiten', 1, 0, -1, Null
UNION SELECT 3400, N'Darlehensverbindlichkeiten', 1, 0, -1, Null
UNION SELECT 3500, N'Fremdgeld', 1, 0, -1, Null
UNION SELECT 3820, N'Umsatzsteuer gezahlt (an das Finanzamt / ggf. verrechnet)', 1, 1, 1, Null
UNION SELECT 3821, N'Umsatzsteuererstattung (vom Finanzamt / ggf. verrechnet)', 1, 1, -1, Null
UNION SELECT 4110, N'Einnahmen (sonstige)', 1, 1, -1, Null
UNION SELECT 4200, N'Kleinunternehmer-Einnahmen', 2, 1, -1, Null
UNION SELECT 4400, N'Einnahmen, umsatzsteuerpflichtig', 10, 1, -1, Null
UNION SELECT 4620, N'Sach-, Nutzungs- und Leistungsentnahmen (sonstige)', 10, 1, -1, Null
UNION SELECT 4645, N'Private Kfz-Nutzung', 10, 1, -1, Null
UNION SELECT 4849, N'Veruerung oder Entnahme von Anlagevermgen', 1, 1, -1, Null
UNION SELECT 4935, N'Auflsung von Rcklagen', 1, 1, -1, Null
UNION SELECT 5400, N'Waren, Rohstoffe und Hilfsstoffe einschl. Nebenkosten', 11, 1, 1, Null
UNION SELECT 5900, N'Fremdleistungen u. a. bezogene Leistungen', 11, 1, 1, Null
UNION SELECT 6000, N'Personal (z.B. Gehlter, Lhne und Versicherungsbeitrge)', 11, 1, 1, Null
UNION SELECT 6200, N'AfA auf immaterielle Wirtschaftsgter', 1, 1, 1, Null
UNION SELECT 6220, N'AfA auf bewegliche Wirtschaftsgter (z.B. Maschinen, KfZ)', 1, 1, 1, Null
UNION SELECT 6221, N'AfA auf unbewegliche Wirtschaftsgter', 1, 1, 1, Null
UNION SELECT 6260, N'Geringwertige Wirtschaftsgter', 11, 1, 1, Null
UNION SELECT 6280, N'Abschreibung von Forderungen', 1, 1, 1, Null
UNION SELECT 6300, N'Sonstige Ausgaben', 11, 1, 1, Null
UNION SELECT 6310, N'Miete / Pacht fr Rume und Grundstcke', 1, 1, 1, Null
UNION SELECT 6350, N'Raumkosten, sonstige', 1, 1, 1, Null
UNION SELECT 6370, N'Husliches Arbeitszimmer', 1, 1, 1, Null
UNION SELECT 6500, N'Kraftfahrzeug- und andere Fahrtkosten', 11, 1, 1, Null
UNION SELECT 6610, N'Geschenke', 11, 1, 1, Null
UNION SELECT 6630, N'Sonstige beschrnkt abziehbare Ausgaben ', 11, 1, 1, Null
UNION SELECT 6640, N'Bewirtung', 13, 1, 1, Null
UNION SELECT 6650, N'Reisekosten, doppelte Haushaltsfhrung', 11, 1, 1, Null
UNION SELECT 6669, N'Wege zwischen Wohnung und Betriebssttte', 11, 1, 1, Null
UNION SELECT 6800, N'Porto, Telefon, Bromaterial', 11, 1, 1, Null
UNION SELECT 6820, N'Fortbildung, Fachliteratur', 11, 1, 1, Null
UNION SELECT 6825, N'Rechts- und Steuerberatung, Buchfhrung', 11, 1, 1, Null
UNION SELECT 6889, N'Restbuchwert ausgeschiedener Anlagegter', 1, 1, 1, Null
UNION SELECT 7300, N'Schuldzinsen (ohne Anlagevermgen)', 1, 1, 1, Null
UNION SELECT 7320, N'Schuldzinsen fr Anlagevermgen', 1, 1, 1, Null
UNION SELECT 9000, N'Anfangsbestand', 1, 0, 1, Null
END

GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM fibu_kontotypen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM fibu_kontotypen) INSERT INTO fibu_kontotypen(id, Bezeichnung, Vorzeichen)
SELECT -2, N'Guthaben', 1
UNION SELECT -1, N'Verbindlichkeiten', -1
UNION SELECT 1, N'Einnahmen', -1
UNION SELECT 2, N'Ausgaben', 1
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT fibu_oberkonten ON
IF (SELECT count(*) FROM fibu_oberkonten) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM fibu_oberkonten) INSERT INTO fibu_oberkonten(id, Bezeichnung, Kontotypid)
SELECT 1, N'Betriebseinnahmen', 1
UNION SELECT 2, N'Sacheinnahmen', 1
UNION SELECT 3, N'Steuererstattungen', 1
UNION SELECT 4, N'Personal', 2
UNION SELECT 5, N'Einkauf', 2
UNION SELECT 6, N'Kraftfahrzeug- und Wegekosten', 2
UNION SELECT 7, N'Raumkosten', 2
UNION SELECT 8, N'Abschreibungen', 2
UNION SELECT 9, N'Brobetrieb', 2
UNION SELECT 10, N'Steuern und Abgaben', 2
UNION SELECT 11, N'Sonstige Ausgaben', 2
UNION SELECT 12, N'Barguthaben', -2
UNION SELECT 13, N'Verbindlichkeiten', -1
UNION SELECT 14, N'Anlagevermgen', -2
UNION SELECT 15, N'Sonstige Einnahmen', 1
UNION SELECT 16, N'Forderungen', -2
UNION SELECT 17, N'Eigenkapital', -1
END

SET IDENTITY_INSERT fibu_oberkonten OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM fibu_konten) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM fibu_konten) INSERT INTO fibu_konten(id, Bezeichnung, Ustvorschlag, Oberkontoid, Akonto, obs)
SELECT 690, N'Anlagevermgen', 1, 14, Null, 0
UNION SELECT 1370, N'Auslagen (durchlaufend)', 1, 16, N'M', 0
UNION SELECT 1460, N'Geldtransfer', 1, 12, Null, 0
UNION SELECT 1510, N'Wertpapiere', 1, 12, Null, 0
UNION SELECT 1600, N'Kasse', 1, 12, Null, 0
UNION SELECT 1800, N'Girokonto I', 1, 12, Null, 0
UNION SELECT 1810, N'Girokonto II', 1, 12, Null, 0
UNION SELECT 1850, N'Anderkonto', 1, 12, Null, 0
UNION SELECT 1890, N'Sparkonto', 1, 12, Null, 0
UNION SELECT 2000, N'Darlehensforderungen', 1, 16, Null, 0
UNION SELECT 2100, N'Privatentnahmen', 1, 17, Null, 0
UNION SELECT 2180, N'Privateinlagen', 1, 17, Null, 0
UNION SELECT 3300, N'Verbindlichkeiten (sonstige)', 1, 13, Null, 0
UNION SELECT 3400, N'Darlehensverbindlichkeiten', 1, 13, Null, 0
UNION SELECT 3500, N'Fremdgeld', 1, 13, N'M', 0
UNION SELECT 3820, N'Umsatzsteuer gezahlt (an das Finanzamt / ggf. verrechnet)', 1, 10, Null, 0
UNION SELECT 3821, N'Umsatzsteuererstattung (vom Finanzamt / ggf. verrechnet)', 1, 3, Null, 0
UNION SELECT 4110, N'Einnahmen (sonstige)', 1, 15, N'D', 0
UNION SELECT 4400, N'Gebhren', 15, 1, N'M', 0
UNION SELECT 4620, N'Sach-, Nutzungs- und Leistungsentnahmen (sonstige)', 15, 1, N'D', 0
UNION SELECT 4645, N'Private Kfz-Nutzung', 15, 1, Null, 0
UNION SELECT 4849, N'Veruerung oder Entnahme von Anlagevermgen', 1, 15, N'D', 0
UNION SELECT 4935, N'Auflsung von Rcklagen', 1, 15, Null, 0
UNION SELECT 5211, N'Auslagen (Aufwand)', 15, 11, N'D', 0
UNION SELECT 5400, N'Waren, Rohstoffe und Hilfsstoffe einschl. Nebenkosten', 16, 5, N'D', 0
UNION SELECT 5900, N'Fremdleistungen u. a. bezogene Leistungen', 16, 5, N'D', 0
UNION SELECT 6000, N'Personal (z.B. Gehlter, Lhne und Versicherungsbeitrge)', 1, 4, Null, 0
UNION SELECT 6200, N'AfA auf immaterielle Wirtschaftsgter', 1, 8, Null, 0
UNION SELECT 6220, N'AfA auf bewegliche Wirtschaftsgter (z.B. Maschinen, KfZ)', 1, 8, Null, 0
UNION SELECT 6221, N'AfA auf unbewegliche Wirtschaftsgter', 1, 8, Null, 0
UNION SELECT 6260, N'Geringwertige Wirtschaftsgter', 16, 8, N'D', 0
UNION SELECT 6280, N'Abschreibung von Forderungen', 1, 8, N'M', 0
UNION SELECT 6300, N'Sonstige Ausgaben', 16, 11, N'D', 0
UNION SELECT 6310, N'Miete / Pacht fr Rume und Grundstcke', 1, 7, N'D', 0
UNION SELECT 6350, N'Raumkosten, sonstige', 1, 7, N'D', 0
UNION SELECT 6370, N'Husliches Arbeitszimmer', 1, 7, Null, 0
UNION SELECT 6500, N'Kraftfahrzeug- und andere Fahrtkosten', 16, 6, N'D', 0
UNION SELECT 6610, N'Geschenke', 16, 11, N'D', 0
UNION SELECT 6630, N'Sonstige beschrnkt abziehbare Ausgaben ', 16, 11, N'D', 0
UNION SELECT 6640, N'Bewirtung', 16, 11, N'D', 0
UNION SELECT 6650, N'Reisekosten, doppelte Haushaltsfhrung', 16, 6, N'D', 0
UNION SELECT 6669, N'Wege zwischen Wohnung und Betriebssttte', 16, 6, Null, 0
UNION SELECT 6800, N'Bromaterial, Telekommunikation, Porto', 16, 9, N'D', 0
UNION SELECT 6820, N'Fortbildung, Fachliteratur', 16, 9, N'D', 0
UNION SELECT 6825, N'Rechts- und Steuerberatung, Buchfhrung', 16, 9, N'D', 0
UNION SELECT 6889, N'Restbuchwert ausgeschiedener Anlagegter', 1, 8, Null, 0
UNION SELECT 7300, N'Schuldzinsen (ohne Anlagevermgen)', 1, 9, N'D', 0
UNION SELECT 7320, N'Schuldzinsen fr Anlagevermgen', 1, 9, Null, 0
UNION SELECT 9000, N'Anfangsbestand / Ergebnisverrechnung', 1, 17, Null, 0
END

GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM InternetLinks) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Rechtsanwlte Carlos Claussen')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Rechtsanwlte Carlos Claussen', N'http://www.carlos-claussen.de', N'Unsere Homepage mit den Persnlichkeitsprofilen aller Rechtsanwlte')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Hamburger Rathausmarkt')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Hamburger Rathausmarkt', N'http://www.hamburger-rathausmarkt.de', N'Die Webcam der Rechtsanwlte Carlos Claussen und des a-jur-Softwarehauses mit dem Blick aus dem obersten Stockwerk des Brohauses Mnckebergstrae 31 in Richtung Westen ber den Rathausmarkt')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Juris')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Juris', N'http://www.juris.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Dsseldorfer Tabelle')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Dsseldorfer Tabelle', N'http://www.olg-duesseldorf.nrw.de/infos/Duesseldorfer_tabelle/', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Blutalkohol')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Blutalkohol', N'http://www.blutalkohol-homepage.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Punktekatalog')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Punktekatalog', N'http://www.kba.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Bundesverfassungsgericht')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Bundesverfassungsgericht', N'http://www.bundesverfassungsgericht.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Bundesgerichtshof')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Bundesgerichtshof', N'http://www.bundesgerichtshof.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Telefonbuch')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Telefonbuch', N'http://www.telefonbuch.de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Bundesrecht - unsere Linkliste!')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Bundesrecht - unsere Linkliste!', N'http://www.a-jur.de/gesetze.htm', N'aktuelle Texte einer Vielzahl wichtiger Gesetze und Rechtsverordnungen des Bundes')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Wrterbuch Englisch: Leo')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Wrterbuch Englisch: Leo', N'http://dict.leo.org/?lang=de', N'')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Justizportal des Bundes und der Lnder')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Justizportal des Bundes und der Lnder', N'http://www.justiz.de/OrtsGerichtsverzeichnis/index.php', N'Ermittlung des rtlich zustndigen Gerichts von JUSLINE')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Bundesgesetzblatt')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Bundesgesetzblatt', N'http://www.bundesgesetzblatt.de', N'Das BGBl im Acrobat-Read-Format. Ausdrucken wird durch die SPD verhindert.')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Basiszinssatz ( 247 BGB)')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Basiszinssatz ( 247 BGB)', N'https://www.bundesbank.de/Redaktion/DE/Standardartikel/Bundesbank/Zinssaetze/basiszinssatz.html', N'Aktuelle Zinsstze')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Sonderziehungsrechts-Kurs')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Sonderziehungsrechts-Kurs', N'http://www.imf.org/external/np/exr/facts/sdr.htm', N'Special Drawing Right des IMF,mageblich fr diverse Haftungsgrenzen im Transportrecht')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Wechselkurse')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Wechselkurse', N'https://de.finance.yahoo.com/waehrungen/waehrungsrechner/', N'aktuelle Wechselkurse mit Funktion zur Umrechnung zwischen beliebigen Whrungen')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Postleitzahlen')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Postleitzahlen', N'https://www.postdirekt.de/plzserver/', N'Auskunft von Post-Direkt fr Postleitzahlen und Strassen in deutschland')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'a-jur-Kanzleisoftware')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'a-jur-Kanzleisoftware', N'http://www.a-jur.de', N'Die umfassende EDV-Untersttzung fr Rechtsanwalts- und Notarkanzleien - Hilfedokumentation')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Caselaw')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Caselaw', N'http://www.caselaw.de', N'Rechtsprechung des Bundesgerichtshofs seit September 1998')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Insolvenzbekanntmachungen')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Insolvenzbekanntmachungen', N'https://www.insolvenzbekanntmachungen.de', N'Justizministerium des Landes Nordrhein Westfalen')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'a-jur-Benutzerforum')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'a-jur-Benutzerforum', N'http://www.foren.de/system/user_gap.html', N'Interaktives Forum zum direkten Austausch der Benutzer untereinander')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Justizregister der Bundeslnder')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Justizregister der Bundeslnder', N'http://www.handelsregister.de', N'Handels-,Vereins-,Genossenschafts- und Partnerschaftsregister der Bundeslnder')
IF NOT EXISTS (SELECT * FROM InternetLinks WHERE Website=N'Preisindizes')
INSERT INTO dbo.InternetLinks (Website, URL, Kommentar) VALUES (N'Preisindizes', N'https://www.destatis.de/DE/ZahlenFakten/Indikatoren/Konjunkturindikatoren/Preise/pre110.html', N'Lebenshaltungs- und andere Preisindizes vom Statistischen Bundesamt')
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT BibSignaturen ON
IF (SELECT count(*) FROM BibSignaturen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM BibSignaturen) INSERT INTO BibSignaturen(id, Signatur, Langbezeichnung, Regalbeschriftung, sachgebietsid)
SELECT 1, N'Reno', N'Rechtsanwalts- und Notarrecht einschl. Gebhren und Haftung', N'Rechtsanwlte und Notare', 94
UNION SELECT 2, N'Arb', N'Arbeits- und Sozialrecht', N'Arbeits- und Sozialrecht', 33
UNION SELECT 3, N'Med', N'Arztrecht', N'Arztrecht', 11
UNION SELECT 4, N'Bau', N'Baurecht', N'Baurecht', 12
UNION SELECT 6, N'B', N'Brgerliches Recht (soweit nicht in den Spezialgebieten erfat)', N'Brgerliches Recht', 7
UNION SELECT 7, N'Fa', N'Familienrecht', N'Familienrecht', 27
UNION SELECT 8, N'', N'ffentliches Recht', N'ffentliches Recht', 65
UNION SELECT 9, N'Steu', N'Steuerrecht', N'Steuerrecht', 81
UNION SELECT 10, N'Str', N'Strafrecht', N'Strafrecht', 62
UNION SELECT 11, N'See', N'Seerecht', N'Seerecht', 40
UNION SELECT 12, N'Vrs', N'Versicherungsrecht', N'Versicherungsrecht', 50
UNION SELECT 14, N'A', N'Recht allgemein', N'Recht allgemein', 1
UNION SELECT 15, N'Nj', N'Nichtjuristisches', N'Nichtjuristisches', 101
UNION SELECT 16, N'Hn', N'Handels-,Gesellschafts- und Bankrecht', N'Handels-,Gesellschafts- und Bankrecht', 37
UNION SELECT 17, N'Grs', N'gewerblicher Rechtsschutz: Wettbewerbs-,Urheber-,Marken- und Presserecht', N'gewerblicher Rechtsschutz', 37
UNION SELECT 18, N'Z', N'Zvililproze,Konkurs,freiwillige Gerichtsbarkeit', N'Zivilproze', 54
UNION SELECT 19, N'Int', N'Auslndisches Recht und IPR', N'Auslndisches Recht und IPR', 90
UNION SELECT 20, N'Mi', N'Mietrecht', N'Mietrecht', 19
UNION SELECT 21, N'Vrk', N'Verkehrsrecht', N'Verkehrsrecht', 23
UNION SELECT 40, N'ZV', N'Zwangsvollstreckung', N'Zwangsvollstreckung', 56
END

SET IDENTITY_INSERT BibSignaturen OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT BibSachgebiete ON
IF (SELECT count(*) FROM BibSachgebiete) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM BibSachgebiete) INSERT INTO BibSachgebiete(id, Ebene, Sort, Sachgebiet, signatursid, SpezHinw, Spezialgebiete)
SELECT 1, N'0', N'1', N'Recht Allgemein', 14, 0, N'vgl. hierzu auch die Spezialgebiete:
Gesetz- und Verordnungsbltter
Juristenausbildung
Rechtsgeschichte
Rechtsphilosophie
'
UNION SELECT 2, N'1', N'11', N'Gesetz- und Verordnungsbltter', 14, 0, N''
UNION SELECT 3, N'1', N'12', N'Juristenausbildung', 14, 0, N''
UNION SELECT 4, N'1', N'13', N'Rechtsgeschichte', 14, 0, N''
UNION SELECT 5, N'1', N'14', N'Rechtsphilosophie', 14, 0, N''
UNION SELECT 6, N'0', N'2', N'Zivilrecht', 6, 0, N'vgl. hierzu auch die Spezialgebiete:
Brgerliches Recht
Verbraucherschutzrecht
Arbeitsrecht
Handels- u. Gesellschaftsrecht
Gewerblicher Rechtsschutz
Versicherungsrecht
Zivilprozerecht
'
UNION SELECT 7, N'1', N'21', N'Brgerliches Recht', 6, 0, N'vgl. hierzu auch die Spezialgebiete:
BGB Allgemeiner Teil
Schuldrecht
Sachenrecht
Familienrecht
Erbrecht
'
UNION SELECT 8, N'2', N'211', N'BGB Allgemeiner Teil', 6, 0, N'vgl. hierzu auch die Spezialgebiete:
Vereinsrecht
'
UNION SELECT 9, N'3', N'2111', N'Vereinsrecht', 6, 0, N''
UNION SELECT 10, N'2', N'212', N'Schuldrecht', 6, 1, N'vgl. hierzu auch die Spezialgebiete:
Arztrecht
Baurecht,privat
Computerrecht
Franchiserecht
Kaufrecht
Maklerrecht
Miet- und Pachtrecht
Reiserecht
Unerlaubte Handlungen
Werkvertragsrecht
Sportrecht
'
UNION SELECT 11, N'3', N'21201', N'Arztrecht', 3, 0, N''
UNION SELECT 12, N'3', N'21202', N'Baurecht,privat', 4, 1, N'vgl. hierzu auch die Spezialgebiete:
Architektenrecht
'
UNION SELECT 13, N'4', N'212021', N'Architektenrecht', 4, 0, N''
UNION SELECT 14, N'2', N'245', N'Bankrecht', 16, 0, N''
UNION SELECT 15, N'3', N'21204', N'Computerrecht', 6, 0, N''
UNION SELECT 16, N'3', N'21205', N'Franchiserecht', 6, 0, N''
UNION SELECT 17, N'3', N'21206', N'Kaufrecht', 6, 0, N''
UNION SELECT 18, N'3', N'21207', N'Maklerrecht', 6, 0, N''
UNION SELECT 19, N'3', N'21208', N'Miet- und Pachtrecht', 20, 0, N''
UNION SELECT 20, N'3', N'21209', N'Reiserecht', 6, 0, N''
UNION SELECT 21, N'3', N'21210', N'Unerlaubte Handlungen', 6, 1, N'vgl. hierzu auch die Spezialgebiete:
Schmerzensgeld
Straenverkehrsrecht
'
UNION SELECT 22, N'4', N'212101', N'Schmerzensgeld', 6, 0, N''
UNION SELECT 23, N'4', N'212102', N'Straenverkehrsrecht', 21, 0, N''
UNION SELECT 24, N'3', N'21211', N'Werkvertragsrecht', 6, 0, N''
UNION SELECT 25, N'2', N'213', N'Sachenrecht', 6, 1, N'vgl. hierzu auch die Spezialgebiete:
WEG-Recht
Grundstcksrecht
'
UNION SELECT 26, N'3', N'2131', N'WEG-Recht', 6, 0, N''
UNION SELECT 27, N'2', N'214', N'Familienrecht', 7, 0, N''
UNION SELECT 28, N'2', N'215', N'Erbrecht', 6, 0, N''
UNION SELECT 29, N'1', N'22', N'Verbraucherschutzrecht', 6, 1, N'vgl. hierzu auch die Spezialgebiete:
AGB-Gesetz
Haustrrecht
Produkthaftung
'
UNION SELECT 30, N'2', N'221', N'AGB-Gesetz', 6, 0, N''
UNION SELECT 31, N'2', N'222', N'Haustrrecht', 6, 0, N''
UNION SELECT 32, N'2', N'223', N'Produkthaftung', 6, 0, N''
UNION SELECT 33, N'1', N'23', N'Arbeitsrecht', 2, 1, N'vgl. hierzu auch die Spezialgebiete:
Kndigungsschutz
Arbeitsgerichtsgesetz
Betriebsverfassung
'
UNION SELECT 34, N'2', N'231', N'Kndigungsschutz', 2, 0, N''
UNION SELECT 35, N'2', N'232', N'Arbeitsgerichtsgesetz', 2, 0, N''
UNION SELECT 36, N'2', N'233', N'Betriebsverfassung', 2, 0, N''
UNION SELECT 37, N'1', N'24', N'Handels- u. Gesellschaftsrecht', 16, 1, N'vgl. hierzu auch die Spezialgebiete:
Bankrecht
Wechsel- und Scheckrecht
Handelsvertreter
Schifffahrtsrecht
Gesellschaftsrecht
Transportrecht
'
UNION SELECT 38, N'2', N'241', N'Wechsel- und Scheckrecht', 16, 0, N''
UNION SELECT 39, N'2', N'242', N'Handelsvertreter', 16, 0, N''
UNION SELECT 40, N'2', N'243', N'Schifffahrtsrecht', 11, 0, N''
UNION SELECT 41, N'2', N'249', N'Gesellschaftsrecht', 16, 1, N'vgl. hierzu auch die Spezialgebiete:
GmbH-Recht
'
UNION SELECT 42, N'3', N'2491', N'GmbH-Recht', 16, 0, N''
UNION SELECT 43, N'1', N'26', N'Gewerblicher Rechtsschutz', 17, 1, N'vgl. hierzu auch die Spezialgebiete:
Wettbewerbsrecht
Patentrecht
Marken-/Warenzeichenrecht
Geschmacksmusterrecht
Urheberrecht
Presserecht
Kartellrecht
'
UNION SELECT 44, N'2', N'261', N'Wettbewerbsrecht', 17, 0, N''
UNION SELECT 45, N'2', N'262', N'Patentrecht', 17, 0, N''
UNION SELECT 46, N'2', N'263', N'Marken-/Warenzeichenrecht', 17, 0, N''
UNION SELECT 47, N'2', N'264', N'Geschmacksmusterrecht', 17, 0, N''
UNION SELECT 48, N'2', N'265', N'Urheberrecht', 17, 0, N''
UNION SELECT 49, N'2', N'266', N'Presserecht', 17, 0, N''
UNION SELECT 50, N'1', N'27', N'Versicherungsrecht', 12, 1, N'vgl. hierzu auch die Spezialgebiete:
Haftpflichtversicherung
Lebensversicherung
Rechtsschutzversicherung
'
UNION SELECT 51, N'2', N'271', N'Haftpflichtversicherung', 12, 0, N''
UNION SELECT 52, N'2', N'272', N'Lebensversicherung', 12, 0, N''
UNION SELECT 53, N'2', N'273', N'Rechtsschutzversicherung', 12, 0, N''
UNION SELECT 54, N'1', N'29', N'Zivilprozerecht', 18, 1, N'vgl. hierzu auch die Spezialgebiete:
Gerichtsverfassung
Zwangsvollstreckung
Insolvenzrecht
Vergleichsrecht
Anfechtungsrecht
Freiwillige Gerichtsbarkeit
Gerichtskosten
'
UNION SELECT 55, N'2', N'291', N'Gerichtsverfassung', 18, 0, N''
UNION SELECT 56, N'2', N'299', N'Zwangsvollstreckung', 40, 1, N'vgl. hierzu auch die Spezialgebiete:
Sachpfndung
Forderungspfndung
Grundstcksvollstreckung
'
UNION SELECT 57, N'2', N'295', N'Insolvenzrecht', 18, 0, N''
UNION SELECT 58, N'2', N'296', N'Vergleichsrecht', 18, 0, N''
UNION SELECT 59, N'2', N'297', N'Anfechtungsrecht', 18, 0, N''
UNION SELECT 60, N'2', N'293', N'Freiwillige Gerichtsbarkeit', 18, 0, N''
UNION SELECT 61, N'2', N'298', N'Gerichtskosten', 1, 0, N''
UNION SELECT 62, N'0', N'3', N'Strafrecht', 10, 1, N'vgl. hierzu auch die Spezialgebiete:
Ordnungswidrigkeitenrecht
Strafprozerecht
Strafverteidigung
'
UNION SELECT 63, N'1', N'31', N'Ordnungswidrigkeitenrecht', 10, 0, N''
UNION SELECT 64, N'1', N'39', N'Strafprozerecht', 10, 0, N''
UNION SELECT 65, N'0', N'4', N'ffentliches Recht', 8, 1, N'vgl. hierzu auch die Spezialgebiete:
Verfassungs- und Staatsrecht
Verwaltungsrecht allgemein
Besonderes Verwaltungsrecht
Sozialrecht
Steuerrecht
Staatshaftungsrecht
Verwaltungsprozerecht
'
UNION SELECT 66, N'1', N'41', N'Verfassungs- und Staatsrecht', 8, 0, N''
UNION SELECT 67, N'1', N'42', N'Verwaltungsrecht allgemein', 8, 0, N''
UNION SELECT 68, N'1', N'43', N'Besonderes Verwaltungsrecht', 8, 1, N'vgl. hierzu auch die Spezialgebiete:
Auslnder- und Asylrecht
Baurecht,ffentlich
Gewerberecht
Polizei- und Ordnungsrecht
Bildungsrecht
Umweltrecht
Wehrpflichtrecht
'
UNION SELECT 69, N'2', N'431', N'Auslnder- und Asylrecht', 8, 0, N''
UNION SELECT 70, N'3', N'4363', N'BAFG', 8, 0, N''
UNION SELECT 71, N'2', N'433', N'Baurecht,ffentlich', 4, 0, N''
UNION SELECT 72, N'2', N'434', N'Gewerberecht', 8, 0, N''
UNION SELECT 73, N'2', N'435', N'Polizei- und Ordnungsrecht', 8, 0, N''
UNION SELECT 74, N'2', N'436', N'Bildungsrecht', 8, 1, N'vgl. hierzu auch die Spezialgebiete:
BAFG
Schulrecht
Studienplatzrecht
'
UNION SELECT 75, N'3', N'4361', N'Schulrecht', 8, 0, N''
UNION SELECT 76, N'3', N'4362', N'Studienplatzrecht', 8, 0, N''
UNION SELECT 77, N'2', N'437', N'Umweltrecht', 8, 0, N''
UNION SELECT 78, N'2', N'438', N'Wehrpflichtrecht', 8, 0, N''
UNION SELECT 79, N'1', N'44', N'Sozialrecht', 2, 1, N'vgl. hierzu auch die Spezialgebiete:
Arbeitsfrderungsrecht
'
UNION SELECT 80, N'2', N'441', N'Arbeitsfrderungsrecht', 2, 0, N''
UNION SELECT 81, N'1', N'49', N'Steuerrecht', 9, 1, N'vgl. hierzu auch die Spezialgebiete:
Abgabenordnung
Einkommensteuerrecht
Lohnsteuerrecht
Umsatzsteuerrecht
Auensteuerrecht
Steuerstrafrecht
Bilanzsteuerrecht
'
UNION SELECT 82, N'2', N'491', N'Abgabenordnung', 9, 0, N''
UNION SELECT 83, N'2', N'492', N'Einkommensteuerrecht', 9, 0, N''
UNION SELECT 84, N'2', N'493', N'Lohnsteuerrecht', 9, 0, N''
UNION SELECT 85, N'2', N'494', N'Umsatzsteuerrecht', 9, 0, N''
UNION SELECT 86, N'2', N'495', N'Auensteuerrecht', 9, 0, N''
UNION SELECT 87, N'2', N'496', N'Steuerstrafrecht', 9, 0, N''
UNION SELECT 88, N'1', N'46', N'Staatshaftungsrecht', 8, 0, N''
UNION SELECT 89, N'1', N'47', N'Verwaltungsprozerecht', 8, 0, N''
UNION SELECT 90, N'0', N'5', N'Auslndisches und intl Recht', 19, 1, N'vgl. hierzu auch die Spezialgebiete:
IPR
Europarecht
Vlkerrecht
'
UNION SELECT 91, N'1', N'51', N'IPR', 19, 0, N''
UNION SELECT 92, N'1', N'52', N'Europarecht', 19, 0, N''
UNION SELECT 93, N'1', N'53', N'Vlkerrecht', 19, 0, N''
UNION SELECT 94, N'0', N'6', N'Rechtsanwlte und Notare', 1, 1, N'vgl. hierzu auch die Spezialgebiete:
Berufsrecht
Anwalts-/Notarhaftung
BRAGO / Kostenordnung
Praxisbetrieb
'
UNION SELECT 95, N'1', N'61', N'Berufsrecht', 1, 0, N''
UNION SELECT 96, N'1', N'62', N'Anwalts-/Notarhaftung', 1, 0, N''
UNION SELECT 97, N'1', N'63', N'BRAGO / Kostenordnung', 1, 0, N''
UNION SELECT 98, N'1', N'38', N'Strafverteidigung', 10, 0, N''
UNION SELECT 99, N'1', N'65', N'Praxisbetrieb', 1, 0, N''
UNION SELECT 101, N'0', N'9', N'Nichtjuristisches', 15, 1, N'vgl. hierzu auch die Spezialgebiete:
Wirtschaft
Finanzberatung
Computer
'
UNION SELECT 103, N'1', N'92', N'Wirtschaft', 15, 0, N''
UNION SELECT 105, N'1', N'93', N'Finanzberatung', 15, 0, N''
UNION SELECT 106, N'1', N'94', N'Computer', 15, 1, N'vgl. hierzu auch die Spezialgebiete:
Hardware
RA-Micro
Textverarbeitung
Tabellenkalkulation
Datenbanken
'
UNION SELECT 107, N'2', N'941', N'Hardware', 15, 0, N''
UNION SELECT 108, N'2', N'942', N'RA-Micro', 1, 0, N''
UNION SELECT 109, N'2', N'943', N'Textverarbeitung', 15, 0, N''
UNION SELECT 110, N'2', N'944', N'Tabellenkalkulation', 15, 0, N''
UNION SELECT 111, N'2', N'945', N'Datenbanken', 15, 0, N''
UNION SELECT 112, N'2', N'497', N'Bilanzsteuerrecht', 9, 0, N''
UNION SELECT 113, N'0', N'8', N'Gerichte und Behrden', 1, 0, N''
UNION SELECT 114, N'3', N'2991', N'Sachpfndung', 40, 0, N''
UNION SELECT 115, N'3', N'2995', N'Forderungspfndung', 40, 0, N''
UNION SELECT 116, N'3', N'2998', N'Grundstcksvollstreckung', 40, 0, N''
UNION SELECT 118, N'3', N'2135', N'Grundstcksrecht', 6, 0, N''
UNION SELECT 119, N'2', N'269', N'Kartellrecht', 17, 0, N''
UNION SELECT 121, N'3', N'21212', N'Sportrecht', 6, 0, N''
UNION SELECT 122, N'2', N'248', N'Transportrecht', 16, 0, N''
UNION SELECT 123, N'2', N'19', N'Korrespondenzsachen', 1, 0, N'-'
END

SET IDENTITY_INSERT BibSachgebiete OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT BibArt ON
IF (SELECT count(*) FROM BibArt) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM BibArt) INSERT INTO BibArt(id, Art, Erluterung)
SELECT 1, N'Ausbildung', N'Fr Studenten,Referendare,Azubis und Weiterbildung'
UNION SELECT 3, N'Monographie', N'wissenschaftlich vertieftes Einzelthema'
UNION SELECT 4, N'Handbuch', N'systematische Darstellung fr Praktiker'
UNION SELECT 5, N'Gesetze', N'...und Verordnungen,Verwaltungsvorschriften,bereinkommen,technische Normen'
UNION SELECT 6, N'Kommentar', N'erlutertes Gesetz'
UNION SELECT 7, N'Ratgeber', N'fr Laien'
UNION SELECT 8, N'GVBl', N'amtliche Verkndungen und Bekanntmachnungen'
UNION SELECT 9, N'Nachschlagewerk', N'alphabetisch Sortiertes,z.B. Lexika und Wrterbcher'
UNION SELECT 10, N'Zeitschrift', N'Periodika'
UNION SELECT 11, N'Tabelle', N'Zahlenwerke'
UNION SELECT 12, N'Verzeichnis', N'Anwaltsverzeichnisse,Mitgliedslisten'
UNION SELECT 13, N'Entscheidungssammlung', N'Entscheidungssammlungen'
UNION SELECT 14, N'Formularsammlung', N'Textvorlagen zur wrtlichen bernahme'
UNION SELECT 16, N'Dissertation', N'(Habilitationen fallen unter Monographien)'
UNION SELECT 17, N'Jahrbuch', N'Jahrbuch'
END

SET IDENTITY_INSERT BibArt OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT BibMedien ON
IF (SELECT count(*) FROM BibMedien) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM BibMedien) INSERT INTO BibMedien(id, Medium, MedAbk, Erluterung)
SELECT 1, N'gebunden', N'geb.', N'gebundenes Buch'
UNION SELECT 2, N'kartoniert', N'kart.', N'Taschenbcher usw.'
UNION SELECT 3, N'Skript', N'Skr.', N'lose geheftet'
UNION SELECT 4, N'Loseblatt', N'Lbl.', N'Loseblattsammlung'
UNION SELECT 5, N'CD-Rom', N'CD', N'Compact Disk'
UNION SELECT 6, N'3,5''-Diskette', N'3,5''', N'3,5 Zoll-Diskette'
UNION SELECT 7, N'5,25'' Diskette', N'5,25''', N'5,25 Zoll Diskette'
UNION SELECT 8, N'PC', N'PC', N'Festplatte'
UNION SELECT 9, N'Broschre', N'Br.', N'formloses,ungebundenes Pamphlet'
UNION SELECT 10, N'Heft', N'Hft.', N'(wie bei Zeitschriften)'
UNION SELECT 11, N'?', N'?', N'Medium noch einzugeben'
END

SET IDENTITY_INSERT BibMedien OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM aktentypen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM aktentypen) INSERT INTO aktentypen(Aktentyp)
SELECT N'Ausschreibung'
UNION SELECT N'Berufsstndische Kammer'
UNION SELECT N'Immobilienverwaltung'
UNION SELECT N'Insolvenzverwaltung'
UNION SELECT N'Klassentreffen'
UNION SELECT N'Marketing und Vertrieb'
UNION SELECT N'Notariat'
UNION SELECT N'Personal'
UNION SELECT N'Private Adressen'
UNION SELECT N'Schule'
UNION SELECT N'Schulung'
UNION SELECT N'Veranstaltung'
UNION SELECT N'Vereinsverwaltung'
END

GO


SET ANSI_NULLS ON
IF NOT EXISTS (SELECT * FROM standardbtypen WHERE standardtyp=N'Gegner')
INSERT INTO dbo.standardbtypen (standardtyp, id) VALUES (N'Gegner', 2)
IF NOT EXISTS (SELECT * FROM standardbtypen WHERE standardtyp=N'Mandant')
INSERT INTO dbo.standardbtypen (standardtyp, id) VALUES (N'Mandant', 1)
IF NOT EXISTS (SELECT * FROM standardbtypen WHERE standardtyp=N'Vollstreckungsorgan')
INSERT INTO dbo.standardbtypen (standardtyp, id) VALUES (N'Vollstreckungsorgan', 21)
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT adressen ON
IF (SELECT count(*) FROM adressen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM adressen) INSERT INTO adressen(id, Titel, Anrede, Vorname, Nachname, Vollername, Briefanrede, Adresszusaetze, Strassenr, Plzort, Postfach, Plzortpostfach, Telefon1, Telefon2, Mobil, Telefax, Email, Homepage, Bankleitzahl, Kontonummer, Parteibezeichnung, Grussformel)
SELECT 1, Null, N'Rechtsanwalt', N'Max', N'Musteranwalt', N'Max Musteranwalt', N'Sehr geehrter Herr Kollege Musteranwalt, ', Null, N'Blankeneser Bahnhofstr. 46', N'22587 Hamburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen kollegialen Gren'
UNION SELECT 2, N'', Null, N'Landgericht', N'Itzehoe', N'Landgericht Itzehoe', N'Sehr geehrte Damen und Herren,', N'', N'Theodor-Heuss-Platz 3', N'25524 Itzehoe', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 3, N'', Null, N'Landgericht', N'Hamburg', N'Landgericht Hamburg', N'Sehr geehrte Damen und Herren,', N'', N'Sievekingplatz 1', N'20355 Hamburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 4, N'', Null, N'Landgericht', N'Lneburg', N'Landgericht Lneburg', N'Sehr geehrte Damen und Herren,', N'', N'Am Markt 7', N'21335 Lneburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 5, Null, N'Rechtsanwalt', N'Rudi', N'Ratlos', N'Rudi Ratlos', N'Sehr geehrter Herr Kollege Ratlos, ', Null, N'Wilhadikirchhof 1', N'21682 Stade', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen kollegialen Gren'
UNION SELECT 6, N'', Null, N'Landgericht', N'Kiel', N'Landgericht Kiel', N'Sehr geehrte Damen und Herren,', N'', N'Harmsstrae 99/101', N'24114 Kiel', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 7, N'', Null, N'Landgericht', N'Flensburg', N'Landgericht Flensburg', N'Sehr geehrte Damen und Herren,', N'', N'Sdergraben 22', N'24937 Flensburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 8, N'', Null, N'Landgericht', N'Lbeck', N'Landgericht Lbeck', N'Sehr geehrte Damen und Herren,', N'', N'Am Burgfeld 7', N'23568 Lbeck', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 9, N'', N'', N'Landgericht', N'Bremen', N'Landgericht Bremen', N'Sehr geehrte Damen und Herren,', N'', N'Domsheide 16', N'28195 Bremen', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 10, N'', Null, N'Landgericht', N'Oldenburg', N'Landgericht Oldenburg', N'Sehr geehrte Damen und Herren,', N'', N'Elisabethstr. 7', N'26135 Oldenburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 11, N'', N'', N'Landgericht', N'Aurich', N'Landgericht Aurich', N'Sehr geehrte Damen und Herren,', N'', N'Schloplatz 3', N'26603 Aurich', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 12, N'', N'Herrn', N'Fritz', N'Feind', N'Fritz Feind', N'Sehr geehrter Herr Feind,', N'', N'Dsternbrook 13', N'22587 Hamburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 13, N'', Null, N'Landgericht', N'Hamburg', N'Landgericht Hamburg (Strafjustizgebude)', Null, N'', N'Sievekingplatz 3', N'20355 Hamburg', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 14, N'', N'Firma', N'Carlos', N'Claussen Consulting GmbH & Co', N'Carlos Claussen Consulting GmbH', N'Sehr geehrte Damen und Herren,', N'', N'Mnckebergstrae 31', N'20095 Hamburg', Null, Null, N'30 96 40 - 16', Null, Null, N'30 96 40 - 99', N'support@a-jur.de', N'www.a-jur.de', N'20120200', N'50011311', N'Carlos Claussen Consulting GmbH, vertreten durch den Geschftfhrer Rechtsanwalt Carlos Claussen, eingetragen im Handelsregister Hamburg HRB 84842', N'Mit freundlichen Gren'
UNION SELECT 15, N'', N'Rechtsanwalt', N'Schmu', N'Schubjack', N'Schmu Schubjack', N'Sehr geehrter Herr Kollege Schubjack,', N'', N'Eckengasse 13', N'83410 Laufen i. OB.', Null, Null, Null, Null, Null, Null, N'schubjack@aol.com', Null, Null, Null, Null, N'Mit freundlichen kollegialen Gren'
UNION SELECT 16, N'', N'Herrn', N'Florian', N'Freund', N'Florian Freund', N'Sehr geehrter Herr Freund,', N'', N'Sonnenseite 17', N'31137 Hildesheim', Null, Null, Null, Null, Null, Null, N'freund@amigos.de', Null, Null, Null, Null, N'Mit freundlichen Gren'
UNION SELECT 17, Null, N'Rechtsanwaltskanzlei', Null, N'Mustermann', N'Mustermann', N'Sehr geehrte Kollegen,', Null, N'Wolfsschlucht 27', N'34117 Kassel', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, N'Mit freundlichen kollegialen Gren'
UNION SELECT 18, N'', N'Rechtsanwlte', N'Carlos', N'Claussen', N'Carlos Claussen', N'Sehr geehrte Damen und Herren,', N'', N'Mnckebergstrae 31', N'20095 Hamburg', Null, Null, N'30 96 40 - 16', Null, Null, N'30 96 40 - 99', N'claussen@carlos-claussen.de', N'www.carlos-claussen.de', N'20120200', N'50011311', Null, N'Mit freundlichen kollegialen Gren'
END

SET IDENTITY_INSERT adressen OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT Unternehmen ON
IF (SELECT count(*) FROM Unternehmen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Unternehmen) INSERT INTO Unternehmen(id, Bezeichnung, adressid, passwort, Abschlussdatum, RgNr, Aktiv)
SELECT 1, N'Rechtsanwaltskanzlei Mustermann', 1, N'TM7M&SA@BR*($W4!#@&B:-GA.0$+C)', Null, 1, 1
END

SET IDENTITY_INSERT Unternehmen OFF
GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT Mitarbeiter ON
IF (SELECT count(*) FROM Mitarbeiter) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Mitarbeiter) INSERT INTO Mitarbeiter(id, adressid, Diktatzeichen, Eintrittsdatum, aktuell, Rechtsanwalt, zeichnet)
SELECT 1, 1, N'MM', CONVERT(datetime, '01.10.2005', 104), 1, 1, N'M. Musteranwalt'
UNION SELECT 2, 5, N'RR', CONVERT(datetime, '01.04.1995', 104), 1, 1, N'R. Ratlos'
END

SET IDENTITY_INSERT Mitarbeiter OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM Akten) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Akten) INSERT INTO Akten(aktenzeichen, Kurzrubrum, sachgebietsid, Betreff, sachbearbeiterid, akquisiteursid)
SELECT N'4711/55', N'Kanzleisoftware a-jur', 10, N'', 2, 1
UNION SELECT N'5555/55', N'Freund / Feind', 29, N'Ihr Zeichen: 565/56', 1, 2
END

GO


SET ANSI_NULLS ON
SET IDENTITY_INSERT Aktenbeteiligte ON
IF (SELECT count(*) FROM Aktenbeteiligte) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Aktenbeteiligte) INSERT INTO Aktenbeteiligte(id, Aktenzeichen, adressid, beteiligungstypid, Betreff, Dokumentvorlage, EMailVorlage, Versand, AdressZusatzBeteiligung, Briefanrede, Durchwahl, Telefax, Mobil2, Email, vertreterabi, mahnstufenid, Standard, ua, Vorsteuer, ustid, Waehrung, Verfahrensrolle, HFrdrg, NFrdrg, HfZins, NfZins, Kontostand, Tageszinsen, Berechnungsdatum, BerechnetAls, BerechnetAm, KontoDirty, vfz, rgorder, GlAbi, SRg)
SELECT 1, N'5555/55', 16, 1, N'Ihre Rechnung Nr. 56576 vom 27.08.2001', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, 0, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 400.2, 0, CONVERT(datetime, '22.11.2006', 104), Null, Null, Null, Null, Null, 1, Null
UNION SELECT 2, N'5555/55', 12, 2, N'Rechnung der Fa. Freund vom 27.08.2001', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, 4, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 1223.8426, .1045, CONVERT(datetime, '16.04.2024', 104), Null, Null, Null, 0, Null, Null, Null
UNION SELECT 3, N'5555/55', 15, 3, N'Ihre Zeichen: 9876/98', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, -3, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 0, 0, Null, Null, Null, Null, Null, Null, 1, Null
UNION SELECT 4, N'4711/55', 14, 27, N'', N'', Null, Null, Null, N'Sehr geehrter Herr Dr. Granzow,', Null, Null, Null, N'granzow@a-jur.de', Null, -3, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 0, 0, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT 5, N'5555/55', 3, 5, N'', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, -3, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 0, 0, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT 6, N'5555/55', 18, 31, N'', Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, 0, 0, Null, 0, 15, 1, Null, 409.36, 0, 0, 0, 409.36, 0, CONVERT(datetime, '10.06.2022', 104), 409.36, CONVERT(datetime, '10.06.2022', 104), Null, Null, Null, Null, Null
UNION SELECT 7, N'5555/55', 7, 25, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, -3, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 0, 0, Null, Null, Null, Null, Null, Null, Null, Null
UNION SELECT 8, N'5555/55', 2, 44, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, Null, -3, 0, Null, 0, 15, 1, Null, Null, Null, Null, Null, 0, 0, Null, Null, Null, Null, Null, Null, Null, Null
END

SET IDENTITY_INSERT Aktenbeteiligte OFF
GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM Honorarstufen) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Honorarstufen) INSERT INTO Honorarstufen(Stufe, Betrag, Bemerkungen)
SELECT N'M & A', 450, N'Stundensatz fr Merger & Acquisitions'
UNION SELECT N'RA', 175, N'Stundensatz fr Rechtsanwlte'
UNION SELECT N'Ref', 110, N'Stundensatz fr Referendare'
UNION SELECT N'Sek', 85, N'Stundensatz fr Sekretariat'
UNION SELECT N'Sozial', 7.5, N'Stundensatz fr Sozialrecht'
END

GO


SET ANSI_NULLS ON
IF (SELECT count(*) FROM Listentexte) <= 0
BEGIN

IF NOT EXISTS (SELECT * FROM Listentexte) INSERT INTO Listentexte(Text, Kontext)
SELECT N'Antrag auf Eidestattliche Versicherung', 6
UNION SELECT N'Antrag auf Pfndungs- und berweisungsbeschluss', 6
UNION SELECT N'Bearbeitung Korrespondenz', 10
UNION SELECT N'Besprechung extern', 10
UNION SELECT N'Besprechung intern', 10
UNION SELECT N'Durchsicht Gerichtsakte', 10
UNION SELECT N'Durchsicht Unterlagen', 10
UNION SELECT N'E-Mail-Korrespondenz', 10
UNION SELECT N'Geschftszeichen:', 1
UNION SELECT N'Ihr Aktenzeichen:', 1
UNION SELECT N'Ihr Zeichen:', 1
UNION SELECT N'Juris- und Bibliotheksrecherche', 10
UNION SELECT N'Klagentwurf bearbeiten', 10
UNION SELECT N'Prfung Rechtslage', 10
UNION SELECT N'RA-Gebhren', 6
UNION SELECT N'Rumungsauftrag', 6
UNION SELECT N'Sachpfndungsauftrag', 6
UNION SELECT N'Schadens-Nr.:', 1
UNION SELECT N'Steuer-Nr.: ', 1
UNION SELECT N'Textentwurf bearbeiten', 10
UNION SELECT N'Versicherungs-Nr.:', 1
UNION SELECT N'Vertragsentwurf bearbeiten', 10
UNION SELECT N'Vorbereitung Termin / Besprechung', 10
UNION SELECT N'wie vor', 10
UNION SELECT N'Your ref.:', 1
UNION SELECT N'Zwangsvollstreckungsgebhr', 6
END

GO


SET ANSI_NULLS ON
DELETE FROM KG2013
SET IDENTITY_INSERT KG2013 ON
IF NOT EXISTS (SELECT * FROM KG2013) INSERT INTO KG2013(id, Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, kontoid, Version)
SELECT 1, N'1000 Einigungsgebhr', 8, Null, 1.5, N'RVG13', Null, 3910, 4400, N'KG2013'
UNION SELECT 2, N'1001 Ausshnungsgebhr', 8, Null, 1.5, N'RVG13', Null, 3910, 4400, N'KG2013'
UNION SELECT 3, N'1002 Erledigungsgebhr', 8, Null, 1.5, N'RVG13', Null, 3920, 4400, N'KG2013'
UNION SELECT 4, N'1003 Einigungsgebhr bei anhngigem gerichtlichen Verfahren', 8, Null, 1, N'RVG13', Null, 3930, 4400, N'KG2013'
UNION SELECT 5, N'1004 Einigungsgebhr bei anhngigem Berufungs- oder Revisionsverfahren bzw. der Beschwerde gegen deren Nichtzulassung', 8, Null, 1.3, N'RVG13', Null, 3940, 4400, N'KG2013'
UNION SELECT 6, N'1005 Einigung / Erledigung in sozialrechtlicher Angelegenheit', 1, Null, Null, Null, Null, 3950, 4400, N'KG2013'
UNION SELECT 7, N'1006 Einigung / Erledigung in sozialrechtlicher Angelegenheit bei anhngigem gerichtlichen Verfahren', 1, Null, Null, Null, Null, 3960, 4400, N'KG2013'
UNION SELECT 8, N'1008 Zustzliche Auftraggeber in derselben Angelegenheit', 8, Null, Null, N'RVG13', Null, 3980, 4400, N'KG2013'
UNION SELECT 9, N'1009 Hebegebhr', 9, Null, Null, Null, Null, 3980, 4400, N'KG2013'
UNION SELECT 10, N'1009 Hebegebhr pauschal', 1, Null, Null, Null, Null, 3990, 4400, N'KG2013'
UNION SELECT 11, N'1010 Beweisaufnahme mit mindestens drei gerichtlichen Terminen mit Sachverstndigen oder Zeugen', 8, Null, .3, N'RVG13', Null, 3150, 4400, N'KG2013'
UNION SELECT 12, N'1010 Beweisaufnahme mit mindestens drei gerichtlichen Terminen mit Sachverstndigen oder Zeugen (Rahmengebhr)', 1, Null, Null, Null, Null, 3150, 4400, N'KG2013'
UNION SELECT 13, N'2100 Prfung der Erfolgsaussicht eines Rechtsmittels ', 11, .5, 1, N'RVG13', Null, 2100, 4400, N'KG2013'
UNION SELECT 14, N'2101, 2100 Prfung der Erfolgsaussicht eines Rechtsmittels durch Ausarbeitung eines schriftlichen Gutachtens', 8, 1.3, Null, N'RVG13', Null, 2101, 4400, N'KG2013'
UNION SELECT 15, N'2102 Prfung der Erfolgsaussicht eines Rechtsmittels in sozialrechtlichen Angelegenheiten, in denen im gerichtlichen Verfahren', 10, 30, 320, Null, Null, 2102, 4400, N'KG2013'
UNION SELECT 16, N'2103, 2102 Prfung der Erfolgsaussicht eines Rechtsmittels in sozialrechtlichen Angelegenheiten durch schriftliches Gutachten', 10, 50, 550, Null, Null, 2103, 4400, N'KG2013'
UNION SELECT 17, N'2200 Geschftsgebhr fr die Herstellung des Einvernehmens nach  28 EuRAG', 1, Null, Null, Null, Null, 2200, 4400, N'KG2013'
UNION SELECT 18, N'2201 Geschftsgebhr fr die versuchte Herstellung des Einvernehmens nach  28 EuRAG', 1, Null, Null, Null, Null, 2201, 4400, N'KG2013'
UNION SELECT 19, N'2300 Anrechnung auf Verfahrensgebhr gem. Vorbem. 2.3', 8, Null, -.65, N'RVG13', Null, 2309, 4400, N'KG2013'
UNION SELECT 20, N'2300 Geschftsgebhr', 11, .5, 2.5, N'RVG13', Null, 2300, 4400, N'KG2013'
UNION SELECT 21, N'2300 Geschftsgebhr pauschal', 1, Null, Null, Null, Null, 2300, 4400, N'KG2013'
UNION SELECT 22, N'2301, 2300 Schreiben einfacher Art', 8, Null, .3, N'RVG13', Null, 2301, 4400, N'KG2013'
UNION SELECT 23, N'2302 Geschftsgebhr in sozialrechtlichen Angelegenheiten', 10, 50, 640, Null, Null, 2302, 4400, N'KG2013'
UNION SELECT 24, N'2303 Geschftsgebhr fr Gteverfahren u.. Angelegenheiten', 8, Null, 1.5, N'RVG13', Null, 2303, 4400, N'KG2013'
UNION SELECT 25, N'2400 Geschftsgebhr in sozialrechtlicher Angelegenheit', 10, 40, 520, Null, Null, 2400, 4400, N'KG2013'
UNION SELECT 26, N'2401 Geschftsgebhr in sozialrechtlicher Angelegenheit nach vorangegangener Ttigkeit im Verwaltungsverfahren', 10, 40, 260, Null, Null, 2401, 4400, N'KG2013'
UNION SELECT 27, N'2500 Beratungshilfegebhr', 1, 15, Null, Null, Null, 2500, 4400, N'KG2013'
UNION SELECT 28, N'2501 Beratungsgebhr in Beratungshilfesache', 1, 35, Null, Null, Null, 2501, 4400, N'KG2013'
UNION SELECT 29, N'2502 Beratungsttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO)', 1, 70, Null, Null, Null, 2502, 4400, N'KG2013'
UNION SELECT 30, N'2503 Geschftsgebhr in Beratungshilfesache', 1, 85, Null, Null, Null, 2503, 4400, N'KG2013'
UNION SELECT 31, N'2504 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), bis zu 5 Glubiger', 1, 270, Null, Null, Null, 2504, 4400, N'KG2013'
UNION SELECT 32, N'2505 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), 6-10 Glubiger', 1, 405, Null, Null, Null, 2505, 4400, N'KG2013'
UNION SELECT 33, N'2506 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), 11-15 Glubiger', 1, 540, Null, Null, Null, 2506, 4400, N'KG2013'
UNION SELECT 34, N'2507 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), mehr als 15 Glubiger', 1, 675, Null, Null, Null, 2507, 4400, N'KG2013'
UNION SELECT 35, N'2508 Einigung / Erledigung in Beratungshilfesache', 1, 150, Null, Null, Null, 2508, 4400, N'KG2013'
UNION SELECT 36, N'3100 Verfahrensgebhr', 8, Null, 1.3, N'RVG13', Null, 3100, 4400, N'KG2013'
UNION SELECT 37, N'3101 Verfahrensgebhr, ermigt', 8, Null, .8, N'RVG13', Null, 3101, 4400, N'KG2013'
UNION SELECT 38, N'3102 Verfahren vor dem Sozialgericht', 10, 50, 550, Null, Null, 3102, 4400, N'KG2013'
UNION SELECT 39, N'3104 Terminsgebhr', 8, Null, 1.2, N'RVG13', Null, 3104, 4400, N'KG2013'
UNION SELECT 40, N'3105 Terminsgebhr, ermigt', 8, Null, .5, N'RVG13', Null, 3105, 4400, N'KG2013'
UNION SELECT 41, N'3106 Terminsgebhr in sozialrechtlicher Angelegenheit', 10, 50, 510, Null, Null, 3106, 4400, N'KG2013'
UNION SELECT 42, N'3200 Verfahrensgebhr Berufung u.a.', 8, Null, 1.6, N'RVG13', Null, 3200, 4400, N'KG2013'
UNION SELECT 43, N'3201, 3200 Verfahrensgebhr Berufung, ermigt', 8, Null, 1.1, N'RVG13', Null, 3201, 4400, N'KG2013'
UNION SELECT 44, N'3202 Terminsgebhr Berufung', 8, Null, 1.2, N'RVG13', Null, 3202, 4400, N'KG2013'
UNION SELECT 45, N'3203, 3202 Terminsgebhr Berufung, ermigt', 8, Null, .5, N'RVG13', Null, 3203, 4400, N'KG2013'
UNION SELECT 46, N'3204 Verfahren vor dem Landessozialgericht', 10, 60, 680, Null, Null, 3204, 4400, N'KG2013'
UNION SELECT 47, N'3205 Verfahren vor dem Landessozialgericht, ermigt', 10, 50, 510, Null, Null, 3205, 4400, N'KG2013'
UNION SELECT 48, N'3206 Verfahrensgebhr Revision u.a.', 8, Null, 1.6, N'RVG13', Null, 3206, 4400, N'KG2013'
UNION SELECT 49, N'3207 Verfahrensgebhr Revision, ermigt', 8, Null, 1.1, N'RVG13', Null, 3207, 4400, N'KG2013'
UNION SELECT 50, N'3208 Verfahrensgebhr Revision im Anwaltsprozess', 8, Null, 2.3, N'RVG13', Null, 3208, 4400, N'KG2013'
UNION SELECT 51, N'3209 Verfahrensgebhr Revision im Anwaltsprozess, ermigt', 8, Null, 1.8, N'RVG13', Null, 3209, 4400, N'KG2013'
UNION SELECT 52, N'3210 Terminsgebhr Revision', 8, Null, 1.5, N'RVG13', Null, 3210, 4400, N'KG2013'
UNION SELECT 53, N'3211 Terminsgebhr Revision, ermigt', 8, Null, .8, N'RVG13', Null, 3211, 4400, N'KG2013'
UNION SELECT 54, N'3212 Verfahren vor dem Bundessozialgericht', 10, 80, 880, Null, Null, 3212, 4400, N'KG2013'
UNION SELECT 55, N'3213 Termin vor dem Bundessozialgericht', 10, 80, 830, Null, Null, 3213, 4400, N'KG2013'
UNION SELECT 56, N'3300 Verfahren ber einen Antrag nach  115 Abs. 2 Satz 2 und 3,  118 Abs. 1 Satz 3 oder nach  121 GWB', 8, Null, 1.6, N'RVG13', Null, 3300, 4400, N'KG2013'
UNION SELECT 57, N'3301, 3300 Verfahren ber einen Antrag nach  115 Abs. 2 Satz 2 und 3,  118 Abs. 1 Satz 3 oder nach  121 GWB, vorzeitig beendet', 8, Null, 1, N'RVG13', Null, 3301, 4400, N'KG2013'
UNION SELECT 58, N'3305 Vertretung des Antragstellers im Mahnverfahren', 8, Null, 1, N'RVG13', Null, 3305, 4400, N'KG2013'
UNION SELECT 59, N'3306 Vertretung des Antragstellers im Mahnverfahren, ermigt', 8, Null, .5, N'RVG13', Null, 3306, 4400, N'KG2013'
UNION SELECT 60, N'3307 Vertretung des Antragsgegners im Mahnverfahren', 8, Null, .5, N'RVG13', Null, 3307, 4400, N'KG2013'
UNION SELECT 61, N'3308 Vertretung des Antragstellers im Verfahren ber den Erla des Vollstreckungsbescheides', 8, Null, .5, N'RVG13', Null, 3308, 4400, N'KG2013'
UNION SELECT 62, N'3309 Zwangsvollstreckung', 8, Null, .3, N'RVG13', Null, 3309, 4400, N'KG2013'
UNION SELECT 63, N'3310 Termin in der Zwangsvollstreckung', 8, Null, .3, N'RVG13', Null, 3310, 4400, N'KG2013'
UNION SELECT 64, N'3311 Zwangsversteigerung / Zwangsverwaltung', 8, Null, .4, N'RVG13', Null, 3311, 4400, N'KG2013'
UNION SELECT 65, N'3312 Zwangsversteigerungstermin', 8, Null, .4, N'RVG13', Null, 3312, 4400, N'KG2013'
UNION SELECT 66, N'3313 Vertretung des Schuldners im Insolvenzerffungsverfahren', 8, Null, 1, N'RVG13', Null, 3313, 4400, N'KG2013'
UNION SELECT 67, N'3314 Vertretung des Glubigers im Insolvenzerffungsverfahren', 8, Null, .5, N'RVG13', Null, 3314, 4400, N'KG2013'
UNION SELECT 68, N'3315, 3313 Vertretung des Schuldners im Verfahren ber den Schuldenbereinigungsplan', 8, Null, 1.5, N'RVG13', Null, 3315, 4400, N'KG2013'
UNION SELECT 69, N'3316, 3314 Vertretung des Glubigers im Verfahren ber den Schuldenbereinigungsplan', 8, Null, 1, N'RVG13', Null, 3316, 4400, N'KG2013'
UNION SELECT 70, N'3317 Insolvenzverfahren', 8, Null, 1, N'RVG13', Null, 3317, 4400, N'KG2013'
UNION SELECT 71, N'3318 Verfahren ber einen Insolvenzplan', 8, Null, 1, N'RVG13', Null, 3318, 4400, N'KG2013'
UNION SELECT 72, N'3319 Vertretung des Schuldners, der den Insolvenzplan vorgelegt hat', 8, Null, 3, N'RVG13', Null, 3319, 4400, N'KG2013'
UNION SELECT 73, N'3320, 3317 Anmeldung einer Insolvenzforderung', 8, Null, .5, N'RVG13', Null, 3320, 4400, N'KG2013'
UNION SELECT 74, N'3321 Verfahren ber einen Antrag auf Versagung oder Widerruf der Restschuldbefreiung', 8, Null, .5, N'RVG13', Null, 3321, 4400, N'KG2013'
UNION SELECT 75, N'3322 Verfahren ber Antrag auf Zulassung der Zwangsvollstreckung nach  17 Abs. 4 SVertO', 8, Null, .5, N'RVG13', Null, 3322, 4400, N'KG2013'
UNION SELECT 76, N'3323 Verfahren ber Antrag auf Aufhebung von Vollstreckungsmassregeln ( 8 Abs. 5 und  41 SVertO)', 8, Null, .5, N'RVG13', Null, 3323, 4400, N'KG2013'
UNION SELECT 77, N'3324 Aufgebotsverfahren', 8, Null, 1, N'RVG13', Null, 3324, 4400, N'KG2013'
UNION SELECT 78, N'3325 Verfahren nach  319 Abs. 6 AktG, auch i.V.m.  327e Abs. 2 AktG, oder nach  16 Abs. 3 UmwG', 8, Null, .75, N'RVG13', Null, 3325, 4400, N'KG2013'
UNION SELECT 79, N'3325, 3337 Verfahren nach  319 Abs. 6 AktG, auch i.V.m.  327e Abs. 2 AktG,oder nach  16 Abs. 3 UmwG, vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 80, N'3326 Beschrnkte Ttigkeit vor den Gerichten fr Arbeitssachen', 8, Null, .75, N'RVG13', Null, 3326, 4400, N'KG2013'
UNION SELECT 81, N'3326, 3337 Beschrnkte Ttigkeit vor Arbeitsgericht,vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 82, N'3327 Gerichtliches Verfahren im schiedsrichterlichen Verfahren', 8, Null, .75, N'RVG13', Null, 3327, 4400, N'KG2013'
UNION SELECT 83, N'3327, 3337 Beschrnkte Ttigkeit in Schiedsangelegenheit, vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 84, N'3328 Verfahren ber die vorlufige Einstellung,Beschrnkung oder Aufhebung der Zwangsvollstreckung', 8, Null, .5, N'RVG13', Null, 3328, 4400, N'KG2013'
UNION SELECT 85, N'3329 Verfahren auf Vollstreckbarerklrung der durch Rechtsmittelantrge nicht angefochtenen Teile eines Urteils ( 537,558 ZPO)', 8, Null, .5, N'RVG13', Null, 3329, 4400, N'KG2013'
UNION SELECT 86, N'3330 Verfahren ber eine Rge wegen Verletzung des Anspruchs auf rechtliches Gehr ( 321 a ZPO)', 8, Null, .5, N'RVG13', Null, 3330, 4400, N'KG2013'
UNION SELECT 87, N'3332 Terminsgebhr in den in Nummern 3324 bis 3330 genannten Verfahren', 8, Null, 5, N'RVG13', Null, 3331, 4400, N'KG2013'
UNION SELECT 88, N'3333 Verteilungsverfahren auerhalb der Zwangsversteigerung und der Zwangsverwaltung', 8, Null, .4, N'RVG13', Null, 3333, 4400, N'KG2013'
UNION SELECT 89, N'3334 Isoliertes Verfahren auf Bewilligung,Verlngerung oder Verkrzung einer Rumungsfrist ( 721,794a ZPO)', 8, Null, 1, N'RVG13', Null, 3334, 4400, N'KG2013'
UNION SELECT 90, N'3334, 3337 Isoliertes Verfahren auf Bewilligung, Verlngerung oder Verkrzung einer Rumungsfrist ( 721,794a ZPO), vorzeitig beendet', 8, Null, .51, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 91, N'3335 Prozesskostenhilfeverfahren', 8, Null, 1, N'RVG13', Null, 3335, 4400, N'KG2013'
UNION SELECT 92, N'3335, 3337 Prozesskostenhilfeverfahren, vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 93, N'3337 Aufgebotsverfahren, vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3337, 4400, N'KG2013'
UNION SELECT 94, N'3338 Ttigkeit als Vertreter des Anmelders eines Anspruchs zum Musterverfahren ( 10 Abs. 2 KapMuG)', 8, Null, .8, Null, Null, 3338, 4400, N'KG2013'
UNION SELECT 95, N'3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten', 8, Null, 1, N'RVG13', Null, 3400, 4400, N'KG2013'
UNION SELECT 96, N'3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten in sozialrechtlicher Angelegenheit', 1, Null, Null, Null, Null, 3400, 4400, N'KG2013'
UNION SELECT 97, N'3401 Verfahrensgebhr fr Vertretung in einem Verhandlungs-, Errterungs-, Beweisaufnahme-, Sachverstndigen- oder einem anderen Termin i.S.d. Vorbemerkung 3 Abs. 3', 8, Null, .5, N'RVG13', Null, 3401, 4400, N'KG2013'
UNION SELECT 98, N'3402 Terminsgebhr fr die Vertretung in einem Termin i.S.v. Nr. 3401', 8, Null, 1, N'RVG13', Null, 3402, 4400, N'KG2013'
UNION SELECT 99, N'3403 Verfahrensgebhr fr sonstige Einzelttigkeiten', 8, Null, .8, N'RVG13', Null, 3403, 4400, N'KG2013'
UNION SELECT 100, N'3404, 3403 Schreiben einfacher Art', 8, Null, .3, N'RVG13', Null, 3404, 4400, N'KG2013'
UNION SELECT 101, N'3405, 3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten mit Beendigung, bevor der Verfahrensbevollmchtigte beauftragt oder der Rechtsanwalt gegenber dem Verfahrensbevollmchtigten ttig geworden ist', 8, Null, .5, N'RVG13', Null, 3405, 4400, N'KG2013'
UNION SELECT 102, N'3405, 3401 Vertretung in einem Termin im Sinne der Vorbemerkung 3 Abs. 3 mit Beendigung vor Terminsbeginn', 8, Null, .5, N'RVG13', Null, 3405, 4400, N'KG2013'
UNION SELECT 103, N'3406 Verfahrensgebhr fr sonstige Einzelttigkeiten in sozialrechtlicher Angelegenheit', 10, 30, 340, Null, Null, 3406, 4400, N'KG2013'
UNION SELECT 104, N'3500 Beschwerde / Nichtzulassungsbeschwerde / Erinnerung', 8, Null, .5, N'RVG13', Null, 3500, 4400, N'KG2013'
UNION SELECT 105, N'3501 Beschwerde / Nichtzulassungsbeschwerde / Erinnerung in sozialrechtlicher Angelegenheit', 10, 20, 210, Null, Null, 3501, 4400, N'KG2013'
UNION SELECT 106, N'3502 Rechtsbeschwerde ( 574 ZPO)', 8, Null, 1, N'RVG13', Null, 3502, 4400, N'KG2013'
UNION SELECT 107, N'3503, 3502 Rechtsbeschwerde ( 574 ZPO), vorzeitig beendet', 8, Null, .5, N'RVG13', Null, 3503, 4400, N'KG2013'
UNION SELECT 108, N'3504 Beschwerde gegen die Nichtzulassung der Berufung', 8, Null, 1.6, N'RVG13', Null, 3504, 4400, N'KG2013'
UNION SELECT 109, N'3505, 3504 Beschwerde gegen die Nichtzulassung der Berufung, vorzeitig beendet', 8, Null, 1, N'RVG13', Null, 3505, 4400, N'KG2013'
UNION SELECT 110, N'3506 Beschwerde gegen die Nichtzulassung der Revision', 8, Null, 1.6, N'RVG13', Null, 3506, 4400, N'KG2013'
UNION SELECT 111, N'3507, 3506 Beschwerde gegen die Nichtzulassung der Revision, vorzeitig beendet', 8, Null, 1.1, N'RVG13', Null, 3507, 4400, N'KG2013'
UNION SELECT 112, N'3508, 3506 Beschwerde gegen die Nichtzulassung der Revision im Anwaltsprozess', 8, Null, 2.3, N'RVG13', Null, 3508, 4400, N'KG2013'
UNION SELECT 113, N'3509, 3506 Beschwerde gegen die Nichtzulassung der Revision im Anwaltsprozess, vorzeitig beendet', 8, Null, 1.8, N'RVG13', Null, 3509, 4400, N'KG2013'
UNION SELECT 114, N'3510 Beschwerdeverfahren vor dem Bundespatentgericht', 8, Null, 1.3, N'RVG13', Null, 3510, 4400, N'KG2013'
UNION SELECT 115, N'3511 Beschwerde gegen die Nichtzulassung der Berufung vor dem Landessozialgericht', 10, 60, 680, Null, Null, 3511, 4400, N'KG2013'
UNION SELECT 116, N'3512 Beschwerde gegen die Nichtzulassung der Revision vor dem Bundessozialgericht', 10, 80, 880, Null, Null, 3512, 4400, N'KG2013'
UNION SELECT 117, N'3513 Terminsgebhr in Verfahren ber die Beschwerde und die Erinnerung', 8, Null, .5, N'RVG13', Null, 3513, 4400, N'KG2013'
UNION SELECT 118, N'3514, 3513 Terminsgebhr in Verfahren ber Antrag auf Anordnung eines Arrests oder Erlass einer einstweiligen Verfgung', 8, Null, 1.2, N'RVG13', Null, 3514, 4400, N'KG2013'
UNION SELECT 119, N'3515 Terminsgebhr in Verfahren ber die Beschwerde oder Erinnerung in sozialrechtlicher Angelegenheit', 10, 20, 210, Null, Null, 3515, 4400, N'KG2013'
UNION SELECT 120, N'3516 Terminsgebhr in den in Nummer 3506 und 3510 genannten Verfahren', 8, Null, 1.2, N'RVG13', Null, 3516, 4400, N'KG2013'
UNION SELECT 121, N'3517 Terminsgebhr im Verfahren ber die Beschwerde gegen die Nichtzulassung der Berufung vor dem Landessozialgericht', 10, 50, 510, Null, Null, 3517, 4400, N'KG2013'
UNION SELECT 122, N'3518 Terminsgebhr im Verfahren ber Beschwerde gegen die Nichtzulassung der Revision vor dem Bundessozialgericht', 10, 60, 660, Null, Null, 3518, 4400, N'KG2013'
UNION SELECT 123, N'4100 Grundgebhr des Verteidigers', 10, 40, 360, Null, Null, 4100, 4400, N'KG2013'
UNION SELECT 124, N'4100 Grundgebhr des Verteidigers (gerichtlich bestellt oder beigeordnet)', 1, 160, Null, Null, Null, 4100, 4400, N'KG2013'
UNION SELECT 125, N'4101 Grundgebhr des Verteidigers mit Zuschlag', 10, 40, 450, Null, Null, 4101, 4400, N'KG2013'
UNION SELECT 126, N'4101 Grundgebhr des Verteidigers mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 192, Null, Null, Null, 4101, 4400, N'KG2013'
UNION SELECT 127, N'4102 Terminsgebhr', 10, 40, 300, Null, Null, 4102, 4400, N'KG2013'
UNION SELECT 128, N'4102 Terminsgebhr (gerichtlich bestellt oder beigeordnet)', 1, 136, Null, Null, Null, 4102, 4400, N'KG2013'
UNION SELECT 129, N'4103 Terminsgebhr mit Zuschlag', 10, 40, 375, Null, Null, 4103, 4400, N'KG2013'
UNION SELECT 130, N'4103 Terminsgebhr mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 166, Null, Null, Null, 4103, 4400, N'KG2013'
UNION SELECT 131, N'4104 Ttigkeit im vorbereitenden Verfahren', 10, 40, 290, Null, Null, 4104, 4400, N'KG2013'
UNION SELECT 132, N'4104 Ttigkeit im vorbereitenden Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 132, Null, Null, Null, 4104, 4400, N'KG2013'
UNION SELECT 133, N'4105 Ttigkeit im vorbereitenden Verfahren mit Zuschlag', 10, 40, 362.5, Null, Null, 4105, 4400, N'KG2013'
UNION SELECT 134, N'4105 Ttigkeit im vorbereitenden Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 161, Null, Null, Null, 4105, 4400, N'KG2013'
UNION SELECT 135, N'4106 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht', 10, 40, 290, Null, Null, 4106, 4400, N'KG2013'
UNION SELECT 136, N'4106 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht (gerichtlich bestellt oder beigeordnet)', 1, 132, Null, Null, Null, 4106, 4400, N'KG2013'
UNION SELECT 137, N'4107 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht mit Zuschlag', 10, 40, 362.5, Null, Null, 4107, 4400, N'KG2013'
UNION SELECT 138, N'4107 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 161, Null, Null, Null, 4107, 4400, N'KG2013'
UNION SELECT 139, N'4108 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht', 10, 70, 480, Null, Null, 4108, 4400, N'KG2013'
UNION SELECT 140, N'4108 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht (gerichtlich bestellt oder beigeordnet)', 1, 220, Null, Null, Null, 4108, 4400, N'KG2013'
UNION SELECT 141, N'4109 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht mit Zuschlag', 10, 70, 600, Null, Null, 4109, 4400, N'KG2013'
UNION SELECT 142, N'4109 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 268, Null, Null, Null, 4109, 4400, N'KG2013'
UNION SELECT 143, N'4110 Hauptverhandlung von 5 bis 8 Stunden', 1, 110, Null, Null, Null, 4110, 4400, N'KG2013'
UNION SELECT 144, N'4111 Hauptverhandlung von mehr als 8 Stunden', 1, 220, Null, Null, Null, 4111, 4400, N'KG2013'
UNION SELECT 145, N'4112 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer', 10, 50, 320, Null, Null, 4112, 4400, N'KG2013'
UNION SELECT 146, N'4112 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer (gerichtlich bestellt oder beigeordnet)', 1, 148, Null, Null, Null, 4112, 4400, N'KG2013'
UNION SELECT 147, N'4113 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer mit Zuschlag', 10, 50, 400, Null, Null, 4113, 4400, N'KG2013'
UNION SELECT 148, N'4113 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 180, Null, Null, Null, 4113, 4400, N'KG2013'
UNION SELECT 149, N'4114 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren', 10, 80, 560, Null, Null, 4114, 4400, N'KG2013'
UNION SELECT 150, N'4114 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 4114, 4400, N'KG2013'
UNION SELECT 151, N'4115 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren mit Zuschlag', 10, 80, 700, Null, Null, 4115, 4400, N'KG2013'
UNION SELECT 152, N'4115 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 312, Null, Null, Null, 4115, 4400, N'KG2013'
UNION SELECT 153, N'4116 Hauptverhandlung von 5 bis 8 Stunden', 1, 128, Null, Null, Null, 4116, 4400, N'KG2013'
UNION SELECT 154, N'4117 Hauptverhandlung von mehr als 8 Stunden', 1, 256, Null, Null, Null, 4117, 4400, N'KG2013'
UNION SELECT 155, N'4118 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG', 10, 100, 690, Null, Null, 4118, 4400, N'KG2013'
UNION SELECT 156, N'4118 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG (gerichtlich bestellt oder beigeordnet)', 1, 316, Null, Null, Null, 4118, 4400, N'KG2013'
UNION SELECT 157, N'4119 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG mit Zuschlag', 10, 100, 862.5, Null, Null, 4119, 4400, N'KG2013'
UNION SELECT 158, N'4119 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 385, Null, Null, Null, 4119, 4400, N'KG2013'
UNION SELECT 159, N'4120 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren', 10, 130, 930, Null, Null, 4120, 4400, N'KG2013'
UNION SELECT 160, N'4120 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 424, Null, Null, Null, 4120, 4400, N'KG2013'
UNION SELECT 161, N'4121 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren mit Zuschlag', 10, 130, 1162.5, Null, Null, 4121, 4400, N'KG2013'
UNION SELECT 162, N'4121 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 517, Null, Null, Null, 4121, 4400, N'KG2013'
UNION SELECT 163, N'4122 Hauptverhandlung von 5 bis 8 Stunden', 1, 212, Null, Null, Null, 4122, 4400, N'KG2013'
UNION SELECT 164, N'4123 Hauptverhandlung von mehr als 8 Stunden', 1, 424, Null, Null, Null, 4123, 4400, N'KG2013'
UNION SELECT 165, N'4124 Verfahrensgebhr fr das Berufungsverfahren', 10, 80, 560, Null, Null, 4124, 4400, N'KG2013'
UNION SELECT 166, N'4124 Verfahrensgebhr fr das Berufungsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 4124, 4400, N'KG2013'
UNION SELECT 167, N'4125 Verfahrensgebhr fr das Berufungsverfahren mit Zuschlag', 10, 80, 700, Null, Null, 4125, 4400, N'KG2013'
UNION SELECT 168, N'4125 Verfahrensgebhr fr das Berufungsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 312, Null, Null, Null, 4125, 4400, N'KG2013'
UNION SELECT 169, N'4126 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren', 10, 80, 560, Null, Null, 4126, 4400, N'KG2013'
UNION SELECT 170, N'4126 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 4126, 4400, N'KG2013'
UNION SELECT 171, N'4127 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren mit Zuschlag', 10, 80, 700, Null, Null, 4127, 4400, N'KG2013'
UNION SELECT 172, N'4127 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 312, Null, Null, Null, 4127, 4400, N'KG2013'
UNION SELECT 173, N'4128 Hauptverhandlung von 5 bis 8 Stunden', 1, 128, Null, Null, Null, 4128, 4400, N'KG2013'
UNION SELECT 174, N'4129 Hauptverhandlung von mehr als 8 Stunden', 1, 256, Null, Null, Null, 4129, 4400, N'KG2013'
UNION SELECT 175, N'4130 Verfahrensgebhr fr das Revisionsverfahren', 10, 120, 1110, Null, Null, 4130, 4400, N'KG2013'
UNION SELECT 176, N'4130 Verfahrensgebhr fr das Revisionsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 492, Null, Null, Null, 4130, 4400, N'KG2013'
UNION SELECT 177, N'4131 Verfahrensgebhr fr das Revisionsverfahren mit Zuschlag', 10, 120, 1387.5, Null, Null, 4131, 4400, N'KG2013'
UNION SELECT 178, N'4131 Verfahrensgebhr fr das Revisionsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 603, Null, Null, Null, 4131, 4400, N'KG2013'
UNION SELECT 179, N'4132 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren', 10, 120, 560, Null, Null, 4132, 4400, N'KG2013'
UNION SELECT 180, N'4132 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 272, Null, Null, Null, 4132, 4400, N'KG2013'
UNION SELECT 181, N'4133 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren mit Zuschlag', 10, 120, 700, Null, Null, 4133, 4400, N'KG2013'
UNION SELECT 182, N'4133 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 328, Null, Null, Null, 4133, 4400, N'KG2013'
UNION SELECT 183, N'4134 Hauptverhandlung von 5 bis 8 Stunden', 1, 136, Null, Null, Null, 4134, 4400, N'KG2013'
UNION SELECT 184, N'4135 Hauptverhandlung von mehr als 8 Stunden', 1, 272, Null, Null, Null, 4135, 4400, N'KG2013'
UNION SELECT 185, N'4136 Geschftsgebhr fr die Vorbereitung eines Antrag auf Wiederaufnahme des Verfahrens', 1, Null, Null, Null, Null, 4136, 4400, N'KG2013'
UNION SELECT 186, N'4136 Geschftsgebhr fr die Vorbereitung eines Antrag auf Wiederaufnahme des Verfahrens (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4136, 4400, N'KG2013'
UNION SELECT 187, N'4137 Verfahren ber die Zulssigkeit des Antrags', 1, Null, Null, Null, Null, 4137, 4400, N'KG2013'
UNION SELECT 188, N'4137 Verfahren ber die Zulssigkeit des Antrags (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4137, 4400, N'KG2013'
UNION SELECT 189, N'4138 Verfahrensgebhr fr das weitere Verfahren', 1, Null, Null, Null, Null, 4138, 4400, N'KG2013'
UNION SELECT 190, N'4138 Verfahrensgebhr fr das weitere Verfahren (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4138, 4400, N'KG2013'
UNION SELECT 191, N'4139 Verfahrensgebhr fr das Beschwerdeverfahren ( 372 StPO)', 1, Null, Null, Null, Null, 4139, 4400, N'KG2013'
UNION SELECT 192, N'4139 Verfahrensgebhr fr das Beschwerdeverfahren ( 372 StPO) (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4139, 4400, N'KG2013'
UNION SELECT 193, N'4140 Terminsgebhr fr mehrere Verhandlungstage', 3, Null, Null, Null, Null, 4140, 4400, N'KG2013'
UNION SELECT 194, N'4140 Terminsgebhr fr mehrere Verhandlungstage (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4140, 4400, N'KG2013'
UNION SELECT 195, N'4141 Durch die anwaltliche Mitwirkung wird die Hauptverhandlung entbehrlich', 1, Null, Null, Null, Null, 4141, 4400, N'KG2013'
UNION SELECT 196, N'4141 Durch die anwaltliche Mitwirkung wird die Hauptverhandlung entbehrlich (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4141, 4400, N'KG2013'
UNION SELECT 197, N'4142 Verfahrensgebhr bei Einziehung und verwandten Manahmen', 8, Null, 1, N'RVG13', Null, 4142, 4400, N'KG2013'
UNION SELECT 198, N'4142 Verfahrensgebhr bei Einziehung und verwandten Manahmen (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4142, 4400, N'KG2013'
UNION SELECT 199, N'4143 Verfahrensgebhr fr das erstinstanzliche Verfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben', 8, Null, 2, N'RVG13', Null, 4143, 4400, N'KG2013'
UNION SELECT 200, N'4143 Verfahrensgebhr fr das erstinstanzliche Verfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4143, 4400, N'KG2013'
UNION SELECT 201, N'4144 Verfahrensgebhr im Berufungs- und Revisionsverfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben', 8, Null, 2.5, N'RVG13', Null, 4144, 4400, N'KG2013'
UNION SELECT 202, N'4144 Verfahrensgebhr im Berufungs- und Revisionsverfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4144, 4400, N'KG2013'
UNION SELECT 203, N'4145 Verfahrensgebhr fr das Verfahren ber einen Antrag auf gerichtliche Entscheidung oder ber die Beschwerde gegen eine den Rechtszug beendende Entscheidung nach  25 Abs. 1 Satz 3 bis 5, 13 StrRehaG', 8, Null, 1.5, N'RVG13', Null, 4145, 4400, N'KG2013'
UNION SELECT 204, N'4145 Verfahrensgebhr fr das Verfahren ber einen Antrag auf gerichtliche Entscheidung oder ber die Beschwerde gegen eine den Rechtszug beendende Entscheidung nach  25 Abs. 1 Satz 3 bis 5, 13 StrRehaG (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4145, 4400, N'KG2013'
UNION SELECT 205, N'4146 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs', 10, 20, 150, Null, Null, 4146, 4400, N'KG2013'
UNION SELECT 206, N'4146 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4146, 4400, N'KG2013'
UNION SELECT 207, N'4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs:', 8, Null, Null, N'RVG13', Null, 4147, 4400, N'KG2013'
UNION SELECT 208, N'4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs: (gerichtlich bestellt oder beigeordnet)', 1, 0, Null, Null, Null, 4147, 4400, N'KG2013'
UNION SELECT 209, N'4200 Verteidigung in Strafvollstreckungssache', 10, 60, 670, Null, Null, 4200, 4400, N'KG2013'
UNION SELECT 210, N'4200 Verteidigung in Strafvollstreckungssache (gerichtlich bestellt oder beigeordnet)', 1, 292, Null, Null, Null, 4200, 4400, N'KG2013'
UNION SELECT 211, N'4201 Verteidigung in Strafvollstreckungssache mit Zuschlag', 10, 60, 837.5, Null, Null, 4201, 4400, N'KG2013'
UNION SELECT 212, N'4201 Verteidigung in Strafvollstreckungssache mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 359, Null, Null, Null, 4201, 4400, N'KG2013'
UNION SELECT 213, N'4202 Terminsgebhr in Strafvollstreckungssache', 10, 60, 300, Null, Null, 4202, 4400, N'KG2013'
UNION SELECT 214, N'4202 Terminsgebhr in Strafvollstreckungssache (gerichtlich bestellt oder beigeordnet)', 1, 144, Null, Null, Null, 4202, 4400, N'KG2013'
UNION SELECT 215, N'4203 Terminsgebhr in Strafvollstreckungssache mit Zuschlag', 10, 60, 375, Null, Null, 4203, 4400, N'KG2013'
UNION SELECT 216, N'4203 Terminsgebhr in Strafvollstreckungssache mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 174, Null, Null, Null, 4203, 4400, N'KG2013'
UNION SELECT 217, N'4204 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung', 10, 30, 300, Null, Null, 4204, 4400, N'KG2013'
UNION SELECT 218, N'4204 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung (gerichtlich bestellt oder beigeordnet)', 1, 132, Null, Null, Null, 4204, 4400, N'KG2013'
UNION SELECT 219, N'4205 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag', 10, 30, 375, Null, Null, 4205, 4400, N'KG2013'
UNION SELECT 220, N'4205 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 162, Null, Null, Null, 4205, 4400, N'KG2013'
UNION SELECT 221, N'4206 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung', 10, 30, 300, Null, Null, 4206, 4400, N'KG2013'
UNION SELECT 222, N'4206 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung (gerichtlich bestellt oder beigeordnet)', 1, 132, Null, Null, Null, 4206, 4400, N'KG2013'
UNION SELECT 223, N'4207 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag', 10, 30, 375, Null, Null, 4207, 4400, N'KG2013'
UNION SELECT 224, N'4207 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 162, Null, Null, Null, 4207, 4400, N'KG2013'
UNION SELECT 225, N'4300 Anfertigung oder Unterzeichnung einer Schrift', 10, 60, 670, Null, Null, 4300, 4400, N'KG2013'
UNION SELECT 226, N'4300 Anfertigung oder Unterzeichnung einer Schrift (gerichtlich bestellt oder beigeordnet)', 1, 292, Null, Null, Null, 4300, 4400, N'KG2013'
UNION SELECT 227, N'4301 Verfahrensgebhr', 10, 40, 460, Null, Null, 4301, 4400, N'KG2013'
UNION SELECT 228, N'4301 Verfahrensgebhr (gerichtlich bestellt oder beigeordnet)', 1, 200, Null, Null, Null, 4301, 4400, N'KG2013'
UNION SELECT 229, N'4302 Verfahrensgebhr', 10, 30, 290, Null, Null, 4302, 4400, N'KG2013'
UNION SELECT 230, N'4302 Verfahrensgebhr (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 4302, 4400, N'KG2013'
UNION SELECT 231, N'4303 Verfahrensgebhr fr die Vertretung in einer Gnadensache', 10, 30, 300, Null, Null, 4303, 4400, N'KG2013'
UNION SELECT 232, N'4303 Verfahrensgebhr fr die Vertretung in einer Gnadensache (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4303, 4400, N'KG2013'
UNION SELECT 233, N'4304 Gebhr fr den als Kontaktperson beigeordneten Rechtsanwalt ( 34a EGGVG)', 1, 3500, Null, Null, Null, 4304, 4400, N'KG2013'
UNION SELECT 234, N'4304 Gebhr fr den als Kontaktperson beigeordneten Rechtsanwalt ( 34a EGGVG) (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4304, 4400, N'KG2013'
UNION SELECT 235, N'5100 Grundgebhr in Bugeldsachen', 10, 30, 170, Null, Null, 5100, 4400, N'KG2013'
UNION SELECT 236, N'5100 Grundgebhr in Bugeldsachen (gerichtlich bestellt oder beigeordnet)', 1, 80, Null, Null, Null, 5100, 4400, N'KG2013'
UNION SELECT 237, N'5101 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ', 10, 20, 110, Null, Null, 5101, 4400, N'KG2013'
UNION SELECT 238, N'5101 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)', 1, 52, Null, Null, Null, 5101, 4400, N'KG2013'
UNION SELECT 239, N'5102 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5101 genannten Verfahren stattfindet', 10, 20, 110, Null, Null, 5102, 4400, N'KG2013'
UNION SELECT 240, N'5102 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5101 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 52, Null, Null, Null, 5102, 4400, N'KG2013'
UNION SELECT 241, N'5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ', 10, 30, 290, Null, Null, 5103, 4400, N'KG2013'
UNION SELECT 242, N'5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 5103, 4400, N'KG2013'
UNION SELECT 243, N'5104 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5103 genannten Verfahren stattfindet', 10, 30, 290, Null, Null, 5104, 4400, N'KG2013'
UNION SELECT 244, N'5104 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5103 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 5104, 4400, N'KG2013'
UNION SELECT 245, N'5105 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00 ', 10, 40, 300, Null, Null, 5105, 4400, N'KG2013'
UNION SELECT 246, N'5105 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 136, Null, Null, Null, 5105, 4400, N'KG2013'
UNION SELECT 247, N'5106 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5105 genannten Verfahren stattfindet', 10, 40, 300, Null, Null, 5106, 4400, N'KG2013'
UNION SELECT 248, N'5106 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5105 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 136, Null, Null, Null, 5106, 4400, N'KG2013'
UNION SELECT 249, N'5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ', 10, 20, 110, Null, Null, 5107, 4400, N'KG2013'
UNION SELECT 250, N'5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)', 1, 52, Null, Null, Null, 5107, 4400, N'KG2013'
UNION SELECT 251, N'5108 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5107 genannten Verfahren', 10, 20, 240, Null, Null, 5108, 4400, N'KG2013'
UNION SELECT 252, N'5108 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5107 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 104, Null, Null, Null, 5108, 4400, N'KG2013'
UNION SELECT 253, N'5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ', 10, 30, 290, Null, Null, 5109, 4400, N'KG2013'
UNION SELECT 254, N'5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 5109, 4400, N'KG2013'
UNION SELECT 255, N'5110 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5109 genannten Verfahren', 10, 40, 470, Null, Null, 5010, 4400, N'KG2013'
UNION SELECT 256, N'5110 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5109 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 204, Null, Null, Null, 5010, 4400, N'KG2013'
UNION SELECT 257, N'5111 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00 ', 10, 50, 350, Null, Null, 5111, 4400, N'KG2013'
UNION SELECT 258, N'5111 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 160, Null, Null, Null, 5111, 4400, N'KG2013'
UNION SELECT 259, N'5112 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5111 genannten Verfahren', 10, 80, 560, Null, Null, 5112, 4400, N'KG2013'
UNION SELECT 260, N'5112 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5111 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 5112, 4400, N'KG2013'
UNION SELECT 261, N'5113 Verfahren ber die Rechtsbeschwerde', 10, 80, 560, Null, Null, 5113, 4400, N'KG2013'
UNION SELECT 262, N'5113 Verfahren ber die Rechtsbeschwerde (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 5113, 4400, N'KG2013'
UNION SELECT 263, N'5114 Terminsgebhr je Hauptverhandlungstag', 10, 80, 560, Null, Null, 5114, 4400, N'KG2013'
UNION SELECT 264, N'5114 Terminsgebhr je Hauptverhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 5114, 4400, N'KG2013'
UNION SELECT 265, N'5115 Durch die anwaltliche Mitwirkung wird das Verfahren vor der Verwaltungsbehrde erledigt oder die Hauptverhandlung entbehrlich', 1, Null, Null, Null, Null, 5115, 4400, N'KG2013'
UNION SELECT 266, N'5116 Verfahrensgebhr bei Einziehung und verwandten Manahmen', 8, Null, 1, N'RVG13', Null, 5116, 4400, N'KG2013'
UNION SELECT 267, N'5200 Verfahrensgebhr fr Einzelttigkeit', 10, 20, 110, Null, Null, 5200, 4400, N'KG2013'
UNION SELECT 268, N'5200 Verfahrensgebhr fr Einzelttigkeit (gerichtlich bestellt oder beigeordnet)', 1, 52, Null, Null, Null, 5200, 4400, N'KG2013'
UNION SELECT 269, N'6100 Verfahren nach dem Gesetz ber die internationale Rechtshilfe in Strafsachen und Verfahren nach dem IStGH-Gesetz', 10, 50, 340, Null, Null, 6100, 4400, N'KG2013'
UNION SELECT 270, N'6100 Verfahren nach dem Gesetz ber die internationale Rechtshilfe in Strafsachen und Verfahren nach dem IStGH-Gesetz (gerichtlich bestellt oder beigeordnet)', 1, 156, Null, Null, Null, 6100, 4400, N'KG2013'
UNION SELECT 271, N'6101 Verfahrensgebhr (Gerichtliches Verfahren)', 10, 100, 690, Null, Null, 6101, 4400, N'KG2013'
UNION SELECT 272, N'6101 Verfahrensgebhr (Gerichtliches Verfahren) (gerichtlich bestellt oder beigeordnet)', 1, 316, Null, Null, Null, 6101, 4400, N'KG2013'
UNION SELECT 273, N'6102 Terminsgebhr je Verhandlungstag (Gerichtliches Verfahren)', 10, 130, 930, Null, Null, 6102, 4400, N'KG2013'
UNION SELECT 274, N'6102 Terminsgebhr je Verhandlungstag (Gerichtliches Verfahren) (gerichtlich bestellt oder beigeordnet)', 1, 424, Null, Null, Null, 6102, 4400, N'KG2013'
UNION SELECT 275, N'6200 Grundgebhr in Disziplinar- und berufsgerichtlichen Verfahren', 10, 40, 350, Null, Null, 6200, 4400, N'KG2013'
UNION SELECT 276, N'6200 Grundgebhr in Disziplinar- und berufsgerichtlichen Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 156, Null, Null, Null, 6200, 4400, N'KG2013'
UNION SELECT 277, N'6201 Terminsgebhr', 10, 40, 370, Null, Null, 6201, 4400, N'KG2013'
UNION SELECT 278, N'6201 Terminsgebhr (gerichtlich bestellt oder beigeordnet)', 1, 164, Null, Null, Null, 6201, 4400, N'KG2013'
UNION SELECT 279, N'6202 Verfahrensgebhr fr Ttigkeit in einem dem gerichtlichen Verfahren vorausgehenden und der berprfung der Verwaltungsentscheidung dienenden weiteren auergerichtlichen Verfahren', 10, 40, 290, Null, Null, 6202, 4400, N'KG2013'
UNION SELECT 280, N'6202 Verfahrensgebhr fr Ttigkeit in einem dem gerichtlichen Verfahren vorausgehenden und der berprfung der Verwaltungsentscheidung dienenden weiteren auergerichtlichen Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 132, Null, Null, Null, 6202, 4400, N'KG2013'
UNION SELECT 281, N'6203 Verfahrensgebhr im Ersten Rechtszug', 10, 50, 320, Null, Null, 6203, 4400, N'KG2013'
UNION SELECT 282, N'6204 Terminsgebhr je Verhandlungstag', 10, 80, 560, Null, Null, 6204, 4400, N'KG2013'
UNION SELECT 283, N'6204 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 6204, 4400, N'KG2013'
UNION SELECT 284, N'6205 Hauptverhandlung von 5 bis 8 Stunden', 1, 128, Null, Null, Null, 6205, 4400, N'KG2013'
UNION SELECT 285, N'6206 Hauptverhandlung von mehr als 8 Stunden', 1, 256, Null, Null, Null, 6206, 4400, N'KG2013'
UNION SELECT 286, N'6207 Verfahrensgebhr im zweiten Rechtszug', 10, 80, 560, Null, Null, 6207, 4400, N'KG2013'
UNION SELECT 287, N'6207 Verfahrensgebhr im zweiten Rechtszug (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 6207, 4400, N'KG2013'
UNION SELECT 288, N'6208 Terminsgebhr je Verhandlungstag', 10, 80, 560, Null, Null, 6208, 4400, N'KG2013'
UNION SELECT 289, N'6208 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 256, Null, Null, Null, 6208, 4400, N'KG2013'
UNION SELECT 290, N'6209 Hauptverhandlung von 5 bis 8 Stunden', 1, 128, Null, Null, Null, 6209, 4400, N'KG2013'
UNION SELECT 291, N'6210 Hauptverhandlung von mehr als 8 Stunden', 1, 256, Null, Null, Null, 6210, 4400, N'KG2013'
UNION SELECT 292, N'6211 Verfahrensgebhr im dritten Rechtszug', 10, 120, 1110, Null, Null, 6211, 4400, N'KG2013'
UNION SELECT 293, N'6211 Verfahrensgebhr im dritten Rechtszug (gerichtlich bestellt oder beigeordnet)', 1, 492, Null, Null, Null, 6211, 4400, N'KG2013'
UNION SELECT 294, N'6212 Terminsgebhr je Verhandlungstag', 10, 120, 550, Null, Null, 6212, 4400, N'KG2013'
UNION SELECT 295, N'6212 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 268, Null, Null, Null, 6212, 4400, N'KG2013'
UNION SELECT 296, N'6213 Hauptverhandlung von 5 bis 8 Stunden', 1, 134, Null, Null, Null, 6213, 4400, N'KG2013'
UNION SELECT 297, N'6214 Hauptverhandlung von mehr als 8 Stunden', 1, 268, Null, Null, Null, 6214, 4400, N'KG2013'
UNION SELECT 298, N'6215 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen die Nichtzulassung der Revision', 10, 70, 1110, Null, Null, 6215, 4400, N'KG2013'
UNION SELECT 299, N'6215 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen die Nichtzulassung der Revision (gerichtlich bestellt oder beigeordnet)', 1, 472, Null, Null, Null, 6215, 4400, N'KG2013'
UNION SELECT 300, N'6216 Durch die anwaltliche Mitwirkung wird die mndliche Verhandlung entbehrlich', 1, Null, Null, Null, Null, 6216, 4400, N'KG2013'
UNION SELECT 301, N'6300 Verfahrensgebhr bei erstmaliger Freiheitsentziehung nach dem Gesetz ber das gerichtliche Verfahren bei Freiheitsentziehungen oder bei Unterbringungsmanahmen nach  70 Abs. 1 FGG', 10, 40, 470, Null, Null, 6300, 4400, N'KG2013'
UNION SELECT 302, N'6300 Verfahrensgebhr bei erstmaliger Freiheitsentziehung nach dem Gesetz ber das gerichtliche Verfahren bei Freiheitsentziehungen oder bei Unterbringungsmanahmen nach  70 Abs. 1 FGG (gerichtlich bestellt oder beigeordnet)', 1, 204, Null, Null, Null, 6300, 4400, N'KG2013'
UNION SELECT 303, N'6301 Terminsgebhr in den Fllen der Nummer 6300', 10, 40, 470, Null, Null, 6301, 4400, N'KG2013'
UNION SELECT 304, N'6301 Terminsgebhr in den Fllen der Nummer 6300 (gerichtlich bestellt oder beigeordnet)', 1, 204, Null, Null, Null, 6301, 4400, N'KG2013'
UNION SELECT 305, N'6302 Verfahrensgebhr in sonstigen Fllen', 10, 20, 300, Null, Null, 6302, 4400, N'KG2013'
UNION SELECT 306, N'6302 Verfahrensgebhr in sonstigen Fllen (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 6302, 4400, N'KG2013'
UNION SELECT 307, N'6303 Terminsgebhr in den Fllen der Nummer 6302', 10, 20, 300, Null, Null, 6303, 4400, N'KG2013'
UNION SELECT 308, N'6303 Terminsgebhr in den Fllen der Nummer 6302 (gerichtlich bestellt oder beigeordnet)', 1, 128, Null, Null, Null, 6303, 4400, N'KG2013'
UNION SELECT 309, N'6400 Verfahrensgebhr fr das Verfahren auf gerichtliche Entscheidung nach der WBO vor dem Truppendienstgericht', 10, 80, 680, Null, Null, 6400, 4400, N'KG2013'
UNION SELECT 310, N'6401 Terminsgebhr je Verhandlungstag in den in Nummer 6400 genannten Verfahren', 10, 80, 680, Null, Null, 6401, 4400, N'KG2013'
UNION SELECT 311, N'6402 Verfahrensgebhr fr das Verfahren auf gerichtliche Entscheidung nach der WBO vor dem Bundesverwaltungsgericht', 10, 100, 790, Null, Null, 6402, 4400, N'KG2013'
UNION SELECT 312, N'6403 Terminsgebhr je Verhandlungstag', 10, 100, 790, Null, Null, 6403, 4400, N'KG2013'
UNION SELECT 313, N'6500 Verfahrensgebhr in Einzelttigkeiten und Verfahren auf Aufhebung oder nderung einer Disziplinarmanahme', 10, 20, 300, Null, Null, 6500, 4400, N'KG2013'
UNION SELECT 314, N'6500 Verfahrensgebhr in Einzelttigkeiten und Verfahren auf Aufhebung oder nderung einer Disziplinarmanahme (gerichtlich bestellt oder beigeordnet)', 8, 128, Null, Null, Null, 6500, 4400, N'KG2013'
UNION SELECT 315, N'7000 Dokumentenpauschale', 5, Null, Null, Null, Null, 9000, 4400, N'KG2013'
UNION SELECT 316, N'7000 Versand elektronischer Dateien', 3, 2.5, Null, Null, Null, 9000, 4400, N'KG2013'
UNION SELECT 317, N'7001 Post- und Telekommunikationsentgelte', 1, Null, Null, Null, Null, 9101, 4400, N'KG2013'
UNION SELECT 318, N'7002 Post- und Telekommunikationspauschale', 4, Null, Null, Null, Null, 9102, 4400, N'KG2013'
UNION SELECT 319, N'7003 Fahrtkosten fr eine Geschftsreise bei Benutzung eines eigenen Kraftfahrzeugs', 3, .3, Null, Null, N'km', 9003, 4400, N'KG2013'
UNION SELECT 320, N'7004 Fahrtkosten fr eine Geschftsreise bei Benutzung eines anderen Verkehrsmittels', 1, Null, Null, Null, Null, 9004, 4400, N'KG2013'
UNION SELECT 321, N'7005 Tage- und Abwesenheitsgeld bis vier Stunden', 1, 25, Null, Null, Null, 9005, 4400, N'KG2013'
UNION SELECT 322, N'7005 Tage- und Abwesenheitsgeld mehr als acht Stunden', 1, 70, Null, Null, Null, 9005, 4400, N'KG2013'
UNION SELECT 323, N'7005 Tage- und Abwesenheitsgeld vier bis acht Stunden', 1, 40, Null, Null, Null, 9005, 4400, N'KG2013'
UNION SELECT 324, N'7005 Zuschlag fr Auslandsreise', 1, Null, Null, Null, Null, 9005, 4400, N'KG2013'
UNION SELECT 325, N'7006 Sonstige Auslagen anlsslich einer Geschftsreise', 1, Null, Null, Null, Null, 9006, 4400, N'KG2013'
UNION SELECT 326, N'7007 Haftpflichtversicherung fr Vermgensschden', 1, Null, Null, Null, Null, 9007, 4400, N'KG2013'
UNION SELECT 327, N'Auslagen (Aufwand)', 1, Null, Null, Null, Null, 9000, 5211, N'KG2013'
UNION SELECT 328, N'Auslagen (durchlaufend)', 1, Null, Null, Null, Null, 9000, 1370, N'KG2013'
UNION SELECT 329, N'Beratung', 8, Null, Null, N'RVG13', Null, 8000, 4400, N'KG2013'
UNION SELECT 330, N'Beratung (Erstberatung,  34 I 3 RVG)', 10, 15, 190, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 331, N'Gebhr nach  34 GNotKG, Tabelle A', 8, Null, Null, N'GNotA13', Null, 8000, 4400, N'KG2013'
UNION SELECT 332, N'Gebhr nach  34 GNotKG, Tabelle B', 8, Null, Null, N'GNotB13', Null, 8000, 4400, N'KG2013'
UNION SELECT 333, N'Gebhrenteilung', 13, Null, -.5, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 334, N'Gerichtskosten', 8, Null, Null, N'GKG13', Null, 8000, 1370, N'KG2013'
UNION SELECT 335, N'Gerichtskosten Familiengericht', 1, Null, Null, N'FamGK13', Null, 8000, 4400, N'KG2013'
UNION SELECT 336, N'Kappung gem.  15 III RVG', 12, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 337, N'Registerauszge', 3, 10, 1, Null, N'St.', 8000, 4400, N'KG2013'
UNION SELECT 338, N'Sonstige Addition', 14, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 339, N'Sonstige Direkteingabe', 1, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 340, N'Sonstige Division', 16, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 341, N'Sonstige Multiplikation', 3, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 342, N'Sonstige prozentuale Berechnung', 15, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 343, N'Sonstige Tabellengebhr', 8, Null, Null, N'RVG13', Null, 8000, 4400, N'KG2013'
UNION SELECT 344, N'Vereinbarte Festvergtung ( 4 RVG', 1, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 345, N'Vereinbarte Zeitvergtung ( 4 RVG)', 3, 225, Null, Null, N'St.', 8000, 4400, N'KG2013'
UNION SELECT 346, N'Zahlung / Gebhrensoll', 1, Null, Null, Null, Null, 8000, 4400, N'KG2013'
UNION SELECT 347, N'Zahlung in Fremdwhrung', 3, Null, Null, Null, Null, 8000, 3500, N'KG2013'
UNION SELECT 348, N'Zahlungseingang (Fremdgeld)', 1, Null, Null, Null, Null, 8000, 3500, N'KG2013'
UNION SELECT 349, N'Zustellungskosten', 1, Null, Null, Null, Null, 8000, 1370, N'KG2013'
SET IDENTITY_INSERT KG2013 OFF
GO


SET ANSI_NULLS ON
DELETE FROM KG2021
SET IDENTITY_INSERT KG2021 ON
IF NOT EXISTS (SELECT * FROM KG2021) INSERT INTO KG2021(id, Tatbestand, Formelid, p1, p2, pTxt, format2, Sortierung, kontoid, Version)
SELECT 1, N'1000 Einigungsgebhr', 8, Null, 1.5, N'RVG21', Null, 3910, 4400, N'KG2021'
UNION SELECT 2, N'1001 Ausshnungsgebhr', 8, Null, 1.5, N'RVG21', Null, 3910, 4400, N'KG2021'
UNION SELECT 3, N'1002 Erledigungsgebhr', 8, Null, 1.5, N'RVG21', Null, 3920, 4400, N'KG2021'
UNION SELECT 4, N'1003 Einigungsgebhr bei anhngigem gerichtlichen Verfahren', 8, Null, 1, N'RVG21', Null, 3930, 4400, N'KG2021'
UNION SELECT 5, N'1004 Einigungsgebhr bei anhngigem Berufungs- oder Revisionsverfahren bzw. der Beschwerde gegen deren Nichtzulassung', 8, Null, 1.3, N'RVG21', Null, 3940, 4400, N'KG2021'
UNION SELECT 6, N'1005 Einigung / Erledigung in sozialrechtlicher Angelegenheit', 1, Null, Null, Null, Null, 3950, 4400, N'KG2021'
UNION SELECT 7, N'1006 Einigung / Erledigung in sozialrechtlicher Angelegenheit bei anhngigem gerichtlichen Verfahren', 1, Null, Null, Null, Null, 3960, 4400, N'KG2021'
UNION SELECT 8, N'1008 Zustzliche Auftraggeber in derselben Angelegenheit', 8, Null, Null, N'RVG21', Null, 3980, 4400, N'KG2021'
UNION SELECT 9, N'1009 Hebegebhr', 9, Null, Null, Null, Null, 3980, 4400, N'KG2021'
UNION SELECT 10, N'1009 Hebegebhr pauschal', 1, Null, Null, Null, Null, 3990, 4400, N'KG2021'
UNION SELECT 11, N'1010 Beweisaufnahme mit mindestens drei gerichtlichen Terminen mit Sachverstndigen oder Zeugen', 8, Null, .3, N'RVG21', Null, 3150, 4400, N'KG2021'
UNION SELECT 12, N'1010 Beweisaufnahme mit mindestens drei gerichtlichen Terminen mit Sachverstndigen oder Zeugen (Rahmengebhr)', 1, Null, Null, Null, Null, 3150, 4400, N'KG2021'
UNION SELECT 13, N'2100 Prfung der Erfolgsaussicht eines Rechtsmittels ', 11, .5, 1, N'RVG21', Null, 2100, 4400, N'KG2021'
UNION SELECT 14, N'2101, 2100 Prfung der Erfolgsaussicht eines Rechtsmittels durch Ausarbeitung eines schriftlichen Gutachtens', 8, 1.3, Null, N'RVG21', Null, 2101, 4400, N'KG2021'
UNION SELECT 15, N'2102 Prfung der Erfolgsaussicht eines Rechtsmittels in sozialrechtlichen Angelegenheiten, in denen im gerichtlichen Verfahren', 10, 36, 384, Null, Null, 2102, 4400, N'KG2021'
UNION SELECT 16, N'2103, 2102 Prfung der Erfolgsaussicht eines Rechtsmittels in sozialrechtlichen Angelegenheiten durch schriftliches Gutachten', 10, 60, 660, Null, Null, 2103, 4400, N'KG2021'
UNION SELECT 17, N'2200 Geschftsgebhr fr die Herstellung des Einvernehmens nach  28 EuRAG', 1, Null, Null, Null, Null, 2200, 4400, N'KG2021'
UNION SELECT 18, N'2201 Geschftsgebhr fr die versuchte Herstellung des Einvernehmens nach  28 EuRAG', 1, Null, Null, Null, Null, 2201, 4400, N'KG2021'
UNION SELECT 19, N'2300 Anrechnung auf Verfahrensgebhr gem. Vorbem. 2.3', 8, Null, -.65, N'RVG21', Null, 2309, 4400, N'KG2021'
UNION SELECT 20, N'2300 Geschftsgebhr', 11, .5, 2.5, N'RVG21', Null, 2300, 4400, N'KG2021'
UNION SELECT 21, N'2300 Geschftsgebhr pauschal', 1, Null, Null, Null, Null, 2300, 4400, N'KG2021'
UNION SELECT 22, N'2301, 2300 Schreiben einfacher Art', 8, Null, .3, N'RVG21', Null, 2301, 4400, N'KG2021'
UNION SELECT 23, N'2302 Geschftsgebhr in sozialrechtlichen Angelegenheiten', 10, 60, 768, Null, Null, 2302, 4400, N'KG2021'
UNION SELECT 24, N'2303 Geschftsgebhr fr Gteverfahren u.. Angelegenheiten', 8, Null, 1.5, N'RVG21', Null, 2303, 4400, N'KG2021'
UNION SELECT 25, N'2401 Geschftsgebhr in sozialrechtlicher Angelegenheit nach vorangegangener Ttigkeit im Verwaltungsverfahren', 10, 40, 260, Null, Null, 2401, 4400, N'KG2021'
UNION SELECT 26, N'2500 Beratungshilfegebhr', 1, 15, Null, Null, Null, 2500, 4400, N'KG2021'
UNION SELECT 27, N'2501 Beratungsgebhr in Beratungshilfesache', 1, 38.5, Null, Null, Null, 2501, 4400, N'KG2021'
UNION SELECT 28, N'2502 Beratungsttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO)', 1, 77, Null, Null, Null, 2502, 4400, N'KG2021'
UNION SELECT 29, N'2503 Geschftsgebhr in Beratungshilfesache', 1, 93.5, Null, Null, Null, 2503, 4400, N'KG2021'
UNION SELECT 30, N'2504 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), bis zu 5 Glubiger', 1, 297, Null, Null, Null, 2504, 4400, N'KG2021'
UNION SELECT 31, N'2505 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), 6-10 Glubiger', 1, 446, Null, Null, Null, 2505, 4400, N'KG2021'
UNION SELECT 32, N'2506 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), 11-15 Glubiger', 1, 594, Null, Null, Null, 2506, 4400, N'KG2021'
UNION SELECT 33, N'2507 Ttigkeit mit dem Ziel einer auergerichtlichen Einigung mit den Glubigern ber die Schuldenbereinigung auf der Grundlage eines Plans ( 305 I Nr. 1 InsO), mehr als 15 Glubiger', 1, 743, Null, Null, Null, 2507, 4400, N'KG2021'
UNION SELECT 34, N'2508 Einigung / Erledigung in Beratungshilfesache', 1, 165, Null, Null, Null, 2508, 4400, N'KG2021'
UNION SELECT 35, N'3100 Verfahrensgebhr', 8, Null, 1.3, N'RVG21', Null, 3100, 4400, N'KG2021'
UNION SELECT 36, N'3101 Verfahrensgebhr, ermigt', 8, Null, .8, N'RVG21', Null, 3101, 4400, N'KG2021'
UNION SELECT 37, N'3102 Verfahren vor dem Sozialgericht', 10, 60, 660, Null, Null, 3102, 4400, N'KG2021'
UNION SELECT 38, N'3104 Terminsgebhr', 8, Null, 1.2, N'RVG21', Null, 3104, 4400, N'KG2021'
UNION SELECT 39, N'3105 Terminsgebhr, ermigt', 8, Null, .5, N'RVG21', Null, 3105, 4400, N'KG2021'
UNION SELECT 40, N'3106 Terminsgebhr in sozialrechtlicher Angelegenheit', 10, 60, 610, Null, Null, 3106, 4400, N'KG2021'
UNION SELECT 41, N'3200 Verfahrensgebhr Berufung u.a.', 8, Null, 1.6, N'RVG21', Null, 3200, 4400, N'KG2021'
UNION SELECT 42, N'3201, 3200 Verfahrensgebhr Berufung, ermigt', 8, Null, 1.1, N'RVG21', Null, 3201, 4400, N'KG2021'
UNION SELECT 43, N'3202 Terminsgebhr Berufung', 8, Null, 1.2, N'RVG21', Null, 3202, 4400, N'KG2021'
UNION SELECT 44, N'3203, 3202 Terminsgebhr Berufung, ermigt', 8, Null, .5, N'RVG21', Null, 3203, 4400, N'KG2021'
UNION SELECT 45, N'3204 Verfahren vor dem Landessozialgericht', 10, 72, 816, Null, Null, 3204, 4400, N'KG2021'
UNION SELECT 46, N'3205 Terminsgebhr vor dem Landessozialgericht', 10, 60, 610, Null, Null, 3205, 4400, N'KG2021'
UNION SELECT 47, N'3206 Verfahrensgebhr Revision u.a.', 8, Null, 1.6, N'RVG21', Null, 3206, 4400, N'KG2021'
UNION SELECT 48, N'3207 Verfahrensgebhr Revision, ermigt', 8, Null, 1.1, N'RVG21', Null, 3207, 4400, N'KG2021'
UNION SELECT 49, N'3208 Verfahrensgebhr Revision im Anwaltsprozess', 8, Null, 2.3, N'RVG21', Null, 3208, 4400, N'KG2021'
UNION SELECT 50, N'3209 Verfahrensgebhr Revision im Anwaltsprozess, ermigt', 8, Null, 1.8, N'RVG21', Null, 3209, 4400, N'KG2021'
UNION SELECT 51, N'3210 Terminsgebhr Revision', 8, Null, 1.5, N'RVG21', Null, 3210, 4400, N'KG2021'
UNION SELECT 52, N'3211 Terminsgebhr Revision, ermigt', 8, Null, .8, N'RVG21', Null, 3211, 4400, N'KG2021'
UNION SELECT 53, N'3212 Verfahren vor dem Bundessozialgericht', 10, 96, 1056, Null, Null, 3212, 4400, N'KG2021'
UNION SELECT 54, N'3213 Termin vor dem Bundessozialgericht', 10, 96, 990, Null, Null, 3213, 4400, N'KG2021'
UNION SELECT 55, N'3300 Verfahren ber einen Antrag nach  115 Abs. 2 Satz 2 und 3,  118 Abs. 1 Satz 3 oder nach  121 GWB', 8, Null, 1.6, N'RVG21', Null, 3300, 4400, N'KG2021'
UNION SELECT 56, N'3301, 3300 Verfahren ber einen Antrag nach  115 Abs. 2 Satz 2 und 3,  118 Abs. 1 Satz 3 oder nach  121 GWB, vorzeitig beendet', 8, Null, 1, N'RVG21', Null, 3301, 4400, N'KG2021'
UNION SELECT 57, N'3305 Vertretung des Antragstellers im Mahnverfahren', 8, Null, 1, N'RVG21', Null, 3305, 4400, N'KG2021'
UNION SELECT 58, N'3306 Vertretung des Antragstellers im Mahnverfahren, ermigt', 8, Null, .5, N'RVG21', Null, 3306, 4400, N'KG2021'
UNION SELECT 59, N'3307 Vertretung des Antragsgegners im Mahnverfahren', 8, Null, .5, N'RVG21', Null, 3307, 4400, N'KG2021'
UNION SELECT 60, N'3308 Vertretung des Antragstellers im Verfahren ber den Erla des Vollstreckungsbescheides', 8, Null, .5, N'RVG21', Null, 3308, 4400, N'KG2021'
UNION SELECT 61, N'3309 Zwangsvollstreckung', 8, Null, .3, N'RVG21', Null, 3309, 4400, N'KG2021'
UNION SELECT 62, N'3310 Termin in der Zwangsvollstreckung', 8, Null, .3, N'RVG21', Null, 3310, 4400, N'KG2021'
UNION SELECT 63, N'3311 Zwangsversteigerung / Zwangsverwaltung', 8, Null, .4, N'RVG21', Null, 3311, 4400, N'KG2021'
UNION SELECT 64, N'3312 Zwangsversteigerungstermin', 8, Null, .4, N'RVG21', Null, 3312, 4400, N'KG2021'
UNION SELECT 65, N'3313 Vertretung des Schuldners im Insolvenzerffungsverfahren', 8, Null, 1, N'RVG21', Null, 3313, 4400, N'KG2021'
UNION SELECT 66, N'3314 Vertretung des Glubigers im Insolvenzerffungsverfahren', 8, Null, .5, N'RVG21', Null, 3314, 4400, N'KG2021'
UNION SELECT 67, N'3315, 3313 Vertretung des Schuldners im Verfahren ber den Schuldenbereinigungsplan', 8, Null, 1.5, N'RVG21', Null, 3315, 4400, N'KG2021'
UNION SELECT 68, N'3316, 3314 Vertretung des Glubigers im Verfahren ber den Schuldenbereinigungsplan', 8, Null, 1, N'RVG21', Null, 3316, 4400, N'KG2021'
UNION SELECT 69, N'3317 Insolvenzverfahren', 8, Null, 1, N'RVG21', Null, 3317, 4400, N'KG2021'
UNION SELECT 70, N'3318 Verfahren ber einen Insolvenzplan', 8, Null, 1, N'RVG21', Null, 3318, 4400, N'KG2021'
UNION SELECT 71, N'3319 Vertretung des Schuldners, der den Insolvenzplan vorgelegt hat', 8, Null, 3, N'RVG21', Null, 3319, 4400, N'KG2021'
UNION SELECT 72, N'3320, 3317 Anmeldung einer Insolvenzforderung', 8, Null, .5, N'RVG21', Null, 3320, 4400, N'KG2021'
UNION SELECT 73, N'3321 Verfahren ber einen Antrag auf Versagung oder Widerruf der Restschuldbefreiung', 8, Null, .5, N'RVG21', Null, 3321, 4400, N'KG2021'
UNION SELECT 74, N'3322 Verfahren ber Antrag auf Zulassung der Zwangsvollstreckung nach  17 Abs. 4 SVertO', 8, Null, .5, N'RVG21', Null, 3322, 4400, N'KG2021'
UNION SELECT 75, N'3323 Verfahren ber Antrag auf Aufhebung von Vollstreckungsmassregeln ( 8 Abs. 5 und  41 SVertO)', 8, Null, .5, N'RVG21', Null, 3323, 4400, N'KG2021'
UNION SELECT 76, N'3324 Aufgebotsverfahren', 8, Null, 1, N'RVG21', Null, 3324, 4400, N'KG2021'
UNION SELECT 77, N'3325 Verfahren nach  319 Abs. 6 AktG, auch i.V.m.  327e Abs. 2 AktG, oder nach  16 Abs. 3 UmwG', 8, Null, .75, N'RVG21', Null, 3325, 4400, N'KG2021'
UNION SELECT 78, N'3325, 3337 Verfahren nach  319 Abs. 6 AktG, auch i.V.m.  327e Abs. 2 AktG,oder nach  16 Abs. 3 UmwG, vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 79, N'3326 Beschrnkte Ttigkeit vor den Gerichten fr Arbeitssachen', 8, Null, .75, N'RVG21', Null, 3326, 4400, N'KG2021'
UNION SELECT 80, N'3326, 3337 Beschrnkte Ttigkeit vor Arbeitsgericht,vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 81, N'3327 Gerichtliches Verfahren im schiedsrichterlichen Verfahren', 8, Null, .75, N'RVG21', Null, 3327, 4400, N'KG2021'
UNION SELECT 82, N'3327, 3337 Beschrnkte Ttigkeit in Schiedsangelegenheit, vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 83, N'3328 Verfahren ber die vorlufige Einstellung,Beschrnkung, Aussetzung oder Aufhebung der Zwangsvollstreckung', 8, Null, .5, N'RVG21', Null, 3328, 4400, N'KG2021'
UNION SELECT 84, N'3329 Verfahren auf Vollstreckbarerklrung der durch Rechtsmittelantrge nicht angefochtenen Teile eines Urteils ( 537,558 ZPO)', 8, Null, .5, N'RVG21', Null, 3329, 4400, N'KG2021'
UNION SELECT 85, N'3330 Verfahren ber eine Rge wegen Verletzung des Anspruchs auf rechtliches Gehr ( 321 a ZPO)', 8, Null, .5, N'RVG21', Null, 3330, 4400, N'KG2021'
UNION SELECT 86, N'3332 Terminsgebhr in den in Nummern 3324 bis 3330 genannten Verfahren', 8, Null, 5, N'RVG21', Null, 3331, 4400, N'KG2021'
UNION SELECT 87, N'3333 Verteilungsverfahren auerhalb der Zwangsversteigerung und der Zwangsverwaltung', 8, Null, .4, N'RVG21', Null, 3333, 4400, N'KG2021'
UNION SELECT 88, N'3334 Isoliertes Verfahren auf Bewilligung,Verlngerung oder Verkrzung einer Rumungsfrist ( 721,794a ZPO)', 8, Null, 1, N'RVG21', Null, 3334, 4400, N'KG2021'
UNION SELECT 89, N'3334, 3337 Isoliertes Verfahren auf Bewilligung, Verlngerung oder Verkrzung einer Rumungsfrist ( 721,794a ZPO), vorzeitig beendet', 8, Null, .51, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 90, N'3335 Prozesskostenhilfeverfahren', 8, Null, 1, N'RVG21', Null, 3335, 4400, N'KG2021'
UNION SELECT 91, N'3335, 3337 Prozesskostenhilfeverfahren, vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 92, N'3337 Aufgebotsverfahren, vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3337, 4400, N'KG2021'
UNION SELECT 93, N'3338 Ttigkeit als Vertreter des Anmelders eines Anspruchs zum Musterverfahren ( 10 Abs. 2 KapMuG)', 8, Null, .8, Null, Null, 3338, 4400, N'KG2021'
UNION SELECT 94, N'3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten', 1, Null, Null, Null, Null, 3400, 4400, N'KG2021'
UNION SELECT 95, N'3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten', 8, Null, 1, N'RVG21', Null, 3400, 4400, N'KG2021'
UNION SELECT 96, N'3401 Verfahrensgebhr fr Vertretung in einem Verhandlungs-, Errterungs-, Beweisaufnahme-, Sachverstndigen- oder einem anderen Termin i.S.d. Vorbemerkung 3 Abs. 3', 8, Null, .5, N'RVG21', Null, 3401, 4400, N'KG2021'
UNION SELECT 97, N'3402 Terminsgebhr fr die Vertretung in einem Termin i.S.v. Nr. 3401', 8, Null, 1, N'RVG21', Null, 3402, 4400, N'KG2021'
UNION SELECT 98, N'3403 Verfahrensgebhr fr sonstige Einzelttigkeiten', 8, Null, .8, N'RVG21', Null, 3403, 4400, N'KG2021'
UNION SELECT 99, N'3404, 3403 Schreiben einfacher Art', 8, Null, .3, N'RVG21', Null, 3404, 4400, N'KG2021'
UNION SELECT 100, N'3405, 3400 Fhrung des Verkehrs der Partei mit dem Verfahrensbevollmchtigten mit Beendigung, bevor der Verfahrensbevollmchtigte beauftragt oder der Rechtsanwalt gegenber dem Verfahrensbevollmchtigten ttig geworden ist', 8, Null, .5, N'RVG21', Null, 3405, 4400, N'KG2021'
UNION SELECT 101, N'3405, 3401 Vertretung in einem Termin im Sinne der Vorbemerkung 3 Abs. 3 mit Beendigung vor Terminsbeginn', 8, Null, .5, N'RVG21', Null, 3405, 4400, N'KG2021'
UNION SELECT 102, N'3406 Verfahrensgebhr fr sonstige Einzelttigkeiten in sozialrechtlicher Angelegenheit', 10, 36, 408, Null, Null, 3406, 4400, N'KG2021'
UNION SELECT 103, N'3500 Beschwerde / Nichtzulassungsbeschwerde / Erinnerung', 8, Null, .5, N'RVG21', Null, 3500, 4400, N'KG2021'
UNION SELECT 104, N'3501 Beschwerde / Nichtzulassungsbeschwerde / Erinnerung in sozialrechtlicher Angelegenheit', 10, 24, 250, Null, Null, 3501, 4400, N'KG2021'
UNION SELECT 105, N'3502 Rechtsbeschwerde ( 574 ZPO)', 8, Null, 1, N'RVG21', Null, 3502, 4400, N'KG2021'
UNION SELECT 106, N'3503, 3502 Rechtsbeschwerde ( 574 ZPO), vorzeitig beendet', 8, Null, .5, N'RVG21', Null, 3503, 4400, N'KG2021'
UNION SELECT 107, N'3504 Beschwerde gegen die Nichtzulassung der Berufung', 8, Null, 1.6, N'RVG21', Null, 3504, 4400, N'KG2021'
UNION SELECT 108, N'3505, 3504 Beschwerde gegen die Nichtzulassung der Berufung, vorzeitig beendet', 8, Null, 1, N'RVG21', Null, 3505, 4400, N'KG2021'
UNION SELECT 109, N'3506 Beschwerde gegen die Nichtzulassung der Revision', 8, Null, 1.6, N'RVG21', Null, 3506, 4400, N'KG2021'
UNION SELECT 110, N'3507, 3506 Beschwerde gegen die Nichtzulassung der Revision, vorzeitig beendet', 8, Null, 1.1, N'RVG21', Null, 3507, 4400, N'KG2021'
UNION SELECT 111, N'3508, 3506 Beschwerde gegen die Nichtzulassung der Revision im Anwaltsprozess', 8, Null, 2.3, N'RVG21', Null, 3508, 4400, N'KG2021'
UNION SELECT 112, N'3509, 3506 Beschwerde gegen die Nichtzulassung der Revision im Anwaltsprozess, vorzeitig beendet', 8, Null, 1.8, N'RVG21', Null, 3509, 4400, N'KG2021'
UNION SELECT 113, N'3510 Beschwerdeverfahren vor dem Bundespatentgericht', 8, Null, 1.3, N'RVG21', Null, 3510, 4400, N'KG2021'
UNION SELECT 114, N'3511 Beschwerde gegen die Nichtzulassung der Berufung vor dem Landessozialgericht', 10, 72, 816, Null, Null, 3511, 4400, N'KG2021'
UNION SELECT 115, N'3512 Beschwerde gegen die Nichtzulassung der Revision vor dem Bundessozialgericht', 10, 96, 1056, Null, Null, 3512, 4400, N'KG2021'
UNION SELECT 116, N'3513 Terminsgebhr in Verfahren ber die Beschwerde und die Erinnerung', 8, Null, .5, N'RVG21', Null, 3513, 4400, N'KG2021'
UNION SELECT 117, N'3514, 3513 Terminsgebhr in Verfahren ber Antrag auf Anordnung eines Arrests oder Erlass einer einstweiligen Verfgung', 8, Null, 1.2, N'RVG21', Null, 3514, 4400, N'KG2021'
UNION SELECT 118, N'3515 Terminsgebhr in Verfahren ber die Beschwerde oder Erinnerung in sozialrechtlicher Angelegenheit', 10, 24, 250, Null, Null, 3515, 4400, N'KG2021'
UNION SELECT 119, N'3516 Terminsgebhr in den in Nummer 3506 und 3510 genannten Verfahren', 8, Null, 1.2, N'RVG21', Null, 3516, 4400, N'KG2021'
UNION SELECT 120, N'3517 Terminsgebhr im Verfahren ber die Beschwerde gegen die Nichtzulassung der Berufung vor dem Landessozialgericht', 10, 60, 610, Null, Null, 3517, 4400, N'KG2021'
UNION SELECT 121, N'3518 Terminsgebhr im Verfahren ber Beschwerde gegen die Nichtzulassung der Revision vor dem Bundessozialgericht', 10, 72, 792, Null, Null, 3518, 4400, N'KG2021'
UNION SELECT 122, N'4100 Grundgebhr des Verteidigers', 10, 44, 396, Null, Null, 4100, 4400, N'KG2021'
UNION SELECT 123, N'4100 Grundgebhr des Verteidigers (gerichtlich bestellt oder beigeordnet)', 1, 176, Null, Null, Null, 4100, 4400, N'KG2021'
UNION SELECT 124, N'4101 Grundgebhr des Verteidigers mit Zuschlag', 10, 44, 396, Null, Null, 4101, 4400, N'KG2021'
UNION SELECT 125, N'4101 Grundgebhr des Verteidigers mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 216, Null, Null, Null, 4101, 4400, N'KG2021'
UNION SELECT 126, N'4102 Terminsgebhr', 10, 44, 330, Null, Null, 4102, 4400, N'KG2021'
UNION SELECT 127, N'4102 Terminsgebhr (gerichtlich bestellt oder beigeordnet)', 1, 150, Null, Null, Null, 4102, 4400, N'KG2021'
UNION SELECT 128, N'4103 Terminsgebhr mit Zuschlag', 10, 44, 413, Null, Null, 4103, 4400, N'KG2021'
UNION SELECT 129, N'4103 Terminsgebhr mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 183, Null, Null, Null, 4103, 4400, N'KG2021'
UNION SELECT 130, N'4104 Ttigkeit im vorbereitenden Verfahren', 10, 44, 319, Null, Null, 4104, 4400, N'KG2021'
UNION SELECT 131, N'4104 Ttigkeit im vorbereitenden Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 145, Null, Null, Null, 4104, 4400, N'KG2021'
UNION SELECT 132, N'4105 Ttigkeit im vorbereitenden Verfahren mit Zuschlag', 10, 44, 399, Null, Null, 4105, 4400, N'KG2021'
UNION SELECT 133, N'4105 Ttigkeit im vorbereitenden Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 177, Null, Null, Null, 4105, 4400, N'KG2021'
UNION SELECT 134, N'4106 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht', 10, 44, 319, Null, Null, 4106, 4400, N'KG2021'
UNION SELECT 135, N'4106 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht (gerichtlich bestellt oder beigeordnet)', 1, 145, Null, Null, Null, 4106, 4400, N'KG2021'
UNION SELECT 136, N'4107 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht mit Zuschlag', 10, 44, 399, Null, Null, 4107, 4400, N'KG2021'
UNION SELECT 137, N'4107 Verfahrensgebhr fr den ersten Rechtszug vor dem Amtsgericht mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 177, Null, Null, Null, 4107, 4400, N'KG2021'
UNION SELECT 138, N'4108 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht', 10, 77, 528, Null, Null, 4108, 4400, N'KG2021'
UNION SELECT 139, N'4108 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht (gerichtlich bestellt oder beigeordnet)', 1, 242, Null, Null, Null, 4108, 4400, N'KG2021'
UNION SELECT 140, N'4109 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht mit Zuschlag', 10, 77, 660, Null, Null, 4109, 4400, N'KG2021'
UNION SELECT 141, N'4109 Hauptverhandlungstag im ersten Rechtszug vor dem Amtsgericht mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 295, Null, Null, Null, 4109, 4400, N'KG2021'
UNION SELECT 142, N'4110 Hauptverhandlung von 5 bis 8 Stunden', 1, 121, Null, Null, Null, 4110, 4400, N'KG2021'
UNION SELECT 143, N'4111 Hauptverhandlung von mehr als 8 Stunden', 1, 242, Null, Null, Null, 4111, 4400, N'KG2021'
UNION SELECT 144, N'4112 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer', 10, 55, 352, Null, Null, 4112, 4400, N'KG2021'
UNION SELECT 145, N'4112 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer (gerichtlich bestellt oder beigeordnet)', 1, 163, Null, Null, Null, 4112, 4400, N'KG2021'
UNION SELECT 146, N'4113 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer mit Zuschlag', 10, 55, 440, Null, Null, 4113, 4400, N'KG2021'
UNION SELECT 147, N'4113 Verfahrensgebhr fr den ersten Rechtszug vor der Strafkammer mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 198, Null, Null, Null, 4113, 4400, N'KG2021'
UNION SELECT 148, N'4114 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren', 10, 88, 616, Null, Null, 4114, 4400, N'KG2021'
UNION SELECT 149, N'4114 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 4114, 4400, N'KG2021'
UNION SELECT 150, N'4115 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren mit Zuschlag', 10, 88, 770, Null, Null, 4115, 4400, N'KG2021'
UNION SELECT 151, N'4115 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4112 genannten Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 343, Null, Null, Null, 4115, 4400, N'KG2021'
UNION SELECT 152, N'4116 Hauptverhandlung von 5 bis 8 Stunden', 1, 141, Null, Null, Null, 4116, 4400, N'KG2021'
UNION SELECT 153, N'4117 Hauptverhandlung von mehr als 8 Stunden', 1, 282, Null, Null, Null, 4117, 4400, N'KG2021'
UNION SELECT 154, N'4118 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG', 10, 110, 759, Null, Null, 4118, 4400, N'KG2021'
UNION SELECT 155, N'4118 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG (gerichtlich bestellt oder beigeordnet)', 1, 348, Null, Null, Null, 4118, 4400, N'KG2021'
UNION SELECT 156, N'4119 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG mit Zuschlag', 10, 110, 949, Null, Null, 4119, 4400, N'KG2021'
UNION SELECT 157, N'4119 Verfahrensgebhr fr den ersten Rechtszug vor dem Oberlandesgericht, dem Schwurgericht oder der Strafkammer nach den  74a und 74c GVG mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 424, Null, Null, Null, 4119, 4400, N'KG2021'
UNION SELECT 158, N'4120 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren', 10, 143, 1023, Null, Null, 4120, 4400, N'KG2021'
UNION SELECT 159, N'4120 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 466, Null, Null, Null, 4120, 4400, N'KG2021'
UNION SELECT 160, N'4121 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren mit Zuschlag', 10, 143, 1279, Null, Null, 4121, 4400, N'KG2021'
UNION SELECT 161, N'4121 Terminsgebhr je Hauptverhandlungstag in den in Nummer 4118 genannten Verfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 569, Null, Null, Null, 4121, 4400, N'KG2021'
UNION SELECT 162, N'4122 Hauptverhandlung von 5 bis 8 Stunden', 1, 233, Null, Null, Null, 4122, 4400, N'KG2021'
UNION SELECT 163, N'4123 Hauptverhandlung von mehr als 8 Stunden', 1, 466, Null, Null, Null, 4123, 4400, N'KG2021'
UNION SELECT 164, N'4124 Verfahrensgebhr fr das Berufungsverfahren', 10, 88, 616, Null, Null, 4124, 4400, N'KG2021'
UNION SELECT 165, N'4124 Verfahrensgebhr fr das Berufungsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 4124, 4400, N'KG2021'
UNION SELECT 166, N'4125 Verfahrensgebhr fr das Berufungsverfahren mit Zuschlag', 10, 88, 770, Null, Null, 4125, 4400, N'KG2021'
UNION SELECT 167, N'4125 Verfahrensgebhr fr das Berufungsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 343, Null, Null, Null, 4125, 4400, N'KG2021'
UNION SELECT 168, N'4126 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren', 10, 88, 616, Null, Null, 4126, 4400, N'KG2021'
UNION SELECT 169, N'4126 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 4126, 4400, N'KG2021'
UNION SELECT 170, N'4127 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren mit Zuschlag', 10, 88, 770, Null, Null, 4127, 4400, N'KG2021'
UNION SELECT 171, N'4127 Terminsgebhr je Hauptverhandlungstag im Berufungsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 343, Null, Null, Null, 4127, 4400, N'KG2021'
UNION SELECT 172, N'4128 Hauptverhandlung von 5 bis 8 Stunden', 1, 141, Null, Null, Null, 4128, 4400, N'KG2021'
UNION SELECT 173, N'4129 Hauptverhandlung von mehr als 8 Stunden', 1, 282, Null, Null, Null, 4129, 4400, N'KG2021'
UNION SELECT 174, N'4130 Verfahrensgebhr fr das Revisionsverfahren', 10, 132, 1221, Null, Null, 4130, 4400, N'KG2021'
UNION SELECT 175, N'4130 Verfahrensgebhr fr das Revisionsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 541, Null, Null, Null, 4130, 4400, N'KG2021'
UNION SELECT 176, N'4131 Verfahrensgebhr fr das Revisionsverfahren mit Zuschlag', 10, 132, 1526, Null, Null, 4131, 4400, N'KG2021'
UNION SELECT 177, N'4131 Verfahrensgebhr fr das Revisionsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 663, Null, Null, Null, 4131, 4400, N'KG2021'
UNION SELECT 178, N'4132 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren', 10, 132, 616, Null, Null, 4132, 4400, N'KG2021'
UNION SELECT 179, N'4132 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren (gerichtlich bestellt oder beigeordnet)', 1, 300, Null, Null, Null, 4132, 4400, N'KG2021'
UNION SELECT 180, N'4133 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren mit Zuschlag', 10, 132, 770, Null, Null, 4133, 4400, N'KG2021'
UNION SELECT 181, N'4133 Terminsgebhr je Hauptverhandlungstag im Revisionsverfahren mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 361, Null, Null, Null, 4133, 4400, N'KG2021'
UNION SELECT 182, N'4134 Hauptverhandlung von 5 bis 8 Stunden', 1, 150, Null, Null, Null, 4134, 4400, N'KG2021'
UNION SELECT 183, N'4135 Hauptverhandlung von mehr als 8 Stunden', 1, 300, Null, Null, Null, 4135, 4400, N'KG2021'
UNION SELECT 184, N'4136 Geschftsgebhr fr die Vorbereitung eines Antrag auf Wiederaufnahme des Verfahrens', 1, Null, Null, Null, Null, 4136, 4400, N'KG2021'
UNION SELECT 185, N'4136 Geschftsgebhr fr die Vorbereitung eines Antrag auf Wiederaufnahme des Verfahrens (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4136, 4400, N'KG2021'
UNION SELECT 186, N'4137 Verfahren ber die Zulssigkeit des Antrags', 1, Null, Null, Null, Null, 4137, 4400, N'KG2021'
UNION SELECT 187, N'4137 Verfahren ber die Zulssigkeit des Antrags (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4137, 4400, N'KG2021'
UNION SELECT 188, N'4138 Verfahrensgebhr fr das weitere Verfahren', 1, Null, Null, Null, Null, 4138, 4400, N'KG2021'
UNION SELECT 189, N'4138 Verfahrensgebhr fr das weitere Verfahren (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4138, 4400, N'KG2021'
UNION SELECT 190, N'4139 Verfahrensgebhr fr das Beschwerdeverfahren ( 372 StPO)', 1, Null, Null, Null, Null, 4139, 4400, N'KG2021'
UNION SELECT 191, N'4139 Verfahrensgebhr fr das Beschwerdeverfahren ( 372 StPO) (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4139, 4400, N'KG2021'
UNION SELECT 192, N'4140 Terminsgebhr fr jeden Verhandlungstag', 3, Null, Null, Null, Null, 4140, 4400, N'KG2021'
UNION SELECT 193, N'4140 Terminsgebhr fr jeden Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4140, 4400, N'KG2021'
UNION SELECT 194, N'4141 Durch die anwaltliche Mitwirkung wird die Hauptverhandlung entbehrlich', 1, Null, Null, Null, Null, 4141, 4400, N'KG2021'
UNION SELECT 195, N'4141 Durch die anwaltliche Mitwirkung wird die Hauptverhandlung entbehrlich (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4141, 4400, N'KG2021'
UNION SELECT 196, N'4142 Verfahrensgebhr bei Einziehung und verwandten Manahmen', 8, Null, 1, N'RVG21', Null, 4142, 4400, N'KG2021'
UNION SELECT 197, N'4142 Verfahrensgebhr bei Einziehung und verwandten Manahmen (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4142, 4400, N'KG2021'
UNION SELECT 198, N'4143 Verfahrensgebhr fr das erstinstanzliche Verfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben', 8, Null, 2, N'RVG21', Null, 4143, 4400, N'KG2021'
UNION SELECT 199, N'4143 Verfahrensgebhr fr das erstinstanzliche Verfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4143, 4400, N'KG2021'
UNION SELECT 200, N'4144 Verfahrensgebhr im Berufungs- und Revisionsverfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben', 8, Null, 2.5, N'RVG21', Null, 4144, 4400, N'KG2021'
UNION SELECT 201, N'4144 Verfahrensgebhr im Berufungs- und Revisionsverfahren ber vermgensrechtliche Ansprche des Verletzten oder seines Erben (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4144, 4400, N'KG2021'
UNION SELECT 202, N'4145 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen den Beschluss, von einer Entscheidung abzusehen', 8, Null, 1.5, N'RVG21', Null, 4145, 4400, N'KG2021'
UNION SELECT 203, N'4145 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen den Beschluss, von einer Entscheidung abzusehen (beigeordnet)', 1, Null, Null, Null, Null, 4145, 4400, N'KG2021'
UNION SELECT 204, N'4146 Verfahrensgebhr im Verfahren gem  25 Abs. 1 Satz 3 bis 5,  13 StrRehaG (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4146, 4400, N'KG2021'
UNION SELECT 205, N'4146 Verfahrensgebhr im Verfahren gem  25 Abs. 1 Satz 3 bis 5,  13 StrRehaG', 10, 20, 150, Null, Null, 4146, 4400, N'KG2021'
UNION SELECT 206, N'4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs:', 8, Null, Null, N'RVG21', Null, 4147, 4400, N'KG2021'
UNION SELECT 207, N'4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs: (gerichtlich bestellt oder beigeordnet)', 1, 0, Null, Null, Null, 4147, 4400, N'KG2021'
UNION SELECT 208, N'4200 Verteidigung in Strafvollstreckungssache', 10, 66, 737, Null, Null, 4200, 4400, N'KG2021'
UNION SELECT 209, N'4200 Verteidigung in Strafvollstreckungssache (gerichtlich bestellt oder beigeordnet)', 1, 321, Null, Null, Null, 4200, 4400, N'KG2021'
UNION SELECT 210, N'4201 Verteidigung in Strafvollstreckungssache mit Zuschlag', 10, 66, 921, Null, Null, 4201, 4400, N'KG2021'
UNION SELECT 211, N'4201 Verteidigung in Strafvollstreckungssache mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 395, Null, Null, Null, 4201, 4400, N'KG2021'
UNION SELECT 212, N'4202 Terminsgebhr in Strafvollstreckungssache', 10, 66, 330, Null, Null, 4202, 4400, N'KG2021'
UNION SELECT 213, N'4202 Terminsgebhr in Strafvollstreckungssache (gerichtlich bestellt oder beigeordnet)', 1, 158, Null, Null, Null, 4202, 4400, N'KG2021'
UNION SELECT 214, N'4203 Terminsgebhr in Strafvollstreckungssache mit Zuschlag', 10, 66, 413, Null, Null, 4203, 4400, N'KG2021'
UNION SELECT 215, N'4203 Terminsgebhr in Strafvollstreckungssache mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 192, Null, Null, Null, 4203, 4400, N'KG2021'
UNION SELECT 216, N'4204 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung', 10, 33, 330, Null, Null, 4204, 4400, N'KG2021'
UNION SELECT 217, N'4204 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung (gerichtlich bestellt oder beigeordnet)', 1, 145, Null, Null, Null, 4204, 4400, N'KG2021'
UNION SELECT 218, N'4205 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag', 10, 33, 413, Null, Null, 4205, 4400, N'KG2021'
UNION SELECT 219, N'4205 Verfahrensgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 178, Null, Null, Null, 4205, 4400, N'KG2021'
UNION SELECT 220, N'4206 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung', 10, 33, 330, Null, Null, 4206, 4400, N'KG2021'
UNION SELECT 221, N'4206 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung (gerichtlich bestellt oder beigeordnet)', 1, 145, Null, Null, Null, 4206, 4400, N'KG2021'
UNION SELECT 222, N'4207 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag', 10, 33, 413, Null, Null, 4207, 4400, N'KG2021'
UNION SELECT 223, N'4207 Terminsgebhr fr sonstige Verfahren in der Strafvollstreckung mit Zuschlag (gerichtlich bestellt oder beigeordnet)', 1, 178, Null, Null, Null, 4207, 4400, N'KG2021'
UNION SELECT 224, N'4300 Anfertigung oder Unterzeichnung einer Schrift', 10, 66, 737, Null, Null, 4300, 4400, N'KG2021'
UNION SELECT 225, N'4300 Anfertigung oder Unterzeichnung einer Schrift (gerichtlich bestellt oder beigeordnet)', 1, 321, Null, Null, Null, 4300, 4400, N'KG2021'
UNION SELECT 226, N'4301 Verfahrensgebhr', 10, 44, 506, Null, Null, 4301, 4400, N'KG2021'
UNION SELECT 227, N'4301 Verfahrensgebhr (gerichtlich bestellt oder beigeordnet)', 1, 220, Null, Null, Null, 4301, 4400, N'KG2021'
UNION SELECT 228, N'4302 Verfahrensgebhr', 10, 33, 319, Null, Null, 4302, 4400, N'KG2021'
UNION SELECT 229, N'4302 Verfahrensgebhr (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 4302, 4400, N'KG2021'
UNION SELECT 230, N'4303 Verfahrensgebhr fr die Vertretung in einer Gnadensache', 10, 33, 330, Null, Null, 4303, 4400, N'KG2021'
UNION SELECT 231, N'4303 Verfahrensgebhr fr die Vertretung in einer Gnadensache (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4303, 4400, N'KG2021'
UNION SELECT 232, N'4304 Gebhr fr den als Kontaktperson beigeordneten Rechtsanwalt ( 34a EGGVG)', 1, 3850, Null, Null, Null, 4304, 4400, N'KG2021'
UNION SELECT 233, N'4304 Gebhr fr den als Kontaktperson beigeordneten Rechtsanwalt ( 34a EGGVG) (gerichtlich bestellt oder beigeordnet)', 1, Null, Null, Null, Null, 4304, 4400, N'KG2021'
UNION SELECT 234, N'5100 Grundgebhr in Bugeldsachen', 10, 33, 187, Null, Null, 5100, 4400, N'KG2021'
UNION SELECT 235, N'5100 Grundgebhr in Bugeldsachen (gerichtlich bestellt oder beigeordnet)', 1, 88, Null, Null, Null, 5100, 4400, N'KG2021'
UNION SELECT 236, N'5101 Verfahrensgebhr bei einer Geldbue von weniger als 40,00 ', 10, 22, 121, Null, Null, 5101, 4400, N'KG2021'
UNION SELECT 237, N'5101 Verfahrensgebhr bei einer Geldbue von weniger als 40,00  (gerichtlich bestellt oder beigeordnet)', 1, 57, Null, Null, Null, 5101, 4400, N'KG2021'
UNION SELECT 238, N'5102 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5101 genannten Verfahren stattfindet', 10, 22, 121, Null, Null, 5102, 4400, N'KG2021'
UNION SELECT 239, N'5102 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5101 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 57, Null, Null, Null, 5102, 4400, N'KG2021'
UNION SELECT 240, N'5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ', 10, 33, 319, Null, Null, 5103, 4400, N'KG2021'
UNION SELECT 241, N'5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 5103, 4400, N'KG2021'
UNION SELECT 242, N'5104 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5103 genannten Verfahren stattfindet', 10, 33, 319, Null, Null, 5104, 4400, N'KG2021'
UNION SELECT 243, N'5104 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5103 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 5104, 4400, N'KG2021'
UNION SELECT 244, N'5105 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00 ', 10, 44, 330, Null, Null, 5105, 4400, N'KG2021'
UNION SELECT 245, N'5105 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 150, Null, Null, Null, 5105, 4400, N'KG2021'
UNION SELECT 246, N'5106 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5105 genannten Verfahren stattfindet', 10, 44, 330, Null, Null, 5106, 4400, N'KG2021'
UNION SELECT 247, N'5106 Terminsgebhr fr jeden Tag,an dem ein Termin in den in Nummer 5105 genannten Verfahren stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 150, Null, Null, Null, 5106, 4400, N'KG2021'
UNION SELECT 248, N'5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ', 10, 22, 121, Null, Null, 5107, 4400, N'KG2021'
UNION SELECT 249, N'5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)', 1, 57, Null, Null, Null, 5107, 4400, N'KG2021'
UNION SELECT 250, N'5108 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5107 genannten Verfahren', 10, 22, 264, Null, Null, 5108, 4400, N'KG2021'
UNION SELECT 251, N'5108 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5107 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 114, Null, Null, Null, 5108, 4400, N'KG2021'
UNION SELECT 252, N'5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ', 10, 33, 319, Null, Null, 5109, 4400, N'KG2021'
UNION SELECT 253, N'5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 5109, 4400, N'KG2021'
UNION SELECT 254, N'5110 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5109 genannten Verfahren', 10, 44, 517, Null, Null, 5010, 4400, N'KG2021'
UNION SELECT 255, N'5110 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5109 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 224, Null, Null, Null, 5010, 4400, N'KG2021'
UNION SELECT 256, N'5111 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00 ', 10, 55, 385, Null, Null, 5111, 4400, N'KG2021'
UNION SELECT 257, N'5111 Verfahrensgebhr bei einer Geldbue von mehr als 5.000,00  (gerichtlich bestellt oder beigeordnet)', 1, 176, Null, Null, Null, 5111, 4400, N'KG2021'
UNION SELECT 258, N'5112 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5111 genannten Verfahren', 10, 88, 616, Null, Null, 5112, 4400, N'KG2021'
UNION SELECT 259, N'5112 Terminsgebhr je Hauptverhandlungstag in den in Nummer 5111 genannten Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 5112, 4400, N'KG2021'
UNION SELECT 260, N'5113 Verfahren ber die Rechtsbeschwerde', 10, 88, 616, Null, Null, 5113, 4400, N'KG2021'
UNION SELECT 261, N'5113 Verfahren ber die Rechtsbeschwerde (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 5113, 4400, N'KG2021'
UNION SELECT 262, N'5114 Terminsgebhr je Hauptverhandlungstag', 10, 88, 616, Null, Null, 5114, 4400, N'KG2021'
UNION SELECT 263, N'5114 Terminsgebhr je Hauptverhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 5114, 4400, N'KG2021'
UNION SELECT 264, N'5115 Durch die anwaltliche Mitwirkung wird das Verfahren vor der Verwaltungsbehrde erledigt oder die Hauptverhandlung entbehrlich', 1, Null, Null, Null, Null, 5115, 4400, N'KG2021'
UNION SELECT 265, N'5116 Verfahrensgebhr bei Einziehung und verwandten Manahmen', 8, Null, 1, N'RVG21', Null, 5116, 4400, N'KG2021'
UNION SELECT 266, N'5200 Verfahrensgebhr fr Einzelttigkeit', 10, 22, 121, Null, Null, 5200, 4400, N'KG2021'
UNION SELECT 267, N'5200 Verfahrensgebhr fr Einzelttigkeit (gerichtlich bestellt oder beigeordnet)', 1, 57, Null, Null, Null, 5200, 4400, N'KG2021'
UNION SELECT 268, N'6100 Verfahren nach dem Gesetz ber die internationale Rechtshilfe in Strafsachen und Verfahren nach dem IStGH-Gesetz', 10, 55, 374, Null, Null, 6100, 4400, N'KG2021'
UNION SELECT 269, N'6100 Verfahren nach dem Gesetz ber die internationale Rechtshilfe in Strafsachen und Verfahren nach dem IStGH-Gesetz (gerichtlich bestellt oder beigeordnet)', 1, 172, Null, Null, Null, 6100, 4400, N'KG2021'
UNION SELECT 270, N'6101 Verfahrensgebhr (Gerichtliches Verfahren)', 10, 110, 759, Null, Null, 6101, 4400, N'KG2021'
UNION SELECT 271, N'6101 Verfahrensgebhr (Gerichtliches Verfahren) (gerichtlich bestellt oder beigeordnet)', 1, 348, Null, Null, Null, 6101, 4400, N'KG2021'
UNION SELECT 272, N'6102 Terminsgebhr je Verhandlungstag (Gerichtliches Verfahren)', 10, 143, 1023, Null, Null, 6102, 4400, N'KG2021'
UNION SELECT 273, N'6102 Terminsgebhr je Verhandlungstag (Gerichtliches Verfahren) (gerichtlich bestellt oder beigeordnet)', 1, 466, Null, Null, Null, 6102, 4400, N'KG2021'
UNION SELECT 274, N'6200 Grundgebhr in Disziplinar- und berufsgerichtlichen Verfahren', 10, 44, 385, Null, Null, 6200, 4400, N'KG2021'
UNION SELECT 275, N'6200 Grundgebhr in Disziplinar- und berufsgerichtlichen Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 172, Null, Null, Null, 6200, 4400, N'KG2021'
UNION SELECT 276, N'6201 Terminsgebhr fr jeden Tag, an dem ein Termin stattfindet', 10, 44, 407, Null, Null, 6201, 4400, N'KG2021'
UNION SELECT 277, N'6201 Terminsgebhr fr jeden Tag, an dem ein Termin stattfindet (gerichtlich bestellt oder beigeordnet)', 1, 180, Null, Null, Null, 6201, 4400, N'KG2021'
UNION SELECT 278, N'6202 Verfahrensgebhr fr Ttigkeit in einem dem gerichtlichen Verfahren vorausgehenden und der berprfung der Verwaltungsentscheidung dienenden weiteren auergerichtlichen Verfahren', 10, 44, 319, Null, Null, 6202, 4400, N'KG2021'
UNION SELECT 279, N'6202 Verfahrensgebhr fr Ttigkeit in einem dem gerichtlichen Verfahren vorausgehenden und der berprfung der Verwaltungsentscheidung dienenden weiteren auergerichtlichen Verfahren (gerichtlich bestellt oder beigeordnet)', 1, 145, Null, Null, Null, 6202, 4400, N'KG2021'
UNION SELECT 280, N'6203 Verfahrensgebhr im Ersten Rechtszug', 10, 55, 352, Null, Null, 6203, 4400, N'KG2021'
UNION SELECT 281, N'6204 Terminsgebhr je Verhandlungstag', 10, 88, 616, Null, Null, 6204, 4400, N'KG2021'
UNION SELECT 282, N'6204 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 6204, 4400, N'KG2021'
UNION SELECT 283, N'6205 Hauptverhandlung von 5 bis 8 Stunden', 1, 141, Null, Null, Null, 6205, 4400, N'KG2021'
UNION SELECT 284, N'6206 Hauptverhandlung von mehr als 8 Stunden', 1, 282, Null, Null, Null, 6206, 4400, N'KG2021'
UNION SELECT 285, N'6207 Verfahrensgebhr im zweiten Rechtszug', 10, 88, 616, Null, Null, 6207, 4400, N'KG2021'
UNION SELECT 286, N'6207 Verfahrensgebhr im zweiten Rechtszug (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 6207, 4400, N'KG2021'
UNION SELECT 287, N'6208 Terminsgebhr je Verhandlungstag', 10, 88, 616, Null, Null, 6208, 4400, N'KG2021'
UNION SELECT 288, N'6208 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 282, Null, Null, Null, 6208, 4400, N'KG2021'
UNION SELECT 289, N'6209 Hauptverhandlung von 5 bis 8 Stunden', 1, 141, Null, Null, Null, 6209, 4400, N'KG2021'
UNION SELECT 290, N'6210 Hauptverhandlung von mehr als 8 Stunden', 1, 282, Null, Null, Null, 6210, 4400, N'KG2021'
UNION SELECT 291, N'6211 Verfahrensgebhr im dritten Rechtszug', 10, 132, 1221, Null, Null, 6211, 4400, N'KG2021'
UNION SELECT 292, N'6211 Verfahrensgebhr im dritten Rechtszug (gerichtlich bestellt oder beigeordnet)', 1, 541, Null, Null, Null, 6211, 4400, N'KG2021'
UNION SELECT 293, N'6212 Terminsgebhr je Verhandlungstag', 10, 132, 605, Null, Null, 6212, 4400, N'KG2021'
UNION SELECT 294, N'6212 Terminsgebhr je Verhandlungstag (gerichtlich bestellt oder beigeordnet)', 1, 294, Null, Null, Null, 6212, 4400, N'KG2021'
UNION SELECT 295, N'6213 Hauptverhandlung von 5 bis 8 Stunden', 1, 147, Null, Null, Null, 6213, 4400, N'KG2021'
UNION SELECT 296, N'6214 Hauptverhandlung von mehr als 8 Stunden', 1, 294, Null, Null, Null, 6214, 4400, N'KG2021'
UNION SELECT 297, N'6215 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen die Nichtzulassung der Revision', 10, 77, 1221, Null, Null, 6215, 4400, N'KG2021'
UNION SELECT 298, N'6215 Verfahrensgebhr fr das Verfahren ber die Beschwerde gegen die Nichtzulassung der Revision (gerichtlich bestellt oder beigeordnet)', 1, 519, Null, Null, Null, 6215, 4400, N'KG2021'
UNION SELECT 299, N'6216 Durch die anwaltliche Mitwirkung wird die mndliche Verhandlung entbehrlich', 1, Null, Null, Null, Null, 6216, 4400, N'KG2021'
UNION SELECT 300, N'6300 Verfahrensgebhr in Freiheitsentziehungssachen u..', 10, 44, 517, Null, Null, 6300, 4400, N'KG2021'
UNION SELECT 301, N'6300 Verfahrensgebhr in Freiheitsentziehungssachen u.. (gerichtlich bestellt oder beigeordnet)', 1, 224, Null, Null, Null, 6300, 4400, N'KG2021'
UNION SELECT 302, N'6301 Terminsgebhr in den Fllen der Nummer 6300', 10, 44, 517, Null, Null, 6301, 4400, N'KG2021'
UNION SELECT 303, N'6301 Terminsgebhr in den Fllen der Nummer 6300 (gerichtlich bestellt oder beigeordnet)', 1, 224, Null, Null, Null, 6301, 4400, N'KG2021'
UNION SELECT 304, N'6302 Verfahrensgebhr in sonstigen Fllen', 10, 22, 330, Null, Null, 6302, 4400, N'KG2021'
UNION SELECT 305, N'6302 Verfahrensgebhr in sonstigen Fllen (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 6302, 4400, N'KG2021'
UNION SELECT 306, N'6303 Terminsgebhr in den Fllen der Nummer 6302', 10, 22, 330, Null, Null, 6303, 4400, N'KG2021'
UNION SELECT 307, N'6303 Terminsgebhr in den Fllen der Nummer 6302 (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 6303, 4400, N'KG2021'
UNION SELECT 308, N'6400 Verfahrensgebhr fr das Verfahren auf gerichtliche Entscheidung vor dem Truppendienstgericht', 10, 88, 748, Null, Null, 6400, 4400, N'KG2021'
UNION SELECT 309, N'6401 Terminsgebhr je Verhandlungstag in den in Nummer 6400 genannten Verfahren', 10, 88, 748, Null, Null, 6401, 4400, N'KG2021'
UNION SELECT 310, N'6402 Verfahrensgebhr fr das Verfahren auf gerichtliche Entscheidung nach der WBO vor dem Bundesverwaltungsgericht', 10, 110, 869, Null, Null, 6402, 4400, N'KG2021'
UNION SELECT 311, N'6403 Terminsgebhr je Verhandlungstag', 10, 110, 869, Null, Null, 6403, 4400, N'KG2021'
UNION SELECT 312, N'6500 Verfahrensgebhr in Einzelttigkeiten und Verfahren auf Aufhebung oder nderung einer Disziplinarmanahme', 10, 22, 330, Null, Null, 6500, 4400, N'KG2021'
UNION SELECT 313, N'6500 Verfahrensgebhr in Einzelttigkeiten und Verfahren auf Aufhebung oder nderung einer Disziplinarmanahme (gerichtlich bestellt oder beigeordnet)', 1, 141, Null, Null, Null, 6500, 4400, N'KG2021'
UNION SELECT 314, N'7000 Dokumentenpauschale', 5, Null, Null, Null, Null, 9000, 4400, N'KG2021'
UNION SELECT 315, N'7000 Versand elektronischer Dateien', 3, 2.5, Null, Null, Null, 9000, 4400, N'KG2021'
UNION SELECT 316, N'7001 Post- und Telekommunikationsentgelte', 1, Null, Null, Null, Null, 9101, 4400, N'KG2021'
UNION SELECT 317, N'7002 Post- und Telekommunikationspauschale', 4, Null, Null, Null, Null, 9102, 4400, N'KG2021'
UNION SELECT 318, N'7003 Fahrtkosten fr eine Geschftsreise bei Benutzung eines eigenen Kraftfahrzeugs', 3, .42, Null, Null, N'km', 9003, 4400, N'KG2021'
UNION SELECT 319, N'7004 Fahrtkosten fr eine Geschftsreise bei Benutzung eines anderen Verkehrsmittels', 1, Null, Null, Null, Null, 9004, 4400, N'KG2021'
UNION SELECT 320, N'7005 Tage- und Abwesenheitsgeld bis vier Stunden', 1, 30, Null, Null, Null, 9005, 4400, N'KG2021'
UNION SELECT 321, N'7005 Tage- und Abwesenheitsgeld mehr als acht Stunden', 1, 80, Null, Null, Null, 9005, 4400, N'KG2021'
UNION SELECT 322, N'7005 Tage- und Abwesenheitsgeld vier bis acht Stunden', 1, 50, Null, Null, Null, 9005, 4400, N'KG2021'
UNION SELECT 323, N'7005 Zuschlag fr Auslandsreise', 1, Null, Null, Null, Null, 9005, 4400, N'KG2021'
UNION SELECT 324, N'7006 Sonstige Auslagen anlsslich einer Geschftsreise', 1, Null, Null, Null, Null, 9006, 4400, N'KG2021'
UNION SELECT 325, N'7007 Haftpflichtversicherung fr Vermgensschden', 1, Null, Null, Null, Null, 9007, 4400, N'KG2021'
UNION SELECT 326, N'Auslagen (Aufwand)', 1, Null, Null, Null, Null, 9000, 5211, N'KG2021'
UNION SELECT 327, N'Auslagen (durchlaufend)', 1, Null, Null, Null, Null, 9000, 1370, N'KG2021'
UNION SELECT 328, N'Beratung', 8, Null, Null, N'RVG21', Null, 8000, 4400, N'KG2021'
UNION SELECT 329, N'Beratung (Erstberatung,  34 I 3 RVG)', 10, 15, 190, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 330, N'Gebhr nach  34 GNotKG, Tabelle A', 8, Null, Null, N'GNotA21', Null, 8000, 4400, N'KG2021'
UNION SELECT 331, N'Gebhr nach  34 GNotKG, Tabelle B', 8, Null, Null, N'GNotB21', Null, 8000, 4400, N'KG2021'
UNION SELECT 332, N'Gebhrenteilung', 13, Null, -.5, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 333, N'Gerichtskosten', 8, Null, Null, N'GKG21', Null, 8000, 1370, N'KG2021'
UNION SELECT 334, N'Gerichtskosten Familiengericht', 1, Null, Null, N'FamGK21', Null, 8000, 1370, N'KG2021'
UNION SELECT 335, N'Kappung gem.  15 III RVG', 12, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 336, N'Registerauszge', 3, 10, 1, Null, N'St.', 8000, 4400, N'KG2021'
UNION SELECT 337, N'Sonstige Addition', 14, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 338, N'Sonstige Direkteingabe', 1, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 339, N'Sonstige Division', 16, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 340, N'Sonstige Multiplikation', 3, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 341, N'Sonstige prozentuale Berechnung', 15, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 342, N'Sonstige Tabellengebhr', 8, Null, Null, N'RVG21', Null, 8000, 4400, N'KG2021'
UNION SELECT 343, N'Vereinbarte Festvergtung ( 4 RVG', 1, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 344, N'Vereinbarte Zeitvergtung ( 4 RVG)', 3, 225, Null, Null, N'St.', 8000, 4400, N'KG2021'
UNION SELECT 345, N'Zahlung / Gebhrensoll', 1, Null, Null, Null, Null, 8000, 4400, N'KG2021'
UNION SELECT 346, N'Zahlung in Fremdwhrung', 3, Null, Null, Null, Null, 8000, 3500, N'KG2021'
UNION SELECT 347, N'Zahlungseingang (Fremdgeld)', 1, Null, Null, Null, Null, 8000, 3500, N'KG2021'
UNION SELECT 348, N'Zustellungskosten', 1, Null, Null, Null, Null, 8000, 1370, N'KG2021'
UNION SELECT 349, N'Kostenanteil nach  24 II KapMuG', 15, Null, Null, Null, N'%', 9999, 4400, N'KG2021'
SET IDENTITY_INSERT KG2021 OFF
GO

EXEC InsertKG2013IntoG_tbe
GO

EXEC InsertKG2021IntoG_tbe
GO

UPDATE g_tbe SET tatbestand='5101 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ' WHERE tatbestand='5101 Verfahrensgebhr bei einer Geldbue von weniger als 40,00 ' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ' WHERE tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00 ' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ' WHERE tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 40,00 ' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ' WHERE tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00 ' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5101 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5101 Verfahrensgebhr bei einer Geldbue von weniger als 40,00  (gerichtlich bestellt oder beigeordnet)' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 40,00  (gerichtlich bestellt oder beigeordnet)' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='4146 Verfahrensgebhr fr das Verfahren ber einen Antrag auf gerichtliche Entscheidung oder ber die Beschwerde gegen eine den Rechtszug beendende Entscheidung nach  25 Abs. 1 Satz 3 bis 5, 13 StrRehaG' WHERE tatbestand='4145 Verfahrensgebhr fr das Verfahren ber einen Antrag auf gerichtliche Entscheidung oder ber die Beschwerde gegen eine den Rechtszug beendende Entscheidung nach  25 Abs. 1 Satz 3 bis 5, 13 StrRehaG' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs', formelid=8, p1=Null, p2=Null WHERE tatbestand='4146 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='4147 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs (gerichtlich bestellt oder beigeordnet)', formelid=8, p1=Null, p2=Null WHERE tatbestand='4146 Einigungsgebhr im Privatklageverfahren bezglich des Strafanspruchs und des Kostenerstattungsanspruchs (gerichtlich bestellt oder beigeordnet)' AND Version='KG2013'
GO

UPDATE g_tbe SET tatbestand='3205 Terminsgebhr vor dem Landessozialgericht' WHERE tatbestand = '3205 Verfahren vor dem Landessozialgericht, ermigt' AND (Version='KG2021' OR Version='KG2013')
GO

UPDATE g_tbe SET tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ' WHERE tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00 ' AND Formelid=10 AND Version='KG2021'
GO

UPDATE g_tbe SET tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5103 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' AND Formelid=8 AND Version='KG2021'
GO

UPDATE g_tbe SET tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00 ' WHERE tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 40,00 ' AND Formelid=10 AND Version='KG2021'
GO

UPDATE g_tbe SET tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 60,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5107 Verfahrensgebhr bei einer Geldbue von weniger als 40,00  (gerichtlich bestellt oder beigeordnet)' AND Formelid=8 AND Version='KG2021'
GO

UPDATE g_tbe SET tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00 ' WHERE tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00 ' AND Formelid=10 AND Version='KG2021'
GO

UPDATE g_tbe SET tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 60,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' WHERE tatbestand='5109 Verfahrensgebhr bei einer Geldbue von 40,00  bis 5.000,00  (gerichtlich bestellt oder beigeordnet)' AND Formelid=8 AND Version='KG2021'
GO

IF NOT EXISTS (SELECT * From Terminkategorien WHERE Kategorie = 'Nachricht') Insert Into dbo.Terminkategorien(Kategorie, HauptId) VALUES ('Nachricht', 3)
GO

INSERT INTO benutzung (art, benutzung) VALUES (6, '18.04.2024')
GO

exec datenpflege
GO

/* Generierung abgeschlossen 18.04.2024 12:01:30*/
GO

